Zetta®

Version 4.1

RCS World Headquarters
445 Hamilton Avenue, 7th Floor
White Plains, New York 10601

USA

Support

Phone#: +1 914 259 4900

Email: support@rcsworks.com

© 2007-2017 RCS. All Rights Reserved.

© 2017 RCS All Rights Reserved. Zetta, Selector, GSelector, Aquira, Linker, Selector2GO and Zetta2GO are registered trademarks of RCS.

Document Compiled 22-Feb-17


Product Overview

Zetta® is the newest Automation Technology offered by RCS®. Zetta provides ultimate stability while providing flexibility.

Important Note!

The information provided in this guide is intended to be used with Zetta 4.1. For previous versions of this guide, contact RCS Support for assistance.

Digital Automation Designed by Radio - Zetta is the most advanced digital radio automation system available. Being the world’s largest broadcast radio software company for more than 30 years, RCS has the experience and knowledge that creates an advantage for you. With decades of real in-studio usage, we've learned what a user really needs in radio playout systems and automation. That is what has helped the designers of Zetta create a software solution that is more advanced, extremely reliable, comfortably intuitive and conveniently flexible.

Advanced - Zetta is more advanced, so you will easily be able to get updates. Zetta is extremely reliable, so you will stay on the air. Zetta is comfortably intuitive and conveniently flexible, so you spend less time learning it and more time using it.

Reliable - No other broadcast company offers a complete solution with as many features and possibilities for the terrestrial radio or streaming station. Zetta is designed with rugged durability. As a matter of fact, if someone was to accidentally close the program, your radio station would keep on playing: now that is reliability.

Intuitive and Flexible - Zetta's new sleek design has been simplified, streamlined and setup so that new users can customize and save their layouts. Interface design and floating module options give complete control of the look, feel, and functionality to the user. Talent loves Zetta and Zetta loves to broadcast.

Interoperability - RCS products share the same DNA, which means you don’t have to worry about integration. Our software programs talk to each other, or you might say they sing in harmony. Zetta seamlessly integrates with our music scheduler GSelector®, RCS News®, and our traffic system, Aquira®.

World Class Support - Our Support department is legendary. All the people who help you solve your day to day problems are radio people, too. RCS Support never sleeps and is always open 24/7/365 worldwide.

Product Features

Zetta® offers the following features:

Multiple Station Playback with Multiple Audio Outputs – Zetta allows the configuration of multiple play streams and assigns these devices to separate audio outputs. These outputs can be grouped together to be used for Local Playback.

Import Audio Directly into Media Library – Zetta allows the direct import and play of .mp3 and .wav audio files without preparing separate data files. All audio information included in the MP3 file will be imported into the media information fields in Zetta. The Import utility allows the ability to browse file paths, or simply drag and drop audio files into the Media Library Module, including configuring multiple auto load folders to streamline audio imports.

Creating Keyboard shortcuts – Zetta® allows the configuration of keyboard shortcuts to trigger specific actions, making running the station easy from the computer’s keyboard.

Send and Receive Commands from external devices – Zetta supports the sending and receiving of commands to and from many GPIO devices, giving greater flexibility.

Monitor Playback of Multiple Stations – Zetta provides the ability to open multiple on-air displays for the monitoring of multiple stations simultaneously.

Improved Playback Modes – Zetta supports four playback modes in the On-Air Module to support the exact level of control needed for station log playback. The Stack Player gives the ability to fire individual events or short sequences of events without having to program them into the Station Log. The Hot Keys® feature gives the ability to easily pre-program individual audio elements and easily play these events back.

GSelector® Library and Log Synchronization – Zetta can be integrated with GSelector to provide scheduled log content. Schedules are sent from GSelector to Zetta in real-time and can be configured to automatically update both applications with library changes made from either application.

Simple, Customizable Configuration Options – The simplified Tools in Zetta gives the ability to customize settings for the System, Station, Computer, Hot Keys, Players, User Accounts, and GSelector Integration.

Easy-to-Configure Now Playing Export – Zetta has the ability to export “Now Playing” information to a specific IP using an XML format (for use with Internet station web sites).

Customizable User Layouts – Users can save and restore multiple module layouts to provide quick and easy access to modules needed for different functions.

Multitrack Editor - The RCS Multitrack Editor is a digital audio editor featuring multi-track non-destructive and destructive editing with a waveform view and unlimited undo/redo history across editing sessions.

Mark Trim and Intro Points - Zetta includes a Marks Editor to set non-destructive trim, intro and segue points on any audio.

Mark Segue points for Log Playback – Zetta provides the ability to preview audio while marking segue points that will automatically transition into the next event when played back in the log.

Audio Normalization - Zetta has the capability to process audio several different ways at different points of play. Zetta has the ability to process audio, add transition markers and normalize the audio on a station-by-station basis. Giving the user more control with how audio is played on the air, on different stations, with the same piece of audio.

Record and Manage Voice Tracks – Zetta provides the ability to add flavor to the station with the ability to record and manipulate Voice Tracks using the Voice Tracker®.

Schedule Maintenance and Backup Databases – Zetta provides the ability to schedule regular cleanup tasks such as purging old logs and audio. Scheduled database backups can be created in addition to the ability of manually backing up and restoring databases.

Launch External Editors - Zetta has the ability to launch a third-party external editor, and have changes made reflected on the audio in Zetta.

Notes - To enhance the listening and user experience, Zetta can display to on-air talent the song, artist and link notes that accompany scheduled events in the log as the log moves through the hour and day.

Splits – Zetta can be setup as a Splits Master or Splits Client that will allow Zetta to send or receive audio, logs and queue commands from another Zetta Station. Splits in Zetta is a subscription based model, which means that any split client can subscribe and listen for split master control events.

Translation - Zetta has the ability to be translated into the localized language, allowing the user to add and change the translation as needed.

ZCast® - ZCast enables stations to share data and audio between interconnected sites via a Wide Area Network, allowing small stations to be voice tracked, programmed or updated from combined radio facilities, consultant's offices or remote broadcast locations.

Zetta2GO® - Zetta2GO is an application that allows the control of a Zetta Automation/Playout system from a mobile device such as a smart phone or tablet.

Multisite Voice Tracking - Zetta's Multisite Voice Tracking feature allows users to voice track in a single log for multiple Zetta sites using ZCast.

Site Replication - The Site Replication Services are used to sync two or more Zetta sites to create redundant Zetta systems. These redundant systems can be local or remote allowing for synchronization across a wide area network.

Welcome < Product Overview

© 2007-2017 RCS. All Rights Reserved.


Q&A from Support

The following questions are frequently asked of RCS Support. Many of the questions found here will link to additional information about the topic within this Help Guide. If you cannot find the question or answer you're looking for feel free to contact RCS Support for assistance.

Q. What are the different types of ETMs? Do I need them?

A. There are four ETM types; Hard, Soft, Hit and Reset. Exact Time Markers (ETM) defines points in time in the schedule. Each stretch of time between an ETM is referred to as a segment. Exact Time Markers are used to adjust the airtime in the schedule, or to tell operators when a given program element should be broadcast. The use and function of an ETM depends on the sequencer mode, Fixed events and the desired affect that it will have on the log. See the Exact Time Markers section of the Control Events topic. Where Fixed events are used in the log, Zetta will use Backtiming to ensure the fixed event plays. Backtiming is only performed for the upcoming Soft or Hard ETMs.

Q. How can I tell what content I am using for ETM/Block Fill? How do I change this?

A. The Block Fill Category and ETM Fill Category are set in the Automation tab of the Station Configuration window. Block Fill and ETM Fill use a designated category to fill spot blocks and ETM segments in a log. To view the Category and Asset type being used for fill for a station, click the drop-down for the Block Fill Category or ETM Fill Category in the Automation tab of the Station Configuration window for the station.

The Fill Category for ETM and Block fill can be changed at any time using this drop-down or by using Execute Commands in a log or macro. The command Sequencer.SetETMFillCategory can be used to change the ETM fill category at different times of the day automatically, on any station. The command Sequencer.SetSpotBlockFillCategory can be used to change the Block Fill Category at different times of the day automatically, on any station. If this category for either ETM or Block fill is changed, Zetta will re-evaluate the fill of the stations log based on the new Category Assignment and reapply the fill. For more information on changing the fill categories see the Fill Category Tips section of the guide.

Q. How does Block Fill and ETM Fill work?

A. The ETM Fill Category field is used to specify the category used to fill audio to meet exact time markers (ETMs) with a negative Gap time. Fill is initiated when the station Sequencer is in Auto mode and the station is about to run out of scheduled audio. Fill does not occur until the hour with an exact time marker is about to run out of audio. If there is a negative gap time for a Soft or Hard ETM of 10 minutes then 13 minutes before the ETM, Zetta will fill to the ETM. If the ETM Fill Category setting is changed, Zetta will re-evaluate the fill of the Log based on the new category assignment and reapply the fill using the new category selected. By default, the Fill position is above the consecutive sequence of Fixed events that are closest to the Soft / Hard ETM that the Sequencer is trying to hit. A Fill Position event can be used to control where Zetta is to place the fill assets. Where Fixed events are used in the log, Zetta will use Backtiming to ensure the fixed events play. Also, keep in mind that Fill will not kick in if any “predropped” events are found in the log segment. The Block Fill Category field is used to specify the category used to fill audio to meet a set Spot Block length in the log. Fill events automatically have a Timing of stretch when Zetta adds them to the log. Spot Block fill is performed for all Spot Blocks that are within the Sequencer queue.

When Zetta Fills, it will follow these steps:

  1. Zetta will request all assets in the selected category with a length less than the fill length * 2.
  2. This will return a list in most rested order (average between asset last play and artist/sponsor last play).
  3. Then Zetta will use the top 66% based on most rested, sorted by length to match the calculated fill length +/- the stretch/squeeze percentage.
  4. If that fails, Zetta will then increase the top range by 5 seconds until it finds a match.
  5. Zetta will find up to three matches within the range then randomly pick one of the three assets found.

Q. How do I view the elements that can be stretched to ETM?

A. To view the elements that can be stretched to an ETM, you can right-click in the log header and choose Insert | Stretch. An icon will show next to each element that is flagged as stretch.

In Auto or Live Assist mode, when assets are actively being stretched/squeezed this same icon will appear in the On-Air window title bar [image] and the runtime of the event will be underlined. Zetta will only stretch so far, constrained by what the Maximum Stretch/Squeeze setting in the Playback tab of the Station Configuration window will allow. If the allowed stretch percentage is too low and cannot be met by the Sequencer’s goal, Zetta will not stretch and the log will play out unstretched.

Q. What is the best way to back up my Zetta system?

A. There are multiple options to back up your Zetta system. There are automated database backups that happen as part of the normal Scheduled Maintenance. These backups are typically kept in the configured Backup Content store. You can also manually back up the Zetta database, if your user permissions allow you to do so, using the Backup Database window found in the Configuration menu.

To back up your Zetta Audio, you can configure a Secondary Media Store or you can schedule an external backup utility or batch file to back up the configured Media Store to a USB drive or NAS device.

Q. How do I set up a new format to export Now Playing information? How do I configure Zetta to send Now Playing information to my RDS encoder?

A. Now Playing information is sent from Zetta using a Now Playing Export configuration. The Now Playing Export configuration is found in the System Configuration window. Some export formats have been included with Zetta for your convenience. Use the drop-down next to the Format field to select a format.

A new format can be created for your devices, in the Now Playing Export window, by clicking the Add New Format [image] button found to the right of the Format selection field. In the resulting window you can create the new format or Import an existing format into the system.

Q. How can I setup my own Layout?

A. There are two types of Layouts, public and user specific. A Layout is created when a user goes to Save Layout As in the Layout Menu. This will open the Save Layout As window allowing you to name the layout. This saves the Layout currently being used as a new layout with the name specified and switches you to that layout. The newly saved layout is specific to the logged in user account you are using until you make it public in the Manage Layouts window, accessed from the Layouts Menu. Any changes to the current layout such as opening and docking modules are temporary until the layout is saved again using the Save Layout menu option in the Layout Menu. You can also lock your layout so it cannot be changed.

Q. How do I hotspare to my backup machine if the On-Air machine is offline?

A. Even if the On-Air machine has already failed, you can arm and activate a hotspare by going to the Hotspare Manager in the Tools menu. From this window any configured hotspare can be armed and activated. New to version 4.0 is Studio Switching. Studio Switching allows you to switch to a configured hotspare that has been selected as the Hotspare for Studio Switching directly from the On-Air module.

Q. What ports need to be open on my network for Zetta to work properly?

A. When Zetta is installed on each computer it will open the ports required for Zetta communication in the computers firewall. Additional ports may need to be opened depending on the configurations made to Zetta for communications to external devices and services such as GPIO and Now Playing Export. The ports required for Zetta communication are outlined in the Firewall Settings section of the Preparing to Install Zetta topic in the Installation section of the guide.

Q. How do I use Zetta2GO?

A. Before you can use Zetta2GO, a machine must be configured in the General tab of System Configuration window to host the Zetta2GO® service. Although Zetta2GO can be launched on any browser, at this time Google Chrome is the only browser that will support all the features of iVT® through the web browser. To allow access to the microphone for iVT in Zetta2GO, SSL will need to be configured on the Zetta2GO services computer. Once configured, you can access Zetta2GO from Chrome using the web address.

https://[ipaddress or fully qualified machine name]/Zetta2GO

You can then login to Zetta2GO with your Zetta credentials. Once logged in, Zetta2GO desktop functions similarly to that of Zetta. For additional help see the Navigating Zetta2GO topic in the Zetta2GO section of the guide.

Q. Help! I can't see all my links or songs.

A. The audio event list in the Library can be filtered by station. When a station is selected, you will only see assets active for that station. If you can’t see all available assets in the audio type you wish to view, check the station drop-down and ensure Default (or the station you wish to view) is selected. Default lists all the assets for all stations for the selected asset type. Selecting the All Audio tab in the Library will show all assets for all station with a Type column showing the asset type for each asset in the list.

Tip: Setting the Default Station for your user account will show the assets for the selected station instead of the default station every time the Library is opened.

Q. Why can’t I set a category on an asset in the Library?

A. The Category of an asset is a Station-Specific value. Each station can have the selected asset in a different Category. In the Metadata card of an asset, there is a Stations panel to the left that allows you to select a station. If the Default station is selected in this panel, the Category option will not be visible in the Station-Specific tab.

To make a category selection for a station, select the station that you wish to set the category for in the Stations panel:

Q. How can I manually send over a log change from GSelector to Zetta?

A. If configured, GSelector will automatically send log changes to Zetta. In the event you would like to manually synchronize the log from GSelector, you can do so from the Editor window in GSelector. Click the Export to Zetta icon in the Editor toolbar to select one of the Synchronize options:

Q. How do I delete elements from the log?

A. By default, Zetta will skip elements in the log when you press the DELETE key. To permanently delete elements from the log, press SHIFT+DELETE.

Q. How can I reload Music or Traffic?

A. If you use GSelector integration, log changes will be sent automatically when you reschedule the log in GS. If you are loading Music or Traffic from a flat file into Zetta, you can reload Music or Traffic on a future log using the Flat File Load icon in the log:

Q. How does normalization work? Which method is best?

A. Normalization in Zetta adjusts the level of audio files as they are played out. The adjustment is made at the time the audio is played back, meaning the actual file is not adjusted. This allows you to set different levels for each station for each asset type.

Information on Normalization options can be found in the Normalization topic in the guide. Multiple normalization methods are available to meet each station’s unique needs. The method you use to normalize audio is dependent on broadcast regulations in your area and on personal preference. Loudness (Gated) ITU-R BS.1770rev3 is an algorithm to measure audio loudness of a Gated block of audio and is recommended for Broadcast audio. Contact RCS Support if you are unsure which method to use.

Q. How do I configure Zetta to automatically load audio?

A. Zetta can be configured to automatically load audio from a local drive, network drive or from an FTP server. To have Zetta automatically load audio from a local or network drive create and auto load instance in the Auto Load tab of the System Configuration window. To have Zetta automatically load audio from an FTP server, first configure a the location of the FTP server in the Locations tab of the System Configuration window and then set that as the Location in the Auto load tab.

Q. Can Zetta read the file information when it ingests audio?

A. Zetta can read and load ID3 information from MP3 files and can read audio information from some types of WAV files. Zetta can read and match the fields in Zetta with the information from a NexGen XML file using the Default AMU Mapping Template. When an import occurs using the Default template, Zetta first looks for a NexGen XML file for the asset. If present, it will use only the XML file to read the NexGen Metadata. If no associated NexGen XML is used, Zetta will then check to see if the audio file is an MP3 file. If the file is an MP3 file, Zetta will read the ID3 metadata, if any from the file. If there is no NexGen XML and no MP3 ID3 metadata, Zetta will then use AFC to read the AFC metadata. To import a third party XML data file contact RCS Support for assistance in creating an AMU Mapping Template.

Q. How do you restart individual services in Zetta?

A. If you need to apply a configuration change or need to restart a service on your Zetta workstation, most services can be restarted using the Startup Manager. To access the Startup Manager, double-click the Startup Manager [image] icon in the Taskbar systray by the system clock. The startup manager will open.

Clicking the arrows to the left of the services name (shown outlined above) will allow you to expand the tasks to locate the specific service you need to restart. To restart the entire services section, click the Stop All and then Start All next to the services name. To restart a specific service in a section expand the section with the arrows on the left then click Stop and then click Start when the Start button activates.

Important Note!

With some configuration changes, such as changing the Audio Format, a restart of the application UI will also be required.

Welcome < Q&A from Support

© 2007-2017 RCS. All Rights Reserved.


Installation

Welcome < Installation Overview

Installation Overview

Zetta® can be installed on a single stand-alone computer or a multi-computer network configuration. There are four installation components to Zetta®; the Database, the client software, the RCS Database Management software and Zetta2GO®. Zetta® can run in a 32bit or 64bit environment, and uses a Microsoft SQL database back end. The Zetta® Database package will install SQL Express if SQL is not already installed.

The following topics will guide you through the installation of Zetta®:

System Requirements

Preparing to Install

Zetta® Database Install

Zetta® Advance Database Install

Zetta® Client Install

RCS Client Licensing

Zetta Updates

Logging into Zetta for the first time

Required Applications

Contact RCS Support to obtain the following licensed installation packages:

  • Zetta® Database Installation Package - This package installs SQL Express if needed and a base Zetta Database.
  • Zetta® Client Installation Package - This package installs the prerequisites required for running Zetta, Zetta Client, RCS Database Management and Zetta2GO®.

Important Note!

Zetta2GO® is optional. RCS Database Management is required on at least one computer configured in the Zetta database.

Welcome < Installation Overview

© 2007-2017 RCS. All Rights Reserved.


System Requirements

The following tables show a list of minimum hardware and software requirements needed to run Zetta®. Zetta can run as a standalone database on a single workstation or in a network environment with Servers and Workstations.

Workstation Hardware Requirements

Workstation Software Requirements

Server Hardware Requirements

Server Software Requirements

Important Note!

The specifications are appropriate for a maximum of 10 stations with no more than 10,000 elements in the media library. A larger number of stations or library size will increase the memory and processor speed requirements necessary for satisfactory performance. Zetta should be the only broadcast or audio application running on studio computers.

Workstation Hardware Requirements

Component

Minimum Specification

Additional Information

Processor

Intel Core i3/i5/i7

4 cores or more recommended.

RAM

4 GB RAM or higher

8 GB or higher preferred

Hard Disk Space

5 GB minimum

Hard drive space should be calculated to suit compression and quality needs.

C D-ROM

A CD-ROM is optional and is only needed to rip audio into Zetta.

Video Card

Support for DirectX 9 graphics with:

  • WDDM Driver
  • 512 MB of graphics memory (minimum)
  • Pixel Shader 2.0 in hardware

Minimum screen resolution is 1024x768.

NVidia or AMD GPU video card to allow for Zetta's hardware-accelerated user interface rendering.

Network Interface Card

Gigabit Ethernet (1 GigE) recommended

Broadband Internet Connection

Required for connection to, Zetta2GO and when using ZCast Connection speeds of 1.5 Mbps download and 896 Kbps upload are recommended.

Zetta may need to be unblocked from the firewall depending on the computer and site's firewall settings.

Audio Solution

WASAPI, DirectSound or ASIO compatible

MPEG 1 Layer 2, MP3, uncompressed Linear .wav (PCM), AAC. Sampling rates of 32, 44.1 and 48 KHz

Peripheral Devices

Zetta supports many GPIO devices, external keyboards and audio cards.

System GPI/O

32-channel GPI/O card, Serial GPI

Workstation Software Requirements

Component

Minimum Specification

Additional Information

Operating System(s)

Windows 7 or higher. Windows 10 is supported however, Windows 8.1 is recommended. No version of Home Edition is supported.

64bit is highly recommended

Zetta2GO host is supported on Windows 7, Server 2008 R2 or higher. MP3 encoding requires Windows 8.1 or better (for format conversion and Zetta2GO Heads/Tails).

Important Note: With Windows 10, use the group policy editor to configure windows updates. For mission critical on-air servers RCS recommends Windows 8.1 or Windows Server 2012R2

SQL Server 2008, 2008 R2, 2012, 2014 or 2016

SQL Server 2016 Express is installed with the Zetta® Database Installation package. This is not required to run the client package in a server environment. Note: SQL Server 2016 is not supported on Windows 7 or Server 2008R2.

64bit is highly recommended. To obtain an older version of the Database Installer for SQL 2008-2014 contact RCS Support.

.NET Framework 4.6.2

.NET Framework is installed with the Zetta Installation package based on the version of Operating system.

Requires a reboot of the system.

VC++ Redistributable Packages for Visual Studio 2015

This is installed with the Zetta Installation package if not previously installed.

Server Hardware Requirements

Component

Minimum Specification

Additional Information

Processor

Intel Core i3/i5/i7

4 cores or more recommended. Suggested quad-core processor when installed with GSelector.

RAM

4 GB RAM or higher. 8 GB or higher preferred.

Suggested minimum 8 GB of ram when installed with GSelector.

Hard Disk Space

5 GB minimum, Options for multi-layered fault tolerance, redundancy, and data backup, Redundant array of independent disks

Hard drive space should be calculated to suit compression and quality needs.

C D-ROM

A CD-ROM is optional and is only needed to rip audio into Zetta.

Video Card

Support for DirectX 9 graphics with:

  • WDDM Driver
  • 128 MB of graphics memory (minimum)
  • Pixel Shader 2.0 in hardware

Minimum screen resolution is 1024x768.

Network Interface Card

Gigabit Ethernet (1 GigE) recommended

Broadband Internet Connection

Required for connection to Zetta2GO and when using ZCast. Connection speeds of 1.5 Mbps download and 896 Kbps upload are recommended.

Zetta may need to be unblocked from the firewall depending on the computer and site's firewall settings.

Important Note!

Zetta can be licensed using Hardware Dongle or a Software License. Zetta's software license can be completed using Internet Licensing, Manual Licensing or using Bluetooth Licensing.

Server Software Requirements

Component

Minimum Specification

Additional Information

Operating System(s)

Windows 2008 R2 Server or higher. Windows Server 2012R2 is recommended.

Preferred, Windows 8.1 higher for smaller systems. 64bit is highly recommended

Zetta2GO host is supported on Windows 7, Server 2008 R2 or higher. MP3 encoding requires Windows 8.1 or better (for format conversion and Zetta2GO Heads/Tails).

Important Note: With Windows 10, use the group policy editor to configure windows updates. For mission critical on-air servers RCS recommends Windows 8.1 or Windows Server 2012R2

SQL Server 2008, 2008 R2, 2012, 2014, 2016

SQL Server 2016 Express is installed with the Zetta Database Installation package, but is only suitable for smaller sites. Note: SQL Server 2016 is not supported on Windows 7 or Server 2008R2.

64bit is highly recommended. To obtain an older version of the Database Installer for SQL 2008-2014 contact RCS Support.

.NET Framework 4.6.2

.NET Framework is downloaded and installed with the Zetta Database Installation package based on the version of Operating system.

Requires a reboot of the system.

VC++ Redistributable Packages for Visual Studio 2015

This is installed with the Zetta Installation package if not previously installed.

IIS for Zetta2GO®

If IIS is not previously enabled, the installer will enable it if GSelector Integration or Zetta2GO are selected for installation during the install.

Port 80 (HTTP) must be enabled on the computer running the Zetta2GO service.

GSelector® Integration

Version 4.2.1 of GSelector

For GSelector Integration version 4.2.1 or higher will need to be installed to work with Zetta 2.9 or higher.

Welcome < Installation < System Requirements

© 2007-2017 RCS. All Rights Reserved.


Preparing to Install Zetta

Before installing Zetta, some configuration must be done. This section will outline the following pre-install tasks required to install Zetta and Zetta2GO for the first time.

Install Required Device Drivers

Configuring Windows to Run Zetta

Firewall Settings

Running Zetta with non-administrator account

Installing Windows Components for Zetta2GO

Install Required Device Drivers

Before installing Zetta for the first time on a new PC, ensure the latest device drivers are installed for the following components:

Audio Device Drivers/Software – Obtain the latest approved drivers and software from the vendor for the audio solution used. To obtain a list of supported and approved audio devices and drivers, contact RCS Support.

Video Device Drivers/Software – In addition to the latest audio drivers, it is important to have the latest stable drivers and software installed for the video solution used. Contact the vendor or manufacturer of the video device for the latest software and drivers.

Network Adapter Drivers/Software – Having current Network Adapter drivers will help to prevent any connectivity issues due to corrupt or outdated network device drivers. Contact the vendor or manufacturer of the network adapter for the latest driver.

Configuring Windows to Run Zetta

Zetta will run with User Account Control on or off. If user account control is turned on additional security prompts may be displayed upon installation of the software. In a network environment, Network Discovery and File Sharing will need to be enabled on Windows 7 and Windows 8 to allow the computers to communicate with each other. Contact the system administrator for assistance.

If running a Windows Server environment Zetta requires Desktop Experience and Media Foundation windows features be installed.

Firewall Settings

The following are the ports used by Zetta and the Services that use these ports. Most of these ports are automatically opened on the firewall of the computer when Zetta is installed, however they may need to be opened on the Internet firewall for the site if the services are used.

Protocol | Port | Service
RPC | 135 | Microsoft Message Queuing - http://support.microsoft.com/kb/178517
TCP | 443 | Zetta2GO SSL and HTTPS connections
TCP | 1801 | Message Queuing (including HTTP messaging) message traffic and internal session management traffic between Queue Managers.
RPC | 2101 | Microsoft Message Queuing - http://support.microsoft.com/kb/178517
RPC | 2103 | Microsoft Message Queuing - http://support.microsoft.com/kb/178517
RPC | 2105 | Microsoft Message Queuing - http://support.microsoft.com/kb/178517
TCP | 3131 | GSelector® Integration
TCP | 3132 | Status Feed Service (For Http Bindings)
TCP | 3133 | Status Feed Service
TCP | 3134 | Status Feed Service (For TCP Bindings)
TCP | 3135 | ZCast Service
TCP | 3136 | Zetta2GO and RCSAPI (For HTTP Bindings)
TCP | 3137 | Zetta2GO and RCSAPI (For TCP Binding)
TCP | 3138 | Zetta Integration API used with GSelector® Integration
UDP | 3527 | Microsoft Message Queuing - http://support.microsoft.com/kb/178517
TCP/UDP | 4060 | The default port for Now Playing Export, but can be changed. See the Now Playing Export tab in the System Configuration window for the protocol and port being used.
TCP | 42381 | DBMS Service
TCP | 42384 | DBMS Streaming Service (2.7 and above)
TCP | 42385 | Local DBMS Service (2.7 and above)
TCP | 42388 | Local DBMS Streaming Service (2.7 and above)
UDP | 49520 | Site Map Synchronization Version 2 (3.5 and above) - This port needs opened on all machines running Zetta.
UDP | 49999-65535 | Range for XMOM Agents
 | 55776 | Default port used for the WheatNet UIO GPIO Device. See the Computer Configuration GPIO/Routes tab for the actual port number.
 | 64333 | Default port used for DASDEC configuration. See the DASDEC configuration for the actual port used.
TCP/UDP | ? | GPIO devices using TCP or UDP connection requiring port configuration. See the Computer Configuration GPIO/Routes tab for the actual port number.

Running Zetta with non-administrator account

Zetta runs the following commands during the installation to allow Zetta to run under a non-administrator account. If the netsh.exe is blocked or disabled, it will need to be enabled for these commands to run.

Command to register the web service address we use to talk to GSelector, UAC requires this command:

netsh http add urlacl url=http://+:3131/Zetta user=Users

Command to register the status feed address:

netsh http add urlacl url=http://+:3132/StatusFeed user=Users

Command to register ZCast address:

netsh http add urlacl url=http://{computername}:3135/ user=Users

Command to register Zetta api http address:

netsh http add urlacl url=http://+:3136/ user=Users

Command to register Zetta api tcp address:

netsh http add urlacl url=http://+:3137/ user=Users

Command to register Zetta GS integration api tcp address:

netsh http add urlacl url=http://+:3138/ user=Users

Installing Windows Components for Zetta2GO

Windows IIS will be enabled with the Zetta Installation package, when Zetta2GO or GSelector Integration is selected, if not previously installed. Contact the site system administrator for assistance.

To enable Internet Information Services (IIS), WCF and ASP.NET, perform the following steps:
  1. Go to Control Panel | Programs and Features
  2. In the left pane, click Turn Windows features on or off
  3. Under the .NET Framework 3.5 enabled both WCF options (Windows Communication Foundation)
  4. Under .NET Framework 4.5 Advanced Services enabled expand the WCF Services
  5. Enable TCP Port Sharing
  6. Under Internet Information Services select all items in the following illustration. (The following illustration is for Windows 8.1)

  6. Under World Wide Web Services enable all items in the above illustration.
  7. Click OK
  8. Install windows updates.

Welcome < Installation < Preparing to Install Zetta

© 2007-2017 RCS. All Rights Reserved.


Zetta Database Installation

Zetta® uses a SQL database. For this reason, there are two phases to the installation. To obtain the current version of Zetta® contact RCS Support. The database package is only required on the database workstation or server.

To install the Zetta® Database on a new computer, follow these steps:
  1. Launch the Zetta® Database Install Package obtained from RCS Support.
  2. Depending on the security settings of the system, the first screen may be a Security Warning.

  3. When the installation package runs, the Welcome screen is displayed. Click Next to start the installation.

  4. Enter the Zetta® install password obtained from RCS Support
  5. Click Next. The installer will download and install any of the prerequisites needed for the database and SQL if they are not already installed.

  6. The default selection is Create new SQL Server instance. If SQL is already installed on the system, see the Advanced Database Installation section of this guide.
  7. Click Next.

  8. Leave instance and password as presented.
  9. Click Next
  10. From the Additional Tasks window, select the Install the Zetta Database option.

  11. Click Next

  12. Ready to install, click Install.
  13. If SQL is not already installed, the user may be prompted to choose a directory to extract the files needed for SQL Express. Click OK or Browse to a new directory.

  14. Click Finish to exit the installer and restart the computer if prompt.

Next, visit the Zetta Client Installation to install the Zetta application on the computer.

Welcome < Installation < Zetta Database Installation

© 2007-2017 RCS. All Rights Reserved.


Advanced Database Install

Welcome < Installation < Advanced Database Installation

Advanced Database Installation

When SQL is already installed on the computer and the instance Zetta is to use is created, the database installer will be used to create the Zetta database using an existing SQL Server instance.

Important Note!

To connect additional clients to the SQL database TCP/IP must be enabled as a Protocol for the SQL Instance that Zetta will use. Use the SQL Server Configuration manager to enable the TCP/IP protocol.

The following steps can be used to continue installing the Zetta database into an existing SQL Server instance.

To install the Zetta® Database using an existing SQL server instance, proceed with the following steps:
  1. If SQL server is already installed on the Computer, choose Use existing SQL Server instance.

  2. Click Next
  3. From the Additional Tasks window, select the Install the Zetta Database option.

  4. Click Next

  5. Choose either Local Server or Network Server.
  6. Enter the Name of the server and the Instance <ServerName\InstanceName> or click the drop-down to choose and available server and instance.
  7. Choose Windows Authentication or SQL Server Authentication.
  8. Enter the sa user and password for SQL Server Authentication.
  9. Click Next

  10. Click Install the start the installation.

  11. Click Finish

Next, visit the Zetta Client Installation to install the Zetta application on the computer.

Welcome < Installation < Advanced Database Installation

© 2007-2017 RCS. All Rights Reserved.


Zetta Client Installation

Once the Zetta® Database has successfully been installed, install the Zetta® client software. The Client Installation package includes the Zetta2GO® and the RCS Database Management software. The Zetta2GO software does not need to run on the Database server to function, however, this application does require a computer or server with IIS. The IIS component will be installed with the installation package if it is not previously installed on the computer.

To install the Zetta® client software on a new computer, follow these steps:
  1. Launch the Zetta® Installation Package obtained from RCS Support.
  2. Depending on the security settings of the system, the first screen may be a Security Warning.

  3. The Welcome screen is the first installer window displayed. Click Next

  4. Enter the Zetta® install password obtained from RCS Support.
  5. Click Next

  6. GSelector Integration with Zetta has been upgraded starting with Zetta version 2.9 and GSelector version 4.2.1. The GSelector Integration version check window requires the user to confirm that either the installed version of GSelector is 4.2.1 or higher or that Zetta is NOT integrated with GSelector. Verify at least one of these requirements has been met and select the I confirm installation requirements are met to proceed. Once this information has been verified, future upgrades will not require this confirmation.
  7. Click Next

  8. Accept the default folder location for the installation. Click Next

  9. Select the Options to Install. Zetta Client and Zetta LocalDB are selected by default. The Emergency On-Air Backup feature uses the Zetta LocalDB option.
  10. Select GSelector Integration Prerequisites, if this Computer will be responsible for running the GSelector Integration Services.
  11. Select Zetta2GO to install the web service to allow external devices, such as a Laptop, iPhone, iPad or Android device to connect to the database from a web browser.
  12. Select the RCS Database Manager to install the RCS Database Management System. This software allows Zetta to Switch from a Primary Database to a Secondary Database and is used in conjunction with SQL replication or another third party replication service. This option must be installed on at least one computer for Zetta to communicate with the Primary database. This option is not needed for the Emergency On-Air Backup feature which uses the Zetta LocalDB option.
  13. Click Next
  14. Select from the options for starting the Startup Manager when the user logs into Windows.

Important Note!

When the Startup Manager is set to start automatically, any audio scheduled to play by the sequencer for the machine will start to play. In other words the Zetta UI is not required to play audio from a scheduled log when in Auto mode. An Automatic start is recommended for those computers responsible for running the Station sequencer.
  15. Click Next

  16. The Zetta installer will optionally create the SSL Zetta2GO Certificate when the Zetta2GO option is selected for install. Type in the two letter Country abbreviation into the Country field.
  17. Type in the state into the State field. International customers that do not have a State can enter anything into this field.
  18. Type in the city or location of the computer into the Locality field.

  19. Optionally, select Don't create SSL Zetta2GO Certificate if an SSL certificate already exists or if the site uses another certificate type such as Verisign certificates.
  20. Click Next

  21. Accept the default location for the program shortcut. Click Next

  22. Choose whether to have a Desktop Shortcut. If upgrading this can be deselected to preserve any command line options for auto login.
  23. Click Next

  24. A summary is provided of the installation selections. Click Install to begin copying files.
  25. If this is a new installation, during the installation process, the .Net framework is installed if not previously installed. If .NET Framework is installed, skip to step 29
  26. .NET framework may require a reboot to finish the installation, click OK
  27. Restart the computer.
  28. When the computer boots back up, log in as the same user and the installation will restart. (Return to step 1)

  29. Choose the SQL Server Instance that was created during the Zetta Database Installation
  30. Click Next
  31. If this is a Client Only install, the user will need to enter the IP address or Computer Name of the Primary DB Manager. This allows the client to connect to the Zetta database. If upgrading a client only computer the user will be prompted to confirm the current Primary DB or enter a new IP or Computer name.

  32. Click Next
  33. Enter the IP or Computer Name of the Primary DB Manager server.
  34. Click Next

  35. Click Finish to launch Zetta.
  36. Next see the Zetta Updates section to update the database and then proceed to the Logging into Zetta for the first time section.

Post Installation Reboot

There are times a computer reboot will be required at the end of the installation process. In such cases a prompt will alert the user and allow the user to initiate the process.

The user will be given a choice to reboot the computer now or later. RCS recommends selecting the option to reboot now. After selecting the radio button for the option desired, click the Finish button.

Important Note!

If the option to reboot later is selected, make sure a reboot is done before running Zetta. The program will not operate correctly until the computer is restarted.

Welcome < Installation < Zetta Client Installation

© 2007-2017 RCS. All Rights Reserved.


Zetta Updates

Welcome < Installation < Zetta Updates

Zetta® Updates

As RCS builds on the technology in Zetta the database will need to be updated. These updates are performed after new installs and when upgrading to the latest release of Zetta. Follow the Zetta Client Installation instructions to Install or Upgrade Zetta. Once Zetta is installed if there are updates needed for the database, the Zetta Database Updates window will immediately launch. If the user selects Cancel the updates will not run and Zetta will not start.

To Update Zetta, perform the following steps:
  1. For new installs and during some upgrades the user will be prompted to Run Updates. In this window there is also the option to run a Backup before the update. If this is a new install the Backup database to Oops before update option can be unchecked, however, if this option is selected the following warning will display.

  2. Click Yes to Continue.
  3. If the Backup Store is not online when Zetta first starts, the Oops backup is saved to the SQL install folder for Zetta, which is located on the C: drive similar to this file path (C:\Program Files\Microsoft SQL Server\MSSQL10_50.ZETTA\MSSQL\Backup). Close the Zetta warning using the X in the upper right corner of the alert to allow the update to continue.

  4. Click Close when the updates are finished. If an Update fails, contact RCS Support for assistance.
  5. If this is a new installation, proceed to the Zetta Licensing section to license the product.

Welcome < Installation < Zetta Updates

© 2007-2017 RCS. All Rights Reserved.


Logging into Zetta for the first time

Welcome < Zetta Quick Setup < Logging into Zetta for the first time

Logging into Zetta® for the first time

The first time Zetta is launched for a new system the login window will show Not Licensed and the user will be prompted to create the Computer in the database. This will create the local computer and an Audition Player with three play streams for the computer. Once the Zetta system is licensed, each additional computer may show This Computer is not licensed on the login window until the computer is created and a license is allocated to the computer.

To create a computer in Zetta, perform the following steps:
  1. If the login screen is not visible Launch Zetta using the application shortcut

  2. Log in to Zetta® using the Supervisor account (no password is required).
  3. Click the Arrow [image] or press Enter to login

  4. With the first login into the database, the user will be prompted to create a computer account. Click Nex t to continue

  5. Enter the Computer Name or leave the default localhost name.
  6. Enter a Description of the computer (optional)
  7. Click Next to continue

  8. When the computer is created click Finished this will open the Main Zetta application window and show (ZETTA NOT LICENSED) in the upper right corner.
  9. Close Zetta and Restart the Computer.
  10. Next proceed to the Licensing section for assistance in licensing Zetta.

Welcome < Zetta Quick Setup < Logging into Zetta for the first time

© 2007-2017 RCS. All Rights Reserved.


Zetta Quick Setup Overview

Welcome < Zetta Quick Setup

Zetta® Quick Setup Overview

The initial setup of Zetta is simple. The instructions provided in the following sections can be used to quickly get a station up and running. The Basic Setup is comprised of the following steps:

  1. Zetta Quick Configuration
    1. Configure Database Features
    2. Configure the Computer
    3. Add Play Containers
    4. Create a Station
    5. Content Management Setup
    6. Create Flat File Assignment to Load Traffic
    7. Configure GSelector Integration
    8. Working with Security
  2. Adding Library Media
  3. Play Audio On-Air

Welcome < Zetta Quick Setup

© 2007-2017 RCS. All Rights Reserved.


Zetta Quick Configuration

Welcome < Zetta Quick Setup < Zetta Quick Configuration

Zetta® Quick Configuration

Using the Configuration menu, Zetta can be easily configured to run a station quickly. Zetta can be configured before it is Licensed however licensing warning alerts [image] will be shown throughout the system until the system is licensed.

Configure Database Features (System)

Configure the Computer

Add Play Containers

Create a Station

Content Management Setup

Media Store

Backup Store

Create a Flat File Assignment to Load Traffic

Configure GSelector® Integration

Getting Connected to GSelector®

Verifying GS Web Services

Verifying Connectivity

Assigning GS Hold Categories

Configuring Zetta® System Options

Enabling GSelector® Integration

Zetta® System GSelector® Settings

GSelector® Interfaces Settings

Working with Security

Create an Organization

Create a Role

Create a User Account

Configure Database Features (System)

The database features enable additional components in Zetta®. The following Database Features are available in Zetta.

GSelector Integration – The GSelector Integration feature option will enable the GSelector® tab to allow the configuration of integrating GSelector with Zetta.

Database Notify Service – The Database Notify Service is used to assign a machine to notify network computers running Zetta of all database changes. The Database Notify Service needs to be active for Zetta communication before the station is configured.

Time Sync Service – The Time Sync Service is for sites with more than one computer running Zetta, this option must be selected and the computer with the time sync device must be chosen to keep the time on all the computers synced to one source.

Status Feed Service - The Status Feed Service is a Service that will return information about each station and vital system information.

Zetta Splits® – Zetta can be setup as a Splits Master or Splits Client that will allow Zetta to send or receive audio, logs and queue commands from another Zetta Station. Splits in Zetta is a subscription based model, which means that any split client can subscribe and listen for split master control events.

ZCast® Service – ZCast enables stations to share data and audio between interconnected sites, allowing small stations to be voice-tracked, programmed or updated from combined radio facilities, consultant's offices or remote broadcast locations.

Scheduled Maintenance – Scheduled Maintenance is enabled automatically and corresponds to the Scheduled Maintenance tab in the System Configuration window. The selected computer can be set up to run different maintenance tasks at a specified time to keep Zetta® running normally and at best performance.

Zetta2GO® Service - The Zetta2GO Service is used to assign the machine that will be the service Host for Zetta2GO. The Service Host machine must have the required Windows Components and Zetta2GO installed.

Multisite Voice Tracker® - Zetta's Multisite Voice Tracker is a new feature in version 3.00 of Zetta. This feature allows users to voice track in a single log for multiple Zetta sites using ZCast.

Site Replication Services - The Site Replication Services are used to sync two or more Zetta sites, to create redundant Zetta systems. These redundant systems can be local or remote allowing for synchronization across a wide area network.

To configure the database features, follow these steps:
  1. In the Configuration menu, select System.

  2. Edit the Site Name to name the installation, leave the default or enter any name desired.
  3. Use the Selected Language field to select a site default language; this will translate Zetta to the selected language when Zetta is restarted. See the Translation section for more information on creating a custom translation.
  4. Check the Active box next to the GSelector® Integration component to allow GSelector to schedule the logs in Zetta.
  5. Select the Computer responsible for GSelector Integration.
  6. Select the Computer that will run the Database Notify Service and be responsible for notifying other network computers running Zetta, of all database changes.
  7. Select the Computer to run Scheduled Maintenance
  8. Check the active box next to any other service that will be needed for the desired configuration and assign the computer to run the service.

  9. Click the Save [image] icon to save the settings.
  10. At each computer assigned in the General tab verify the assigned services start in the Startup Manager. Access the Startup Manager window by double-clicking on the [image] icon in the System Tray.
  11. If the services have not started, click the Stop All button for each service.

  12. Once all the services have stopped, click the Start All button for each service with the exception of the GSelector Service. GSelector will need to be configured in the GSelector tab of the System Configuration window before starting this service.
  13. Verify that all services selected start correctly. Minimize the Startup Manager to return it to the system tray.

Configure the Computer

When logging into Zetta for the first time the user is prompted to add the computer using the Computer Setup Wizard. With the addition of this initial computer, a play device and an Audition Play Container are created for the computer. The default configuration for the Audition play container is the first three streams of the installed play device. For an On-Air computer additional streams will need to be added. For the following setup, an Axia device will be used to setup the On-Air workstation.

To configure the Computer, perform the following steps:
  1. In the main application window, click the Configuration menu.
  2. Click Computers. The computer that was added when Zetta was logged in for the first time should be displayed.

  3. In the Details tab change the Name and Description if needed.

  4. Optionally, select Maintain Local Copy of Database if the computer will be used as a Local Emergency Backup. See the Emergency On-Air Backup topic in the Features section.
  5. Select the Network Adapter that the computer will use to communicate with the other Zetta Computers on the network. This allows Zetta computers and processes to communicate over the correct Network Interface Connection. If this is a laptop or other portable device that will switch from Ethernet cable to Wireless, it is recommended that Host Name be used for this setting.
  6. Click Play Devices tab. The first play device is created with the computer setup at initial login.
  7. Optionally rename the device using the Device Name field.
  8. Optionally edit the Device Description of the device.
  9. The Technology Type, Zetta Audio Engine (WASAPI - Recommended) is the default and recommended Technology Type to use. Contact RCS Support for assistance or press F1 in the Play Devices tab for additional help.
  10. Use the Default Play Device drop-down menu to select the default sound device for Zetta to use.

  11. To configure the additional streams needed for an On-Air computer, click the Add Play Stream [image] button. For this example, we will use Fifteen streams. The following chart shows the recommended Play Container Streams.
Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play | 3 Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys® | Frequently used audio control room events saved to Hot Keys® | 3 Stream
Stacks | Used to play a stacked selection of audio control room events | 3 Streams
Z-Player | Used to play audio in the Z-Player Module | 3 Streams
  12. Double-click the Short Name field to add a name. (Optional)
  13. The Stream Name can be changed by double-clicking the Name in the Stream Name column, and entering the desired name.

  14. The Stream can be given a Short Name by double-clicking the Short Name column for each stream.
  15. For each of the streams configured, select a Play Device.

Important Note!

Selecting the same Play device for multiple streams, will cause all audio to be played from the same Play device.

When configuring Axia drivers, be sure to select the Axia IP-Driver (WDM), selecting the Axia Wave driver will prevent the play of multiple items simultaneously.

  16. Once the play streams have been configured, click the Save [image] icon.
  17. Click OK to the warning that the play device must be restarted for the changes to take effect.
  18. Select the Audio Assignments tab, the Audition player has been set, but can be changed later using the drop-down menu to choose a play container for local playback. The Play Devices and Play Containers must be defined before additional Players are available.
  19. Use the VT/Mini Recorder Record Device drop-down to select an installed record device for Voice Tracker®.
  20. Use the Multitrack Record Device drop-down to select a Windows installed record device to use as the default record device for the Multitrack Editor Module. This device must be selected from the computer that it is physically installed in. To select a specific record device for each track in the multitrack editor, use the record device drop-down selector for each track within the Multitrack Editor Module Project tab.
  21. Use the Multitrack Playback Device drop-down to select a Windows installed playback stream to use for the Multitrack Editor Module. This device must be selected from the computer that it is physically installed in.
  22. Use the QR Record Device drop-down to select an installed record device to use for the Quick Record Module.
  23. Use the QR Playback Device drop-down to select an installed play stream to use for the Quick Record Module.

  24. Click the Save [image] icon to save changes.
  25. Restart Zetta and the Startup Manager.
  26. For more information on configuring computers, see the Computer Configuration section.

Important Note!

Anytime a Play Device is changed the Play Device in the Startup Manager will need to be restarted.

Add Play Containers

Play Containers in Zetta give the ability to group play streams together. This is necessary, as there are times when station playback requires multiple events to be fired simultaneously. Each audio event playing at any given time must have its own play stream. The following are the recommended Play Containers to be created:

On-Air Play Container – The On-Air Play Container (Sequencer) is used for On-Air playback. For the best On-Air sound and playability, use a minimum of three play streams for this play container.

Audition Play Container – The Audition Play container is used for Local playback for previewing audio from the Library Module. One play stream is needed for this play container, three are recommended.

Hot Keys Play Container – The Hot Keys Play container is used for playing audio back from the Hot Keys Module. Use at least one play stream for this play container, three is recommended.

Stack Play Container – The Stacks Play container is used for playing audio back from the Stacks Module. For best On-Air sound and playability, use at least two play streams for this play container, three is recommended.

Z-Player Play Container – The Z-Player Play container is used for playing audio from the Z-Player Module. Use at least one play stream for this play container, three is recommended.

To add Play Containers, follow these steps:
  1. Select Play Containers from the Configuration menu. The Audition play container is already created with the initial computer setup.
  2. The Name can be changed if desired.
  3. In the second line type in a description of the Audition play container (optional)
  4. To add additional play streams for the Play Container, click the Add Player Stream [image] button for the desired number of streams.
  5. For each stream, select the Player Device configured in the computers play device tab.
  6. Select the Stream Name to use for the Player.
  7. Use the Verify if Players Online [image] button to verify the players are functioning; the status column will display a green check mark [image]. If the Player is not online or not functioning a red [image] is visible in the Status column. If the playback stream is online but the device cannot be verified a yellow check mark [image] is visible in the Status column. Hover the mouse over the icons in the status column to view the status of the players.
  8. Optionally, select the Audio Types that can be played for the selected play device (All) Audio Types is the default.
  9. Click the Save icon [image] to add the Player.
  10. Click the Add New Player [image] button or the Copy Selected Player button from the top left pane of the Player window for additional play containers. The Copy button will create a copy of the Play Container with the exact same settings. The Add Player button will create an empty Play Container. The following table shows a list of recommended play containers and streams.
Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play | 3 Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys | Frequently used audio control room events saved to Hot Keys | 3 Stream
Stacks | Used to play a stacked selection of audio control room events | 3 Streams
Z-Player | Used to play audio in the Z-Player Module | 3 Streams
  11. Enter a Name for the new or copied Play Container.
  12. In the second line type in a description of the play container (optional)
  13. To add play streams for the Play Container, click the Add Player Stream [image] button for the desired number of streams.
  14. For each stream, select the Player Device configured in the computers play device tab.
  15. Select the Stream Name to use for the Player.
  16. Use the Verify if Players Online [image] button to verify the players are functioning; the status column will display a green check mark [image]. If the Player is not online or not functioning a red [image] is visible in the Status column. If the playback stream is online but the device cannot be verified a yellow check mark [image] is visible in the Status column. Hover the mouse over the icons in the status column to view the status of the players.
  17. Optionally, select the Audio Types that can be played for the selected play device (All) Audio Types is the default.
  18. Click the Save icon [image] to add the Player.
  19. Repeat steps 10-18 for additional Play Containers.
  20. When finished, the Play Containers window should show all five Play Containers.

See the Play Container Configuration section for more detailed information on players.

Create a Station

This covers the basic setup for a station for information on Splits, Shifts and Satellite see the Station Configuration section.

To create and configure a station, follow these steps:
  1. Using the Configuration menu, select Stations

  2. Enter a Station Name to identify the Station in the first space provided
  3. Enter a small description of the station. (optional)
  4. Enter the Call Letters of the station.
  5. Enter an Enterprise Station ID. This is used with external Traffic applications and may not be required for the station. This field can also be exported using Now Playing Export feature.
  6. Select the Computer to run the station
  7. Select Active to activate the station. This setting will activate the station so that logs can be generated. The station will not be available in the On-Air Module or Log Module unless the Active option is selected.
  8. Select Audio needs approval before airing if desired. (optional)
  9. Select Predictive air times in Logs and Clocks if desired. This will cause log and clocks to process future hard/soft ETM events showing pre drops around the ETM events. (optional)

See Themes & Appearances section for information on the Appearance and Row Highlight options.

  10. Optionally, change the number of Past Days to Keep logs for the station. Purge Old Logs must be selected in the Scheduled Maintenance tab of the System Configuration window.
  11. Optionally, change the number of Future Days to Schedule logs for the station. Schedule Days must be selected in the Scheduled Maintenance tab of the System Configuration window.
  12. Optionally, change the Log handling on Mini-Log placement using the drop-down. See the Mini-Logs section for more details on Mini-Logs.
  13. Select the Playback tab. See the Playback section for more details.
    1. Select the On-Air player created in the Add Play Containers section of this guide for the Sequencer Player.
    2. Select the Hot Keys® player created in the Add Play Containers section of this guide.
    3. Select the Stacks player created in the Add Play Containers section of this guide.
    4. Select the Z-Player created in the Add Play Containers section of this guide.
    5. Optionally, adjust the Fade-Out Duration in Seconds
    6. Select the Stream Assignment Method.
    7. Select the check box next to the desired player to Apply the Fade-Out value on Stop
    8. Optionally, adjust the percentage of Maximum for Stretch and squeeze to use in the log. The Maximum stretch/squeeze is the amount of pitch that can be applied to the contents of a Spot Block to get the length to the specified time value.
    9. Optionally, adjust the Hook Fade-In time in Seconds
    10. Optionally, adjust the Hook Fade-Out time in Seconds
    11. Set the Recue audio if stopped and has played less than time in percent or seconds of audio played.
    12. Set how to handle Live Events for the station using the Live Event Handling options.

  14. Click the Automation tab. See the Automation section for more details.
    1. Select the TOH ETM Type. The Top of Hour marker in the Log will be treated as a comment unless this option is used. This option is useful if a Spot Block is to be scheduled at the Top of every hour. The default setting is Reset.
    2. Enabling the Auto Fade Songs at Segue feature will automatically fade songs for the station at the marked segue point for the Fade-Out Duration configured above.
    3. The ETM Fill Category field is used to specify the category used to fill audio to meet exact time markers (ETMs). Categories are created in the Station Specific tab of the Library asset. The Category can be a Song, Link or Other Audio Category. This can be set after GSelector is configured and synced to Zetta or after Categories are created in Zetta.
    4. The Block Fill Category field is used to specify the category used to fill audio to meet a specified Spot Block length. Categories are created in the Station Specific tab of the Library asset. The Category can be a Song, Link or Other Audio Category. This can be set after GSelector is configured and synced to Zetta or after Categories are created in Zetta.
    5. Soft ETM Window, Early: X Late: Y (seconds) - The Soft ETM Window option is used when a Soft ETM is scheduled in the log for the station. If the log is under filled by less than the ETM window stated here, then the event after the Soft ETM will be started and hour fill will not occur. If an event is to start within the Soft ETM window and has more audio after the end of the ETM than before then this event will be skipped and the event after the Soft ETM will be started. For instance, if the Soft ETM window is one minute and the event that is to start is three minutes, there will be two minutes of audio left after the ETM. Therefore, Zetta will skip this event and play the next event after the Soft ETM.
    6. When within the window, prefer Closest/Over/Under - The option, When within the window, prefer Closet/Over/Under works with the Soft ETM Window setting above to select how the Sequencer will hit the Soft ETM marker. If no Soft ETM window is defined (0/0), then this setting does NOT apply and Zetta will use the legacy default Soft ETM behavior which means the log will stay overscheduled but not by more than one event. If Soft ETM window is defined and the log is overscheduled and starts dropping events:
      • If there are NO over/under combinations within the ETM window, Zetta will fall back to the above legacy default Soft ETM behavior.
      • If there ARE one or more over/under combinations within the ETM window, the 'When within the window, prefer' setting is applied:
        • Over - If Over is selected, Zetta will keep the extra events to stay over but while within the ETM window, Zetta will NOT try to eliminate extra events that may exist while still staying over.
        • Under - If Under is selected, Zetta will keep on eliminating events until the window is no longer overfilled but still within the ETM window.
        • Closest - If Closest is selected, if multiple over/under options exist, Zetta picks the one closest to the Soft ETM time, while still within the ETM window.
    7. Automatically set Spot Blocks as Fixed - The Automatically set Spot Blocks as Fixed option is used with Backtiming. This option will set all Spot Blocks in the Log as Fixed. If a Spot Block is set as Fixed the events in the spot block are also fixed.
    8. Automatically set Macros as Fixed - The Automatically set Macros as Fixed option is used to set all Macros scheduled in a log as Fixed. When a macro is set as fixed all events within the Macro are set as fixed.
    9. Execute ETM events in Live Assist Mode - The Execute ETM events in Live Assist Mode option is typically used with Backtiming. When this option is selected the user is presented with two options for playback when the ETM executes:
      • Resume playback if stopped when Soft ETM executes - When this option is selected and the Sequencer is in Live Assist mode all fixed events will play before the next Soft ETM. If this option is enabled when the sequencer is in Live Assist mode the Soft ETM events will execute the same as if the sequencer were in Auto mode.
      • Resume playback if stopped when Hard ETM executes - When this option is selected and the Sequencer is in Live Assist mode all fixed events will play before the next Hard ETM. If this option is enabled when the sequencer is in Live Assist mode the Hard ETM events will execute the same as if the sequencer were in Auto mode.
    10. Trigger next event after Hard ETM in Satellite Mode - If this option is checked and a Hard ETM executes in Satellite Mode, Zetta will fade out any existing event(s) (if any are playing), drop anything overscheduled AND execute (PlayNext) the upcoming event. The event that needs to fire should be immediately adjacent after the Hard ETM; if it is not, say there is a Comment, the next playable event (e.g. a Spot Block) will not be fired. Only the next event will play when in Satellite mode. When the event is finished all playback will stop as all events are treated as having a stop chain in Satellite Mode.
    11. ETM events can remove Fixed Items - Enabling the ETM events can remove Fixed Items option, will allow Zetta to remove any fixed events from the Log in the situation where there are more fixed events scheduled than there is time remaining before ETM.

  15. Select the Normalization tab. Normalization is the process of increasing (or decreasing) the amplitude of an entire audio signal so that the resulting peak amplitude matches a desired target. Normalization can be set for each type of asset.
    1. Limit Peak – When this option is checked the Absolute Peak will be at 0dB
    2. Select Active next to the desired audio to be normalized

    3. Select the Normalization algorithm to be used by Zetta®:
      • Absolute Peak – (As used in AFC 4.0) Absolute peak normalization checks every sample in the audio file and calculates the largest audio peak value.
      • Root Mean Square – (As used in Selector/MC 15) Uses the square root mean algorithm to calculate peak values, which is the square root of the mean or middle of the squares of the values.
      • Filtered Peak – (As used in AFC 3.0) Filtered peak normalization analyzes all the samples within an audio file and calculates the peak level by ignoring 5% of highest samples.
      • Average Peak – Average peak normalization which is new with Zetta, analyzes all the samples within an audio file and calculates the median or middle value of the top 5% of the peaks.
      • Loudness (EBU R128) ITU-R BS.1770rev0 - Loudness normalization is concerned with balancing audio according to their actual perceived loudness. The EBU R128 is the recommended level of loudness at -23LUFS. The ITU-R BS.1770 standards provide an algorithm for quantifying the loudness and loudness level of a given audio asset in loudness units (LU or LUFS).
      • Loudness (Gated) ITU-R BS.1770rev3 - Loudness (Gated) ITU-R BS.1770rev3 is an algorithm to measure audio loudness of a Gated block of audio. Recommended for Broadcast audio.
  16. Select the Ducking tab to set the levels to use for songs when played in the log with other asset types. See the Ducking section for more details.

  17. Click the Save [image] icon.
  18. To create additional stations, click the Add New Station [image] icon and repeat steps 2-12.
  19. On each machine that is assigned to a station the Startup Manager may need to be restarted. Access the Startup Manager window by double-clicking on the [image] icon in the System Tray.
  20. Expand the Sequencer section to verify the Sequencer for the created station starts. If it does not start automatically, click the Stop All button for each service.
  21. Once all the services have stopped, click the Start All button for each service.
  22. Verify that all Station Sequencers start correctly. If the Sequencer still does not start verify the Configuration and the Licensing for the station.

  23. Minimize the Startup Manager to return it to the system tray.

For more information on Stations, Shifts and Satellite see the Station Configuration section.

Content Management Setup

Content Management in Zetta® allows the user to store and manage media assets and backups in a specified network location. This section will detail the steps needed for configuring and using Content Management for Media and Backup storage in Zetta.

Note: Content Management setup is not required in a stand-alone environment, but is highly recommended when using Zetta.

Media Store

To configure Content Management Media Store for Zetta, perform the following steps:
  1. Go to Configuration menu and click Content Manager

  2. Click the Add Store [image] button.
  3. Enter in a Name for the Content Store
  4. Select Media Store from the Type drop-down
  5. Specify the Storage Path location or browse to the shared directory for the Content Store.
  6. Select the computer that will manage the store from the Managed By drop-down list

  7. Click Save [image].
  8. Repeat for each Media Store.
  9. Access the Startup Manager window by double-clicking on the [image] icon in the System Tray:
  10. Expand the Content Management Services section to verify the services for the content stores created start. If the services do not start automatically, click the Stop All button for the Content Management Services group.
  11. Once all the services have stopped, click the Start All button.
  12. Ensure all the Content Management Services start.

Backup Store

To configure Content Management Backup Store for Zetta, perform the following steps:
  1. Go to Configuration menu and click Content Manager
  2. Click the Add Store [image] button.
  3. Enter in a Name for the Content Store
  4. Select Backup Store from the Type drop-down
  5. Specify the Storage Path location or browse to the shared directory for the Content Store.

  6. Click Save [image].

See the Content Manager section, for more detailed information on Content Management.

Create a Flat File Assignment to Load Traffic

If GSelector Integration is not used, then a Flat File Assignment can be created to assist in the loading of Music and Traffic into the Logs.

To create a Flat File Assignment in Zetta, perform the following steps:
  1. From the Configuration menu, select Flat File Assignment

  2. Click the Add Assignment [image] button
  3. Enter an Assignment Name for the Flat File Assignment.
  4. Optionally, enter an Assignment Description for the Flat File Assignment.
  5. Enter the Path/Filename where the Flat File can be located. To use Filename variables as seen in the illustration below, see the Zetta Variables section.
  6. Select the Processing Type desired, if Manual is selected there is a Load Traffic/Music from Flat File [image] button in the Logs Module. See the Clocks and Logs section for more details.
  7. Select the Computer that will look for the flat file when using Auto as the Processing Type
  8. Select the Station to load the flat file
  9. Select the Type of Flat File.
  10. Select the Content.
  11. Select the Template for Zetta® to use. Additional Templates can be created contact RCS Support for details.
  12. Select the Character Encoding
  13. Optionally, select the Create missing assets option to create any assets that are found in the traffic load file but not in Zetta.
  14. Optionally, select the Spot blocks can span an hour option. This option is only available when Load is selected as the Type and Traffic is selected as the Content. See the Flat File Assignment section for more details.
  15. Optionally, select the Delete all spots in spot blocks before loading traffic option.
  16. Optionally, select the Traffic Load Position marker to hold multiple Spots option. This option is used when the Traffic Load Position Control Event is placed in a Spot Block.

  17. Click the Save [image] button to save the assignment.
  18. Repeat for each Station and Day as necessary.
  19. Stop the Flat File Load & Reconciliation service in the Launcher section of the Startup Manager.

  20. Click Start to Flat File Load & Reconciliation restart the service.

Configure GSelector® Integration

The System Window in Zetta is used to configure GSelector Integration, for Log programming and to specify the machine responsible for notifying the network of database changes.

Important Note!

Prior to attempting to enable GSelector Integration, it is recommended that all tasks in the Getting Connected to GSelector section have been completed.

Version 4.5 or higher of GSelector is recommended to take full advantage of the functionality and integration between Zetta and GSelector.

Getting Connected to GSelector

Verifying GS Web Services

Verifying Connectivity

Assigning GS Hold Categories

Configuring Zetta System Options

Enabling GSelector Integration

Zetta System GSelector Settings

GSelector Interfaces Settings

Getting Connected to GSelector®

Before configuring GSelector Integration in the System Options, it is critical that the following steps are completed:

  1. Ensure GSelector is properly installed and runs without errors: In order to configure integration, GSelector must be present and running. Ensure GSelector launches without errors and has one On-Air Station configured. Consult the GSelector Help Guide or contact RCS Support for assistance with GSelector questions.
  2. Ensure GSelector web services use IIS in Windows for Network configuration: Verify GSelector web services are installed before configuring integration; see the Verifying GS Web Services information in this section.
  3. Verify Zetta® Workstation can successfully connect to GS web services: To ensure communication can occur without issues, test the connectivity prior to configuring integration; see the Verifying Connectivity information in this section.
  4. Assign Hold Categories in GSelector: In order for a station to be eligible to participate in integration, hold categories must be assigned to the station. For more information on assigning these Hold Categories, see the Assigning GS Hold Categories in this section.

Verifying GS Web Services

To verify web services are properly installed with IIS, follow these steps:
  1. Go to Start | Run and type in inetmgr
  2. Press ENTER or click OK.
  3. In the left frame, expand <System Name>\Web Sites\Default Web Site, verify the GSImportExportService and the RCS.GSelector.Marvin.Services is installed.

  4. Open the GSelector Editor to verify the RCS.GSelector.Marvin.Services services are running,
  5. Once verification of the services is completed, close the IIS Manager window.
  6. Now, attempt to connect to the GSImportExportService from the Zetta® machine as outlined in the Verifying Connectivity section of this topic.

Important Note!

If these services are not present, contact RCS Support.

Verifying Connectivity

To verify the Zetta Computer can connect to the GS Web Services, follow these steps:
  1. Open the default web browser from the Computer that will be assigned to run the GSelector Service.
  2. Access the address for the GSImportExportService from the Zetta® Computer. The format of this address is:

IIS = [http://<GS IP Address>/gsimportexportservice/gsimportexportservice.asmx]

Important Note!

If the above web page is not displayed contact RCS Support for assistance troubleshooting connectivity issues.

Assigning GS Hold Categories

Important Note!

In GSelector, a station will not be eligible to participate in any implementation of integration until the Song and Link Hold Categories have been designated.

If these have not been specified for a channel, the channel will show as ineligible in the Interfaces window of GSelector:

To configure Hold categories used for deleted Songs and Links, perform the following steps:
  1. Open GSelector®, and choose the station to configure.
  2. Click Goals |Categories
  3. Verify there are a Song Hold Category and Group. GSelector will create two categories by default when a station is created; A1 which is used by the Clock and a default Z - Hold category. If a Hold category does not exist for the station one will need to be created, see the GSelector help guide for information on creating a Category and Category Group.
  4. Click the LINKER | Link Goals | Categories
  5. Verify there are a Link Hold Category and Group. GSelector will create two categories by default when a station is created; al1 which is used by the Clock and a default ZLink - Hold category. If a Hold category does not exist for the station one will need to be created, see the GSelector help guide for information on creating a Category and Category Group.
  6. Once the required categories have been created, go to Setup | Hold Categories.

  7. In the Song Categories section, select the Category for Songs. This must be done for each station that will participate in the integration.
  8. In the Link Categories section, select the Category for Links. Select a Category for each Station that will participate in integration.

  9. Click the Save [image] button to save changes.
  10. Follow steps 2 – 13 for additional stations being integrated with Zetta®; use the Stations menu to change stations.

Configuring Zetta® System Options

To configure System Options for GSelector Integration, perform the following steps:
  1. In the Configuration menu, select System.
  2. In the Features section, click the Active box next to GSelector Integration if it is not already active.
  3. If GSelector Integration is already active, skip to Zetta System GSelector Settings.
  4. Select the Computer from the computer drop-down. When GSelector Integration is enabled, the following additional configuration tab is made visible:

  5. Click the Save [image] icon to save settings.

Enabling GSelector® Integration

This section will outline the steps required to enable GSelector Integration in both the Zetta and GSelector software.

Zetta System GSelector Settings

GSelector Interfaces Settings

Zetta® System GSelector® Settings

To configure GSelector Integration, follow these steps:
  1. In the Configuration menu, select System.
  2. Select the GSelector® tab that added during the Configuring Zetta System Options steps.

  3. Enter the IP address or Name of the GSelector Server.
  4. Click the Check Integration button.

  5. When the connection is made a GSelector® Communication Successful message should be displayed, click OK to close the message.
  6. Use the GSelector Database drop-down to select the database for Zetta to connect with.
  7. Optionally enable Capture communications to log communication sent and received from GSelector to a text file.
  8. Set how Deletions should be handled when an asset is deleted in GSelector using the Treat asset deletions from GSelector as: Deactivate or Delete option.
  9. Select the GSelector Station to integrate with from the drop-down; this creates mappings between the GSelector and Zetta stations. This mapping is used to send Log data to the correct station.
  10. Select the Active to enable integration for each station.

  11. Click the Save [image] icon to save changes.
  12. Close the Zetta main application.
  13. Access the Startup Manager window by double-clicking on the [image] icon in the System Tray:
  14. The GSelector services start automatically when the connection is made. If the Services are not started, click the Start All button for the GSelector Services group.
  15. Restart Zetta.

GSelector® Interfaces Settings

To configure GSelector Integration, follow these steps:
  1. Using GSelector, go to the Tools menu and click Interfaces.

  2. Using the Zetta tab, click Enable to enable GSelector Integration.
  3. The URL field is used to configure where GSelector will send changes. For Zetta integration, the path should read as follows:

http://<Zetta® Computer Name or IP address>:3131/Zetta

  4. Use the Station Associations tab to set the Zetta Station(s) to be integrated with the GSelector Station(s).
    1. There will be a green check mark [image] next to the GS Station indicating it is Eligible for integration. See Getting Connected to GSelector section if no stations are eligible.
    2. To allow GSelector® to synchronize station logs, select the Zetta® Station name from the Zetta® station drop-down menu.

  5. Use the Automatic Synchronization tab to set GSelector to automatically send changes to Zetta.

  6. Select the Miscellaneous tab to Create a Vocalist(s) when importing a new Artist from Zetta®. Transfer minimal schedule data is not used for Zetta version 2.9 or higher.

  7. Optionally, change how assets are treated when deleted in Zetta. The default is to deactivate the asset from all stations.
  8. Click the Save [image] icon to Save the settings.
  9. Click the Setup Zetta button to transfer existing GSelector data (Categories, assets etc.) to Zetta. This button should only be used once. See the GSelector Assets section of the Adding Library Media topic for more information. The Use of this button requires the GSelector Administrator password.

Once integration and automatic synchronization have been enabled in both applications, any asset or log changes made in either application will be synchronized with the other.

Working with Security

Security is not required when getting started with Zetta, however, it is highly recommended that user Accounts are created. Creating Organizations and Roles before creating accounts in Zetta will make applying security quick and easy when dealing with multiple users with the same level of security. Creating Organizations allows the administrator to limit access to specific stations, while the Roles determine what areas of Zetta a group of users can access. Organizations are used when assigning users to a Role when creating an Account and for grouping stations for Multisite Voice Tracking and Site Replication. Organizations are also used for assigning groups of stations to asset Cuts. To limit user's access further, see the Talent Grids section.

Important Note!

It is important to change the password of the supervisor to prevent unwanted changes to the system.

Create an Organization

Create a Role

Create an Account

Create an Organization

To create an Organization in Zetta®, perform the following steps:
  1. Select Organizations from the Configuration Menu
  2. Click the Add Organization [image] button

  3. Type in a Name
  4. Type in a Description of the organization.
  5. Select the Stations for the organization.
  6. Click Save [image] to save the organization.

Create a Role

To create Groups of Users, perform the following steps:
  1. Select Role s from the Configuration Menu
  2. Click the Add Role [image] button
  3. Enter a Role Name
  4. Enter a General Description (optional)

  5. Click the Privileges tab

  6. Click the check box next to the items to allow access
  7. Click Save

Create a User Account

To create a user account, perform the following steps:
  1. Select Accounts from the Configuration menu
  2. Click the Add Account [image] button

  3. Enter the Login Name of the Account
  4. Select Windows User to use a Windows or domain account or Zetta User for login authentication, see the Accounts section for more information on using Windows or domain User accounts
  5. Enter the Password for the Zetta User, leave blank if no password is desired.
  6. Enter the Password again to Confirm Password
  7. Enter the Users Name
  8. Enter a Short Name, t he Short Name is just a shortened version of the user's name, such as the user's initials. (optional)
  9. Enter an Account Description (optional)
  10. Enter an Email address (optional)
  11. Select the Default Station from the drop-down
  12. Select the Shortcut Key Mappings from the drop-down; see the Command Mapping section for more information.
  13. Select the User Preference from the drop-down; see the Preferences section for more information.

  14. Click the Roles tab
  15. Click the Add Role [image] button to select the role to add to the account.
  16. Click the Rights Overview tab
  17. Select the Station from the station select drop-down
  18. Select the check box next to the desired privileges to give the user.
  19. Click the Save [image] button to save the new User Account.
  20. Repeat steps 2-19 to create additional accounts.

For more information on User Accounts and individual privileges, see the Accounts section.

Next see the section Adding Library Media to import assets into the Library.

Welcome < Zetta Quick Setup < Zetta Quick Configuration

© 2007-2017 RCS. All Rights Reserved.


Adding Library Media

There are several ways to add audio to the Zetta® Library; two ways are discussed here in the Quick Configuration section of the guide. A third is discussed with the Auto load option configured in the System Configuration section. Additional ways of adding and normalizing audio are discussed in the Features section.

GSelector Assets

Adding Media Filename to Song Metadata Card for GSelector Asset

Importing Media into Media Library

GSelector Assets

If there is an existing GSelector® library, the asset information can be pushed to Zetta, provided Zetta has access to the shares and filenames referenced in the Library. See the Configure GSelector® Integration section if it has not already been done.

Important Note!

The use of Audio Paths in GSelector is currently not supported in GSelector Zetta Integration.

If Audio Paths are currently being used in GSelector, the filename will need to be entered in the Media Filename field of the song metadata card in Zetta and then exported to GSelector. See the Adding Media Filename to metadata card for GSelector Asset topic of this guide.

To add Assets from GSelector, follow these steps:
  1. Using GSelector®, click the Tools menu.
  2. Click Interfaces… This will open the interfaces window.
  3. Click the Setup Zetta button. This option should only be used once to setup Zetta.
  4. Enter the Administrator password if prompt.
  5. If the following window is displayed, verify this setup routine has not already been performed.

  6. Click Yes to verify this setup routine should be run. **This option should only be used once to setup Zetta.**

  7. Click Yes if absolutely sure.

  8. Click Execute
  9. Close the Interfaces window.

Adding Media Filename to Song Metadata Card for GSelector Asset

After the Media data has been pushed to Zetta® from GSelector®, if Audio Paths are currently being used in GSelector, the filename will need to be entered in the Media Filename field of the song and link metadata card in Zetta and then exported back to GSelector. To determine if GSelector is using Audio Paths go to the Setup | Station | General tab for each station and look at the Audio Paths section. If there are values in these fields proceed with the following steps. If Audio Paths are not used in GSelector, proceed to Importing Media or Playing Audio On-Air.

To change from audio paths to filenames in the metadata card, perform the following steps:
  1. In the GSelector | Station | General tab, clear the defined Audio Paths for Songs and Links
  2. In ZETTA | Modules | Library double-click the song or link to edit
  3. Using the Extra tab of the metadata card, select Play File as the Playback Method.
  4. Enter the Media Filename or browse to the file.

  5. The file will be imported into the library and added to the Media Storage defined in the Content Management setup.
  6. Click Save
  7. Close the Metadata Card
  8. The File Path will be the location where the file is imported from until it is Content Managed.
  9. Opening the file again will show the audio information and waveform.
  10. From the Library in Zetta® highlight the Song(s) or Link(s) changed.

  11. Click the Export the Selected Assets to GSelector
  12. The Filename is then exported to GSelector® as seen below.

Importing Media into Media Library

Before importing assets into Zetta®, it is important to set the desired metadata scope and audio format that will be used for each type of asset. Then the asset can be imported into the configured content store and activated.

Assigning an Audio Format for Imported Assets

Audio Processing Settings

Setting the Metadata Scope for Audio Types

Create Custom Audio Types for the Library Module

Configure External ID

Importing Assets

Activating Audio

Activating Assets in Zetta

Approving & Activating Multiple Assets in Zetta using the Audio Utility

Activating Media in GSelector

Assigning an Audio Format for Imported Assets

Zetta can convert the imported audio for each type of asset.

To define an Audio Format for assets imported into Zetta®, perform the following steps:
  1. From the Configuration menu, click System.
  2. Click the Audio Format tab
  3. Click the Add Defined Format [image] button
  4. Enter a Name for the format
  5. Select the Audio Format
  6. Select the Bit Rate
  7. Select the Sample Rate
  8. Select the Channels
  9. Click Save
  10. Repeat for each desired format.
  11. If using Content Management, assign the created or default format to the desired asset in the System Managed Formats section of the window. When these values are set the VBR Files and the CD Extraction of the Content Converter values seen in the next step will be ignored.

  12. If the above options are set to None or Content Management is not configured, assign the created or default format to the VBR Files and the CD Extraction of the Content Converters section of this window. If Content Management is configured, the file path fields will not be visible.

  13. Set the File Drop format to the format needed for files exported by using drag and drop from Zetta to windows or an external application.
  14. Click Save
  15. Restart Zetta and the Startup Manager to implement the new settings.

See the Audio Format tab section of the System topic for more information on the above settings.

Audio Processing Settings

Zetta® can process the audio that is imported into the system. The Audio Processing tab in the System Configuration allows the user to set up parameters that will automatically be set on audio imported, captured and recorded into the library. It is recommended that all audio files are “trimmed” at the beginning and end so that only valid audio, not silence, is played out from Zetta®. See the Audio Processing section for more information on this feature. For additional information on how audio is processed and normalized in Zetta see the Audio Processing and Normalization topic in the Features section.

To configure how the audio for imported assets are processed, follow these steps:
  1. Using the Configuration menu, click System
  2. Click the Audio Processing tab
  3. Choose the desired Method from the Marks Analysis drop-down menu

  4. Enter the desired dB levels for the method of choice.
  5. Click the Save [image] to finish.

Setting the Metadata Scope for Audio Types

If the system is Integrated with GSelector this section can be skipped. GSelector Integration only uses the Metadata Scope of Station. Go to Configuring External ID to continue with this topic.

Create Custom Audio Types for the Library Module

To set the Metadata Scope for the default Audio Types in Zetta, perform the following steps:
  1. From the Configuration Menu, click System
  2. Select the Audio Types tab.
  3. Set the Metadata Scope using the drop-down.
  4. Click Save [image] in the System Configuration window.

Configure External ID

The External ID options are used to tell Zetta how to handle External IDs. External IDs can be unique Per Asset Type or Globally unique throughout Zetta. The External ID is an external alpha-numeric identification used by external sources to identify the asset. The External ID in Zetta matches up to the Media ID in GSelector when integration is enabled. The External ID tab in the System Configuration window can also be used to allow Zetta to automatically create an Asset External ID and Cut External ID based on a mask defined using Zetta Variables.

To setup External IDs in Zetta, perform the following steps:
  1. From the Configuration Menu, click System
  2. Select the External ID tab

  3. Select whether the External IDs are unique Per Asset Type or Globally.
  4. Select the option Automatically generate Asset External ID if you would like Zetta to create the asset's External ID automatically.
  5. Enter an Asset External ID mask.

Important Note!

Before enabling Automatically Generate Asset External ID, review any existing assets to ensure they have an External ID as the External ID field is set to read only when this feature is enabled.

The Asset External ID mask is a string of characters and variables that define how Zetta is to create the unique Asset External ID.

Example: ABC@{UniqueAssetNum,D9} = ABC000000001

Variables that can be used in an Asset external id mask:

Variable | Description
@{UniqueAssetNum,Dx} | This sets the External ID to a unique number that is x digits long, starting with 1.
@YYYY, @M, @D, etc. | Date/time in various formats
@X | Computer name
@S | Station name
@U | User name

Also see the Zetta Variables section for additional Variables.

  6. Optionally, If Cuts are being used in Audio Types the Automatically generate Cut External ID option is visible and can be enabled and the Cut External ID mask can be configured.

Important Note!

Before enabling Automatically Generate Cut External ID, review any existing assets to ensure they have a Cut External ID as the Cut External ID field is set to read only when this feature is enabled.

The Cut External ID mask is a string of characters and variables that define how Zetta is to create the unique Cut External ID.

Example: @{AssetExternalID}-@{UniqueCutNum,D3} = ABC000000001-001

Variables that can be used in a Cut External id mask:

Variable | Description
@{AssetExternalID} | Returns the Asset's External ID. This is typically used with the @{UniqueCutNum,Dx}to automatically generate a unique cut number.
@{UniqueCutNum,Dx} | This sets the Cut External ID to a unique number that is x digits long starting with 1.
@YYYY, @M, @D, etc. | Date/time in various formats
@X | Computer name
@S | Station name
@U | User name

Also see the Zetta Variables section for additional Variables.

  7. Click the Save button to save the changes.

Importing Assets

There are a number of ways to get Audio Assets in Zetta, using Drag and Drop, CD Ripper and Media Import are just a few. The following steps will show how to quickly add assets to Zetta. The Media Import tool allows the user to import a large number of media files directly into the Media Library. The Media Import utility is accessed from the Tools menu. For more information, see the following sections; Media Import, Drag and Drop, CD Ripper, Auto Load and browsing to the Audio File from the Metadata Card to Import Audio.

To import Media into the Media Library using Media Import, follow these steps:
  1. From the Tools menu, click Media Import.

  2. Enter or browse to the Directory that contains the audio to import.
  3. Using the File Type drop-down select .mp3 if the audio files are mp3 files or .wav for Wave files.
  4. Select the Include subdirectories option to allow the utility to parse subdirectories of the specified folder.
  5. Select the Media Type of song, spot or link from the drop down.
  6. The AMU Mapping Template has only the Default Template available on new installs. A template is used to match metadata such as Composer, Arranger and Musician from an XML file to specific fields in Zetta. Contact RCS Support for assistance in creating the template. See the Media Import topic for additional information.
  7. Select Perform Marks Analysis to analyze the audio and add in Trim and Segue points based on the settings in the System | Audio Processing tab, Marks Analysis section.
  8. Select Automatically Populate External ID to add the filename, without the extension, as the External ID. This can be used when importing audio from another system.
  9. Set the Match On options to allow Zetta® to determine if the media to be imported matches records already in the system. The following is a list of criteria:
    1. Title and Artist/Sponsor – Compares the Title and the Artist with what is already in the library
    2. File path - Compares the location of the file to be imported from with the file path of the audio that is to be loaded in the library
    3. External ID – Compares based on the External ID of the file with what is loaded in the library. Automatically Populate External ID is automatically enabled when this Match On option is selected. This option can be used when importing audio from NexGen or V15.
    4. File CheckSum – Performs a partial checksum analysis of the file to verify the file does not already exist in the database.
    5. Do Not Match – Will import everything
  10. Set the If Match options to tell Zetta® what to do if a Match is found based on the Match On criteria.
    1. Do not import - to skip the file
    2. Replace - to replace the existing file.
    3. Replace Audio Only – Use the Replace audio only to replace the existing audio file if match, but do not overwrite the metadata.
    4. Merge Changed Fields - When the If Match is set to Merge Changed Fields, Zetta will update all and only the fields from the imported file that have non-blank values. For example, if an audio is imported along with its NexGen XML file and the NexGen file gives the title, artist, album, and start date. Zetta will change the existing asset’s title, artist, album, and start date to the values from the file. However, if the NexGen XML did not specify a start date, then Zetta would leave the start date unchanged.
    5. Replace Station or Cuts Fields - If the imported asset matches an asset already in the database and If Match is set to Replace Station Or Cut Fields, then Zetta will update only those fields found in the Station Specific tab or Cuts Specific tab of the metadata card of the matching assets. For example, if an audio is imported along with its NexGen XML file and the NexGen file gives the title, artist, album, and start date. Zetta will leave the asset’s title, artist, and album unchanged, but will change its start date to the one in the NexGen XML file. The Replace Station or Cut Fields option is only available when the GSelector and ZCast features are both disabled in the General tab of the System Configuration and at least one Audio Type is set to the metadata scope of Cuts.
  11. Optionally, click the Add Station [image] button to select a station to Activate the audio. If no station is selected the assets can be activated later individually or by using the Audio Utility to Mass Change assets.
  12. Chose a Station from the Select Station drop-down. Select Default to add the audio assets to all stations.
  13. Use the Assign Category drop-down to select a created Category. If integrated with GSelector the Categories from the GSelector database will be visible. If Zetta is not integrated with GSelector the Categories will need to be created first.
  14. The Activate check box, by default, is checked. To add assets to the Default station but not activate the assets to play on all stations, simply deselect the Activate check box.
  15. When satisfied with the Import options, click the Import [image] button. Audio is imported and then displayed in the Media Library Asset List.

Important Notes!

The Import can be stopped at any time by clicking the Cancel [image] Icon. For additional information on importing media into Zetta®, see the Library Module section.

Activating Audio

After Importing audio into Zetta using the import feature, the audio may need to be activated for the desired stations if not done in the import process. Audio will not play on a station until it is active. The Audio can be activated in Zetta or GSelector. GSelector® and Zetta® both offer a multi-song changer option that allows the user to activate many songs at one time.

Activating Assets in Zetta

If assets are not activated when importing, they can be activated individually as seen below or they can be activated using the Audio Utility.

To activate audio in Zetta, follow these steps:
  1. Select Library from the Modules menu.
  2. Double-click the desired Song to open the metadata card

  3. Select the Station from the Stations tab
  4. Select the Station Specific, Cuts Specific or Global tab. The tab available is dependent on the Metadata Scope of the selected assets Audio Type, the default is Station Specific.

  5. Select the Active check box
  6. Click Save
  7. Close the metadata card window
  8. Repeat steps for each song that needs to be active for the station

Approving & Activating Multiple Assets in Zetta using the Audio Utility

To activate and approve audio in Zetta, follow these steps:
  1. Select Library from the Modules menu.
  2. Optionally, select a Station.
  3. Select the desired Asset tab
  4. Select the Show All Media [image] button to change the view to show all the media Waiting for Approval. (This button is only available if at least one station has the Audio needs approval before airing option selected for the station. See Station Configuration Details tab for more information on this setting).
  5. Select the desired Assets use the SHIFT or CTRL keys to select multiple assets
  6. Click the Launch Audio Utility [image] button. The actions available are dependent on the assets selected, the metadata scope of the assets and the Approval flag in the Station Configuration.

  7. Select the Approval check-box if necessary. See Station Configuration Details tab for more information on this setting.
    1. Select Approved from the action drop-down
    2. Select the Station from the station drop-down, to approve the assets for all stations select the Default option.
  8. Select the Active check-box
    1. Select True from the action drop-down
    2. Select the Station from the station drop-down, to activate the audio for all stations select the Default option.

  9. Click GO!
  10. Repeat steps to Approve and Activate additional audio assets.

Activating Media in GSelector

To activate songs in GSelector, perform the following steps:
  1. In GSelector®, click the Library tab
  2. Click the Browse tab
  3. Click Advanced Search

  4. Click the Add [image] button
  5. For the Attribute Active change the Search Type to False

  6. Click the Search button

  7. The Inactive Songs will appear in the right window as selected. Click the checkmark next to the song(s) that are not to be activated to deselect them.
  8. Select the Multi Song Changer Tab
  9. Under the Station Coding section, select the Active radio button
  10. Select the Category radio button

  11. Select a Category from the drop-down menu
  12. Click Save
  13. Click Yes to confirm the changes to the Song(s)
  14. Click Library | Browse
  15. Click Close Advanced Search
  16. Repeat for Links using the Linker | Browse | Advanced Search button

Welcome < Zetta Quick Setup < Adding Library Media

© 2007-2017 RCS. All Rights Reserved.


Play Audio On-Air

Now that Zetta® has Media in the Library, getting Audio to play On-Air is as simple as dragging and dropping or if connected to GSelector® schedule the day and then just launch the On-Air window in Zetta.

To add audio to the On-Air module, follow these steps:
  1. Click Modules menu
  2. Select On-Air to open the On-Air Module
  3. Choose a Station
  4. From the Modules menu, click Library to open the Library Module

  5. Choose a Station
  6. From the Modules menu, click Logs to open the Logs Module
  7. Select the Station in the Logs Module

  8. If using GSelector, schedule the day. If already scheduled us the Tools [image] toolbar button to regenerate the log.
  9. Optionally, use the Load Traffic/Music from Flat File [image] button to load the music/traffic.
  10. Additionally, Click and Drag a Media Asset from the Library into the current hour of the Log Module. A line displays where the event will be inserted.

  11. Drop the event into the desired position. The event is now visible from the Station Log and On-Air Module.
  12. Change the M ode or just click Play to begin playing audio in the On-Air module. To have the Assets continue to play through the log, the Mode must be set to Auto.

Congratulations! Zetta® has been successfully configured with a minimum setup. For a more in-depth look at Zetta® check out the Navigation, Modules, Tools, Configuration, Features and the Tips & Tricks sections.

Welcome < Zetta Quick Setup < Play Audio On-Air

© 2007-2017 RCS. All Rights Reserved.


Navigating Zetta

The following topics can be used to assist in the navigation of the Zetta application and to learn about common tools used in many of the windows of Zetta.

Running Zetta

Navigating the Main Application Window

Grouping

Custom Filtering

Zetta Variables

Docking and Undocking

Welcome < Navigating Zetta®

© 2007-2017 RCS. All Rights Reserved.


Running Zetta®

Welcome < Navigating Zetta® < Running Zetta

Running Zetta

Zetta takes a Modular approach to services. All services have a launcher app called Startup Manager looking after the services and will restart them if they stop unexpectedly. Zetta’s modular approach means that the parts that play audio out, are separate from the Sequencer, which is separate yet from the User Interface. Shut down Zetta’s UI and everything continues to play and function along as long as it has a schedule in the database. To manage these processes, the Startup Manager must be running at all times.

Important Note!

The Startup Manager is required for proper functionality of Zetta®. In the event the application is unintentionally shut down, it can be restarted from the Start Menu | All Programs | RCS | Zetta | Startup Manager. Zetta and/or the station can become unresponsive if the Startup Manager is not running.

To launch Zetta®, use the shortcut [image] present on the desktop. A login Screen is the first screen when Zetta is launched.

Until Account Configuration is done in Zetta®, login with supervisor as the Account name (no password required) and press Enter or click the Go [image] button to launch the main application window.

Auto Login on Startup

Zetta can be setup to start automatically when the computer is logged in and then automatically login a specific user to the Zetta application. Zetta can be set to automatically start in the startup programs or the registry of the computer. Contact the site Administrator for assistance.

Zetta.exe will accept the following parameters:

/user:username - This is the name of the user account defined in Zetta Accounts Configuration. If no password is passed in as a second parameter the UI will show the login screen with username populated but will still require a password.

/password:xyz - This is used to set the password for the user set above. To enter an empty password enter:

/password:

or

/password:""

Startup Manager

When Zetta® is launched; the Startup Manager is also launched. The Startup manager displays the processes and services running on the selected computer. The startup manager is used to restart processes and services after making changes to these services in the Zetta application. The Startup Manager is automatically minimized to the System Tray. Double-clicking the Startup Manager [image] icon in the System Tray will open the Startup Manager Window to display the status of all configured processes for the local computer.

These processes are grouped together by function. The number of processes started is displayed in parentheses to the right of the group. Click the Down Arrow [image] next to the group to see the status of the processes. The configuration of the computer will depend on the number of processes started. The logging of processed events is output to the Startup Manager Log: window.

To return the Startup Manager to the System Tray, minimize the window.

Important Note!

Clicking on the ‘X’ in the upper right-hand corner will only place the startup manager in the system tray it will not stop or close Startup Manager.

Close Startup Manager

To close the startup manager, perform the following steps:
  1. Locate the Zetta icon [image] in the System Tray. The icon for the License Manager machine will have a blue arrow [image].
  2. Right-click the icon

  3. Select Close

  4. Type in a Reason for Closing the Startup Manager
  5. Press Enter or click OK.
  6. The closing of the Startup Manager will be logged to a log file.

Important Note!

Closing the Startup Manager on a machine that is configured as a Sequencer running a station, will stop the play of the log for the station and take the station off the air. Closing the Startup Manager [image] for the License Manager computer may invalidate the current Zetta license and switch Zetta to a limited grace period. Contact RCS Support with any questions before shutting down the Startup Manager of the License Manager computer.

Welcome < Navigating Zetta® < Running Zetta

© 2007-2017 RCS. All Rights Reserved.


Navigating the Main Application

Upon successful login to the Zetta® User Interface, the main application window is displayed. Using the Zetta application menu the user can Configure Zetta, open Modules, create Layouts and access one of the many useful Tools that Zetta has to offer.

Click any area in the Zetta menu bar of this image for help

Click any area in the Zetta menu bar of this image for help

Navigating the Main Application

Zetta Application Menu

File Menu

Layout

Modules

Tools

Configuration

Help

Tool Tips

Warnings

Zetta Application Menu

The Zetta® Menu provides easy access to Layout options, Modules, Tools, Configuration, Help, and System Warnings . Using the CTRL + Tab a user can easily see the windows that are open and select the desired window. The ALT key on the keyboard can also be used to access the menus.

From the Main Application Window, the following menus are available:

File Menu

The File Menu (ALT+F) is used to Logout of Zetta or Exit the program.

Log Off - The Log Off option will end the Zetta session and display the Login window.

Exit - The Exit option will close the Main Zetta Program, but will not stop the Startup Manager from running.

Layout

The Layout Menu (ALT+L) is used to Create, Edit, Delete and select Custom Layouts in Zetta.

Lock the Layout - The Lock Layout option allows the user to lock their layout so changes can't be made to the docking or size of the modules. This is also useful when the administrator wants to lock down the layout for specific users. See the section Lock Down User Layouts in the Managed Layouts section of this guide.

New Layout - New Layout opens a dialog allowing the user to name the current layout as a new layout.

Save Layout - The Save Layout option saves the current layout. For more information on modifying layouts, see the Configuring Layouts section of this guide.

Save Layout As - The Save Layout As is used to save the current layout to a new or an existing layout. For more information on using the Save Layout As option, see the Configuring Layouts section of this guide.

Layouts - Lists the Saved Layouts available. From this list the user can easily reload the current layout, to revert the layout to the saved configuration, simply by clicking on the layout with the check mark next to it. For more information on customizing Layouts, see the Configuring Layouts section of this guide.

Active Layout: <Named Layout> - Use the Active Layout to close open modules and save modules to a custom layout.

Global - The Global section of the toolbar shows any windows currently open that are not applied to the Active (Saved) Layout.

Manage Layouts - The Manage Layouts section allows the user to set the Layout to be public so everyone who logs in can see and use the layout. It also allows the user to lock the layout so it cannot be changed. A User can be prevented from changing these settings using the Privileges tab of the Role the user belongs to or by using the Rights Overview tab of the User Account. See the section Lock Down User Layouts in the Managed Layouts section of this guide.

Modules

The Modules Menu (ALT+M) is used to quickly gain access and control the media assets in Zetta. Any number of modules can be opened at one time and saved to a Layout.

On-Air – The On-Air module is used to see the currently playing item on a station and the next two events cued to play, as scheduled in the Station Log. This Module allows the user to modify segue information (Live Assist Mode only), view Station and Player status information, and individually play or eject events.

Hot Keys – The Hot Keys® module is used to configure “banks” of events that can be played on-air, outside of a station log. For more information on configuring Hot Keys, see the Hot Keys Configuration section of this guide.

Stacks – The Stacks module allows the user to copy, create and delete a stack of events. This stack of events allows the user to play a sequence of events without programming them into the Log.

Z-Player – The Z-Player is designed to allow a user to drag and drop an audio item from anywhere in Zetta and load it onto a very specific playback stream. The Z-Player allows the user to Cue up the audio and set Loop markers for looping a section of the audio. The Z-Player audio can be set to play in Audition mode or On-Air by simply clicking a button.

Multitrack Editor - The Multitrack Editor is a digital audio editor, featuring multi-track non-destructive and destructive editing, with a waveform view and unlimited undo/redo history across editing sessions.

Quick Record - The Quick Recorder is a useful tool when the On-Air personality needs to create a quick recording of an on the spot event, such as phone calls or impromptu interviews, then edit and play them On-Air. The Quick Record module is not just a Recorder but also includes some quick editing options.

Now Playing Export Send - The Now Playing Export Send module can be used to manually send a now playing message for the specified station. Zetta will use the defined Now Playing Export instances in the Now Playing Export tab of the System Configuration to Send the now playing message.

Library – The Library module allows the addition, deletion and audition of Songs, Spots, Links Quick Records, Voice Tracks and Other Audio to the Library.

Logs – The Logs module displays the audio sequence that will be played by the Computer assigned to the Station. The contents of the Log may be programmed from GSelector®, Flat File Assignment or events may be entered directly into the Log from the Consideration window or the Media Library. For more information on using GSelector Integration to program the Log, see the Configure Systems Options and GSelector Integration section of this guide.

Clocks - The Clocks module contains "templates" used by the system to create logs. A clock schedule is created for each day of the week for each station, and contains all recurring events that typically happen throughout the day.

Notes - The Notes module allows the user to see the upcoming notes, scripts and Live Read assets scheduled in the station log. Any note/script can be clicked on and read as needed. The notes window follows the progression of the station log. As an asset with a note is played, the window is updated.

Tools

The Tools Menu (ALT+T) allows users with access to the following tools:

Media Import – Media Import allows the user to import audio from different locations

Reports - The Reports tool can be used to pull information from the database about User Activity and Missing Audio.

ZCast Transfers - The ZCast Transfer Tool is used to view Inbound and Outbound ZCast Transfers. From this window the user can see Pending, Completed, Failed and In Progress transfers.

Recorder Logs - Recorder Logs are used with Recorder Clocks for accomplishing Background Task such as recording a Show or Satellite Feed for play in a stations log at a later date or time.

Recorder Clocks - The Recorder Clocks Module is similar to the Clocks module in the adding a removing of events into the clock. The Record Clocks module contains "templates" used by the system to create Recorder Logs. A clock schedule is created for each day of the week for each Background Recorder, and contains recurring events.

Playback Monitor – The Player opens a window allowing the user to select a configured player to view what is playing. For more information on configuring Players, see the Player Configuration section of this guide.

GPIO History – The GPIO History shows the activity history of the configured GPIO devices. It also shows the History of Splits events when the Splits feature is enabled.

External Edits – The External Edit Tool shows the audio that is currently being edited by an external Editor and who is editing it. This only shows those assets opened by selecting an External Editor in the Zetta® Library.

Hotspare Manager - Zetta has the ability to switch the On-Air or Sequencer computer to a pool or dedicated standby computer to run the log. This allows the site to stay on the air in case anything goes wrong with the primary computer such as hardware failure. This option can also be used when performing upgrades or scheduled maintenance of Zetta®.

Metadata Import - The Metadata Import tool is used to import asset metadata into Zetta using a spreadsheet or tab delimited file.

Sync Assets with GSelector - Zetta® contains a Tool that will check the synchronization between Zetta® and GSelector®. This tool can also be used to synchronize assets between the two products.

Database Management - RCS Database Management Service (DBMS) is a windows service that works with Zetta® to provide an easier mechanism to switch between SQL Servers.

Configuration

The Configuration Menu (ALT+C) is used to configure the many options of Zetta.

System – The System section is used to configure system-wide settings.

Computers – The Computers section is used to add and configure computer specific settings.

Play Containers – The Play Container configuration is used to add and configure different players.

Stations – The Station section is used to add and configure specific station settings.

Content Manager – The Content Manager configuration is used to setup the storage locations for housing audio, redundant audio and data backups.

Organizations - The Organizations configuration window is used to create groups of stations. This allows the administrator for the site to limit the stations the user can access. Organizations are used when assigning users to a Role when creating an Account. Organizations are also used to create groups of stations for Multisite Voice Tracking. Organizations are used with Site Replication to select the stations to include in the replication.

Roles - The Roles configuration is used to create and setup Zetta® or Windows User Groups, and to add specific rights for the groups to modules, tools and configuration in Zetta®.

Accounts – The Accounts configuration allows the user to create accounts using a Zetta® login or a Windows login and specify specific user rights.

Talent Grids - The Talent Grids allow the administrator to Daypart the user's rights to specific hours of the log for editing. The user right Full Log Access must be unchecked.

Macros - The Macro configuration is used to create macros to execute several command events as if they were one event.

Background Recorders - The Background Recorders configuration window is used to setup background sequencer computers to run a log that contains a sequence of control events or macros for Background Recording events such as satellite shows or any other audio feed.

Virtual Stations - The Virtual Station configuration in Zetta® is used to add a Virtual station for use with ZCast between stations.

ZCast Connections - The ZCast Connection configuration window is used to create Inbound and Outbound connections to other Zetta Databases for the transfer of asset audio and metadata over a wide area network.

Site Replication Manager - Site Replication is used to sync two or more Zetta sites to create redundant Zetta systems or to sync selected stations. These replicated systems can be local or remote allowing for synchronization across a wide area network.

Multisite VT Destinations - The Multisite VT Destinations are used to assign the Organizations to different times in the day. This is used for personalities who voice track different stations depending on the time of day.

Hotspare – The Hotspare configuration is used to setup computers to be used when a primary On-Air computer fails or needs updated.

Flat File Assignment - The Flat File Assignment in the Configuration Menu is used to configure a flat file load or reconciliation for Traffic and Music from external systems.

Preferences – The Preferences are used to create and configure user preference profiles.

Themes & Appearances - The Themes & Appearances allow the user to create their own Zetta User Interface Theme, by changing the Color Font and Font size of many of the modules.

Hot Keys – Hot Keys is to create and configure Hot Keys® banks.

Backup Database - The Backup Database option allows users to create a backup of the Zetta® database.

Restore Database - The Restore Database option allows users to restore a backup of the Zetta® database.

Licensing - The Licensing option displays the licensing information. From this window, the Licensee can be changed and the License can be renewed. Contact RCS Support for assistance.

Help

The Help menu (ALT+H) is comprised of the following sections:

Zetta Help – Accesses this Help Guide. Use F1 for context sensitive help.

About – Provides information about the currently installed version of Zetta.

Tool Tips

Zetta has many tool tips for its buttons, fields and drop-down menus. Simply hover the mouse over the button, field or drop-down and a tooltip will display some quick and useful instructions.

Warnings

The Warnings [image] option appears where Zetta finds issues. It will appear after the Help menu in the Application menu bar to indicate there is a problem with the system. Clicking on the Warning button will display a window that describes the issue. To copy and paste the warnings to an Email, simply select the warning and press CTRL+C to copy and then CTRL+V to paste it into an Email. Use the SHIFT or CTRL keys to select multiple warnings.

When this warning appears in other places in Zetta such as the Playback tab of the Station Configuration, simply hover the mouse over the warning icon to view a tool tip that will assist in the resolving of the warning.

For more information on using the Warnings and Errors window, see the Viewing Warnings and Errors in Zetta section of this guide.

Welcome < Navigating Zetta® < Navigating the Main Application

© 2007-2017 RCS. All Rights Reserved.


Grouping

Many of the windows with listings of events, messages or assets allow the user to group the results by the column headers. This makes locating an event, message or asset easier. The grouping area is hidden from view, but can be accessed by clicking on the thick bar just below the toolbar of the window or the Show Group Area [image] button in the Toolbar. To return to normal view (ungrouped), move the individual column headers outside of the grouping section until an X is shown. Alternatively the Refresh button will return the window to its normal state.

Grouping Media Types

The Library asset list the grouping of assets in different ways depending on the type of media, making finding media assets easier and faster.

To group assets, perform the following steps:
  1. Click the Thick line...

  1. ...or Show Group Area [image] button in the window.

  2. When the line or button is clicked, a Group by area is opened above the asset list.

  3. To setup the desired grouping just click and drag the column header to the group by area

Ungrouping in Zetta

To ungroup information, perform the following steps:
  1. Click the Thick line that separates the toolbar from the List column headers.
  2. Click and drag the header, from the Group by area section, until an X is shown as seen below:

  3. Then drop the column header. Some windows have a Refresh [image] button that can be used to reset the window to its default view.

Welcome < Navigating Zetta® < Grouping

© 2007-2017 RCS. All Rights Reserved.


Custom Filtering

Within many of the Zetta® windows and modules there is the ability to Custom Filter the data to refine the information displayed. This allows for better reporting and tracking of details and data collected. Some windows use the filter [image] icon in the column header while others, such as the Reports window allow the user to enter text to match on based on a selected operator. Additional Filter options are also available from the filter drop-down based on the column of data being used as seen here in the Reports window:

Clicking the (Custom) option from one of these drop-down menus will display the following Custom Filter Selection window. This Custom Filter Selection window will allow the user to create conditions and groups of conditions to filter the information.

From the Custom Filter Selection window, filtering conditions can be created using the following tools:

Add Condition – The Add Condition button is used to add a filter condition, the default condition uses the [image] ‘And’ Grouping.

  • Operator – The Operator helps to clarify the filter condition such as; = Equals, ≠ Not Equals or Contains.
  • Operand – The Operand is the quantity on which the operation, based on the above Operator, is performed.
  • Group arrow - The arrow [image] to the left of the condition added is used with the CTRL key to Group two or more conditions.

Remove Condition(s) – The Remove Condition(s) button can be used to delete one or several conditions from the custom filter.

'And' Group - The And Group button is used to Group 2 or more [image] ‘And’ conditions.

'Or' Group - The Or Group button is used to Group 2 or more [image] ‘Or’ conditions.

Toggle – The Toggle button allows the user to switch the conditions or group of conditions to an [image] ‘And’ condition or an [image] ‘Or’ condition, alternatively clicking the colored band to the left of the condition operator will also toggle the conditions.

Ungroup - The Ungroup button is used to ungroup a grouping of conditions.

Custom Filtering Step-by-Step

To use Custom filtering, follow these steps.
  1. Click on the Filter [image] icon from the desired column to filter.

  2. Select (Custom) from the filter drop-down menu
  3. Click Add Condition button
  4. Select an Operator from the drop-down
  5. Select or Enter in an Operand value

  6. Select Add Condition to add additional conditions as desired

  7. Click the Toggle button to change the Grouping to an ‘Or’ Group if desired
  8. To group the conditions select the arrow [image] to the right of the condition and hold the CTRL key while clicking an adjacent condition arrow [image], then click the desired Group button
  9. Click OK

  10. To return to All data, click the Filter [image] icon again
  11. Select (All) from the drop down

Welcome < Navigating Zetta® < Custom Filtering

© 2007-2017 RCS. All Rights Reserved.


Zetta Variables

Wildcard variables can be used in several areas of Zetta to name files and events. These variables give the user more flexibility when naming files or pulling data into Zetta. The following list shows the variables available in Zetta and the areas in which they can be used.

Variable | Type | Example | External Events | Flat File | VT & QR | Record Control Event | Asset External ID | Cut External ID | Publish Launch Exe | GPO string | Comments
@YYY | four digit year | 2011 | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@Y | two digit year | 11 | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@M | 2 digit month name | 01 to 12 | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@N | month name | January | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@D | 2 digit day | 01 to 31 | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@H | 2 digit hour | 08 | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@m | 2 digit minutes | 03 | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@8 | 2 digit military hour | 15 | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@A | AM/PM | AM | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@W | Day Format | Monday | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@L | 1 digit Military Hour | 1 | Yes | Yes | Yes | Yes | Yes | Yes |  |  |
@O | Show | Morning Show |  |  | Yes | Yes | Yes | Yes |  |  |
@U | user | Short Name or the Login name? |  |  | Yes | Yes | Yes | Yes |  |  |
@S | station | WRCS-FM |  |  | Yes | Yes | Yes | Yes |  |  |
@X | computer | Studio 1 |  |  | Yes | Yes | Yes | Yes |  |  |
@{UniqueAssetNum,Dx} | This sets the External ID to a unique number that is x digits long starting with 1. | 000000897 |  |  |  |  | Yes |  |  |  |
@{AssetExternalId} | Returns the Asset's External ID. This is typically used with the @{UniqueCutNum,Dx}to automatically generate a unique cut number. | 000000897 |  |  |  |  |  | Yes |  |  |
@{UniqueCutNum,Dx} | This sets the Cut External ID to a unique number that is x digits long starting with 1. |  |  |  |  |  |  | Yes |  |  |
@af | Passes the path of the audio file to the external application. |  |  |  |  |  |  |  | Yes |  |
@mf | Passes the path of the metadata file to the External application. |  |  |  |  |  |  |  | Yes |  |
@C | Clock Name | Sunday |  |  |  |  |  |  |  |  | Not Used at this time
@F | Drag & Drop Start Position |  |  |  |  |  |  |  |  |  | Not Used at this time
@T | Drag & Drop End Position |  |  |  |  |  |  |  |  |  | Not Used at this time
@runtime | Output event text will replace @runtime with the runtime of the spot block. @runtime is case sensitive. |  |  |  |  |  |  |  |  | Yes | The variable @runtime can be used in the string which, if present, will be replaced by the actual runtime of the spot block.
@controltext | Output event text will replace @controltext with the Control Text of the Spot Block. @controltext is case sensitive. |  |  |  |  |  |  |  |  | Yes | The variable @controltext can be included in the Event Text field of a GPO command. This will send the Control Text on a Spot Block.

Welcome < Navigating Zetta® < Zetta Variables

© 2007-2017 RCS. All Rights Reserved.


Layouts Overview

The Layouts Menu allows a user to customize the desktop. This menu is used to create, save and manage layouts. Layouts can also be created and locked for specific computer tasks using the lock option in the Manage Layouts window and the user rights in the Accounts Configuration.

The following topics will cover the features that can be utilized in the Layout Menu.

Configuring Layouts

Creating New Layouts

Saving Changes to a Layout

Managing Layouts

Add a Layout

Copy a Layout

Lock the Layout

Delete Layout

Docking and Undocking

Welcome < Layouts Overview

© 2007-2017 RCS. All Rights Reserved.


Configuring Layouts

Layouts in Zetta® allow each user to create a customized layout that meets their needs or makes tasks easier. In Zetta® windows can be free floating or docked in the main application window. This topic will discuss the process required to create, save and delete layouts, for more information on docking and undocking of modules, see the Docking section.

Creating New Layouts

Saving Changes to a Layout

Add to Layout

Remove a Module from Layout

Reload a Layout

Assign Layout to Keyboard Command Mapping

Creating New Layouts

To create a new user layout follow these steps:

1. Click the Layout, from the Zetta Application Menu

2. Click New Layout

3. Enter a Name for the New Layout.

4. Click OK

Saving Changes to a Layout

Zetta® users can save modules to a customized Layout. When these modules are saved, they are saved to the current layout. When the user logs back in, the modules will automatically open with the configured layout assigned to their account.

Add to Layout

To name and save a module to a Layout follow these steps:

1. Click Layout from the main menu

2. Click Layouts from the Layout menu, an additional menu will open

3. Select the Layout to make it the Active Layout

4. Select one of the available modules from the Modules menu

5. Click the Save Layout from the Layout menu.

6. Any open modules will be moved from the Global section to the Active Layout: <Current Layout> section of the Layout menu.

Not Saved

Saved

Remove a Module from Layout

To remove a module from a Layout, follow these steps:

1. Click Layout from the main menu

2. Click Layouts from the Layout menu, an additional menu will open

3. Select the desired layout to make it the Active Layout

4. Close the module to remove from the layout.

5. Click the Save Layout from the Layout menu.

Reload a Layout

Sometimes there is a need to reload or refresh a saved layout, to get it back to its original saved configuration, due to a module being moved or closed.

To reload a layout from the Layout menu, follow these steps:

1. Click Layout from the main menu

2. Click Layouts from the Layout menu, an additional menu will open

3. Click the layout with the check mark next to it to reload or refresh the layout to its original saved configuration.

Assign Layout to Keyboard Command Mapping

To assign a saved layout to a Keyboard Command Mapping, follow these steps:
  1. Create a Layout
  2. Click the Save Layout from the Layout menu.
  3. Select System from the Configuration menu
  4. Select the desired Keyboard Mapping to change
  5. Click Add New Command Mapping
  6. Enter the Shortcut Key
  7. Select the Task of Zetta.Layout
  8. Select the Layout to assign in the Settings column
  9. Click Save [image] to Save the Command Mapping
  10. Assign the Keyboard Mapping to the Account(s)

Welcome < Layouts Overview < Configuring Layouts

© 2007-2017 RCS. All Rights Reserved.


Manage Layouts

The Manage Layouts option of the Layouts menu opens a window that allows the user to add, copy, delete and edit the name of the Layouts. Once a layout is created, the user can share the Layout with another user by setting the Layout to public. The Layout can also be locked which will keep users from changing the layout. A User can be prevented from changing these settings using the Privileges tab of the Role the user belongs to or by using the Rights Overview tab of the User Account. See the section Lock Down User Layouts in this topic.

Click any area in this image for help

Click any area in this image for help

Manage Layouts Toolbar

Manage Layouts Details

Not Authorized to Use

Manage Layouts Step-by-Step Topics

Add a Layout

Copy a Layout

Lock Down User Layouts

Delete a Layout

Manage Layouts Toolbar

Add Layout - Use the Add Layout button to create a new Layout.

Copy Layout - Use the Copy Layout button to create a duplicate of the selected layout.

Remove Layout – Use the Remove Layout button to delete a selected layout.

Save – Use the Save button to save the layout.

Manage Layouts Details

There are four columns used in the Manage Layouts window to help the user with the editing of a created layout.

Name - The Name column displays the name of the layout. The user can double click the name of the layout to edit it.

Public - The Public column displays a check box next to each layout, which allows the user to share the layout with all users in Zetta.

Locked - The Locked column allows the user to lock the layout so it cannot be changed.

Windows - The windows column displays a list of the windows that are saved to the layout. This can only be changed by loading the layout, then opening or closing modules and then Saving the Layout.

Not Authorized to Use

If a Layout is opened and the user has limited rights or the computer used is a Limited Computer, the user will see the words Not Authorized to use in red. Check the Users Rights and License Allocations to verify the user and the computer are not limited on what they can see and do.

Manage Layouts Step-by-Step Topics

This topic includes step-by-step information on managing layouts from the Manage Layouts window of Zetta.

Add a Layout

Copy a Layout

Lock Down User Layouts

Delete a Layout

Add a Layout

To add a layout from the Manage Layouts window, follow these steps:
  1. Click Manage Layouts from the Layouts menu
  2. Click the Add Layout [image] button
  3. Double-click the New Layout Name

  4. Type in a Name for the new Layout
  5. Select Public if this is to be a shared layout.
  6. Click Save [image] to save the changes
  7. Close the Manage Layouts window.
  8. Open the modules to add to the layout from the Modules menu.
  9. Click the Save Layout menu option from the Layouts menu.

Copy a Layout

To copy a layout from the Manage Layouts window, follow these steps:
  1. Click Manage Layouts from the Layouts menu
  2. Select the layout to be copied.
  3. Click the Copy Layout [image] button
  4. Double-click the name of the copy

  5. Type in a Name for the new Layout
  6. Select Public if this is to be a shared layout.
  7. Click Save [image] to save the changes.
  8. Close the Manage Layouts window.
  9. Open the modules to add to the layout from the Modules menu.
  10. Click the Save Layout menu option from the Layouts menu.

Lock Down User Layouts

Some administrators see the need to lock down a Layout for specific users, so they have the same layout every time they login to Zetta. See the Working with Security section of this guide for more information on Security in Zetta.

To lock down layouts for specific users, follow these steps:
  1. Login as Supervisor or a user with ALL rights.
  2. Add or Copy a Layout
  3. Click Manage Layouts from the Layouts menu
  4. Select Public for the desired layout if it is not already selected.
  5. Select Locked for the desired layout.

  6. Click Save [image] to save the changes.
  7. Logout
  8. Login as the User, see Accounts for more information on creating Users
  9. The Default Layout is always available for the user. Open desired Modules for the users default layout.
  10. Using the Layout menu, click Save Layout.
  11. Click Manage Layouts from the Layouts menu
  12. Change the name of the Default Layout if desired by double-clicking the name.
  13. Select Locked for the Default layout.
  14. From the Layouts menu select the layout the user is to see at login from the Layouts menu option.

  15. Logout
  16. Repeat from step 8 for each user using the newly created layout.
  17. Login as Supervisor or a user with ALL rights.
  18. From the Configuration menu, select Accounts if limiting the rights of one user or Roles to limit a group of users in a Role.
  19. Select the users account or role to lock down.
  20. Click the Rights Overview for the Account or the Privileges tab for the Role
  21. If locking a specific user using the account rights, select a Station to apply the change.
  22. Select AdminRights from the Filter column
  23. Deselect the box by the Edit Layouts Action to remove Access, in the Rights Overview for the Account, the Has Access should have a red X for the action.
  24. Repeat the removal of the Edit Layouts action for each station.

Important Note!

If the user has the right to Edit Layouts on any station this right will not be disabled. If the Edit Layouts action is removed from a Role this right will not be available for any station.

See Organizations and Roles topics for more information on limiting a user from accessing stations.

  25. Click Save [image] to save the changes.
  26. Login as the user to note the change. The user logs in with the last layout selected and the user can only switch between the default layout and any public layouts.

Important Note!

If the user has the right to open a module they will be able to open that module as many times as they would like, however they will not be able to save any changes to the layout.

Delete a Layout

To delete layouts from the Layouts section of the Layout menu, follow these steps:
  1. Click Manage Layouts from the Layout menu
  2. Select the Layout to delete
  3. Click the Delete [image] button from the toolbar to remove the selected layout.

Welcome < Layouts Overview < Manage Layouts

© 2007-2017 RCS. All Rights Reserved.


Docking and Undocking

Welcome < Layouts Overview < Docking Modules

Docking and Undocking in Zetta®

Many of the windows, tabs and all the modules can be docked. The modules opened can be Docked, Undocked or Free Floating. Modules, Tabs, and Windows can be docked in different modules or in the Zetta® main application window, to arrange them in a convenient way, so that each user can completely customize their Zetta® experience to their video display preferences. One of the uniquely powerful tools in Zetta® is the ability to take full advantage of a computer's HDMI (High-Definition Multimedia Interface) capabilities allowing the user to utilize the higher resolutions and easily view 6 to 8 modules docked on the screen. To save space on the desktop, the modules can also be docked as a tab of another module, this is useful especially when the user wants a module to be easily accessible, but not necessarily consuming real estate on the desktop.

The following docking guides will appear when clicking and dragging the title bar or tab of a module or window to assist in the docking and undocking:

Dock on Current – The Dock on Current icons appear when the tab or module is moved over an existing tab or module. Dropping the tab or module on the top [image] icon will dock the tab or module above the existing tabs moving them the down. Dropping the tab or module on the tabbed [image] icon will add the tab to the same position as the existing tabs, as an additional tab. Dropping the tab or module on the bottom [image] icon will dock the tab below the existing tabs moving them up. Dropping the tab or module on the left [image] icon will dock the tab to the left of the existing tabs moving them to the right. Dropping the tab or module on the right [image] icon will dock the tab on the right of the existing tabs moving them to the left.

Dock on Top – The Dock on Top option appears at the top of the docking area. Dropping the tab or module on this option will dock the window along the top edge of the docking area.

Dock on Left – The Dock on Left icon is located to the left side of the docking area. Dropping the tab or module on the Dock on Left icon will dock the window along the left edge of the docking area

Dock on Bottom – The Dock on Bottom icon appears at the bottom of the docking area. Dropping the tab or module on this icon will dock the window along the entire bottom edge of the docking area.

Dock on Right – The Dock on Right icon appears at the right of the docking area. Dropping the tab or module on this icon will dock the tab along the right edge of the docking area.

Tip: To temporarily disable the docking behavior, just hold the CTRL key while dragging modules around in a layout, and Zetta will not show the docking highlight regions until the key CTRL key is released.

Docking and Undocking Modules

Docking and Undocking Tabs in the Metadata Card

Docking the Log Windows

Pinning and Unpinning

Docking and Undocking Modules

To dock Modules in a Layout, use the following steps:

1. Click Layout from the main menu

2. Click Layouts from the Layout menu, an additional menu will open

3. Select the Layout to make it the Active Layout

4. Select one of the available modules from the Modules menu

5. Click and drag the open module using the title bar until the docking icons appear. As the window hovers over the desired docking position the icon changes color.

6. Adjust the windows using the sizing arrows [image] , by hovering the mouse over the edge of the module until the double arrow [image] is visible.

7. Click the drag the edge of the module, to make the modules the size desired.

8. To undock a module simply double-click the title bar or tab of the desired module.

9. Click the Save Layout from the Layout menu.

Docking and Undocking Tabs in the Metadata Card

Zetta® allows each user to arrange a Metadata card layout in the manner that optimizes the use of the Card based on the user's preference. Each tab can be docked in a different location to arrange the tabs in the most convenient way so each user can completely customize their Zetta® experience to their video display preferences. The docking of the metadata card is saved when the main layout is saved from the Layout menu.

To dock and undock the tabs, follow these steps.

1. Open the desired asset’s metadata card using Modules | Library

2. Click and drag the desired tab until the docking guides appear.

3. Drop the tab on the desired guide as outlined above.

4. Click the Save Layout from the Layout menu.

Docking the Log Windows

To dock the windows in the logs module, use the following steps:
  1. Click Logs from the Modules Menu.
  2. Right-click on an event in the log
  3. Using the View option, select the windows to View.

  4. If all the windows are selected in the View option, select Show/Hide Selected from the menu or select Insert Song or Link

  5. Click and Drag the title bar of any window until the docking icons appear

  6. Drop the window into the desired position
  7. To undock a window, simply double-click the title bar of the desired window.

Pinning and Unpinning

To Pin or unpin panes, use the following steps:
  1. In the Multitrack editor the Audio List is pinned to the right of the History pane, click the pin in the upper right corner of the History pane to pin the pane to the right side of the window. The pane will now auto hide when not in use.

  2. To show the pane hover over the tab to the right.

  3. Use the pin again to unpin the pane.
  4. Click and Drag any unpinned pane using the title bar to the bottom of the window.
  5. While dragging the pane hover the mouse over the Dock to bottom button.
  6. Release the pane when the button turns a light blue. This will dock the pane to the bottom of the project window.
  7. Use the pin in the upper right corner again to pin the pane to the bottom of the window.
  8. Click or Hover the mouse over the tab for the pane to show.
  9. To unpin the pane simply click the pin again.

Welcome < Layouts Overview < Docking Modules

© 2007-2017 RCS. All Rights Reserved.


Modules Overview

The Modules in Zetta® are used to control and edit what is played on the stations configured in Zetta. Modules in Zetta can be resized, docked, undocked or free floating then saved to Layouts. Layouts in Zetta allow you to create multiple customized layouts with specific modules that meet your workflow needs for the task at hand. Using Keyboard Mapping, switching between these layouts is as easy as clicking a shortcut key on the keyboard. The Modules Menu is used to quickly gain access and control the media assets in Zetta. Any number of modules can be opened at one time and saved to a Layout.

The following topics explain the modules found in Zetta:

On-Air

On-Air Step-by-Step Topics

Hot Keys®

Hot Keys Step-by-Step Topics

Stacks

Stacks Step-by-Step Topics

Z-Player

Multitrack Editor

Projects

Markers List

Audio List

History

Quick Record

Audio Clips

Library

Songs

Spots

Links

Voice Tracks

Quick Records

Alerts

Shows

Mini-Logs

Tags

Imaging

Rotations

Other Audio

All Audio

Library Step-by-Step Topics

Now Playing Export Send

Logs and Clocks

Logs

Simple Voice Tracker

Recording a Simple Voice Track

Voice Tracker®

Control Events

Notes Preview

Daylight Saving

Logs Step-by-Step Topics

Clocks

Clocks Step-by-Step Topics

Notes

Welcome < Modules Overview

© 2007-2017 RCS. All Rights Reserved.


On-Air

Welcome < Modules Overview < On-Air Module

On-Air Module

The On-Air Module gives a quick overview of what is going on with the station. It shows what is currently playing on the sequencer of a station. The On-Air Module is used to control playback of the station log, controlling what plays out the Sequencer (On-Air) Player. It is used to start, pause, stop or eject what is playing On-Air for the station. The On-Air module also has hidden panes for Satellite control, allowing the user to change Routes, and fire GPO and GPI commands. Zetta runs on an advance centralized database which enables a user to open multiple modules of the same type simultaneously. This allows the user to open an On-Air module for each station and control all the stations from one computer.

To access the On-Air Module, click On-Air from the Modules menu.

Click any area in this image for help

Click any area in this image for help

This module allows the user to control the on-air output, for each station.

Date/Time/Hour Status Information

Station Selection/Status

Hotspare Status

Station Mode

Shift

Alerts

On-Air Event List

On-Air Play Controls

Controls pane

Routes

GPO

GPI

Now Playing Export Send

Studio Switching

On-Air Step-by-Step Topics

Date/Time/Hour Status Information

The Date and Time display allows the user to see the following information:

Day of the week

Date

Current time (HH:MM:SS)

Exact_Time_Marker (ETM)

Gap Time (overfill/under-fill)

Station Selection/Status

The Station Selection/Status area has a drop-down to change the station being viewed and see the station status. The size and color of the font for the station name can be changed using the On-Air Themes & Appearances options from the Configuration menu.

The Station Status icon is color coded to provide the ability to quickly see the status of a station.

If the station is currently playing audio, it is considered On Air.

When the audio event is paused, the status shows the station is Paused.

If the station sequencer is not playing audio, it is considered Idle.

If the station is not responding, it is considered Off Air.

Hotspare Status

The Hotspare icon will be displayed to the right of the status icon when a Hotspare is armed for the station. A tooltip will be shown with a list of the hotspares that are armed for the station. The Hotspare icon is shown in grey when a hotspare is armed.

The Hotspare icon will change to a white color when the hotspare is activated and the tooltip will show a list of the armed and activated hotspares for the selected station.

Stretch/Squeeze Status

Zetta® uses pitchless stretch/squeeze to meet Hard ETM events. When the Stretch option is selected on an ETM, Zetta will stretch or squeeze the preceding events in the log that are set with Stretch, to meet the Hard Time set for the ETM. The Stretch option of an asset is set in the properties window of the Zetta Clock/Log or in the Timing field of the GSelector Clock/Log Editor. The Maximum Stretch and Squeeze percentage for a Station can be set in the Playback tab of the Station Configuration window. An Execute Command can also be added to the log using the task type SequencerSetMaxStretchSqueeze to set this percentage value. In Auto or Live Assist mode, when assets are being stretched/squeezed an icon will appear in the On-Air window title bar [image] and the runtime of the event will be underlined.

Station Mode

The Station Mode changes the operating mode for the selected station.

The following modes can be selected in the On-Air Module:

Auto – Auto mode is used to specify that each event should segue into the next. When a station is in Auto, all events are started according to the marked segue points. Live Events are invalid in this mode.

Live Assist – Live Assist mode is used during live shows. Live Assist utilizes the following chain types to assist in a smooth transition between events, with the ability to stop the log after playing a group of chained events to resume a live show. The following Chain Types can be selected from the On-Air module when the station is in Live Assist mode. In Auto mode or Manual mode the Chain Type can only be changed in the station log using the Logs Module.

Stop - Stop will stop the play of the log after the event plays.

Segue - Segue will segue into the next event

Auto Post - The Auto Post Chain type allows the Link to be back-timed from the Intro of the Song about to play. The Song and Link are then started by the sequencer and synchronized so the Link finishes at the end of the Intro period. See the Auto Posting Events topic for more information.

Link-Song - Link-to-Song will set the start of the next event at the early segue point of the previous event, so long as the intro is not too short, then the song ends at the intro of the next event.

Manual – Manual mode is used to specify that all events should wait for user interaction to begin. When a station is in Manual, each element must be fired manually.

Satellite Mode - Satellite mode is used with GPIO Devices, Shifts, and Imaging to play a satellite feed instead of local audio. See the Satellite Mode Features section for additional information. Live Events are invalid in this mode.

Split Player - Split Player mode will set the Station to a Split Player for a selected Split Master Station. When the Master Station is communicating correctly with the Split Stations at the remote sites the status icon will be green and a ZCast icon with a number [image] will appear in the On-Air title bar of the Master Station. See the Splits feature topic for more information on using the Split Player mode. Live Events are invalid in this mode.

Shift

The current shift is displayed to the right of the Station mode. Shifts are configured in the Station Configuration Shifts tab. The Shift can be changed using a Command Mapping, an Execute Command event or a Macro scheduled in the log/clock. If a shift name is not visible, then no shift is active for the station.

Alerts

When the Emergency Alert System feature is setup, EAS alerts will be visible in the well above the on-air events list. Clicking the alert will open the alert window.

On-Air Event List

The event list allows the user to see the currently playing event and the next events to play on all configured play streams contained in the On-Air player. The sequencer assigns play streams to playable events only, events that do not have audio are not assigned a play stream such as, Live Spots, inactive assets or assets with missing audio files. The default view of this module shows the first three events. Expand the height of the window to view additional events below the default three. To change the colors, fonts and font sizes of the On-Air module use the Themes & Appearances Configuration.

As events play, the progress of the event shows in the background of the event description:

If an intro is set, the intro of the event will be shown in yellow and the time display will show the time of the intro and/or the time to the end of the intro. The Yellow color will increase with intensity with each intro in the Song. Each Intro mark is shown in the event.

This progress bar will change color twice towards the end of the event:

ü When 10 seconds remain in the song, the progress bar will display the following color:

ü When 5 seconds remain, the progress bar will switch to another color:

If an event is a Live Read Event the progress bar will display in Purple when using Manual or Live Assist mode.

If the event has a cue point marker it will display in red. Hovering the mouse over the red cue point will show the name of the cue point.

When an event is Paused, the event will show the progress of the paused event with a yellow glow around the progress bar:

To the left of the event description, the ID or Short Name of the play stream assigned to play the event is displayed:

Hovering the mouse pointer over the number displayed will show a tool tip with information about the play device:

To the right of the event description, the user can view the time elapsed and the time remaining in the song. Double-Clicking the time will toggle the display to show either the time remaining to the end…

…Or the time elapsed and the total time of the song.

The event list also displays an icon signifying the type of media event that is scheduled to play and any note associated with the event. The following is a list of these icons:

Song

Spot

Link

Spot Block

Other Audio

Asset with Note

Asset with Script

Live Read

Live Read with Confirmation

Marked as Read

Voice Track

Quick Record

Record

/ [image] Show - When a Show is placed in the log it shows a shortcut icon [image]. When the sequencer executes the Show the show contents is then copied to the log and the show icon changes [image].

Tags - When a Tag asset is resolved in the Log the icon [image] will change to show the asset type that will play.

Rotation - When a Rotation asset is resolved in the Log the icon [image] will change to show the asset type that will play.

Imaging - When an Imaging asset is resolved in the Log the icon [image] will change to show the asset type that will play.

Macro

Clicking the Note or Scripts icons will display the Notes preview window.

The events following the currently playing event display the Intro in brackets before the duration of the event. The Intro displayed is the longest Intro defined in the Marks Editor for the audio. If an Intro is not defined for the audio then no Intro value is shown.

When a Spot Block or Macro is played, the On-Air Module will show the number of events played and the number of total events, while the Log shows the progress of the Spot Block or Macro and the Spot or Macro event playing.

Spot Blocks can be displayed expanded or extracted, with header or without using the Spot Blocks options in the Preferences Configuration.

On-Air Play Controls

The Play Controls section of the On-Air Module controls the playback of events.

Play Next - The large play button located at the far right of the On-Air Module is used to start the next cued event.

Play / [image] Pause

  • To start events, press the Play icon located on the line to play.
  • To temporarily stop playback while retaining the current position in the audio event, click the Pause icon.

Stop – The Stop button allows the user to stop the playback of the event located in the same line as the stop button.

Eject - The Eject button is used to remove an event from the On-Air list. This will change the log status of the event to Skipped.

Controls pane

The Controls pane is hidden by default but can be displayed by right-clicking the On-Air module and selecting Show/Hide Selected or by clicking View then selecting the tab to view. If all the tabs are selected in the View menu option, simply click the Show/Hide Selected option. All tabs are selected, but hidden by default when the On-Air module is opened. These tabs can be positioned using the docking and undocking options and then saved to a Layout.

Routes

GPO

GPI

Now Playing Export Send

Studio Switching

Routes

The Routes tab shows the routes that have been configured in the GPIO/Routes tab for the Computer and assigned in the Satellite tab for the station. To change a Route's state manually, simply click the button in the pane. When a route is on it is shown in green. The button with the Location icon in the upper right corner is the route selected as the Local Route for the station. The button with the Satellite icon in the upper right corner is the route selected as the Satellite Route for the station.

GPO

The GPO tab shows the Outputs that have been configured in the GPIO/Routes tab for the Computer and assigned in the Satellite tab for the station. To change a GPO's state manually, simply click the button in the pane. See the Satellite Mode feature topic for additional information on using the Controls pane of the On-Air module.

GPI

The GPI tab shows the Inputs that have been configured in the GPIO/Routes tab for the Computer and assigned in the Satellite tab for the station. When an input is received from the configured GPIO device the GPI control window will flash yellow for the corresponding input. See the Satellite Mode feature topic for additional information on using the Controls pane of the On-Air module.

Now Playing Export Send

The Now Playing Export Send tab works similarly to the Now Playing Export Send Module. It can be used to manually send a Now Playing message for the specified station. Zetta will use the defined Now Playing Export instances in the Now Playing Export tab of the System Configuration to send the Now Playing message. Where multiple Now Playing Export instances exist for a station, the message will be sent to all active instances for the station. This Now Playing Export Send messaging is independent of the sequencer now playing messages.

Studio Switching

The Studio Switching pane is used to Arm/Disarm and Activate/Deactivate a hotspare. The computer must have a hotspare selected in the Hotspare Studio Switching field of the Details tab of the Computer Configuration window, the current station must be assigned as an Available Station to the hotspare in the Hotspare Configuration window and the user account must have the rights to Open the Studio Switching window for the Studio Switching option to be visible in the Controls pane of the On-Air window.

When the pane is open an Arm and Activate button will be shown. When the Arm button is selected, Zetta will arm the hotspare and the hotspare will play the audio from the stations log that the currently active sequencer is playing, so they will both be playing the same audio at the same time. This allows for a smoother transition when activating the Hotspare. The Hotspare status also changes in the On-Air header. The Arm button will change to a green color and show the word Disarm.

Clicking the Disarm button will disarm the hotspare and return the button to its original state.

Selecting the Activate button will activate the hotspare. If the hotspare has not been armed it will not start to play audio until the next event starts. When the hotspare is activated, the Activated button changes to green with the wording Deactivate and the Arm button is disabled. The Hotspare status also changes in the On-Air header. Selecting the option Arm Station Play Containers when activated, in the Hotspare Configuration, will tell Zetta to automatically arm the (Station Play Containers) for the original computer when the Activate option is selected. This can be used to keep Station's default play containers armed after a Hotspare has been activated.

Clicking the Deactivate button will Deactivate the hotspare while arming and activating the original (Station Play Containers). The button will return to its original state and the Arm button will once again be available for use.

On-Air Step-by-Step Topics

This topic includes step-by-step information on common tasks performed from the On-Air Module.

Selecting the Station/Viewing Station Status

Add an Event to the On-Air Module

Delete an Event from the On-Air Module

Changing the Station Mode in the On-Air Module

Selecting the Station/Viewing Station Status

To select a station to view in the On-Air Module, perform the following steps:
  1. Click the On-Air Module from the Modules menu.

  2. Using the Select Station drop-down dialog shown above, select the station name. The contents of the log are displayed in the event list.

Add an Event to the On-Air Module

Typically, the entire list of events that will play are provided by GSelector® or Log load from Flat File Assignment. In the event of a manual log change, without accessing GSelector® or the Logs Module the song can be added directly from the Library Module.

To add assets to the On-Air module, follow these steps:
  1. Select On-Air from the Modules menu
  2. Select Library from the Modules menu
  3. Select a Station, from the On-Air Module.
  4. Choose a Station Mode
  5. Click and Drag a media asset from the Library Module to the On-Air Module. A line displays where the event will be inserted.

  6. Drop the event into the desired position. The event is now visible from the Station Log and On Air Module.

Delete an Event from the On-Air Module

To delete an event from the current On-Air list, perform the following steps:
  1. Locate and highlight the event to remove from the On-Air Module.
  2. Hit the DELETE key on the keyboard or press the Eject [image] button. The event is removed from the list and given a status of skipped.

Changing the Station Mode in the On-Air Module

To change the Station Mode in the On-Air Module, perform the following steps:
  1. In the On-Air Module, click the Mode drop-down, shown outlined below:

  2. Select the Station Mode to use.

Welcome < Modules Overview < On-Air Module

© 2007-2017 RCS. All Rights Reserved.


Hot Keys®

Welcome < Modules < Hot Keys Module

Hot Keys® Module

The Hot Keys Module is used to configure a “bank” of events that can be quickly executed without having to add events to a station log. To change the configuration of the Hot Keys see the Hot Keys Configuration section. To change the Font colors and sizes see the Theme Management configuration section of this guide. In addition to the Title, Artist, and Duration of the Asset, the Hot Key button will display details about the Asset, such as the Type of Asset, if it has a Hook, and if it has a Split Behavior defined. When a Hot Key is played, it will also display the Stream being used and the play progress of the asset. Using the right-click menu the user can also set the color of the Hot Key button(s) and lock the Hot Key to play from a set play stream. Right-clicking a disabled [image] hook icon will enable [image] the asset as a hook, right-click it again to disable the hook and switch back to the entire audio for the asset. Hot Keys can also be used to Execute Commands such as the NowPlayingExport.Send command.

Click any area in this image for help

Click any area in this image for help

Hot Keys Toolbar

Hot Keys Command Mappings

Execute a Hot Key

Hot Keys Module Step-by-Step Topics

Hot Keys Toolbar

The functions in the toolbar of this Module include:

Create a new bank – Use the Create a new bank button to create and name a new Hot Keys bank. See the Creating a New Hot Keys Bank section in the Hot Keys Module Step-by-Step Topics section of the guide. (The maximum configuration is 50 rows by 50 columns.)

Make a copy of the bank – The Copy button will allow the user to create a new Hot Keys bank based upon the current bank. The user only has to enter the name of the new bank.

Delete the bank – The Delete button will delete the current bank. Before Zetta® deletes the bank; it will prompt the user for deletion.

Publish the bank through Site Replication - The Publish the bank through site replication button is used to publish changes to a Hot Keys bank to the configured site replication servers. This button is only visible when Site Replication is configured.

/

Available Stream display – The number in the circle shows the number of streams available to the Hot Keys to play audio. If there are no streams available, the circle will be colored red and the number zero will appear inside. Hover the mouse over the number to view the selected play container being used to play the Hot Keys.

Previous Bank - The Previous Bank button will open the Hot Keys bank listed before the current bank.

Hot Keys Bank Selector – The first drop-down allows the user to select an existing Hot Keys bank. Using the left and right arrows on either side of the Hot Keys Bank Selector will scroll through the available banks.

Next Bank - The Next Bank button will open the Hot Keys bank listed after the current bank.

Stream - The Steam selection drop-down is used to select a stream for the Hot Keys bank. If a stream other than the default <Any> is selected, then all hot keys in the bank will play on that selected stream. This will override any hot key with a Set Stream. Use the Window field in the command mapping tasks for Hot Keys to specify the stream to use for this option.

Station Selector – The second drop-down allows the user to select the station that the Hot Keys bank will play on.

Hot Keys Command Mappings

The following tasks can be assigned in the Command Mappings or as a Execute Command Control Event to work with the Hot Keys Module. All these commands require that the Hot Keys module be open. HotKeys.OpenBank will open the requested Hot Keys bank in an existing hot keys window.

Task | Settings | Description | Comment
Hotkey.BankNext | <None> | Moves to the Next bank. Use the window field to select a play stream. Leaving the Window field blank will set the play stream to the default <Any>. | GPI, Cue Point or Keyboard
Hotkey.BankPrevious | <None> | Moves to the Previous bank. Use the window field to select a play stream. Leaving the Window field blank will set the play stream to the default <Any>. | GPI, Cue Point or Keyboard
Hotkey.ButtonPress | Hot Keys Row and Column | This command operates like a Hot Key button being clicked. The default is to play/stop. However it can play/stop, play/pause or play/restart depending on the Override Stream mode set in the database. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to play/stop the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | To setup the Override Stream mode contact RCS Support. GPI, Cue Point or Keyboard
Hotkey.OpenBank | Hot Key bank name | Opens the specified bank. Use the window field to select a play stream for the selected bank. Leaving the Window field blank will set the play stream to the default <Any>. | GPI, Cue Point or Keyboard
Hotkey.Pause | Hot Keys Row and Column | This will pause the playing of the designated Hotkey. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to pause the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.PauseAll | <None> | This will Pause all playing Hot Keys | GPI, Cue Point or Keyboard
Hotkey.Play | Hot Keys Row and Column | This will start playing the designated Hotkey. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to start playing the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.PlayLast | <None> | This will play the last Hotkey that previously played. | GPI, Cue Point or Keyboard
Hotkey.PlayPause | Hot Keys Row and Column | When this command is used, if the Hotkey is paused it will start playing. If the Hotkey is playing it will pause. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to play/pause the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.PlayRestart | Hot Keys Row and Column | When this command is used, if the Hotkey is stopped/paused it will start playing from the beginning. If the Hotkey is playing it will restart playing from the beginning. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to play/restart the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.PlayStop | Hot Keys Row and Column | When this command is used, if the Hotkey is stopped/paused it will start playing. If the Hotkey is playing it will stop. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to play/stop the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.Stop | Hot Keys Row and Column | When this command is used, if the Hotkey is playing or paused it will stop. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to stop the playing of the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.StopAll | <None> | This will Stop all playing Hot Keys | GPI, Cue Point or Keyboard
Hotkey.StopLast | <None> | This will stop the play of the last Hotkey that previously played. | GPI, Cue Point or Keyboard

Execute a Hot Key

To execute a Hot Key media event, simply click the Hot Key. The Hot Key will have a blue outline while playing, this color can be changed in the Theme Management Configuration | Log Editor | General: Currently Playing Item Border. The progress bar will show the event progress and the timing will show the event countdown.

If the Apply Fade Out Value on Stop is enabled for the Stations Hot Keys, the Hot Key will show the fade progression when it is stopped. See the Playback tab in Station Configuration for more details.

The default action when a Hot Key is clicked is to play/stop. However the hot key can play/stop, play/pause or play/restart depending on the Override Stream mode set in the database. To setup the Override Stream mode contact RCS Support.

Hot Keys Module Step-by-Step Topics

This section provides step-by-step instructions to perform common tasks related to the Hot Keys Module. See the Hot Keys Configuration in the Configuration section of this guide for more information on Hot Keys configuration options.

Create a New Hot Keys Bank from the Hot Keys Module

Copy a Hot Keys Bank

Delete a Hot Keys Bank

Add Media to a Hot Key

Add a Hook to a Hot Key

Add an Execute Command to a Hot Key (NowPlayingExport.Send)

Set Hot Key Play Stream

Set Hot Key Color

Edit Audio

Audition Hot Key Events

Delete Hot Key Events

Copy Hot Key Events

Edit a Hot Key Asset

Create a New Hot Keys Bank from the Hot Keys Module

To create a New Hot Keys Bank from the Hot Keys Module, perform the following steps:
  1. From the Modules Menu, click Hot Keys
  2. Click the Create a new bank [image] button

  3. Enter a New Bank Name
  4. Enter the number of Rows to have across the Hot Keys bank. (max rows = 50)
  5. Enter the number of Columns to have down the Hot Keys bank. (max columns = 50)
  6. Click OK to close the New Hot Key Bank window.
  7. Add Media to the Hot Keys bank.

Copy a Hot Keys Bank

To copy a Hot Keys Bank from the Hot Keys Module, perform the following steps:
  1. Click the Make a copy of the bank [image] button

  2. Enter name for the Hot Keys bank
  3. Click OK to close the window.

Delete a Hot Keys Bank

To delete Hot Keys banks, perform the following steps:
  1. Select a bank from the Select Hot Keys Bank drop-down menu

  2. Click the Delete [image] button
  3. Click Yes to confirm the deletion

Add Media to a Hot Key

To add media events to an existing Hot Keys bank, perform the following steps:
  1. Select a bank from the Select Hot Keys Bank drop-down menu

  1. Locate the event to add in the Library Module.
  2. Click and Drag the event from the Library Module to a Hot Key in the bank chosen.
  3. Drop it on the Hot Key.

Add a Hook to a Hot Key

To add a hook to an existing Hot Keys bank, perform the following steps:
  1. Select a bank from the Select Hot Keys Bank drop-down menu

  2. Locate the event to add in the Library Module.
  3. Click and Drag the event with an associated hook from the Library Module to a Hot Key in the bank chosen. See the Hooks section of this guide for more information on Creating Hooks
  4. Drop it on the Hot Key.

  5. Right-click the Hot Key
  6. Select Hook from the drop-down menu
  7. The Hook [image] icon is displayed on the Hot Key

Add an Execute Command to a Hot Key (NowPlayingExport.Send)

An Execute Command needs to first be configured in a Log or Macro before it can be added to the Hot Key.

To Add an Execute Command to a Hot Key in Zetta®, perform the following steps:
  1. From the Configuration menu, select Macros or from the Modules menu select Logs
  2. Select a Station from the Select Station drop-down
  3. If the Logs module is used right-click in the log and select Insert Control Event.
  4. Using the Consideration window of the Logs window or the Macros window select the Execute Command event.
  5. In the Properties window, select a Task Type such as the NowPlayingExport.Send command.

  9. Use the Properties window to configure the remainder of the settings for the event. Each Task Type will present different settings for the Command. See the Zetta Commands topic for more details.
    1. Select the Station
    2. Select the Type, a NowPlayingExport.Send can be Manual or it can be an Asset. If the type selected is Manual, use the Title, Artist and Composer fields to enter the desired now playing information, similar to the Now Playing Export Send module. If Asset is selected, drag and drop the asset from the library or log into the properties window.
  10. Open the Hot Keys module.
  11. Create or select a Hot Keys bank.
  12. Drag and drop the Execute Command onto the desired Hot Key, from the consideration window of the macro or log window.

  13. Click the Hot Key to execute the NowPlayingExport.Send command.

Set Hot Key Play Stream

When the Stream option in the toolbar is set to <Any> a play stream can be set for a Hot Key in a Hot Keys bank. A stream must first be assigned as a Hot Keys play stream for a play container that is assigned as Hot Keys Playback for the Station or the Hot Keys Player for the Computer.

The Hot Key can be assigned a Splits stream based on the Split behavior of the audio. When the split behavior is silent, the only option is <Any> because audio is not actually played out of the master stations play device. If the Split behavior is Master Audio, then the streams set as splits streams will be displayed in the list of streams available to select. If the split behavior is master monitor, then the streams set as monitor streams will be displayed in the list of streams available to select. The Stream selected will remain with the selected Hot Key until the Hot Keys® module is closed.

To Set a Hot Key to play off a specific play stream, perform the following steps
  1. Set the stream assignment for the Hot Keys bank to <Any>using the Stream selection drop-down in the toolbar.
  2. Right-Click on the desired Hot Key
  3. Click the Set Stream option.

  4. Click the desired Stream number, the number selected is displayed in the Hot Key.

  5. Optionally, select <Any> to let Zetta choose the stream to use.

Important Note!

If a stream is set for a hot key on one station when switching stations if that same stream is not available for the selected station the user will see the assigned stream next to the word <Any> when clicking the Set Stream option. This allows the user to see that this hot key has a stream assigned for another station.

Set Hot Key Color

To Set a Hot Key Color, perform the following steps
  1. Right-Click on the desired Hot Key
  2. Click the Set Color option.

  3. From the Hot Key Button Color Configuration window, select the Choose Color drop-down menu.

  4. Select a color for use the Advanced button to adjust an existing color.
  5. Click the Apply To drop-down to select how to apply the color to the Hot Key bank. The color selected can be applied to a Hot Key button, a row or Hot Keys, a column of Hot Keys or an entire bank of Hot Keys.

Edit Audio

The Edit audio option is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Audition Hot Key Events

To audition an event on a Hot Key
  1. Right-Click on the desired Hot Key
  2. Click one of the Audition options, the audio will play from the configured Audition player stream.

Delete Hot Key Events

To delete an event from a Hot Key
  1. Right-Click a Hot Key
  2. Click Clear Key

Copy Hot Key Events

To copy an event from one Hot Key to another Hot Key or to another Hot Keys bank, follow these steps:
  1. Right-Click a Hot Key
  2. Click Copy or CTRL + C from the keyboard
  3. Right-Click on a different Hot Key in the current Hot Keys bank or from a different Hot Keys bank
  4. Click Paste or CTRL + V from the keyboard

Edit a Hot Key Asset

To edit an asset from the Hot Keys window, follow these steps:
  1. Right-Click the Hot Key to edit
  2. Click Edit Asset
  3. Edit Asset will open the Metadata card for the song for editing. For additional editing details, see the Marks Editor topic.

Welcome < Modules < Hot Keys Module

© 2007-2017 RCS. All Rights Reserved.


Stacks

Welcome < Modules < Stacks Module

Stacks Module

The Stacks Module is used to create a series of events. Stacks can be used to pre-program a series of events without having to manually add them to the log or program them into a scheduler. Stacks can be controlled using Command Mappings, see the Stacks Module table in the Zetta Commands section for more information on these commands.

Click any area in this image for help

Click any area in this image for help

Stacks Toolbar

Stacks Events List

Stacks Play Controls

Stacks right-click menu

Stacks Step-by-Step Topics

Stacks Toolbar

The toolbar of the Stacks Module includes:

/ [image] AutoScroll – When pressed, the AutoScroll button will toggle between [image] On and [image] Off. When the Stacks module is open, the AutoScroll will default to On. When autoscroll is On, the Stack will always display the current playing position in the stack. When Off, clicking AutoScroll On, will return to the current play position and stay in the current play position as the stack plays.

Add new stack – The Add new stack will allow the user to create a new stack. See the Stack Player Step-by-Step Topics section of the guide for more detailed information.

Copy stack – The Copy stack will allow the user to create a new duplicate stack based on the current stack. The user only has to enter the name for the new stack.

Delete stack – The Delete stack will delete the current stack. Before Zetta® deletes the stack; it will prompt the user to confirm the deletion of the stack.

Audition – The Audition button will allow the user to listen to a selected piece of audio without it going over the air. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition player and stream must be defined and a piece of audio must be selected.

Publish the stack through Site Replication - The Publish the stack through site replication button is used to publish changes to a Stack to the configured site replication servers. This button is only visible when Site Replication is configured.

* / [image] Available Stream display –The number in the circle shows the number of streams available to the stack to play audio. If there are no streams available, the circle will be colored red and the number zero will appear inside. Hover the mouse over the number to view the selected play container being used to play the Stacks.

Previous Stack - The Previous Stacks button will open the Stack listed before the current stack.

Stacks Selector – The first drop-down allows the user to select which stack to display; the user may also use the left and right arrows on either side to scroll through the available stack. See the Stack Player Step-by-Step Topics section of the guide.

Next Stack - The Next Stack button will open the Stack bank listed after the current stacks.

Station Selector – The second drop-down allows the user to select the station that the stack will play on.

Stacks Events List

The Stacks Event List shows the status information for a Stack.

Default Stacks Columns

Additional Stacks Columns

Create a Stack

Adding and Deleting Events of a Stack

Chaining Events in a Stack

Copy a Stack

Play a Stack

Changing the Stacks Module Layout

Save Stacks to a Layout

Default Stacks Columns

Stream column displays the ID of the stream being used.

Split Behavior column shows an icon when a split behavior is selected for the scheduled asset. The Split Behavior column is visible when Splits are enable in the System Configuration | General tab.

  • Master Audio - A Split Behavior of Master Audio tells the Master station to play the audio and send a signal to the subscribing Split Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the same asset as the Master Station, if the asset is active on the subscribing station. When an asset's Split Behavior is set to Master Audio a Master Audio [image] icon will be visible in the Split Behavior column.
  • Master Silent - A Split Behavior of Master Silent tells the master station to be silent and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the asset scheduled on the Master station, if the asset is active on the subscribing station. When an asset's Split Behavior is set to Master Silent a Master Silent [image] icon will be visible in the Split Behavior column.
  • Master Monitor - A Split Behavior of Master Monitor will route the audio for the asset to the configured Monitor streams of the Player for the Master Station and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the client station will play the same audio asset that is scheduled on the Master Station, if the asset is active on the subscribing station. Master Monitor allows the user to hear the audio locally for the Master Station even though nothing is playing over the air for the Master Station. When an asset's Split Behavior is set to Master Monitor a Master Monitor [image] icon will be visible in the Split Behavior column.

Event column shows the events in the log and the progress position.

  • The event list allows the user to see the currently playing event and the next events to play contained in the Stacks Player. As events play, the progress of the event shows in the background of the event description.

  • If an intro is set, the intro of the event will be shown in yellow and the time display will show the time of the intro and/or the time to the end of the intro. The color will increase with intensity with each intro set in the Song.

  • This progress bar will change color twice during the event:

ü When 10 seconds remain in the event, the progress bar will display the following color:

ü When 5 seconds remain, the progress bar will switch to another color:

  • To the left of the event description, the ID of the play stream assigned to play the event is displayed

  • To the right of the event description, the time elapsed and the time remaining in the event is displayed. Double-Clicking the time will toggle the display to show just the time remaining to the end…

…Or the time elapsed and the total time of the song or spot.

  • The event list also displays an icon signifying the type of media event that is scheduled to play. The following is a list of these icons:

Song, [image] Spot, [image] Link, [image] Hook, [image] Tags, [image] Mini-Log, [image] Rotation, [image] Imaging [image] Other Audio, [image] Asset with Note, [image] Asset with Script, [image] Live Read, [image] Live Read with Confirmation, [image] Marked as Read, [image] Bed, [image] Voice Track and [image] Quick Record

Additional Stacks Columns

Additional information can be displayed in the Logs Module to customize the view. The following are the columns of information that can be added to the Logs Module:

Air Time - The Air Time column shows the time the asset was played.

AirStopTime – Air Stop Time is the time to stop playing the event on the specific station.

Artist/Owner – Artist/Owner shows the artist or owner of the event.

Asset - Asset expands to another menu allowing the user to choose a field associated with a library asset.

Description – The Description is used for adding a description to the event as it is in the log

PlayerStreamId – The Player Stream Id gives the Player Stream ID number that was used to play the element.

Progress Counter –The Progress Counter shows the progress information for the event that is playing.

RunTime – Run Time gives the run time length in seconds for the event.

Skip – Skip allows the user to skip or unskip an event in the stack

Split Behavior - The Split Behavior column shows an icon when a split behavior is selected for the scheduled asset. The Split Behavior column is visible when Splits are enabled in the System Configuration | General tab.

Status – Status gives the event status code in alphanumeric format.

Title – Title is used to show only the title of the element in the column.

Title/Artist/Sponsor – Title/Artist/Sponsor is used to show the Title, Artist and Sponsor in one column.

Stacks Play Controls

The Play Controls section of the Stacks Module controls the playback of events.

Chain Type – The Chain Type column shows the action that is performed when the current event ends.

Play / [image] Pause

  • To start events, press the Play icon located on the event to play.
  • To temporarily stop playback while retaining the current position in the audio event, click the Pause icon.

Stop - The Stop button allows the user to stop the playback of the event located in the same line as the stop button.

Eject - The Eject button is used to remove an event from the Stack list.

Play Next - The large play button located at the far right of the Stacks Module is used to start the next cued event.

Stacks right-click menu

Using the mouse to right-click an event in the Stack, a menu of the following additional options are displayed.

Edit Audio

The Edit audio option is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Hook

A hook is a musical or lyrical phrase that stands out and is easily remembered which is used to make a song appealing and to "catch the ear of the listener". If the event has a hook, selecting hook from the right-click menu will tell Zetta to play only the hook instead of the entire asset.

Stacks Step-by-Step Topics

This section provides step-by-step instructions for common tasks performed in the Stacks Module.

Create a Stack

Adding and Deleting Events of a Stack

Chaining Events in a Stack

Copy a Stack

Play a Stack

Changing the Stacks Module Layout

Add Columns to Stacks

Replace Columns in Stacks

Remove Columns in Stacks

Move Columns in Stacks

Save Stacks to a Layout

Create a Stack

To create a new Stack, follow these steps:
  1. From the Modules Menu, click Stacks.
  2. Choose a station from the Station drop-down list located at the top of the Stack Module.
  3. In the Stacks Module toolbar, click the Add New Stack [image] button.

  4. Enter a Name to identify the Stack and click OK.

Adding and Deleting Events of a Stack

To add or delete events from a Stack, follow these steps:
  1. Select the Stack to which events will be added.
  2. Open the Library Module and select the event(s) to add to the stack.
  3. Click and drag the event to the desired location in the Stack. To choose multiple events use the Shift or CTRL keys and click the events to add.

  4. Drop the event(s) into the Stack; a guide is displayed showing the location the event(s) will be inserted.
  5. To delete event(s) from the current Stack, select the event(s) to remove and press the DELETE key on the keyboard or use the Eject [image] button. To choose multiple events use the Shift or CTRL keys and click the events to delete.

Chaining Events in a Stack

The events in a Stack can be set with different chain types to control how the events play. By default, all new events added are set to segue [image] into the next event until the end of the list is reached. If the last event has a chain type of segue, Zetta® will segue into the first song in the stack creating a loop of events.

To modify the chain type for events in a Stack, follow these steps:
  1. Select the Stack to modify.
  2. Locate the event to modify. Click the Segue [image] icon.

  3. Select the chain type to be used for the event

Stop to stop play after the current event.

Segue into the next event in the Stack list.

  4. Repeat this process for any additional events to be modified.

Copy a Stack

Stacks can be copied to create new or duplicate stacks with the same events.

To Copy a Stack, perform the following steps:
  1. Select the Stack to copy.
  2. Click the Copy [image] icon

  3. Enter a Name for the new duplicate stack
  4. Click OK.

Play a Stack

To execute events in the Stacks Module, perform the following steps:
  1. In the Stacks Module, locate the event to execute.
  2. In the right side of the event list, click Play [image] .

As the event plays, the status is displayed. The Stack Player will use the settings configured to segue into the next event or stop after the event is complete.

Changing the Stacks Module Layout

There are several ways to change the look of the Stacks Module.

Add Columns to Stacks

Replace Columns in Stacks

Remove Columns in Stacks

Move Columns in Stacks

Save Stacks to a Layout

Add Columns to Stacks

To add columns to the Stacks Module in Zetta®, follow these steps:
  1. Right-click the column heading where the new column is to be added
  2. From the displayed menu, click Insert and choose the item from the list to be added.

Replace Columns in Stacks

To replace a column in the Stacks Module in Zetta® with a different column, follow these steps:
  1. Right-click the column heading to be replaced
  2. From the displayed menu, click Replace
  3. Choose an item from the list to be added.

Remove Columns in Stacks

To remove a column in the Stacks Module in Zetta®, follow these steps:
  1. Right-click the column heading to be removed
  2. Click Remove

Move Columns in Stacks

To move a column in the Stacks Module in Zetta® to a different location, follow these steps:
  1. Click and Drag the column to be moved to the location desired.
  2. Drop the column in the desired location. As the column is dragged, a ghost image of the column is displayed that outlines the column’s position.

Save Stacks to a Layout

To Save Stacks to a layout, follow these steps.
  1. Click Layout in the Application Menu.
  2. Click Save Layout

Welcome < Modules < Stacks Module

© 2007-2017 RCS. All Rights Reserved.


Z-Player®

Welcome < Modules < Z-Player

Z-Player® Module

The Z-Player® is designed to allow a user to drag and drop an audio item from anywhere in Zetta and load it onto a very specific playback stream. The dropped item will be a reference to the item from where it was dropped and the current settings assigned to that event. The Z-Player allows the user to Cue up the audio and set Loop markers for looping a section of the audio. The Z-Player can be used to loop a segment of an audio such as, looping a song intro as a bed for speech or Voice Tracks. Loop-in and loop-out define a range in the audio, much like a hook-in/hook-out. The main difference is that when Looping is enabled Zetta will jump back to the Loop-in position and continue to play until stopped. The Z-Player audio can be set to play in Audition mode or On-Air by simply clicking a button. The Z-Player also can be controlled with Command Mappings using a GPIO device such as JLCooper devices. The Z-Player can be customized for the user using the Z-Player Themes, Docking and Layouts.

Click any area in this image for help

Click any area in this image for help

Z-Player® Details

Z-Player® Controls

Setup JLCooper device for Z-Player® Control

Z-Player® Details

When the Z-Player Module is opened it displays the following window:

When an asset is dropped into the Z-Player the module header will be renamed to display the location where the asset was dropped from. If an audio asset is dragged and dropped into the Z-Player with the default stream setting of <Any> the play controls will be disabled until the CUE button or stream is selected.

When a stream is selected, most of the audio controls will be enabled for On Air play, using the selected play container for the Z-Player in Playback tab of the Station Configuration. The Backwards and Forwards buttons are not available in the On Air mode.

Clicking the Audition/On Air button will change the Z-Player to use the Audition player selected in Playback tab of the Station Configuration. All play controls are enabled in Audition mode.

In audition mode, right-click on the Progress bar of the event to set the start position or drag and drop the audio start position to the desired location.

Once the start position is set, right-click the CUE button to set the start CUE position, note the purple line representing the selected CUE position.

Now use the Z-Player controls to manipulate the audio.

Z-Player® Controls

Save

Reload Asset

Available Streams

Audition/On Air mode

Stream Selector

Station Selector

Active Stream

Event Progress Bar

Eject

CUE

IN

OUT

Loop

Play

Pause

Backwards/Forwards

Save

The save [image] button is available when an asset is dropped from the Hot Keys or Stacks. When Z-Player saves the event the event is saved in direct relation from where the audio is dropped. If the audio is dropped from anywhere else in Zetta it can be marked with a loop and played ON-AIR, but the changes cannot be saved.

Example of Z-Player Referencing:

If you drop a log event from the Hotkeys onto the Z-Player, Z-Player now contains a direct reference to that event. You can add a Loop Cue and Loop Marker to the Z-Player then save your changes. These settings will be applied directly to the event from where it was dropped.

Reload Asset

Use the reload [image] button to reload the asset from the dropped location. If the event has been deleted from the original location the Z-Player will not reload the asset, but will remove the current asset and remain empty.

Available Streams

The number in the circle * shows the number of streams available to the Z-Player module to play audio. If there are no streams available, the circle will be colored red and the number zero [image] will appear inside. Hover the mouse over the number to view the selected play container being used to play. Click the Audition/On-Air button to switch the play container being used.

Audition/On Air mode

When this button shows Audition the play streams being used are the streams for the Play Container selected as the Audition Player for the station. When this button shows On-Air the play streams being used are the streams for the Play Container selected as the Z-Player for the station. Play Containers are assigned in the Playback tab of the Station Configuration.

Stream Selector

The first drop-down in the toolbar allows the user to select which stream to use for the Z-Player based on the mode selected. The user can select a specific stream to use or select <Any> to let Zetta select the next available stream. If an audio asset is dragged and dropped into the Z-Player with the default stream setting of <Any> the play controls will be disabled until the CUE button is selected. If a stream is selected, the audio controls will be enabled for On-Air play, using the selected play container for the Z-Player in Playback tab of the Station Configuration.

Station Selector

The second drop-down in the toolbar allows the user to select the station that the audio will play on.

Active Stream

The icon to the left of the progress bar for the audio event is the Active Stream and is used to identify the stream that is In Use. If the active stream is in use by another module the stream icon will display GRAY with RED stream text. This means if the asset is played on that stream it may have a direct effect on On-Air Play.

Event Progress Bar

The progress bar shows information similar to other event list detail progress bars in Zetta. The border of the progress bar changes color based on the state of playback. If the audio is paused, the border will be yellow, if the audio is playing the border will be blue and if the audio is in Stutter mode it will be bordered in orange. The progress bar also shows any defined loop in purple. In audition mode, right-click on the Progress bar of the event to set the start position or drag and drop the audio start position to the desired location. Once the start position is set, right-click the CUE button to set the start CUE position, note the purple line representing the selected CUE position.

Eject

The Eject button will eject the audio from the Z-Player.

CUE

The Cue button is a multipurpose button. The Cue button will cue up the audio and enable the play controls in the Z-Player. If nothing is playing and the Cue button is pressed AND HELD, the Z-Player will play from the current position until Released, when released the cursor will jump back to the original starting position. The Cue button will stop the play of audio and place the cursor play position at the start of the audio. If playback is Paused and/or the user uses the Backwards/Forwards buttons to fine-seek a position, pressing the button will set a new CUE position. Right-clicking the CUE button while playing or paused will set the new position to the current cursor position.

IN

In, represents the Loop-in position within the audio file to which Zetta will jump back to when playback has reached the loop-out position and Looping is enabled. The IN button can also be used to jump to the Loop-in position during playback.

OUT

Out, represents the loop-out position of the audio. The OUT button can also be used to jump to the Loop-out position during playback

Loop

The Loop button puts the player in Loop mode where only the selected loop audio is played until looping is stopped. When the Loop button is selected to stop looping the audio will then play past the loop out position to the end of the audio.

Play

Play, will play the audio from the cursor position. Clicking the button while the audio is playing will restart the audio from the original position.

Pause

The pause button is a multipurpose button. If audio is playing the button will pause the audio that is playing in the Z-Player. If the audio is paused and the pause button is selected again the play position will jump to the CUE position. If the pause button is selected yet again, after jumping to the Cue position, the cursor will jump to the Trim In position for the audio.

Backwards/Forwards

The Backwards and Forwards buttons are used to fine tune the position in the audio. If audio is playing or paused and one of the buttons is pressed, playback will go into SEEK MODE (continuously playing a small portion of the audio). Pressing the Backwards or Forwards button while in the SEEK MODE will take a short jump forwards/backwards in the audio. Selecting the CUE button while in SEEK MODE will set a new CUE position. Hitting PLAY while in Seek Mode will resume playback from the current position. These buttons are available in Audition mode.

Setup JLCooper device for Z-Player® Control

Zetta supports two JLCooper Media Control Stations, the MCS3 and MCS2 using a RS232 connection to the Computers Comport. These media control stations are typically used with the Z-Player Module in Zetta.

To setup a JLCooper device to control the Z-Player, follow these steps:
  1. Select the Computer to configure in Tools | Computers
  2. Click the GPIO/Routes tab
  3. Click the Add New GPIO Device [image] button.
  4. Select Enabled to enable the device for use.
  5. Select JLCooper (MCS2 or MCS3) as the GPIO Device.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. The COM settings for the device, Zetta will default to the factory communication settings for the device selected. The Comport can be changed if needed. Contact RCS Support for assistance.

  10. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Click the Add New GPIO Input Event [image] button to add an Input.

Example GPI mappings:

MCS2 GPI button Mappings

      • GPI #1 = Shift Button
      • GPI #2 = REW Button
      • GPI #3 = FF Button
      • GPI #4 = Stop Button
      • GPI #5 = Play Button
      • GPI #6 = Record Button
      • GPI #7 = Jog Button
      • GPI #61 = Option Button
  11. Click Save [image] button to save the GPIO / Routes settings for the selected computer.
  12. Close the Computers window.
  13. Go to the Command Mappings tab of the System Configuration window
  14. Click Add GPIO Event Mapping [image] button.
  15. Enter a Name for the GPIO Mapping (default is New Mapping GPIO).
  16. Enter a Description for the GPIO Mapping (optional)
  17. Using the Assigned Computer drop-down select the computer that has the device installed and configured with the GPIO device above
  18. Optionally, click Computer GPIO Default to make the Custom GPIO Event Mapping the computer default.
  19. Select the Input tab
  20. Click the Add New Command Mapping [image] button the mapping is enabled by default.
  21. Select the Context of the mapping. The Context drop-down menu defines which area of the UI the keyboard shortcut is applicable for; Global means the shortcut will work, no matter where in the UI the user currently is, any other option defines the area that needs to be active (= needs to have a focus) for the shortcut(s) to work. This is useful for scenarios where the same shortcut (e.g. F12) is to perform different operations in different areas of Zetta®.
  22. In the GPIEvent column, use the drop-down to select one of the Inputs from step 10.
  23. Enter a Name for the mapping

  24. Select one of the following Z-Player commands from the Task drop-down.

Task | Settings | Description | Comment
ZPlayer.Arm |  | This is a special command that allows the Z-Player to attach to any log event currently playing on the assigned stream, when in On-Air mode. | GPI, Cue Point or Keyboard
ZPlayer.AutoScrub | Step (seconds): | AutoScrub will step the play marker by the specified number of seconds forward or back continually depending on the device used for the mapping. If Auto Scrubbing is started while stuttering is in progress, the play marker will jump seek to the next offset, stutter at that position for the seek interval, then jump again, stutter at the next position for the seek interval and so on. This will continue till the end or beginning of the audio is reached or is stopped (either by moving the scrub wheel to the center position or by using stop command). If the scrubbing wheel, of the device, is moved back to the center position while seeking, seeking will stop and regular stutter will continue in a loop in the current seek position. Stopping will stop both scrubbing and stuttering. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
ZPlayer.Button.Cue |  | Command that operates like the CUE button being clicked, signals as a cue button up. | GPI, Cue Point or Keyboard
ZPlayer.Button.Pause |  | Command that operates as the PAUSE button being clicked. | GPI, Cue Point or Keyboard
ZPlayer.Button.Play |  | Command that operates like a PLAY button clicked, signals as a cue button up. | GPI, Cue Point or Keyboard
ZPlayer.Cue |  | Command will PAUSE the Z-Player and place the play cursor at the CUE marker position. | GPI, Cue Point or Keyboard
ZPlayer.Eject |  | Command that operates like a eject button clicked, signals as a eject button up. | GPI, Cue Point or Keyboard
ZPlayer.Loop |  | Command that operates like a LOOP button clicked, signals as a cue button up. | GPI, Cue Point or Keyboard
ZPlayer.Mark.Cue |  | This Command will set the CUE marker position at the current playback position. | GPI, Cue Point or Keyboard
ZPlayer.MarkLoopEnd |  | Command that operates like an OUT button clicked, signals as a cue button up (see Play/Pause/Stutter Mode). | GPI, Cue Point or Keyboard
ZPlaZPlayer.MarkLoopStart |  | Command that operates like an IN button clicked, signals as a cue button up (see Play/Pause/Stutter Mode). | GPI, Cue Point or Keyboard
ZPlayer.Pause |  | Command will PAUSE the Z-Player at its current file position, if not already paused. | GPI, Cue Point or Keyboard
ZPlaZPlayer.Play |  | Command will make the Z-Player start playing if it is not already playing. | GPI, Cue Point or Keyboard
ZPlayer.Refresh |  | This will refresh the Z-Player. | GPI, Cue Point or Keyboard
ZPlayer.Reset |  | This will reset the Z-Player. | GPI, Cue Point or Keyboard
ZPlayer.Save |  | This will Save the Audio settings in the Z-Player for the associated asset event in the Hot Keys or Stacks. | GPI, Cue Point or Keyboard
ZPlayer.Scrub | Step (seconds): | Scrub will step the play marker by the specified number of seconds forward or back depending on the device used for the mapping. If a keyboard is mapped holding down the key will cause the play cursor to continue to jump until it is released. This will leave the file playback in whatever state it is currently in (stop, paused, playing and stuttering) This value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
ZPlayer.Stop |  | This command will make the Z-Player stop, if not already stopped and will reset the play cursor to the Trim In position. | GPI, Cue Point or Keyboard
ZPlayer.Stutter | Step (seconds): | This option will stutter play the audio, this option is used for fine-tuning to a precise position within the audio. Stutter will start playing from the play marker for the specified seconds and then go back to the starting point and play the same number of seconds continuously in a loop until switched to a different play command or stopped by the user. If Stuttering is started while scrubbing is in progress, scrubbing will stop and regular stuttering will start at the current position. the Steps: identifies how many seconds to move the current position and then stutter at that position, this value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
ZPlayer.ToggleAudition |  | Command that operates like the audition/onair toggle button, changes between onair and auditions streams. | GPI, Cue Point or Keyboard
  24. Select the Settings based on the Task chosen.
  25. Enter the play stream Short Name in the Window field. The Z-Player commands require the play stream be defined in the Window field when using multiple Z-Player modules. If the short name is not defined Zetta will use the ID instead.

For Example: If two Z-Player modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to start playing the Z-Player using stream A then the letter A would be placed in the Window field for the mapping.

  26. Repeat from Step 20 as necessary until all Inputs
  27. Click Save [image] to save the mappings.
  28. Restart Zetta® and Startup Manager for changes to take effect.

Welcome < Modules < Z-Player

© 2007-2017 RCS. All Rights Reserved.


Multitrack Editor Overview

Welcome < Modules <RCS Multitrack Editor

RCS Multitrack Editor Overview

The RCS Multitrack Editor is a digital audio editor featuring multi-track non-destructive and destructive editing with a waveform view and unlimited undo/redo history across editing sessions. The undo and redo history is saved with the Project for the next editing session. The Multitrack Editor can record, mix, edit, and master digital audio files with tools that bring flexibility and control to the production studio. The Multitrack Editor allows the user to edit audio with great precision and control. Using the keyboard and mouse the user can cut, move, copy, paste, delete, undo, redo, align, trim, crossfade, snap delete, zoom, drag, drop and mix. Audio can be added to the editor by simply dragging and dropping the asset from another module. The added audio can then be edited in its original format, not requiring a decompression like many other editors. The Multitrack Editor can have multiple audio files in the same track and the same audio file multiple times in the same track or in different tracks.

The following topics can be used to assist in the navigation of the MTE application.

Toolbar

Default Keyboard Commands

Multitrack Commands

Docking and Pinning

Configure Zetta for Multitrack Editor

Multitrack Editor Toolbar

The following toolbar options are available in the Multitrack Editor toolbar. When the window is reduced in size the toolbar buttons will be hidden and a drop-down will be shown to allow access to these hidden toolbar buttons.

Create New Project - The Create New Project button will open a new Project tab in the Editor.

Open Existing Project - The Open Existing Project button will open a windows browse window to allow the user to locate an existing MTE Project.

Save Project/Save Project As - The Save Project and Save Project As tools are available in a drop-down menu from this button. The Save Project option when used on a new project will open a save window to allow the user to name the project, select a location and specify whether the editor should save copies of the associated audio files. Using this button on an existing saved project will simply save the project with the current save settings. The Save Project As will allow the user to save the project with another title and specify whether the editor should save copies of the associated audio files. With the Save Project As option the History is also cleared.

Important Note!

If the Save copies of associated files is not used and the associated audio files are later moved or deleted that were used in a saved project, the next time the project is open an error message is displayed. No audio file will be displayed in the tracks with missing audio. The header of the waveform and tool tip will show the location of where the audio should be located.

Add External Audio - The Add External Audio button will open a windows browse window allowing the user to select a file from the local computer or network location.

Mix - The Mix to button defaults to Mix and Save. The Mix button has five possible options when selecting the drop-down arrow next to the Mix To button. When the Mix button is selected it will first look for muted tracks, these muted tracks will not be included in the mix. The default Mix to option, can be changed by right-clicking the desired option from the drop-down menu. For Mix and Save, Mix to Track, Mix to Project and Mix to File if there is a selected region, the region will be mixed. If there is no region selected, but section(s) selected, the section(s) will be mixed. If there is no selected region and no selected section(s), all the sections of audio will be selected first and then mixed. To Select All the sections in the Project use CTRL+A on the keyboard. To select multiple sections, hold the Ctrl key while selecting the title bar of each section to be included in the mix.

Mix and Save will look for a highlighted region, if a highlighted region exists, it will mix the highlighted region of the non-muted tracks and save the audio asset using the filename defined in the Quick Record section of the Voice Track and Quick Record tab of the System Configuration window. If there is not a highlighted region it will look for selected section(s) of all non-muted tracks and mix and save to a Quick Record asset using the filename defined in the Quick Record section of the Voice Track and Quick Record tab of the System Configuration window. To Select all the sections in the Project use CTRL+A on the keyboard. If no region is selected and no section(s) are selected, Mix and Save will mix all the non-muted sections in all the tracks of the Editor.

Mix and Save As will open a Mix and Save As window allowing the user to define the Title, Asset Type, Days to Keep, Active Station and Selection Type. Selection Type allows the user to select Region or Section. If Region is selected, the Editor will mix the highlighted region of the non-muted tracks and save the audio asset. If Section is selected as the Selection Type all non-muted selected sections of the tracks will be mixed and saved. If no sections are selected in the Project, selecting Section as the Selection Type will Mix all the tracks in the Editor and save it to the asset. If a Selection Type of region is selected, then mixing will be done ONLY if there is a region selected. If there is no region, the OK button will be disabled and "No Region Selected" warning will be shown in the Mix and Save As dialog.

Mix to New Track will look for a highlighted region, if a highlighted region exists, it will mix the selected region of the non-muted tracks to an empty or new track. If there is not a highlighted region all non-muted selected sections of the tracks will be mixed to an empty or new track. To Select all the sections in the Project use CTRL+A on the keyboard. If no region is selected and no sections are selected, Mix to New Track will mix all the non-muted sections in all the tracks of the Editor to an empty or new track.

Mix to New Project will look for a highlighted region, if a highlighted region exists, it will mix the selected region of the non-muted tracks to the first track in a New Project tab. If there is not a highlighted selection, all non-muted selected sections of the tracks will be mixed to the first track in a New Project tab. If no region is selected and no sections are selected, Mix to New Project will mix all the non-muted sections in all the tracks of the Project to the first track in a New Project tab.

Mix to File will look for a highlighted region, if a highlighted region exists, it will mix the selected region of the non-muted tracks and open a Windows Save As browse window allowing the user to select a location and enter a file name for the audio file. If there is not a highlighted region all non-muted selected sections of the tracks will be mixed and a Windows Save As browse window will open allowing the user to select a location and enter a file name for the audio file. If no region is selected and no sections are selected, Mix to File will mix all the non-muted sections in all the tracks and a Windows Save As browse window will open allowing the user to select a location and enter a file name for the audio file.

A green progress bar is shown at the bottom of the Multitrack Editor while the Mix is being processed.

Show/Hide - The Show/Hide button displays a menu to Show/Hide the History pane, the Audio List pane and the Gain Level control in the audio tracks.

Undo - The Undo button will Undo the last action in the RCS Multitrack Editor.

Redo - The Redo button will repeat the last action after using the Undo button.

Make recording active in this station - The station select drop-down is used to select the station that the recording will be set to active. The recordings are placed in the Quick Records tab of the Library using the naming defined in the Quick Record section of the System Configuration | Voice Track and Quick Record tab.

Close Project - To Close the current project tab without saving the project select the x from the Project tab.

Keyboard Commands

The following Keyboard commands are the default commands available in the RCS Multitrack Editor. Additional keyboard shortcuts can be created by mapping the Multitrack Commands in the System Configuration Command Mappings tab.

Action | Keyboard Keys
Cut | CTRL+X
Copy | CTRL+C
Delete | CTRL+DEL
Snap Delete | DEL
Paste | CTRL+V
Select All | CTRL+A
Add Audio | CTRL++
Open Project | CTRL+O
Save Project | CTRL+S
Save Project As |
Mix to File | CTRL+M
New Project | CTRL+N
Redo | CTRL+Y
Undo | CTRL+Z
Close Project | CTRL+F4
Play/Stop | Space Bar
Select All sections | CTRL+A
Add Marker | CTRL+K

Multitrack Commands

The following tasks can be mapped to Keyboard or GPIO Command Mappings.

Task | Settings | Description | Comment
MultiTrack.AutoScrub | Step (seconds) | AutoScrub will step the play marker by the specified number of seconds forward or back continually depending on the device used for the mapping. If Auto Scrubbing is started while stuttering is in progress, the play marker will jump seek to the next offset, stutter at that position for the seek interval, then jump again, stutter at the next position for the seek interval and so on. This will continue till the end or beginning of the audio is reached or is stopped (either by moving the scrub wheel to the center position or by using stop command). If the scrubbing wheel, of the device, is moved back to the center position while seeking, seeking will stop and regular stutter will continue in a loop in the current seek position. Stopping will stop both scrubbing and stuttering. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
MultiTrack.Command.Copy |  | This option will copy the selected section or highlighted selection of audio to the clipboard for pasting. | This audio can be pasted to the same track, another track or to another project. GPI or Keyboard
MultiTrack.Command.Cut |  | This option will cut the selected section or highlighted selection of audio from the track. It will be temporarily placed in the clipboard for pasting. | This audio can be pasted to the same track, another track or to another project. GPI or Keyboard
MultiTrack.Command.Delete |  | This option will remove the selected section or highlighted selection of audio. When this option is used to delete a highlighted selection of audio, two new pieces of audio will be created out of the remaining audio, if the highlighted selection was not at the beginning or end of the audio track. | This audio will not be held in the clipboard or be available for pasting. GPI or Keyboard
MultiTrack.Command.Paste |  | This option will paste any audio found in the clipboard from a Copy or Cut operation. | This audio can be pasted to the same track, another track or to another project. GPI or Keyboard
MultiTrack.Command.Redo |  | This option will redo the previous undone change. | GPI or Keyboard
MultiTrack.Command.Undo |  | This option will undo the previous change. | GPI or Keyboard
MultiTrack.FastForward |  | Fast Forward will fast-forward the play marker five seconds in the audio each time it is used. | GPI or Keyboard
MultiTrack.GoTo.End |  | This option will place the play marker at the end of the audio that is farthest to the right. | GPI or Keyboard
MultiTrack.GoTo.Start |  | This option will place the play marker at position 0. | GPI or Keyboard
MultiTrack.JumpToSelectionEnd |  | This option will jump the play marker to the End of the highlighted selection. | GPI or Keyboard
MultiTrack.JumpToSelectionStart |  | This option will jump the play marker to the start of the highlighted selection. | GPI or Keyboard
MultiTrack.MarkLeft |  | This option will mark the start of a selection | GPI or Keyboard
MultiTrack.MarkRight |  | This option will mark the end of a selection | GPI or Keyboard
MultiTrack.MixAndSave |  | This option will look for a highlighted selection, if a highlighted selection exists, it will mix the selection portion of the non-muted tracks and save the audio file using the filename defined in the Quick Record section of the Voice Track and Quick Record tab of the System Configuration window. If there is not a highlighted selection all non-muted sections of the tracks will be mixed and saved to a Quick Record asset using the filename defined in the Quick Record section of the Voice Track and Quick Record tab of the System Configuration window. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI or Keyboard
MultiTrack.MixAndSaveAs |  | This option will open a Mix and Save As window allowing the user to define the Title, Asset Type, Days to Keep, Active Station and the option to save only the selected audio in the track using the Selection Only check-box. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI or Keyboard
MultiTrack.MixToFile |  | This option will look for a highlighted selection, if a highlighted selection exists, it will mix the selection portion of the non-muted tracks to an empty or new track. If there is not a highlighted selection all non-muted sections of the tracks will be mixed to an empty or new track. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI or Keyboard
MultiTrack.MixToNewProject |  | This option will look for a highlighted selection, if a highlighted selection exists, it will mix the selection portion of the non-muted tracks to the first track in a New Project tab. If there is not a highlighted selection all non-muted sections of the tracks will be mixed to the first track in a New Project tab. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI or Keyboard
MultiTrack.MixToNewTrack |  | This option will look for a highlighted selection, if a highlighted selection exists, it will mix the selection portion of the non-muted tracks and open a Windows Save As browse window allowing the user to select a location and enter a file name for the audio file. If there is not a highlighted selection all non-muted sections of the tracks will be mixed and a Windows Save As browse window will open allowing the user to select a location and enter a file name for the audio file. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI or Keyboard
MultiTrack.PanLeft |  | This option will move the zoom/pan control to the left equal to the amount of the Zoomed position. | GPI or Keyboard
MultiTrack.PanRight |  | This option will move the zoom/pan control to the right equal to the amount of the Zoomed position. | GPI or Keyboard
MultiTrack.Pause |  | This option will pause any playing audio and hold the play position. | GPI or Keyboard
MultiTrack.Play |  | This option will start playing the non-muted tracks from the play marker position. | GPI or Keyboard
MultiTrack.PlayExcludingSelection |  | This option will play the audio of all non-muted tracks except for any highlighted selections | GPI or Keyboard
MultiTrack.PlayFromBeginning |  | This option will start playing the audio from position 0. All non-muted tracks will play. | GPI or Keyboard
MultiTrack.PlayOutsideSelection |  | This option will play 2 seconds of audio on each side of the highlighted selection for all non-muted tracks. | GPI or Keyboard
MultiTrack.PlaySelection |  | This option will play the audio within the highlighted selection area of all non-muted tracks. | GPI or Keyboard
MultiTrack.ProjectClose |  | This option will close the current project. | The user will be prompted to save the project if there are any unsaved changes. GPI or Keyboard
MultiTrack.ProjectNew |  | This option will open a new project tab. | GPI or Keyboard
MultiTrack.ProjectOpen |  | This option will open a browse window allowing the user to select an existing project file. | GPI or Keyboard
MultiTrack.ProjectSave |  | This option will save any changes to the existing project. | If the project is new the user will be prompted to name the project, choose a file path to save the project and choose whether to save copies of the associated audio files. GPI or Keyboard
MultiTrack.ProjectSaveAs |  | This option will open the Save Project As window allowing the user to name the project, choose a file path to save the project and choose whether to save copies of the associated audio files. | GPI or Keyboard
MultiTrack.Record |  | This command option will start recording at the play cursor position on the tracks that are armed for recording. | Use the Track.ToggleRecord to arm the selected tracks for recording. GPI or Keyboard
MultiTrack.Rewind |  | This will rewind the audio (move the play marker to the left) by 5 seconds each time it is used. | GPI or Keyboard
MultiTrack.Scrub | step: seconds | Scrub will step the play marker by the specified number of seconds forward or back depending on the device used for the mapping. If Scrubbing is started while stuttering is in progress, the play marker will jump seek to the next offset, stutter at that position for the seek interval, then jump again, stutter at the next position for the seek interval and so on. This will continue till the end or beginning of the audio is reached or is stopped (either by moving the scrub wheel to the center position or by the stop command). If the scrubbing wheel, of the device, is moved back to the center position while seeking, seeking will stop and regular stutter will continue in a loop in the current seek position. Stopping will stop both scrubbing and stuttering. | This task is meant to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI
MultiTrack.Selection.Cancel |  | This option will cancel any highlighted selection. | GPI or Keyboard
MultiTrack.Selection.Extend |  | This option will extend the highlighted selection range. | GPI or Keyboard
MultiTrack.ShowAll |  | This option will Zoom out the tracks to show all the audio sections in the project tracks. | GPI or Keyboard
MultiTrack.SnapDelete |  | This option will remove the highlighted section of audio and snap together the remaining surrounding audio. | GPI or Keyboard
MultiTrack.SnapInsert |  | This option will paste the audio, previously copied or cut into the windows clipboard, into the selected audio at the play marker, thus splitting the selected audio into two separate sections. When the insert is complete there will be three separate audio sections that are snapped together. | GPI or Keyboard
MultiTrack.SnapRecord |  | This command option will record the audio into the selected audio at the play cursor position, thus splitting the selected audio into two separate sections. When stop is hit there will be three separate audio sections that are snapped together. A track must be armed for this command to work. | GPI or Keyboard
MultiTrack.Stop |  | This option will stop the command currently in process and return the play marker back to its original position. | GPI or Keyboard
MultiTrack.StutterPlay | step: seconds | This option will stutter play the audio, this option is used for fine-tuning to a precise position within the audio. StutterPlay will start playing from the play marker for the specified seconds and then go back to the starting point and play the same number of seconds continuously in a loop until switched to a different play command or stopped by the user. If Stuttering is started while scrubbing is in progress, scrubbing will stop and regular stuttering will start at the current position. | This task is meant to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI
MultiTrack.ToggleAudio |  | This option will show/hide the Audio List. | GPI or Keyboard
MultiTrack.ToggleRecord |  | This command option will start/stop recording at the play cursor position on any armed track of the Multitrack Editor. A track must be armed for this command to work. | GPI or Keyboard
MultiTrack.Track.JumpTo | Value: | This option can be used to jump between projects by the specified value in the settings field. | GPI or Keyboard
MultiTrack.Track.Next |  | This option will move the user to the next track down from the selected track until the bottom track is reached. | GPI or Keyboard
MultiTrack.Track.Previous |  | This option will move the user to the previous track up from the selected track until the top track is reached. | GPI or Keyboard
MultiTrack.Track.ToggleMute |  | This will toggle the mute button for the selected track. Multiple tracks can be muted. | GPI or Keyboard
MultiTrack.Track.ToggleRecord |  | This command option will toggle the Arm Track button for the selected track. Tracks with the Armed button active will record when the play controls record button is selected. All tracks can be selected to record simultaneously as long as each track is armed and each track has a separate record device selected. | Track must be selected for the command to Arm the track. GPI or Keyboard
MultiTrack.Track.ToggleSolo |  | This will toggle the solo button for the selected track. All other tracks will be muted and show only the current track as an enabled track. When the track is selected as Solo the button will change to a yellow color. | GPI or Keyboard
MultiTrack.ZoomIn |  | This option will Zoom into the audio tracks. | GPI or Keyboard
MultiTrack.ZoomOut |  | This option will Zoom out the audio tracks. | GPI or Keyboard
MultiTrack_ToggleHistory |  | This option will show/hide the History pane | GPI or Keyboard
Transition between different Play Commands: Invoking a Play command always transitions from the current Play Command to the requested one immediately. However, hitting the Play button (it will be in paused mode when play commands are in progress) switches to regular Play mode when invoked while PlayExcludeSelection, PlayOutsideSelection and PlayStutter commands are in progress and will play from that position till the mixer end. Similarly, invoking the PlayTogglePause and PlayToggleStop commands while the play commands PlayExcludeSelection, PlayOutsideSelection and PlayStutter commands are in progress will switch to the regular play mode and start playing from that position till the mixer end.

Docking and Pinning

The Audio list and History panes can be docked and undocked or pinned and unpinned, to arrange them in a convenient way, to customize the Multitrack Editor. Docking and pinning allow the user to open up the workspace for the Project tab. The panes can only be undocked when they are not pinned. To undock a pinned pane, click the pin first, then proceed to undock the pane using the title bar. See the Docking and Undocking topic in the Layout section of the guide for additional instruction.

Configure Zetta for Multitrack Editor

To Configure Zetta for use of the Multitrack Editor perform the follow steps:
  1. Select the Computer to use from the Computer window of the Configuration Menu
  2. Select the Audio Assignments Tab

  3. Select the Multitrack Record Device to use for the Computer
  4. Select the Multitrack Playback Device for the Computer
  5. Click Save

Welcome < Modules< RCS Multitrack Editor

© 2007-2017 RCS. All Rights Reserved.


Projects

The Projects tab of the Multitrack Editor is where the user records, plays, edits and mixes audio. The New Project button opens a new project tab with three audio tracks. The Add Audio toolbar button or the Audio List pane can be used to Add Audio to the track(s). Audio can also be added to a track by dragging and dropping the audio into the track of the Multitrack Editor from any other module in Zetta or from the Windows desktop. The name of the Project tab will show in red when there are unsaved changes in the project. When a track is selected in the editor, the background will change colors. When an Audio Section is selected in a track, the title header will display in orange. Click and drag left or right in the tracks of the editor to select a Region. A track can be cleared by selecting the audio section in the track and pressing delete on the keyboard. To close a Project use the x in the project tab. Multiple projects can be edited simultaneously. Audio can be recorded in one project while the user is editing another project.

Click any area in this image for help

Click any area in this image for help

Editing Features

The following editing features allow the user to adjust, edit and preview the audio in the track:

Track Controls

Gain Level

Project Right-click menus

Zoom/Pan

Play Controls

Play Cursor Time Position

Time Line

Track Controls

Each project when created will start with three tracks. To the left of the tracks are the track controls. Click this area to select a track when editing. The time to the right of the track name is the total time of the audio in the track.

The following settings are available from the track control.

 | Solo - The Solo button will mute all other tracks and show only the current track as an enabled track. When the track is selected as Solo [image] the button will change to a yellow color.
 | Mute - The Mute button will mute [image] the track when the tracks are played. Multiple tracks can be muted. Use the Mute with the Mix to [image] toolbar options to prevent the muted track from being included in the Mix.
 | Arm Track - The Arm Track button will mark the selected track as enabled for recording. Tracks with the armed [image] button selected will record when the play controls record [image] button is selected. All tracks can be armed to record simultaneously as long as each track has a separate record device selected. Recordings are done at a default format of PCM at a sample rate of 44100 and a sample width of 16-bit. Recordings are given a file name based on the convention specified in the Quick Record section of the Voice Track and Quick Record tab of the System Configuration window. Recorded audio files a stored in the C:\ProgramData\RCS\Zetta\Edit directory of the local computer.
 | Live Track Record - The Live Track Record will start and stop recording on the track associated with the button selected. This button is acts entirely independent of the main play controls at the bottom of the MTE window. Users can ad hoc start recording into any track without the need to arm the track, and stop it by hitting the [in-track record] button again. Multiple ad hoc in-track recordings can run simultaneously and because they are not affected by the controls in the bottom panel, allow for the 'live track' functionality in any track.
Levels - The Levels of the right and left channels are visible in the far right of the Track Control section when the audio is being recorded.
Record Device - The Record Device drop-down displays the default record device selected in the Audio Assignments tab of the Computer Configuration window. To change the record device use the drop-down to select an installed device on the local computer. Each track can be reconfigured to have a separate record device.
Record Mode - Each track can be reconfigured to have a separate record mode. Stereo uses both channels of the record device selected. The waveform is displayed for both the right and left channels. The left channel only option records in mono using the left channel of the record device selected and shows a single channel in the waveform of the track. The right channel only option records in mono using the right channel of the record device selected and shows a single channel in the waveform of the track.

Gain Level

The Gain Level is used to increase or decrease the volume of a section of audio in a track. The Gain Level control is enabled in the Show/Hide [image] button drop-down. This option puts a yellow line at 0dB for each of the audio sections in the Multitrack Editor.

Use the mouse to click and drag the line to increase or decrease the gain. Dragging the line up can increase the volume of the section to a maximum gain of +24dB, while dragging the line down can decrease the volume of the section to a maximum loss of -24dB.

Insert Trim In

Trim In marks the start point of the audio. Audio before the Trim In point will be ignored. Every piece of audio has a Trim In and Trim Out marker. To adjust the Trim In marker click and drag the left most red line of the audio wave form to the left or right to move the Trim In marker. The audio being trimmed will be displayed while the marker is being dragged to a new position. To remove the Trim In simply drag the marker all the way to the left.

Insert Trim Out

Trim Out marks the end point of the audio. Audio after the Trim Out point will be ignored. Every piece of audio has a Trim In and Trim Out marker. To adjust the Trim Out marker click and drag the right most red line of the audio wave form to the left or the right to move the Trim Out marker. The audio being trimmed will be displayed while the marker is being dragged to a new position. To remove the Trim Out simply drag the marker all the way to the right.

Project Right-click Menus

The Project has many hidden right-click menus to assist in the editing of the audio and creating projects. The following sections of this topic cover the right-click menus available:

Track right-click menu

Audio Waveform right-click menu

Selected Region right-click menu

Zoom/Pan right-click menu

Track right-click menu

The Track right-click menu is visible when right-clicking anywhere in an empty part of a track.

Add Track

Right-click anywhere in an empty part of a track and select add track to add another track to the Multitrack Editor. Selecting Add Track from the resulting menu will add a track to the bottom of the Project.

Remove Track

When four or more tracks are in a project a track can be removed from the project. Right-click anywhere in an empty part of the track to be removed and select remove track. A project must contain at least three tracks.

Set Segue Position

Right-click anywhere in an empty part of a track and select the Set Segue Position menu option. This will create a project segue point across all tracks. To remove the Segue Position simply right-click the marker and select Remove Segue Position.

Paste

Right-click anywhere in an empty part of a track and select the Paste option to paste a copied selection.

Merge Selected Sections in Track

To Merge selected sections in a track, first select the sections in the track to merge then right-click any location of the track and click the Merge Selected Section in Track option from the resulting menu. The Merge Selected Track is available in the Track right-click menu and the Audio Section right-click menu.

When there is a gap between the selected sections in the track, the Merge Selected Section in Track option will not snap the sections together. It will merge them with the gap.

Audio Section right-click menu

The waveform will be generated showing a visual representation of the audio that can be edited. When an Audio Section is selected in a track, the title header will display in orange. The user can then right-click the anywhere in the waveform of the audio to show a menu for inserting marks and editing the section. These edit markers are nondestructive and can be edited or removed as needed leaving the integrity of the Audio intact.

Insert Cross Fade In

Insert Cross Fade In will insert a cross fade in marker into the selected audio. To Insert a Cross Fade In marker right-click the location to place the cross fade and select Insert Cross Fade In. The Cross Fade can be adjusted by clicking and dragging the marker to the left or right. Right-click the Fade In marker and choose Remove to remove the cross fade in.

Insert Cross Fade Out

Insert Cross Fade Out will insert a cross fade out marker into the selected audio. To Insert a Cross Fade Out marker right-click the location to place the cross fade and select Insert Cross Fade Out. The Cross Fade can be adjusted by clicking and dragging the marker to the left or right. Right-click the Fade Out marker and choose Remove to remove the cross fade out.

Insert Volume Point

The volume control will change the volume of the track. To insert additional volume points right-click the waveform and choose Insert Volume Point. The Insert Volume point will insert a new volume point into the selected location of the waveform. To adjust the volume click and drag the volume point [image] to the desired volume level.

Delete Section

Right-click anywhere in a selected section of audio of a track and select the Delete Section to remove the section of audio from the track. Optionally, click the delete button on the keyboard to delete the selected section.

Split Section

To split a section of audio place the play cursor at the desired point, right-click the section of audio to split and click Split Section from the resulting menu. This will split the section of audio into two at the play cursor position.

Paste Section

To paste a section of audio, right-click anywhere in a section of audio then select Paste Section. This will paste a previously copied section of audio to the selected track. Optionally, click CTRL+V to paste a previously copied section of audio to a selected track.

Selected Region Right-click Menu

To view the selected region right-click menu, use the mouse to click and drag a section of the audio waveform to highlight a Region of the track. Use the Play Selection [image] button to listen to the region. This allows the user to easily adjust the selected region by clicking and dragging the edge of the selected region to the left or right then clicking play to verify the selected region is correct. Once the selected region is correct, right-click in the highlighted region to view the menu options. To deselect a highlighted region, click anywhere in the track(s). To switch tracks, but retain the highlighted region, click in the title bar of the track or the track name in the Track Control area for the track that is to be edited.

Mute

The Mute option in the selected region right-click menu, can be used to mute the highlighted region of audio for the selected track. The region that is muted will have no sound as the play cursor moves through the audio.

Snap

The Snap option, in the selected region right-click menu, can be used to snap highlighted regions of a track. Snapping the region aligns the sections and puts them in order back to back. Selecting this will snap every section within the region on selected track. Section Snapped will appear in the history pane.

Before Snap

After Snap

Copy

The Copy option, in the selected region right-click menu, can be used to copy the highlighted section of audio to the clipboard for pasting. This audio can be pasted to the same track, another track or to another project.

Cut

The Cut option, in the selected region right-click menu, can be used to cut the highlighted section of audio from the track. It will be temporarily placed in the clipboard for pasting. This audio can be pasted to the same track, another track or to another project.

Paste

The paste option, in the selected region right-click menu, will paste any audio found in the clipboard from a Copy or Cut operation. This audio can be pasted to the same track, another track or to another project.

Delete

The Delete option, in the selected region right-click menu, will remove the highlighted section of audio. This will create two new pieces of audio out of the remaining audio, if the highlighted section was not at the beginning or end of the audio track. This audio will not be held in the clipboard or be available for pasting. This audio can however be recovered using the undo option or the History pane. Use CTRL+DEL keyboard combination to delete a selected section of audio from a track.

Snap Delete

The Snap Delete option, in the selected region right-click menu, will remove the highlighted section of audio and snap together the remaining surrounding audio. Use the DEL key to snap delete a selected section of audio from a track.

Snap Delete and Merge

The Snap Delete/Merge option, in the selected region right-click menu, will remove the highlighted section of audio, snap together the remaining surrounding audio and merge the remaining audio into one piece of audio.

Zoom/Pan

The Zoom/Pan allows the user to zoom into the waveform and pan to the left or right. The mouse wheel can also be used to zoom in and out of the waveform. To zoom into a specific section of the waveform using the mouse wheel, simply hover the mouse cursor over the desired location in the waveform and use the mouse wheel scroll down to Zoom in. To Zoom in/out at the play cursor press the ALT key while using the mouse wheel. The user can also right-click the zoom/pan and use the resulting menu to Zoom or Pan.

Zoom/Pan right-click menu

The user can right-click the zoom/pan and use the resulting menu to Zoom or Pan.

Left Edge

The Left Edge option will move the zoom/pan position to the far left of the tracks.

Right Edge

The Right Edge option will move the zoom/pan position to the far right of the tracks.

Page Left

The Page Left option will move the zoom/pan to the left, equal to the amount of the Zoomed position.

Page Right

The Page Right option will move the zoom/pan to the right, equal to the amount of the Zoomed position.

Scroll Left

The Scroll Left option will move the zoom/pan to the left. Using the CTRL while pulling down on the mouse wheel will move the play cursor to the left.

Scroll Right

The Scroll Right option will move the zoom/pan to the right. Using the CTRL while pushing the mouse wheel up will move the play cursor to the right.

Zoom In

The Zoom In option will zoom into the tracks.

Zoom Out

The Zoom Out option will zoom the tracks out.

Show All

The Show All option will zoom the tracks in the project out to view the entire track.

Time line

The Time line below the project tracks will allow the user to navigate to any place in the audio by clicking the mouse in the time line or anywhere in the project the play marker will move to the clicked location.

Play Controls

Play Selection - The Play Selection button will play the audio within the highlighted selection. Use the Solo or Mute buttons to isolate a specific track selection.

Play Outside Selection - The Play Outside Selection button will play 2 seconds of audio on each side of the highlighted selection.

Go to start – The Go to start button will move the play marker to the beginning of the Tracks or position 00 in the Time Line.

Rewind – The rewind button will rewind the audio by five seconds every time it is used.

Stop – Stop will stop the play or record and move the play marker back to the beginning of the Tracks or position 00 in the Time Line.

Play – Play will play the audio starting from the play marker for all tracks that are not muted by the Mute [image] button or by the Solo [image] button set in another track in the Track Controls.

Pause - The Pause button will pause any audio playing and hold the play position.

Fast forward – Fast Forward will fast-forward the play marker five seconds in the audio each time it is clicked.

Go to end – The Go to end will move the Play marker to the end of the audio of the enabled track farthest to the right. Therefore, if a track is disabled due to other track(s) being set to Solo the play marker will move to the end of the audio for the track set with the Solo [image] button that is the farthest to the right in the tracks.

Loop - The Loop button places the play of audio to Loop [image] when played either using the Play [image] button or the Play Selection [image] button. The Loop will continue to play until the audio is stopped [image] or until the Loop button is toggled.

Record – The record button, Records audio to all tracks set to Armed [image]. Recordings are done at a default format of PCM at a sample rate of 44100 and a sample width of 16-bit. Recordings are given a file naming convention specified in the Quick Record section of the Voice Track and Quick Record tab of the System Configuration window. Recorded audio files a stored in the C:\ProgramData\RCS\Zetta\Edit directory of the local computer.

Play Cursor Time Position

The Play Time to the right of the Play Controls shows the play cursor position and if a section is highlighted will also show the In, Out and Time of the highlighted selection. The large number shows the cursor play position and the smaller numbers show the In position, Out position and the Total Time of the highlighted selection.

Multitrack Editor Step-by-Step Topics

The following sections can be used to guide the user through using the Multitrack Editor.

Creating a Project

Drag and Drop Selection to Hot Keys, Stacks, Z-Player, Log or On-Air Module

Mix Selection to a Track

Creating a Project

Each user will have their own style for creating, editing and mixing a project. The following instructions will give a rundown of how to use the RCS multi track editor using the mouse. For a quicker work environment familiarize yourself with the Keyboard Commands.

To create a project in the RCS multi track editor follow these steps:
  1. Click the New Project [image] button in the toolbar to open a new Project tab
  2. To Record to a Track(s)
    1. Use the Track Controls to set the Record device if different from the default device.
    2. Use the Track Controls to set the record Channel to Left, Right or Stereo
    3. For each track that will be recording set the track to record [image] with the record [image] button.
    4. Click the Record [image] button in the Play Controls to start the editor recording. (The following screen shot shows that all tracks can be selected for record. The RCS Multitrack Editor can record each channel and in stereo simultaneously.) As the audio is recorded the progression of the waveform is shown in red in the track.

    5. Click the Stop [image] button to stop the recording of audio.

    6. At this point the project can optionally be saved [image] to create and Template or starting point to allow for multiple changes and recordings of the same audio.
  3. Optionally, add a track to the project. Right-click an empty part of a track.

    1. Select Add Track from the resulting menu. The track is added above the track selected when adding the track.
  4. Optionally, remove a Track. Right-click an empty part of a track.
    1. Select Remove Track from the resulting menu. The track is removed. (The project must contain a minimum of three tracks.)
  5. Clear a Track. Simply select the Audio in the track and press Delete. The audio is selected when the Header or the waveform is highlighted.
  6. Add Audio to the new Track. Click the Add Audio button to open a Windows browse to locate an audio file. Optionally, drag and drop any audio asset from any other module into the audio list or project.
  7. Move Audio in the Track. Click and drag the Header of the audio waveform left or right in the track or up or down between tracks.
  8. Edit the Audio in a Track. Use the Play Controls at the bottom of the Editor window to listen to and edit the audio in the project.
    1. Use the Zoom/Pan bar at the bottom of the tracks to Zoom in and out and Pan left and right in the project for more precise editing power.
    2. Use the Solo [image] button to mark individual tracks [image] that are to play when the Play [image] button in the Play Control is used to play the audio in the project.
    3. Use the Fast Forward [image] and Rewind [image] buttons to pinpoint a position in the audio to be edited.
    4. Highlight any section to cut, copy or delete, then right click the highlighted area to select an action from the resulting menu.
  9. Mix to. Once the tracks are edited and ready to Mix, click the Mix to [image] arrow in the toolbar and select Mix to Save, Mix to Save As, Mix to New Track, Mix to New Project or Mix to File.
  10. Insert Trim In. Right-click the beginning of the Audio and click Insert Trim In. Then use the Go to Start [image] and Play [image] / Fast Forward [image] / Rewind [image] buttons to locate the precise position to place the trim in. Click and drag the Trim In marker to the position.
  11. Insert Trim Out. Right-click the ending of the Audio and click Insert Trim Out. Then use the Go to End [image] and Play [image] / Fast Forward [image] / Rewind [image] buttons to locate the precise position to place the trim out. Click and drag the Trim Out marker to the position.
  12. Insert Cross Fade In. Right-click the beginning of the Audio and click Insert Cross Fade In. Then use the Go to Start [image] and Play [image] / Fast Forward [image] / Rewind [image] buttons to locate the precise position to place the cross fade. Click and drag the Cross Fade In marker to the position.
  13. Insert Cross Fade Out. Right-click the ending of the Audio and click Insert Cross Fade Out. Then use the Go to End [image] and Play [image] / Fast Forward [image] / Rewind [image] buttons to locate the precise position to place the cross fade. Click and drag the Cross Fade Out marker to the position.
  14. Insert Volume Points. Optionally insert volume points into the track by right-clicking the wave form and selecting Insert Volume Point. Then use the Play [image] / Fast Forward [image] / Rewind [image] buttons to locate the precise position to place the volume point. Click and drag the Volume Point to the position. Repeat as needed for each volume point.
  15. Mix to.
    1. Now that the Project is edited and markers have been added, disable any unneeded tracks using the Solo [image] button or Remove/Clear and unneeded audio from the tracks.
    2. To Select All the sections in the Project use CTRL+A on the keyboard. To select multiple sections, hold the Ctrl key while selecting the title bar of each section to be included in the mix.
    3. Optionally, click and drag left or right in the tracks of the editor to select a Region.
    4. Click the Mix [image] button and select a Mix to option.

Drag and Drop Selection to Hot Keys, Stacks, Z-Player, Log or On-Air Module

To add a Selection from a project to another module, follow these steps:
  1. In the Project tab, click and drag the mouse to make a selection.
  2. Use the Play Selection [image] button to listen to the selection.
  3. Use the mouse to adjust the selection area.

  4. Once the Selection area is correct, use the mouse [image] to click and drag the selection to another module.

  5. Drop the event into the module. The event will show as a Quick Record in the module where the selection was dropped.

Mix Selection to a Track

To Mix a Selection to a Track, perform the following:
  1. In the Project tab, click and drag the mouse to make a selection.
  2. Use the Play Selection [image] button to listen to the selection.
  3. Use the mouse to adjust the selection area.

  4. Mute any tracks the should not be included in the Mix.
  5. Click the Mix to [image] arrow to select the Mix to New Track option.
  6. The tracks that were not muted will be mixed to an empty or new track.

Welcome < Projects

© 2007-2017 RCS. All Rights Reserved.


Markers List

The Markers List pane holds a list of markers added to the tracks in the project tab. This pane is pinned to the project by default. This feature can be useful to mark the audio where it may need to be edited after the recording. These markers can be added while playing or recording audio. They can also be added after the recording or adding an audio section to a project. The markers are represented across all tracks with a green dashed line. The Segue Position is also listed in this Markers List pane when it is set. Once the markers are set they can be used to jump to that specific point in the audio by simply clicking on the marker in the list. This can also be done while the audio is playing. These Markers can be renamed after they are set.

Add a Marker

A marker can be added while playing or recording a track. They can also be added after the recording or adding an audio section to a project.

To Add a Marker, perform the following steps.
  1. From the Modules menu, select the Multitrack Editor.
  2. Use the Track Controls to set the Record device if different from the default device.
  3. Use the Track Controls to set the record Channel to Left, Right or Stereo
  4. For each track that will be recording set the track to record [image] with the record [image] button.
  5. Click the Record [image] button in the Play Controls to start the editor recording.
  6. Click the Markers List tab if it is collapsed.
  7. As the audio records click the position to add the marker then click the Add Marker [image] button to add a marker point in the audio. Optionally, use CTRL+K to add the marker.
  8. Click the Stop [image] button to stop the recording when finished.
  9. Rename the Markers if needed by selecting the name from the name column for the marker.

  10. Edit the track as needed.
  11. Select a Marker and click the Delete Marker [image] button to remove a marker from the list.

Welcome < Modules< Multitrack Editor < Markers List

© 2007-2017 RCS. All Rights Reserved.


Audio List

The audio list pane holds a list of Audio files that have been added to a Project. By default the Audio List is hidden in the Project. Use the Show/hide pane [image] button to open the Audio List. Audio can be added to the Audio list by using the Add Audio button in the toolbar or by dragging and dropping the audio from another Module, the local computer, network or other application into the list or project. Hover the mouse over the name of the audio in the list to see the filename and path of the audio in the list.

Add Audio

To Add Audio using the toolbar perform the following steps.
  1. From the Modules menu, select the Multitrack Editor.
  2. Select a track in the Project tab.
  3. Click the Add Audio [image] button in the toolbar
  4. Browse to the Location of the audio file.
  5. Select one or many audio files. Use CTRL or Shift to select multiple files.
  6. Click OK
  7. The audio is added to the multitrack editor. When more than three audio files are added at one time, the multitrack editor will automatically add additional tracks to the project.

Welcome < Modules< Multitrack Editor < Audio List

© 2007-2017 RCS. All Rights Reserved.


History

The History pane records a history of all actions by the user that modify a project. These recorded actions can be used to undo or redo a single action or multiple actions with one click. The History pane can be Docked, Floating in its own window or pinned to hide or auto hide the pane. By default the History pane is hidden in the Project. Use the Show/hide pane [image] button to open the History pane.

The History pane allows the user to go back several steps in the project to undo changes or to Save a project from a specific point. This allows the user to create a template project to reopen and make different changes. To move back to a previous action, simply click that position in the history map or from the Toolbar use Undo (CTRL+Z) and Redo (CTRL+Y) to locate the position. Note all the changes hidden are highlighted in red in the History pane. This allows the user to move forward and back as needed to find the change needed. The state of the history is saved when the project is saved. When a Project is saved any undo red history changes are not saved in the project, however the undo red history changes are still available until the project is closed.

Welcome < Modules< Multitrack Editor < History

© 2007-2017 RCS. All Rights Reserved.


Quick Record

The Quick Recorder is a useful tool when the On-Air personality needs to create a quick recording of an on the spot event, such as phone calls or impromptu interviews, then edit and play them On-Air. The Quick Record module is not just a Recorder but also includes some quick editing options. The Quick Recorder is accessed from the Modules menu or by selecting Edit Media [image] in the Library toolbar and the Metadata toolbar or by selecting Edit Audio from the right click menu of a Log, Clock, Hot Key or Stack. This editor can also be mapped to a Keyboard Command Mapping that will allow the recorder to launch and begin recording immediately using the Zetta.OpenQuickRecorder command with the Start recording immediately option. Multiple recordings can be open, allowing the user to continue recording and still edit and play previous recordings, click the plus "+" next to the tab to open a new quick record tab. The Quick Recording can be saved to the Library or the user can drag and drop a selection to a Zetta® Module.

Click in the image for more help.

Click in the image for more help.

The Quick Recorders record and play device is configured for the computer using the Details tab of the Computer Configuration screen. The Quick Recorder can use the Zetta default audio format or a defined format using the Audio Formats tab in the System Configuration window. When the audio is recorded in the Quick Recorder it is Normalized based on the Normalization settings for the selected station. The normalization values, for the Quick Recorder, can be set in the Normalization tab of the Station Configuration window. To configure the ducking parameters of Quick Record see the Ducking tab for the station in the Station Configuration window.

Quick Recorder Toolbar

Audio Editing Controls

Audio Clips Window

Quick Recorder Toolbar

Open New Tab - The Open New Tab button will open an additional Quick record tab so a user can create a new recording.

Save/Save As - The Save and Save As tools are available in a drop-down menu from this button. The Save will save the recording in the currently selected tab with the current title. The Save As will allow the user to save the current Quick Record tab with another Title, Asset Type and Station assignment and allows the user to enter the number of Days to Keep the Asset before it is erased. Removing the number of day's entry will save the asset indefinitely. If the button is simply clicked after creating a recording, the recording will be saved with the default settings based on the Title Mask settings in the Voice Track and Quick Record tab of the System Configuration window. If the Quick Record has been saved and the button is clicked again the Quick Record Save As window will open.

Quick Record assets, by default, are stored in the Quick Records tab of the Library Module. Quick Records are not synchronized with GSelector unless they are saved as a Song or Link Asset type.

Show/Hide audio clips pane - The Show/Hide audio clips pane opens and closes the Audio Clips window allowing the user to assemble clips of audio together creating one audio file. The Audio Clips are represented in the editor waveform and in the Zoom and Pan bar using a darker shade of blue, with the clip number and the length for easy visibility. To play the Audio Clip after it is added, click the play button below the Audio Clips Editor. If more than one audio clip is in the Audio Clips Editor, the audio clips will play in the order they appear. Use the check box to the left of each clip to disable the audio from playing in the sequence.

Undo - The Undo button will Undo an action in the Quick Recorder.

Redo - The Redo button will repeat an action after using the Undo button.

Make recording active in this station - The station select drop-down is used to select the station that the recording will be set to active. When the Quick Recorder is opened the station will default to the Default Station, for the logged in user, which is set in the Accounts Details tab.

Audio Editing Controls

Zoom and Pan Controls

Play and Record Controls

Quick Recorder Keyboard Shortcuts

Audio Selection

Create an Audio Clip in the Clips Editor

Remove an Audio Clip from the Clips Editor

Edit the Start and End points of an Audio Clip

Preview and Assemble a New Audio File from Audio Clips

Zoom and Pan Controls

The Zoom and Pan controls allow the user to Zoom into the audio both horizontally and vertically and pan from Left to right in the editor.

Zoom In - The Zoom In button is located in the upper left portion of the audio editing window and allows the user to Zoom In to the audio vertically.

Zoom Out - The Zoom Out button is located in the lower left portion of the audio editing window and allows the user to Zoom out of the audio vertically.

Pan and Zoom - The Pan and Zoom is located directly above the audio editing window and allows the user to zoom in/out of the audio horizontally then pan to the left or right. The mouse wheel can also be used to zoom in and out of the audio horizontally.

Play and Record Controls

The Play and Record Controls are used to control the play and record of the selected audio event. The following buttons are used:

Play In - The Play in option will play the audio within the highlighted selection.

Play Out - The Play out option will play 2 seconds of audio on each side of the highlighted selection.

Goto Beginning – Use the Go to Beginning button to move to the beginning of the audio event.

Rewind – Use the Rewind button to move back in the audio file by 5 seconds.

Stop - Stop will stop the play or record of audio.

Play – The Play button plays the selected audio event.

Pause - The Pause button is displayed after the Play button is pressed. The pause button can be used to pause the audio that is being played.

Fast Forward – The Fast Forward option moves the play marker ahead in the selected audio file by 5 seconds.

Goto End – Use the Go to End button to move to the end of the selected audio event.

Loop – The Loop button will cause the audio event to start over if it reaches the end while playing back. This loop function also works with the Play In and Play Out options.

Record – Use the Record button to start or stop recording.

Quick Recorder Keyboard Shortcuts

There are a few existing Keyboard Shortcuts already defined for the Quick Recorder, additional mappings can be added using the Command Mappings tab in the System Configuration window.

The following are the default Keyboard Shortcuts available in the Quick Recorder:

Keystroke | Function
Ctrl + X | Cut
Ctrl + V | Paste
Ctrl + C | Copy
Delete | Delete
Space | Start/Stop Play

Audio Selection

To highlight a section of audio for editing, simply click and drag the mouse over the desired area. To deselect a highlighted selection of audio, simply double-click the selected area or select a new area of the audio waveform. To add the selection to another Zetta® module, such as Logs, Stacks or Hot Keys®, simply drag and drop the selection to the module.

Audio Clips Window

The Audio Clips feature is used to playback, arrange and assemble specific pieces of an audio file without modifying the original file. The Clips Editor [image] button opens the Audio Clips window, to the right of the waveform. The Audio Clips are represented in the editor waveform and in the Zoom and Pan bar using a darker shade of blue, with the clip number and the length. Simply right-click a highlighted section of audio and select Add to ClipEditor.

To play the Audio Clip after it is added, click the play button below the Audio Clips Editor. If more than one audio clip is in the Audio Clips Editor, the audio clips will play in the order they appear. Use the check box to the left of each clip to disable the audio from playing in the sequence. The Audio Clips can be rearranged by dragging and dropping the clips in the order desired. The clips can then be combined into a new record tab using the Assemble Clips [image] button. The following Step-by-Step topics can be used to guide the user through using the Audio Clips Editor:

Create an Audio Clip in the Clips Editor

Delete an Audio Clip from the Clips Editor

Edit the Start and End points of an Audio Clip

Preview and Assemble a New Audio File from Audio Clips

Create an Audio Clip in the Clips Editor

To create an audio clip, perform the following steps:
  1. Click and drag over the section of the audio file to be clipped.
  2. Click the Play In [image] button to preview the highlighted audio.
  3. Use the mouse to adjust the highlighted section, by clicking and dragging the edge of the highlighted area with the mouse.
  4. Right click the selection.

  5. Select the Add to ClipEditor from the resulting menu. The Clips Editor will open and display the Audio Clip.

Remove an Audio Clip from the Clips Editor

To remove an audio clip, perform the following steps:
  1. Select the audio clip in the Audio Clips window.
  2. Right-click the Audio clip.

  3. Select Delete Audio Clip(s) to remove the audio clip from the Clips Editor.

Edit the Start and End points of an Audio Clip

To edit the Start and End Points of an Audio Clip in the Clips Editor, perform the following steps:
  1. Define the audio clips using the steps provided above.
  2. Use the play button at the bottom of the Audio Clips window to play the selected audio.
  3. Hover the mouse over the edge of the audio clip until the mouse arrow changes.
  4. Click and drag the edge to the desired value.
  5. Optionally, click the Start or End value for any of the audio clips in the Clips Editor.

  6. Enter the desired value. Note that the change is reflected in the Waveform.

Preview and Assemble a New Audio File from Audio Clips

To create a new audio file from existing audio clips, perform the following steps:
  1. Define the audio clips using the steps provided above.
  2. Change the order of the audio clips by simply clicking and dragging the audio clip to a new location.

  3. Change the Start and End Point for the clips as needed.
  4. Select the audio clips to use in the new file using the check box to the left of each clip.
  5. Preview the collection of Audio clips using the play and stop buttons at the bottom of the Audio Clips window. Only the clips with a check in the check box will play. The audio will play in the order that the clips are arranged.
  6. Click the Assemble Clips [image] button at the top of the Audio Clips window, the new audio file opens in a new tab in the Quick Recorder for review.
  7. Review the audio using the Editor Play Controls
  8. Click Save or Save As to open a media details window
  9. Enter the Media Details.

Welcome < Modules < Quick Record

© 2007-2017 RCS. All Rights Reserved.


Now Playing Export Send

The Now Playing Export Send module can be used to manually send a Now Playing message for the specified station. Zetta will use the defined Now Playing Export instances in the Now Playing Export tab of the System Configuration to send the Now Playing message. Where multiple Now Playing Export instances exist for a station, the message will be sent to all active instances for the station. This option is a useful tool for live broadcasts. This Now Playing Export Send messaging is independent of the sequencer now playing messages.

Click any area in this image for help

Click any area in this image for help

Station Select

Use the Station Select drop-down to select the station. The selected station must have at least one Now Playing Export Configuration.

Title

Use the Title field to send the name of the Title out using the configured Now Playing Export instances.

Artist

Use the Artist field to send the name of the Artist out using the configured Now Playing Export instances.

Composer

Use the Composer field to send the name of the Composer or any other information needed.

Clear After Sending

Select the Clear after Sending option to clear the contents of the Now Playing Export Send module after the information has been sent using the Send button.

Send

Use the Send button to manually send the entered information in the Now Playing Export Send module. Zetta will use the defined instances in the Now Playing Export tab of the System Configuration to Send the Now Playing message. Where multiple now playing export instances exist for a station, the message will be sent to all instances for the selected station. Once the Send button has been clicked, the Now Playing Export Send message must be changed before the Send button will send a now playing data again. This is to prevent the unintentional double-clicking of the Send button from sending the same now playing data multiple times.

Welcome < Modules Overview < Now Playing Export Send

© 2007-2017 RCS All Rights Reserved.


Library Module Overview

Welcome < Modules < Library Module

Library Module

The Library Module is used to make additions, deletions, changes and audition the Media Assets in the Library. Zetta® can be configured where the assets metadata scope is set to Global, Station or Cuts. The default configuration is a Metadata Scope of Station where the metadata stored for the assets is stored in two different types of fields, Global and Station specific. This concept is useful when assets are shared in a multi-station environment, yet there still is a need for each asset to have a place where only data that is specific to a station is stored. When an Asset type is configured to a Metadata Scope of Cuts the assets will have a Cut Specific tab instead of a Station Specific tab. This is useful for sites that have multiple cuts of the same asset for a single station or multiple stations. An Asset type that is set to a Metadata Scope of Global will have a Global tab instead of a Station or Cut Specific tab. A Global asset can play on any station when it is active. The Metadata Scope is set in the Audio Types tab of the System Configuration window.

A system that is integrated with GSelector® will have the default Metadata scope of Station for all assets and the Metadata Scope cannot be changed.

Important Note!

When GSelector or ZCast are enabled in the System Configuration General tab, the Metadata Scope of the asset cannot be changed and defaults to Station. It is recommended that RCS Support be contacted before changing the Metadata Scope for existing Assets as the asset may lose its station activation.

The default Station metadata scope offers a concept of default station specific values, with the ability to override these on the station level. Zetta has a virtual Default station. The Default station always exists in the system without a need to be defined by the user; however the Default station is only accessible in windows where the asset is managed, such as the Media Library, Metadata card, and Audio Utility. The values defined in the Station Specific tab of an Asset's Metadata card, for the Default station, are automatically shown as station specific values on all regular stations. This allows the user to enter the value once, and have it mirrored into each station, without having to enter the value for each station. Within the station specific tab of the metadata card, for a selected station, the settings that can be Global (set on Default station) or Station Specific have a dot [image] next to each field. If the dot is blue [image] the default value is Overridden and the setting is specific to the selected station. Click the blue dot to display a menu to Reset the field to the same as the default station or set it as Default for the Default station. Use the mouse to hover over the dot to see if the setting is a Default or Overridden setting. For more information on the Station Specific tab see the Songs, Links, or Spots section of the guide.

Click any area in this image for help

Click any area in this image for help

Important Note!

Be aware, when working with a very large library, when the Library Module is opened, the Library needs to load audio from the Content Management store. As the module loads audio, progress bars will display at the bottom of the window. Audio that has not yet loaded into the library may be visible in the list, but may not be edited.

Library Toolbar

Library Media Asset tabs

Tab Navigation

All Audio

Asset List Pane

Attribute Management

Copy/Move Assets

Library Module Step-by-Step Topics

Library Toolbar

The Library Toolbar is similar for the Songs, Spots, Links and Other Audio tabs. When the window is reduced in size the toolbar buttons will be hidden and a drop-down will be shown to allow access to these hidden toolbar buttons. The toolbar is used to perform the following tasks:

Add new media – Use the Add new media button to manually add new assets, Tags, Rotations, Imaging, Shows or Mini-Logs to the Library.

Refresh - Use the refresh to refresh the Library List.

Delete Selected Media – Use the Delete button to delete selected asset(s), Tags, Rotations, Imaging, Shows or Mini-Logs. For more information on removing media from the Library, see the Deleting Assets section of this guide. When an asset is deleted that has a metadata scope of Cut, using this button, the entire asset is deleted including all Cuts.

Audition – The Audition button allows the user to listen to a single asset or multi-selected assets without the sound going over the air. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition player and stream must be defined and an asset must be selected. Selecting a rotation in the rotations tab or a Tag in the Tags tab will play the assets, within the rotation/tag, in order based on the selected station and the asset that is set as next to play. Zetta will also honor station / dayparting rules for each asset. The rotation/tag will play based on the audition option selected (All, Hook, Open/Close). In the Audition button’s drop-down menu, there is an option to Play Next. This option allows the user to jump to the next audio in the rotation/tag or when used in the other asset tabs play will jump to the next audio when auditioning multiple audios via the multiselect / audition option. For more information on assigning the Audition Player, see the Assigning Players for Local Playback section of this guide. This option is not available in the Imaging tab.

GSelector® Export– The GSelector icon is visible after a station has been selected that is integrated with GSelector. It is used to send audio changes to GSelector in the event the Auto Send option has been disabled in the System Configuration. Hovering the mouse over this button will display the Library's Last Synchronized date and time in a tool tip. Clicking the down arrow displays two options, to Export Change assets since the last sync with GSelector [image] or export changes only for the selected asset(s) [image]. Hovering the mouse over each of these buttons will display the date and time of the Last Export in a tool tip. These options are only available in the Songs and Links tab.

Send selected media to ZCast site - The ZCast button is used to send selected library assets to an Outbound ZCast Connection. This option is not available in the Tags, Rotations or Imaging tabs.

Launch Audio Utility – The Launch Audio Utility is used to run additional actions on the audio; the following actions are available:

Marks Analysis

  • Peak Analysis – Peak Analysis analyzes the Peaks of the audio and sets transition markers based on desired settings in Configuration Menu | System | Audio Processing tab.
  • Smart Analysis – Smart Analysis analyzes the audio and sets transition markers based on the desired settings in Configuration Menu | System | Audio Processing tab. (Use Only under RCS Supervision.)

Full Analysis –The Full Analysis runs through the selected file(s) to determine the gain values for all the supported algorithms in Zetta. Zetta then saves these values to the database to use based on the normalization selected for each station in Configuration Menu | Station | Normalization Settings. This option is also used to create a unique File Checksum hash value and Waveforms for each file selected, the File Checksum value is used when comparing like files received from a ZCast transfer or import into the system.

Sync active stations with GSelector® - The Sync active stations with GSelector runs the synchronize process to sync the selected audio with GSelector.

Convert Audio - The user can convert any audio asset in Zetta to the configured Audio Format desired using the Convert Audio option in the Audio Utility. Convert Audio uses AFC to convert the audio.

Approval - When the Audio needs approval before airing Station configuration option is checked, this utility becomes available, this utility makes approving audio assets for On-air play easy. This utility can also be used to change the status of an asset to Waiting for Approval or Disapproved. See the Approving Assets for On-Air Play section of this guide for more information.

Active - The Active utility allows the user to easily activate multiple songs at once for one station or all stations. See the Activate Multiple Audio Assets section of this guide for more information.

Export Asset - The Export Assets utility allows the user to easily export the selected assets to a connected drive. This can be used for backing up the assets or exporting a spot for a customer. Use the Export | File Drop setting in the Audio Format tab in the System configuration to set the format the audio to be exported. Once the user clicks the Go! button the user will be prompted for a location to export the audio assets. Each file that is exported will include the Cart Chunk (trim in/out; intro1,2,3; Segue; Hook In/Out) data for the audio.

Assign to Organization - This option is available when assets with a Cuts metadata Scope are selected. This option is used to assign a defined Organization to multiple assets.

Important Note!

If All Stations is selected as the Organization, any new station created will be able to play any active cuts where all stations is assigned as the Organization. By default new stations are automatically added to the All Station Organization.

Assign To Station - This option is available when assets with a Cuts metadata Scope are selected. This option is used to assign a station to multiple assets.

Change Category - The Category utility is available when selecting Songs, Link or Other Audio Types for a specific station. This utility allows the user to set or change the Category of these Assets.

Copy to Asset Type - The Copy to Asset Type is used to Copy Assets from one asset tab type to another. This option is available when integrated with GSelector for Songs and Links.

Change Asset Type - The Change Asset Type option is used to Move or Copy assets from one asset type to another. This option is available for all assets when Zetta is NOT integrated with GSelector. If Zetta is integrated with GSelector this option is changed to Copy to Asset Type for Songs and Links.

For more information on the Audio Utility see the Audio Processing and Normalization section of this guide. This option is not available in the Tags or Rotations tab.

Show Group Area - The Show Group area will display the group by area in the Library module. The Group by area will allow the user to group the Asset list pane by the column headers. This makes locating an asset easier. The grouping area is hidden from view, but can be accessed by clicking this button.

Edit Media – The Edit Media drop-down is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Publish - The Publish button uses the Publish Configurations to Publish the selected content of the Show or Mini-Log. Use the drop-down arrow to view and select a publish instance. Right-click a publish instance from the list of instances in the drop-down to set the default instance that is used when the button is clicked. This button is only available in the toolbar of the Shows and Mini-Logs tab.

Show All - The Show All button switches between Show All Media [image] and Show All Media Waiting for Approval [image] when Default is selected in the station [image] drop-down. When a specific station is selected the Show All button switches between Show All Media Waiting for Approval [image] and Approved [image] to display the desired assets. (These buttons are only available if at least one station has the Audio needs approval before airing option selected for the station. See Station Configuration Details tab for more information on this setting).

Filter - The Filter field in the Library Module is used for dynamic quick searches. As the user begins to type, Zetta will start filtering for the characters typed and highlight them in the assets found that match. To clear the filter field, press the ESC key. The footer of the Library window will display the number of items rendered by the filter. The filter acts on the displayed columns only, therefore to search for a vocalist or composer the column will needed to be added to the Library window.

Station Select - The station select drop-down is used to select a station. This option is not available in the Tags or Rotations tabs.

Library Media Asset tabs

The Library holds each asset type in a separate tab accessible above the Library toolbar. The user can view and access the asset list for each of the following media types:

Songs

Spots

Links

Voice Tracks

Quick Records

Shows

Mini-Logs

Other Audio

All Audio

** Additional tabs in the Library include the Tags, Imaging and Rotations tab. These tabs are used to setup groups of assets for Splits, Satellite Mode, Shifts and asset Rotation.

Tab Navigation

The Navigation buttons to the right of the tabs in the Library are used to navigate between tabs, close selected tabs and open tabs. The add tab button displays the Default Zetta tabs first then the Other Audio tabs created in the Audio Types tab of the System Configuration window, an All Audio tab option and finally the Tags, Imaging and Rotations tab. The Tags tab is used with the Splits option that is enabled in the General tab of the System configuration window. Use the Close selected tab to close a highlighted tab. Optionally, right-click a tab to open or close tabs from the resulting menu.

All Audio

The All Audio Tab will display all the Audio Assets available for the selected station. The tab can then be sorted using Grouping if desired.

If the station selection is set to Default then all assets in the Library will be displayed in the tab. Tags, Imaging and Rotations are not viewed in this tab. Based on the User rights, multiple assets can be deleted using the All Audio tab. Simply select the assets to delete and click the delete key on the keyboard. When an assets metadata card is opened from the All Audio tab and the assets are grouped the Previous [image] and Next [image] buttons will move through assets in the grouped list before moving to the next list that the tab is grouped by.

Asset List Pane

The Media Library asset list allows the user to browse and access Media assets contained in Zetta. If a station is selected, only the Active assets for the station will be displayed, however, if Default is selected for the station all assets in the system will be displayed for the selected tab. The following is a list of available columns that can be inserted or removed from many of the Library module tabs:

Absolute Peak – Absolute Peak shows the value of the Absolute Peak for the audio

Active – The Active column displays a check mark if the asset is active for the selected station

Album - Album is the name of the album the songs were ripped from.

Album2 - Album2 is a secondary Album field.

Approved - The Approved column will display if the asset is approved or Waiting Approval. This column is only available if one or more of the stations has the Audio needs approval before airing flag checked in the station configuration details tab.

Arrangers - Mainly used by Classical and Jazz stations, this Participant field is used to associate Arranger information with Songs.

Artist - The Artist column is a default column and displays the artist for the asset.

Artist 2 – Artist 2 is a secondary artist field.

Attributes - This option opens another menu listing the attributes available. These are the attributes listed in the Station Specific tab for Songs and Links. When cuts are used as a Metadata Scope this menu will also list the display attributes from the Cuts Specific tab of the metadata card.

Audio Format - The Audio Format will display the format for the audio file such as MP3, PCM or MPG.

Average Peak – Average Peak shows the value of the Average Peak for the audio

Bed - The Bed column will display a check mark for each asset that has the bed option selected in the extra tab of the metadata card. This option is not available for Songs and spots. Beds in Zetta make it possible for a voice track to be spoken over the top of the beds audio.

Bit Rate - The Bit Rate column will display the bit rate for the audio file.

Calculated Gain – The Calculated Gain shows the calculated gain value that Zetta uses when normalizing the audio.

Category – The category column will display the category for the asset. When integrated with GSelector® the categories for Songs and Links are sent from GSelector to Zetta. A Category assignment can be changed, for an asset from within the assets metadata card in Zetta, however adding, editing or deleting a Category must be done in GSelector.

Category Group - A group of categories, generally containing songs that are similar in nature or function. Category Groups only exist when Zetta is integrated with GSelector and they are assigned, added, edited and delete in GSelector.

Channels - The Channels column will show if the audio is stereo or mono.

Comments – Comments field allows the user to add a comment to the asset.

Composers - Mainly used by Classical stations, this Participant field is used to associate Composer information with Songs.

Conductors - Mainly used by Classical stations, this Participant field is used to associate Conductor information with Songs.

Cue Points - If the asset has a cue point marker the column will show true, if the asset does not have a cue point marker the column will show false.

Cut External Id - The Cut External ID displays an external alpha-numeric identification used for the asset by an external source. A Cut External ID is a unique string, a warning prompt will display when a duplicate Cut External ID is entered. To have Zetta automatically assign an assets cut a Cut External ID, enable the Automatically generate Cut External ID in the External ID tab of the System Configuration window then define a Cut External ID mask.

Cut Name - The Cut Name is an alpha-numeric field used to identify the Cut.

Date Created - The Date Created column will show the date the asset was created in the database.

Duration - The duration field will display the amount of time the asset will take to play from Trim In to Trim Out. The duration value will be underlined if there is a Time Stretch Adjustment specified in the metadata card.

Early Segue Point - The Early Segue Point is the point in the audio that is used when linking media events using the Chain type Link-Song.

End Date – The End Date is the end date that the audio will stop playing on the air.

Ending - The Ending field is used for an optional two letter text description of the end of the Song.

External ID - The External ID displays an external alpha-numeric identification used for the asset by an external source. An External ID is a unique string, a warning prompt will display when a duplicate External ID is entered. The External ID in Zetta matches up to the Media ID in GSelector when integration is enabled. External IDs can be unique Per Asset Type or Globally unique throughout Zetta. To set how External ID's are handled in Zetta use the External ID tab of the System Configuration window. To have Zetta automatically assign an asset an External ID, enable the Automatically generate Asset External ID in the External ID tab of the System Configuration window then define an Asset External ID mask.

File Checksum - File Checksum is a hash value representing the audio file in a brief form (16 bytes / 128 bits). It is extremely unlikely that another file (let alone audio file) with the same hash value exists anywhere in the world. Zetta uses this File Checksum to determine whether the audio file needs to be updated when imported into the system.

File Name – The File Name is the Current file name. When Content Management is used the original import file name (Short File Name) will be changed, that changed name will be displayed in this column.

File Path - The File Path displays the location of the audio file for the asset.

Filtered Peak – The Filtered Peak will give the dB value of the peak.

GUID (asset) - The GUID is a unique identifier used in GSelector Integration to keep the events in sync.

Hook – The Hook column will give the start and end time of the hook associated with the asset

ID (Asset) – The ID (Asset) is a unique number for the asset in the Zetta database.

ID (Station Specific) - The ID (Station Specific) is an internal ID for an asset's station/cut related data in the Zetta database.

Import Location – The Import Location is the location the asset was imported from

Intro – Intro shows the highest intro value of Intro1, 2, and 3

Intro 1 - Intro1 is the first intro value of the asset

Intro 2 – Intro2 is the second intro value of the asset, if set

Intro 3 – Intro3 is the third intro value of the asset, if set

ISCI - ISCI is a unique code that represents the advertiser and the spot version.

ISRC - ISRC is a unique and permanent identifier for a specific recording.

Kill Date - The Kill Date is the day the asset is removed from the Zetta database.

Label - The Label column displays the Label information for the Song.

Last Modified – The Last Modified is the date the asset was last modified

Last Play - The Last Play column displays the Date and Time the asset played on the selected station. A station must be selected for this column to display a value.

Live - The Live column shows True is the Asset has been set as a Live Event

Loop - The Loop column shows the start and end time of the Loop set in the asset.

Loudness (EBU-R128) - The Loudness (EBU-R128) shows the calculated Loudness (EBU-R128) value for the audio

Loudness (Gated) - The Loudness (Gated) shows the calculated Loudness (Gated) value for the audio

Lyricists - The Lyricists column displays any lyricist Participants that are associated with the song.

Musicians - The Musicians column displays any musician Participants that are associated with the song.

Normalize – The Normalize column displays a check box to show if the audio is normalized

Normalize Target – The Normalize Target column displays the normalized value for the asset, set in Tools | Station configuration

Opening - The Opening field is used for an optional two letter text description of the start of the Song.

Overall Length – Overall Length shows the overall length of the asset

Play Rate - The Play Rate column displays the percentage of Time Stretch configured for the asset.

Playback Method - The Playback Method is the playback method selected in the Metadata | Extra tab.

Producers - The Producer Participant field is used to associate Producer information with Songs

Publisher - The Publisher column displays the Publisher for the asset as defined in the Extra tab of the asset.

Products – The Products column is used for spots, links and other audio types to list the product the asset represents.

Root Mean Square – The Root Mean Square shows the calculated Root Mean Square value for the audio.

Runtime - The Runtime field will display the amount of time the asset will take to play from Trim In to Segue. The Runtime value will be underlined if there is a Time Stretch Adjustment specified in the metadata card.

Sample Rate - The Sample Rate column displays the Sampling Rate in hertz of the audio asset.

Segue Point – The Segue Point displays the point in the audio that the asset will segue into the next event.

Short File Name – Short File Name displays the filename without the asset number

Split Behavior - The Split Behavior column shows the selected split behavior of the asset. The Split Behavior column is visible when Splits are enabled in the System Configuration | General tab. The Split Behavior of an asset is used when working with Splits.

Short File Name - The Short File name is the name of the audio file when it was initially imported into Zetta (vs. The File Name which is the Current filename after it is Content Managed by Zetta.)

Sponsors – The Sponsors column shows the sponsor of the asset, this attribute is normally used with spots, but is also available with links and other audio types.

Start Date – The Start Date shows the date the asset is scheduled to be available for play on air.

Tags - The Tags column displays the names of the Tags that the asset assigned to in the Tags tab. Tags are typically used when working with Splits.

Title - The title column displays the title given to the asset.

Trim In – The Trim In value displays the first part of the audio that will be ignored when playing the asset.

Trim Out – The Trim Out displays the last part of the audio that will be ignored when playing the asset.

Type - Type lists the library asset type such as Spot, Song, Link, etc.

VBR - The VBR column displays the VBR status of the asset.

Version - The Version field displays the version information found in GSelector when Zetta is integrated.

Vocalists - The Vocalists column displays any vocalist Participants that are associated with the song.

The columns can be sorted in ascending or descending order. The columns can also be reorganized using Grouping to fit the user’s needs and the data can be customized using Zetta Filtering.

Attribute Management

There are a number of attribute fields within the metadata card for each type of asset. From these fields the user can add, remove or manage selected attributes in the Zetta database. Some attributes are Station Specific, such as Category and some are Global attributes, such as Artist, Album, Participant, Sponsors and Products. To Manage these attributes use the Manages Names window for the selected attribute.

To access the Manage window, simply right-click the desired field and select Manage Names from the resulting menu. From this window a corresponding attribute can be added, edited or deleted from Zetta.

Important Note!

When Zetta is integrated with GSelector the categories for songs and links cannot be managed or edited from Zetta, however existing categories can be assigned. See the GSelector help guide to manage or edit these categories.

The Manage window displays the Selected attribute, a list of available attributes in the Name column and the number of assets using the attribute in the Count column. All these columns can be sorted by clicking on the header of the column. These columns can also be Grouped using the Group area bar just above the column headers. The row just below the column headers is used to filter the list. The default field when entering the Manage window is the Name search, this allows the user to immediately begin typing to search for an existing name. See Managing Attributes of the Step-By-Step section of this topic for more information on this row. See the Custom Filtering section for additional information on using the custom filtering option available when clicking the down arrow of the Name column in this row.

Copy/Move Assets

Assets can be moved or copied to another asset type by dragging and dropping the asset to a different asset tab from within the Library, from any module where the asset is listed (Logs/Stacks/Hot Keys) to the asset tab or by using the Audio Utility toolbar option in the Library. It is recommended the Audio Utility be used when moving or copying multiple assets. Assets can also be copied from within the metadata card of the asset to be copied.

Important Note!

If Zetta is integrated with GSelector, assets cannot be moved into Songs and Links they can only be copied.

Move

To Move an asset from one type to another, simply click and drag the asset from the location to the desired tab in the Library module. When the Move action below is displayed drop the asset. A prompt will display confirming the Move.

Copy

To Copy an asset from one type to another, simply click and drag the asset from the location to the desired tab, press the CTRL key on the keyboard. Note the Move action changes to a Copy action. When the copy action below is displayed drop the asset. A prompt will display confirming the Copy.

Important Note!

When assets are moved or copied between asset types the format is not changed. To convert the asset to a different format use the audio utility.

Library Module Step-by-Step Topics

This section provides step-by-step instructions for using and maintaining the Library. See the Songs, Spots, Links and Tags topics for more information on individual asset Audio Types.

Managing Attributes

Searching for Attributes

Add Attributes

Delete Attributes using the Manage Names window

Remove Metadata Card Attribute

Using the CD Ripper

Deleting Media Assets

Audition Library Assets

Activating Assets in Zetta®

Method 1 - Activate a Single Audio Asset

Method 2 - Activate Multiple Audio Assets

Method 3 - Activating Audio Assets using the GSelector® Multi Song Changer

Approving Assets for On-Air Play

GSelector® Export

Export Changed Assets

Export Selected Assets

Sync Active Stations with GSelector

Create Audio Types for the Library Module

Changing the Library Module Layout

Add Columns to the Library

Replace Columns in the Library

Remove Columns in the Library

Move Columns in the Library

Save changes to Library Module Layout

Managing Attributes

The Manage Attributes windows are used to add, delete, edit and search for attributes such as Artist, Album, Category, Participant, Sponsors and Products. The following topics give step-by-step instructions on working with attributes.

Searching for Attributes

Add Attributes

Delete Attributes using the Manage Names window

Remove Metadata Card Attribute

Searching for Attributes

To manage the attributes in Zetta, perform the following steps:
  1. From the Modules menu, click Library.
  2. Select an Asset tab from the Library. (In this example we will use Songs)
  3. Double-click a song to edit the metadata card.
  4. Right-click in the Artist field.

  5. Select Manage Names from the resulting menu.

  6. Begin typing to search for an existing Artist.
  7. Use the box to the left of the Name search to change the Operator.

  8. Click the Box just below the Selected column once to view the names in the list that are not selected.
  9. Click the selected box again to view the artist(s) that are selected.
  10. Click the Close Filter [image] button to return the window to its default view.
  11. Use the Count Filter to search for a specific count.
  12. Click the "=" next to the Count Filter field to change the operator.

  13. Click the Close Filter [image] button to return the window to its default view.

Add Attributes

To add an asset attribute such as Artist, Album, Category, Sponsors or Products, perform the following steps:
  1. From the Modules menu, click Library.
  2. Select an Asset tab from the Library. (In this example, we will use Songs)
  3. Add or Double-click a song to edit the metadata card.
  4. Select the Artist field
  5. Type in the Artist Name. As the name is typed Zetta will search for an existing name to match.
  6. If the name is not found, simply finish typing the name, then Save the Metadata card. The new attribute will be added to the Zetta database.

  7. Optionally, Right-click in the Artist field or existing Artist name.

  8. Select Manage Names from the resulting menu.
  9. Click the Add [image] button. This will add a new line to the window.

  10. Type in the Name to add the attribute.
  11. Press enter when finished or move to another field.
  12. Repeat for each additional artist.
  13. Click Save

Delete Attributes using the Manage Names window

The following steps will delete the attribute from the Zetta Database. To remove an attribute from a metadata card see the remove metadata card attribute step-by-step instructions.

To Delete an asset attribute, such as Artist, Album, Category, Sponsors or Products, using the Manage Names window, perform the following steps:
  1. From the Modules menu, click Library.
  2. Select an Asset tab from the Library. (In this example, we will use Songs)
  3. Double-click a song to edit the metadata card.
  4. Right-click in the Artist field.
  5. Select Manage Names from the resulting menu.
  6. Locate and highlight the attribute to delete from Zetta.
  7. Click the Delete [image] button.
  8. Click Save

Remove Metadata Card Attribute

Using these steps will remove the artist from the metadata card. It will not remove the artist record from the Zetta Database.

To Remove an asset attribute such as Artist, Album, Category, Sponsors or Products, from a metadata card field, perform the following steps:
  1. From the Modules menu, click Library.
  2. Select an Asset tab from the Library. (In this example, we will use Songs)
  3. Double-click a song to edit the metadata card.
  4. Place the Cursor next to the existing artist name and press the backspace button on the keyboard.
  5. Optionally, Right-click in the name of the artist in the Artist field.

  6. Click Remove
  7. Add another artist or click save.

Using the CD Ripper

Before using the CD Ripper feature in the metadata card, review the CD Extraction settings and the System Managed Formats section in Audio Format tab of the System Configuration window.

To add audio to an asset using the CD ripper in the Extra tab, perform the following steps:
  1. From the Modules Menu, click Library
  2. Select the desired Asset tab
  3. Add or select an asset
  4. Select the Extra tab
  5. Select the CD Ripper [image] button
  6. If using more than one CD drive, select the drive from the drop-down to view the tracks.

  7. To preview a selected track, highlight the track and click the preview selected track [image] button or simply double-click the track.
  8. Select the tracks to rip, use the SHIFT and CTRL keys to select multiple tracks.
  9. Click the Extract Selected Tracks [image] button to rip the tracks to the content store or to the path destination specified in the Audio Format tab of the System Configuration.

  10. After the audio has ripped, the CD Ripper window will close. Use the Marks Editor the set the mark values for the audio.

Tip: To rip multiple tracks and merge them into one audio piece, hold the CTRL key while selecting the tracks to merge; make sure to click songs in the correct order. The number of tracks and total runtime of the selected tracks will be visible in the footer of the CD Ripper window. There will be no gaps in between the tracks; this is ideal if the station plays several songs of one particular artist in a row.

Deleting Media Assets

To delete media assets, perform the following steps:
  1. Highlight the asset to delete.
  2. Click the Delete the Media [image] button in Library toolbar.

  3. Click the Delete Now button to delete the asset(s) immediately. This will delete the media asset and remove it from the Library even if the asset is currently playing. Click the Delete Later button to have Zetta set the current date as the Kill Date and then purge the asset(s) when Scheduled Maintenance runs. Delete Later is not used for Shows and Mini-Logs. Optionally, click Cancel, to cancel the delete action and close the window.

Important Note!

The asset deleted in Zetta by default will only be deactivated in GSelector. However this process can be changed by using the Treat asset deletion from Zetta as: Deactivate or Delete option in the Interfaces window of the Tools menu in GSelector.

Audition Library Assets

There are several ways to audition a Library asset. To audition a Library asset, perform the following steps:
  1. Highlight the asset to preview.
  2. Click the Audition [image] button. The audio is played back on the Audition Player configured for the computer; see Player Configuration for more details configuring an audition player.
  3. Clicking the down arrow next to the audition button will give the option of playing the All, the Hook, or the Open/Close of the selected audio.

  4. Another way to Audition the asset is to double-click the asset
  5. Click play [image] button on the play controls in the Marks Editor.
  6. Clicking the Audition [image] button again will stop the play of the audio.

Activating Assets in Zetta®

There are 3 ways to active assets in Zetta

Method 1 - Activate a Single Audio Asset

Method 2 - Activate Multiple Audio Assets

Method 3 - Activate Audio Assets using the GSelector Multi Song Changer

Method 1 - Activate a Single Audio Asset

To activate an audio asset in Zetta, follow these steps:
  1. Select Library from the Modules menu.
  2. Double-click the desired Song to open the metadata card
  3. Select the Station in the Stations tab.
  4. Select the Station Specific, Cut Specific or Global tab. If an asset is set to active in the Global tab then that asset can play on any station in the database.
  5. Select the Active check box

  8. Click Save
  9. Close the metadata card window

Method 2 - Activate Multiple Audio Assets

To activate multiple audio assets in Zetta, follow these steps:
  1. Select Library from the Modules menu.
  2. Select the desired Asset tab
  3. Select the desired Assets use the SHIFT or CTRL keys to select multiple assets
  4. Click the Launch Audio Utility [image] button

  5. Select the Active checkbox.
    1. Select True from the action drop-down
    2. Select the Station from the station drop-down, to activate the audio for all stations select the Default option.

  6. Click GO!
  7. Repeat steps to Activate additional audio assets for each asset category.

Method 3 - Activating Audio Assets using the GSelector® Multi Song Changer

If Integrated with GSelector and the Auto Send Audio Changes option is checked, the assets will be sent to GSelector as they are created or imported into Zetta. Using the GSelector Multi song Changer allows the user to activate the asset easily. This tool is useful when also needing to make additional changes such as Category, Attributes and Daypart restrictions. See the GSelector Help guide for more information on these additional features.

To active songs in GSelector, perform the following steps:
  1. In GSelector, click the Library tab
  2. Click the Browse tab
  3. Click Advanced Search

  4. Click the Add [image] button
  5. For the Attribute Active change the Search Type to False

  6. Click the Search button
  7. The Inactive Songs will appear in the right window as selected. Click the checkmark next to the song(s) that are not to be activated to deselect them.

  8. Select the Multi Song Changer Tab
  9. Under the Station Coding section select Active radio button
  10. Select the Category radio button

  11. Select a Category from the drop-down menu
  12. Click Save
  13. Click Yes to confirm the changes to the Song(s)
  14. Click Library | Browse
  15. Click Close Advanced Search
  16. Repeat for Links using the Linker | Browse | Advanced Search button

Approving Assets for On-Air Play

Important Note!

Audio will only need approved if a station has the Audio needs approval before airing option selected for the station. See Station Configuration Details tab for more information on this setting.

To Approve multiple assets in Zetta, follow these steps:
  1. Select Library from the Modules menu.
  2. Select the desired Asset Category
  3. Select the Station to view from the drop-down
  4. Select the Show All Media [image] button to change the view to show all the media Waiting for Approval. (This button is only available if at least one station has the Audio needs approval before airing option selected for the station. See Station Configuration Details tab for more information on this setting).
  5. Select the desired Assets use the SHIFT or CTRL keys to select multiple assets
  6. Click the Launch Audio Utility [image] button
  7. Select the Approval checkbox (this option is only necessary if the Audio needs approval before airing option is selected for the station. See Station Configuration Details tab for more information on this setting).
    1. Select Approved from the action drop-down
    2. Select the Station from the station drop-down, to approve the assets for all stations select the Default option.

  8. Click Go!
  9. Repeat steps to Approve additional audio assets for each asset category

GSelector® Export

There are two ways to export media to GSelector

In this Section of the Library Module Topic:

Export Changed Assets

Export Selected Assets

Export Changed Assets

To export media changed to GSelector, follow these steps:
  1. Click the GSelector® Export [image] button

or

  2. Click the GSelector® Export drop-down arrow

  3. Click the Export changed assets to GSelector® all media changes [image] button

  4. Click the Close button in the upper right corner to close the results box.

Export Selected Assets

To export selected asset changes to GSelector, follow these steps:
  1. Highlight the media to export, use Shift or CTRL to highlight more than one.
  2. Click the GSelector® Export drop-down arrow

  3. Click the Export selected assets to GSelector® [image] button

  4. Click the red [image] close button in the upper right corner to close the results box.

Sync Active Stations with GSelector

This utility is useful to send asset changed to GSelector when the option Auto Send Audio Changes is not checked in the System Configuration.

To Sync active stations with GSelector, perform the following steps:
  1. Select Library from the Modules menu.
  2. Select the desired Asset Category
  3. Select the desired Assets use the SHIFT or CTRL keys to select multiple assets
  4. Click the Launch Audio Utility [image] button

  5. Select the Sync active stations with GSelector®
  6. Click Go!

Create Audio Types for the Library Module

To create a new tab in the Library modules, perform the following steps:
  1. From the Configuration Menu, click System
  2. Select the Audio Types tab.
  3. Select the Add New [image] button
  4. Enter a Name for the new tab in the Name column.
  5. Optionally, double-click the Description column for the new tab and add a description.
  6. Click Save [image] in the System Configuration window.

Changing the Library Module Layout

There are several ways to customize the look and layout of the Library Module window.

In the following sections can be used to change the Layout of the Library Module tabs and windows:

Add Columns to the Library

Replace Columns in the Library

Remove Columns in the Library

Move Columns in the Library

Grouping Media Types

Docking and Undocking Tabs in the Metadata Card

Add Columns to the Library

To add columns to the Library Module in Zetta follow these steps:
  1. Right-click the column heading where the new column is to be added
  2. From the displayed menu click Insert and choose the item from the menu to be added.

Replace Columns in the Library

To replace a column in the Library Module in Zetta with a different column, follow these steps:
  1. Right-click the column heading to be replaced with the new column
  2. From the displayed menu, click Replace and choose the item from the menu to be added.

Remove Columns in the Library

To remove a column in the Library Module in Zetta follow these steps:
  1. Right-click the column heading to be removed
  2. Click Remove

Move Columns in the Library

To move a column in the Library Module in Zetta to a different location follow these steps:
  1. Click and Drag the column to be moved to the location desired.
  2. Drop the column in the desired location. While dragging the column, a ghost image of the column will be displayed that outlines the column’s position.

Save changes to Library Module Layout

To Save Changes to the Library Module layout, follow these steps.
  1. Select Layout from the Application Menu.
  2. Click Save Layout

Welcome < Modules Overview < Library Module


Songs

The Songs tab in the, Library window, displays a list of the Music Assets stored in the Zetta Content Manager or assets added that are external to Zetta. Songs in the Zetta are denoted by a music note [image] throughout the system. Songs can be imported into Zetta using Auto Load, Media Import, Drag & Drop from the desktop, using the CD Ripper or by Adding a new Song Asset using the Add new media button from the Library Toolbar. Songs can be scheduled in the Log using GSelector Integration or Flat File Load. Songs can have a Metadata Scope of Global, Station or Cuts. The default metadata scope for songs is Station. This is also the metadata scope used when Zetta is integrated with GSelector.

Songs Metadata Card

The Songs Metadata Card is opened when double clicking on an audio asset in the Songs tab of the Library Module. A Song asset can also be access from other modules in Zetta by double-clicking or using the right-click menu and selecting edit from the resulting menu. The Song Metadata Card holds information about the audio asset and a Marks Editor, which can be used to make changes to the audio. The Song Metadata Card can be arranged using tabs or the tabs can be docked in the window to arrange the window as desired, see the Docking and Undocking section of this guide for more details on docking. The following illustration shows a Song that is integrated with GSelector having a Metadata scope of station. This means the song card will have a station specific tab that holds setting specifically for the station selected and a GSelector® tab for GSelector specific information.

Click any area in this image for help

Click any area in this image for help

Toolbar

Stations Tab

Cuts Tab

Primary Tab

Marks Tab

Extra Tab

Station Specific, Cut Specific or Global tab

Station Specific Tab

Cut Specific Tab

Global Tab

Participants Tab

GSelector® Tab

History Tab

Script Tab

Adding a new Song Asset with a Metadata scope of Station

Adding a new Song Asset with a Metadata Scope of Cuts

Add a Cut

Copy a Cut

Delete a Cut

Adding a new Song Asset with a Metadata scope of Global

Mass Change Song Station Category

Toolbar

The Song Metadata Card Toolbar has the following options.

Save – Save is used to save any changes made to the song.

Copy - The Copy option will create a duplicate of the asset with the exception of the Title, External ID and Filename. During the copy process the newly created copy is content managed and saved with a new filename. The title is then appended with the words (copy) highlighted allowing the user to quickly change or enumerate the title of the newly created asset.

Refresh - The Refresh button will refresh the data displayed in the selected metadata card. This can be used to pull any data changes that may have occurred in GSelector or on another computer while the metadata card is open.

Audition – The Audition button is used to start and stop the auditioning of the selected song locally.

Edit Media – The Edit Media drop-down is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Previous Audio - The Previous Audio button will move to the previous Song Asset Metadata Card in the Library Songs tab.

Next Audio - The Next Audio button will move to the next Song Asset Metadata Card in the Library Songs tab.

/

Warning – The warning icon is displayed if there is an issue with the audio or file, such as when there is no audio associated with the Metadata Card, the audio file has not been content managed or Approved for the station. Simply hover the mouse over the warning and the tool tip will display the action needed.

Stations Tab

The Stations tab is displayed when the Metadata Scope for Songs is set to Station or when GSelector Integration is enabled. This tab displays a list of the Stations that are configured in Zetta. This includes the Default station, the Stations and the Virtual Stations. This tab also shows which stations have the asset as active with a check mark.

This tab is not visible when the Metadata Scope for Songs is set to Global or Cuts.

Cuts Tab

The Cuts tab is displayed when the Metadata Scope for Songs is set to Cuts. This tab displays a list of the Cuts for the selected asset, the Stations assigned to the Cut and the Cut External ID. Stations are assigned to the Cut using the Stations or Organizations field of the Cut Specific tab. See the Organizations topic for more information on grouping stations in an organization. This tab also shows which Cuts are active with a check mark.

The toolbar in the Cuts tab is used to add, copy and delete cuts. This tab is not visible when the Metadata Scope for Songs is set to Global or Station.

Primary Tab

In the Song Metadata Card the Primary tab is used to add specific song information about the asset using the following fields:

Title – Title is used for the title of the selected song.

Artists – The Artist field is used to assign an artist attribute to the song. This field has an Auto Complete feature where the user can start typing the name of the artist and Zetta will match what is typed with the existing entries. With a right-click of the mouse, editing options are available. When the field is empty the right-click menu displays the Manage Names option. This will open the Manage Artists window. When an artist name exists in this field, right-clicking the name will display additional editing options. To add a new artist to the Zetta database simply type the name in the artist field and save the metadata card or use the Manage Artists window. To simply edit the name displayed, double-click it to open the edit window for that artist. The Edit Artist window will display the Name to edit and the number of assets that have the selected artist assigned. Editing the Artist name will change the artist name for all the assets that have it assigned.

Important Note!

When Zetta is integrated with GSelector changes to Artist or Album will not be sent to GSelector. The songs will need to be synced with GSelector for this change to occur.

Duration – The Duration field will display the amount of time the asset will take to play from Trim In to Trim Out. The duration value will be underlined if there is a Time Stretch Play Rate specified.

Target Duration - When the Play External or Live Read options are selected as the Playback Method in the Extra tab the Duration field is replaced with a Target Duration field. Enter the estimated amount of time it will take for External file to play or for the user to read the script in the Script tab.

Runtime - The Runtime field will display the amount of time the asset will take to play from Trim In to Segue. The Runtime value will be underlined if there is a Time Stretch Adjustment specified.

Marks Tab

The Marks tab is used to access the Marks Editor tool to edit the audio of the asset.

Extra Tab

The Extra tab stores the following additional data about the media.

Playback Method - The Playback Method drop-down is used to select how the asset is to be played. The Play File is the default option that looks for the file found in the Media Filename field. The file found in this field is a content managed resource in Zetta. The Play External references an external file outside of Zetta using the External field. This option is typically used for Time Announcements. The Live Read option enables the Live/Confirm Live Read check-box and is used to mark the song as a Live Read. When Play External or Live Read is selected the Marks tab is hidden and the Duration field changes to Target Duration in the Primary tab.

Media Filename – The Media Filename field displays the filename of the song. Click the CD Ripper [image] button to rip one or multiple tracks to a file to attach to the song. Click the Browse Media File Button [image] to view or change the location of the file. This field is removed when the Live option is selected. Right-clicking the Media Filename field will display a menu allowing the user to Copy the Filename or Copy the Full Path of the file.

External - The External field is available when Play External is selected as the Playback Method. This field allows for variables to be used for the file name that is to be played. For Example, when using this option for Time Announcements the field may read: \\10.10.10.165\Time\TM@H@m.wav

Segue Time Before Audio End _ Seconds - This option is available when selecting the Playback Method Play External. It is used to set the length of the Segue for the external file that will be played.

Live/Confirm Live Reads - The Live/Confirm Live Read option is available when the Live Read option is selected at the Playback Method. This will set the Script icon to red in the On-Air, Logs and Notes modules. The user can right-click the script icon in the On-Air or Logs window to select Mark as Read or click the Mark as Read button in the Notes Module to mark the asset as played.

Album Title – The Album field is used to assign an Album attribute to the song. This field has an Auto Complete feature where the user can start typing the name of the album and Zetta will match what is typed with the existing entries. With a right-click of the mouse, editing options are available. When the field is empty the right-click menu displays the Manage Names option. This will open the Manage Albums window. When an album exists in this field, right-clicking the name will display additional editing options. To simply edit the name displayed, double-click it to open the edit window for that album. The Edit Album window will display the Name to edit and the number of assets that have the selected album assigned. Editing the Album name will change the album name for all the assets that have it assigned. To add a new album to the Zetta database simply type the name in the Album Title field and save the metadata card or use the Manage Albums window.

Important Note!

When Zetta is integrated with GSelector changes to Artist or Album will not be sent to GSelector. The songs will need to be synced with GSelector for this change to occur.

Publisher - The Publisher field is used to assign a Publishing agent or company to the asset.

Label - The Label field can be used to assign the record label to the asset.

Opening - The Opening field is used for an optional free form text description of the start of the Song.

Ending - The Ending field is used for an optional free form text description of the end of the Song.

External ID - The External ID displays an external alpha-numeric identification used for the asset by an external source. An External ID is a unique string, the user will be prompt when a duplicate External ID is entered. The External ID in Zetta matches up to the Media ID in GSelector when integration is enabled. This ID is also used when working with a third party music scheduling system and for referencing when loading an asset into a log via a Flat File load. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information.

ISRC - The International Standard Recording Code (ISRC), defined by ISO 3901, is an international standard code for uniquely identifying sound recordings and music video recordings. An ISRC code identifies a particular recording, not the song itself. Therefore, different recordings, edits, and remixes of the same song will each have their own ISRC code.

Rotations - The Rotations field is used to assign the asset to a Rotation or multiple rotations. This field has an Auto Complete feature where the user can start typing the name of the Rotation and Zetta will match what is typed with existing Rotations. Rotations can also be created using this field, by simple typing in the name of the desired Rotation then saving the asset.

Kill Date – The Kill Date is the date to stop scheduling the audio and automatically deleted it from the Media Library.

Important Note!

The Artist_ID and Product_ID attributes are hidden attributes of the Extra tab. Contact RCS Support to enable these attributes.

Station Specific, Cut Specific or Global tab

The Metadata Scope of Songs in Zetta will determine the tab that are visible in the metadata card. If the Metadata Scope is set to Global for songs, a Global tab will be displayed in the songs metadata card. If the Metadata Scope is set to Station for songs or if the system is integrated with GSelector, a Station tab and a Station Specific tab will be displayed in a songs metadata card. If the Metadata Scope is set to Cuts for songs, a Cuts tab and a Cut Specific tab will be displayed in the songs metadata card. See the Audio Types tab in the System Configuration window for additional information on setting the Metadata Scope of an asset type.

Station Specific Tab

The following tab shows what is available for a song when a station is selected. If the station is set to default attributes are hidden.

The Station Specific tab is used to specify settings for the song for a specific station. The blue dot [image] next to each field signifies the setting is a Station Specific value. The dark dot [image] signifies the setting is an Asset Default value. By clicking the blue dot the user can Reset the field to the default status or set the setting for the field as Default. Use the mouse to hover over the dot to see if the setting is a Default or Overridden setting.

Approval - The Approval Flag is available when the Audio needs approval before airing flag is checked in the Station Configuration Details tab and the user Account has the privilege to set the Approval Flag.

Active – When a song is imported into Zetta® it is inactive, use this check box to activate the song for the desired station. Selecting the active check box while the selected station is Default will make the asset active for all stations.

Start Date/Hour – Use the Start Date/hour fields to specify when this song will be available for play.

End Date/Hour – Use the End Date/Hour fields to specify when this song will no longer be available for play.

Tag - The Tag field is used to assign a Tagged group of assets to use with Splits in Zetta. This field has an Auto Complete feature where the user can start typing the name of the tag and Zetta will match what is typed with the existing entries. To create a Tag see the Tags topic.

Split Behavior - The Split Behavior option is available when the Splits Feature is enabled in the System Configuration | General tab. Use the Split Behavior drop-down to select the desired behavior of the Master Splits station when the Asset is scheduled in the Log.

Last Play - Last Play displays the last date and time the asset played.

Attributes

Use the Themes & Appearances configuration window to setup Appearances and Row Highlighting for these attributes. When Zetta is integrated with GSelector the Attributes for songs and links cannot be managed or edited from Zetta, however existing attributes can be assigned and removed. See the GSelector help guide to manage or edit these attributes.

If Zetta is not integrated with GSelector a right-click of the mouse in any attribute field will display editing options. When the field is empty the right-click menu displays the Manage Names option. This will open the Manage window for the selected attribute. When an attribute exists in the field, right-clicking the name will display a menu to Remove, Edit or Manage Names. To simply edit the name displayed, double-click it to open the edit window for that attribute. The Edit window will display the Name to edit and the number of assets that have the selected attribute assigned. Editing the Attribute name will change the attribute name for all the assets that have it assigned. To add a new attribute to the station simply type the name in the attribute field and save the metadata card or use the Manage Names window. These fields have an Auto Complete feature where the user can start typing the name of the Attribute and Zetta will match what is typed with the existing entries.

Category – The Category field is used to assign a Category to the Song.

Mood - This scalar attribute is used to separate or control segues between songs by a mood description defined and applied across the entire library.

Energy - This scalar attribute is used to separate or control segues between songs according to the Energy of a song. An example of a song with different Energy and Mood values could be 'Don't Know Why' by Norah Jones: many programmers see the song as medium energy but low mood.

Tempo - This scalar attribute is used to separate or control segues between Songs according to the Tempo of two adjacent Songs.

Opener - This scalar attribute is used to specify whether a Song can be used as an Opener.

Texture Open\Close - This attribute is used to separate or control segues between songs and/or links according to the Texture of the song or link. The use of Texture is very much down to the programmer: Texture can represent the 'thickness' of the song or link sound - for example, 'Smooth' by Santana has a fairly thick, punchy sound, compared to Kylie Minogue's 'Can't Get you Out of My Head'.

Sound Code - This Attribute is used to separate or control segues between songs according to Sound Code. Examples could be: 'Classic Soul', 'Short Songs', 'Songs over six minutes', and so on.

Cut Specific Tab

The Cut Specific tab is displayed when the asset has a metadata scope of Cuts in the Audio Types tab of the System Configuration.

The Cut Specific tab is used to specify settings for the song cut for a single station or many stations.

Active – When a song is imported into Zetta® it is inactive, use this check box to activate the selected cut for the song for the selected stations.

Stations - Select the Stations that can play this cut on the air. Multiple stations can be added using this field.

Organizations - The Organizations field allows the user to select a group of stations rather than individually selecting them using the above Stations field. This makes adding stations to a bunch of assets easier because the user can simply add the station to the Organization.

Important Note!

If All Stations is selected as the Organization, any new station created will be able to play any active cuts where all stations is assigned as the Organization. By default new stations are automatically added to the All Station Organization.

Cut External ID - The Cut External ID displays an external alpha-numeric identification used for the asset by an external source. A Cut External ID is a unique string, the user will be prompt when a duplicate Cut External ID is entered. This ID is also used when working with a third party music scheduling system and for referencing when loading an asset into a log via a Flat File load.

Start Date/Hour – Use the Start Date/hour fields to specify when this song will be available for play.

End Date/Hour – Use the End Date/Hour fields to specify when this song will no longer be available for play.

Attributes - These Attributes are text fields used to Display information about the Cut. It is primarily used for the Now Playing Export feature.

Global Tab

The Cut Specific tab is displayed when the asset has a metadata scope of Cuts in the Audio Types tab of the System Configuration.

Active – When a song is imported into Zetta® it is inactive, use this check box to activate the selected song for ALL stations.

Start Date/Hour – Use the Start Date/hour fields to specify when this song will be available for play.

End Date/Hour – Use the End Date/Hour fields to specify when this song will no longer be available for play.

Tag - The Tag field is used to assign a Tagged group of assets to use with Splits in Zetta. This field has an Auto Complete feature where the user can start typing the name of the tag and Zetta will match what is typed with the existing entries. To create a Tag see the Tags topic.

Split Behavior - The Split Behavior option is available when the Splits Feature is enabled in the System Configuration | General tab. Use the Split Behavior drop-down to select the desired behavior of the Master Splits station when the Asset is scheduled in the Log.

Participants Tab

A Song Participant is any person who has played a part in creating or performing on a song: composers, producers, arrangers, vocalists, musicians and others are all Participants. Participants are defined and assigned to Songs using the participants tab of the metadata card. When GSelector is integrated this field is synced when changed.

Click the Add Participant [image] button to add a new participant field. Each added participant field has an Auto Complete feature where the user can start typing the name of the Participant and Zetta will match what is typed with the existing entries. With a right-click of the mouse, editing options are available. When the field is empty the right-click menu displays the Manage Names option. This will open the Manage Participants window. When a participant exists in this field, right-clicking the name will display additional editing options.

To add a new participant to the Zetta database simply type the name in the participant field and save the metadata card or use the Manage Participants window.

To simply edit the name displayed, double-click it to open the edit window for that participant. The Edit Participant window will display the Name to edit and the number of assets that have the selected Participant assigned. Editing the Participant name will change the category name for all the assets that have it assigned.

GSelector® Tab

The GSelector® tab is displayed when Zetta is Integrated with GSelector.

The GSelector® tab is used to hold GSelector catalog information. The following values come from GSelector when the tab is selected; they can only be changed in GSelector at this time:

Version – The Version value can represent the version of the song such as; album, single, live or a radio edit version.

Publisher – The publisher can be used to show what company or person published the song or album.

Promoter – The Promoter field can be used to record the promoter of the song.

License – The License field is used for the licensing of the song.

History Tab

The History tab is shown when a station is selected and displays a grid of the date and hour the media asset played or will play and how many times. To view the History tab for an asset that has the metadata scope of Cuts, expand the Cut in the Cuts tab to the left, then select the station.

Script Tab

The Scripts tab in the metadata card is used to create Scripts or Live Reads for the On-Air personality to read when the asset is aired in the station log. This tab can hold text, hyperlinks and graphic images such as album art.

Songs Step-by-Step Topics

Adding a new Song Asset with a Metadata scope of Station

Adding a new Song Asset with a Metadata Scope of Cuts

Add a Cut

Copy a Cut

Delete a Cut

Adding a new Song Asset with a Metadata scope of Global

Mass Change Song Station Category

Adding a new Song Asset with a Metadata scope of Station

To add a new Song asset with a metadata scope of Station to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Select the desired Station for the song to be active, if the Default station is selected the asset will be set to active for all stations.
  3. Click the Songs tab.
  4. Click the Add new media [image] button.

  5. Enter the Title of the song
  6. Enter the Artists name. As the name is typed Zetta will match the name to existing artists in the database. If the Artist exists select the artist. If the artist does not exist enter the entire name to add the artist.

  7. Optionally, right-click the Artist field to select Manage Names to open the Manage Artist window.
  8. Click the Extra tab
  9. Select the Playback Method to use.
  10. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  11. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  12. Enter the Album Title. As the name is typed Zetta will match the name to existing Album Titles in the database. If the Album exists select it from the list. If the album does not exist enter the entire name to add the Album.

  12. Optionally, right-click the Album Title field to select Manage Names to open the Manage Albums window.
  13. Enter the Publisher name (optional)
  14. Enter the Label (optional)
  15. Enter an Opening value (optional)
  16. Enter an Ending value (optional)
  17. Enter a unique External ID. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information. (optional)
  18. Select a Kill Date if desired
  19. Enter a ISRC value (optional)
  20. Click the Station Specific Tab
  21. The stations with the active option selected will depend on the station selected in the Library when the Add new media [image] button was selected. In this example the Default station was selected, select the Default Station then the Active option to remove the activation for all stations.
  22. Select a station from the Station tab
  23. Set the Approval flag if needed.
  24. Set the Active flag
  25. Set a Start and End Date/Hour if desired
  26. Enter the Category, as the category is typed Zetta will match the name to existing Categories in the database. If the Category exists select it from the list.
  27. If the Category does not exist enter the entire name to add the Category. When Zetta is integrated with GSelector new Categories must be added in the GSelector application.
  28. Optionally, if the station is not integrated with GSelector, right-click the Category field to select Manage Names to open the Manage Categories window.
  29. Optionally, select the Attribute scalar values. When Zetta is integrated with GSelector new Attributes must be added in the GSelector application.
  30. Select a Tag if working with Splits. See the Tags section for information on adding a Tag. See the Splits feature topic for help with setting up Splits.
  31. Select a Split Behavior if working with Splits. See the Splits feature topic for help with setting up Splits.
  32. Select the Participants tab.
  33. Use the Add Participant [image] button to add a participant role to the asset.
  34. Select the Role of the participant.
  35. Enter the Name of the Participant in the Name column. As the Name is typed Zetta will match the name to existing Participants in the database. If the Name exists select it from the list. If the Name does not exist enter the entire name to add the Participant.
  36. Optionally, right-click the Name field to select Manage Names to open the Manage Participants window.
  37. Select the Script tab to add a Note or Live script to the Song.
  38. Click Save
  39. See the Marks Editor section for details on editing the audio file.

Adding a new Song Asset with a Metadata Scope of Cuts

To add a new Song asset with a metadata scope of Cuts to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Select the desired Station for the song to be active, if the Default station is selected the asset will be set to active for all stations.
  3. Click the Songs tab.
  4. Click the Add new media [image] button.

  5. Enter the Title of the song
  6. Enter the Artists name. As the name is typed Zetta will match the name to existing artists in the database. If the Artist exists select the artist. If the artist does not exist enter the entire name to add the artist.
  7. Optionally, right-click the Artist field to select Manage Names to open the Manage Artist window.
  8. Click the Extra tab

  9. Select the Playback Method to use.
  10. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  11. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  12. Enter the Album Title. As the name is typed Zetta will match the name to existing Album Titles in the database. If the Album exists select it from the list. If the album does not exist enter the entire name to add the Album.
  13. Optionally, right-click the Album Title field to select Manage Names to open the Manage Albums window.
  14. Enter the Publisher name (optional)
  15. Enter the Label (optional)
  16. Enter an Opening value (optional)
  17. Enter an Ending value (optional)
  18. Enter a unique External ID. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information. (optional)
  19. Select a Kill Date if desired
  20. Enter a ISRC value (optional)
  21. Click the Cut Specific Tab

  22. Edit the Cut Name if desired.
  23. Use the Stations field to add a station or the Organizations field to add a group of Stations.
  24. Enter a unique Cut External ID. If this field contains a predefined value then Zetta is automatically generating an ID. See the External ID topic in the System Configuration section for more information.
  25. Set a Start and End Date/Hour if desired
  26. Optionally, enter the Attribute values to display for Now Playing Export.
  27. Select the Participants tab.
  28. Use the Add Participant [image] button to add a participant role to the asset.
  29. Select the Role of the participant.
  30. Enter the Name of the Participant in the Name column. As the Name is typed Zetta will match the name to existing Participants in the database. If the Name exists select it from the list. If the Name does not exist enter the entire name to add the Participant.
  31. Optionally, right-click the Name field to select Manage Names to open the Manage Participants window.
  32. Select the Script tab to add a Note or Live script to the Song.
  33. Click Save
  34. See the Marks Editor section for details on editing the audio file.

Add a Cut

To Add a new Cut to an asset, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Select the tab for the Asset type.
  3. Select the Default station.
  4. Double-click the Asset to edit.
  5. In the Cuts tab on the left select the Add new Cut [image] button.

  6. Use the Cuts Specific tab to select a Station or Organization for the Cut.
  7. Use the Marks tab to add markers to the audio for playback.
  8. Use the Extra, Participants and Script tab to make additional changes to the Cut.
  9. Click Save

Copy a Cut

To Copy a Cut in an asset, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Select the tab for the Asset type.
  3. Select the Default station.
  4. Double-click the Asset to edit.
  5. In the Cuts tab on the left select the Copy Cut [image] button.

  6. Use the Cuts Specific tab to select a Station or Organization for the Cut.
  7. Use the Marks tab to add markers to the audio for playback.
  8. Use the Extra, Participants and Script tab to make additional changes to the Cut.
  9. Click Save

Delete a Cut

To Copy a Cut in an asset, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Select the tab for the Asset type.
  3. Select the Default station.
  4. Double-click the Asset to edit.
  5. In the Cuts tab on the left select the Delete Cut [image] button.
  6. Click Save

Adding a new Song Asset with a Metadata scope of Global

To add a new Song asset with a metadata scope of Global to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Click the Songs tab.
  3. Click the Add new media [image] button.

  4. Enter the Title of the song
  5. Enter the Artists name. As the name is typed Zetta will match the name to existing artists in the database. If the Artist exists select the artist. If the artist does not exist enter the entire name to add the artist.
  6. Optionally, right-click the Artist field to select Manage Names to open the Manage Artist window.
  7. Click the Extra tab
  8. Select the Playback Method to use.
  9. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  10. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  11. Enter the Album Title. As the name is typed Zetta will match the name to existing Album Titles in the database. If the Album exists select it from the list. If the album does not exist enter the entire name to add the Album.
  12. Optionally, right-click the Album Title field to select Manage Names to open the Manage Albums window.
  13. Enter the Publisher name (optional)
  14. Enter the Label (optional)
  15. Enter an Opening value (optional)
  16. Enter an Ending value (optional)
  17. Enter a unique External ID. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information. (optional)
  18. Select a Kill Date if desired
  19. Enter a ISRC value (optional)
  20. Click the Global tab

  21. Set a Start and End Date/Hour if desired
  22. Select a Tag if working with Splits. See the Tags section for information on adding a Tag. See the Splits feature topic for help with setting up Splits.
  23. Select a Split Behavior if working with Splits. See the Splits feature topic for help with setting up Splits.
  24. Select the Participants tab.
  25. Use the Add Participant [image] button to add a participant role to the asset.
  26. Select the Role of the participant.
  27. Enter the Name of the Participant in the Name column. As the Name is typed Zetta will match the name to existing Participants in the database. If the Name exists select it from the list. If the Name does not exist enter the entire name to add the Participant.
  28. Optionally, right-click the Name field to select Manage Names to open the Manage Participants window.
  29. Select the Script tab to add a Note or Live script to the Song.
  30. Click Save
  31. See the Marks Editor section for details on editing the audio file.

Mass Change Song Station Category

To Mass Set or Change the Category of selection of Songs, perform the follow these steps:
  1. Select Library from the Modules menu.
  2. Select a Station
  3. Select the desired Song Assets use the SHIFT or CTRL keys to select multiple assets
  4. Click the Launch Audio Utility [image] button
  5. Select Change Category
  6. Select the Category from the drop-down.
  7. Select Go!

See the Marks Editor section for details on editing the audio file.

To import multiple audio assets into the Library, see the Media Import Utility section of the Tools menu of this guide.

Welcome < Modules < Library Module < Songs

© 2007-2017 RCS. All Rights Reserved.


Spots

The Spots tab displays a list of the Paid for Commercial Spots stored in the Zetta Content Manager. Spots in the Zetta are denoted by a money bag [image] throughout the system. Spots can be imported into Zetta using Media Import tool, Drag & Drop from the desktop, using the CD Ripper or by Adding a new Spot Asset using the Add new media button from the Library Toolbar. Spots are scheduled using GSelector Traffic Integration or Flat File Load. Spots can have a Metadata Scope of Global, Station or Cuts. The default metadata scope for spots is Station. This is also the metadata scope used when Zetta is integrated with GSelector.

Spots Metadata Card

The Spots Metadata Card is opened when double-clicking on an audio asset in the Spots tab of the Library Module. A Spot asset can also be access from other modules in Zetta by double-clicking or using the right-click menu and selecting edit from the resulting menu. The Spot Metadata Card holds information about the audio asset and a Marks Editor, which can be used to make changes to the audio. The Spot Metadata Card can be arranged using tabs or the tabs can be docked in the window to arrange the window as desired, see the Docking and Undocking section of this guide for more details on docking. The following Illustration shows a Spot that has a Metadata scope of station. This means the spot metadata card will have a station specific tab that holds setting specifically for the station selected.

Click any area in this image for help

Click any area in this image for help

Toolbar

Stations Tab

Cuts Tab

Primary Tab

Marks Tab

Extra Tab

Station Specific, Cut Specific or Global tab

Station Specific Tab

History Tab

Scripts Tab

Adding a new Spot Asset with a Metadata Scope of Station

Adding a new Spot Asset with a Metadata Scope of Cuts

Adding a new Spot Asset with a Metadata scope of Global

Toolbar

The Spot Metadata Card toolbar has the following options:

Save – Save is used to save any changes made to the spot.

Copy - The Copy option will create a duplicate of the asset with the exception of the Title, External ID and Filename. During the copy process the newly created copy is content managed and saved with a new filename. The title is then appended with the words (copy) highlighted allowing the user to quickly change or enumerate the title of the newly created asset.

Refresh - The Refresh button will refresh the data displayed in the selected metadata card. This can be used to pull any data changes that may have occurred in GSelector or on another computer while the metadata card is open.

Audition – Audition is used to audition the selected spot locally

Edit Media – The Edit Media drop-down is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Previous Audio - The Previous Audio button will move to the previous Spot Asset Metadata Card in the Library Spots tab.

Next Audio - The Next Audio button will move to the next Spot Asset Metadata Card in the Library Spots tab.

/

Warning – The warning icon is displayed if there is an issue with the audio or file, such as when there is no audio associated with the Metadata Card, the audio file has not been content managed or Approved for the station. Simply hover the mouse over the warning and the tool tip will display the action needed.

Stations Tab

The Stations tab is displayed when the Metadata Scope for Spots is set to Station. This tab displays a list of the Stations that are configured in Zetta. This includes the Default station, the Stations and the Virtual Stations. This tab also shows which stations have the asset as active with a check mark.

This tab is not visible when the Metadata Scope for Spots is set to Global or Cuts.

Cuts Tab

The Cuts tab is displayed when the Metadata Scope for Spots is set to Cuts. This tab displays a list of the Cuts for the selected asset, the Stations assigned to the Cut and the Cut External ID. Stations are assigned to the Cut using the Stations or Organizations field of the Cut Specific tab. See the Organizations topic for more information on grouping stations in an organization. This tab also shows which Cuts are active with a check mark.

The toolbar in the Cuts tab is used to add, copy and delete cuts. This tab is not visible when the Metadata Scope for Spots is set to Global or Station.

Primary Tab

In the Spot Metadata Card the primary tab is used to add information about the asset using the following fields:

Title – The Title is the title or name of the selected spot.

Sponsors – The Sponsors field is used to assign sponsor attributes to the spot. This field has an Auto Complete feature where the user can start typing the name of the sponsor and Zetta will match what is typed with the existing entries. With a right-click of the mouse, editing options are available. When the field is empty the right-click menu displays the Manage Names option. When an sponsor exists in this field, right-clicking the name will display additional editing options. To add a new sponsor to the Zetta database simply type the name in the field and save the metadata card. Optionally, use the Manage Names option to add additional sponsors. To simply edit the name displayed, double-click it to open the edit window for that sponsor. The Edit Sponsor window will display the Name to edit and the number of assets that have the selected artist assigned. Editing the Sponsors name will change that sponsors name for all the assets that have it assigned.

Duration – The Duration field will display the amount of time the asset will take to play from Trim In to Trim Out. The duration value will be underlined if there is a Time Stretch Play Rate specified.

Target Duration - When the Play External or Live Read options are selected as the Playback Method in the Extra tab the Duration field is replace with a Target Duration field. Enter the estimated amount of time it will take for External file to play or for the user to read the script in the Script tab.

Products – The Products field is used to assign product attributes to the spot. This field works similarly to the Sponsors field listed above in this topic.

Runtime - The Runtime field will display the amount of time the asset will take to play from Trim In to Segue. The Runtime value will be underlined if there is a Time Stretch Adjustment specified.

Marks Tab

The Marks tab is used to access the Marks Editor tool to edit the audio of the asset.

Extra Tab

The Extra tab stores the following additional data about the media.

Playback Method - The Playback Method drop-down is used to select how the asset is to be played. The Play File is the default option that looks for the file found in the Media Filename field. The file found in this field is a content managed resource in Zetta. The Play External references an external file outside of Zetta using the External field. This option is typically used for Time Announcements. The Live Read option enables the Live/Confirm Live Read check-box and is used to mark the Spot as a Live Read. When Play External or Live Read is selected the Marks tab is hidden and the Duration field changes to Target Duration in the Primary tab.

Media Filename – The Media Filename displays the filename of the spot. Click the CD Ripper [image] button to rip one or multiple tracks to a file to attach to the spot data. Click the Browse Media File Button [image] to view or change the location of the file. Right-clicking the Media Filename field will display a menu allowing the user to Copy the Filename or Copy the Full Path of the file.

External - The External field is available when Play External is selected as the Playback Method. This field allows for variables to be used for the file name that is to be played. For Example, when using this option for Time Announcements the field may read: \\10.10.10.165\Time\TM@H@m.wav

Segue Time Before Audio End _ Seconds - This option is available when selecting the Playback Method Play External. It is used to set the length of the Segue for the external file that will be played.

Live/Confirm Live Read - The Live/Confirm Live Read option is available when the Live Read option is selected as the Playback Method. This will set the Script icon to red in the On-Air, Logs and Notes modules. The user can right-click the script icon in the On-Air or Logs window to select Mark as Read or click the Mark as Read button in the Notes Module to mark the asset as played.

Kill Date – Use the Kill Date field to specify when this spot will be automatically deleted from the Media Library.

External ID – In this field, the user can enter a Spot ID number or other External ID for instances where spots are being received from a Traffic load from a Traffic system. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information.

Important Note!

If an External ID (Media ID) for a spot is not found in the traffic load, Zetta will see the Spot as a Comment and will reconcile as a Breaknote when integrated with GSelector.

ISCI - Is an Industry Standardized Commercial Identifier (ISCI) code that represents the advertiser and the spot version.

Rotations - The Rotations field is used to assign the asset to a Rotation or multiple rotations. This field has an Auto Complete feature where the user can start typing the name of the Rotation and Zetta will match what is typed with existing Rotations. Rotations can also be created using this field, by simple typing in the name of the desired Rotation then saving the asset.

Important Note!

The Jelli ID and Spot Category attributes are hidden attributes of the Extra tab. Contact RCS Support to enable these attributes.

Station Specific, Cut Specific or Global tab

The Metadata Scope of Spots in Zetta will determine the tab that are visible in the metadata card. If the Metadata Scope is set to Global for spots, a Global tab will be displayed in the spots metadata card. If the Metadata Scope is set to Station for spots, a Station tab and a Station Specific tab will be displayed in a spots metadata card. If the Metadata Scope is set to Cuts for spots, a Cuts tab and a Cut Specific tab will be displayed in the spots metadata card. See the Audio Types tab in the System Configuration window for additional information on setting the Metadata Scope of an asset type.

Station Specific Tab

The Station Specific tab is used to specify settings for the spot for a specific station. The blue dot [image] next to each field signifies the setting is a Station Specific value. The dark dot [image] signifies the setting is an Asset Default value. By clicking the blue dot the user can Reset the field to the default status or set the setting for the field as Default. Use the mouse to hover over the dot to see if the setting is a Default or Overridden setting.

Approval - The Approval Flag is available when the Audio needs approval before airing flag is checked in the Station Configuration Details tab and the user Account has the privilege to set the Approval Flag.

Active – When a spot is imported into Zetta®, it is inactive, use this check box to activate the spot for the desired station.

Start Date/Hour – Use the Start Date/Hour fields to specify when this sot will be available for play.

Last Play - Last Play displays the last date and time the asset played.

Tag - The Tag field is used to assign a Tagged group of assets to use with Splits in Zetta. This field has an Auto Complete feature where the user can start typing the name of the tag and Zetta will match what is typed with the existing entries. To create a Tag see the Tags topic.

Split Behavior - The Split Behavior option is available when the Splits Feature is enabled in the System Configuration | General tab. Use the Split Behavior drop-down to select the desired behavior of the Master Splits station when the Asset is scheduled in the Log.

End Date/Hour – Use the End Date/Hour fields to specify when this spot will no longer be available for play.

Cut Specific Tab

The Cut Specific tab is displayed when the asset has a metadata scope of Cuts in the Audio Types tab of the System Configuration.

The Cut Specific tab is used to specify settings for the spot cut for a single station or many stations.

Active – When a spot is imported into Zetta® it is inactive, use this check box to activate the selected cut for the spot for the selected stations.

Stations - Select the Stations that can play this cut on the air. Multiple stations can be added using this field.

Organizations - The Organizations field allows the user to select a group of stations rather than individually selecting them using the above Stations field. This makes adding stations to a bunch of assets easier because the user can simply add the station to the Organization.

Important Note!

If All Stations is selected as the Organization, any new station created will be able to play any active cuts where all stations is assigned as the Organization. By default new stations are automatically added to the All Station Organization.

Cut External ID - The Cut External ID displays an external alpha-numeric identification used for the asset by an external source. A Cut External ID is a unique string, the user will be prompt when a duplicate Cut External ID is entered. This ID is also used when working with a third party music scheduling system and for referencing when loading an asset into a log via a Flat File load.

Start Date/Hour – Use the Start Date/hour fields to specify when this spot will be available for play.

End Date/Hour – Use the End Date/Hour fields to specify when this spot will no longer be available for play.

Global Tab

The Cut Specific tab is displayed when the asset has a metadata scope of Cuts in the Audio Types tab of the System Configuration.

Active – When a spot is imported into Zetta® it is inactive, use this check box to activate the selected spot for ALL stations.

Start Date/Hour – Use the Start Date/hour fields to specify when this spot will be available for play.

End Date/Hour – Use the End Date/Hour fields to specify when this spot will no longer be available for play.

Tag - The Tag field is used to assign a Tagged group of assets to use with Splits in Zetta. This field has an Auto Complete feature where the user can start typing the name of the tag and Zetta will match what is typed with the existing entries. To create a Tag see the Tags topic.

Split Behavior - The Split Behavior option is available when the Splits Feature is enabled in the System Configuration | General tab. Use the Split Behavior drop-down to select the desired behavior of the Master Splits station when the Asset is scheduled in the Log.

History Tab

The History tab displays a grid of the date and hour the media asset played or will play and how many times. To view the History tab for an asset that has the metadata scope of Cuts, expand the Cut in the Cuts tab to the left, then select the station.

Scripts Tab

The Scripts tab in the metadata card is used to create Scripts or Live Reads for the On-Air personality to read when the asset is aired in the station log. This tab can hold text, hyperlinks and graphic images.

Spots Step-by-Step Topics

Adding a new Spot Asset with a Metadata scope of Station

Adding a new Spot Asset with a Metadata Scope of Cuts

Add a Cut

Copy a Cut

Delete a Cut

Adding a new Spot Asset with a Metadata scope of Global

Adding a new Spot Asset with a Metadata Scope of Station

To Add a new Spot asset with a metadata scope of Station to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library
  2. Select the desired Station for the spot to be active, if the Default station is selected the asset will be set to active for all stations.
  3. Click the Spots tab.
  4. Click the Add new media [image] button

  5. Enter the Title of the spot
  6. Enter the Sponsors name. As the name is typed Zetta will match the name to existing sponsors in the database. If the Sponsor exists select the sponsor. If the sponsor does not exist enter the entire name to add the sponsor.

  7. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  8. Enter the Product name. As the name is typed Zetta will match the name to existing products in the database. If the Product name exists select the Product from the list. If the product name does not exist enter the entire name to add the product.

  9. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  10. Click the Extra tab
  11. Select the Playback Method to use.
  12. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  13. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  14. Select a Kill Date if desired
  15. Enter an External ID to reference the asset with an external system or Flat File Load. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information.
  16. Enter a ISCI value (optional)
  17. Click the Station Specific Tab
  18. Set the Approval flag if required
  19. Set the Active flag

  20. Set a Start and End Date/Hour if desired
  21. Use the Tag drop-down to select a Tag(s) if working with Splits. See the Tags section for information on adding a Tag. See the Splits feature topic for help with setting up Splits.
  22. Select a Split Behavior if working with Splits. See the Splits feature topic for help with setting up Splits.
  23. Select the Script tab to add a Note or Live script to the Spot.
  24. Click Save
  25. See the Marks Editor section for details on editing the audio file.

Adding a new Spot Asset with a Metadata Scope of Cuts

To Add a new Spot asset with a metadata scope of Cuts to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library
  2. Select the desired Station for the spot to be active, if the Default station is selected the asset will be set to active for all stations.
  3. Click the Spots tab.
  4. Click the Add new media [image] button

  5. Enter the Title of the spot
  6. Enter the Sponsors name. As the name is typed Zetta will match the name to existing sponsors in the database. If the Sponsor exists select the sponsor. If the sponsor does not exist enter the entire name to add the sponsor.
  7. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  8. Enter the Product name. As the name is typed Zetta will match the name to existing products in the database. If the Product name exists select the Product from the list. If the product name does not exist enter the entire name to add the product.
  9. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  10. Click the Extra tab
  11. Select the Playback Method to use.
  12. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  13. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  14. Select a Kill Date if desired
  15. Enter an External ID to reference the asset with an external system or Flat File Load. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information.
  16. Enter a ISCI value (optional)
  17. Click the Cut Specific Tab
  18. Set the Active flag
  19. Edit the Cut Name if desired.
  20. Use the Stations field to add a station or the Organizations field to add a group of Stations.
  21. Enter a unique Cut External ID. If this field contains a predefined value then Zetta is automatically generating an ID. See the External ID topic in the System Configuration section for more information.

  9. Set a Start and End Date/Hour if desired
  20. Select the Script tab to add a Note or Live script to the Spot.
  21. Click Save
  22. See the Marks Editor section for details on editing the audio file.

Adding a new Spot Asset with a Metadata scope of Global

To add a new Spot asset with a metadata scope of Global to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Click the Spots tab.
  3. Click the Add new media [image] button.

  4. Enter the Title of the spot
  5. Enter the Sponsors name. As the name is typed Zetta will match the name to existing sponsors in the database. If the Sponsor exists select the sponsor. If the sponsor does not exist enter the entire name to add the sponsor.
  6. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  7. Enter the Product name. As the name is typed Zetta will match the name to existing products in the database. If the Product name exists select the Product from the list. If the product name does not exist enter the entire name to add the product.
  8. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  9. Click the Extra tab
  10. Select the Playback Method to use.
  11. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  12. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  13. Select a Kill Date if desired
  14. Enter an External ID to reference the asset with an external system or Flat File Load. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information.
  15. Enter a ISCI value (optional)
  16. Click the Global tab
  17. Select a Tag if working with Splits. See the Tags section for information on adding a Tag. See the Splits feature topic for help with setting up Splits.
  18. Select a Split Behavior if working with Splits. See the Splits feature topic for help with setting up Splits.

  19. Set a Start and End Date/Hour if desired
  20. Select the Script tab to add a Note or Live script to the Spot.
  21. Click Save
  22. See the Marks Editor section for details on editing the audio file.

To import multiple audio assets into the Library, see the Media Import Utility section of the Tools menu of this guide.

Welcome < Modules < Library Module <Spots


Links

The Link tab displays a list of Link Assets. Links can be stored in the Zetta Content Manager or assets added that are external to Zetta, such as a Time Announcement. A Link can be a Promo, Station Image, Jingle, or a Recorded Show. Links in the Zetta are denoted by a chain link [image] throughout the system. Links can be imported into Zetta using Media Import tool, Drag & Drop from the desktop, using the CD Ripper or by Adding a new Link Asset using the Add new media button from the Library Toolbar. Links are scheduled using GSelector Integration or Flat File Load. Links can have a Metadata Scope of Global, Station or Cuts. The default metadata scope for links is Station. This is also the metadata scope used when Zetta is integrated with GSelector.

Links Metadata Card

The Links Metadata Card is opened when double-clicking on an audio asset in the Links tab of the Library Module. A Link asset can also be access from other modules in Zetta by double-clicking or using the right-click menu and selecting edit from the resulting menu. The Link Metadata Card holds information about the audio asset and a Marks Editor, which can be used to make changes to the audio. The Link Metadata Card can be arranged using tabs or the tabs can be docked in the window to arrange the window as desired, see the Docking and Undocking section of this guide for more details on docking. The following Illustration shows a Link that is integrated with GSelector having a Metadata scope of station. This means the link card will have a station specific tab that holds setting specifically for the station selected and a GSelector® tab for GSelector specific information.

Click any area in this image for help

Click any area in this image for help

Toolbar

Stations Tab

Cuts Tab

Primary Tab

Marks Tab

Extra Tab

Station Specific, Cut Specific or Global tab

Station Specific Tab

Cut Specific Tab

Global Tab

GSelector® Tab

History Tab

Scripts Tab

Adding a new Link Asset with a Metadata scope of Station

Adding a new Link Asset with a Metadata Scope of Cuts

Adding a new Link Asset with a Metadata scope of Global

Change Link Category

Configure Sponsors and Products fields to Sync with GSelector

Toolbar

The Link Metadata Card Toolbar has the following options:

Save – Save is used to save any changes made to the Link.

Copy - The Copy option will create a duplicate of the asset with the exception of the Title, External ID and Filename. During the copy process the newly created copy is content managed and saved with a new filename. The title is then appended with the words (copy) highlighted allowing the user to quickly change or enumerate the title of the newly created asset.

Refresh - The Refresh button will refresh the data displayed in the selected metadata card. This can be used to pull any data changes that may have occurred in GSelector or on another computer while the metadata card is open.

Audition – Use the Audition option to audition the selected audio asset locally.

Edit Media – The Edit Media drop-down is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Previous Audio - The Previous Audio button will move to the previous Link Asset Metadata Card in the Library Links tab.

Next Audio - The Next Audio button will move to the next Link Asset Metadata Card in the Library Links tab.

/

Warning – The warning icon is displayed if there is an issue with the audio or file, such as when there is no audio associated with the Metadata Card, the audio file has not been content managed or Approved for the station. Simply hover the mouse over the warning and the tool tip will display the action needed.

Stations Tab

The Stations tab is displayed when the Metadata Scope for Links is set to Station or when GSelector Integration is enabled. This tab displays a list of the Stations that are configured in Zetta. This includes the Default station, the Stations and the Virtual Stations. This tab also shows which stations have the asset as active with a check mark.

This tab is not visible when the Metadata Scope for Links is set to Global or Cuts.

Cuts Tab

The Cuts tab is displayed when the Metadata Scope for Links is set to Cuts. This tab displays a list of the Cuts for the selected asset, the Stations assigned to the Cut and the Cut External ID. Stations are assigned to the Cut using the Stations or Organizations field of the Cut Specific tab. See the Organizations topic for more information on grouping stations in an organization. This tab also shows which Cuts are active with a check mark.

The toolbar in the Cuts tab is used to add, copy and delete cuts. This tab is not visible when the Metadata Scope for Links is set to Global or Station.

Primary Tab

In the Link Metadata Card, the primary tab section is used to add information about the asset using the following fields:

Title – The Title is the title or name of the selected Link.

Sponsors – The Sponsors field is used to assign sponsor attributes to the link. This field has an Auto Complete feature where the user can start typing the name of the sponsor and Zetta will match what is typed with the existing entries. With a right-click of the mouse, editing options are available. When the field is empty the right-click menu displays the Manage Names option. When an sponsor exists in this field, right-clicking the name will display additional editing options. To add a new sponsor to the Zetta database simply type the name in the field and save the metadata card. Optionally, use the Manage Names option to add additional sponsors. To simply edit the name displayed, double-click it to open the edit window for that sponsor. The Edit Sponsor window will display the Name to edit and the number of assets that have the selected artist assigned. Editing the Sponsors name will change that sponsors name for all the assets that have it assigned. This filed can be synced with GSelector by adding Sponsors as a User-Defined field in GSelector's Global Settings.

Duration – The Duration field will display the amount of time the asset will take to play from Trim In to Trim Out. The duration value will be underlined if there is a Time Stretch Play Rate specified.

Target Duration - When the Play External or Live Read options are selected as the Playback Method in the Extra tab the Duration field is replace with a Target Duration field. Enter the estimated amount of time it will take for External file to play or for the user to read the script in the Script tab.

Products – The Products field is used to assign product attributes to the link. This field works similarly to the Sponsors field listed above in this topic. This filed can be synced with GSelector by adding Products as a User-Defined field in GSelector's Global Settings.

Runtime - The Runtime field will display the amount of time the asset will take to play from Trim In to Segue. The Runtime value will be underlined if there is a Time Stretch Adjustment specified.

Marks Tab

The Marks tab is used to access the Marks Editor tool to edit the audio of the asset.

Extra Tab

The Extra tab stores the following additional data about the media.

Playback Method - The Playback Method drop-down is used to select how the asset is to be played. The Play File is the default option that looks for the file found in the Media Filename field. The file found in this field is a content managed resource in Zetta. The Play External references an external file outside of Zetta using the External field. This option is typically used for Time Announcements. The Live Read option enables the Live/Confirm Live Read check-box and is used to mark the link as a Live Read. When Play External or Live Read is selected the Marks tab is hidden and the Duration field changes to Target Duration in the Primary tab.

Media Filename – The Media Filename field displays the filename of the link. Click the Browse Media File Button [image] to view or change the location of the file. Right-clicking the Media Filename field will display a menu allowing the user to Copy the Filename or Copy the Full Path of the file.

External - The External field is available when Play External is selected as the Playback Method. This field allows for variables to be used for the file name that is to be played. For Example, when using this option for Time Announcements the field may read: \\10.10.10.165\Time\TM@H@m.wav

Segue Time Before Audio End _ Seconds - This option is available when selecting the Playback Method Play External. It is used to set the length of the Segue for the external file that will be played.

Live/Confirm Live Read - The Live/Confirm Live Read option is available when the Live Read option is selected as the Playback Method. This will set the Script icon to red in the On-Air, Logs and Notes modules. The user can right-click the script icon in the On-Air or Logs window to select Mark as Read or click the Mark as Read button in the Notes Module to mark the asset as played.

Kill Date – Use the Kill Date field to specify when this link will be automatically deleted from the Media Library.

External ID - The External ID displays an external alpha-numeric identification used for the asset by an external source. An External ID is a unique string, the user will be prompt when a duplicate External ID is entered. The External ID in Zetta matches up to the Media ID in GSelector when integration is enabled. This ID can also be used when working with a third party scheduling system and for referencing when loading an asset via a Flat File load.

ISRC - The ISRC (International Standard Recording Code) is the international identification code for sound and music video recordings. Each ISRC is a unique and permanent identifier for a specific recording.

Rotations - The Rotations field is used to assign the asset to a Rotation or multiple rotations. This field has an Auto Complete feature where the user can start typing the name of the Rotation and Zetta will match what is typed with existing Rotations. Rotations can also be created using this field, by simple typing in the name of the desired Rotation then saving the asset.

Auto Post – When the Auto Post check box is enabled the sequencer will automatically Auto Post this link in the log. This setting allows the Link to be back-timed from the Intro of the Song about to play. The Song and Link are then started by the sequencer and synchronized so the Link finishes at the end of the Intro period. See the Auto Posting Events topic for more information.

Bed - The Bed option allows the asset to be used as a music bed when creating Voice Tracks and other material. Beds in Zetta make it possible for a voice track to be spoken over the top of the bed's audio. When a link is set as a Bed in Zetta it is also set as a Bed in GSelector. The Link with the Bed flag starts playing first, then Zetta will execute the following event at early segue mark of that link, if there is none it will use the trim in. The link continues to play along with the overlaying event. At the segue mark on that event (or trim out if no segue is set), Zetta will fire the next event (such as a Song) and fade out the Link (Bed) automatically. In the case where the link (bed) is shorter than the Voice Track or other material, Zetta will not fade the bed.

Note: The Bed feature in GSelector requires 4.4.1 or higher.

Station Specific, Cut Specific or Global tab

The Metadata Scope of Links in Zetta will determine the tabs that are visible in the metadata card. If the Metadata Scope is set to Global for links, a Global tab will be displayed in the links metadata card. If the Metadata Scope is set to Station for links, a Station tab and a Station Specific tab will be displayed in a links metadata card. If the Metadata Scope is set to Cuts for links, a Cuts tab and a Cut Specific tab will be displayed in the links metadata card. See the Audio Types tab in the System Configuration window for additional information on setting the Metadata Scope of an asset type.

Station Specific Tab

The Station Specific tab is used to specify settings for the link for a specific station. The blue dot [image] next to each field signifies the setting is a Station Specific value. The dark dot [image] signifies the setting is an Asset Default value. By clicking the blue dot the user can Reset the field to the default status or set the setting for the field as Default. Use the mouse to hover over the dot to see if the setting is a Default or Overridden setting.

Approval - The Approval Flag is available when the Audio needs approval before airing flag is checked in the Station Configuration Details tab and the user Account has the privilege to set the Approval Flag.

Active – When a spot is imported into Zetta®, it is inactive, use this check box to activate the spot for the desired station.

Start Date/Hour – Use the Start Date/Hour field to specify when this link will be available for play.

End Date/Hour – Use the End Date/hour to specify when this link will no longer be available for play.

Last Play - Last Play displays the last date and time the asset played.

Tag - The Tag field is used to assign a Tagged group of assets to use with Splits in Zetta. This field has an Auto Complete feature where the user can start typing the name of the tag and Zetta will match what is typed with the existing entries. To create a Tag see the Tags topic.

Split Behavior - The Split Behavior option is available when the Splits Feature is enabled in the System Configuration | General tab. Use the Split Behavior drop-down to select the desired behavior of the Master Splits station when the Asset is scheduled in the Log.

Attributes

Use the Themes & Appearances configuration window to setup Appearances and Row Highlighting for these attributes. When Zetta is integrated with GSelector the Attributes for songs and links cannot be managed or edited from Zetta, however existing attributes can be assigned and removed. See the GSelector help guide to manage or edit these attributes.

If Zetta is not integrated with GSelector a right-click of the mouse in any attribute field will display editing options. When the field is empty the right-click menu displays the Manage Names option. This will open the Manage window for the selected attribute. When an attribute exists in the field, right-clicking the name will display a menu to Remove, Edit or Manage Names. To simply edit the name displayed, double-click it to open the edit window for that attribute. The Edit window will display the Name to edit and the number of assets that have the selected attribute assigned. Editing the Attribute name will change the attribute name for all the assets that have it assigned. To add a new attribute to the station simply type the name in the attribute field and save the metadata card or use the Manage Names window. These fields have an Auto Complete feature where the user can start typing the name of the Attribute and Zetta will match what is typed with the existing entries.

Category – The Category field is used to assign a Category to the Link.

Mood - This scalar attribute is used to separate or control segues between songs and Links by a mood description defined and applied across the entire library.

Energy - This scalar attribute is used to separate or control segues between songs and links according to the Energy of the assets.

Tempo - This scalar attribute is used to separate or control segues between songs and links according to the Tempo of two adjacent assets.

Opener - This scalar attribute is used to specify whether a Link can be used as an Opener.

Texture Open\Close - This attribute is used to separate or control segues between songs and/or links according to the Texture of the song or link. The use of Texture is very much down to the programmer: Texture can represent the 'thickness' of the song or link sound.

Sound Code - This Attribute is used to separate or control segues between songs and/or links according to Sound Code.

Cut Specific Tab

The Cut Specific tab is displayed when the asset has a metadata scope of Cuts in the Audio Types tab of the System Configuration.

The Cut Specific tab is used to specify settings for the link cut for a single station or many stations.

Active – When a link is imported into Zetta® it is inactive, use this check box to activate the selected cut for the link for the selected stations.

Stations - Select the Stations that can play this cut on the air. Multiple stations can be added using this field.

Organizations - The Organizations field allows the user to select a group of stations rather than individually selecting them using the above Stations field. This makes adding stations to a bunch of assets easier because the user can simply add the station to the Organization.

Important Note!

If All Stations is selected as the Organization, any new station created will be able to play any active cuts where all stations is assigned as the Organization. By default new stations are automatically added to the All Station Organization.

Cut External ID - The Cut External ID displays an external alpha-numeric identification used for the asset by an external source. A Cut External ID is a unique string, the user will be prompt when a duplicate Cut External ID is entered. This ID is also used when working with a third party music scheduling system and for referencing when loading an asset into a log via a Flat File load.

Start Date/Hour – Use the Start Date/hour fields to specify when this link will be available for play.

End Date/Hour – Use the End Date/Hour fields to specify when this link will no longer be available for play.

Attributes - These Attributes are text fields used to Display information about the Cut. It is primarily used for the Now Playing feature.

Global Tab

The Cut Specific tab is displayed when the asset has a metadata scope of Cuts in the Audio Types tab of the System Configuration.

Active – When a link is imported into Zetta® it is inactive, use this check box to activate the selected link for ALL stations.

Start Date/Hour – Use the Start Date/hour fields to specify when this link will be available for play.

End Date/Hour – Use the End Date/Hour fields to specify when this link will no longer be available for play.

Tag - The Tag field is used to assign a Tagged group of assets to use with Splits in Zetta. This field has an Auto Complete feature where the user can start typing the name of the tag and Zetta will match what is typed with the existing entries. To create a Tag see the Tags topic.

Split Behavior - The Split Behavior option is available when the Splits Feature is enabled in the System Configuration | General tab. Use the Split Behavior drop-down to select the desired behavior of the Master Splits station when the Asset is scheduled in the Log.

GSelector® Tab

Stopset – The Stopset check box will be enabled if the link is defined as a Stopset in GSelector®.

History Tab

The History tab displays a grid of the date and hour the media asset played or will play and how many times. To view the History tab for an asset that has the metadata scope of Cuts, expand the Cut in the Cuts tab to the left, then select the station.

Scripts Tab

The Scripts tab in the metadata card is used to create Scripts or Live Reads for the On-Air personality to read when the asset is aired in the station log. This tab can hold text, hyperlinks and graphic images.

Links Step-by-Step Topics

Adding a new Link Asset with a Metadata scope of Station

Adding a new Link Asset with a Metadata Scope of Cuts

Add a Cut

Copy a Cut

Delete a Cut

Adding a new Link Asset with a Metadata scope of Global

Change Link Category

Configure Sponsors and Products fields to Sync with GSelector

Adding a new Link Asset with a Metadata scope of Station

To add a new Link asset with a Metadata scope of Station to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library
  2. Select the desired Station for the link to be active, if the Default station is selected the asset will be set to active for all stations.
  3. Click the Links tab.
  4. Click the Add new media [image] button

  5. Enter the Title of the link
  6. Enter the Sponsors name. As the name is typed Zetta will match the name to existing sponsors in the database. If the Sponsor exists select the sponsor. If the sponsor does not exist enter the entire name to add the sponsor.

  7. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  8. Enter the Product name. As the name is typed Zetta will match the name to existing products in the database. If the Product name exists select the Product from the list. If the product name does not exist enter the entire name to add the product.

  9. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  10. Click the Extra tab
  11. Select the Playback Method to use.
  12. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  13. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  14. Select a Kill Date if desired
  15. Select the Auto Post check box to enable the sequencer to automatically Auto Post this link in the log. See the Auto Posting Events topic for more information.
  16. Select the Bed check box to enabled the link as a Bed to another event in the log.
  17. Enter a unique External ID. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information. (optional)
  18. Enter a ISRC value (optional)
  19. Click the Station Specific Tab
  20. Set the Approval flag if required
  21. Set the Active flag
  22. Enter the Category, as the category is typed Zetta will match the name to existing Categories in the database. If the Category exists select it from the list.
  23. If the Category does not exist enter the entire name to add the Category. When Zetta is integrated with GSelector new Categories must be added in the GSelector application.
  24. Optionally, if the station is not integrated with GSelector, right-click the Category field to select Manage Names to open the Manage Categories window.
  25. Optionally, select the scalar values for the Attributes.
  26. Set a Start and End Date/Hour if desired
  27. Select a Tag if working with Splits. See the Tags section for information on adding a Tag. See the Splits feature topic for help with setting up Splits.
  28. Select a Split Behavior if working with Splits. See the Splits feature topic for help with setting up Splits.
  29. Select the Script tab to add a Note or Live script to the Link.
  30. Click Save
  31. See the Marks Editor section for details on editing the audio file.

Adding a new Link Asset with a Metadata Scope of Cuts

To add a new Link asset with a metadata scope of Cuts to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Select the desired Station for the link to be active, if the Default station is selected the asset will be set to active for all stations.
  3. Click the Links tab.
  4. Click the Add new media [image] button.

  5. Enter the Title of the link
  6. Enter the Sponsors name. As the name is typed Zetta will match the name to existing sponsors in the database. If the Sponsor exists select the sponsor. If the sponsor does not exist enter the entire name to add the sponsor.
  7. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  8. Enter the Product name. As the name is typed Zetta will match the name to existing products in the database. If the Product name exists select the Product from the list. If the product name does not exist enter the entire name to add the product.
  9. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  10. Click the Extra tab
  11. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  12. Click the Extra tab
  13. Select the Playback Method to use.
  14. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  15. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  16. Select a Kill Date if desired
  17. Select the Auto Post check box to enable the sequencer to automatically Auto Post this link in the log. See the Auto Posting Events topic for more information.
  18. Select the Bed check box to enabled the link as a Bed to another event in the log.
  19. Enter a unique External ID. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information. (optional)
  20. Enter a ISRC value (optional)
  21. Click the Cut Specific Tab

  22. Edit the Cut Name if desired.
  23. Use the Stations field to add a station or the Organizations field to add a group of Stations.
  24. Enter a unique Cut External ID. If this field contains a predefined value then Zetta is automatically generating an ID. See the External ID topic in the System Configuration section for more information.
  25. Set a Start and End Date/Hour if desired
  26. Optionally, enter the Attribute values to display for Now Playing Export.
  27. Select the Script tab to add a Note or Live script to the Link.
  28. Click Save
  29. See the Marks Editor section for details on editing the audio file.

Adding a new Link Asset with a Metadata scope of Global

To add a new Link asset with a metadata scope of Global to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Click the Links tab.
  3. Click the Add new media [image] button.

  4. Enter the Title of the link
  5. Enter the Sponsors name. As the name is typed Zetta will match the name to existing sponsors in the database. If the Sponsor exists select the sponsor. If the sponsor does not exist enter the entire name to add the sponsor.
  6. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  7. Enter the Product name. As the name is typed Zetta will match the name to existing products in the database. If the Product name exists select the Product from the list. If the product name does not exist enter the entire name to add the product.
  8. Optionally, right-click the Sponsors field to select Manage Names to open the Manage Sponsors window.
  9. Click the Extra tab
  10. Select the Playback Method to use.
  11. Click the Media Filename browse [image] button to locate an existing audio file. The audio is analyzed and associated with the metadata card. The Duration is also given to the media during this step.
  12. Click the CD Ripper [image] button to rip in one or multiple tracks into Zetta.
  13. Select a Kill Date if desired
  14. Select the Auto Post check box to enable the sequencer to automatically Auto Post this link in the log. See the Auto Posting Events topic for more information.
  15. Select the Bed check box to enabled the link as a Bed to another event in the log.
  16. Enter a unique External ID. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information. (optional)
  17. Enter a ISRC value (optional)
  18. Click the Global tab

  19. Set a Start and End Date/Hour if desired
  20. Select a Tag if working with Splits. See the Tags section for information on adding a Tag. See the Splits feature topic for help with setting up Splits.
  21. Select a Split Behavior if working with Splits. See the Splits feature topic for help with setting up Splits.
  22. Select the Script tab to add a Note or Live script to the Link.
  23. Click Save
  24. See the Marks Editor section for details on editing the audio file.

Change Link Category

To Set or Change the Category of a Link, perform the follow these steps:
  1. Select Library from the Modules menu.
  2. Select the desired Link Assets use the SHIFT or CTRL keys to select multiple assets
  3. Click the Launch Audio Utility [image] button
  4. Select Change Category
  5. Select the Category from the drop-down.
  6. Select Go!

Configure Sponsors and Products fields to Sync with GSelector

To Configure Sponsors and Products to Sync with GSelector, perform the follow these steps:
  1. In GSelector go to Tools | Global Settings | User Defined tab
  2. Name one of the User Defined fields Sponsors
  3. Name one of the User Defined fields Products
  4. Restart the GSelector Services in the Startup Manager
  5. Go to a link in GSelector and add/change/delete values from these new fields. For multiple sponsors or products, use a semi colon to separate the values. (Example: Sponsor1;Sponsor2). Zetta should get the change and should have saved the sponsors and products fields
  6. Go to a link in Zetta and add/change/delete the values in the sponsors/products fields. GSelector should get the change and should have saved the sponsor and product in the new fields

See the Marks Editor section for details on editing the audio file.

To import multiple audio assets into the Library, see the Media Import Utility section of the Tools menu of this guide.

Welcome < Modules < Library Module < Links

© 2007-2017 RCS. All Rights Reserved.


Shows

The Shows tab displays a list of Show assets. A Show is a user-built piece of schedule similar to a log that is created outside the log. A show can be any combination of assets or events similar to a Macro. It is a playlist of events wrapped into a single Show event that can be placed in a log multiple times and executed by the sequencer. Shows are Global assets therefore they are not station specific and can be played on any station. Shows in the Zetta® are denoted by a colored stack icon [image] throughout the system. Shows are not stored in the Zetta Content Manager as a show only holds a shortcut to the actual asset added to the show. However a show is considered an asset in the database allowing for the show to be scheduled in a Flat File Assignment load. A Show can be dragged and dropped into a Log, Clock, Hot Keys, Recorder Log, Recorder Clock or Mini-Log. Once the show is executed by the sequencer Zetta creates an in-Log copy of the events, at which point they are treated as individual events in the log. When a Show is placed in the log it shows a shortcut icon [image], this means it is just a reference to the show. Any changes to the show in the Library will be shown in the log. Once a Show is executed by the sequencer, the show contents is then copied to the log and the show icon changes [image] . At this point any changes to the log are not reflected in the Show within the Library and any changes to the Show in the Library are not reflected in the playing show in the log. Show assets are not stored in GSelector® when using GSelector Integration; however, they can be scheduled in GSelector.

Show Metadata Card

The Show Metadata Card is opened when double-clicking on a show in the Shows tab of the Library Module. A Show asset can also be access from the Log or Clocks module by double-clicking the show. The Show Metadata Card holds information about the asset and a Show Events pane, which can be used add, skip or remove an event from the list. The Show Metadata Card can be arranged using tabs or the tabs can be docked in the window to arrange the window as desired, see the Docking and Undocking section of this guide for more details on docking.

Click any area in this image for help

Click any area in this image for help

Main Toolbar

Primary pane

Show Events Pane

Adding an asset to a Show

Right-click Menu Options

Show Events Toolbar

Show Step-by-Step Topics

Add a New Show Asset

Copy a Show Asset

Main Toolbar

The Show Metadata Card has two toolbars the Main Toolbar and the Show Events Toolbar. The Show is saved as changes are made so there is no Save button needed.

Refresh - The Refresh button will refresh the data displayed in the selected metadata card. This can be used to pull any data changes that may have occurred in GSelector or on another computer while the metadata card is open.

Copy - The Copy option will create a duplicate of the asset with the exception of the Show Name and External ID.

Publish - The Publish button uses the Publish Configurations to Publish the selected content of the show. The publish button can be used to preview the content of the Show in the Multitrack Viewer. Simply select all or some of the content of the show, select the publish button and finally select the Multitrack Viewer tab at the bottom the publish window. Since a show is not station specific asset, the Normalization used for the show content is set using the Normalization targets for Show Publish from Library option in the Publish Configuration window.

Primary pane

In the Show Metadata Card the Primary pane is used to add specific show information about the asset using the following fields:

Show Name – The Show Name field is used to give the show a name or title that can be referenced in other places in the application.

External ID - The External ID displays an external alpha-numeric identification used for the asset by an external source. An External ID is a unique string; the user will be prompt when a duplicate External ID is entered. This ID is also used for referencing when loading a show asset into a log via a Flat File load. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information.

Active – The Active option makes the show active and available for play on a station.

Duration – The Duration field will display the amount of time the asset will take to play from Trim In of the first event to Trim Out of the last event.

Runtime - The Runtime field will display the amount of time the asset will take to play from Trim In of the first event to Segue of the last event.

Show Events Pane

The Show Events pane is similar to the Logs module. The Show Events List allows the user to quickly view information and make modifications to the show. The default show event list has the following columns. Additional columns can be added by right-clicking the column header and removing, inserting or replacing the column.

Airtime - The Airtime column shows the estimated airtime of the event as if it were placed in the log at 12:00am. This airtime is recalculated based on where the Show is placed in the Log and when the Show is executed by the sequencer.

Event - The Event column shows the title or name of the event and an icon signifying the type of media event that is scheduled to play. When the event is played in the Logs Module the play progress of each event is displayed the same as any other event in the log.

Chain Type - The Chain Type column shows the action that is to be performed when the current event ends. The Segue chain type is available for all audio events. The Auto Post and Link-Song chain types are available for Links, Voice Tracks, Quick Recordings, Other Audio Events and External Log events. The Chain Type can be changed in the show or log by clicking on the chain type icon for the scheduled event.

Skip - The Skip column shows if the event was or will be skipped. The event is also shadowed in gray by default. To delete an event from the show, highlight the event and press Delete to remove the event. The user will be prompt to confirm the deletion.

Adding an Asset to a Show

The following assets can be added to the Show Events pane by dragging and dropping them from any module:

  • Any audio Asset type ( Songs, Spots, Links, Quick Records or Custom assets)
  • Tag/Rotation/Imaging

Important Note!

Shows cannot be placed inside a show.

Right-click Menu Options

Using the mouse to right-click the Show Events pane will display a menu of additional options.

Delete Event

The Delete Event option will delete the selected events from the Show Metadata Card. If the show is scheduled but is not yet being played by the sequencer, the change will be reflected in the Log. However, if the Show has already started playing the event will not be deleted from the currently playing show. This change will need to be done in the Log.

Insert Control Event

The following Control events can be added to a Show by right-clicking in the Show events pane and selecting Insert Control Event:

  • Comment
  • Empty Voice Track Slot - Shows must be Voice Tracked from within the Metadata Card, they cannot be Voice Tracked in the log.
  • Execute commands
  • Macros
  • Pause
  • External
  • Record

Juggle

To Juggle events simply right-click an event in the Show Event list, click Juggle from the menu, then right-click a second event in the show event list and click juggle again. The two events will switch positions.

Edit Audio

The Edit audio option is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Properties

The Properties option will open the properties window for the asset or control event.

Show Events Toolbar

Audition – Use the Audition option to audition a single or multiple selected audio assets locally.

Segue Editor® – When pressed, Zetta® will launch the Segue Editor. The Segue Editor will allow the user to auto post, set trim, segue and volume points for the selected show events. For more information about the Segue Editor®, see the Segue Editor® section of this guide.

Voice Tracker® – When pressed, the Voice Tracker® will open for the selected event in the show. This editor allows users to record voice tracks and set segues for the voice track, the previous event and the next event. The editor opens showing three tracks, the first being the event the user selected before opening the editor, the middle being the Voice Track and the third being the next event. When a Voice Track is created it uses the Voice Track (Shows / Mini-Logs) setting to name the Voice Track. The Voice Track is then activated on the default station allowing it to be played on any station. For more information about the Voice Tracker®, see the Voice Tracker® section of this guide.

Publish Selected Log through Site Replication - The Publish selected log through site replication button is used to publish the show to the configured site replication servers. This button is only visible when Site Replication is configured.

Show Step-by-Step Topic

Add a New Show Asset

Copy a Show Asset

Schedule a Zetta Show Control Event in GSelector

Add a New Show Asset

To add a new Show asset to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Click the Shows tab.
  3. Click the Add new media [image] button.
  4. Enter a name for the show in the Show Name field.
  5. Enter an External ID if one is not created by the system.
  6. From the Library module click and drag the assets desired in the Show.
  7. Optionally, right-click the show events pane to select Insert a Control Event from the resulting menu.
  8. The Show is saved as changes are made so there is no Save button needed.
  9. Drag and drop or schedule the Show into the log.

Copy a Show Asset

To copy a Show asset to the Library Module in Zetta®, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Click the Shows tab.
  3. Click the Copy Show [image] button.

  4. Enter a New Show Name for the copied show into the Copy Show window.
  5. Click OK. The newly copied show will be displayed.

Schedule a Zetta Show Control Event in GSelector

To schedule a Rotation using a GSelector Clock, perform the following steps:
  1. In GSelector, go to the Clock or Editor
  2. Add the Clock Entry [image] type Control from the Clocks or Insert a Control using Insert Other [image] from the Editor.
  3. Select Zetta Show from the Description/Title.
  4. Using the Info drop-down from the Clock or the User Data drop-down from the Editor enter the Zetta External ID of the Show to be scheduled.

  5. Save the changes.
  6. When Zetta receives the log, the event will be shown in the log as the specified Show.

Welcome < Modules < Library Module < Shows

© 2007-2017 RCS. All Rights Reserved.


Mini-Logs

The Mini-Logs tab displays a list of Mini-Log assets. A Mini Log is a user-built piece of schedule similar to a log that is created outside the log. A Mini-Log can be any combination of assets or events similar to an Event Log or Show. Unlike Shows, Mini-logs are flattened into the Station Log the moment it is inserted via one of the following means:

  • Manual drag and drop from Library into Logs
  • Manual drag and drop from Logs Consideration window into Logs
  • Clock - A Mini-Log in the Clock IS a reference UNTIL the Log for that Clock is generated (at which point Zetta will flatten).

Mini-Logs can cover a Single Hour in a day, Multiple Hours in a day or Multiple Hours spanning days. The Log Handling on Mini-Log placement drop-down, in the Details tab of the Station Configuration, is used to select how Zetta will handle existing events in the log when a Mini-Log is placed into a Log. Mini-Logs are Global assets therefore they are not station specific and can be add to a log for any station. Mini-Logs in the Zetta® are denoted by a colored pie icon [image] throughout the system. Mini-Logs are not stored in the Zetta Content Manager. A Mini-Log can be dragged and dropped into a Log, Clock, Recorder Log or Recorder Clock. Mini-Logs are not stored in GSelector® when using GSelector Integration.

Important Note!

The Log(s) must be generated for all the days that a Mini-Log will span prior to adding the Mini-Log. Zetta will not allow a Mini-Log to span to a days log that has not been previously generated.

If a Mini-Log is dropped into a station where the assets in the Mini-Log are not active for the station, the assets will show an alert in the log and the inactive events will not play.

Mini-Logs Metadata Card

The Mini-Log Metadata Card is opened when double-clicking on a Mini-Log in the Mini-Logs tab of the Library Module. A Mini-Log asset can also be access from the Clocks module by double-clicking the Mini-Log. The Mini-Log Metadata Card holds information about the asset and an Events pane, which can be used add, skip or remove an event from the Mini-Log. The Mini-Log metadata card can be arranged by changing the docking of the sections of the window, see the Docking and Undocking section of this guide for more details on docking.

Click any area in this image for help

Click any area in this image for help

Main Toolbar

Primary pane

Mini Log Events Pane

Adding an asset to a Mini-Log

Right-click Menu Options

Mini-Log Events Toolbar

Mini-Logs Step-by-Step Topics

Add a New Mini-Log Asset

Copy a Mini-Log Asset

Main Toolbar

The Mini-Log Metadata Card has two toolbars the Main Toolbar and the Mini-Log Events Toolbar. The Mini-Log is saved as changes are made so there is no Save button needed.

Refresh - The Refresh button will refresh the data displayed in the selected metadata card. This can be used to pull any data changes that may have occurred on another computer while the metadata card is open.

Copy - The Copy option will create a duplicate of the asset with the exception of the Mini-Log Name and External ID.

Publish - The Publish button uses the Publish Configurations to Publish the selected content of the Mini-Log. The publish button can be used to preview the content of the Mini-Log in the Multitrack Viewer. Simply select all or some of the content of the Mini-Log, select the publish button and finally select the Multitrack Viewer tab at the bottom the publish window. Since a Mini-Log is not station specific asset, the Normalization used for the Mini-Log content is set using the Normalization targets for Show / Mini-Log Publish from Library option in the Publish Configuration window.

Primary pane

In the Mini-Log Metadata Card the Primary pane is used to add specific Mini-Log information about the asset using the following fields:

Mini-Log Name – The Mini-Log Name field is used to give the Mini-Log a name or title that can be referenced in other places in the application.

External ID - The External ID displays an external alpha-numeric identification used for the asset by an external source. An External ID is a unique string; the user will be prompt when a duplicate External ID is entered. If this field contains a predefined value then Zetta is automatically generating a unique ID. See the External ID topic in the System Configuration section for more information.

Duration – The Duration field will display the amount of time the asset will take to play from Trim In of the first event to Trim Out of the last event.

Runtime - The Runtime field will display the amount of time the asset will take to play from Trim In of the first event to Segue of the last event.

Mini-Log Events Pane

The Mini-Log Events pane is similar to the Logs module. The Mini-Log Events List allows the user to quickly view information and make modifications to the Mini-Log. The default Mini-Log event list has the following columns. Additional columns can be added by right-clicking the column header and removing, inserting or replacing the column.

Airtime - The Airtime column shows the estimated airtime of the event as if it were placed in the log at 12:00am. This airtime is recalculated based on where the Mini-Log is placed in the Log and when the Mini-Log is executed by the sequencer.

Event - The Event column shows the title or name of the event and an icon signifying the type of media event that is scheduled to play. When the event is played in the Logs Module the play progress of each event is displayed the same as any other event in the log.

Chain Type - The Chain Type column shows the action that is to be performed when the current event ends. The Segue chain type is available for all audio events. The Auto Post and Link-Song chain types are available for Links, Voice Tracks, Quick Recordings, Other Audio Events and External Log events. The Chain Type can be changed in the Mini-Log or log by clicking on the chain type icon for the scheduled event.

Skip - The Skip column shows if the event was or will be skipped. The event is also shadowed in gray by default. To delete an event from the Mini-Log, highlight the event and press Delete to remove the event. The user will be prompt to confirm the deletion. If an event is skipped in the Mini-Log it will show as skipped when dropped into a station Log.

Adding an Asset to a Mini-Log

The following assets can be added to the Mini-Log Events pane by dragging and dropping them from any module:

  • Any audio Asset type (Songs, Spots, Links, Quick Records or Custom assets) of Any Asset Scope (Station / Cuts / Global); also includes:
    • Audio with Bed flag
    • Asset with a Live flag
    • Asset with External audio path
  • Tag/Rotation/Imaging/Shows

Important Note!

A Mini-Log cannot be placed inside another Mini-Log.

Right-click Menu Options

Using the mouse to right-click the Mini-Log Events pane will display a menu of additional options.

Delete Event

The Delete Event option will delete the selected events from the Mini-Log Metadata Card. If the Mini-Log is scheduled but is not yet being played by the sequencer, the change will NOT be reflected in the Log. This change will need to be done in the Log.

Insert Control Event

The same Control Events that can be added to a Log can also be added to a Mini-Log by right-clicking in the Mini-Log events pane and selecting Insert Control Event. In addition, an Hour Marker can also be added to a Mini-Log to mark the change in hours. When the Mini-Log is dropped into a Log the Hour Markers are matched up with the Top of Hour markers in the Log. If the Mini-Log has no TOH Markers, it gets flattened into the Log at the very position where it was inserted. If the Mini-Log has one or more Hour Markers then the Events in Mini-Log prior to the first Hour Marker (if any) get flattened at the very position where the Mini-Log was inserted. The existing events in the SAME hour that are below the insertion position are treated as per the Log Handling on Mini-Log placement setting for the station. The events that follow the Hour Marker get flattened and inserted right after the NEXT Top of Hour in Log and the existing log events already present in the hour (if any) are treated per the Log Handling on Mini-Log placement setting.

Juggle

To Juggle events simply right-click an event in the Mini-Log Event list, click Juggle from the menu, then right-click a second event in the Mini-Log event list and click juggle again. The two events will switch positions.

Edit Audio

The Edit audio option is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Properties

The Properties option will open the properties window for the asset or control event.

Mini-Log Events Toolbar

Audition – Use the Audition option to audition a single or multiple selected audio assets locally.

Segue Editor® – When pressed, Zetta will launch the Segue Editor. The Segue Editor will allow the user to auto post, set trim, segue and volume points for the selected Mini-Log events. For more information about the Segue Editor, see the Segue Editor section of this guide.

Voice Tracker® – When pressed, the Voice Tracker will open for the selected event in the Mini-Log. This editor allows users to record voice tracks and set segues for the voice track, the previous event and the next event. The editor opens showing three tracks, the first being the event the user selected before opening the editor, the middle being the Voice Track and the third being the next event. When a Voice Track is created it uses the Voice Track (Shows / Mini-Logs) setting to name the Voice Track. The Voice Track is then activated on the default station allowing it to be played on any station. For more information about the Voice Tracker, see the Voice Tracker section of this guide.

Publish Selected Log through Site Replication - The Publish Selected Log through Site Replication button is used to publish the Mini-Log to the configured site replication servers. This button is only visible when Site Replication is configured.

Mini-Log Step-by-Step Topic

Add a New Mini-Log Asset

Copy a Mini-Log Asset

Add a New Mini-Log Asset

To add a new Mini-Log asset to the Library Module in Zetta, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Click the Mini-Logs tab.
  3. Click the Add new media [image] button.
  4. Enter a name for the Mini-Log in the Mini-Log Name field.
  5. Enter an External ID if one is not created by the system.
  6. From the Library module click and drag the assets desired in the Mini-Log.
  7. Optionally, right-click the Mini-Log events pane to select Insert a Control Event from the resulting menu.
  8. The Mini-Log is saved as changes are made so there is no Save button needed.
  9. Drag and drop or schedule the Mini-Log into the log. Click Yes to confirm the Mini-Log Drop.

Copy a Mini-Log Asset

To copy a Mini-Log asset to the Library Module in Zetta, perform the following steps:
  1. From the Modules Menu, click Library.
  2. Click the Mini-Logs tab.
  3. Click the Copy Mini-Log [image] button.

  4. Enter a New Mini-Log Name for the copied Mini-Log into the Copy Mini-Log window.
  5. Click OK. The newly copied Mini-Log will be displayed.

Welcome < Modules < Library Module < Mini-Logs

© 2007-2017 RCS. All Rights Reserved.


Voice Tracks

The Voice Tracks tab displays a list of the Assets that have been created using the Simple Voice Tracker or the Voice Tracker®. Voice Tracks in Zetta are denoted by a Red Record button [image] throughout the system. Voice Track data is not stored in GSelector when using GSelector Integration. Voice Tracks can be ZCast to another site using configured ZCast Connections, see the section ZCast Voice Tracks in the ZCast Features section.

Voice Tracker Metadata Card

The Voice Track Metadata Card is opened when double-clicking on an audio asset in the Voice Tracks tab of the Library Module. The Voice Track Metadata Card holds information about the audio asset and a Marks Editor, which can be used to make changes to the audio. The Quick Record Metadata Card can be arranged using tabs or the tabs can be docked in the window to arrange the window as desired, see the Docking and Undocking section of this guide for more details on docking. The toolbar and tab options available in the Voice Tracks metadata card are similar to the Links metadata card with a metadata scope of station.

Click any area in this image for help

Click any area in this image for help

See the Marks Editor section for details on editing the audio file.

Welcome < Modules < Library Module < Voice Tracks

© 2007-2017 RCS. All Rights Reserved.


Quick Records

The Quick Records tab displays a list of the Assets created using the Quick Recorder. Quick Records are stored in the Zetta Content Manager. Quick Records in Zetta are denoted by a blue record button icon [image] throughout the system. Quick Record data is not stored in GSelector when using GSelector Integration.

Quick Record Metadata Card

The Quick Record Metadata Card is opened when double-clicking on an audio asset in the Quick Records tab of the Library Module. A Quick Record asset can also be access from other modules in Zetta by double-clicking or using the right-click menu and selecting edit from the resulting menu. The Quick Record Metadata Card holds information about the audio asset and a Marks Editor, which can be used to make changes to the audio. The Quick Record Metadata Card can be arranged using tabs or the tabs can be docked in the window to arrange the window as desired, see the Docking and Undocking section of this guide for more details on docking. The toolbar and tab options available in the Quick Records metadata card are similar to the Links metadata card with a metadata scope of station.

Click any area in this image for help

Click any area in this image for help

See the Marks Editor section for details on editing the audio file.

Welcome < Modules < Library Module < Quick Records

© 2007-2017 RCS. All Rights Reserved.


Tags

Tags are a group of assets that are rotated through when the Tag is played. Tags are mainly used with the Splits Feature in Zetta. Tags tell a Splits Client station what to play when a Split Master Station plays an asset with a Split Behavior. When the Split Client receives a message from the Split Master that a Split is cued the Split Client will first check for a Tag, if a Tag is found the Split Client will locate an asset, assigned to its station, with the same Tag and schedule it in the log. The assets selected for the Split Master and the Split Client should have approximately the same length. Zetta will use the Maximum stretch/squeeze value to achieve an exact length to allow the Split Client to rejoin the Split Master at the correct time. If the assets cannot be stretched/squeezed to match a warning error [image] will appear in the Tag window for the asset. The Station column in the Tag window is used to select the Station that will use the Asset. A warning error [image] will appear if the asset is inactive for a selected station. For the most part a Tag will contain one asset for the Split Master and one asset for each Split Client; however more complex Tagging can be done such as one to many, many to many or many to one. When one of these more complex methods is used, Zetta will use a weighted scoring logic to select an asset to play on the Split Clients. Tags can also be used to tag specific assets for use with an external application or to organize specific assets for a show. Tags can be dragged and dropped into the Log, Hot Keys, or Stacks module and will resolve to the Next to Play asset before it is played. The Metadata card can be accessed for an asset from the Tag window by simply double-clicking the Asset.

Click any area in this image for help

Click any area in this image for help

Tags Toolbar

Tag Name

Kill Date

Tag Grid

Station Next To Play Selection

Warning

Add a Tag

Remove a Tag

Deleting a Tag

Tags Toolbar

The Tags Toolbar has the following options:

Save – Save is used to save any changes made to the Tag.

Refresh - The Refresh button will refresh the data displayed in the Tag window. This can be used to pull any data changes that may have occurred in GSelector or on another computer while the Tag window is open.

Select Station –The Select Station is used to select a station to view the tagged data for the station. This selection is also used when selecting the Next To Play Selection.

Tag Name

The Tag Name is defined just below the toolbar. When running splits across multiple Zetta sites the tag name must match at each site.

Kill Date

The Kill Date field displays a calendar control when the down arrow is selected.

Use the Right and Left arrows next to the Month and Year to switch between months to select a Kill Date. Use the Today field at the bottom of the calendar control to switch back to the current date.

Tag Grid

The Grid at the bottom of the window shows the associated assets in the Tag. Drag and drop assets into this grid from the Library module to assign the asset to the Tag. Optionally, right-click in the column headers to Insert, Replace and Remove columns in the grid.

Station Next To Play Selection

The station drop-down just below the Tag Name is used to change the view to identify the next tagged event that will play on the selected station. As this option is changed the pointer in the Next To Play column for the list of tagged assets will change displaying the asset that will play next for the station when a split occurs. Using the mouse the Next to Play asset can be changed, simply right-click the row to change and choose the desired Set as Next To Play option.

Warning

A warning is displayed if there is an issue with the tagged asset such as the asset is not active for the station. Simply hover the mouse over the warning icon to view a tooltip explaining the warning.

Add a Tag

To Add a Tag, follow these steps:
  1. Click Modules | Library
  2. Select the Tags tab
  3. Click Add new media [image] button

  4. Select a Station
  5. Give the Tag a Name
  6. Optionally, give the Tag a Kill Date.
  7. Drag and Drop the desired asset that is to play on the Master Splits Station to the Tag window from the Library Module.
  8. In the Station column set the station to the Master Station
  9. Drag and Drop the desired asset that is to play on the Splits Client Station to the Tag window from the Library Module.
  10. In the Station column set the station to the Split Client Station

  11. Click the Save [image] button to save the changes to the Tag.

Remove a Tag

To remove an Asset from a tag, simply select the Remove [image] icon, in the remove column of the Tag window.

Deleting a Tag

The following instruction can be used to remove a Tag from the Tag Library. The following steps will not remove the assets from the Library.

To delete a Tag from the Tag Library, perform the following steps:
  1. Highlight the tag to delete.
  2. Click the Delete the Media [image] button in Library toolbar.
  3. Click the Delete Now button to delete the Tag immediately. This will delete the Tag and remove it from the Library even if the asset is currently playing. Click the Delete Later button to have Zetta set the current date as the Kill Date and then purge the Tag when Scheduled Maintenance runs. Optionally, click Cancel, to cancel the delete action and close the window.

Welcome < Modules < Library Module < Tags

© 2007-2017 RCS. All Rights Reserved.


Imaging

Imaging is commonly used with Satellite Mode in Zetta. Imaging is station and shift specific audio used for Talent/Shift scheduling in satellite mode, such as for Liners, Legal IDs, and station promotions. Imaging configuration works similarly to Tags and Rotations. Create the Imaging asset then drag and drop assets into the window. Zetta will use the Maximum stretch/squeeze value to achieve the Target Length specified for the Imaging. If the assets cannot be stretched/squeezed to match a warning error [image] will appear in the Imaging window for the asset. A warning error [image] will also appear if the asset is inactive for a selected station.

Click any area in this image for help

Click any area in this image for help

Imaging Toolbar

Imaging Name

External ID

Routing Behavior

Target Length

Kill Date

Imaging Grid

Next To Play Selection

Remove

Add an Imaging

Delete an Imaging Asset

Imaging Toolbar

The Imaging Toolbar has the following options:

Save – Save is used to save any changes made to the Imaging.

Refresh - The Refresh button will refresh the data displayed in the Imaging window. This can be used to pull any data changes that may have occurred in GSelector or on another computer while the Imaging window is open.

Select Shift - The Shift selection is used to select the shift that will use the associated assets in the Imaging. A Shift must be defined before an asset can be add to the Imaging.

Select Station –The Select Station is used to select a station that will use the associated assets in the Imaging. This selection is also used when selecting the Next To Play for Current Shift.

Imaging Name

The Imaging Name is defined just below the toolbar. It is a description of what type of assets are contained in the Imaging.

External ID

The External ID displays an external alpha-numeric identification used for the asset by an external source. This is used when working with a third party music/traffic scheduling system and for referencing when loading an asset via a Flat File load.

Routing Behavior

The Routing Behavior drop-down is used to selected whether to mute or unmute the satellite route when the audio is played by the sequencer. The default setting is to mute the satellite route. When the Mute Satellite Route option is selected, Zetta will mute the current satellite source while the sequencer is playing the audio. If muted, the satellite source will return upon the Segue value of the particular imaging audio. When the Unmute Satellite Route option is used the audio will be played while the audio from the current satellite source is also playing.

Target Length

The Target Length is the length the assets will be stretched or squeezed to meet an ETM when resolved in the station log. If the assets cannot be stretched/squeezed to meet the target length a warning error [image] will appear in the Imaging window for the asset.

Kill Date

The Kill Date field displays a calendar control when the down arrow is selected.

Use the Right and Left arrows next to the Month and Year to switch between months to select a Kill Date. Use the Today field at the bottom of the calendar control to switch back to the current date.

Imaging Grid

The Grid at the bottom of the window shows the associated assets in the Imaging asset. Drag and drop assets into this grid from the Library module to assign the asset to the Imaging asset. Optionally, right-click in the column headers to Insert, Replace and Remove columns in the grid.

Next To Play Selection

The Next to Play column displays the asset that will play when the Imaging event is queued in the Log. As each asset is played the pointer in the Next To Play column for the list of assets will change displaying the asset that will play next for the shift. Using the mouse the Next to Play asset can be changed, simply right-click the row to change and choose the Set as Next To Play for Current shift.

Remove

To remove an Asset from an Imaging window, simply select the remove [image] icon in the remove column of the Imaging window.

Add an Imaging

To Add an Imaging, follow these steps:
  1. Configure Shifts for each of the stations to have Imaging
  2. Click Modules | Library
  3. Select the Imaging tab
  4. Click Add new media [image] button

  5. The first station and shift will be populated by default. Select the desired station and/or shift.
  6. Give the Imaging a Name
  7. Insert an External ID
  8. Optionally, change the Routing Behavior. The default is to Mute the Satellite Route.
  9. Set the Target Length for the Imaging assets to be added.
  10. Optionally, select a Kill Date using the Calendar Control
  11. Drag and Drop the desired assets that are assigned to this Imaging for the shift selected, from the Library Module.

  12. Click the Save [image] button to save the changes to the Imaging.

Delete an Imaging Asset

The following instruction can be used to remove an Imaging asset the Imaging Library. The following steps will not remove the assets from the Library.

To delete an Imaging from the Imaging Library, perform the following steps:
  1. Highlight the Imaging to delete.
  2. Click the Delete the Media [image] button in Library toolbar.
  3. Click the Delete Now button to delete the Imaging immediately. This will delete the Imaging and remove it from the Library even if the asset is currently playing. Click the Delete Later button to have Zetta set the current date as the Kill Date and then purge the Imaging when Scheduled Maintenance runs. Optionally, click Cancel, to cancel the delete action and close the window.

Welcome < Modules < Library Module < Imaging

© 2007-2017 RCS. All Rights Reserved.


Rotations

The Rotations tab contains lists of grouped assets that are rotated. A Rotation is a group of assets that will rotate when loaded into the Log for play. When the Traffic file is loaded, Zetta first looks at the rotations in the rotations tab for a matching External ID received from the traffic load. Then Zetta looks at the pointer in the Next to Play column for the Station and schedules it into the Log. When the asset is played the Next to Play pointer advances to the Next Asset that is available for that station. Rotations can be played from Logs, Hot Keys and Stacks. The pointer can be manually repositioned by right-clicking the asset in the Rotation. When an asset is in a Rotation and has a split behavior, Zetta will first resolve the Rotation when it enters the queue, then look for a Tag to resolve the split behavior. Rotations are not stored in GSelector when using GSelector Integration; however, they can be scheduled in GSelector.

Click any area in this image for help

Click any area in this image for help

Rotations Toolbar

Rotation Name

External ID

Target Length

Kill Date

Rotation Grid

Station Next To Play Selection

Add a Rotation

Deleting a Rotation

Schedule a Zetta Rotation Control Type in GSelector

Rotations Toolbar

The Rotations Toolbar has the following options:

Save – Save is used to save any changes made to the Rotation.

Refresh - The Refresh button will refresh the data displayed in the Rotation window. This can be used to pull any data changes that may have occurred in GSelector or on another computer while the Rotation window is open.

Select Station –The Select Station is used to select a station that will use the associated assets in the Rotation. This selection is also used when selecting the Next To Play Selection.

Rotation Name

The Rotation Name is defined just below the toolbar. The Rotation name must be unique in Zetta.

External ID

The External ID is used by the Flat File Traffic Load to identify the Rotation when scheduling the log. When importing a traffic file, Zetta will first look for a Rotation with a given ID, if a rotation is not found Zetta will resolve it to a Spot. The External ID is also used to schedule the Rotation using GSelector Integration.

Target Length

The Target Length is the length the assets will be stretched or squeezed to meet an ETM when resolved in the station log. If the assets cannot be stretched/squeezed to meet the target length a warning error [image] will appear in the Imaging window for the asset.

Kill Date

The Kill Date field displays a calendar control when the down arrow is selected.

Use the Right and Left arrows next to the Month and Year to switch between months to select a Kill Date. Use the Today field at the bottom of the calendar control to switch back to the current date.

Rotation Grid

The Grid at the bottom of the window shows the associated assets in the rotation. Drag and drop assets into this grid from the Library module to assign the asset to the Rotation. Optionally, right-click in the column headers to Insert, Replace and Remove columns in the grid as needed. Assets can also be added to a Rotation directly from the Extra tab in the asset's metadata card.

Station Next To Play Selection

The station drop-down just below the Rotation Name is used to change the view to identify the next rotation event that will play on the selected station. As this option is changed, the pointer, in the Next To Play column for the list of assets, will change displaying the asset that will play next for the station. Using the mouse the Next to Play asset can be changed, simply right-click the row to change and choose the desired Set as Next To Play option.

Add a Rotation

To Add a Rotation, follow these steps:
  1. Click Modules | Library
  2. Select the Rotations tab
  3. Click Add new media [image] button

  4. Select a Station
  5. Give the Rotation a Name using the Name: field
  6. Give the Rotation an External ID
  7. Insert a Target Length for the Rotation
  8. Optionally, select a Kill Date from the Calendar Control.
  9. Drag and Drop the desired assets that are to play in the Rotation to the Rotation window from the Library Module.
  10. Click the Save [image] button to save the changes to the Rotation.

Deleting a Rotation

The following instruction can be used to remove a Rotation from the Rotations Library. To remove an Asset from a rotation, simply select the remove [image] icon, in the remove column of the Rotation window. The following steps will not remove the assets from the Library.

To delete a Rotation from the Rotations Library, perform the following steps:
  1. Highlight the Rotation to delete.
  2. Click the Delete the Media [image] button in Library toolbar.
  3. Click the Delete Now button to delete the rotation immediately. This will delete the Rotation and remove it from the Library even if the asset is currently playing. Click the Delete Later button to have Zetta set the current date as the Kill Date and then purge the Rotation when Scheduled Maintenance runs. Optionally, click Cancel, to cancel the delete action and close the window.

Schedule a Zetta Rotation Control Type in GSelector

To schedule a Rotation using a GSelector Clock, perform the following steps:
  1. In GSelector, go to the Clock or Editor
  2. Add the Clock Entry [image] type Control from the Clocks or Insert a Control using Insert Other [image] from the Editor.
  3. Select Zetta Rotation from the Description column.
  4. Using the Info drop-down from the Clock or the User Data drop-down from the Editor enter the Zetta External ID of the Rotation to be scheduled.

  5. Save the changes.
  6. When Zetta receives the log, the event will be shown in the log as the selected Rotation until the rotation is resolved to a specific asset.

Welcome < Modules < Library Module < Rotations

© 2007-2017 RCS. All Rights Reserved.


Other Audio Tabs

Welcome < Modules < Library Module < Other Audio Tabs

Other Audio Types Tabs

Additional audio tabs can be created in the Audio Types tab of the System Configuration window. Once these custom audio types are created they will show as a separate tab in the Library module. These tabs can be used to separate Jingles, Liners, Interviews or specific audio for a user. Custom Audio data is not stored in GSelector when using GSelector Integration. Other Audio types can have a Metadata Scope of Global, Station or Cuts. The default metadata scope for created Audio Types is Station. This is also the metadata scope used when Zetta is integrated with GSelector.

Other Audio Metadata Card

The Metadata Card of other audio types is opened when double clicking on an audio asset from its tab in the Library Module. The asset can also be access from other modules in Zetta by double-clicking or using the right-click menu and selecting edit from the resulting menu. The Metadata Card holds information about the audio asset and a Marks Editor, which can be used to make changes to the audio. The Metadata Card can be arranged using tabs or the tabs can be docked in the window to arrange the window as desired, see the Docking and Undocking section of this guide for more details on docking. The toolbar and tab options available for other Audio Types have a metadata card similar to the Links metadata card. The following Illustration shows a created Audio Type having a Metadata Scope of station. This means the metadata card will have a station specific tab that holds setting specifically for the station selected in the Stations tab on the left.

Click any area in this image for help

Click any area in this image for help

See the Marks Editor section for details on editing the audio file.

To import multiple audio assets into the Library, see the Media Import Utility section of the Tools menu of this guide.

Welcome < Modules < Library Module < Other Audio Tabs

© 2007-2017 RCS. All Rights Reserved.


Marks Editor

The Marks Editor enables the user to view a single assets waveform and insert or modify all relevant transition mark points that will be respected by the On-Air (Sequencer), Stacks player, Hot Keys® and Z-Player, using the Marks tab. The Adjustments tab can be used to adjust the Time Stretch and Normalization values.

Click any area in this image for help

Click any area in this image for help

The Marks Editor is launched when double-clicking an asset in a module, such as the Library, Logs, Clocks, etc. The Marks Editor is the default editor unless an additional editor is specified as the default editor in the External Editors tab of the Computers Configuration.

Below is a visual representation of the markers that can be used.

Marks Editing Features

Play Controls

Marks Tab

Marks

Hook

Loop

Cue Points

Adjustments Tab

Normalize

Time Stretch

Editing Shortcuts

Keyboard Commands

System Keyboard Mappings

Using the Marks Editor

Create a Cue Point to send Now Playing information for specific asset

Marks Editing Features

When the asset metadata card is opened the default tab displayed is the Mark tab. Across the top of the marks editor there are two boxes with a time in it to show the current cursor position and the duration of the audio. When a mark position is selected another box is displayed to show information about the mark. The mark can then be adjusted using these boxes. The following editing features allow the user to adjust the element for on-air play:

/

Zoom In/Out waveform vertically – Zoom in and out on the waveform of the audio for more precise editing.

Volume – The volume control will change the volume of the track. To adjust the volume click and drag the volume point to the desired volume level. To insert additional volume points right-click the waveform and choose Insert Volume Point. When a volume point is selected in the waveform the mark point and the volume percentage are displayed above the marks editor, click in either box to adjust these values.

Waveform - When opening an audio event for the first time, the Marks Editor will generate a waveform for that audio. After the waveform has been generated, a visual representation of the audio will be displayed that can be edited.

Timeline – The Timeline allows the user to navigate to any place in the audio by clicking and dragging the play marker to the desired location.

Zoom/Pan – The Zoom/Pan is part of the timeline. It allows the user to zoom into the waveform and pan to the left or right. The mouse wheel can also be used to zoom in and out of the waveform. To Zoom into a specific section of the waveform using the mouse wheel, simple hover the mouse cursor over the desired location in the waveform and use the mouse wheel scroll up to Zoom in.

Play Controls

The Play Controls are located at the bottom of the Marks Editor.

Go to start – The Go to start button will move the play marker to the beginning of the audio or Trim In if defined.

Rewind – The rewind button will rewind the audio by five seconds every time it is used.

Stop – Stop will stop the play and moves the play marker back to the starting point or Trim In point of the audio.

Play – Play will play the audio starting from the play marker.

Pause - The Pause button will pause the audio playing and hold the play position.

Fast forward – Fast Forward will fast-forward the play marker five seconds in the audio each time it is clicked.

Go to end – The Go to end will move the Play marker to five seconds before the segue point or five seconds before the Trim Out point of the audio if a segue is not set.

Record – The record button launches a simple recorder, that allows the user to choose a record device and record audio to be played later from Zetta®.

Hook - The Hook button places the cursor at a configured Hook and starts playing the asset starting from the Hook.

Loop - The Loop button places the cursor at the Loop in point and starts to play the Loop the Loop will continue to play until the audio is stopped or until the Loop button is in Loop mode [image].

Marks Tab

The Marks tab shows the Marks, Hook, Loop and Cue Point information. Each section shows the time [image] of each marker and an icon [image] that represents the type of mark. Selecting the icon will set the mark where the play cursor is located in the waveform of the audio. Clicking this time will start the audio playing from the selected mark and will continue playing to the end of the audio or until stopped [image] manually. Clicking the marks adjustment up and down arrows to the right of a set marker will step the marked time by 100 milliseconds (default). The Marks adjustment step can be changed in the Preferences configuration. Right-clicking the time bubble will display a menu to remove the mark or edit the mark. Selecting edit will change the time [image] bubble so the time value can be edited manually. Marks created in the marks tab for an asset that has a metadata scope of Cuts will be cut specific. Which means each Cut for an asset can have different marks.

Marks
 | Trim In – Trim In marks the start point of the audio. Audio before the Trim In point will be ignored.
Intro – In most cases, the intro is the audio before the vocals begins. The audio can be marked with up to three intro points to show where the accents in the introduction are when playing in the log.
 |  | Intro 1
 |  | Intro 2
 |  | Intro 3
 | Early Segue – The Early Segue marks an Early Segue point to be used when linking media events using the Link Segue Mode.
 | Segue - The Segue point mark defines where the next event should start in Live-Assist or Automation mode. It is industry practice to not allow a song to finish before the next song is started. Thus, as SONG#1 is ending and fading SONG#2 will start over the ending fade-out of SONG#1. This gives a more pleasing transition event to event. To preview the Segue in the Marks Tool setup an Opening and Ending asset in the Marking Tool Segue Preview section of the Preferences Configuration.
 | Trim Out – Trim Out marks the end point of the audio. Audio after the Trim Out point will be ignored.

Play Segue - The Play Segue button is displayed if the Marking Tool Segue Preview option is configured in the Preferences Configuration for the user. This button is used to preview the transition markers Trim In and Segue for the current asset based on the settings defined in the Marking Tool Segue Preview preference.

Clicking on the Play Segue button next to the Trim In button in the Marks tab, starts the playback of the opening asset, beginning at xx number of seconds ahead of the segue point. When the segue point of the opening asset plays, the current assets audio will also start to play. If playback continues to the segue point of the current asset, the defined ending asset will begin to play at that point.

Clicking on the Play Segue button next to the Segue button in the Marks tab, starts the playback of the current asset, beginning a xx number of seconds ahead of the segue point. When the segue point of the current asset plays, the ending assets audio will also start to play.

Set the transition seconds in the Test Transition section of the Marking Tool Segue Preview preference.

Hook

Hook In – The Hook In is used to mark the starting point of a Hook created from a section of the audio.

Hook Out – The Hook Out is used to mark the ending point of a Hook created from a section of the audio.

Loop

Loop In – The Loop In is used to mark the starting point of a Looped section of the audio.

Loop Out – The Loop Out is used to mark the ending point of a Looped section of the audio.

Cue Points

Cue Points can be used to add embedded cue markers at various points in an audio file to perform tasks such as those available in the Command Mappings tab. Cue Points can be configured in the System Configuration Command Mappings tab or an asset specific cue point can be configured using the <Custom> option. To add a Cue Point to the Marks tool click the Add New Cue Point [image] button in the Cue Points section to the right of the waveform. Use the drop-down to select a system configured Cue Point or select <Custom> to open the Edit Custom Cue Point Details window.

Give the Cue Point a descriptive Name as to its task. Select or enter the task that Zetta is to perform for this cue point when the asset is played. Select the Settings based on the Task selected. This Cue Point is then saved with the asset; it does not show in the Command Mappings tab. To remove unwanted Cue Points from an asset simply right-click the cue point in the cue points section on the right side of the waveform and select remove from the resulting menu.

Adjustments Tab

Normalize

The normalize section is station specific and the values shown in this section are based on the values set in the Configuration | Stations | Normalization section for the specific station. This section is not visible for the Default station or for assets with a Cuts metadata scope. The following options are available in this section:

Normalize – The normalization can be removed for a specific asset by deselecting the box.

Target dB – The Target dB value is pulled from the station specified normalization but can be adjusted for a specific asset. To reset this field to its default value, click the box to the right of the field and select Reset.

Gain % - The Gain % is the percentage of Gain based on the normalize value.

Asset dB – The Asset dB is the Assets original dB value.

Time Stretch

Time Stretch allows the user to non-destructively stretch or squeeze an assets playback to meet a specific length of time. The user can type in the desired duration they would like and the Percentage of stretch or squeeze for the audio will be displayed. A maximum and minimum warning range can be set in the Audio Processing tab of the System Configuration window. Time Stretch settings are cut specific for assets that have a metadata scope of Cuts. Which means each Cut for an asset can have a different Time Stretch configuration.

If the calculated Time Stretch exceeds the warning range, set in the Audio Processing tab, the font color for the Duration will turn orange and a warning indicator in the upper right hand corner of the Metadata Card will be displayed.

If the calculated Time Stretch exceeds the error range (.5 – 2.0) the font color for the Duration will turn red and an error indicator in the upper right hand corner of the Metadata Card will be displayed.

When Time Stretch is being used and an audio marker is changed, such as the Trim for the audio, the desired duration will remain unchanged, but the time stretch percentage will be adjusted to achieve the desired duration.

When a Time Stretched asset is scheduled in the Log the duration time and Runtime for the asset will be displayed with an underline so the user can easily see the audio has been Time Stretched.

Editing Shortcuts

Inserting Audio Markers

Audio markers can easily be inserted by using the mouse or keyboard shortcuts. By right-clicking on the desired audio event within the waveform the Intro, Trim, Hook, early segue, Segue, volume points, Fade In, and Fade Out can be easily added to the audio asset from the generated menu. This menu can also be used to enable or disable the Gain Factor set in the Stations Configuration Normalization tab and Toggle the view of the waveform.

Moving Audio Markers

Once the markers are inserted, they can easily be adjusted by hovering over the desired marker until the positioning hand appears.

Then click and drag the marker to the desired location. The numeric value of the marker will be displayed in the title bar. This value will adjust as the marker is moved to a new position.

The user can also edit this value by hovering over the desired marker and then clicking the mark when the positioning hand appears. When the marker is clicked, the numeric value appears above the wave form.

Using the mouse the user can click or highlight a portion of the numeric field and enter the desired value.

Gain Factor

The Gain Factor option will enable or disable the normalized gain value set on the audio. When Gain Factor is checked it is enabled.

Toggle View

The view of the waveform can be toggled from top view to side view using the menu generated when right-clicking the waveform.

  • The Top View (default) displays the left and right channels peaks, as the top and bottom halves of the waveform.

  • The Side View displays the bigger of the left or right channels peaks of the waveform.

Zoom to Fill

The Zoom to Fill will change the waveform to fill the editing window when applied to the waveform.

Normal View

Zoom to Fill

Keyboard Commands

The Keyboard can also be used to control the play controls, the zoom/pan and the insertion of marks of the audio waveform. For a full list of commands that can be created, see the System Keyboard Mappings table. Using the default keyboard mapping the keyboard can do the following:

  • Use the Space bar to Play or Stop the play of the audio. When the waveform has focus, pressing the space bar will start the audio playing. If the audio is already playing, pressing the spacebar will stop the audio from playing.
  • Use the CTRL + Minus will Zoom out on the waveform down to 100%

  • Use the CTRL + Plus will Zoom in on the waveform.

  • Use CTRL + Left Arrow to Pan Left

  • Use the CTRL + Right Arrow to Pan Right

**The Mouse wheel can be used to Zoom in and Out of the Wave form vertically.

System Keyboard Mappings

The following lists the MarksTool command mappings that exist in Zetta

System Keyboard Mapping | Task | Settings | Description
 | MarksTool.FastForward | <None> | Fast Forwards moves the play marker forward five seconds every time it is used
 | MarksTool.HookPlay | <None> | Plays the Hook of the audio shown in the marks tool.
 | MarksTool.JumpBeginning | <None> | Jumps to the Beginning of the audio shown in the marks tool.
 | MarksTool.JumpEnd | <None> | Moves the Play maker to the end of the audio or Trim Out position
 | MarksTool.Loop | <None> | Puts the Marks Tool in Loop mode to play the loop defined for the audio shown in the Marks Tool.
 | MarksTool.Mark.CuePoint | CuePoint | Inserts the selected cue point into the marks tool at the cursor position.
Alt + End | MarksTool.Mark.HookEnd | <None> | Marks the cursor position in the marks tool as the Hook End position.
Alt + Home | MarksTool.Mark.HookStart | <None> | Marks the cursor position in the marks tool as the Hook Start position.
 | MarksTool.Mark.Intro | <None> | Inserts an Intro marker at the cursor position in the Marks Tool
 | MarksTool.Mark.LoopEnd | <None> | Inserts a Loop End Marker at the cursor position in the Marks Tool
 | MarksTool.Mark.LoopStart | <None> | Inserts a Loop Start Marker at the cursor position in the Marks Tool
 | MarksTool.Mark.Reset | <None> | Resets the last moved play marker to its original position
 | MarksTool.Mark.Segue | <None> | Inserts a Segue marker at the cursor position in the Marks Tool
Control + Home | MarksTool.Mark.TrimIn | <None> | Inserts a Trim In marker at the cursor position in the Marks Tool
Control + End | MarksTool.Mark.TrimOut | <None> | Inserts a Trim Out marker at the cursor position in the Marks Tool
Control + Left | MarksTool.PanLeft | <None> | Shifts the Zoom/Pan tool at the bottom of the Waveform display to the left
Control + Right | MarksTool.PanRight | <None> | Shifts the Zoom/Pan tool at the bottom of the Waveform display to the right
 | MarksTool.Pause | <None> | This task will pause the audio playing in the Marks Tool.
 | MarksTool.Play | <None> | This task will play the audio in the Marks Tool. If the marks tool is in Hook mode it will play the hook, if it is in Loop mode it will play the loop.
 | MarksTool.PlaybackMode | <None> | This task will toggle the playback Mode of the Marks Tool. (Hook, Loop, AllAudio)
 | MarksTool.PlayPause | <None> | This task will pause the playback of the audio playing in the Marks Tool.
 | MarksTool.PlayStop | <None> | This task will stop the playback of the audio playing in the Marks Tool and set the cursor to the beginning of the audio.
 | MarksTool.Record | <None> | Opens a small recorder for recording audio
 | MarksTool.RefreshWaveform | <None> | This task will refresh the waveform in the marks tool.
 | MarksTool.Rewind | <None> | Moves the play marker back five seconds in the audio every time it is used
 | MarksTool.Scrub | Step (seconds): | Identifies how many seconds to move the current file position. Will leave the file playback in whatever state it is currently in (stop, paused, playing or stuttering) This value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds
 | MarksTool.Stop | <None> | This task will stop the playback of the audio playing in the Marks Tool and set the cursor to the beginning of the audio.
 | MarksTool.Stutter | Step (seconds): | Identifies how many seconds to move the current file position and then stutter at that position, this value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds
Control + Add | MarksTool.ZoomIn | <None> | This task will Zoom In to the waveform using the Zoom/Pan tool below the waveform
Control + Subtract | MarksTool.ZoomOut | <None> | This task will Zoom Out of the waveform using the Zoom/Pan tool below the waveform

To learn how to create keyboard mappings see the Command Mappings section of this guide.

Using the Marks Editor

Each user will have their own style for editing Library assets. The following instructions will give a quick rundown of how to use the marks editor.

To edit an asset from the Library with the Marks editor follow these steps:
  1. Open the Library from the Modules Menu
  2. Double-click the desired asset to edit
  3. Using the Play controls at the bottom of the editor click Play
  4. If there is silence at the beginning of the audio, click the Trim In [image] button when the music starts, this will trim the silence.
  5. When the accents are heard in the introduction, mark the intro points using the Intro [image] buttons.
  6. As the audio ends click the Early Segue [image] and Segue [image] buttons to set the segue points for the next audio event.
  7. If there is silence at the end of the audio, click the Trim Out [image] button when the music ends, this will trim the silence from the end.
  8. To set the Volume Point [image] right-click on the audio waveform and choose Insert Volume Point.
  9. To listen to the audio starting with a marked point simply click the time bubble next to the desired marker icon in the marks tab.
  10. All these points can be easily adjusted using the mouse, by just clicking and dragging the marked point to the desired locations.
  11. Optionally, add Cue Points [image] to the audio.
  12. Optionally, add a Loop to the audio.
  13. If a hook is desired right-click and insert a Hook or mark the HookIn [image] and HookOut [image] using the available buttons. Another way to add these marking points is by right clicking on the selected place within the waveform and selecting the desired marking point from the generated menu.
  14. When finished editing the file click the Save [image] button.

Create a Cue Point to send Now Playing information for specific asset

To create a Cue Point to send now playing information for a specific asset follow these steps:
  1. Open the Library from the Modules Menu
  2. Double-click the desired asset to edit
  3. In the Marks tab select the Add New Cue Point [image] button in the Cue Points section to the right of the waveform.

  4. Use the drop-down to select <Custom> to open the Edit Custom Cue Point Details window.
  5. Give the Cue Point a Name.
  6. Select the Task NowPlayingExport.Send. Where multiple now playing export instances exist for a station, the message will be sent to all instances for the station.
  7. Enter the desired Settings for the Now Playing Export.

  8. Click OK
  9. Save [image] the Asset.

Welcome < Modules < Library Module < Marks Editor

© 2007-2017 RCS. All Rights Reserved.


Logs and Clocks Overview

Working in the Logs, Clocks, Recorder Logs and Recorder Clocks is very similar. Many of the same procedures used in the Logs module, such as Inserting Control Events, can be used in these other modules which is why these modules are grouped together in this guide. The Logs and Recorder Logs show the rundown of what is to happen for a specific date. The Clocks and Recorder Clocks are "templates" used to generate these logs.

The following topics are covered in this section:

Logs

Log Windows

Control Events

Simple Voice Tracker

Manage Log Hours

Notes Preview

Clocks

Manage Clock Hours

Daylight Savings

Welcome < Modules < Logs and Clocks

© 2007-2017 RCS. All Rights Reserved.


Logs

Welcome < Modules < Logs and Clocks < Logs

Logs Module

The Log Module is used to view and modify station programming for an entire day. To access the Logs Module, click Logs in the Modules menu.

Click any area in this image for help

Click any area in this image for help

Log Toolbar

Hour Selection

Log Events List

Right-click menu options

Using Beds as a Clock/Log event

Log Control Events

Log Windows

Simple Voice Tracker

Record a Simple Voice Track

Daylight Savings

Logs Step-by-Step Topics

Log Control Events Step-by-Step Topics

Log Windows Step-by-Step Topics

Log Toolbar

The Log Navigation toolbar simplifies the process of viewing the desired Station, Date, and Hour. The following Navigation aids are available from the top of the Logs Module:

Refresh – The Refresh button can be used to refresh the Log after a Flat File Load or when changes are made to the log that do not display immediately.

Tools – The Tools drop-down is used to select from a menu of options used to manipulate the current or future logs. A past day’s log cannot be changed. The following options are available from the drop-down arrow of this button:

Option 1: Regenerate Log - When Regenerate log is selected the Regenerate Log window will open allowing the user to select the hours to regenerate and whether to suspend the sequencer during the log regeneration.

  • If the station is integrated with GSelector, Zetta will get the schedule for the date and time selected from GSelector.
  • If the station is Clocks driven, the log will be generated from the Clock for the date and time selected. Then, Zetta will look at flat files mapped to the station that have the Processing Type set to Auto and show the file found in the Flat file Load field of the Regenerate Log window. The user can use the file found or browse to a new file. If the Processing Type is set to Manual, the user will need to pull in the flat file manually via the Load from Flat File [image] button.

Option 2: Delete Log - When Delete Log is selected, the user will be prompt to confirm before proceeding.

  • If the current days log is selected, Zetta will alert the user that the station may be taken off the air. If they Proceed, Zetta will delete all future events in the current day's log. The current hour will not be deleted if there is an event in that hour with a Sequencer stream assigned; only an hour that doesn't have an event(s) with stream assigned can be deleted.
  • If a future days log is deleted, Zetta will prompt the user for confirmation before deleting the Log.

Option 3: Copy Log - Selecting the Copy Log option will open the Manage Hours window for Logs.

Option 4: Resolve Tags / Rotations / Imaging - Tags, Rotations and Imaging assets are typically resolved as they reach the queue in the Log. With the Resolve Tags / Rotations / Imaging option a user, with rights, can Resolve All of these assets in the selected log or Unresolve All. When a Tags, Rotations and Imaging are resolved the icon in the log will change to show the type of asset that will be played. Elements in the past cannot be resolved/unresolved. Right-click selected Tags / Rotations / Imaging to resolve/unresolve selected asset(s).

AutoScroll – When pressed, the AutoScroll button will toggle between [image] On and [image] Off. When on, the Log will display the current position in the hour, with the first two items shown being the last played and then the currently playing item. Clicking AutoScroll On will return to the current position and stay in the current position as the log plays. When the Logs module is open to the current days log the AutoScroll will default to On as long as there are available events to play in the current day's log. To change the AutoScroll settings see the Preferences Configuration section.

Audition – The Audition button will allow the user to listen to a selected piece of audio in the log locally without it going over the air. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition player and stream must be defined and a piece of audio must be selected in the log. See the Tips & Tricks section of the guide for more information on auditioning assets.

Load Traffic/Music from Flat File - The Load Traffic/Music from Flat File is used to load a flat file with Traffic and Music or reconcile a log using a created Flat File Assignment. This button will open the Manual Flat File Load / Reconciliation window for the default assignment. When traffic is reloaded a second time, a window opens to the previously processed files with the file name of the processed file. By default, assets that are loaded into Spot Blocks are loaded from the top of the spot block down. Use the Traffic Load Position Control Event to control where traffic loads in a spot block. Right-click on an assignment in the list will make that assignment the default.

ZCast selected log - The ZCast button is used to send or request a station log using a ZCast Connection that has the permission to Allow Sending Logs or Allow Requesting Logs

Publish Selected Log through Site Replication - The Publish selected log through site replication button is used to publish a log to the configured site replication servers. This button is only visible when Site Replication is configured. A Manual publish of logs will send the entire selected day for the selected station.

Segue Editor® – When pressed, Zetta® will launch the Segue Editor. The Segue Editor will allow the user to auto post, set trim, segue and volume points for the selected log events. For more information about the Segue Editor, see the Segue Editor section of this guide.

Voice Tracker® – When pressed, the Voice Tracker will open for the selected event in the log. This editor allows users to record voice tracks and set segues for the voice track, the previous event and the next event. The editor opens showing three tracks, the first being the event the user selected before opening the editor, the middle being the Voice Track and the third being the next event. For more information about the Voice Tracker®, see the Voice Tracker® section of this guide.

Multisite Voice Tracking - When this button is visible the system is setup for Multisite Voice Tracking.

Cycle Filter - The Cycle Filter is used in Logs, Clocks and Macros to Filter based on Asset Type or Custom type.

Print - The Print button allows the user to print a copy of the log. The user can then choose to print the entire day or a range of hours.

Reconcile to GSelector - The Reconcile to GSelector drop-down button is visible when GSelector Integration is enabled. The Reconcile Day option will send the entire days schedule to GSelector. The Reconcile Selected Hour will send only the currently selected hour to GSelector. The Selected hour is determined by the event that is currently selected.

Publish - The Publish button uses the Publish Configurations to Publish the selected content of the log. Use the drop-down arrow to view and select a publish instance. Right-click a publish instance from the list of instances in the drop-down to set the default instance that is used when the button is clicked.

Station Select – The Select Station drop-down is used to select the name of the station’s log to view.

Log Date Select – The Date drop-down is used to select a past, present, or future log. Selecting a date for a GSelector integrated station where the log has not been generated will automatically pull the log from GSelector. Selecting a date, for a station that is not integrated with GSelector, where the log has not been generated will open the Log Generation window allowing the user to select a Standard Clock or Special Clock to use to generate the log.

When the window is reduced in size the toolbar buttons will be hidden and a drop-down will be shown to allow access to these hidden toolbar buttons.

Hour Selection

The Hour Selection area is located along the bottom of the toolbar area. To navigate to a specific hour of the selected log, simply click on the hour number.

Log Events List

The Log Events List allows the user to quickly view information for past logs and make manual modifications to logs not yet played. The log can be voice tracked and edited using the Event section of the Logs Module, see the Voice Tracker® topic in this guide for more details on voice tracking a log. The colors, fonts and font sizes for the Log can be changes using the Theme Management configuration. The following topics discuss the different aspects of the Events list.

Default Log Event List Columns

Additional Log Event List Columns

Gap Time

Top of Hour

Default Log Event List Columns

Airtime column shows the scheduled airtime of the event. It also shows if an event is a Hard-timed [image] event and if an event Fades Early [image].

Split Behavior column shows an icon when a split behavior is selected for the scheduled asset. The Split Behavior column is visible when Splits are enable in the System Configuration | General tab.

  • Master Audio - A Split Behavior of Master Audio tells the Master station to play the audio and send a signal to the subscribing Split Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the same asset as the Master Station, if the asset is active on the subscribing station. When an asset's Split Behavior is set to Master Audio a Master Audio [image] icon will be visible in the Split Behavior column of the Log.
  • Master Silent - A Split Behavior of Master Silent tells the master station to be silent and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the asset scheduled on the Master station, if the asset is active on the subscribing station. When an asset's Split Behavior is set to Master Silent a Master Silent [image] icon will be visible in the Split Behavior column of the Log.
  • Master Monitor - A Split Behavior of Master Monitor will route the audio for the asset to the configured Monitor streams of the Player for the Master Station and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the client station will play the same audio asset that is scheduled on the Master Station, if the asset is active on the subscribing station. Master Monitor allows the user to hear the audio locally for the Master Station even though nothing is playing over the air for the Master Station. When an asset's Split Behavior is set to Master Monitor a Master Monitor [image] icon will be visible in the Split Behavior column of the Log.

Event column shows the events in the log and the progress position.

  • As events play, the progress of the event shows in the background of the event description

  • If an intro is set, the intro of the event will be shown in yellow and the time display will show the time of the intro and/or the time to the end of the intro. The color will increase with intensity with each intro set in the Song.

  • This progress bar will change color twice during the event:

  • When 10 seconds remain in the event, the progress bar will display the following color.

  • When 5 seconds remain, the progress bar will switch to another color.

  • If the event has a cue point marker it will display in red. Hovering the mouse over the red cue point will show the name of the cue point.

  • When an event is Paused, the event will show the progress of the paused event with a yellow glow around the progress bar:

  • To the right of the event description, the user can view the time elapsed and the time remaining in the event. Double-Clicking the time will toggle the display to show either the time remaining to the segue…

…Or the time elapsed and the total runtime of the event.

  • The event list also displays an icon signifying the type of media event that is scheduled to play and any note associated with the event. The following is a list of these icons:

Song, [image] Spot, [image] Link, [image] Spot Block, [image] Other Audio, [image] Asset with Note, [image] Asset with Script, [image] Live Read, [image] Live Read with Confirmation, [image] Marked as Read, [image] Bed, [image] Hard Timed Event, [image] Voice Track, [image] Quick Record, [image] Record, [image] / [image] Show, [image] Tags, [image] Mini-Log, [image] Rotation, [image] Imaging and [image] Macro

When a Show is placed in the log it shows a shortcut icon [image] . This means it is just a reference to the show. Any changes to the show in the Library will be shown in the log. When the sequencer executes the Show the show contents is then copied to the log and the show icon changes [image] . At this point any changes to the log are not reflected within the Show in the Library and any changes to the Show in the Library are not reflected in the playing show in the log. When Tags, Rotations and Imaging events are queued they resolve to the asset that will play and the icon also changes [image] to show the asset type that will be played.

Clicking the Note or Scripts icons will display the Notes preview window.

If there is something wrong with the asset the icon represented above will show a warning [image] or an Error [image]. Simply hover the mouse over the warning or error and Zetta will display a tool tip to help in resolving the issue.

  • When a Spot Block or Macro is played the Log, the progress of the Spot Block or Macro and the Spot or Macro event playing is displayed, while in the On-Air Module the number of events played and the number of total events is shown.

Status column shows what happened or is happing to an event

Played, * Playing, [image] Paused, [image] Ready, [image] Not Played, [image] Recording

Chain Type column shows the action that is to be performed when the current event ends. The Segue and Stop chain types are available for all audio events. The Auto Post and Link-Song chain types are available for Links, Voice Tracks, Quick Recordings, Other Audio Events and External Log events. The Chain Type can be changed in the stations log by clicking on the chain type icon for the scheduled event.

Stop - Stop will stop the play of the log after the event plays.

Segue - Segue will segue into the next event

Auto Post - The Auto Post Chain type allows the Link to be back-timed from the Intro of the Song about to play. The Song and Link are then started by the sequencer and synchronized so the Link finishes at the end of the Intro period. See the Auto Posting Events topic for more information.

Link-Song - Link-to-Song will set the start of the next event at the early segue point of the previous event, so long as the intro is not too short, then the song ends at the intro of the next event.

Skip column shows if the event was or will be skipped. The event is also shadowed in gray by default. To delete an event from the log, highlight the event and press Shift+Delete to remove the event. The user will be prompt to confirm the deletion. This Appearance can be changed in the Themes & Appearances configuration window.

Additional Log Event List Columns

Additional information can be displayed in the Logs Module to customize the view. The following are the columns of information that can be added to the Logs Module by right-clicking anywhere in the header of the event list:

Asset - Asset expands to another menu allowing the user to choose a field associated with a library asset.

Description – The Description column is used for adding a description to the event as it is in the log

EditCode – The Edit Code gives useful information about changes made to the log based on the status (User-copied, User-moved, Skipped, Sequencer resync) in alpha numeric format

ErrorCode – The Error Code displays any error code as to why an event did not play, such as missing audio, player not running, etc.

Fixed - The Fixed column displays a lock [image] in the column showing the event is a fixed event that is required to play, Backtiming will be performed to account for the fixed event.

GUID (Log Event) - The GUID is a unique identifier used in GSelector Integration to keep the events in sync.

HardtimeOffset - The HardtimeOffset column shows the time in seconds from the last hard timed event in the Log.

Hour - The Hour column shows the Hour number for each hour, this is based on military time.

LogEventId - The LogEventId is the ID number that Zetta uses to track the event.

PlayerStreamId – The Player Stream Id gives the Player Stream ID number that was used to play the element.

Progress Counter - The Progress Counter displays the progress of the currently playing asset and the following 2 assets in the log.

RunTime – The Runtime field will display the amount of time the asset will take to play from Trim In to Segue.

StatusCode – Status Code gives the event status code in alpha format, such as Ready, cued, Played, Not Played etc.

Stop Time – Stop Time gives the time the event stopped playing.

Stream – Stream is used to view the stream the event will use when played. Hover the mouse over the number to view information about the play device being used.

Gap Time

The bottom of the Logs window shows the time of the next scheduled ETM and the Gap Time from the currently playing event to the ETM. A positive gap time means the estimated time to the ETM is over scheduled. A negative gap time means the estimated time to the ETM is under scheduled.

Top of Hour

Each hour of the Log is marked with a Top of Hour comment. The Top of Hour comments can be set an ETM Type in the Automation tab of the Station Configuration window. This setting defaults to Reset. When the TOH ETM type is set the Top of Hour markers in the Log will show the Gap Time for the hour. When the TOH ETM type is set to None no Gap Time is shown in the Top of Hour marker in the Log.

Right-click Menu Options

Using the mouse to right click the Log/Clock a menu of the following additional options are displayed.

Synchronize to Selection

Missing Audio Report

Resolve Tags / Rotations / Imaging

Insert Song

Insert Link

Insert Spot

Insert Other Audio

Insert Tag

Insert Rotation

Insert Imaging

Insert Control Events

Replace Event

Juggle Events

Edit Audio

Spot Blocks

Log Windows

Resolve Tags / Rotations / Imaging

Tags, Rotations and Imaging assets are typically resolved as they reach the queue in the Log. With the Resolve Tags / Rotations / Imaging option a user, with rights, can Resolve or Unresolve these assets in the selected log. When a Tags, Rotations and Imaging are resolved the icon [image] in the log will change to show the type of asset that will be played. Elements in the past cannot be resolved/unresolved. Right-click the selected Tags / Rotations / Imaging, select Resolve Tags / Rotations / Imaging from the resulting menu and then Resolve Selection or Unresolve Selection to resolve/unresolve the selected asset(s). To Resolve All or Unresolve All use the Tools [image] toolbar option.

Insert Song

The Insert Song option opens the Song Consideration window and the Properties window for the asset. From the consideration window a Song can be selected. The asset can be auditioned before selecting it for the log or clock. Songs can also be inserted into the log by dragging and dropping one or multiple assets into the log.

Insert Link

The Insert Link option opens the Link Consideration window and the Properties window. From the Consideration window a Link can be selected. The properties window will show the details about the link. The asset can be auditioned before selecting it for the log or clock. Links can also be inserted into the log/clock by dragging and dropping one or multiple assets into the log/clock.

Insert Spot

The Insert Spot option opens the Spot Consideration window and the Properties window. From the Consideration window a Spot can be selected. The properties window will show the details about the Spot. The asset can be auditioned before selecting it for the log or clock. Spots can also be inserted into the log by dragging and dropping one or multiple assets into the log.

Insert Other Audio

The Insert Other Audio option displays a list of Other Audio events created using the Other Audio tab in the System Configuration window. This option also lists Voice Track, Quick Record, Show and Mini-Logs. Selecting an Other Audio opens the Consideration window and the Properties window. From the Consideration window an asset can be selected. The properties window will show the details about the asset. The asset can be auditioned before selecting it for the log or clock. Other Audio can also be inserted into the log by dragging and dropping one or multiple assets from the corresponding library tab into the log.

Important Note!

The Log(s) must be generated for all the days that a Mini-Log will span prior to adding the Mini-Log. Zetta will not allow a Mini-Log to span to a days log that has not been previously generated.

If a Mini-Log is dropped into a station where the assets in the Mini-Log are not active for the station, the assets will show an alert in the log and the inactive events will not play.

Insert Tag

The Insert Tag option opens the Tag Consideration window and the Properties window. From the Consideration window a Tag can be selected. The properties window will show the details about the Tag.

Insert Rotation

The Insert Rotation option opens the Rotation Consideration window and the Properties window. From the Consideration window a Rotation can be selected. The properties window will show the details about the Rotation.

Insert Imaging

The Insert Imaging option opens the Imaging Consideration window and the Properties window. From the Consideration window an Imaging rotation of assets can be selected. The properties window will show the details about the Imaging asset. The Assets within the Imaging rotation use an ordered rotation and the asset that will play is resolved in the log when the Imaging enters the Sequencer queue.

Insert Control Events

Control Events are inserted into the Log using the right-click menu from any location in the Log event list, then selecting a Control Event from the Consideration Window. See the Control Events Topic for more information.

Replace Event

The replace event option will open the corresponding Consideration window and the properties window. The Replace of Spot Blocks is disabled with GSelector Integration.

Edit Audio

The Edit audio option is used to choose an available audio editor, the default editor is the Quick Record module, see the External Editors section of this guide for more details on adding editors.

Spot Blocks

The Spot Blocks option is used to expand or contract the Spot Blocks in the log. By default the Spot Blocks are contracted, allowing the user to only see the properties of the spot block, in expanded form the events in the spot blocks become visible. Spot Blocks can also be expanded manually by using the + to the left of the airtime of the spot block or automatically, every time the On-Air/Log/Clock is open, by setting the Auto Expand Spot Blocks in the Preferences window.

Mark as Read

The Mark as Read option is only visible when right clicking a Live Read Asset. The Mark as Read is used to tell Zetta that the Script for the asset has been read. Clicking this option marks the asset as Played. When the Live read is marked as read the script icon in the log event will change to green [image].

Using Beds as a Clock/Log event

A Bed can be placed in the Clock or Log by dragging and dropping the asset from the Library. Assets, with the exception of Songs or Spots, can be marked as a bed using the Extra tab of the asset's metadata card. When these assets are placed in the log the asset following the bed will start at the bed's early segue point. If the bed does not have an early segue point the following asset will start and the bed's trim in point. The Bed will end at either the bed's trim out, the following assets segue point or the earliest start of the asset following the bed whichever is earliest.

Logs Step-by-Step Topics

This topic contains step-by-step instructions for common log maintenance tasks.

Generate a Log from a Clock

Regenerate a Log

Load Traffic/Music Flat File into a Log

Add Events to the Log

Skip Events in the Log

Move Events in the Log

Juggle Events

Synchronize to Point in Log

Copy Multi-Hour Ranges from one Log/Clock to another Log/Clock

Add Columns to the Logs Events list

Replace Columns in the Logs Events list

Remove Columns in the Logs Events list

Move Columns in the Logs Events

Missing Audio Report

Print Log

Filtering in Logs/Clocks/Macros

Generate a Log from a Clock

To Generate a Log from a Clock in Zetta, follow these steps:
  1. Configure the Clock from the Modules | Clocks
  2. Select Logs from the Modules menu
  3. Select the Station from the Station drop-down selection.
  4. Select the Date of an empty log.
  5. Select a Standard Clock or Special Clock to use from the Select Clock drop-down. Optionally select (Empty Clock) to create a log with only Top of Hour markers.

  6. Select the Generate Log button.
  7. Repeat for the following day. Future logs will be generated during scheduled maintenance according to the Future Days to Schedule setting in the Details tab of the Station Configuration. The Scheduled Days setting in Scheduled Maintenance Configuration must be selected.

Regenerate a Log

To Regenerate a Log in Zetta, follow these steps:
  1. Select Logs from the Modules menu
  2. Select the Station from the Station drop-down selection
  3. Select the Date of the Log to regenerate.
  4. Select the drop-down arrow next to the Tools [image] button
  5. Select Regenerate Log. If GSelector is integrated and traffic is loaded, the full schedule will be pulled from GSelector.

  6. If Flat File Load is set to Auto, Zetta will search for the file to load. Confirm the traffic file or browse to a new traffic file. If music/traffic is set to Manual load, use the [image] Load Traffic/Music from Flat File button after the log has been generated to load Music/Traffic.
  7. Optionally, change the hours to regenerate using the Regenerate Log from hour n onwards drop-down option.
  8. Optionally, select the Suspend Sequencer during log regeneration. This is typically only used to regenerate the current hour of the current day's log.
  9. Click GO to Regenerate the Log.

  10. Once the log has regenerated the bottom section of the window will show it completed or failed with any errors that occurred. Click the Close button in the upper right-hand corner of the window to return to the Log.

Load Traffic/Music Flat File into a Log

To Load a Traffic Flat File into a Log in Zetta follow these steps:
  1. Create the Flat File Assignment using the Configuration menu
  2. Open Logs from the Modules menu
  3. Select the Station
  4. Select the Log Date to load
  5. Select the down arrow for the Load Traffic/Music from flat file [image] button

  6. Select the Flat File assignment to use to load the log. The Manual Flat File Load/Reconciliation window will open and Zetta will default to the Flat File Assignment selected.

  7. Optionally, change the Flat File Assignment to use.
  8. Optionally, enter or browse to a different Flat File Path.
  9. In the Hours to Load section the Process all hours is selected by default. The Hours shown are based on the regional settings of the computer. Deselect the Process all Hours to select an individual hours or a multiple hours using the CTRL or Shift. Optionally, use the mouse to click and drag across multiple hours to select a range.

  10. Click GO when ready to process the selected Flat File.

  11. By default, assets that are loaded into Spot Blocks are loaded from the top of the spot block down. Use the Traffic Load Position Control Event to control where traffic loads in a spot block. Once the log has loaded the bottom section of the window will show it completed or failed with any errors that occurred. Click the Close button in the upper right-hand corner of the window to return to the Log.

Add Events to the Log

To add events to a station log in Zetta follow these steps:
  1. Click Logs from the Modules Menu.
  2. Click Library from the Modules Menu.
  3. Click and Drag one or multiple assets from the media Library Module to the Log Module. To choose multiple events use the Shift or CTRL keys and click the events to add.

Important Note!

The order in which the Library assets are highlighted is the order the assets will be placed in the log.
  4. Drop the event(s) into the desired location of the log. While dragging the event(s) into the log, a blue line is displayed as a guide that outlines the event’s position.

Skip Events in the Log

An event is not deleted from the log but instead it is marked to be skipped.

To skip an event or multiple events from a station log, follow these steps:
  1. Click Logs from the Modules Menu.
  2. Select an event or combination of events in the log to skip. To choose multiple events use the Shift or CTRL keys and click the events to skip.
  3. Press the Delete key on the keyboard. The delete key will mark all the events highlighted to be skipped. To remove the check in the skip column click the Delete key again.

Move Events in the Log

To move events in a station log in Zetta follow these steps:
  1. Click Logs from the Modules Menu.
  2. Click and Drag the event to be moved.
  3. Drop the event into the desired location of the log. As the event is dragged in the log, a red line is displayed as a guide that outlines the event’s position.

Juggle Events

The Juggle of Spot Blocks is disabled with GSelector Integration.

There are two ways to juggle events in a log or clock, follow these steps:
  1. Right click an event in the log or clock.
  2. Click Juggle
  3. Right click a second event in the log or clock and click juggle. The two events will switch positions.

Alternatively

  1. Hold down the CTRL key and click the first event in the log or clock
  2. While still holding the CTRL key click the second event in the log or clock
  3. Right click and select juggle the two events will switch positions in the log or clock.

Synchronize to Point in Log

Zetta can synchronize to selection anywhere into today's or tomorrow's log.

To move events in a station log in Zetta follow these steps:
  1. Right-click on a future or past event in the log.
  2. Click Synchronize to Selection
  3. Click Ok to confirm synchronization to the chosen position.

For more information and features on playing from a specific point in today's or tomorrow's log, see the section on Synchronize to Selection in the Features section of this guide.

Important Note!

Audio that is currently playing must be stopped to synchronize to a past point in today's log.

Copy Multi-Hour Ranges from one Log/Clock to another Log/Clock

Several important notes before using the feature:

  • The target schedule range must be completely empty. If there is even a single item in the target schedule range, Zetta will not respect TOHs on pasting, resulting in all items being pasted into a single hour. To easily clean up the target clock, just select the range and hit Delete to remove all selected items. At this point there is no easy way of removing items from the Logs module they will be skipped instead.
  • Zetta will not paste across end of day, meaning if a 3 hour region is pasted into 11 PM, Zetta will only populate that one hour and will not carry over the overlapping two hours to the following day.

To Copy Multi-Hour regions in Logs and Clocks, perform the follow these steps:
  1. Click Logs or Clocks from the Modules Menu.
  2. Select the Station
  3. Select the Date or Day
  4. To select multiple hours for copying, use a common Windows methods:
    • While holding a SHIFT key, advance down the schedule using a cursor down key
    • Click on the first item of the region, scroll down to the last item and click it while holding a SHIFT key.
  5. Use CTRL+C to copy the selected range
  6. Select another Station if desired
  7. Select another Date or Day
  8. Use CTRL+V to paste the range.

Tip: Zetta can copy and paste in reverse order. When selecting a region, start at the bottom, and advance up using a cursor up key while holding SHIFT. Use CTRL+C to copy, select the target Log or Clock, then CTRL+V to paste. The updated Log or Clock will be in reverse order.

Add Columns to the Logs Events list

To add columns to the Log Module in Zetta follow these steps:
  1. Right-click the column heading where the new column is to be added
  2. From the displayed menu click Insert and choose the item from the menu to be added.

Replace Columns in the Logs Events list

To replace a column in the Log Module in Zetta with a different column, follow these steps:
  1. Right-click the column heading to be replaced
  2. From the displayed menu, click Replace and choose the item from the menu to replace the current column.

Remove Columns in the Logs Events list

To remove a column in the Log Module in Zetta follow these steps:
  1. Right-click the column heading to be removed
  2. Click Remove

Move Columns in the Logs Events

To move a column in the Log Module in Zetta to a different location in the window follow these steps:
  1. Click and Drag the column to be moved to the location desired.
  2. Drop the column in the desired location. As the column is dragged, a ghost image of the column will be seen that outlines the column’s position.

Missing Audio Report

To run a Missing Audio Report for a day's log, perform the following steps.
  1. Click Logs from the Modules Menu.
  2. Select the Station
  3. Select the date of the log.
  4. Right-click on an event in the log
  5. Select Missing Audio Report from the resulting menu. See the Reports section of this guide for more information.

Print Log

To print the log, perform the following steps.
  1. Click Logs from the Modules Menu.
  2. Select the Station
  3. Select the date of the log.
  4. Select the Print [image] button from the Log Toolbar.

  5. Select the Start Hour and End Hour to print by hour.
  6. Select the Orientation of the print out desired.
  7. Select the Margin size or click Fit to page for one page.
  8. Select Print Preview [image] to see the results before printing.
  9. Select Print [image] when satisfied with the look of the print out.

Filtering in Logs/Clocks/Macros

To use the Cycle Filter in Logs and Clocks, follow these steps.
  1. Click the Cycle Filter [image] in the toolbar of the logs or clocks module.

  2. Select the Asset type to filter by or select Edit next to the word Custom.

  3. In the Custom drop-down select the log events to filter by.
  4. This custom filter can be saved as part of a Layout.
  5. Optionally, assign the LogEditor.NextFilter and the LogEditor.PreviousFilter to a Keyboard Command Mapping to use a Key on the keyboard to toggle through the filters easily.

Welcome < Modules < Logs and Clocks < Logs

© 2007-2017 RCS. All Rights Reserved.


Publish Content

The Publish window is used to view and publish a group of mixed content such as an Episode or Podcast to a configured Location from the log. The Publish [image] button in the Logs module toolbar is used to access this window. The Publish feature uses the configured Publish types from the Publish tab in the System Configuration window. The Publish window has two tabs at the bottom of the window, the default tab is the Publish tab used to view the events being published. The Multitrack Viewer displays the audio waveforms in the sequence they will be played and allows the user to listen to how the audio will play.

Click any area in this image for help

Click any area in this image for help

Publish Type

Name

Publish button

Publish tab

Multitrack Viewer

Time line

Zoom/Pan

Play Controls

Play Cursor Time Position

Publish Log Content

Publish Type

The Publish Type drop-down is used to selected a defined Publish instance to use for the Published content.

Name

The Name field is the name of the files that will be created when the selected events are mixed down into one audio file and/or one metadata file. The file name is derived from the Publish instance name, the Computer name, the date and the time it was published.

Publish button

The Publish button will start the processes of mixing down the audio and creating the metadata file that will be placed in the locations defined in the Publish instance.

Publish tab

The Publish tab shows the list of events that will be published.

Multitrack Viewer

The Multitrack viewer tab found at the bottom of the Publish window is used to view the waveforms of the sequence of events selected to be published and play these event using the play controls found at the bottom of the window. The timeline of the events are shown over three tracks in a zigzag pattern with a Zoom Control bar at the bottom of the tracks. The audio is played out of the selected Multitrack Playback Device selected in the Audio Assignments tab of the Computers configuration. These play controls can also be mapped to the Multitrack commands used in the Command Mappings configuration.

Time line

The Time line below the project tracks will allow the user to navigate to any place in the audio by clicking the mouse in the time line or anywhere in the project the play marker will move to the clicked location.

Zoom/Pan

The Zoom/Pan allows the user to zoom into the waveform and pan to the left or right. The mouse wheel can also be used to zoom in and out of the waveform. To zoom into a specific section of the waveform using the mouse wheel, simply hover the mouse cursor over the desired location in the waveform and use the mouse wheel scroll down to Zoom in. The user can also right-click the zoom/pan and use the resulting menu to Zoom or Pan.

Left Edge - The Left Edge option will move the zoom/pan position to the far left of the tracks.

Right Edge - The Right Edge option will move the zoom/pan position to the far right of the tracks.

Page Left - The Page Left option will move the zoom/pan to the left, equal to the amount of the Zoomed position.

Page Right - The Page Right option will move the zoom/pan to the right, equal to the amount of the Zoomed position.

Scroll Left - The Scroll Left option will move the zoom/pan to the left.

Scroll Right - The Scroll Right option will move the zoom/pan to the right.

Zoom In - The Zoom In option will zoom into the tracks.

Zoom Out - The Zoom Out option will zoom the tracks out.

Show All - The Show All option will zoom the tracks in the project out to view the entire track.

Play Controls

Play Selection - The Play Selection button will play the audio within the highlighted selection.

Play Outside Selection - The Play Outside Selection button will play 2 seconds of audio on each side of the highlighted selection.

Go to start – The Go to start button will move the play marker to the beginning of the Tracks or position 00 in the Time Line.

Rewind – The rewind button will rewind the audio by five seconds every time it is used.

Stop – Stop will stop the play or record and move the play marker back to the beginning of the Tracks or position 00 in the Time Line.

Play – Play will play the audio starting from the play marker.

Pause - The Pause button will pause any audio playing and hold the play position.

Fast forward – Fast Forward will fast-forward the play marker five seconds in the audio each time it is clicked.

Go to end – The Go to end will move the Play marker to the end of the audio of the enabled track farthest to the right.

Loop - The Loop button places the play of audio to Loop [image] when played either using the Play [image] button or the Play Selection [image] button. The Loop will continue to play until the audio is stopped [image] or until the Loop button is toggled.

Play Cursor Time Position

The Play Time to the right of the Play Controls shows the play cursor position and if a section is highlighted will also show the In, Out and Time of the highlighted selection. The large number shows the cursor play position and the smaller numbers show the In position, Out position and the Total Time of the highlighted selection.

Publish Log Content

To Publish content from the log, perform the following:
  1. Determine if the Publish will be Audio and Metadata, just Audio or just Metadata.
  2. Create a Location(s) to place the Audio and Metadata.
  3. Create a Publish type for Audio and Metadata, just Audio or just Metadata.
  4. Open the Log Module
  5. Select the Station
  6. Locate the events to Publish.
  7. Select the down arrow next to the Publish [image] toolbar button to select the Publish type.
  8. Use the Publish tab to view the content to be published.
  9. Use the Multitrack Viewer tab to view the Audio waveforms and play the events to be published.
  10. Click the Publish button.


Log Windows

In the Logs and Clocks Modules, additional windows can be accessed when using the right-click menu to Insert or Replace a Song, Link or Event in Zetta®. By right-clicking an event in the Logs or Clocks and selecting one of these options, the Consideration, History and Properties windows will be opened. When Zetta is integrated with GSelector® the Test Bar and Failure Details windows are also available in the Logs Module. These windows are much like the ones found in the GSelector Editor. They can be free floating, docked or pinned to the log window in any position desired. If GSelector integration is enabled the information shown in these windows is pulled directly from GSelector with the exception of the properties window, which is always pulled from the Zetta database. See the section on GSelector Integration for more information on integrating GSelector with Zetta.

Click any area in this image for help

Click any area in this image for help

Consideration Window

Show History

Properties Window

Test Bar

Failure Details

Log Windows Step-by-Step Topics

Consideration Window

The Consideration window lists various assets the user will consider for use in the log. From the Consideration window a user can select a different asset, type of asset, or control event using the Page drop-down menu. When selecting a Song or Link asset the user can use the Category drop-down menu to select from a configured category. This window opens when selecting to Insert or Replace an event in the log. If the station is integrated with GSelector the Event Type drop-down is not shown in the Replace window.

When Zetta is integrated with GSelector the consideration window works like the consideration window found in GSelector. Songs and Links are ranked and sorted in descending order of Lowest Score. The score values show how close the currently selected item is to meeting the Song or Link Scheduling Goals if placed in the current log position; the greater the deviation from the ideal, the lower the score, the closer to 100, the better. To show more results in this window use the Fetch drop-down to change the number of assets to display. To select a different category use the Category drop-down to select a different category. To change the event type to a Control Event use the Page drop-down. See the GSelector Help Guide for more information on Goals.

Show History

The History window is a visual plot of the days and times the selected Song or Link, or Artist of a Song or Link has been scheduled. The history window can be used to display the artist history or the asset history by using the right-click menu from anywhere in the history grid. By default the History window shows a 14 day history, to show more use the right-click menu from anywhere in the grid to select Show More. This window is accessed using the View | History option when right-clicking an event in the event list.

Song/Link History

Artist History

Properties Window

The properties window displays the details about the Asset or Control Event. Most of the information about the asset is pulled from the Metadata card for the asset. When the properties of a Spot are selected, Zetta will also show the Traffic System Data for the Spot. When a Control Event is selected the properties window can be used to Edit the Control Events Values. This window opens when selecting to Insert or Replace an event in the log or when selecting the properties option from the right-click menu.

Play Asset Properties

Control Event Properties

Spot Properties

Test Bar

The Test Bar shows five critical rotation tests for any selected song or link in the Log or Consideration window. This window is accessed using the View | Test Bar option when right-clicking an event in the event list. These tests are as follows:

Closest Region - The Closest Region tag displays the closest day and time the asset will play or has played in the current Daypart Region. See the GSelector Help Guide for more information on Daypart Regions.

Closest Daypart - The Closest Daypart tag displays the closest day and time the asset will play or has played in the same Daypart.

Closest Hour -The Closest Hour tag displays the closest day and time the asset has played or will play in the current hour.

Vocalist Previous – The Vocalist Previous tag displays the date and time of the closest previous play of the selected artist occurred.

Vocalist Next – The Vocalist Next tag displays the date and time of the closest next play of the selected artist will occur.

Hour Rotation – The Hour Rotation tag is a string of characters representing previous plays within the hours of the current Daypart. The hour in parentheses is the current hour while the hours to the right indicate previous plays.

Failure Details

The Failure Details pane shows exactly how well an item in the Log or the Consideration window has met the scheduling goals for any selected log position. When an item is selected in the Consideration window, all goal scores are listed and sorted in order by contribution to the overall score. Scores in GSelector are used to indicate how well a given asset meets the scheduling priorities. See the GSelector Help Guide for more information on Goals. This window is access using the View | Failure Details option when right-clicking an event in the event list.

Log Windows Step-by-Step Topics

This topic contains step-by-step instructions for using the log windows in the Logs Module.

Insert Events into the Log

Replacing an Event in the Log

Pinning the Log Windows

Saving the Log Windows to a Layout

Insert Events into the Log

To Insert events to a station log using the log windows, perform the following steps:
  1. Click Logs from the Modules Menu.
  2. Right-click on an event in the log
  3. Select Insert Song or Insert Link, this will open the consideration window.
  4. Select the Event Type to insert.
  5. Select a Category from the drop-down menu
  6. Click and Drag the desired event to the location in the log or double-click the event
  7. Drop the event into position

Replacing an Event in the Log

To Replace events in a station log in Zetta® follow these steps:
  1. Click Logs from the Modules Menu.
  2. Right-click on an event in the log
  3. Select to Replace Event, this will open the consideration window
  4. Optionally, select a different Event Type.
  5. Select a replacement event or change the Category from the drop-down menu
  6. Double-click the desired event to replace the selected event.

Important Note!

If the station is integrated with GSelector the Event Type drop-down is not shown in the Replace window.

Pinning the Log Windows

To Pin or auto-hide the windows in the logs module, use the following steps:
  1. Click Logs from the Modules Menu.
  2. Right-click on an event in the log
  3. Select Show/Hide Selected from the menu or select Insert Song or Link
  4. Use the pin [image] in the upper right corner of the windows to auto-hide the windows to the left, right, top or bottom of the log window.

  5. Click the tab for the window to show the window again

  6. To unpin [image] the window simply click the pin again.

Saving the Log Windows to a Layout

Once the Log Windows are setup, follow these steps to save the layout of the module to the user’s layout.
  1. Click the Layout from the Application Menu.
  2. Click Save Layout

Welcome < Modules < Logs and Clocks < Log Windows

© 2007-2017 RCS. All Rights Reserved.


Control Events

Control Events are inserted into Logs, Clocks, Record Logs, Record Clocks, Shows, Mini-Logs and Macros using the right-click menu from any location in the Event list, then selecting a Control Event from the consideration window. The following shows the control events that are available in the Logs window:

Comments

Empty Slot

Empty Voice Track Slot

Exact Time Marker

Stretch

Execute Command

External

Fill Position

Macro

Pause

Record

Record To: Asset

Record To: File

Spot Blocks

Traffic Load Position

Unscheduled Link

Unscheduled Song

Comments

Comments can be used to make pertinent comments about the surrounding events or act as placeholder for an event to be added later. GSelector breaknotes are placed in the Log as comments. When a Comment is selected the properties window is used to enter the desired comment.

Important Note!

Version 4.2.1 or higher of GSelector is required for Breaknote functionality.

Empty Slot

The Empty Slot event is used as a placeholder when using the Merge Content selection for Flat File Load. This allows the user to fill empty slots in the log instead of replacing the entire hour in the log. This control event is available in Clocks/Logs and Background Clocks/Logs. This control event is not available for a Macro event. Empty Slots can be used for audio and non-audio events, such as songs, links, spots, comments and execute commands. When the timing is set to Stretch on an Empty Slot, Zetta will stretch or squeeze the event in the log to meet the Hard Time set for the next ETM. When the Fixed option is selected Zetta will use Backtiming to ensure the event plays before the next ETM.

To use an Empty Slot for a spot the empty slot must be placed within a spot block. An empty slot in a spot block cannot be filled with a spot block from the flat file. If the flat file has a Spot Block X which lines up with an empty slot in the log, Spot Block A, then the rest of the slots in Spot Block A are skipped and the Spot Block X, from the flat file, is placed in the first empty slot past Spot Block A that is not in a Spot Block. The event after Spot Block X in the flat file is placed in the next Empty Slot past Spot Block A, and so on. The flat file load will align to Top of Hour markers. It will also align to ETMs as long as the ETM exists both in the log and in the flat file. If there are too few events in the hour to fill the empty slots between the current position and the next ETM or TOH then the extra empty slots are ignored. If there are too many events in the hour of flat file then the extra events in the file are ignored. For best results when loading spots, always use an ETM just before a spot block. Empty Slots are normally used in Clocks. Empty Slots are not used when loading traffic using Linker in GSelector integration.

Empty Voice Track Slot

Empty Voice Track Slot serves as a place holders for Voice tracks. The marker tells the talents where to record the voice track and the duration. The Stretch option tells Zetta whether to Stretch or Squeeze the Voice track to meet a future ETM. When the Fixed option is selected Zetta will use Backtiming to ensure the event plays before the next ETM. This Control Event is not available in the Macro Configuration window.

Exact Time Marker

Exact Time Markers (ETM) define points in time in the schedule. Each stretch of time between an ETM is referred to as a segment. Exact Time Markers are used to adjust the airtime in the schedule, or to tell operators when a given program element should be broadcast. The properties window can be used to set the Hard Time of the ETM, the Type of ETM to be used, and whether to Stretch/Squeeze specified events to meet the ETM. This Control Event is not available in the Macro Configuration window.

The time of the next scheduled ETM is displayed at the bottom of the Log window with the Gap Time, the Gap Time is the amount of time the log is overfilled or under filled based on the ETM.

The following table shows how the log handles hour fill and resync for each type of ETM based on the mode of the log. The Fill Category can be set in the Automation tab of the Station Configuration window for each station.

ETM | Mode | Play entire event (Play Through ETM) | Jump over ETM (under filled to ETM) | Fill (Add for under filled items) | Drop overfilled items | Fade Current Playing Items (Playback time display) | Gap Time Calculations
Hard | Auto | No | No | Yes | Yes | Yes | Yes
 | Manual | N\A (Dependent on user action) | No | No | No | No | Yes
 | Live Assist | N\A (Dependent on user action) | No | No | No | No | Yes
 | Execute ETM in Live Assist Flag enabled | No | No | Yes | Yes | Yes | Yes
Soft | Auto | Yes | No | Yes | Yes | No | Yes
 | Manual | N\A (Dependent on user action) | No | No | No | No | Yes
 | Live Assist | N\A (Dependent on user action) | No | No | No | No | Yes
 | Execute ETM in Live Assist Flag enabled | Yes | No | Yes | Yes | No | Yes
Hit | Auto | Yes | Yes | No | No | No | No
 | Manual | Yes | Yes | No | No | No | No
 | Live Assist | Yes | Yes | No | No | No | No
 | Execute ETM in Live Assist Flag enabled | Yes | Yes | No | No | No | No
Reset | Auto | Yes | Yes | No | No | No | Yes
 | Manual | Yes | Yes | No | No | No | Yes
 | Live Assist | Yes | Yes | No | No | No | Yes
 | Execute ETM in Live Assist Flag enabled | Yes | Yes | No | No | No | Yes

If the Execute ETM events in Live Assist Mode option is enabled in the Automation tab of the Station Configuration then when the sequencer is in Live Assist mode the ETM events will execute the same as if the sequencer were in Auto mode.

Below are examples of how the log would look for each type of ETM:

ETM Hit:

Before Playback |  |  |  | After Playback |  |  |
2:05 | Song |  | 5min | 2:05 | Song |  | 5min
2:10 | Song |  | 5min | 2:10 | Song |  | 5min
2:30 | ETM | Hit |  | 2:30 | ETM | Hit
2:15 | Song |  | 20min | 2:15 | Song |  | 20min
2:35 | Song |  |  | 2:35 | Song |  |

ETM Reset:

Before Playback |  | Live Assist |  | Before Playback |  | Auto |  | After Playback |  | Auto |
2:05 | Song |  | 5min | 2:05 | Song |  | 5min | 2:05 | Song |  | 5min
2:10 | Song |  | 5min | 2:10 | Song |  | 5min | 2:10 | Song |  | 5min
2:30 | ETM | Reset |  | 2:30 | ETM | Reset (Hit) |  | 2:30 | ETM | Reset (Hit)
2:15 | Song |  | 20min | 2:15 | Song |  | 20min | 2:15 | Song |  | 20min

In Auto mode, if a Hit or Reset ETM is scheduled and the log hour is under filled the events following the ETM will play before the ETM but the look of the log will not change. A Hit and Reset ETM have no effect on the log schedule; these Exact Time Markers are primarily used for marking the Clock or Log for Traffic load.

Important Note!

In Auto mode an ETM Reset is treated like an ETM Hit.

ETM Soft:

Before Playback |  |  |  | After Sequencer Fill |  |  |
2:05 | Song |  | 5min | 2:05 | Song |  | 5min
2:10 | Song |  | 5min | 2:10 | Song |  | 5min
2:30 | ETM | Soft |  | 2:15 | Song | Fill | 5min
2:30 | Song |  | 20min | 2:20 | Song | Fill | 5min
 |  |  |  | 2:25 | Song | Fill | 7min
 |  |  |  | 2:30 | ETM | Soft
 |  |  |  | 2:32 | Song |  | 20min

ETM Hard:

Before Playback |  |  |  | After Sequencer Fill |  |  |
2:05 | Song |  | 5min | 2:05 | Song |  | 5min
2:10 | Song |  | 5min | 2:10 | Song |  | 5min
2:30 | ETM | Hard |  | 2:15 | Song | Fill | 5min
2:30 | Song |  | 20min | 2:20 | Song | Fill | 5min
 |  |  |  | 2:25 | Song | Fill | 7min
 |  |  |  | 2:30 | ETM | Hard
 |  |  |  | 2:32 | Song |  | 20min

With a Hard or Soft ETM if the log is under filled and the fill category is set, Zetta will add Fill material to meet the ETM. By default, the Fill position is above the consecutive sequence of Fixed events that are closest to the Soft/Hard ETM that the Sequencer is trying to hit. If the log is overfilled and a Hard ETM is used, Zetta will fade the current playing audio, skip to the point of the ETM and start playing the next event scheduled to play after the ETM. Hovering the mouse over the runtime of the Hard ETM in the log will show a tooltip with the "Gap time before pre drops". When a Soft ETM is scheduled Zetta will finish the currently playing audio event, skip to the point of the ETM and then start playing the next event scheduled to play after the ETM. If a Soft ETM is used and the Soft ETM Window option is set in the Station Automation tab then if the log is under filled by less than the Soft ETM window, then the event after the Soft ETM will be started and hour fill will not occur. If an event is to start within the Soft ETM window and has more audio after the end of the Soft ETM than before then this event will be skipped and the event after the Soft ETM will be started. Where Fixed events are used in the log, Zetta will use Backtiming to ensure the fixed events play.

Important Note!

Fill Events have a default Timing of Stretch to further assist in reaching an accurate fill to meet the ETM. For Zetta to Stretch/Squeeze these fill events the ETM must also have a Timing of Stretch.

Stretch

Zetta® uses pitchless stretch/squeeze to meet Hard ETM events. When the Stretch option is selected on an ETM, Zetta will stretch or squeeze the preceding events in the log that are set with Stretch, to meet the Hard Time set for the ETM. The Stretch option of an asset is set in the properties window of the Zetta Clock/Log or in the Timing field of the GSelector Clock/Log Editor. The Maximum Stretch and Squeeze percentage for a Station can be set in the Playback tab of the Station Configuration window. An Execute Command can also be added to the log using the task type SequencerSetMaxStretchSqueeze to set this percentage value. In Auto or Live Assist mode, when assets are being stretched/squeezed an icon will appear in the On-Air window title bar [image] and the runtime of the event will be underlined.

Execute Command

The Execute Command event allows the user to select any of the available command events in Zetta® using the properties window. These are the same Command Events available through the Command Mappings tab. To make the Execute Command a Hard Timed event, in the Logs and Clocks, click the Hard Time check box and enter the time for the event to occur. If the station is integrated with GSelector the Hard Time property and value will be passed to GSelector and will display in the Hard Time column of the Editor. When placed in a Macro the start time is based on the start time of the Macro and the placement of the event in the Macro. To see a list of Zetta Commands available see the Zetta Commands topic in the Appendix section of this guide. The Task Type field has an Auto Complete feature where the user can start typing the name of the task and Zetta will match what is typed with the existing entries. When the Fixed option is selected Zetta will use Backtiming to ensure the event plays before the next ETM.

The Window Name field, shown with Z-Player and Hotkey Task types, is for Task Window Named Mappings. This feature is currently only used with the Z-Player and Hot Keys to identify the stream that will be affected by the task.

For Example: If two Z-Player modules were open at the same time, one using the stream named A and the other using the stream named B and the task desired was to start playing the Z-Player using stream A then the letter A would be placed in the Window Name field.

External

The External control event is used to play an audio file that is external to Zetta such as a Time Announcement. External control events can use wild card variables, such as @H for the current hour and @m for the current minute. The Segue Time Before Audio End and the Estimated Duration are expressed in milliseconds.

Fill Position

The Fill Position event tells Zetta where to place fill material when a Spot Block or the time to ETM is under filled. This control event is used with the ETM Fill Category and the Block Fill Category that are defined in the Automation tab of the Station Configuration. When the Fill Position is placed in a Spot Block, Zetta uses the Block Fill Category to fill the spot block if it is under filled. When the Fill Position is placed outside the spot block the ETM Fill Category is used to fill the time before the next ETM if it is under filled.

Macro

The Macro option allows the user to select a configured Macro or collection of commands to be inserted into the clock or log as a single event. See the Macro section of this guide for additional help on how to Create a Macro. To make the Macro a Hard Timed event, in the Logs and Clocks, click the Hard Time check box and enter the time for the Macro to occur. If the station is integrated with GSelector the Hard Time property and value will be passed to GSelector and will display in the Hard Time column of the Editor. When placed in another Macro the start time is based on the start time of the Macro and the placement of the event in the Macro. When the Fixed option is selected Zetta will use Backtiming to ensure the event plays before the next ETM.

Pause

Pause is used to pause the play back of the log. A Pause event length in seconds can be entered or left at 00:00. When a length is selected or entered, the system will pause the log until the length of time expires. The log will also restart if the system executes a time based event, a command is received from a mapped GPIO device or the user initiates playback of the log. Selecting a time of 00:00 will pause the log indefinitely. When placed in a Macro the start time is based on the start time of the Macro and the placement of the event in the Macro. When the Fixed option is selected Zetta will use Backtiming to ensure the event plays and is not dropped from the log.

Record

The Record event is typically used with the Recorder Logs and Recorder Clocks for Recording Shows and Satellite feeds for play at an alternative time slot, however a record event can be placed in the Stations Log or Clock. A Record Event can be started by Hard Time or from a GPIO mapping. It can be recorded to an Existing Asset of to a File for other use, such as verifying a Spot ran for a specific day and time. The Record Event can be placed in a Macro. When placed in a Macro if Time is selected as the Start Type the Recording will start when the event is played in the Macro, if GPIO is selected as the Start Type then Zetta will wait for a GPIO start opto to start the recording. If the station is integrated with GSelector the Hard Time property and value will be passed to GSelector and will display in the Hard Time column of the Editor.

Record To: Asset

To use Asset as the Record To option, simply select Asset and the drag an existing asset from the library to the Drop asset to assign field. Double-click the asset record event to open the metadata card for the asset.

Record To: File

When File is selected as the Record To option, a File Path will need to be entered into the Properties window. The File Path can be defined using the variables available in Zetta.

See the Background Recording Features section for more information on Recording a Satellite Show.

Spot Blocks

The Log will show a Spot Block when scheduled using GSelector, Clocks or Loading a Flat File in Zetta®. Spot Blocks contain Commercials or Paid for Spots for the station. When Spot Blocks are loaded into the Log using the Flat File load the Log will be overwritten by the contents of the Flat File. Spot Blocks should follow an Exact Time Marker for best results. When a Spot Block is inserted into a Log or Clock the user can adjust the Fill length of the Spot Block using the Properties window. When the Fixed option is selected Zetta will use Backtiming to ensure the event plays and is not dropped from the log. This Control Event is not available in the Macro Configuration window. If Splits are enabled the Splits Behavior for the entire Spot Block can be selected. However, if the Override Split Behavior on all Spot Blocks with option is set in the Splits tab of the Station Configuration then the Split Behavior can not be changed from this properties window. Use the Control Text to enter the text that will be sent when a corresponding Sequencer.SpotBlockCue/Play/Pause/Stop GPO, with the @controltext variable, is fired.

If the Spot Block contains events, the log will show the Spot Block in an expanded format or collapsed format using the Plus (+) and Minus (-) to the left of the Spot Block.

Spot Blocks use the configured Maximum stretch/squeeze percentage in the Playback tab of the Configuration | Stations to determine how much to stretch/squeeze the spot in the Spot Block to meet the desired Spot Block length. When a Spot is stretched or squeezed the time on the spot will display with an underline.

Traffic Load Position

The Traffic Load Position event is used to set where in the spot block, traffic should be loaded. Traffic Load Positions can only be placed inside a Spot Block. By default, spots are loaded into the spot block from the top down. For every Traffic Load Position a spot will be placed in the Spot Block at that position. If there are more spots than traffic load positions for the Spot Block, use the Traffic Load Position marker to hold multiple Spots option in the Flat File Assignment. When the Traffic Load Position marker to hold multiple Spots option is set to First Marker the extra spots will be loaded into the first traffic load position as seen in the following example:

Spot Block

Traffic Load Position

Spot 1

Spot 2 (extra spot)

Traffic Load Position

Spot 3

To have the extra spots load in the last Traffic Load Position, set the Traffic Load Position marker to hold multiple Spots option to Last Marker in the Flat File Assignment configuration.

Spot Block

Traffic Load Position

Spot 1

Traffic Load Position

Spot 2

Spot 3 (extra spot)

Unscheduled Link

An Unscheduled Link is a placeholder for a Link to be scheduled. When an Unscheduled Link is selected the properties window is used to select the Category for the Link, whether the link can be Stretched or Squeezed and if the event should be Fixed. When the Fixed option is selected Zetta will use Backtiming to ensure the event plays before the next ETM. This Control Event is not available in the Macro Configuration window.

Unscheduled Song

An Unscheduled Song serves as a song place holder. When an Empty Song Slot is selected the properties window is used to select the Category of the Song, whether the song can be Stretched or Squeezed and if the song should be Fixed. When the Fixed option is selected Zetta will use Backtiming to ensure the event plays before the next ETM. This Control Event is not available in the Macro Configuration window.

Control Events Step-by-Step Topics

Important Note!

Hard Timed events are only available in the Logs/Clocks and Recorder Logs/Clocks Modules.

Insert a Comment

Insert an Unscheduled Link

Insert an Unscheduled Song

Insert an Empty Voice Track Slot

Insert an Exact Time Marker

Insert an Execute Command

Insert a Macro

Insert a Pause

Insert a Spot Block

Insert an External Event

Insert a Record Event

Edit a Control Event

Insert a Comment

To Insert a Comment into a Log, Clock or Macro follow these steps:
  1. Right-click anywhere in a Log, Clock or Macro Configuration window
  2. Select Insert Control Event from the resulting menu
  3. Select Comment from the Insert Control Event consideration window
  4. In the New Comment Properties window enter the Value for the Comment
  5. Optionally, enter a Duration value. This value is only a visual aid for the user, the log does not stop or process the comment for the duration entered. However the comment duration does affect the ETM time and the Gap time.

  6. Drag and Drop the Comment from the Insert Control Event consideration window to the Log/Clock/Macro.

Insert an Unscheduled Link

To Insert an Unscheduled Link into a Log/Clock follow these steps:
  1. Open a Logs or Clocks from the Modules menu
  2. Select the Station
  3. Select the Log Date
  4. Right-click anywhere in the Log/Clock
  5. Select Insert Control Event from the resulting menu
  6. Select Unscheduled Link from the Insert Control Event consideration window
  7. In the New Unscheduled Link Properties window select a Category for the Unscheduled Link
  8. Select Stretch to allow Zetta to Stretch or Squeeze the link to meet the next ETM.
  9. Select Fixed to lock the event so it will play and will not be dropped.

  10. Drag and Drop the Unscheduled Link from the Insert Control Event consideration window to the Log/Clock.

Insert an Unscheduled Song

To Insert an Unscheduled Song into a Log/Clock follow these steps:
  1. Open a Logs or Clocks from the Modules menu
  2. Select the Station
  3. Select the Log Date
  4. Right-click anywhere in the Log/Clock
  5. Select Insert Control Event from the resulting menu
  6. Select Unscheduled Song from the Insert Control Event consideration window
  7. In the New Unscheduled Song Properties window select a Category for the Unscheduled Song
  8. Select Stretch to allow Zetta to Stretch or Squeeze the song to meet the next ETM.
  9. Select Fixed to lock the event so it will play and will not be dropped.

  10. Drag and Drop the Unscheduled Song from the Insert Control Event consideration window to the Log/Clock.

Insert an Empty Voice Track Slot

To Insert an Empty Voice Track Slot into a Log/Clock follow these steps:
  1. Open a Logs or Clocks from the Modules menu
  2. Select the Station
  3. Select the Log Date
  4. Right-click anywhere in the Log/Clock
  5. Select Insert Control Event from the resulting menu
  6. Select Empty Voice Track Slot from the Insert Control Event consideration window

  7. In the New Empty Voice Track Slot Properties window select a Duration Value for the Empty Voice Track Slot
  8. Select Stretch if desired for the Voice Track Slot
  9. Select Fixed to lock the event so it will play and will not be dropped.
  10. Drag and Drop the Empty Voice Track Slot from the Insert Control Event consideration window to the Log/Clock.

Insert an Exact Time Marker

To Insert an Exact Time Marker into a Log/Clock follow these steps:
  1. Open a Logs or Clocks from the Modules menu
  2. Select the Station
  3. Select the Log Date
  4. Right-click anywhere in the Log/Clock
  5. Select Insert Control Event from the resulting menu
  6. Select Exact Time Marker from the Insert Control Event consideration window
  7. In the New Exact Time Marker Properties window select a Hard Time Value for the Exact Time Marker
  8. Select the Type of Exact Time Marker (Hard, Soft, Reset or Hit) to use.
  9. Select Stretch to allow Zetta to Stretch or Squeeze the preceding events to meet the ETM.

  10. Drag and Drop the Exact Time Marker from the Insert Control Event consideration window to the Log/Clock.

Insert an Execute Command

To Insert an Execute Command into a Log/Clock/Macro follow these steps:
  1. Right-click anywhere in a Log, Clock or Macro Configuration window
  2. Select Insert Control Event from the resulting menu
  3. Select Execute Command from the Insert Control Event consideration window
  4. In the New Execute Command Properties window select a Hard Time then select the Time for the Execute Command
  5. Select the Task Type.

  6. Select any additional Settings needed for the Execute Command.
  7. Drag and Drop the Execute Command from the Insert Control Event consideration window to the Log/Clock/Macro.

Insert a Macro

To Insert a Macro into a Log/Clock/Macro follow these steps:
  1. Right-click anywhere in a Log, Clock or Macro Configuration window
  2. Select Insert Control Event from the resulting menu
  3. Select Macro from the Insert Control Event consideration window
  4. In the New Macro Properties window select a Hard Time then select the Time for the Macro
  5. Select the Macro to Insert.

  6. Drag and Drop the Macro from the Insert Control Event consideration window to the Log/Clock/Macro.

Insert a Pause

To Insert a Pause into a Log/Clock/Macro follow these steps:
  1. Right-click anywhere in a Log, Clock or Macro Configuration window
  2. Select Insert Control Event from the resulting menu
  3. Select Pause from the Insert Control Event consideration window
  4. Select the Duration of the Pause.

  5. Select Fixed to lock the event so it will play and will not be dropped from the log.
  6. Drag and Drop the Pause from the Insert Control Event consideration window to the Log/Clock/Macro.

Insert a Spot Block

To Insert a Spot Block into a Log/Clock follow these steps:
  1. Open a Logs or Clocks from the Modules menu
  2. Select the Station
  3. Select the Log Date
  4. Right-click anywhere in the Log/Clock
  5. Select Insert Control Event from the resulting menu
  6. Select Spot Block from the Insert Control Event consideration window
  7. In the New Spot Block Properties window select the Fill Length of the Spot Block
  8. If Splits are enable select the Spilt Behavior.

  9. Select Fixed to lock the event so it will play and will not be dropped.
  10. Drag and Drop the Spot Block from the Insert Control Event consideration window to the Log/Clock.

Insert an External Event

To Insert an External Event into a Log/Clock/Macro follow these steps:
  1. Right-click anywhere in a Log, Clock or Macro Configuration window
  2. Select Insert Control Event
  3. Select the External from the Insert Control Event consideration window.
  4. Using the New External Properties window enter the Title of the event
  5. Enter the Path and Filename for the event using variables where necessary into the Filename field.
  6. Enter the desired Segue Time Before Audio End (in milliseconds)
  7. Enter the Estimated Duration (in milliseconds) of the audio.
  8. Select Stretch to allow Zetta to Stretch or Squeeze the External event to meet the next ETM.
  9. Select Fixed to lock the event so it will play and will not be dropped.

  10. Click and Drag the External Control event from the consideration window to the location in the Log/Clock/Macro

Important Note!

When an External Event is scheduled through Zetta the Properties of that event can be edited.

Insert a Record Event

To Insert a Record Event into a Log/Clock/Macro follow these steps:
  1. Right-click anywhere in a Log, Clock or Macro Configuration window
  2. Select Insert Control Event
  3. Select the Record from the Insert Control Event consideration window.
  4. Using the New Record Properties window select a Hard Time then select the Time for the Record Event.
  5. Select the Record Device to use from the drop-down.
  6. Select a Record Length.
  7. Select how the Record event should start using the Start Type drop-down.

  8. Select the Format to record. See the Audio Format section for more information.
  9. Select Asset or File from the Record To drop-down.
  10. Select Fixed to lock the event so it will play and will not be dropped.
  11. If Asset was selected, drag and drop the desired asset from the Library to the New Record Properties Window
  12. If File was selected, enter the location to place the file into the File Path. See the Zetta Variables topic to use wild cards in the File Path.
  13. Click and Drag the External Control event from the consideration window to the location in the Log/Clock/Macro

Edit a Control Event

To Edit a Control Event in a Log/Clock/Macro follow these steps:
  1. Right-click the Control Event in a Log, Clock or Macro Configuration window
  2. Click the Properties option for the event
  3. Change the Control Event Values in the Properties window.

  4. Click the Save [image] button located in the Properties window.

Welcomes < Modules < Logs and Clocks < Control Events

© 2007-2017 RCS. All Rights Reserved.


Simple Voice Tracker

Welcome < Modules < Logs and Clocks < Simple Voice Tracker

Simple Voice Tracker®

The Simple Voice Tracker in Zetta® is a quick and easy tool to use for voice tracking a log quickly. To access Simple Voice Track simply click a position in the log and choose the Voice Tracker [image] button. The simple voice tracker is a simplified version of the full Voice Tracker® in Zetta. It displays three tracks, two play and one record track. It appears at the bottom of the log allowing full access to the log while voice tracking. A Voice Track can be audio recorded into the system using the play/record controls or audio can be dragged and dropped into the voice track position. The Simple Voice Tracker can also be docked and undocked to any position.

Click any area in this image for help

Click any area in this image for help

Simple Voice Track Toolbar

Simple Voice Track Play/Record Controls

Simple Voice Track Editing Shortcuts

Record a Simple Voice Track

Simple Voice Track Toolbar

The following editing tools are available in the Simple Voice Tracker.

Save - The Save button will save the voice track to the log position.

Refresh - The refresh button will refresh the items in the editor to pick up any changes made by another user.

Segue Editor® – The Segue Editor button allows the user to switch to Segue Editor mode to listen to the created voice track in playback mode or reposition mode to adjust the segue of the elements. The user can use this button to toggle back and forth between the Segue Editor and Voice Tracker.

Reposition Mode – The Reposition Mode allows the user to make segue changes as the audio events play. This button [image] is disabled until the voice track is recorded.

Playback Mode – Playback Mode plays the audio segues, as they are currently set.

Expand View - The Expand view will switch the editor to the full Voice Tracker or Segue Editor

Segue Mode – Segue Mode allows the user to select how the event will transition in to the next event with the following options.

Segue, [image] Auto Post, [image] Link-Song

ZCast Voice Track - The ZCast button is used to send a voice track using a ZCast Connection that has the permission to Allow Send of VT & HT and Allow Receive of VT & HT

Audition – The Audition button will allow the user to listen to a selected piece of audio without it going over the air. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition player and stream must be defined and a piece of audio must be selected. For more information on assigning the Audition Player, see the Assigning Players for Local Playback section of this guide.

Simple Voice Track Play/Record Controls

Go To Previous Voice Track – The Go to Previous Voice Track allows the user to jump easily to the previous voice track position in the log.

Play – Play will play the audio starting from the play marker. Also starts the next events at the desired start position.

Record – Record will record the voice track when clicked.

Stop – Stop will stop all audio events and moves the play marker back to the starting point.

Go to Next Voice Track – The Go to Next Voice Track allows the user to jump easily to the next empty voice track in the log.

Event Time - The events progression time is displayed to the right of the play controls when playing the assets.

Simple Voice Track Editing Shortcuts

Inserting Audio Markers

Audio markers can easily be inserted using the mouse. By right-clicking on the desired audio event, the Intro, Trim, Hook, Early Segue, Segue, Volume Points, Fade In, and Fade Out can be easily added to the audio event from the generated menu. This menu can also be used to enable/disable the Auto Fade and Ducking settings defined in the Stations Configuration window.

Moving Audio Markers

Once the markers are inserted, they can easily be adjusted by hovering over the desired marker until the positioning hand appears.

Then click and drag the marker to the desired location.

Keyboard Commands

The Keyboard can also be used to control the playing, recording and stopping of the audio in the Voice Tracker.

  • The Left Arrow will play the first audio event starting from the play marker.
  • The Up Arrow will start the voice track recording.
  • The Left Arrow will play the event following the voice track.
  • The Down Arrow will stop all audio at any point.

Additional Command Mappings can be created to simplify the use of the Voice Tracker such as using the command SegueTool.QuickVoiceTrack to accomplish voice tracking with a single keyboard key. When this command is mapped to a keyboard key the key will have the following affect in the Voice Tracker:

With the First key stroke of the assigned key:

  1. If the Editor is not in Voice Track mode, the mode will change
  2. If the first track is not playing it will begin playing at the current position
  3. Zetta will start to record the voice track

With the Second key stroke of the assigned key:

  1. Zetta will start playing the next track
  2. Zetta will fade the currently playing track IF auto fade songs at segue is enabled

With the Third key stroke of the assigned key:

  1. Zetta will stop the recording
  2. Zetta will save the voice track trimming any silence, at the beginning and end, IF the Trim threshold is enabled.
  3. The Editor will switch to Segue mode
  4. Zetta will reposition the cursor to the start position for reviewing the recording

One Button Voice Tracking

The One Button Voice Tracking option is enabled in the Preferences window. This preference option will change the Play Control button configuration in the Voice Tracker and in IVT, to allow users to use one button to control the progression through creating a voice track in Zetta.

Default Play Controls

One Button Voice Tracking

Press the Voice Track [image] button the first time, it will start playback of the previous item AND initiate Voice Track recording.
Press the button for the second time, it will continue recording and fire the next song.
Press the button for the third time, and it will stop recording and playback, finishing the Voice Track recording process. The editor will then switch to Segue Editor mode.

Record a Simple Voice Track

To record a simple voice track follow these steps:
  1. Select the event that will precede the Voice Track or an Empty Voice Track Position.
  2. Select the Voice Tracker [image] button from the Log toolbar.

  3. Click Play [image] to start the first track playing. Listen to the end of the first track (the cursor is automatically set to about the end of the track)
  4. When ready to begin recording the voice track, click the Record [image] button to start the recording.

  5. To play the third track while recording the voice track, click the Play [image] button again and the third track will start to play, thus creating a segue into the next event.
  6. When done recording, click the Stop [image] button. All audio will stop and the editor will switch to playback mode.

  7. The voice track will be named based on Title Mask set in the System | Voice Track and Quick Record tab.
  8. Use any of the methods defined in the Segue Editor section of the guide to reposition the audio events for the desired voice track effect.
  9. Click the Save [image] button
  10. Recorded voice tracks for a station can be found in the Links tab of the Media Library.

Voice tracks can also be placed in the log by:

  1. Selecting an empty voice track slot in the log and clicking on the Voice Tracker [image] button. From there follow steps 3 - 9.
  2. Selecting Voice Tracker [image] mode while in the Segue Editor, Note: The second track in the Segue Editor will become the third track in the Voice Tracker. From there follow steps 3 - 9.

Important Note!

A microphone or similar voice-input device needs to be connected to the machine to be able to record a Voice Track.

Welcome < Modules < Logs and Clocks < Simple Voice Tracker

© 2007-2017 RCS. All Rights Reserved.


Manage Log Hours

The Copy Log option from the Tools [image] drop-down in the toolbar of the Log Module will open the Manage Hours window for Logs, this window is used to copy, paste or delete hours to manipulate and change the contents of the logs for the selected station or virtual station. The Manage Hours window displays a week at a time. Previous hours are greyed as they are read-only and cannot be changed.

Click any area in this image for help

Click any area in this image for help

Manage Hours Toolbar

The Manager Hours window has the following toolbar options:

Save - The Save button is used to save any changes had in the Manage Hours window.

Undo - The Undo button is used to reverse the previous change made in the Manage Hours window.

Refresh - Use the refresh button to refresh the Manage Hours window to its original state.

Log Date - The Log Date drop-down arrow displays a Date Control that is used to select a Log Date to view.

Hour Grid

The Hour Grid has the hours of the day down the left side and the days of the week with the date across the top. The copy, paste and delete functions in the grid work similar to a spreadsheet. To highlight a section of the grid simply click and drag the mouse to highlight a section, the highlighted section will be a light blue color as seen below. Optionally, use the CTRL or SHIFT keys to select the cells in the grid.

To Copy the highlighted area press CTRL+C. To paste the highlighted area to another clock or hour in the same clock, simply highlight a different area and press CTRL+V

The area where the copied hours were pasted is set to a pink color marking that area as being changed.

To delete hours in a clock simply click and drag the mouse to highlight the hours and press the Delete key.

Click Save [image] to confirm the changes. This will initiate the copying and/or deletions of the Log hours. This may take a short period of time depending on the number of Log events affected by the process. Click Cancel at the bottom of the window to cancel the process.

Welcome < Modules < Logs and Clocks < Manage Log Hours

© 2007-2017 RCS. All Rights Reserved.


Notes Preview

To enhance the listening and user experience, Zetta® can display to on-air talent the song, artist and link notes/scripts that accompany scheduled events in the log as the log moves through the hour and day. Notes are attached to events in GSelector® and sent to Zetta during a log load from GSelector. Scripts are added to an assets Metadata card using the Script tab. Notes are displayed in the Log with two different icons [image] for Song notes and [image] for Link notes. Scripts are displayed in the Log with 4 different icons; Asset with Script [image], Live Read [image] , Live Read with Confirmation [image] and Live Read Marked as Read [image]. Notes can have internet-linked items in the note to open an internet site using the default internet browser. Notes and Scripts can also have images (.jpg).

Preview a Note in the Log

Follow Notes in the Log

Preview a Note in the Log

As the events with notes come up in the On-Air Module the user can click on the note and the Note Preview window will open. A user can also go to a past or future days log and click on a note to preview the contents. If an event has more than one note attached to it, pressing tab will toggle through the notes.

The Notes Preview window can be saved in a Layout. The note in the preview window will change as the user clicks on upcoming notes in the Log.

Follow Notes in the Log

The Notes Module allows the user to see a time line of upcoming notes in the log. Any note in the time line can be clicked on and read as needed. The notes time line follows the progression of the days log, as the event with a note is played the window is updated. The Notes module can be saved to the user’s layout. For more information, see the Notes Module section in this guide.

Welcome < Features < Notes

© 2007-2017 RCS All Rights Reserved.


Clocks

Welcome < Modules < Logs and Clocks < Clocks

Clocks Module

The Clocks module contains "templates" used by the system to generate logs. A clock schedule is created for each day of the week for each station, and contains all recurring events that typically happen throughout the day. This is useful for those stations that are not integrated with GSelector®. The system can have some stations linked to GSelector, while others are not integrated. The clocks module will not be visible if all stations are integrated with GSelector. When the Clocks Module is open it displays a Top of Hour comment for each hour marker.

Click any area in this image for help

Click any area in this image for help

There are literally thousands of different clock formats that can be created, all depending on the type of programming the stations are running. In their most basic format, clocks contain spot blocks of commercials. They may also contain source changes, mode changes, songs to be played, plus any of the other log Control Events available.

Clocks Toolbar

Hour Selection

Clock Events List

Clocks Module Step-by-Step Topics

Clocks Toolbar

The Clocks Module of the Modules Menu has the following toolbar options:

Refresh - Use the refresh button to refresh the view of the clock.

Add a New Special Clock - The Add a New Special Clock button will open the New Special Clock window. Use the window to give the Special Clock a Name and Description.

Manage Clock Hours - The Manage Clock Hours button opens the Manage Hours window, this window is used to copy, paste or delete hours to manipulate and change the contents of the clocks for the selected station.

Change the name or description of the Special Clock - The Change the name or description of the Special Clock button will open the Rename Special Clock window. Use the window to rename the selected Special Clock or change the Description. This button is only visible when a special clock is selected.

Delete the Special Clock - The Delete the Special Clock button will delete the selected Special Clock. The user will be prompt to confirm the deletion. This button is only visible when a special clock is selected.

Audition – The Audition button will allow the user to listen to a selected piece of audio in the clocks module locally. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition player and stream must be defined and a piece of audio must be selected in the clocks module.

Cycle Filter - The Cycle Filter is used in Logs, Clocks and Macros to Filter based on Asset Type or Custom type. See the Logs Module topic for additional information on the Cycle Filter.

Select Clock – The Select Clock drop-down is used to select a Standard Clock or Special Clock for the station selected.

Station Select – The Select Station drop-down is used to select the name of the station’s Clock to view.

When the window is reduced in size the toolbar buttons will be hidden and a drop-down will be shown to allow access to these hidden toolbar buttons.

Hour Selection

The Hour Selection Area is located along the bottom of the toolbar area. To navigate to a specific hour of the selected clock, simply click on the hour number.

Clock Events List

The Clock Events List allows the user to quickly view information for clocks and make manual modifications to clocks. The Clocks event List is similar to the Logs Events List. The user can add events to a Clock by right-clicking a position in the Clock or dragging a dropping and asset from the library.

Delete Event

Insert Song

Insert Link

Insert Spot

Insert Other Audio

Insert Tag

Insert Rotation

Insert Imaging

Insert Control Events

Replace Event

Juggle Events

Edit Audio

Spot Blocks

Properties

Properties Window

The properties window displays the details about the Asset or Control Event. The information about the asset is pulled from the Metadata card for the asset. When a Control Event is selected the properties window can be used to Edit the Control Events Values. This window opens when selecting to Insert or Replace an event in the log or when selecting the properties option from the right-click menu.

Asset Properties

Control Event Properties

New Special Clock window

Special Clocks are identical to ordinary daily clocks except that they are created with the express purpose of taking the place of an ordinary daily clock. Special Clocks can be used to generate logs for specific Holidays or special event days. Clicking the Add a New Special Clock [image] button will open the New Special Clock window. In this window, Enter a name for the new Special Clock and a Description. The description is optional.

Then, click the OK button in the New Special Clock window, to create the Special Clock for the selected Station. The new Special Clock can then be selected from the Select Clock drop-down for the selected Station in Clocks. Once edited the Clock can then be used to generate a Log for the Station.

Rename Special Clock window

Clicking the Change the name or description of the Special Clock [image] button will open the Rename Special Clock window for the selected Special Clock. In this window, Enter the new name for the Special Clock or change the Description. The description is optional. Click OK to save the changes.

Clocks Module Step-by-Step Topics

For information on Inserting Control events into a Clock see the Control Events Topic. To copy, paste or delete clock hours see the Manage Clock Hours topic.

Insert a Media Event into a Clock

Replacing an Event in the Clock

Skip Events in the Clock

Delete Events in the Clock

Copy Multi-Hour Ranges from one Clock to another Clock

Pinning the Consideration Windows

Insert a Media Event into a Clock

To Insert media events into a station clock in Zetta® follow these steps:
  1. Click Clocks from the Modules Menu.
  2. Select the Station
  3. Select the Clock
  4. Right-click a position in the clock

  5. Select Insert for the desired asset type, this will open the consideration window.

  6. Select a Category Group from the drop-down menu. Optionally, change what to Insert using the Event Type drop-down.
  7. Click, Drag and Drop the desired event to the location in the Clock or double-click the event.

Replacing an Event in the Clock

To Replace events in a station Clock Zetta® follow these steps:
  1. Click Clocks from the Modules Menu.
  2. Select the Station
  3. Select the Clock
  4. Right-click on an event in the Clock
  5. Select to Replace Event, this will open the consideration window
  6. Select a replacement event or change the Category from the drop-down menu
  7. Double-click the desired event to replace the selected event.

Skip Events in the Clock

To skip an event or multiple events from a station clock, follow these steps:
  1. Click Clock s from the Modules Menu.
  2. Select the Station
  3. Select the Clock
  4. Select an event in the clock to skip.
  5. Select the Skip check box for the item.

Delete Events in the Clock

To delete an event from a station clock, follow these steps:
  1. Click Clock s from the Modules Menu.
  2. Select the Station
  3. Select the Clock
  4. Select the event to delete. To choose multiple events use the Shift or CTRL keys and click the events to delete.
  5. Right-click the event to delete
  6. Select Delete Event
  7. Optionally press the Delete key on the keyboard

Copy Multi-Hour Ranges from one Clock to another Clock

RCS recommends using the Manage Clock Hours window for manipulating hours in a stations clocks. The following method can be used to copy hours in a clock from clock to clock in the same station or from station to station.

Several important notes before using the feature:

  • The target schedule range must be completely empty. If there is even a single item in the target schedule range, Zetta will not respect TOHs on pasting, resulting in all items being pasted into a single hour. To easily clean up the target clock, just select the range and hit Delete to remove all selected items.
  • Zetta will not paste across end of day, meaning if a 3 hour region is pasted into 11 PM, Zetta will only populate that one hour and will not carry over the overlapping two hours to the following day.

To Copy Multi-Hour regions in Clocks, perform the follow these steps:
  1. Click Clocks from the Modules Menu.
  2. Select the Station
  3. Select the Clock
  4. To select multiple hours for copying, use a common Windows methods:
    • While holding a SHIFT key, advance down the schedule using a cursor down key
    • Click on the first item of the region, scroll down to the last item and click it while holding a SHIFT key.
  5. Use CTRL+C to copy the selected range
  6. Select another Station if desired
  7. Select another Clock.
  8. Select the position in the clock to paste the range. Use CTRL+V to paste the range.

Pinning the Consideration Windows

To Pin or auto-hide the consideration windows in the Clocks module, use the following steps:
  1. Click Clock s from the Modules Menu.
  2. Select the Station
  3. Select the Clock
  4. Right-click on an event in the log
  5. Select Insert Event
  6. Use the pin [image] in the upper right corner of the windows to auto-hide the windows to the left, right, top or bottom of the log window.
  7. Click the tab for the window to show the window again
  8. To unpin [image] the window simply click the pin again.

Welcome < Modules < Logs and Clocks < Clocks

© 2007-2017 RCS. All Rights Reserved.


Manage Clock Hours

The Manage Clock Hours button in the toolbar of the Clocks and Recorder Clocks modules opens the Manage Hours window, this window is used to copy, paste or delete hours to manipulate and change the contents of the Standard Clocks or Special Clocks for the selected Station or Background Recorder.

Manage Hours Toolbar

The Manager Hours window has the following toolbar options:

Save - The Save button is used to save any changes had in the Manage Hours window.

Undo - The Undo button is used to reverse the previous change made in the Manage Hours window.

Refresh - Use the refresh button to refresh the Manage Hours window to its original state.

Hour Grid

The Hour Grid has the hours of the day down the left side and the days of the week across the top.

Clock Selection

The Row just below the toolbar shows the Standard Clocks for each day of the week. Use the Select Clock drop-down to select a special clock to use in the hour grid.

Tip: An extra column will be displayed if a Special Clock is selected in the Clocks Module when the Manage Clock Hours button is selected.

Copy, Paste and Delete

The copy, paste and delete functions in the grid work similar to a spreadsheet. To highlight a section of the grid simply click and drag the mouse to highlight a section, the highlighted section will be a light blue color as seen below.

To Copy the highlighted area press CTRL+C, to paste the highlighted area to another clock or hour in the same clock, simply highlight a different area and press CTRL+V

The area where the copied hours were pasted is set to a pink color marking that area as being changed.

To delete hours in a clock simply click and drag the mouse to highlight the hours and press the Delete key.

Click Save to confirm the changes. This will initiate the copying and/or deletions of the Clock hours, and may take a short period of time depending on the number of Clock events affected by the process.

Welcome < Modules < Logs and Clocks < Manage Clock Hours

© 2007-2017 RCS. All Rights Reserved.


Daylight Savings

Zetta® respects daylight saving based on UTC time.

Spring Ahead

Fall Back

Spring Ahead

In the spring, Zetta will not have a 2:00am hour in the log.

Fall Back

In the fall, Zetta will add a second 1:00am hour to the log.

Welcome < Modules < Logs and Clocks < Daylight Savings

© 2007-2017 RCS. All Rights Reserved.


Notes

Welcome < Modules < Notes Module

Notes Module

The Notes Module allows the user to see the upcoming notes, scripts and Live Read assets scheduled in the station log. Any note/script can be clicked on and read as needed. The notes window follows the progression of the station log. As an event with a note/script is played, the window is updated. The Notes Module can be saved to the user’s layout. Notes are attached to events in GSelector and sent to Zetta during a log load from GSelector. Scripts are added to an assets Metadata card using the Script tab. Notes are displayed with two different icons [image] for Song notes and [image] for Link notes. Scripts are displayed in the Log with 4 different icons; Asset with Script [image], Live Read [image] , Live Read with Confirmation [image] and Live Read Marked as Read [image]. Notes can have internet-linked items in the note to open an internet site using the default internet browser. Notes and Scripts can also have images (.jpg).

Important Note!

Notes are imported with the logs from GSelector®. Notes may not be edited in Zetta®.

Click any area in this image for help

Click any area in this image for help

Notes Toolbar

Progress bar

Mark as Read

Notes Window

Play Next

Notes Toolbar

The notes toolbar has the following options:

Show/Hide Navigation pane - The Show/Hide navigation pane will open or close the pane to the left of the Note.

Previous - The Previous button will show the previous Note displayed in the Navigation pane until it reaches the top of the list.

Next - The Next button in the will show the Next Note in the list of the Navigation pane until it reaches the last note in the current hour.

Select Station – Select station is used to choose the station to view.

Progress bar

The Progress bar of the Notes module is similar to the On Air module progress bar with a blue play icon to the right to show the item is currently playing.

Mark as Read

The Mark as Read button is used to confirm a Live Read was read. When this button is clicked it will change to Mark as Unread to allow the user to reverse the action. The Mark as Read is used to tell Zetta that the Script for the asset has been read. Clicking this option marks the asset as Played. When the Live read is marked as read the script icon in the log event will change to green [image].

Notes Window

The Notes window is divided in two sections the left side of the window has an Asset filter at the top that allows the notes/scripts to be filtered based on asset, simply check the assets to view.

The left side of this window also shows the upcoming events in the log that have a Note or Script attached to the asset with the estimated time the asset is scheduled to play. The user can click on any event in the list to preview the contents of the note/script and see the asset information viewed in the progress bar.

The right side of the Notes window shows the contents of the note/script for the asset. The notes module uses a text editor that allows the text to adjust as the window’s size and shape changes making the note easier to read. The user can increase or decrease the size of the text in the notes using the zoom buttons in the lower right corner of the note/script. The layout of the note can also be changed so the user can view the note in Page Mode (default) or in Scroll Mode as seen in the following image.

Play Next

The Play Next button is used for Live Reads to Play the Next event when the user is done reading the script of the currently playing event. If the event selected is not playing this button is disabled.

Welcome < Modules < Notes Module

© 2007-2017 RCS. All Rights Reserved.


Tools Overview

The Tools menu is used to access the Database Tools for their Zetta® system.

The follow topics explain the Tools found in Zetta®:

Media Import

Media Import Step-by-Step Topics

Reports

ZCast Transfers

Recorder Logs

Recorder Clocks

Playback Monitor

GPIO History

External Edits

Hotspare Manager

Arming and Activating a Hotspare

Metadata Import

Sync Assets with GSelector

Database Management

Welcome < Tools Overview

© 2007-2017 RCS. All Rights Reserved.


Media Import

Zetta® contains a utility that allows the import of media assets directly into the Library. Media Import is accessed from the Tools Menu.

Click any area in this image for help

Click any area in this image for help

Media Import Details

Directory

File Type

Include subdirectories

Media Type

AMU Mapping Template

Perform Marks Analysis

Automatically Populate External ID

Match On

If Match

Station, Category and Activate selection

Import

Media Import Step-by-Step Topics

Media Import Details

The following options are available when importing media assets:

Directory

The Directory field is used to enter or browse [image] to the directory that contains the media assets to import.

File Type

Using the File Type drop-down the user can import wav, mp3, mp2, mpg, m4A, aac, mp4 and .pkt (packet) files, or a combination of these type of files.

Include subdirectories

Select the Include subdirectories option to allow the utility to parse subdirectories of the specified Directory.

Media Type

Media Type is used to set the media asset type so the audio asset is placed in the correct Library tab. This can be set to Song, Spot, Link, Voice Track, Quick Record or other Audio Type.

AMU Mapping Template

The AMU (Audio Metadata Utility) Mapping Template is used to select a template to match metadata such as Composer, Arranger and Musician from an XML file to specific fields in Zetta. Templates can be created to match assets metadata tags to Zetta fields for import of the metadata. The Default Template, maps fields found in NexGen to fields found in Zetta. When an import occurs using the Default template, Zetta first looks for a NexGen XML file for the asset. If present, it will use only the XML file to read the NexGen Metadata. If no associated NexGen XML is used, Zetta will then check to see if the audio file is an MP3 file. If the file is an MP3 file, Zetta will read the ID3 metadata, if any from the file. If there is no NexGen XML and no MP3 ID3 metadata, Zetta will then use AFC to read the AFC metadata. Contact RCS Support for assistance in creating an AMU Mapping Template.

Default Template mapping

The following table shows the mapped NexGen fields and the corresponding mapped Zetta fields that will be used when an asset is imported using Default as the selected AMU Mapping Template.

NexGen XMLDAT Elements

Zetta Field

Album

Album Title

Artist

Artists - The NexGenXML InputMetaDataType maps "Artist", "Artist_2"...."Artist_6" tags to the same "Artist" target tag. When mapped this way, the tool will fetch all the artists as an "Artist" Collection.

Artist_2

Artist_3

Artist_4

Artist_5

Artist_6

Audio_Formats

Audio Format - This will import 1 for PCM, 80 for MPEG, etc. This field is typically not imported. This field is displayed in Zetta by adding the Audio Format column to the Library Module.

Cart

External ID and Cut External ID - If the metadata scope of the Audio Type is Cuts, then this attribute will be added to the Cut External ID field in the Cut Specific tab of the Metadata Card.

Channel

Mono or Stereo - Use 1 for Mono and anything else for Stereo in the Metadata imported.

Client

Sponsors – Used for non-song audio types.

Comments

Comments

Composer

Participant\Composer - Added to the Participant tab as a Composer.

Cross_Fade

Segue Point

Cut

External ID in some situations - The Cut External ID is only used if the assets metadata scope is set to Cuts in the Audio Types tab of the System Configuration window.

When the metadata scope is Station or Global and the Append Cut to Cart for External IDs is selected, the Cut will append to the Cart for the External ID. The format will be Cart-Cut and both the Cart and the Cut will be placed in the External ID field of the Extra tab. The Append Cut to Cart for External IDs option is found in the Auto Load tab of the System Configuration window.

Ending

Ending – This is a two letter code.

End_Time

End Date / Hour

Erase_Time

Kill Date

Fade_Up_Start

Trim In

Fade_Up_Length

Volume Marker

Fade_Down_Start

Trim Out, Volume Marker - FadeDownStart & FadeDownLength are used together to determine Trim Out.

Fade_Down_Length

Trim Out, Volume Marker - FadeDownStart & FadeDownLength are used together to determine Trim Out.

HookStart

Hook In

HookEnd

Hook Out

Intro_1

Intro

Intro_2

Intro

Intro_3

Intro

ISRC

ISRC

ISCI_Code

ISCI

Label

Label

Length

Resource length - This field is typically not imported.

Opening

Opening – This is a two letter code

Publisher

Publisher

Sample Rate

Sample Rate - This field is typically not imported. This field is displayed in Zetta by adding the Sample Rate column to the Library Module.

Start_Time

Start Date / Hour

Title

Title

Type

Load respects SONG or SPOT types, otherwise the asset will be imported as the Auto Load Default type.

Spot = 1, Song = 2

Enum(NexGen) to String(Zetta) type

Perform Marks Analysis

The Perform Marks Analysis is used to analyze the audio and add in Trim and Segue points based on the settings in the System | Audio Processing tab, Marks Analysis section.

Automatically Populate External ID

When this option is checked, the filename without an extension will be put into the External ID field on the asset unless the Automatically Generate Asset External ID is setup in the External ID tab of the System Configuration. If the Automatically Generate Asset External ID is setup then the External Id will be based on that setting. If the Match on = External ID option is set, Zetta will automatically enable this checkbox (as the External ID must be populated if Match on = External ID is set). This option can be used when importing audio from NexGen or V15.

Match On

The Match On selection allows the user to set specific matching criteria used to determine if the media to be imported matches records already in the system. The following is a list of criteria:

  • Do Not Match – Will import everything
  • Title and Artist/Sponsor – Title and Artist/Sponsor compares the title and the artist/sponsor for the asset to be imported with what is already in the library.
  • File path - File path compares the location of the file to be imported from with the file path of the audio that is to be loaded in the library
  • External ID – Compares based on the External ID of the file with what is loaded in the library. Automatically Populate External ID is automatically enabled when this Match On option is selected. This option can be used when importing audio from NexGen or V15.
  • File CheckSum – File CheckSum performs a checksum analysis of the file to verify the file does not already exist in the database.
  • Filename – Filename compares the filename of the audio being imported with the filename of the audio that already exists in the Library.

If Match

This section tells Zetta® what to do only if a Match is found based on the Match On criteria.

  • Do not import – Do Not Import will skip the file based on the Match On criteria set.
  • Replace – The Replace will replace an existing asset audio and metadata based on the Match On criteria set.
  • Replace Audio Only – When the Replace audio only option is selected, Zetta will replace the existing audio file if match, but does not overwrite the metadata.
  • Merge Changed Fields - When the If Match is set to Merge Changed Fields, Zetta will update all and only the fields from the imported file that have non-blank values. For example, if an audio is imported along with its NexGen XML file and the NexGen file gives the title, artist, album, and start date. Zetta will change the existing asset’s title, artist, album, and start date to the values from the file. However, if the NexGen XML did not specify a start date, then Zetta would leave the start date unchanged.
  • Replace Station or Cuts Fields - If the imported asset matches an asset already in the database and If Match is set to Replace Station Or Cut Fields, then Zetta will update only those fields found in the Station Specific tab or Cuts Specific tab of the metadata card of the matching assets. For example, if an audio is imported along with its NexGen XML file and the NexGen file gives the title, artist, album, and start date. Zetta will leave the asset’s title, artist, and album unchanged but will change its start date to the one in the NexGen XML file. The Replace Station or Cut Fields option is only available when the GSelector and ZCast features are both disabled in the General tab of the System Configuration and at least one Audio Type is set to the metadata scope of Cuts.

Station, Category and Activate selection

The bottom section of the import window is used to Add a Station to Activate the Media for and optionally the Category to place the media.

Import

The Import [image] button is used to Import the files from the specified Directory.

Important Notes!

The Import can be stopped at any time by clicking the Close [image] Icon.

Media Import Step-by-Step Topics

Import Media into Zetta®

Import Media into Zetta®

To import Media Assets into the Library, follow these steps:
  1. Select Media Import from the Tools Menu.
  2. Enter or browse [image] to the Directory that contains the audio store to import.
  3. Using the File Type drop-down to select the type of audio files to be imported from the specified directory.
  4. Select the Include subdirectories option to allow the utility to parse subdirectories of the specified folder.
  5. Select the Media Type from the drop-down.
  6. The AMU Mapping Template has only the Default Template available on new installs. A template is used to match metadata such as Composer, Arranger and Musician from an XML file to specific fields in Zetta. Contact RCS Support for assistance in creating the template.
  7. Select Perform Marks Analysis to analyze the audio and add in Trim and Segue points based on the settings in the System | Audio Processing tab, Marks Analysis section.
  8. Select Automatically Populate External ID to automatically add and External ID to the imported asset.
  9. Set the Match On option to allow Zetta® to determine if the media to be imported matches records already in the system. The following is a list of criteria:
    • Title and Artist/Sponsor – Compares the Title and the Artist/Sponsor with what is already in the library
    • File path – Compares based on the file path of the audio with what is loaded in the library
    • External ID – Compares based on the External ID of the file with what is loaded in the library
    • File CheckSum – Performs a checksum analysis of the file to verify the file does not already exist in the database.
    • Do Not Match – Will not match to existing files, will import everything.
    • Filename – Compares based on the audio filename with what is already loaded in the library
  10. Set the If Match options to tell Zetta what to do if a Match is found based on the Match On criteria.
    • Do not import – Do Not Import will skip the file based on the Match On criteria set.
    • Replace – The Replace will replace an existing asset audio and metadata based on the Match On criteria set.
    • Replace Audio Only – When the Replace audio only option is selected, Zetta will replace the existing audio file if match, but does not overwrite the metadata.
    • Merge Changed Fields - When the If Match is set to Merge Changed Fields, Zetta will update all and only the fields from the imported file that have non-blank values. For example, if an audio is imported along with its NexGen XML file and the NexGen file gives the title, artist, album, and start date. Zetta will change the existing asset’s title, artist, album, and start date to the values from the file. However, if the NexGen XML did not specify a start date, then Zetta would leave the start date unchanged.
    • Replace Station or Cuts Fields - If the imported asset matches an asset already in the database and If Match is set to Replace Station Or Cut Fields, then Zetta will update only those fields found in the Station Specific tab or Cuts Specific tab of the metadata card of the matching assets. For example, if an audio is imported along with its NexGen XML file and the NexGen file gives the title, artist, album, and start date. Zetta will leave the asset’s title, artist, and album unchanged but will change its start date to the one in the NexGen XML file. The Replace Station or Cut Fields option is only available when the GSelector and ZCast features are both disabled in the General tab of the System Configuration and at least one Audio Type is set to the metadata scope of Cuts.
  11. Optionally, click the Add Station [image] button to select a station to Activate the audio. If no station is selected the assets can be activated later individually or by using the Audio Utility to Mass Change assets.
  12. Chose a Station from the Select Station drop-down. Select Default to add the audio assets to all stations.
  13. Use the Assign Category drop-down to select a created Category. If integrated with GSelector the short category names from the GSelector database will be visible. If Zetta is not integrated with GSelector the Categories will need to be created first. See the Attribute Management section for details on creating Category attributes in Zetta.
  14. The Activate check box, by default, is checked. To add assets to the Default station but not activate the assets to play on all stations, simply uncheck the Activate check box.
  15. When satisfied with the Import options, click the Import [image] button. Audio is imported and then displayed in the Media Library Event List.

Important Notes!

The Import can be stopped at any time by clicking the Close [image] Icon. For additional information on importing media into Zetta®, see the Library Module section of this guide.

Welcome < Tools < Media Import

© 2007-2017 RCS. All Rights Reserved.


Reports

The reports tool can be used to pull information from the database about User Activity and Missing Audio. A Missing Audio report can also be performed from the log by right-clicking a location in the log and selecting Missing Audio Report.

Click any area in this image for help

Click any area in this image for help

The Reports window is divided into two panes. The left pane shows the type of reports and the filtering options. The right pane shows the data based on the filtering used for the report. These reports can then be printed [image] to the default printer. The data for the reports can also be copied to Excel for data manipulation, simply highlight the data needed in the right pane using SHIFT or CTRL keys then press CTRL+C to copy.

User Activity

Missing Audio Report

Duplicate External IDs Report

User Activity

The User Activity Report can be customized with the following options:

Start Date – A report can be pulled for dates going back as far as is set in the Configuration | Scheduled Maintenance Utility.

End Date – A report can be run up to the current day.

Report details – Any combination of the following report details can be added to the report:

  • Station – Using the Station drop-down one or all the stations can be added to the report.
  • Computers – Using the Computer drop-down one or all computers can be added to the report.
  • User – Using the User drop-down one or all of the configured users can be added to the report.
  • Activity Location – Using the Activity Location drop-down one or all of the following locations can be added to the report.
    • All - The All option shows all the user activity for the selected station for the selected date range.
    • Clocks – The Clocks option displays changes made by the user to a clock. Stations that are integrated with GSelector will not show any information.
    • Hot Keys – The Hot Keys option displays changes made by the user in an Hot Keys bank.
    • Log Editor – The Log Editor option display changes made by a user to a log using the logs module, such as adding or skipping events.
    • Log Import – The Log Import location displays information about events that have been imported into the log through GSelector® or Selector/MC 15 stations.
    • GSelector Log Import - The GSelector Log Import option displays changes made to a log when a user Regenerates the log from GSelector.
    • Macro Editor - The Macro Editor option displays the changes made by a user to a Macro.
    • Media Import –The Media Import Location displays information about assets that have been imported.
    • GSelector Media Import - The GSelector Media Import displays information about assets that were imported from GSelector.
    • Media Library – The Media Library location displays events that affected the assets in the Media Library Module.
    • MetadataCard - The MetadataCard option displays changes made by the users to the Metadata Cards of the assets in the Library Module.
    • NexGen Voice Track Auto Load - The NexGen Voice Track Auto Load option displays the activity for the Voice Tracks that are auto loaded using Content Ingest.
    • On-Air - The On-Air option displays any user interaction with the On-Air module.
    • Segue Editor® - The Segue Editor® location displays events that have taken place within the Segue Editor®
    • Sequencer – The Sequencer location displays event that have occurred with the sequencing of the log, such as starting and stopping events in the log.
    • Stack - The Stack option displays any user activity in the Stacks Module.
    • Unknown – not currently used
    • Zetta® - The Zetta option displays information about any Script updates that have been run.
    • Startup Manager - not currently used
    • Licensing - The Licensing location displays event that have occurred with the licensing of Zetta.
  • Activity Type –Using the Activity Type drop-down or all of the following types can be added to the report
    • General – General displays any event that does not fall under the following activity types, such as exception errors that may have occurred within Zetta.
    • Asset – The Asset Type report shows all the data that effects the changing or adding of assets in Zetta.
    • Log Event – The Log Event Type report show all the data that affects the events in the Log.
    • AsBroadcast Activity – The As Broadcast activity are the events that played from the sequencer, Hot Keys®, and stacks.
    • Sequencer Activity – The Sequencer Activity Type displays any activity that affects only the sequencer, such as the sequencer role of changing from Idle to the Primary station sequencer.
    • Script Updates –The Script Updates Type displays the information about database scripts that have run during upgrades.
  • Activity Sub Type –The Activity Sub Type displays in short what action happened in the Activity Type at the Activity Location. Example: If a user adds an event to the Log using the On-Air module, the Activity Sub Type would be "LogEvent Added" with the Activity Type as "Log Event" in the Activity Location "On-Air".

After running a report, the following information is displayed in the top section of the right pane. These columns can be sorted, in ascending or descending order, by clicking the column heading. The following columns can be reorganized to fit the user’s needs and the data can be customized into a report using Zetta® Filtering and Grouping.

Date

Description

Changes

Activity Sub Type

Activity Type

Activity Location

Station

Computer

User Name

The bottom section of the right pane of the user activity report will show a full view of the changes information when an event is highlighted.

The report can then be printed [image] to the default printer.

Missing Audio Report

The Missing Audio Report can be customized with the following options:

Start Date – A report can be pulled for dates going back as far as is set in the Configuration | Scheduled Maintenance Utility.

End Date – A report can be run up to the current day.

Station – Using the Station drop-down select the station(s) to use as a filter in the report.

Organization - The Organization drop-down can be used to run the missing audio report for all stations in an organization.

Asset Type - Use the Asset Type drop-down to filter on asset type.

The missing Audio Report will display the following information in columns in the right pane, allowing the user to determine what day and hour of the log and asset was missing audio:

  • Date
  • Hour
  • Title
  • Artist
  • Type
  • External ID
  • Error

These columns can be sorted, in ascending or descending order, by clicking the column heading and the Columns can be reorganized to fit the user’s needs. The report can then be printed [image] to the default printer.

Duplicate External IDs Report

The Duplicate External IDs Report can be run to look for duplicate ID's per Asset Type or Globally.

The Duplicate External IDs Report will display the following information in columns in the right pane, allowing the user to determine which asset to edit and which asset will retain the current ID:

  • External ID
  • Title
  • Cut Name
  • Artist
  • Type

Simply double-click the asset in the right pane of the report that has the duplicate ID that needs changed, select the Extra tab in the metadata card and change the External ID to something unique.

Welcome < Tools < Reports

© 2007-2017 RCS. All Rights Reserved.


ZCast Transfers

The ZCast Transfer Tool is used to view Inbound and Outbound ZCast Transfers. From this window the user can see Pending, Completed, Failed and In Progress transfers. There is a Cancel button available to cancel Pending and In Progress transfers. Once a transfer is complete the user can double-click the asset from the ZCast Transfer window to open the Metadata Card for the asset. Logs, Voice Track Heads and Tails can also be viewed from this window. When the process is completed the Resend button allows the sending site to re-send the packet. There are five different types of ZCast transfers: asset metadata, resource file/metadata, log, log event and log event transitions. The bandwidth used, seen in the Rate column, used by ZCast Transfers can be adjusted in the ZCast tab of the System Configuration. Transfers set with the highest priority will use all the bandwidth available based on what is available on the receiving site. The Transfer Order (Need By) shows the priority of the transfer. All manual asset transfers get a needed by of now + 24 hours. All log related transfers have a needed by of the hour and date that the log belongs to. For assets transfers through Send log with missing audio, the needed by is set based on the calculated air time.

Click any area in this image for help

Click any area in this image for help

Important Note!

To view the Splits IN, OUT and FORWARD transfer messages use the GPIO History window from the Tools menu

ZCast Transfers

ZCast Transfers Toolbar

Using the ZCast Transfer Tool

ZCast Transfers Toolbar

Refresh - The Refresh button can be used to refresh the ZCast Transfer window.

Hide all successful transfers - When selected [image] the Hide all successful transfers button will hide all the successfully Completed transfers from the ZCast Transfers window. When deselected [image] all the successfully Completed transfers will be visible.

Using the ZCast Transfer Tool

  1. To open the ZCast Transfer window click the ZCast Transfer option from the Tools menu.
  2. To Cancel a Pending outbound transfer. click the Cancel button to the right of the transfer.
  3. When a transfer shows a Red Error icon, hover over the icon to see why the error is occurring.

  4. To change the Priority of a Transfer right-click the transfer and click High Priority from the resulting menu.

  5. To refresh the ZCast Transfer window click the Refresh [image] button.
  6. To Hide all successfully completed transfers click the Hide all successful transfers [image] button.
  7. To Show all the successful transfers click the Hide all successful transfers [image] button again.
  8. To hide Failed outbound transfers, click the Hide button to the right of the selected transfer.
  9. To open the Metadata Card for the transferred Asset, simply double-click the Asset.
  10. To change the column Grouping in the ZCast Transfer window use the Grouping bar below the Toolbar.

Welcome < Tools < ZCast Transfers

© 2007-2017 RCS. All Rights Reserved.


Recorder Logs

Recorder Logs are used with Recorder Clocks for accomplishing Background Task such as recording a Show or Satellite Feed for play in a stations log at a later date or time. The Recorder Logs and Recorder Clocks can also be used for other background tasks for On-Air stations such as, changing the fill category, changing the sequencer mode, changing a split master selection for a station or running a macro. The Recorder Logs function similarly to the Station Logs Module. Many of the Toolbar and Right-click menu options are the same. See the Logs Module and Control Events topics for more information. For the most part once Background Recording is setup, the Recorder Logs will only be used to verify the Background Recorder is running and functioning correctly.

Click any area in this image for help

Click any area in this image for help

See the Background Recording Features section for more information on Recording a Satellite Show.

Recorder Log Toolbar

The Recorder Log toolbar simplifies the process of viewing the desired Background Recorder Log, Date, and Hour. The following Navigation aids are available from the top of the Recorder Logs:

Refresh – The Refresh button can be used to refresh the Log when changes are made to the log that do not display immediately.

Tools – The Tools drop-down is used to select to Regenerate, Delete, Copy Log Hours or Resolve/Unresolve Tags/Rotations/Imaging for the current or future logs. A past day’s log cannot be changed. See the Logs Module for additional information on this toolbar button.

AutoScroll – When pressed, the AutoScroll button will toggle between [image] On and [image] Off. When on, the Log will display the current position in the hour, with the first two items shown being the last played and then the currently playing item. Clicking AutoScroll On will return to the current position and stay in the current position as the log plays. AutoScroll will default to On when the Recorder Log Module is first opened as long as there are available events to execute in the current days log. To change the AutoScroll settings see the Preferences Configuration section.

Audition – The Audition button will allow the user to listen to a selected piece of audio in the log locally without it going over the air. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition player and stream must be defined and a piece of audio must be selected in the log.

ZCast selected log - The ZCast button is used to send or request a Background Recorder Log using a ZCast Connection that has the permission to Allow Sending Logs or Allow Requesting Logs.

Segue Editor – When pressed, Zetta® will launch the Segue Editor®. The Segue Editor will allow the user to auto post, set trim, segue and volume points for the selected log events. For more information about the Segue Editor®, see the Segue Editor section of this guide.

Voice Tracker – When pressed, the Voice Tracker® will open for the selected event in the log. This editor allows users to record voice tracks and set segues for the voice track, the previous event and the next event. The editor opens showing three tracks, the first being the event the user selected before opening the editor, the middle being the Voice Track and the third being the next event. For more information about the Voice Tracker®, see the Voice Tracker section of this guide.

Cycle Filter - The Cycle Filter is used in Logs, Clocks and Macros to Filter based on Asset Type or Custom type. See the Logs Module topic for additional information on the Cycle Filter.

Print - The Print button allows the user to print a copy of the log. The user can then choose to print the entire day or a range of hours.

Publish - The Publish button is used to publish an event or a collection of events from the Recorder Log using a configured Publish Type. See the Publish Content topic in the Logs and Clocks folder of this guide for more information.
Station Select – The Select Station drop-down is used to select the name of the Background Recorder’s log to view.
Log Date Select – The Date drop-down is used to select a past, present, or future log. Selecting a Date where the log has not been generated will open the Log Generation window allowing the user to select a Standard Clock or Special Clock to use to generate the log. Optionally select (Empty Clock) to create a log with only Top of Hour markers.

Hour Selection Area – The Hour Selection Area is located along the bottom of the toolbar area. To navigate to a specific hour of the selected log, simply click on the hour number.

Generate a Recorder Log from the Recorder Clock

Once all the events are placed in the Recorder Clock, the Recorder Clock can be generated.

Perform the following steps to Generate a Recorder Log:
  1. Open the Recorder Logs from the Tools menu.
  2. Select the Background Recorder from the Select Station drop-down
  3. Select the Date of an empty log.
  4. Select a Standard Clock or Special Clock to use from the Select Clock drop-down. Optionally select (Empty Clock) to create a log with only Top of Hour markers.

  5. Click Generate Log button
  6. Repeat for the following day. Future logs will be generated during scheduled maintenance according to the Future Days to Schedule setting in the Details tab of the Background Recorder Configuration. The Scheduled Days setting in Scheduled Maintenance Configuration must be selected.

Welcome < Tools < Recorder Logs

© 2007-2017 RCS. All Rights Reserved.


Recorder Clocks

The Recorder Clocks Tool is similar to the Clocks module in the adding and removing of events into the clock. The Record Clock contains "templates" used by the system to create Recorder Logs. A clock schedule is created for each day of the week for each Background recorder, and contains recurring events. The Recorder Clocks and Recorder Logs are only visible after a Background Recorder station has been created in Configuration menu and the Background Recorder service has been started in the Startup Manager.

Click any area in this image for help

Click any area in this image for help

There are literally thousands of different clock formats that can be created, all depending on the type of programming the background recorders are running. In their most basic format, Recorder Clocks contain Record Control Events for recording Satellite feeds for play at an alternative time slots. They may also contain source changes, macro events or any of the other log Control Events available. See the Clocks Module and Control Events topics for more information on adding events to the Recorder Clocks. See the Background Recording Features section for more information on Recording a Satellite Show.

Recorder Clocks Toolbar

The Recorder Clocks of the Tools Menu has the following toolbar options:

Refresh - Use the refresh button to refresh the view of the clock.

Add a New Special Clock - The Add a New Special Clock button will open the New Special Clock window. Use the window to give the Special Clock a Name and Description.

Manage Clock Hours - The Manage Clock Hours button opens the Manage Hours window, this window is used to copy, paste or delete hours to manipulate and change the contents of the recorder clocks for the selected background recorder.

Change the name or description of the Special Clock - The Change the name or description of the Special Clock button will open the Rename Special Clock window. Use the window to rename the selected Special Clock or change the Description. This button is only visible when a special clock is selected.

Delete the Special Clock - The Delete the Special Clock button will delete the selected Special Clock. The user will be prompt to confirm the deletion. This button is only visible when a special clock is selected.

Audition – The Audition button will allow the user to listen to a selected piece of audio in the clock locally. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition play container and stream must be defined and a piece of audio must be selected in the clock.

Cycle Filter - The Cycle Filter is used in Logs, Clocks and Macros to Filter based on Asset Type or Custom type. See the Logs Module topic for additional information on the Cycle Filter.

Select Clock – The Select Clock drop-down is used to select a Standard Clock or Special Clock for the Background Recorder selected.

Station Select – The Select Station drop-down is used to select the name of the Background Recorder's Clock to view.

Hour Selection Area – The Hour Selection Area is located along the bottom of the toolbar area. To navigate to a specific hour of the selected clock, simply click on the hour number.

New Special Clock window

Clicking the Add a New Special Clock [image] button will open the New Special Clock window. In this window Enter a name for the new Special Clock and a Description.

Then, click the OK button in the New Special Clock window, to create the Special Clock for the selected Background Recorder. The new Special Clock can then be selected from the Select Clock drop-down for the selected Background Recorder in Recorder Clocks. Once edited the Clock can then be used to generate a Recorder Log for the Background Recorder.

Rename Special Clock window

Clicking the Change the name or description of the Special Clock [image] button will open the Rename Special Clock window for the selected Special Clock. In this window, Enter the new name for the Special Clock or change the Description. The description is optional. Click OK to save the changes.

Welcome < Tools < Recorder Clocks

© 2007-2017 RCS. All Rights Reserved.


Playback Monitor

The Playback Monitor is used to view the playback of audio events assigned to player streams in Zetta.

Click any area in this image for help

Click any area in this image for help

Play Container Selection

Play Stream Fields

Playback Monitor Step-by-Step Topics

Play Container Selection

At the bottom of the Playback Monitor, there is a drop-down that is used to display the desired play container. Click the Select Play Container drop-down arrow or simply type in a keyword to view the possible Play Containers that can be monitored.

Each configured play stream is shown in the monitor for the selected play container. The play container will show the same visual markers as seen in the On-Air Module and the Logs Module for Intro, Cue Points etc.

Play Stream Fields

Each play stream assigned to the selected play container displays the following information:

ID or Stream ID - The ID to the left of the Audio data is the Stream ID defined in the play devices tab of the computer. If the Stream ID is not defined the ID of the play stream that is assigned by Zetta, will be displayed.

Audio Title - The progress bar for each stream shows the artist and title of the song assigned to the stream. Double-Clicking the audio title will open the Metadata Card for the asset.

Audio Length - To the right of the event description, view the time elapsed and the time remaining in the event. Double-Clicking the time will toggle the display to show either the time remaining to the end…

…Or the time elapsed and the total time of the event.

Stream Trigger - A Stream Trigger is a property on a player stream that is triggered by the player. Historically, the sequencer was controlling the player to trigger all audio events in the Log. To further improve segue playback accuracy, in Zetta version 4.0; we introduced the concept of "Stream Triggering". This feature eliminates the need for real time control of the player from the sequencer as seen in older versions. Now, sequencer publishes event triggering to the player ahead of time and lets the player fire individual events, eliminating a need for real time control from the sequencer. With version 4.0 and higher, events are triggered internally in the player allowing us to achieve very accurate segues consistently. The Playback Monitor tool now indicates, for each stream, which stream player needs to trigger when the event reaches its segue point. If there is no stream trigger indication (far right column in the Playback Monitor), the player will not automatically trigger the next event. This is intentional for situations where, for example, Manual mode is used, or the mode is Live Assist but the playing event has a Stop chain etc. Use the mouse to hover over any Stream Trigger to view a tool tip with more information.

Playback Monitor Step-by-Step Topics

This topic includes information on commonly performed tasks in the Playback Monitor.

Selecting a Play Container

Saving a Player to a Layout

Selecting a Play Container

To access a Play Container, follow these steps:

1. Select Playback Monitor from the Tools Menu.

2. Click the Select Play Container drop-down arrow or simply type in a keyword to view the possible Play Containers that can be monitored.

3. Click the Play Container to view.

To view multiple Play Containers, open multiple Playback Monitors.

Saving a Player to a Layout

To save the Player(s) to the user’s layout, follow these steps:

1. Open the Playback Monitors desired, see selecting a Playback Container

2. Adjust the Playback Monitors by Docking or tabbing the Monitor windows.

3. Once the playback monitors are docked in the desired positions

4. Select Layout from the Main Application Menu.

5. Click Save Layout

Welcome < Tools < Playback Monitor

© 2007-2017 RCS All Rights Reserved.


GPIO History

The GPIO History window will show the history of any GPIO inputs and outputs that were fired.

The following Information is given in this window:

Event Time – The Event Time is the time the event occurred.

Device Name – The Device Name is the name given to the device when configured in Configuration | Computers | GPIO Devices.

Device Type – The Device Type is the type of device connected to the computer

Command – The Command is the Task that was configured in Configuration | System | Command Mappings.

Signaling - The Signaling Type will display whether the action was an Input or Output

Event Name – The Event Name is the designated event name configured in Configuration | Computers | GPIO Devices.

Event Type – The Event Type describes the action of the Input or Output

Event Summary - The Event Summary gives an expanded description about the GPIO Event.

Tracking ID – The Tracking ID gives the ID of the trigger being logged.

Important Notes!

The history is only good for the last 100-fired events or the current session (if Zetta® is restarted, the history will clear itself).

Use the Clear History button at the bottom of the window to clear the events from the window, see the GPIO Devices section for more details on adding a GPIO device.

Welcome < Tools < GPIO History

© 2007-2017 RCS All Rights Reserved.


External Edits

The External Edits tool is used to see what library assets are currently being edited by external editors what editor is being used to edit the audio.

The following options are available in the External Edits window:

Refresh – Refresh allows the user to refresh the window to get the most current list.

Save – Save allows the user to save the current state of the editing session.

End the Edit – End the Edit allows the user to end the audio editing session.

The asset is only listed when opened in an external editor, see the External Editors section of this guide for more details on adding a third party editor.

Welcome < Tools < External Edits

© 2007-2017 RCS All Rights Reserved.


Hotspare Manager

Zetta® has the ability to switch the On-Air or Sequencer computer to a pool of computers or a dedicated standby computer to run the log. This allows the site to stay on the air in case anything goes wrong with the primary computer, such as hardware failure. This option can also be used when performing upgrades or scheduled maintenance of Zetta®.

The Hotspare Manager displays the Hotspare computers that are setup in the Hotspare configuration window. From the Hotspare Manager window, the Hotspare Players can be armed and the computers can be activated. Arming and Activating a hotspare can also be done using GPIO mapping, Execute Control Events and Studio Switching.

Click any area in this image for help

Click any area in this image for help

When the Arm Audio is checked, the Hotspare will play the audio from the log that the currently active computer is playing, so they will both be playing the same audio at the same time. This allows for a smoother transition when activating the Hotspare. This can also be useful with simulcast stations.

The Hotspare Manager window is comprised of three panes.

The left pane lists all the Stations in Zetta®, the stations that are configured will be in black text and the stations that are not will show in grey.

The top right pane lists the available hotspare computers for the selected station.

The bottom right pane displays the logging information when a Hotspare computer is armed and activated.

Important Note!

When activating a Hotspare if the Output log shows an error, the hotspare will not switch, check the computer to see if it is on and running Zetta®.

Arming and Activating a Hotspare

To Arm and Activate a Hotspare in Zetta®, perform the following steps:

1. After Configuring the Hotspare go to Tools | Hotspare Manager

2. Select a Station from the left pane

3. Click the Arm Audio check box next to the hotspare computer to use.

4. Click Yes to the confirmation dialog box

5. Verify the log audio started on the hotspare using the Playback Monitor

6. Click Activate

7. Click Yes to the dialog box

When the original computer is deactivated, if the setting Stop audio playback on deactivate is selected, in the Hotspare configuration the asset that is currently playing will stop. If the setting is deselected the audio will continue to play for the current asset on the original computer until it is finished. The machine can now be taken down for maintenance.

Once the Hotspare has been activated, the Station Configuration Details tab will show the Active Hot Spare for the station, which computer is active and which hotspare play containers are being used for playback.

Welcome < Tools < Hotspare Manager

© 2007-2017 RCS All Rights Reserved.


Metadata Import

The Metadata Import tools is used to import asset metadata into Zetta® using a spreadsheet or tab delimited file. The Metadata Import utility is available in Zetta under Tools | Metadata Import. The utility is currently only available to the Support user or Supervisor. It is hidden from all other users regardless of permissions granted.

There are many uses where this tool could be useful but the two most common ones are:

  • Converting a third party system to import into Zetta, this tool can be used to import the library data from the third party system. Contact RCS Support for assistance when converting a database.
  • Making changes to the library in Zetta, such as changing the Title of the songs to all UPPERCASE characters.

Important Note!

Before using this tool, it is recommended that a backup be created of the Zetta Database.

Click any area in this image for help

Click any area in this image for help

Actions

Click the Actions button to view the following available actions that can be performed in the Metadata Import window.

Check All - The Check All action is used to mark all rows created in the grid for import.

UnCheck All - The UnCheck All button is used to uncheck all the created rows in the grid.

Clear Grid - The Clear Grid action will remove the pasted metadata from the cells of the grid but leave the created rows.

Delete All Rows - The Delete all rows action will remove the entries pasted into the rows and delete the created rows.

Clear Status Column - The Clear Status column will clear the Status column so the Import can be ran again.

Find Duplicates - The Find Duplicates will scan data in the grid and based on the Match On option will show if the grid contains any duplicates. Use the Grouping bar to get a better picture of the duplicates found.

Options

The Options are used by Zetta to match what already exists in the database and then tells Zetta what to do when a match occurs.

Default Type - The Default type option is only used when adding new assets (with this set the Asset Type does not have to be provided in the grid). To change the type of existing assets an Asset Type column must be provided for in the grid. This can be set to Song, Spot, Link, Voice Track, Quick Record or Other Audio type.

Match On – The Match On selection allows the user to set specific matching criteria used to determine if the metadata to be imported matches records already in the system. The following is a list of criteria:

  • Do Not Match – Will import everything
  • Asset ID - This will match on the Asset ID, which is a unique ID, that Zetta gives every asset in the library. This is the best option when making changes to the library in Zetta.
  • Title and Artist/Sponsor – Title and Artist/Sponsor compares the title and the artist/sponsor for the asset to be imported with what is already in the library.
  • File path - File path compares the location of the file to be imported from with the file path of the audio that is to be loaded in the library
  • External ID – Compares based on the External ID of the file with what is loaded in the library. Automatically Populate External ID is automatically enabled when this Match On option is selected. This option can be used when importing metadata from NexGen, V15 or another third party system.
  • Filename – Filename compares the filename of the audio being imported with the filename of the audio that already exists in the Library.

Search External ID across all audio types - This option is useful when loading audio first, such as Songs but now when importing the metadata which could cover different asset types, such as Links. This will guarantee Zetta searches the entire library (any asset type) before creating a new asset. If Zetta finds an asset of the same ID as a song but the asset should be a link, Zetta will move that asset to Links. (The Asset Type column must be defined as Link).

Notify GSelector of changes - This option will notify GSelector of the changes made when GSelector integration is enabled. This is a setting that may need to be uncheck when importing a large amount of data.

Allow Adds - When the Allow Adds option is checked Zetta will create a new asset if a matching asset cannot be found. This option is based on the Match On setting.

Allow Modify - When the Allow Modify option is selected, existing assets that match will be updated with the new data. The combination of Allow Adds / Allow Modify checkboxes allows for Add Only , Update Only or Add and Update combinations.

File Path is only used for matching - If a File Path is provided as a column in the metadata grid for matching purposes this option should be checked. Unchecking it will trigger re-managing the already associated audio file on the existing asset.

Test Import Status - This option is used as a "dry run". This will simulate the import and populate the Status column to tell display what will happen with each row. When the test is complete Group the grid based on the Status column to give a better overview of how many items will be added/updated or if there was an error encountered for any row. Uncheck this option when ready to import the metadata.

Validate Transition Points - This option verifies that trim in/out are within bounds of the audio file. It also verifies that intro, early segue, segue are within bounds of trim-in/out. If an invalid transition point is found then that item will not be import and the existing value in the dB will stay in the dB.

Create Rows - The Create Rows field and button are used to create the rows necessary to add the data to the grid. Count the Rows of information in the spreadsheet or tab delimited file, insert that number into the field and click the Create Rows button.

Directory load only loads file - This checkbox is not directly related to this new tool; enabling this option will stop Zetta from parsing any tags/cartchunk metadata when loading audio files through whichever means (Auto load, Media Import etc.). The main goal is to prevent bloating the Zetta database with whatever metadata is embedded in audio files being imported as we want to only import metadata provided via the Metadata Import tool. RCS recommends this option only be enabled temporarily.

Data Grid

The Data Grid has a maximum of 26 data columns. The first five Columns are assigned by default to the metadata that is most commonly used by every asset and those fields that are commonly used for Matching metadata to those assets already in the Zetta® database. The Column data header can be changed to match the data in the column by right-clicking the header and selecting the field from the resulting menu.

Average Load Time

This will display the Average Load Time per asset when the Import has completed.

Run

The run button will run the Metadata Import based on the actions and options selected for the metadata.

Using the Metadata Import to make changes to the library in Zetta

This section will illustrate how to make changes to the assets that already exist in the Zetta® database. This section will show how to export the current metadata and Import the metadata back into Zetta after making some changes. The following example will show how to change the Title of the Songs in the Library to all UPPERCASE characters and change the External ID.

To Import Metadata changes into Zetta, follow these steps:
  1. Select Library from the Modules Menu
  2. Select the Songs tab
  3. Insert the column id, this is the Asset ID given to the asset by Zetta, every asset has a unique ID
    1. Right-click the column header to Insert the id and External Id columns
    2. Move the column to the first column position by clicking and dragging the header of the id column
    3. Right-click and Remove any column that will not be changed.
  4. Highlight the Songs to change using either Shift or Ctrl key

  5. Press and hold the Ctrl key while pressing the C key to copy the text of the highlighted songs to the computers clipboard.
  6. Open a spreadsheet program, such as Excel. (this example uses Microsoft® Excel 2010)
  7. Paste the contents of the clipboard into the spreadsheet
  8. Using the Formulas in the spreadsheet application set up a function in column D to change the Title column to all UPPER
  9. Select the text in cell C1
  10. Click Ok to the Function Arguments
  11. Copy that function down the spreadsheet in column D to duplicate the function for all entries in column C

  12. Right-click the C column header and select hide to hide the original Title column.
  13. Optionally change the External IDs using a similar formula.
  14. Note the number of rows used in the spreadsheet.
  15. Highlight the data in the spreadsheet.
  16. Copy the highlighted text.
  17. Select Metadata Import from the Tools menu
  18. Select Assetid from the Match On drop-down
  19. Select the Options to use. In this example we only need 2 options the Notify GSelector as the database being used is integrated with GSelector and the Allow Modify must be checked for Zetta to modify the titles of these existing assets.
  20. Enter the row count into the Create Rows field (Noted in step 15).
  21. Click the Create Rows button.
  22. Click the first empty row under the header Asset Type
  23. Press and hold the Ctrl key while pressing the V key to paste contents of the clipboard.
  24. Right-click the Asset Type column header and change the column type to Assetid

  25. Right-click the Artist and Sponsor column headers and change them to (None).
  26. Click the Actions button down arrow at the top of the window.
  27. Select Check All to Import all the rows into the database.

  28. Click Run
  29. The Status column will show if the import was complete or if there was an error.

  30. Use the Grouping bar to get a better picture of the Status
  31. Close the Metadata Import window and note the change to the Song Titles and External IDs in the Library.

Welcome < Tools < Metadata Import

© 2007-2017 RCS All Rights Reserved.


Sync Assets with GSelector

Zetta® contains a Tool that will check the synchronization between Zetta and GSelector®. This tool can also be used to synchronize assets between the two products. The Sync Assets with GSelector Tool is found in the Tools menu when logged in as the Supervisor user.

Important Notes!

The Sync Assets with GSelector tool is new with Zetta® version 2.9. After Zetta has been upgraded to version 2.9 an alert will appear next to the Help menu and the Startup manager will not start the GSelector Services until the Sync Assets with GSelector tool has been run. The GSelector version must be the 4.2.1 or higher.

The first time the Sync Assets with GSelector tool is used in an existing system that has been upgraded to Zetta version 2.9, the following window is displayed.

Click GO to run the tool. When the tool is run it will check the synchronization of assets, logs and control events between the two applications and push a unique GUID for each asset to GSelector. When this tool is finished the GSelector services in the startup manager will start automatically and the window will display information about what was checked for synchronization. Click the Go To Manual Sync button to view the Sync results.

Click any area in this image for help

Click any area in this image for help

Load

Match On

Show

Compare Results

Synchronize

Load

The load section of the Sync Assets with GSelector window is used to select the asset type and station to run a comparison of the assets between the two products. Once the compare has finished the Sync Assets with GSelector window is filled with the results as seen above.

Match On

The Match On option allows the user to change the way the assets are matched during the compare process. A GUID column is available for viewing in the Library and Logs module.

Show

The Show buttons are used to filter the results.

The Green Right Arrow is shown when the asset only exists in GSelector database based on the Match On option selected.

The Equal is shown when the assets are the same in both systems

The Not-Equal is shown when there is a difference in the Assets between the two systems but they match based on the Match On option selected.

The Blue Left Arrow is shown when the asset only exists in the Zetta database based on the Match On option selected.

Compare Results

The results pane will show the Title, Artist, Category and if the Asset is active for each product. The option selected for comparison is also shown in a column and the <=> column shows how the assets compare. To see what the difference [image] is between the two compared assets, simply hover the mouse or the symbol [image] in the <=> column to view the tool tip.

When the correct asset is determined use the difference [image] button in the <=> column to decide which system wins. Click the button to change is to the Green Arrow to keep the GSelector asset data or change the button to the blue arrow to keep the Zetta asset data. Optionally, select the asset, then right-click and choose the desired action from the resulting menu.

Once all the differences have been updated to the correct system, click the Synchronize button.

Synchronize

The Synchronize button is used to synchronize the assets in GSelector and Zetta. Assets with a Not-Equal in the <=> column will not be synchronized. A confirmation window with a summary is displayed when the synchronize button is clicked.

Click Run to start the synchronization.

Click Cancel to stop the process if needed. When it is finished, click the close button to close the Synchronize Assets window, the assets will automatically be compared again.

Welcome < Tools < Sync Assets with GSelector


Database Management

Welcome < Tools < Database Management

Database Management DBMS

RCS Database Management Service (DBMS) is a windows service that works with Zetta® to provide an easier mechanism to switch between SQL database servers. The primary use case is to setup a Local database on each of the sequencer and/or Hotspare sequencer computers to use the Emergency On-Air Backup for each station. When the Emergency On-Air Backup is configured Zetta will make a copy of the main database on the local computers then restore the database on the local computer for use.

The secondary use is to setup two DBMS servers on a site so that when the SQL Server computer or SQL Server itself is down, Zetta can be switched to another server with a backup instance of SQL Server. Neither Zetta nor the DBMS provides database replication for the secondary option. The user will need to setup backups and restore them manually on the secondary SQL Server or provide a 3rd party solution to keep the two SQL Servers in sync. What DBMS does provide is a way to switch between these two SQL Servers.

DBMS Operation

In a typical setup all Zetta clients are setup with a single database which exists on the SQL Server. Zetta, Startup Manager and all Zetta processes communicate directly to the database. When SQL Server goes down, so does most of Zetta.

Go Local

The (localdb) is visible when configured and active for the local computer. Once the Emergency On-Air Backup is configured and a backup and restore of the database is complete, clicking the Go Local button will switch the configured computer over to the Local database. Any changes made in this database will not be populated to the main database.

Make Primary

DBMS servers provide a mechanism to remove this single point of failure. When two SQL Servers are present, the Zetta clients need to be routed so all Zetta clients communicate with the current SQL Server. The DBMS servers perform this job. The two DBMS servers are setup to communicate with their respective SQL Server. The DBMS services will communicate to make sure that there is a single primary DBMS. Zetta clients communicate with DBMS and learn the location of the primary DBMS and the appropriate database.

When the DBMS is switched to a different SQL Server from within Zetta, all the Zetta clients will be re-routed to the new DBMS and communicate with the new SQL Server database.

For more information on Configuring Database Management, contact RCS Support.

Welcome < Tools < Database Management

© 2007-2017 RCS All Rights Reserved.


Configuration Overview

The Configuration Menu allows users with access to configure global, station and user settings for their Zetta® system. The Configuration menu is a good place to start when setting up Zetta for the first time.

The follow topics explain the Configuration options found in Zetta:

System

Computers

Play Containers

Stations

Content Manager

Organizations

Roles

Accounts

Talent Grids

Macros

Background Recorders

Virtual Stations

ZCast Connections

Site Replication Manager

Multisite VT Destinations

Hotspare

Flat File Assignment

Preferences

Themes & Appearances

Hot Keys

Backup Database

Restore Database

Licensing

Welcome < Configuration Overview

© 2007-2017 RCS All Rights Reserved.


System

Welcome < Configuration < System Configuration

System Configuration

The System options in Zetta® are used to configure system-wide configurations. By default, the System Configuration window has these tabs -- General, Now Playing Export, Audio Types, Audio Processing, Command Mappings, Auto Load, Audio Format, Scheduled Maintenance, On Demand Recording, Locations, Publish, External ID, Content Ingest and the Voice Track and Quick Record tab. Depending on the features selected in the General tab, the tabs available in the System Configuration window will differ.

Click any area in this image for help

Click any area in this image for help

Important Note!

If an asterisk (*) is displayed next to the site <Name>, it indicates there are unsaved changes.

The following Tabs are available for configuration in the System window:

General

GSelector

ZCast

Now Playing Export

Audio Types

Audio Processing

Command Mappings

Auto Load

Audio Format

Voice Track and Quick Record

Scheduled Maintenance

Automatic Backups

On Demand Recording

Locations

Content Ingest

Publish

External ID

Welcome < Configuration < System Configuration


General

The General tab of the System Configuration window is always visible as the default tab when System is chosen. The General tab is used to enable additional features in Zetta®. All the features use a service except for Splits, these services can run from the same computer or from many different computers on the same network. The General tab is also used to Name and set the Language of the installation.

Click any area in this image for help

Click any area in this image for help

Site Name

Display Username in Title bar

Display Site Name in Title bar

Selected Language

Start Translation

Features

General Tab Step-by-Step Topics

Site Name

The Site Name field is the first field in the General tab and is used to name the installation. This name will appear in the main toolbar of each window. When an asterisk appears next to the site name this indicates there are changes that need saved. The Site Name is also used in Site Replication.

Display Username in Title bar

The Display Username in Title bar option is enabled by default. This option will put the logged in users name in the main Zetta title bar.

Display Site Name in Title bar

Enabling the Display Site Name in Title bar will put the Site Name in the main Zetta title bar.

Selected Language

The Selected Language drop-down is used to choose a localized language to translate the application to match the localized language used at the site.

Start Translation

The Start Translation button opens the Translation window allowing the user to translate the different areas of Zetta to the local site language of the users.

Features

The Features section is used to enable additional components in Zetta®. To enable a feature click the Active field next to the desired feature and the computer responsible for the component. The following components are available:

GSelector® Integration – The GSelector® Integration feature option will enable the GSelector® tab to allow the configuration of integrating GSelector with Zetta. GSelector Integration is disabled if an Audio Type has a Metadata Scope other than Station. If this option is disabled check the Metadata Scope in the Audio Types tab of the System Configuration.

Database Notify Service – The Database Notify Service is used to assign a machine to notify network computers running Zetta of all database changes.

Time Sync Service – The Time Sync Service is for sites with more than one computer running Zetta, this option must be selected and the computer with the time service device must be selected to keep the time on all the computers synced to one source.

Status Feed Service - The Status Feed Service is a Service that will return information about each station and vital system information to an external API application. Contact RCS Support for additional information on this service.

Zetta Splits® – The Zetta Splits component is used to enable the Splits feature in Zetta. The splits feature lets a master station send a signal to the local stations to play their own local spots and links, and then it rejoins the master station after the break. Splits stations can be used for Internet Streaming stations, Network Programming or Simulcasting.

ZCast Service - ZCast is technology that allows the transferring of audio across systems and stations. This option enables the Tools and Configuration windows that are used to enable the transfer of audio from the Library to other systems and stations via an http connection. Selecting this option also enables the ZCast tab. ZCast is disabled if an Audio Type has a Metadata Scope other than Station. If this option is disabled check the Metadata Scope in the Audio Types tab of the System Configuration.

Scheduled Maintenance - In Zetta a machine can be set up to run different maintenance tasks at a specified time to keep Zetta® running normally and at best performance.

Zetta2GO® Service - The Zetta2GO Service is used to assign the machine that will be the service host for Zetta2GO. The Service Host machine must have the required Windows Components and Zetta2GO installed.

Multisite Voice Tracker® - Zetta's Multisite Voice Tracking is a new feature in version 3.00 of Zetta. This feature allows users to voice track in a single log for multiple Zetta sites.

Site Replication Services - The Site Replication Services are used to sync two or more Zetta sites to create redundant Zetta systems. These redundant systems can be local or remote allowing for synchronization across a wide area network.

General Tab Step-by-Step Topics

This section will provide step-by-step instructions for common tasks in the General tab of the System Configuration window.

Configuring System General Features

Selecting a System Language

Configuring System General Features

To assign a computer to a featured component using the General Tab, perform the following steps:
  1. From the Configuration Menu, click System

  2. In the General tab enter a Site Name to name the installation, leave the default or enter any name desired.
  3. Use the Selected Language field to select a site default language; this will translate Zetta® to the selected language when Zetta® is restarted. See the Selecting a System Language steps below or the Translation topic in the Features section for more information on creating a custom translation.
  4. Select the Active box next to each component to be configured.
  5. Select the Computer assigned to each component. Be sure to select a Computer for the Database Notify and the Scheduled Maintenance Services.
  6. Click the Save [image] icon to save the configuration settings.
  7. At each computer assigned in the General tab verify the assigned services start in the Startup Manager. Access the Startup Manager window by double-clicking on the [image] icon in the System Tray.
  8. If the services have not started, click the Stop All button for each service.

  9. When all services are stopped, click the Start All.

  10. Verify that all services start correctly.

Selecting a System Language

This section will detail the steps needed for changing the language used in Zetta®.

To set the language to what is commonly used at the site, perform the following steps:
  1. Go to the Configuration Menu and click System
  2. Click the Selected Language drop-down

  3. Choose the desired language.
  4. Click Save [image] to save the changes.
  5. Restart Zetta®

  6. Login to note the changes

To add translations or edit translations, see the Translation section in the Features section of this guide.

Welcome < Configuration < System Configuration < General


GSelector

Welcome < Configuration < System Configuration < GSelector

GSelector®

The GSelector tab is used to configure the connection to a GSelector Host Server and Database. Once the connection is established Zetta® stations can be mapped to their GSelector counterpart for Integration of Assets, Logs, Log status and Control events.

Important Note!

Use the latest version of GSelector for all the latest GSelector integration features.

Click any area in this image for help

Click any area in this image for help

When GSelector Integration is enabled; the GSelector tab will be displayed in the system configuration window. When the GSelector tab is selected, the following options are displayed:

GSelector Sever

GSelector Database

Check Integration

Auto Send Asset Changes

Capture communications

Treat asset deletions from GSelector as: Deactivate or Delete

Sync Categories and Control Events

Station Mapping

Configuring GSelector Integration

GSelector Sever

The GSelector Server is the Service Host Server for the desired GSelector Database. Enter the Name or IP address of the GSelector Service Host server then click Check Integration.

GSelector Database

Zetta version 2.9 or higher supports different GSelector database connection to the same Server. Use the GSelector Database drop-down to select the Database to integrate with Zetta.

Check Integration

The Check Integration button is used to facilitate communication between GSelector and Zetta. When Zetta contacts the GSelector Service Host a “Successfully...” message will be returned an the GSelector Databases will be returned to Zetta for selection. If an Error is received check the Firewall settings on Servers and Routers.

Auto Send Asset Changes

To automatically send all Library changes to GSelector, select the Auto Send Asset Changes option. When Zetta is synchronized the date and time of the last synchronization will be displayed in this window.

Capture communications

Enabling the Capture communications option, will capture the communication data sent and received by Zetta in several files and folders in the ProgramData/RCS/Zetta/xLogger Folder of the computer. The files will be retained for one month before they are overwritten. This option is disabled by default.

Treat asset deletions from GSelector as: Deactivate or Delete

When an asset is deleted in GSelector it sends a message telling Zetta that it has deleted the asset. The Treat asset deletions from GSelector as: option tells Zetta to Deactivate or Delete the asset when the asset is deleted from GSelector. The default action of Deactivate will tell Zetta to deactivate the asset in all stations.

Sync Categories and Control Events

The Sync Categories and Control Events button will send any existing categories and control events, such as macro's and external control events, to GSelector.

Station Mapping

The Station Mapping section is used to create and activate the connection between a Zetta Station and a GSelector Station.

For more information on connecting to GSelector, see the Getting Connected to GSelector topic of this guide.

Configuring GSelector Integration

This section will outline the steps required to configure GSelector Integration in Zetta for more information on GSelector settings see Getting Connected to GSelector in the Zetta Quick Setup Instructions of this guide.

To configure GSelector® Integration, follow these steps:
  1. In the Configuration menu, select System.
  2. In the System configuration window, ensure GSelector® Integration is Active in the Features section of the General configuration tab.
  3. Select the GSelector® tab.

  4. Enter the IP address of the GSelector Service Host server in the GSelector Server field, this is the server with IIS installed and running the GSImportExportService.
  5. To verify the IP address and pull the available Databases, click the Check Integration button.
  6. Click OK to the GSelector Communication Successful dialog. If an Error is received check the Firewall settings on Servers and Routers.
  7. Select the GSelector Database to connect to from the drop-down.
  8. Enable Auto Send Asset Changes option to allow Zetta to automatically send all audio changes to GSelector. If this option is not enabled, all imported audio will have to be manually synchronized.
  9. Optionally, enable Capture communications to log communication to text files.
  10. Set how Deletions should be handled when an asset is deleted in GSelector using the Treat asset deletions from GSelector as: Deactivate or Delete option.
  11. Select the GSelector Station to integrate with from the drop-down; this creates mappings between the GSelector and Zetta stations. This mapping is used to send log data to the correct station.
  12. Select Active to enable integration for each station.

  13. Click the Save [image] icon to save the changes. See the GSelector Interfaces Settings section to enable Zetta Integration in GSelector.
  14. After the systems are integrated and configured, click the Sync Categories and Control Events to send the Zetta control events to GSelector and sync the GSelector categories with Zetta.

Welcome < Configuration < System Configuration < GSelector


ZCast

The ZCast tab is used to define the sending site ZCast Address and default send configuration settings for sending ZCast packets to a receiving site. The ZCast Connections window of the Configuration menu is used to setup site connections. See the ZCast topic in the Features section for more information on using the ZCast feature.

Click any area in this image for help

Click any area in this image for help

When the ZCast Service is enabled in the General Tab; the ZCast tab will be displayed in the system configuration window.

ZCast Address

Max Number Of Retries

Time till retry after failure

Limit Outbound Bandwidth

Limit Inbound Bandwidth

External ID handling on Incoming Assets

ZCast Address

The ZCast Address is the address of the computer assigned to run the ZCast Service and the port used when communicating with other Zetta® systems. This field is automatically populated with the correct computer name and the default port of 3135, however this field can be changed, contact RCS Support for assistance. Use the Test button to verify the connection to the ZCast Service.

Max Number Of Retries

The Max Number Of Retries setting is the maximum number of times that Zetta will retry sending the data before it stops trying and fails the send request. The default setting is 60 retries.

Time till retry after failure

The Time till retry after failure is the time in seconds that Zetta will wait before it retries to send the data again. The default setting is 60 seconds.

Limit Outbound Bandwidth

This option will limit the outbound network bandwidth used by ZCast. The default setting of zero means Zetta will use all bandwidth detected in the sending of ZCast packets to ZCast connections. Deleting the entry will default to zero. This setting can also be controlled on the fly using the Command Mapping ZCast.OutboundLimit in an Execute Command in a log, background recorder or macro.

Limit Inbound Bandwidth

This option will limit the inbound network bandwidth used by ZCast. The default setting of zero means Zetta will use all bandwidth detected in the receiving of ZCast packets from ZCast connections. Deleting the entry will default to zero. This setting can also be controlled on the fly using the Command Mappings ZCast.InboundLimit in an Execute Command in a log, background recorder or macro.

External ID handling on Incoming Assets

The External ID handling can be used to set how Zetta is to handle the External ID of incoming assets when using the Match On by GUID option in the Inbound ZCast Connections for ZCast. This can be useful when receiving ZCast data from a site who does not share the exact same External ID arrangement to prevent duplicate External ID's.

Accept External ID - There are seven ways of handling external ID's during a ZCast import. These settings are used on the inbound side:

Accept Always - This option always imports the external ID that comes from the import, regardless of whether the asset is new or not. Also, does NOT check for conflicts. This is how versions prior to 2.9 of Zetta handle the External ID.

Accept when no conflicting External ID, otherwise keep External ID - This option imports the external ID that comes from the import IF the external ID given is not set on a different asset. If the same external ID is found on a different asset Zetta will accept the asset, but clear the external ID on import of the new asset. This means the new asset will not have an External ID. If the same external ID is found on an existing matching asset then the asset will be updated and the External ID will remain the same.

Accept when no conflicting External ID, otherwise make External ID unique - This option imports the external ID that comes from the import IF the external ID given is not set on a different asset. If the same external ID is found on a different asset Zetta® will accept the asset, but change the external ID to a unique number on import if it is a new asset. If the same external ID is found on an existing matching asset then the asset will be updated and the External ID will be changed to a unique number. The unique number will have the word DUPLICATE in it for easy searching in the Library module (ExternalID_DUPLICATE_AssetID_RandomNumber).

Accept and clear External ID on conflicting assets - This option imports the external ID that comes from the import IF the external ID given is not set on a different asset. If the same external ID is found on a different asset, Zetta will clear the external ID on the EXISTING assets that have the external ID. In other words, the asset that is getting imported will retain the external ID given, and conflicting assets with the same external ID will no longer have an External ID.

Accept and make External ID unique on conflicting assets - This option imports the external ID that comes from the import IF the external ID given is not set on a different asset. If the same external ID is found on a different asset, Zetta® will make the external ID unique on the EXISTING assets that have the external ID. In other words, the asset that is getting imported will retain the external ID given, and conflicting assets with the same external ID will get a new unique external ID. The unique number will have the word DUPLICATE in it for easy searching in the Library module (ExternalID_DUPLICATE_AssetID_RandomNumber).

Ignore External ID - This option tells Zetta to never accept the given external ID from the import. Zetta will clear the external ID on the importing asset if it is a new asset, and will leave the external ID alone when updating an existing asset.

Fail transfer when conflict found - This option will fail the import of the asset if the External ID conflicts with an existing asset.

Welcome < Configuration < System Configuration < ZCast


Site Replication Manager

Site Replication is used to sync two or more Zetta sites to create redundant Zetta systems or to sync selected stations. These replicated systems can be local or remote allowing for synchronization across a wide area network. This feature will replicate many of the items in the database and the audio assets. This feature uses the Site Replication Services and the Zetta2GO Service found in the General tab of the System Configuration window. Currently the recommended approach to Site Replication is to start with a fully configured database, then take a backup of the system (database and audio), restore the backup on the other system(s) and then enable Site Rep. Site Replication is supported with version 3.5 or higher of Zetta. This topic will only cover the Site Replication Manager for more information on implementing and using Site Replication contact RCS Support.

Important Note!

There are currently no tools available to synchronize two completely separate databases. They can still be set up for Site Replication, but there is no mechanism currently to synchronize "orphans" on either end.

Click any area in this image for help

Click any area in this image for help

Site Replication Manager Toolbar

The following toolbar options are available in the Site Replication Manager window:

Refresh Site Replication - The Refresh Site Replication button will refresh the window to its last saved state, discarding all unsaved changes.

Add New Site – The Add New Site button will open the Add Site to Replication window. In this window enter the Replication Servers name. This is the name of the replication server that is running the Zetta2GO Service and the Site Replication Services.

Remove Site – The Remove Site button is used to Remove a configured Replication Server from the Site Replication Manager.

Publish Site Configuration – The Publish Site Configuration button will first verify that every site participating in replication is still up and running then it will Publish the same replication configuration to all sites. This button must be used after any changes are made to the Site Replication Manager.

Name

The Name pane displays a list of the replicating Zetta systems by site name. This is the same site name found in the General tab of the System Configuration window.

Site Replication Manager Configuration Fields

The following sections of the topic cover each configuration field of the Site Replication Manager. Currently the Site Server and Site Name fields cannot be edited. Contact RCS Support for assistance configuring these fields and Site Replication.

Site Server

Site Name

Active Organizations

Limit Total Outbound Bandwidth

Limit Total Inbound Bandwidth

Site Server

The Site Server is the name of the replication server that is running the Zetta2GO Service and the Site Replication Services. Contact RCS Support for assistance configuring this field.

Site Name

The site name field shows the site name of the Zetta system. This is the same site name found in the General tab of the System Configuration window.

Active Organizations

The Active Organizations drop-down is used to select configured Organizations. Organizations are used to restrict Resource File, Log and Log Event transfers. Creating the Organizations before setting up site replication saves time. When an Organization is selected as the Active Organization in the Site Replication Manager, Zetta will track changes and transfer them to the replication servers for the stations in the Organization. If a station is not included in the Organization selected as the Active Organization then Zetta will restrict the transfer to the replication servers. See the Organizations section for more information on setting up Organizations.

Important Note!

No Audio or Logs will be replicated until Organizations are selected in the Active Organization drop-down.

Limit Total Outbound Bandwidth

The Limit Total Outbound Bandwidth option will limit the outbound network bandwidth used by Site Replication. The default setting of zero means Zetta will use all bandwidth detected. Deleting the entry will default to zero.

Limit Total Inbound Bandwidth

The Limit Total Inbound Bandwidth option will limit the inbound network bandwidth used by Site Replication. The default setting of zero means Zetta will use all bandwidth detected. Deleting the entry will default to zero.

Site Replication Logging

The bottom pane of the Site Replication manager displays the logging information when the Publish Site Config button in the toolbar is used. This can be used to determine if the Replication servers are available and connecting. This does not log each transaction between servers.


Now Playing Export

The Now Playing Export tab is used to configure the exporting of Now Playing information to a Radio Show RDS or Now Playing server. This information is distributed as an ASCI file or as XML. Notes associated with assets can also be included in the data passed to a Now Playing server. The Now Playing Export instances configured in this window are used with the Sequencer Now Playing Send messages, the Now Playing Export Send Module messages and the NowPlayingExport.Send Zetta Command messages.

Important Note!

The Zetta Full XML Format has been upgraded in Zetta version 3.5 to include additional fields. If using Radio Show RDS for Now Playing Export, it is recommended that version 2.3.7 of Radio Show RDS be used with this version of Zetta.

Click any area in this image for help

Click any area in this image for help

Toolbar

Add New Now Playing Export

Now Playing Export Tab Step-by-Step Topics

Adding a Now Playing Export Instance

Now Playing Export Format

Adding a Now Playing Export Format

Editing a Now Playing Export Format

Toolbar

The Now Playing Export tab allows the user to view a list of all the configured servers as well the following configuration options:

Add New Now Playing Export – The Add New Now Playing Export button will create a new Now Playing Export instance. Enter the details to export the now playing data, then click the Save [image] button.

Delete Now Playing Export – The Delete Now Playing Export button can be used to remove the selected now playing export instance.

Add New Now Playing Export

Clicking the Add New Now Playing Export [image] button will enable the following configuration fields:

Active – Selecting the active option will enable the selected now playing export instance.

Name – Use the Name field to identify the now playing export instance.

Description – Use the description field to provide additional information regarding the now playing export instance. (optional)

Station – Use the Station option to select the station that will send the Now Playing data from the drop-down menu. Where multiple now playing export instances exist for a station, any now playing message will be sent to all active now playing export instances for the station.

Computer - Use the Computer option to select the computer that will run the now playing export service for the selected station.

Format - The Format drop-down allows the user to select a predefined XSLT to use to transform the output metadata. The user can select one of the predefined XSLT (Extensible Stylesheet Language Transformations) options or create a new Now Playing Export format to use. There are five XSLT formats that ship with Zetta three of which can be edited to fit the needs of the Now Playing Server. See the Now Playing Format section of this topic. The existing formats are as follows:

  • Zetta Full - This format cannot be edited, it is a complex output XSLT format.
  • Zetta Lite - This format cannot be edited, it is a simpler XSLT format that does not include all the data that is in the Zetta Full format.
  • Sample 1 - This format can be edited and is the Zetta Full XSLT format without Notes that are associated with the asset to be exported with the Now Playing data.
  • Sample 2 - This format can be edited and is the Zetta Lite XSLT format with simple text output.
  • Sample 3 - This format can be edited and is the Zetta Lite XSLT format without Notes that are associated with the asset to be exported with the Now Playing data.

Number of Items - Number of Items are the number of items that will be loaded or queued at one time. The maximum number of items is 20.

Data Encoding - The Data Encoding drop-down allows the user to select the encoding to be used for the data sent.

Capture Now Playing Export output data - The Capture Now Playing Export output data option when selected will output a log file to C:\ProgramData\RCS\Zetta\Logging\Debug on the computer that runs the Now Playing Export instance with the name Zetta.ExternalServicesLauncher.exe_NOWPLAYINGEXPORT_COMMUNICATION.xlog. This option can be used to troubleshoot issues if needed.

Send Changed Message n extra times - The Send Changed Message n extra times will send a now playing message n number of times back to back. A maximum value of 100 extra times can be used for this field.

Send single message every x seconds - The Send single message every x seconds will send a now playing message every x number of seconds until a new message is sent, then the new message will be sent out every x seconds and so on. A maximum value of 1440 seconds or 24 hours can be used for this field.

Device - Use the Device drop-down to select the type of Device used.

  • TCP/UDP - Selecting TCP or UDP will require the IP Address or Computer Name of the now playing server that will receive the Now Playing information and the IP port used to pass the Now Playing data from the station to the server.
  • Serial - Selecting Serial will require the Comport used and the communication parameters for the Comport connection.
  • Connection Style - Use the Connection style to select how Zetta will connect to the device. When Zetta Now Playing has a message to send, the default connection type, will open a connection to the port, send the data, and then close the connection. However, some applications prefer to keep the connection open for as long as the two connected applications are running rather than connecting and disconnecting for each message. Zetta supports both, Close connection after each message and Keep connection open, connection styles.

Now Playing Export Tab Step-by-Step Topics

This topic will provide step-by-step instructions for common tasks in the Now Playing Export tab of the System Configuration window.

Adding a Now Playing Export Instance

Now Playing Export Format

Adding a Now Playing Export Format

Editing a Now Playing Export Format

Adding a Now Playing Export Instance

To add a Now Playing Export Instance, perform the following steps:
  1. Go to the System configuration window.
  2. Select the Now Playing Export tab.
  3. Click the Add New Now Playing Export [image] button.
  4. Select Active to enable the selected Now Playing Export instance.
  5. Enter a Name to identify the Now Playing Export instance.
  6. Use the Description field to provide additional information regarding the Now Playing Export instance or server. (optional)
  7. From the Station drop-down select the station that will send the Now Playing data to the server.
  8. Select the Computer to run the Now Playing Export service for the selected station.
  9. Select a Format from the drop-down or create a new format. See the Adding Now Playing Export Formats section.
  10. Enter the Number of Items to push to the Now Playing server at one time.
  11. Select the type of Data Encoding to use.
  12. Optionally, select Capture Now Playing Export output data to export the output to a log file.
  13. Select the device type from the Device drop-down
  14. Enter communication information for the device.

  14. Click the Save [image] button to save the Now Playing Export configuration.
  15. Restart the Now Playing Export service in the External Services of the Startup Manager.

Now Playing Export Format

Now Playing Export Formats allow the user to create their own XML format to be used in pushing Now Playing data to a server. The user can apply XSLT (Extensible Stylesheet Language Transformations) to transform the Zetta Full complex XML format or the Zetta Lite Simpler XML format to achieve their desired effect.

Adding a Now Playing Export Format

Editing a Now Playing Export Format

Adding a Now Playing Export Format

To add a Format, perform the following steps:
  1. Go to the System configuration window.
  2. Select the Now Playing Export tab.
  3. Click the Add New Now Playing Export [image] button
  4. Select the Add New Format [image] button.

  5. Enter a Name for the format.
  6. Enter a Description for the new format.
  7. Select the XML format to Start With either Zetta Full or Zetta Lite.
  8. Import or Enter the XSLT to Apply to the selected XML
  9. Select the XML tab to view or edit the selected XML that was chosen to Start With.
  10. Click the Test button to apply the XSLT to the selected XML to view the output in the Test Results tab
  11. Click the Save [image] button when finished.

Editing a Now Playing Export Format

To edit a Format, perform the following steps:
  1. Go to the System configuration window.
  2. Select the Now Playing Export tab.
  3. Click the Add New Now Playing Export [image] button
  4. Select the Format to edit.
  5. Select the Edit [image] button

  6. Edit the format as needed.
  7. Click the Test button to apply the XSLT to the selected XML to view the output in the Test Results tab
  8. Click the Save [image] button when finished.

Welcome < Configuration < System Configuration < Now Playing Export


Audio Types

The Audio Types tab is used to create additional Library asset tabs to separate audio into custom audio types, such as Jingles, Liners, Interviews or specific audio for a user. It is also used to set the Metadata Scope of the Assets in each Audio Type to Cuts, Station or Global the default is Station. Audio metadata for custom audio types are not stored in GSelector when using GSelector Integration, however these custom audio types, Voice Tracks and Quick Records can be auditioned in Editor of GSelector when they are scheduled. Auditioning in GSelector requires GSelector version 4.3.2 or higher. The Audio Format for the custom audio assets can be set using the Other Audio setting in the Audio Format tab of this System Configuration window.

Important Note!

When GSelector or ZCast are enabled in the System Configuration General tab, the Metadata Scope of the asset cannot be changed and defaults to Station. If the Metadata Scope column is hidden check the General tab to see if one or both of these features is enabled. It is recommended that RCS Support be contacted before changing the Metadata Scope for existing Assets as these assets may lose their station activation.

To access the Audio Types tab, select System from the configuration menu and then select the Audio Types tab. When GSelector and ZCast are disabled the audio types tab will look similar to the following illustration.

Click any area in this image for help

Click any area in this image above for help

When GSelector and ZCast are enabled the Audio Types tab will look similar to the following illustration.

Name

The name column shows the name of the Audio Type. This is the name that is displayed on the custom Audio Type tab in the Library. To edit this field simply double-click the field and start typing.

Important Note!

The System audio types cannot be edited or deleted.

Description

The description is optional and is used to add more information about the Audio Type. To edit this field simply double click the field and start typing.

Type

The Type column shows if the asset is a System asset or a Custom asset. System assets are created when the database is installed and cannot be deleted or edited. Custom assets are created using the Add New [image] button in the toolbar. Custom Audio Types can be deleted from the database.

Metadata Scope

The Metadata Scope field is used to set assets of the Audio Type as either Cuts, Station or Global. By default all Audio Types have a Metadata Scope of Station. This can be changed using the drop-down in the Metadata Scope column for each Audio Type. The Metadata Scope for Voice Tracks, Quick Records, and Alerts cannot be changed from Station. The Metadata Scope for Shows and Mini-Logs cannot be changed from Global. When GSelector or ZCast are enabled in the System Configuration General tab, the Metadata Scope column is hidden and therefore the scope cannot be changed. If the Metadata Scope column is hidden check the General tab to see if one or both of these features is enabled.

Station

A Metadata Scope of Station means the assets for the Audio Type will have Station Specific attributes and will need to be activated on a specific station to play.

Cuts

A Metadata Scope of Cuts means the assets for the Audio Type will have Cut Specific attributes and each Cut will have to be assigned to a station and activated to play on the station. When the Metadata scope is changed to Cuts all existing assets will have a Cut 1. Cut 1 cannot be deleted.

Global

A Metadata Scope of Global means the assets for the Audio Type are Global assets and are not assigned to a specific station. The assets have to be activated in the Global tab of the metadata card to play on any station. A Global asset that is active can play on all stations.

Create Custom Audio Types for the Library Module

To create a new Audio Type, perform the following steps:
  1. From the Configuration Menu, click System
  2. Select the Audio Types tab.
  3. Select the Add New [image] button
  4. Enter a Name for the new audio type in the Name column.
  5. Optionally double-click the Description column for the new audio type and add a description.
  6. Optionally if visible, set the Metadata Scope using the drop-down.

  7. Click Save [image] in the System Configuration window.

Remove a Custom Audio Type from the Database

To remove an Audio Type permanently from the Zetta Database, perform the following steps:
  1. From the Configuration Menu, click System
  2. Select the Audio Types tab.
  3. Select the Name of the tab.
  4. Select the Delete [image] button in the same row as the name of the tab.
  5. Click Save [image] in the System Configuration window.

See the Marks Editor section for details on editing the audio file.

To import multiple audio assets into the Library, see the Media Import Utility section of the Tools menu of this guide.

Welcome < Configuration < System Configuration < Audio Types


Audio Processing

The Audio Processing tab allows the user to set up parameters that will automatically be set on audio imported, captured and recorded into the library. It is recommended that all audio files be “trimmed” at beginning and end so that only valid audio, not silence, is played out from Zetta®. For additional information on how audio is processed and normalized in Zetta see the Audio Processing and Normalization topic in the Features section.

Click any area in this image for help

Click any area in this image for help

Audio and Marks Analysis

Voice Track Settings

Time Stretch

Waveform and Normalization Analysis

Audio Processing Tab Step-by-Step Topics

Audio and Marks Analysis

With the Method drop-down the user is given the option to choose from the following options:

No Analysis – The No Analysis option will not make any changes to processed audio. Normalization values are not calculated.

Normalization and Waveform - The Normalization and Waveform option will normalize the audio and create the waveform only. It will not locate any markers such as Trim In and Trim Out.

Peak Analysis– Peak Analysis is the default recommended analysis and will analyze the peaks of the audio and set the following based on desired settings. The following settings are enabled by default when Zetta is first installed.

  • Trim-In Threshold – Trim-in is an open marker to define where “silence” ends and actual audio begins. (Default -50dB)
  • Trim-Out Threshold – Trim-out is a closing marker where audio becomes “silence”. (Default -50dB)
  • Segue Threshold – Segue is the transition point in the audio when one event is mixed with the next event. (Default -18dB)

Smart Analysis – (Used in Smart Ripper®) Smart will analyze the audio and set the following marks based on the desired settings. Contact RCS Support for assistance.

  • Trim Threshold – Trim is the open and closing markers to define where “silence” ends and actual audio begins. (Default -50dB)
  • Segue Threshold – Segue is the transition point in the audio when one event is mixed with the next event. (Default -18dB)
  • Determine Intros – Zetta® will determine where the accents in the introduction for each audio event are and mark up to three Intros.

Voice Track Settings

When the Voice Track Settings trim Threshold is set, the silence at the beginning and end of a voice track will be trimmed when the voice track is saved.

Trim-In Threshold – Trim-in is an open marker to define where “silence” ends and actual audio begins. (Default -30dB)

Trim-Out Threshold – Trim-out is a closing marker where audio becomes “silence”. (Default -30dB)

Time Stretch

Time Stretch allows the user to non-destructively stretch or squeeze an assets audio to meet a specific length of time. The settings in this section are used to set a minimum and maximum warning range. When the specified stretch or squeeze of the audio exceeds these limits a warning is displayed. The Minimum setting cannot be less than .5 and must be less than the Maximum. The Maximum cannot be greater than 2 times and must be greater than the Minimum. See the Marks Editor section of the Library Module topic for more information on Time Stretch.

Waveform and Normalization Analysis

WaveForm - Samples Per Second - The WaveForm option will set the default zoom size for the waveform displayed in the editors. (Default 100)

Empty audio file – An empty audio file can be selected to specify the default location for a newly created audio file in Zetta®

Audio Processing Tab Step-by-Step Topics

Setting Audio Processing levels for Audio Imported

Setting Audio Processing levels for Audio Imported

To have Zetta® Analyze Media Library Audio automatically on import, perform the following steps:
  1. From the Configuration menu, click System.
  2. Click the Audio Processing tab
  3. Choose the desired Method from the Marks Analysis drop-down menu. Contact RCS Support before selecting Smart Analysis. Peak Analysis is the default recommended analysis.

  4. Enter the desired dB levels for the method of choice.
  5. Set the Trim-in and Trim-Out Threshold for Voice Tracks.
  6. Set the minimum and maximum values to be used for Time Stretch Warnings.
  7. Click the Save [image] to finish.

Welcome < Configuration < System Configuration < Audio Processing


Command Mappings

Command Mappings are used to map and configure external devices, such as special keyboards and cards, to send and receive keyboard strokes, GPIO events and Cue Point events to commonly used tasks in Zetta®. Such devices already defined in Zetta are the Preh and Tipro keyboards, the SeaLevel, RS232 and PCI-1760 cards and the Axia Console. See the GPIO / Route Devices section of this guide for more information on these GPIO devices. A default System Keyboard Mappings has been created, which represents preset mappings from keyboard key strokes to actions in Zetta. To see a list of Zetta Commands available for Input and output devices see the Zetta Commands topic in the Appendix section of this guide.

Click any area in this image for additional help

Click any area in this image for additional help

Toolbar

Mapping Toolbar

Add Shortcut Key Mapping

Default System Keyboard Mappings

Add GPIO Mapping

Add Cue Point Mapping

Command Mappings Tab Step-by-Step Topics

Toolbar

Add Shortcut Key Mapping – Use the Add Shortcut Key Mapping to create mappings to control specific task types from the keyboard.

Add GPIO Event Mapping – Use the Add GPIO Event Mapping to create mappings to control GPIO events for a computer.

Add Cue Point Mapping - Use the Add Cue Point to create a mapping to a Command event to use with the Now Playing feature in Zetta or network syndicated stations. When a cue point occurs in an audio asset the assign command task will occur.

Copy Selected Mapping - Use the Copy Selected Mapping to create a duplicate mapping of the selected mapping. The mapping can then be edited.

Delete Selected Mapping - Use the Delete Selected Mapping to permanently remove the Command Mapping from the Database.

Mapping Toolbar

The Mapping toolbar is available when a Shortcut Key Mapping, GPIO Mapping or Cue Point Mapping is created.

Import Command Mapping - The Import mapping button can be used to import an exported mapping from another Zetta system or from an exported backup.

Export Command Mapping - The Export mapping button can be used to export a mapping for backup or use on another Zetta system.

Add New Command Mapping - The Add New Command Mapping button will a task mapping for the selected Keyboard, GPIO or Cue Point mapping

Delete Command Mapping - The Delete Command Mapping button will a remove the selected task from the selected Keyboard, GPIO or Cue Point mapping

Add Shortcut Key Mapping

The Add Shortcut Key Mapping [image] button is used to create mappings to control specific task types from the keyboard. The following fields are used to configure Keyboard mappings:

Name – The name is the title of the Keyboard Mapping

Description – The description field is used to add a more detailed description about the mapping.

System Default – The Keyboard Mapping created can be assigned as the system default or a specific user. See Account Configuration Step-by-Step for assigning Keyboard Mapping to a user.

Keyboard Mapping Configuration - There are four columns to configure for the keyboard commands:

  • Context – The Context drop-down menu defines which area of the UI the keyboard shortcut is applicable for; Global means the shortcut will work, no matter where in the UI the user currently is, any other option defines the area that needs to be active (= needs to have a focus) for the shortcut(s) to work. This is useful for scenarios where the same shortcut (e.g. F12) is to perform different operations in different areas of Zetta®.
  • Enable – Select the enable checkbox to enable and disable the Keyboard mapping.
  • Shortcut Key – Type the key sequence to use for the Task, such as the F9 key on the keyboard. Standalone keys, like letters and digits ("P" or "7") cannot be used as a shortcut, only in combination with keys like SHIFT, ALT and CTRL; F2 to F12 can be used as a standalone shortcut. F1 is reserved and will bring up this Help file. The Space key can also not be used at this time.
  • Task – The Task is the Task for Zetta® to perform. This field has an Auto Complete feature where the user can start typing the name of the task and Zetta will match what is typed with the existing entries.

  • Settings – The settings are specific parameters based on the Task selected.
  • Window - The window field is used for Task Window Named Mappings. This feature is currently only used with the Z-Player and Hot Keys to identify the stream that will be affected by the task mapped.

For Example: If two Z-Player modules were open at the same time one using Stream A and the other using Stream B and a mapping was desired to start playing the Z-Player using Stream A the mapping would look like the following illustration:

Important Note!

If there is more than one Z-Player Module using the same stream the mapping will not work.

Filter - To find a particular set of defined Task's, such as all that play, or stop, etc., enter that action in the Filter field at the bottom of the window. This will shorten the Task list to only those events represented by the Filter.

Default System Keyboard Mappings

To see a list of Zetta Commands available for input and output devices see the Zetta Commands topic in the Appendix section of this guide. The following table lists the default System Keyboard Mappings.

Context | Shortcut Key | Task | Task Settings | Comments
MarksTool | Control + Left | MarksTool.PanLeft |  |
 | Control + Right | MarksTool.PanRight |  |
 | Control + Add | MarksTool.ZoomIn |  |
 | Control + Subtract | MarksTool.ZoomOut |  |
 | Alt + Home | MarksTool.Mark.HookStart |  | Hook Start
 | Alt + End | MarksTool.Mark.HookEnd |  | Hook End
 | Control + Home | MarksTool.Mark.TrimIn |  | Trim In
 | Control + End | MarksTool.Mark.TrimOut |  | Trim Out
Segue And VoiceTrack | Control + Left | SegueTool.PanLeft |  |
 | Control + Right | SegueTool.PanRight |  |
 | Control + Add | SegueTool.ZoomIn |  |
 | Control + Subtract | SegueTool.ZoomOut |  |
 | Control + A | SegueTool.ZoomAll |  |

Add GPIO Mapping

Use the Add GPIO Mapping [image] button to create mappings to control GPIO events for a computer. The following fields are used to configure GPIO Event Mappings:

Important Note!

Before Adding a GPIO Event Mapping a GPIO Device must be define in the Tools | Computers | GPIO Device tab. See the Adding GPIO Devices section of this guide.

Name – The Name is the title of the GPIO mapping

Description – The Description field is used to add a more detailed description about the mapping.

Assigned Computer –The Assigned Computer drop-down menu is used to select the computer for which the GPIO mapping is being created.

Computer GPIO Default – When Computer GPIO Default is checked, the GPIO mapping is only for the computer defined in the drop-down. When unchecked, the GPIO mapping is not active.

Input Tab – The Input tab is used to create Input GPI mappings. The following columns are used to configure GPI commands:

  • Context - All Input commands will have two Context options. Context options are used for UI based tasks such as opening modules, Non-UI tasks such as sequencer commands do not use these Context options:
    • Global - This means the command will be triggered if Zetta is open, even if there is no active windows in focus. If Global is used, the command will work for the module if only ONE module of the command type is open, even if it does not have focus. Otherwise, if multiple windows of the same module are open, the command will be sent to the window with focus.
    • with Focus - If the GPIO Input event is triggered, Zetta will only pass the COMMAND to the window with active window focus. If the window does not have focus it will not receive the command!
  • Enabled – The enabled check box allows the used to enable or disable the use of the GPI mapping
  • GPIEvent – The GPI Event is the device event trigger to tell Zetta® to perform the task assigned. This field has an Auto Complete feature where the user can start typing the name of the GPIEvent and Zetta will match what is typed with the existing entries.
  • Name – The name field is used to name each GPI mapping.
  • Task – Task is the Task for Zetta® to perform. This field has an Auto Complete feature where the user can start typing the name of the task and Zetta will match what is typed with the existing entries.
  • Settings – The Settings are specific parameters based on the Task selected. Not all tasks have Settings.
  • Window - The window field is used for Task Window Named Mappings. This feature is currently only used with the Z-Player and Hot Keys to identify the stream that will be affected by the task mapped.

For Example: If two Z-Player modules were open at the same time one using Stream A and the other using Stream B and a mapping was desired to start playing the Z-Player using Stream A the mapping would look like the following illustration:

Output Tab – The Output tab is used to create the Output GPO mappings. The following columns are used to configure GPO commands:

  • Enabled – The enabled check box allows the used to enable or disable the use of the GPO mapping
  • Name – The name field is used to name each GPO mapping.
  • Task – Task is the Task for Zetta to perform. This field has an Auto Complete feature where the user can start typing the name of the task and Zetta will match what is typed with the existing entries.
  • Settings – The Settings are specific parameters based on the Task selected.
  • GPOEvent – The GPO Event is the device event trigger to tell Zetta to perform the task assigned. This field has an Auto Complete feature where the user can start typing the name of the GPOEvent and Zetta will match what is typed with the existing entries.

Filter - To find a particular set of defined Tasks, such as all that play, or stop, etc., enter that action in the Filter field at the bottom of the window. This will shorten the Task list to only those events represented by the Filter.

Add Cue Point Mapping

Use the Add Cue Point Mapping [image] button to create a mapping for Cue Points for a station. Only one Cue Point mapping can be created, however multiple tasks can be added to the mapping. The following fields are used to configure a Cue Point Mapping:

Name – The Name is the title of the Cue Point mapping

Task – Task is the Task for Zetta to perform. This field has an Auto Complete feature where the user can start typing the name of the task and Zetta will match what is typed with the existing entries.

Settings – The Settings are specific parameters based on the Task selected.

Window - The window field is used for Task Window Named Mappings. This feature is currently only used with the Z-Player and Hot Keys to identify the stream that will be affected by the task mapped.

For Example: If two Z-Player modules were open at the same time one using Stream A and the other using Stream B and a mapping was desired to start playing the Z-Player using Stream A the mapping would look like the following illustration:

Filter - To find a particular set of defined Tasks, such as all that play, or stop, etc., enter that action in the Filter field at the bottom of the window. This will shorten the Task list to only those events represented by the Filter.

To create a custom cue point for an asset, see the Marks Editor topic.

Command Mappings Tab Step-by-Step Topics

This topic will provide step-by-step instructions for common tasks using the Command Mappings Tab in the System Configuration window.

Adding Custom Keyboard Command Mappings

Adding GPIO Event Mappings

Adding Cue Point Mappings

Adding Custom Keyboard Command Mappings

To add keyboard command mappings to a Task Type, perform the following steps:
  1. From the Configuration menu, click System.
  2. Click the Command Mappings tab
  3. Click Add Shortcut Key Mapping [image] button.
  4. Enter a Name for the Keyboard Mapping.
  5. Enter a Description for the Keyboard Mapping (optional)
  6. Click System Default to make the Custom Keyboard Mapping the system default. See Accounts Configuration Step-By-step Topics to assign the Keyboard Mapping to specific user(s)
  7. Optionally, use the Import Command Mapping to import an exported mapping from another Zetta system.
  8. Click the Add New Command Mapping [image] button
  9. Using the Context column drop-down to select the module or specific area for the keyboard shortcut to be active
  10. In the Shortcut Key column, press the keyboard key or combination to enter the value.
  11. Select the Task from the drop-down, use the filter at the bottom of the window to shorten the results of the drop-down.
  12. Select the Settings based on the Task chosen.

  13. Repeat from step 8 as needed to add additional shortcut keys
  14. Click Save [image] to save the Mappings.
  15. Restart Zetta and Startup Manager for changes to take effect.

Adding GPIO Event Mappings

To add GPIO event mapping to a Task Type, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the Command Mappings tab
  3. Click Add GPIO Event Mapping [image] button.
  4. Enter a Name for the GPIO Mapping (default is New Mapping GPIO).
  5. Enter a Description for the GPIO Mapping (optional)
  6. Using the Assigned Computer drop-down select the computer that has the device installed and configured, see the Adding GPIO Devices section of this guide for details on configuring a GPIO device for a computer.
  7. Click Computer GPIO Default to make the Custom GPIO Event Mapping the computer default.
  8. Select the Input tab
  9. Click the Add New Command Mapping [image] button the mapping is enabled by default.
  10. Select the Context
  11. In the GPIEvent column, use the drop-down to select the Input to use.
  12. Enter a Name for the mapping
  13. Select the Task from the drop-down
  14. Select the Settings based on the Task chosen
  15. Repeat from Step 8 as necessary until all Inputs are defined
  16. Select the Output tab
  17. Click the Add New Command Mapping [image] button the mapping is enabled by default.
  18. Enter a Name for the mapping
  19. Select the Task from the drop-down
  20. Select the Settings based on the Task chosen
  21. In the GPOEvent column, use the drop-down to select the Output to use.
  22. Click Save [image] to save the mappings.
  23. Restart Zetta® and Startup Manager for changes to take effect.

Adding Cue Point Mappings

To add Cue Point mapping to a Task Type, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the Command Mappings tab
  3. Click Add Cue Point Mapping [image] button.
  4. Enter a Name for the Cue Point Mapping (default is Cue Point Mapping).
  5. Enter a Description for the Mapping (optional)
  6. Click the Add New Command Mapping [image] button
  7. Enter a Name for the mapping
  8. Select the Task from the drop-down
  9. Select the Settings based on the Task chosen
  10. Repeat from Step 6 as necessary until tasks are defined

  11. Click Save [image] to save the mappings.
  12. Restart Zetta and Startup Manager for changes to take effect.

Welcome < Configuration < System Configuration < Command Mappings


Auto Load

Users can set up one or many directories from which Zetta® will automatically import audio. This audio can be from sources such as NexGen Digital®, RCS News and Smart Ripper®.

Click any area in this image for help

Click any area in this image for help

Toolbar

Add Auto Load

Computer To Load

Location

Import Directory

File Type

Fallback Type

Match On

If Match

AMU Mapping Template

Perform Marks Analysis

Automatically Populate External ID

Append Cut to Cart for External IDs imported from .PKT files

After Load

Station, Category and Activate selection

Add Auto Load Import Directory

Toolbar

There are two operations that can be performed from the Auto Load tab, Add Auto Load and Delete Auto Load.

Add Auto Load – Clicking Add Auto Load will create an auto load instance that can be configured

Delete Auto Load – The Delete Auto Load button will delete an auto load directory.

Add Auto Load

When the Add Auto Load [image] button is clicked, the following configuration options are available:

Computer To Load

Location

Import Directory

File Type

Fallback Type

Match On

If Match

Perform Marks Analysis

Automatically Populate External ID

Append Cut to Cart for External IDs imported from .PKT files

After Load

Station, Category and Activate selection

Computer To Load

The user will select a computer from which to load audio; only computers configured in System | Tools |Computer will appear in this drop-down. Anytime the Autoload configuration is changed the Autoload service, found in the Launcher section of the Startup Manager, must be restarted on the computer selected as the Computer to Load.

Location

The Location drop-down allows the user to select a pre-configured location for Zetta to watch for files. Zetta will check for audio files in the location selected and download them to the defined Import Directory to be autoloaded into the system. This is useful for load files that are constantly changing such as News stories and Spots. Locations are configured in the Locations tab of the System Configuration window.

Import Directory

The user will define the folder in which Zetta is to look for audio to import. The path can be a drive on the computer or a UNC share path from the network.

File Type

The file type drop-down menu will define what file types to look for and auto load. Auto Load is capable of importing .wav, .mp3, mp2, mpg, m4A, aac, mp4 and .pkt (packet) files, or a combination of these type of files. Zetta® can also auto load from a Selector 15 XML file as part of the Splits player feature. Zetta® can autoload .pkt (packet) files sent from NexGen Digital® and RCS News. Zetta will autoload a NexGen .pkt file that only contains metadata. If the asset does not exist, Zetta will create the asset metadata card with no audio. If the asset does exist Zetta, will update the metadata and leave the audio unchanged. That is, if autoload is set to match on External Id and the metadata file specifies the external id of an asset or if it matches on Title & Artist then the metadata must specify the title and artist of an asset found in Zetta. Zetta will also autoload a NexGen audio backup with XML data file using the default AMU Mapping Template to match the fields from NexGen to the Zetta metadata fields.

Important Note!

In previous versions, Zetta supported the playback of M4A files and, using AFC, supported the import and conversion of M4A files however, Zetta did not support the parsing of metadata from AAC/M4A files.

In Zetta 4.1, there was a change to the AudioMetadata logic to attempt to read metadata from AAC/M4A files. The logic utilizes BASS in order to read the metadata. Due to the different types of AAC/M4A files, Zetta may not handle all files. But if the metadata follows the usual standards and it is an AAC/M4A file supported by windows (not a 3gp or other variation), it will handle the reading of the metadata.

Fallback Type

The Fallback Type drop-down will define what audio type will be imported if the audio type is not defined in the metadata of the asset being imported. An Asset can be imported as a Song, Link, Spot, Voice Track, Quick Record or Other Audio type as defined in the Audio Types tab of the System Configuration window.

Match On

Match On, is like the options in Tools | Media Import. Users can select matching criteria for cases where the user wants to prevent or allow duplicate audio. Choices are Title and Artist/Sponsor, Filepath, External ID, File CheckSum, Filename or Do Not Match.

If Match

If Match, is like the options in Tools | Media Import. Users can select what happens to an audio file if defined matching criteria are met. Choices are Do Not Import, Replace, Replace Audio Only, Merge Changed Fields, Replace Station or Cut Fields.

The Replace Station or Cut Fields option is only available when the GSelector and ZCast features are both disabled in the General tab of the System Configuration and at least one Audio Type is set to the metadata scope of Cuts.

AMU Mapping Template

The AMU (Audio Metadata Utility) Mapping Template is used to select a template to match metadata such as Composer, Arranger and Musician from an XML file to specific fields in Zetta. Templates can be created to match asset metadata tags to Zetta fields for import of the metadata. The Default Template, maps fields found in NexGen to fields found in Zetta. When an import occurs using the Default template, Zetta first looks for a NexGen XML file for the asset. If present, it will use only the XML file to read the NexGen Metadata. If no associated NexGen XML is used, Zetta will then check to see if the audio file is an MP3 file. If the file is an MP3 file, Zetta will read the ID3 metadata, if any from the file. If there is no NexGen XML and no MP3 ID3 metadata, Zetta will then use AFC to read the AFC metadata. Contact RCS Support for assistance in creating an AMU Mapping Template.

Default Template mapping

The following table shows the mapped NexGen fields and the corresponding mapped Zetta fields that will be used when an asset is imported using Default as the selected AMU Mapping Template.

NexGen XMLDAT Elements

Zetta Field

Album

Album Title

Artist

Artists - The NexGenXML InputMetaDataType maps "Artist", "Artist_2"...."Artist_6" tags to the same "Artist" target tag. When mapped this way, the tool will fetch all the artists as an "Artist" Collection.

Artist_2

Artist_3

Artist_4

Artist_5

Artist_6

Audio_Formats

Audio Format - This will import 1 for PCM, 80 for MPEG, etc. This field is typically not imported. This field is displayed in Zetta by adding the Audio Format column to the Library Module.

Cart

External ID and Cut External ID - If the metadata scope of the Audio Type is Cuts, then this attribute will be added to the Cut External ID field in the Cut Specific tab of the Metadata Card.

Channel

Mono or Stereo - Use 1 for Mono and anything else for Stereo in the Metadata imported.

Client

Sponsors – Used for non-song audio types.

Comments

Comments

Composer

Participant\Composer - Added to the Participant tab as a Composer.

Cross_Fade

Segue Point

Cut

External ID in some situations - The Cut External ID is only used if the assets metadata scope is set to Cuts in the Audio Types tab of the System Configuration window.

When the metadata scope is Station or Global and the Append Cut to Cart for External IDs is selected, the Cut will append to the Cart for the External ID. The format will be Cart-Cut and both the Cart and the Cut will be placed in the External ID field of the Extra tab. The Append Cut to Cart for External IDs option is found in the Auto Load tab of the System Configuration window.

Ending

Ending – This is a two letter code.

End_Time

End Date / Hour

Erase_Time

Kill Date

Fade_Up_Start

Trim In

Fade_Up_Length

Volume Marker

Fade_Down_Start

Trim Out, Volume Marker - FadeDownStart & FadeDownLength are used together to determine Trim Out.

Fade_Down_Length

Trim Out, Volume Marker - FadeDownStart & FadeDownLength are used together to determine Trim Out.

HookStart

Hook In

HookEnd

Hook Out

Intro_1

Intro

Intro_2

Intro

Intro_3

Intro

ISRC

ISRC

ISCI_Code

ISCI

Label

Label

Length

Resource length - This field is typically not imported.

Opening

Opening – This is a two letter code

Publisher

Publisher

Sample Rate

Sample Rate - This field is typically not imported. This field is displayed in Zetta by adding the Sample Rate column to the Library Module.

Start_Time

Start Date / Hour

Title

Title

Type

Load respects SONG or SPOT types, otherwise the asset will be imported as the Auto Load Default type.

Spot = 1, Song = 2

Enum(NexGen) to String(Zetta) type

Perform Marks Analysis

Perform Marks Analysis uses the defined settings in the Audio and Marks Analysis section of the Tools | System | Audio Processing tab to analyze and set transition markers on the audio.

Automatically Populate External ID

When this option is checked, the filename without the extension will be put into the External ID field on the asset unless the Automatically Generate Asset External ID is setup in the External ID tab of the System Configuration. If the Automatically Generate Asset External ID is setup then the External ID will be based on that setting. If the Match on = External ID option is set, Zetta will automatically enable this checkbox (as the External ID must be populated if Match on = External ID is set). This option can be used when importing audio from NexGen or V15.

Append Cut to Cart for External IDs imported from .PKT files

Packet files .PKT include a cut number for the audio asset called for in the .PKT file. The Append Cut to Cart for External IDs imported from .PKT files option can be used when importing assets into an Audio Type that has a metadata scope of Station or Global to append the cut number to the cart number for the External ID. When the Append Cut to Cart for External IDs imported from .PKT files option is deselected and the metadata scope for the Audio type is Station or Global the cut number will not be included in the External ID when the asset is imported into Zetta. If the metadata scope of an Audio Type is set to Cuts then the cart in the packet file will be used as the asset external id and cart-cut will be used as the cut external id regardless of this setting. The default setting is unchecked.

After Load

In the After Load section of the Auto Load window, users can define the action that will happen after an auto load import. Choices are Delete File from the auto load directory or to Move File to Folder, which will move the audio to another folder.

Station, Category and Activate selection

The bottom section of the import window is used to Add a Station [image] to Activate the Media for and optionally select the Category to place the media.

Important Note!

If an asterisk (*) is displayed next to the system <Name>, it indicates there are unsaved changes.

Add Auto Load Import Directory

To add an Auto Load Import Directory to Zetta®, perform the following steps:
  1. Locate or create a directory on the computer that will manage the Auto Load information.
  2. From the Configuration Menu, click System.
  3. Click the Auto Load tab
  4. Click the Add Auto Load [image] button
  5. Select the Computer to Load from the drop-down
  6. Optionally, select a Location for Zetta to look for files.
  7. Enter the Import Directory location or browse [image] to the location created in step 1.
  8. Choose the File Type from the drop-down menu
  9. Select the Fallback Type for the audio being imported, song, link or spot.
  10. Select the Match On criteria to prevent or allow duplicate audio.
  11. Select the If Match action based on the Match On criteria previously selected.
  12. The AMU Mapping Template has only the Default Template available on new installs. A template is used to match metadata such as Composer, Arranger and Musician from an XML file to specific fields in Zetta. Contact RCS Support for assistance in creating the template.
  13. Select Perform Marks Analysis to analyze the audio and add in Trim and Segue points based on the settings in the System | Audio Processing tab, Marks Analysis section.
  14. Select Automatically Populate External ID to automatically add and External ID to the imported asset.
  15. In the After Load section of this window, select the action to take after the import. Choices are to Delete File from the auto load directory or to Move File to Folder, with the option to select another folder.
  16. Optionally, click the Add Station [image] button to select a station to Activate the audio. If no station is selected the assets can be activated later individually or by using the Audio Utility to Mass Change assets.
  17. Chose a Station from the Select Station drop-down. Select Default to add the audio assets to all stations.
  18. Use the Assign Category drop-down to select a created Category. If integrated with GSelector the short category names from the GSelector database will be visible. If Zetta is not integrated with GSelector the Categories will need to be created first. See the Attribute Management section for details on creating Category attributes in Zetta.
  19. The Activate check box, by default, is checked. To add assets to the Default station but not activate the assets to play on all stations, simply uncheck the Activate check box.

  20. Click Save [image] to save the settings.
  21. Restart Zetta® and the Zetta Startup Manager on computer selected as the Computer To Load in step 5 above. The Autoload service is in the Launcher section of the Startup Manager.

Welcome < Configuration < System Configuration < Auto Load


Audio Format

The Audio Format tab is used to define multiple audio formats to be used for the different assets imported. This allows the station to play one audio format for one asset such as songs but another format for a different asset such as spots. The defined formats can have the same audio format such as PCM, but have a different bit rate or sample rate.

Click any area in this image for help

Click any area in this image for help

Audio Format

Defined Formats

The defined formats section of this windows displays the list of created formats. This section is used to add [image] and delete [image] formats. A (Default) format is already defined with an Audio Format of MP3, a Bit Rate of 256kbps, at a Sample Rate of 44100Hz using Channels set to Stereo.

Details

A different defined format can be created for Songs, Spots, Links, and Voice tracks using the following configuration options:

Name – Name is used to name or describe the format to be added.

Audio Format – An audio format is a medium for storing sound and music. Using the drop-down, the audio format can be set to PCM, MPG, MP3 and AAC.

Bit Rate – Bit Rate often refers to the number of bits used per unit of playback time to represent a continuous medium such as audio after data compression. The size of a multimedia file in bytes is the product of the bit rate (in bit/s) and the length of the recording (in seconds), divided by eight.

Sample Rate - Sample rate is the number of samples of audio carried per second, measured in Hz or kHz (one kHz being 1,000 Hz). For example, 44100 samples per second can be expressed as either 44100 Hz, or 44.1 kHz.

Channels – The Channels drop-down is used to select mono or stereo

Show mismatched system format(s) as

The show mismatched system format(s) as drop-down can be set to Ignore, Warning, or Error. When set to Warning the Asset will show a warning [image] in the Metadata card, Log, Stacks, Hot Keys® and On-Air module when the assets audio does not meet the specific format for the type of asset set in the System Managed Formats section of this window.

When the show mismatched system format(s) as drop-down is set to Error the Asset will show an error [image] and will skip the asset in the Log and on-Air module.

System Managed Formats

The System Managed Formats section are used in conjunction with Content Manager to convert imported audio to a specified format when it is content managed. When these values are set, the VBR Files and the CD Extraction settings of the Content Converters section of this window will be ignored.

Important Note!

Only newly imported assets will have the specified format, existing assets are not changed. Use the Audio Utility to Convert any existing audio. The Zetta application and Startup Manager must be restarted to implement the new settings.

Content Converters

If the System Managed Formats are set to None or Content Manager is not configured, a format can be specified for VBR Files and CD Extraction. This will convert all Variable bit rate (VBR) files to the same format. VBR Files will default to the defined default format of MP3 unless the setting is changed. When the CD Ripper is used, in the Extra tab of the Metadata Card, the file will be converted to the format specified for CD Extraction. If a Content Store is configured, in Content Manager, the file path for the conversions will not be visible. The Export | File Drop format selection is used to specify the format for audio that is exported using the Export Asset in the Audio Utility of the Library or by dragging and dropping the asset outside of the Zetta Application to an external application or windows operating system. The Background Recorder format selection is used to specify the format for audio that is recorded using the Background Recorder feature. The Zetta application and Startup Manager must be restarted to implement any setting changes made to this section.

Audio Format Configuration

To define an Audio Format and assign it to an asset in Zetta®, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the Audio Format tab
  3. Click the Add Defined Format [image] button

  4. Enter a Name for the format
  5. Select the Audio Format
  6. If the Audio Format selected is MPG or MP3, select the Bit Rate
  7. Select the Sample Rate
  8. Select the Channels
  9. Click Save
  10. Repeat for each desired format.
  11. If using Content Management, assign the created or default format to the desired asset in the System Managed Formats section of the window. When these values are set the VBR Files and the CD Extraction of the Content Converter values seen in the next step will be ignored.

  12. If the above options are set to None or Content Management is not configured, assign the created or default format and a file path to the VBR Files and the CD Extraction of the Content Converters section of this window. If Content Management is configured the file path fields will not be visible.

  13. Set the File Drop format to the format needed for files exported by using drag and drop from Zetta® to an external application.
  14. Click Save [image].
  15. Restart Zetta and the Startup Manager to implement the new settings.

Welcome < Configuration < System Configuration < Audio Format


Voice Track and Quick Record

The Voice Track and Quick Record tab is used to define the title of the asset being recorded and the number of Days to keep the asset after it plays in the log. This tab is also used to define a Tag for voice tracks recorder during Multitrack Voice Tracking sessions for splits stations.

Click any area in this image for help

Click any area in this image for help

Voice Track (Logs) Settings

Voice Track (Shows / Mini-Logs) Settings

Quick Record Settings

Multisite VT - Tag

Voice Track (Logs) Settings

The Voice Track (Logs) settings are for the Voice Tracks recorded in the Logs module.

Title Mask - Use the title mask field to enter a variable string. The variable string will be used to give each voice track a unique title when it is recorded in the Voice Tracker.

Days to keep after log date - The Days to keep after log date is the number of days that Zetta will store the audio file and asset information for the voice track after the day it has been scheduled to play in the log. The minimum days for this setting is 0 and the maximum number of days is 999. The Kill date can be removed from the asset to retain the asset forever or until it is manually deleted.

Recording duration warning - When a user is recording in the Voice Track Editor a popup will display one minute before the duration set here. With the default setting of 5 minutes the popup will occur 4 minutes into the recording process. To continue recording, the popup will require user intervention, click the Dismiss button to continue recording beyond the set duration.

The Dismiss button will count down from 60 to 0 indicating the recording will stop in that many seconds. If the user does nothing the recording will stop once the value hits 0 and the popup will close. If the user does click the dismiss, button before the 60 seconds, the duration counter will count for an additional duration amount (in this case another 5 minutes), then another popup will display 1 minute before the end of the additional duration (in this case at 9 minutes) and again count down from 60 to 0 seconds.

Voice Track (Shows / Mini-Logs) Settings

The Voice Track (Shows / Mini-Logs) settings are for the Voice Tracks recorded in the Shows and Mini-Logs modules.

Title Mask - Use the title mask field to enter a variable string. The variable string will be used to give each voice track a unique title when it is recorded in the Voice Tracker.

Days to keep after recorded - The Days to keep after recorded is the number of days that Zetta will store the audio file and asset information for the voice track after the day it was recorded. The minimum days for this setting is 0 and the maximum number of days is 999. The Kill date can be removed from the asset to retain the asset forever or until it is manually deleted.

Recording duration warning - When a user is recording in the Voice Track Editor a popup will display one minute before the duration set here. With the default setting of 5 minutes the popup will occur 4 minutes into the recording process. To continue recording, the popup will require user intervention, click the Dismiss button to continue recording beyond the set duration.

The Dismiss button will count down from 60 to 0 indicating the recording will stop in that many seconds. If the user does nothing the recording will stop once the value hits 0 and the popup will close. If the user does click the dismiss, button before the 60 seconds, the duration counter will count for an additional duration amount (in this case another 5 minutes), then another popup will display 1 minute before the end of the additional duration (in this case at 9 minutes) and again count down from 60 to 0 seconds.

Quick Record Settings

Title Mask - Use the title mask field to enter a variable string. The variable string will be used to give each quick recording a unique title when it is recorded in the Quick Recorder.

Days to keep after creation - The Days to keep after creation is the number of days that Zetta will store the audio file and asset information for the quick recording after the day it was created. The minimum days for this setting is 0 and the maximum number of days is 999. The Kill date can be removed from the asset to retain the asset forever or until it is manually deleted.

Recording duration warning - The record duration warning defaults to 5 minutes. When the user is recording in the Quick Recorder a popup will display one minute before the set duration. With the default setting of 5 minutes the popup will occur 4 minutes into the recording process. To continue recording, the popup will require user intervention, click the Dismiss button to continue recording beyond the set duration.

The Dismiss button will count down from 60 to 0 indicating the recording will stop in that many seconds. If the user does nothing the recording will stop once the value hits 0 and the popup will close. If the user does click the dismiss, button before the 60 seconds, the duration counter will count for an additional duration amount (in this case another 5 minutes), then another popup will display 1 minute before the end of the additional duration (in this case at 9 minutes) and again count down from 60 to 0 seconds.

Multisite VT - Tag

The Multisite VT - Tag section is used with Splits based Multisite Voice Tracking to set a Tag for the recorded audio and the number of days to retain the tag after the date of the log.

Prefix - The prefix field is used to define a Tag. This tag will be added to the Voice Track metadata card when the Voice Track is recorded for a splits station. This field can except the variables available in Zetta.

Days to keep after log date - The Days to keep after log date field is used set how long the Tag will be retained in the Zetta system after the log has played.

Zetta Variables

Zetta® uses wild card variables to create a title for the audio created in Voice Tracker, Quick Record and Background Recorder. The following is a sample list of wild card variables that can be used for the filename:

Variable | Type | Example
@YYY | 4 digit Year | 2010
@Y | 2 digit Year | 10
@M | 2 digit Month | 01 to 12
@D | 2 digit Day | 01 to 31
@S | Station Name | WRCS-FM
@O | Show Name | The Morning Show

Welcome < Configuration < System Configuration < Voice Track and Quick Record


Scheduled Maintenance

In Zetta® a machine can be set up to run different maintenance tasks at a specified time to keep Zetta running normally and at best performance. The Scheduled Maintenance tab is a default tab in the System Configuration window. This tab will show the last time the task ran, the status of the task and if an error occurred. Before setting this window up, backup the database. Contact RCS Support for assistance with Errors in this window.

Click any area in this image for help

Click any area in this image for help

Tools

Start time

Tasks to run during Scheduled Maintenance

Backup Database

Purge Old Logs

Purge Old Media

Schedule Days

Verify Logs

Purge User Activity and ZCast Transfers

Reconcile Logs to GSelector

Optimize Database Indexes

Housekeeping

Pull Multisite Logs

Tools

The tools can be used to Save [image] changes and Refresh [image] status information in the Scheduled Maintenance tab.

Start time

The Start time is the time of day at which the maintenance tasks will run. The user must type in the time in Standard HH:MM:SS AM/PM format. To configure more frequent Database backups use the DatabaseManagement.BackupDB command mapping or schedule a backup using an Execute Command Control event in a Recorder Log as a background task.

Tasks to run during Scheduled Maintenance

The following tasks can be configured to run during scheduled maintenance:

Backup Database

When Backup Database is selected, the Zetta® database will be backed up to the defined Backup Store, see Configuring Content Management for more details on creating a backup store.

Purge Old Logs

When Purge Old Logs is selected, users can define the number of Past Days to Keep of logs in the Details tab of each Station, Virtual Station and Background Recorder. Any logs older will be deleted permanently.

Purge Old Media

When Purge Old Media is selected, users can define the number of days to wait before archiving purged media assets based on the “kill date” defined on the metadata card of that media asset.

Schedule Days

When Scheduled Days is selected, users can define the number of Future Days to Schedule logs in the Details tab of each Station, Virtual Station and Background Recorder.

Verify Logs

When Verify Logs is selected, Zetta® will create a backup of the station logs to the specified Backup Store in a ZETTALOG_VERIFY folder.

Purge User Activity and ZCast Transfers

When Purge User Activity and ZCast Transfers is selected, users can define the number of days of past user activity and ZCast transfers that will be maintained in the database. Any user activity or ZCast transfers older than this time will be deleted permanently.

Reconcile Logs to GSelector
Zetta® automatically reconciles past logs to GSelector at 5 minutes past TOH. When GSelector Integration is enabled this option is available in the Scheduled Maintenance tab. Under normal circumstances play statues are pushed over to GSelector as the log plays so this setting is not needed. This setting when selected, will make the option Use Fallback Daily Schedule Reconciliation to GSelector (enabled only under RCS Supervision!) available in the Stations details tab for each station that is integrated with GSelector. When the station option is enabled, Zetta will reconcile the integrated stations played log for the previous day with GSelector during scheduled maintenance.

Optimize Database Indexes

The purpose of an index in the database is to allow Zetta® to retrieve requested data, in as few operations as possible for improved performance. The Optimize Database Indexes task will improve the query time of these indexes and improve the speed and performance of Zetta. Optimize Database Indexes executes a procedure to rebuild and reorganize indexes and update statistics.

Housekeeping

The Housekeeping option is used to check the allocation and structural integrity of user, tables, and indexes in the database. Upon completion, commands and error messages are logged.

Pull Multisite Logs

The Pull Multisite Logs option is used with Multisite Voice Tracking and will pull the logs for any configured Multisite Voice Tracking Stations.

Welcomes < Configuration < Scheduled Maintenance


Automatic Backups

The Automatic Backups tab of the System Configuration window is used to configure local database backups for DBMS and Emergency DB

Click any area in this image for help

Click any area in this image for help

Automatic Backup Status

Once the Automatic Backup feature is enabled a status is displayed just above the Enable Daily Backups option. Use the Refresh [image] button in the toolbar to refresh the status of the backups.

Enable Daily Backups

Select the Enable Daily Backups check-box and set the Start time for the backup to have Zetta create a SQL Backup of the database. This backup can then be restored to a backup SQL Server.

Enable Transaction Log Backups

Every SQL Server database has a transaction log that records all transactions and the database modifications made by each transaction. The transaction log is a critical component of the database and, if there is a system failure, the transaction log might be required to bring your database back to a consistent state. Transaction log backups can be used to restore a database to a specific point in time. A transaction log backup alone is not sufficient to restore a database.

Delete Backups After X Day(s)

The Delete Backup After XX Day(s) option is used to set the number of days Zetta should retain the backups before deleting them.

Welcome < Configuration < System Configuration < Automatic Backups


On Demand Recordings

Welcome < Configuration < System Configuration < On Demand Recording

On Demand Recording

The On Demand Recording configuration window is used to configure different record settings for on the fly recordings. On Demand recordings can be used for quick recordings such as phone calls or interviews. They can be setup to record to File, Asset or FTP site. On Demand recordings can also be used for Podcasting or News Reports that are sent to an FTP site to be picked up by other agencies. On Demand Recordings can be configured on the fly by inserting an Execute Command into a Station Log, Recorder Log or Macro. They can also be controlled using the Command Mappings to a GPIO device using the tasks, Sequencer.OnDemandRecording.Insert/Start/Pause/Stop/Eject and Background.OnDemandRecording.Insert/Start/Pause/Stop/Eject. On Demand recordings uses a configured record device for a computer and a configured Audio Format. See the Record devices tab for the Computer that will do the recording before configuring On Demand recording. The left side of the tab shows the configure On Demand Recordings, the right side of this tab shows the configured settings for the selected On Demand recording.

Click any area in this image for help

Click any area in this image for help

Toolbar

On Demand Recording Configuration Options

On Demand Recording Configuration Step-by-Step Topics

Toolbar

The following Tool bar options are available in the On Demand Recording tab.

Add Recording – Clicking Add Recording will create an On Demand Recording configuration.

Copy Recording - Clicking Copy Recording will copy the selected On Demand Recording prompting the user for a new name.

Delete Recording – The Delete Recording button will delete the selected On Demand Recording configuration.

On Demand Recording Configuration Options

When the Add Recording button is selected the following fields are available to configure the Recording.

Name

Record Device

Record Length

Format

Record To

Name

Use the Name field to give the recording a unique meaningful name so it can be recognized elsewhere in the Zetta application.

Record Device

The Record Device drop-down shows all the record devices for all the configured computers in the Zetta database. This is the Record device that is setup in the Record Devices tab of the Computers configuration. Record device selected should be a device that will be available at the required time. If the device is being shared with Voice Tracking or Quick Record it is evident that no VT or QR can occur during an On Demand recording.

Record Length

The record length is the maximum record duration of the recording. Record Length must reflect the maximum expected length of the target event.

Format

The Format drop-down is used to select a configured format that has been added to Zetta using the Audio Format tab.

Record To

Use the Record To drop-down to select where the recording will be saved.

Asset - Selecting the Asset option will require a pre-configured asset be dropped into the Asset field found below the Record To field.

File - The File option will require a UNC or Local directory path for storing the file. The File Path field is found below the Record To field when File is selected. The File Path can have variables in the file name so a different recording is created each time the file is created. The File path will need to be shared if it is to be accessible to all machines which will be accessing this directory. File Path must include the target file name and extension. The extension should match the Format defined.

Example: c:\Recordings\Caller1\ondemand_@Y@M@D_@H.mp3

FTP - The FTP option is used to configure FTP settings to allow Zetta to upload the recording to an FTP site. This is useful for Podcasts and on the fly News Reports. Use the following FTP settings to setup a connection to an FTP server.

Host Name - The Host name is the URL address to the FTP server.

Example: ftp.mystation.com

User Name - The User Name is the User name with rights to write to the FTP server. If the User Name and Password are left blank, Zetta will use the anonymous login.

Password - The Password is the password for the User Name entered. If the User Name and Password are left blank, Zetta will use the anonymous login.

Remote File Path - The Remote File Path is the File Path on the FTP Server where the recording will be saved when Zetta sends it to the FTP server.

Example: Recordings/Caller1/ondemand_@Y@M@D_@H.mp3

Use passive mode - FTP may run in active or passive mode, which determines how the data connection is established to the FTP server. Contact the FTP administrator for more information on setting this option.

Test FTP Settings - The Test FTP Settings button will use the entered setting information to establish a test connection to the FTP server. If the settings are correct and Zetta can establish a connection to the FTP server the user will receive a Success message.

Important Note!

If an asterisk (*) is displayed next to the system <Name>, it indicates there are unsaved changes.

On Demand Recording Configuration Step-by-Step Topics

This topic will provide step-by-step instructions for common tasks in the On Demand Recording tab of the System Configuration window. On Demand recordings use a configured record device for a computer and a configured Audio Format. See the Record devices tab for the Computer that will do the recording before configuring On Demand recording.

Asset On Demand Recordings

File On Demand Recordings

FTP On Demand Recordings

Configure On Demand Recording using Command Mappings

Background On Demand Recording using Cue Points

Asset On Demand Recordings

To configure an Asset On Demand Recording, perform the following steps:
  1. From the Modules Menu, click Library
  2. Click the Asset tab to use.
  3. Click the Add new media [image] button
  4. Enter the metadata information into the metadata card as needed.
  5. Save [image] the Asset.
  6. Close the Metadata card.
  7. From the Configuration Menu, click System.
  8. Click the On Demand Recording tab
  9. Click the Add Recording button
  10. Enter a unique Name for the recording
  11. Select a Record Device from the drop-down.
  12. Insert a maximum Record Length for the recording.
  13. Choose a Format from the drop-down of configured Audio Formats.
  14. Select Asset from the Record To field.
  15. Drag and drop the Asset field and Drop the asset to assign to the On Demand Recording.
  16. Click Save [image] to save the settings.

File On Demand Recordings

To configure a File On Demand Recording, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the On Demand Recording tab
  3. Click the Add Recording button
  4. Enter a unique Name for the recording
  5. Select a Record Device from the drop-down.
  6. Insert a maximum Record Length for the recording.
  7. Choose a Format from the drop-down of configured Audio Formats.
  8. Select File from the Record To field.
  9. Enter a Path to the location for Zetta to save the file when finished recording.
  10. Click Save [image] to save the settings.

FTP On Demand Recordings

To configure a FTP On Demand Recording, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the On Demand Recording tab
  3. Click the Add Recording button
  4. Enter a unique Name for the recording
  5. Select a Record Device from the drop-down.
  6. Insert a maximum Record Length for the recording.
  7. Choose a Format from the drop-down of configured Audio Formats.
  8. Select FTP from the Record To field.
  9. Enter the Host name URL address for the FTP server.

Example: ftp.mystation.com

  10. Enter User Name with rights to write to the FTP server.
  11. Enter the Password for the User Name entered.
  12. Enter the Remote File Path on the FTP Server where the recording will be saved when Zetta sends it to the FTP server.

Example: Recordings/Caller1/ondemand_@Y@M@D_@H.mp3

  13. Select the Test FTP Settings button.
  14. If the settings are correct the user will receive a Success message. If the settings are not correct and the connection fails contact the FTP administrator to verify the settings.
  15. Click Save [image] to save the settings.

Configure On Demand Recording using Command Mappings

To configure On Demand Recording using Command Mappings, perform the following steps:
  1. From the Configuration menu, click System.
  2. Click the Command Mappings tab
  3. Select an existing Keyboard or GPIO Mapping or create a new mapping. In this example we are using a GPIO Mapping.
  4. Click the Add New Command Mapping [image] button the mapping is enabled by default.
  5. Select the Input tab
  6. In the GPIEvent column, use the drop-down to select the Input to use. See the Adding GPIO Devices section of this guide for details on configuring a GPIO device for a computer.
  7. Enter a Name for the mapping
  8. Select the Task Background.OnDemandRecording.Insert or Sequencer.OnDemandRecording.Insert from the drop-down.
  9. Select the Background Recorder or Station from the Settings field
  10. Select the created On Demand Recording created above.
  11. Repeat from Step 6 as necessary until all Background or Sequencer OnDemandRecording Inputs are defined.

  12. Click Save [image] to save the mappings.
  13. Restart Zetta® and Startup Manager for changes to take effect.

Welcome < Configuration < System Configuration < On Demand Recording


Locations

The Locations tab in the System Configuration window is used to create locations for Zetta to look for audio files. The locations defined in this tab can be used in Auto load configurations to allow Zetta to download and import audio files. Currently the only location type supported is FTP Locations.

Click any area in this image for help

Click any area in this image for help

Toolbar

Locations Configuration Options

Add a FTP Location

Toolbar

The following Tool bar options are available in the Locations tab.

Add Location – Clicking Add Location will create a Location configuration.

Copy Location - Clicking Copy Location will copy the selected Location configuration prompting the user for a new name.

Delete Location – The Delete Location button will delete the selected Location configuration.

Locations Configuration Options

When the Add Location button is selected the following fields are available to configure the Recording.

Name

Type

Host Name

User Name

Password

Remote Folder

Use passive mode

Test FTP Settings

Name

Use the Name field to give the location a unique meaningful name so it can be recognized elsewhere in the Zetta application.

Type

Currently only FTP Locations are supported in Zetta.

Host Name

The Host name is the URL address to the FTP server.

Example: ftp.mystation.com

User Name

The User Name is the User name with rights to read and write to the FTP server. If the User Name and Password are left blank, Zetta will use the anonymous login.

Important Note!

The user will need rights to delete from the designated Remote Folder, when using the location as an Auto Load location, to prevent an infinite loop of re-import of files.

Password

The Password is the password for the User Name entered. If the User Name and Password are left blank, Zetta will use the anonymous login.

Remote Folder

The Remote Folder is the File Path on the FTP Server where files are located. Zetta looks from the Root of the FTP server, therefore if the user has access to "ftp.server.com/news" and the folder in the news directory where the audio is to be found is "stories" the Remote Folder would be as follows:

Example: News/Stories

Use passive mode

FTP may run in active or passive mode, which determines how the data connection is established to the FTP server. Contact the FTP administrator for more information on setting this option.

Test FTP Settings

The Test FTP Settings button will use the entered information above to establish a test connection to the FTP server. If the settings are correct and Zetta can establish a connection to the FTP server the user will receive a Success message. If the settings are not correct and the connection fails contact the FTP administrator to verify the settings.

Add a FTP Location

To configure a FTP Location, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the Locations tab
  3. Click the Add Location button
  4. Enter a unique Name for the location
  5. Currently the only location Type available is FTP.
  6. Enter the Host Name URL address for the FTP server.

Example: ftp.mystation.com

  7. Enter User Name with rights to write to the FTP server.
  8. Enter the Password for the User Name entered.
  9. Enter the Remote Folder on the FTP Server where the files will be found.

Example: News/Stories

  10. Select the Test FTP Settings button.
  11. If the settings are correct the user will receive a Success message. If the settings are not correct and the connection fails contact the FTP administrator to verify the settings.
  12. Click Save [image] to save the settings.

Welcome < Configuration < System Configuration < Locations


Publish

The Publish tab in the System Configuration window is used to create, edit or delete Publish types that are used to Publish a group of mixed content such as an Episode or Podcast to a configured Location. The configurations in this tab are used with the Publish [image] button in the Logs Module.

Click any area in this image for help

Click any area in this image for help

Toolbar

Active

Name

Description

Max Length

Output Metadata XML

Output Audio/Output Audio Conditional

Normalization targets for Show/Mini-Logs Publish from Library

Publish tab Step-by-Step Topics

Toolbar

The following options are available using the Publish Toolbar.

Copy Publish Type - The Copy Publish Type will copy an existing selected Publish type.

Add New Publish Type - The Add New Publish Type is used to create a new Publish type.

Delete Publish Type - The Delete Publish Type will delete the selected Publish type from the Zetta database.

Active

The Active option activates the Publish type. Multiple Publish configurations can be created in this tab.

Name

Use the Name field to give the Publish type a name. This name will be used in the filename for the files created when the content is Published so use something that is descriptive to allow for easy recognition.

Description

The Description field is optional and is used to describe the Publish type.

Max Length

The Max Length is the maximum total length of the published content. This field is optional. A value of 00:00:00 means there is no maximum and any length of content can be published. If the selected content to be published exceeds the Max Length the user will receive a warning and the content will not be published.

Output Metadata XML

The Output Metadata XML is used to output the metadata in XML format to a configured Location.

Transform Metadata XML - The Transform Metadata XML drop-down allows the user to select a predefined XSLT to use to transform the output metadata. The user can select one of the predefined XSLT (Extensible Stylesheet Language Transformations) options or create a new XSLT format to use. There are five XSLT formats that ship with Zetta three of which can be edited to fit the needs of the Published metadata. The existing formats are as follows:

  • Zetta Full - This format cannot be edited; it is a complex output XSLT format.
  • Zetta Lite - This format cannot be edited; it is a simpler XSLT format that does not include all the data that is in the Zetta Full format.
  • Sample 1 - This format can be edited and is the Zetta Full XSLT format without Notes that are associated with the asset to be exported with the Now Playing data.
  • Sample 2 - This format can be edited and is the Zetta Lite XSLT format with simple text output.
  • Sample 3 - This format can be edited and is the Zetta Lite XSLT format without Notes that are associated with the asset to be exported with the Now Playing data.

Output Folder - The drop-down for the Output Folder lists all the predefined Locations configured using the Locations tab of the System Configuration window. This is where Zetta will place the Published Metadata. The computer that is doing the Publishing from the Logs module must have access to this location.

Launch Exe - The Launch Exe field is used to define a third party application that will pick up the metadata from the defined Output Folder. This field is typically used with the Output Audio Conditional option. The executable will place the Conditional file in the selected Location when its task is complete, at which point Zetta will Output the Audio. Variables that can be used in this field are:

@err - Create and Error log file.

@mf - Resolves the path to the metadata. For example: c:\Windows\Notepad.exe @mf will open the XML in Notepad if the Output Folder were on the local computer.

Important Note!

Placing @err in the Launch Exe field will output an .err log file for any exception or error found during the execution of the Publish. This file is output to the C:\ProgramData\RCS\Zetta\Temp directory. If @err is not placed in this field the log file will not be written. Contact RCS Support for assistance.

Capture Metadata Output - The Capture Metadata Output when selected, will log each XSLT transformation for publish to a separate PUBLISH_COMMUNICATION log file to the C:\programdata\rcs\zetta\logging\debug folder. Use this option to troubleshoot any issues with Publish configurations.

Output Audio/Output Audio Conditional

The Output Audio/Output Audio Conditional enables the option to Output Audio to a configured output folder or to Output Audio based on a Condition that is met. When Output Audio Conditional is selected a Location drop-down is displayed allowing the user to select the configured location.

Location - This field is available when the Output Audio Conditional option is selected. Zetta will wait for the Conditional file to be available in this selected location before it Outputs the Audio to the Output Folder defined in this section. The Location selected here is configured in the System Configuration Locations tab.

Computers - The Computer selected here is the computer that will Publish the Audio to the selected Output Folder. Multiple computers can be selected, this is useful for redundancy and load balancing. The computers here must have access to the Location selected above.

Output Folder - The drop-down for the Output Folder lists all the predefined Locations configured using the Locations tab of the System Configuration window. This is where Zetta will place the Published Audio.

Launch Exe - The Launch Exe field is used to define a third party application that will pick up the Audio. Variables that can be used in this field are:

@err - Create and Error log file.

@mf - Resolves the path to the metadata. For example: C:\Windows\Notepad.exe @mf will open the XML in Notepad if the Output Folder were on the local computer.

@af - Resolves the path of the audio file.

Important Note!

Placing @err in the Launch Exe field will output an .err log file for any exception or error found during the execution of the Publish. This file is output to the C:\ProgramData\RCS\Zetta\Temp directory. If @err is not placed in this field the log file will not be written. Contact RCS Support for assistance.

Normalization targets for Show/Mini-Logs Publish from Library

The Normalization targets for Show/Mini-Logs Publish from Library option tells Zetta to use the selected stations normalization and ducking values, from the Normalization tab and Ducking tab of the Station Configuration, when publishing a show/mini-log from the Library module. A Show or Mini-Log is a schedule of events similar to a Macro but lives outside the main station log. These events can be songs, spots, voice tracks, links, etc.

Important Note!

When a Show/Mini-Log is placed in a stations log it uses that stations normalization and ducking values.

Publish tab Step-by-Step Topics

This section will provide step-by-step instructions for tasks in the Publish tab of the System Configuration window.

Add a Publish Type to Output only Metadata

Add a Publish Type to Output only Audio

Add a Publish Type to Output Audio and Metadata

Add a Publish Type to Output Metadata with Conditional Audio

Create a XSLT Format

Edit a XSLT Format

Add a Publish Type to Output only Metadata

To add a Publish Type to Output only Metadata, perform the following steps:
  1. Select System from the Configuration Menu.
  2. Select the Publish tab from the System window.
  3. Click the Add New Publish Type [image] button.
  4. Enter a Name for the Publish Type.
  5. Optionally, enter a Description
  6. Optionally, enter a Max Length for the published content.
  7. Select a XSLT format from the Transform Metadata XML drop-down or Create a New Format
  8. Optionally, edit the sample XSLT if selected.
  9. Select an Output Folder from the drop-down.
  10. Optionally, enable the Launch Exe field.
  11. Enter the path to the application in the Launch Exe field with any arguments needed when running the application.
  12. Optionally, select Capture metadata output.
  13. Select the station from the Normalization targets for Show/Mini-Logs Publish from Library.

  14. Click Save [image] to save the settings.

Add a Publish Type to Output only Audio

To add a Publish Type to Output only Audio, perform the following steps:
  1. Select System from the Configuration Menu.
  2. Select the Publish tab from the System window.
  3. Click the Add New Publish Type [image] button.
  4. Enter a Name for the Publish Type.
  5. Optionally, enter a Description
  6. Optionally, enter a Max Length for the published content.
  7. Deselect the Output Metadata XML
  8. Select Output Audio
  9. Select the Computer that will Publish the Audio
  10. Select an Output Folder from the drop-down.
  11. Optionally, enable the Launch Exe field.
  12. Enter the path to the application in the Launch Exe field with any arguments needed when running the application.
  13. Select the station from the Normalization targets for Show/Mini-Logs Publish from Library.

  14. Click Save [image] to save the settings.

Add a Publish Type to Output Audio and Metadata

To add a Publish Type to Output Audio and Metadata, perform the following steps:
  1. Select System from the Configuration Menu.
  2. Select the Publish tab from the System window.
  3. Click the Add New Publish Type [image] button.
  4. Enter a Name for the Publish Type.
  5. Optionally, enter a Description
  6. Optionally, enter a Max Length for the published content.
  7. Select a XSLT format from the Transform Metadata XML drop-down or Create a New Format
  8. Optionally, edit the sample XSLT if selected.
  9. Select an Output Folder from the drop-down.
  10. Optionally, enable the Launch Exe field.
  11. Enter the path to the application in the Launch Exe field with any arguments needed when running the application.
  12. Optionally, select Capture metadata output.
  13. Select Output Audio
  14. Select the Computer that will Publish the Audio
  15. Select an Output Folder from the drop-down.
  16. Optionally, enable the Launch Exe field.
  17. Enter the path to the application in the Launch Exe field with any arguments needed when running the application.
  18. Select the station from the Normalization targets for Show/Mini-Logs Publish from Library.

  19. Click Save [image] to save the settings.

Add a Publish Type to Output Metadata with Conditional Audio

The following instructions use a test application as an example only for the Launch Exe this application is not supplied by RCS or Supported.

To add a Publish Type to Output Metadata with Conditional Audio, perform the following steps:
  1. Select System from the Configuration Menu.
  2. Select the Publish tab from the System window.
  3. Click the Add New Publish Type [image] button.
  4. Enter a Name for the Publish Type.
  5. Optionally, enter a Description
  6. Optionally, enter a Max Length for the audio.
  7. Select a XSLT format from the Transform Metadata XML drop-down or Create a New Format
  8. Optionally, edit the sample XSLT if selected.
  9. Select an Output Folder from the drop-down.
  10. Enable the Launch Exe field.
  11. Enter the path to the application in the Launch Exe field with any arguments needed when running the application.
  12. Optionally, select Capture metadata output.
  13. Select Output Audio Conditional
  14. Select the conditional folder from the Location drop-down.
  15. Select the Computer that will Publish the Audio
  16. Select an Output Folder from the drop-down.
  17. Enable the Launch Exe field.
  18. Enter the path to the application in the Launch Exe field with any arguments needed when running the application.
  19. Select the station from the Normalization targets for Show/Mini-Logs Publish from Library.

  20. Click Save [image] to save the settings.

Create a XSLT Format

To create a XSLT Format, perform the following steps:
  1. Go to the System configuration window.
  2. Select the Now Playing Export tab.
  3. Click the Add New Now Playing Export [image] button
  4. Select the Add New Format [image] button.

  5. Enter a Name for the format.
  6. Enter a Description for the new format.
  7. Select the XML format to Start With either Zetta Full or Zetta Lite.
  8. Import or Enter the XSLT to Apply to the selected XML
  9. Select the XML tab to view or edit the selected XML that was chosen to Start With.
  10. Click the Test button to apply the XSLT to the selected XML to view the output in the Test Results tab
  11. Click the Save [image] button when finished.

Edit a XSLT Format

To edit a XSLT Format, perform the following steps:
  1. Go to the System configuration window.
  2. Select the Now Playing Export tab.
  3. Click the Add New Now Playing Export [image] button
  4. Select the Format to edit.
  5. Select the Edit [image] button

  6. Edit the format as needed.
  7. Click the Test button to apply the XSLT to the selected XML to view the output in the Test Results tab
  8. Click the Save [image] button when finished.

Welcome < Configuration < System Configuration < Publish


External ID

The External ID options are used to tell Zetta how to handle External IDs. External IDs can be unique Per Asset Type or Globally unique throughout Zetta. The External ID is an external alpha-numeric identification used by external sources to identify the asset. The External ID in Zetta matches up to the Media ID in GSelector when integration is enabled. This tab is also used to allow Zetta to automatically create an Asset External ID and Cut External ID based on a mask defined using Zetta variables.

Click any area in this image for help

Click any area in this image for help

External IDs Unique

External IDs can be unique Per Asset Type or Globally unique throughout Zetta. If this option is changed to Globally and Zetta determines there is duplicate External ID's within the system, a window is presented allowing the user to run a Report to identify the Duplicate External ID's in the system and fix the duplicates. The duplicates must be resolved before this option can be set to Globally. Simply double-click the asset in the report that has the duplicate ID that needs changed, select the Extra tab and change the External ID. Once all the Duplicates have been resolved close the report window, select Globally again and then Save.

Automatically generate Asset External ID

Enabling the Automatically generate Asset External ID option will allow Zetta to add an Asset External ID to an imported asset if one does not already exist in the assets imported metadata. The ID will be added based on the mask provided in the Asset External ID mask field. An asset can be imported into Zetta using Media Import, Drag and Drop, Auto Load or by adding an asset using the Library toolbar. External ID's are not automatically generated for Rotations and Imaging. External ID's for Rotations and Imaging will need to be entered when they are created.

Important Note!

Before enabling Automatically Generate Asset External ID, review any existing assets to ensure they have an External ID as the External ID field is set to read only when this feature is enabled.

Asset External ID mask

The Asset External ID mask is a string of characters and variables that define how Zetta is to create the unique Asset External ID.

Example: ABC@{UniqueAssetNum,D9} = ABC000000001

Variables that can be used in an Asset external id mask:

Variable | Description
@{UniqueAssetNum,Dx} | This sets the External ID to a unique number that is x digits long, starting with 1.
@YYYY, @M, @D, etc. | Date/time in various formats
@X | Computer name
@S | Station name
@U | User name

See the Zetta Variables topic for more details.

Important Note!

In the event the External ID mask is misconfigured, in order to avoid duplicate External IDs Zetta will add a randomly generated string (GUID) to the External ID to maintain uniqueness.

Automatically generate Cut External ID

Enabling the Automatically generate Cut External ID option will allow Zetta to add a Cut External ID to an imported asset if one does not already exist in the assets imported metadata. The ID will be added based on the mask provided in the Cut External ID mask field. An asset can be imported into Zetta using Media Import, Drag and Drop, Auto Load or by adding an asset using the Library toolbar. A Cut External ID is only added to assets with the Metadata Scope of Cuts. The Automatically generate Cut External ID option is only available when the GSelector and ZCast features are both disabled in the General tab of the System Configuration and at least one Audio Type is set to the metadata scope Cuts.

Important Note!

Before enabling Automatically Generate Cut External ID, review any existing assets to ensure they have a Cut External ID as the Cut External ID field is set to read only when this feature is enabled.

Cut External ID mask

The Cut External ID mask is a string of characters and variables that define how Zetta is to create the unique Cut External ID.

Example: @{AssetExternalID}-@{UniqueCutNum,D3} = ABC000000001-001

Variables that can be used in a Cut External id mask:

Variable | Description
@{AssetExternalID} | Returns the Asset's External ID. This is typically used with the @{UniqueCutNum,Dx}to automatically generate a unique cut number.
@{UniqueCutNum,Dx} | This sets the Cut External ID to a unique number that is x digits long starting with 1.
@YYYY, @M, @D, etc. | Date/time in various formats
@X | Computer name
@S | Station name
@U | User name

See the Zetta Variables topic for more details.

Important Note!

In the event the External ID mask is misconfigured, in order to avoid duplicate External IDs Zetta will add a randomly generated string (GUID) to the External ID to maintain uniqueness.

Run Report

Clicking Run Report in the Duplicate External IDs window will launch the Duplicate External IDs Report and open the Reports window.

Simply double-click the asset in the report that has the duplicate ID that needs changed, select the Extra tab and change the External ID. Once all the Duplicates have been resolved close the report window, select Globally again and then Save.

Welcome < Configuration < System Configuration < External ID


Content Ingest

The Content Ingest tab is used to configure Zetta to ingest content into Zetta from an external source. This option is currently only used to ingest Voice Tracks received using STSR from a NexGen system into a stations log. The station logs in the NexGen and Zetta systems must be similar in order for Zetta to match the position to place the Voice Track. GSelector or Flat File log load can be used to schedule the log for these stations. Voice Track slots can be added to the Zetta log but they are not required. Zetta uses the assets External ID to match the assets scheduled in the log therefore the External ID of the assets in Zetta must match the Cart-Cut numbers of the assets in NexGen. When a Content Ingest instance is created it uses the NexGen Voice Track Ingest Launcher service, visible in the Startup Manager, to located the packet and ingest it into the correct log position in Zetta. The User Activity Report can be used to view the ingest activity for each instance. See the NexGen Guide for instructions on data transfer mapping in NexGen.

Important Note!

Currently Voice Tracks will not load if created between two non-audio events in the log.

STSR is required for this functionality. STSR will require a Licensed Dongle on the computer running the STSR application. The Licensed Dongle will require the installation of the Sentinel Driver and can be selected during Zetta Client Installation. Contact RCS Support for assistance.

Access the Content Ingest tab from the System Configuration window in Zetta's Configuration menu.

Click any area in this image for help

Click any area in this image for help

Toolbar

Add Content Ingest

Active

Content Type

Name

Network Transfer Path

Processed by

Import Directory

Allow for single log event position marking

Append Cut to Cart for External IDs

Ignore Audio Processing Voice Track Trim Settings

On error move the file to folder

Add Content Ingest Import Directory

Report Viewer

Toolbar

There are two operations that can be performed from the Content Ingest tab, Add Content Ingest and Delete Content Ingest.

Add Content Ingest – Clicking Add Content Ingest will create a Content Ingest instance that can be configured

Delete Auto Load – The Delete Content Ingest button will delete the selected configured Content Ingest Instance.

Add Content Ingest

When the Add Content Ingest [image] button is clicked, the following configuration options are available:

Active

Content Type

Name

Network Transfer Path

Processed by

Import Directory

Allow for single log event position marking

Append Cut to Cart for External IDs

Ignore Audio Processing Voice Track Trim Settings

On error move the file to folder

Active

The Active option activates the Content Ingest instance. Multiple Content Ingest configurations can be created in this tab.

Content Type

Content Type is used to select the type of content that will be ingested into Zetta. Currently only NexGen Voice Track Ingest is available.

Name

Use the Name field to give the Content Ingest instance a descriptive name.

Network Transfer Path

The Network Transfer Path is the network location of the packet files received from the NexGen system using STSR. The path is typically the IP address of the server and the shared location on the network. This path information will be needed when configuring NexGen Data Transfer Mappings at the remote site.

<IP>/<Transfer Path>

For example, if you were mapping to a computer with an IP of 100.100.100.245 and a transfer path of R:\Transfer, the Network Transfer Path field should read as follows:

100.100.100.245/R:\Transfer

Processed by

Select the configured computer that will process the packet files received from the NexGen system. This computer must have read and write permissions to the Import Directory and the Error folder.

Import Directory

The Import Directory is the location of the packet files received from the NexGen system using STSR. The path can be a drive on the computer or a UNC share path from the network. This path information will be needed when configuring NexGen Data Transfer Mappings.

Allow for single log event position marking

Select this Allow for single log event position marking option to allow Zetta to only require a match to a single log event position either before or after the Voice Track position. During Lookup, regardless of this setting, the process will always try to match on both the previous and next log event initially. Only in case of failure, will Zetta try for Single Log Event matching if allowed.

Append Cut to Cart for External IDs

Select Append Cut to Cart for External IDs to have Zetta add a cut number to the Asset External ID of the Voice Track when it is ingested into the system.

Ignore Audio Processing Voice Track Trim Settings

When the Ignore Audio Processing Voice Track Trim option is checked, Zetta will ignore the Voice Track Settings, in the Audio Processing tab of the System Configuration window, when a Voice Track is ingested. When this option is deselected, Zetta will process the Voice Tracks based on the Audio Processing Voice Track Settings. This option is checked by default.

On error move the file to folder

The On error move the file to folder option is the directory that the selected computer will move the Voice Track packet file to if an error occurs when Zetta attempts to ingest the file. This field is optional.

Add Content Ingest Import Directory

To add a Content Ingest Import Directory to Zetta®, perform the following steps:
  1. Go to the Content Ingest tab in the System Configuration window.
  2. Click the Add Content Ingest [image] button.
  3. Select the Active checkbox
  4. Select the Content Type. (Currently only NexGen Voice Track Ingest is available.)
  5. Select the Processed by Computer from the drop-down.
  6. Enter the Network Transfer Path where STSR will place the NexGen packets when they are received.
  7. Enter or browse to the Import Directory where STSR will place the NexGen packets when they are received.
  8. Optionally, select the Allow for single log event position matching.
  9. Optionally, select the Append Cut to Cart for External IDs option.
  10. Optionally, enter or browse to the folder for Zetta to move the file on error.

  10. Click Save Settings [image] to save the configuration.

Report Viewer

The Reports Tool can be used to view the activity of the NexGen VT Autoloader process. Go to Reports in the Tools menu, select General for the Activity type in the User Activity Report section and click Run Report.

Welcome < Configuration < System Configuration < Content Ingest


Computers

Welcome < Configuration < Computer Configuration

Computer Configuration

The Computer Configuration is used to add, configure and view Computer information; such as Computer Name, Players to use for Local audio editing, devices installed on the Computer and External Editors to use with Zetta®. Computers can be added to Zetta by logging into Zetta for the first time on the new computer or by adding the computer using the Add an Offline Computer option.

The top frame of the Computer Configuration window shows the list of configured computers in the database and is used to add or delete computers from Zetta. The bottom frame of the Computer configuration window is used to configure additional information about the computer and the way it functions.

Click any area in this image for help

Click any area in this image for help

Computer Toolbar

Computer List

Details

Audio Assignments

External Editors

GPIO / Routes

Play Devices

Record Devices

Local Storage and Playback Priority

Logging

Offline Computer Configuration

Computer Toolbar

The following options are available in the Computer Configuration toolbar.

Refresh Computer List - The Refresh Computer List will refresh the Computers window to its lasted saved state and it will ping the computers in the list to verify their status.

Add Offline Computer – The Add Offline Computer allows the user to add and configure computers that are not yet on the network.

Delete Selected Computers – The Delete Selected Computers option is used to remove selected computers from Zetta. Alternatively, right-clicking the computer(s) to delete and selecting Delete Selected Computers from the menu will remove the computer from Zetta. The User will be prompt with a warning to confirm the deletion of the selected computer.

Computer List

The top frame of the Computers window shows a list of configured computers in the database. The List shows if the computer is online and communicating with the database. The current logged in computer name is shown in bold with an underline. This pane shows the Name and Description of each computer and the Audition Player name assigned in the Audio Assignments tab for the computer. This pane also shows the date the Startup Manager was last started on the computer and the version of Zetta software installed on the computer when it was last started. The Computers can be sorted by clicking on the column header. If a warning is visible, use the mouse to hover over the warning icon to view an informational tooltip that can help resolve the issue.

Important Note!

Computers running a version of Zetta older that 3.5 will not show a version in the Version column, but will show the warning [image]. Please update Zetta on this computer to a newer version...

Offline Computer Configuration

Zetta® allows the user to pre-configure the entire sites computer’s in the database, so when a computer is brought online upon login the computer can be chosen from a list of pre-configured computers.

To configure a Computer, perform the following steps:
  1. Using the Configuration Menu, click Computers.
  2. Click the Add and Offline Computer [image] button
  3. In the Details tab, change the Name of the computer if desired.
  4. Add a computer description (optional)
  5. Enter the Host Name of the computer.

  6. Select the Play Devices tab
  7. Add a Play Device for the Computer
  8. Edit the Device Name if desired.
  9. Optionally, edit the Device Description.
  10. Add Streams to the Play Device

  9. From the Configuration menu, click Play Containers.
  10. Add new Players for the Offline computer, see Play Containers Configuration for more details.

  11. Select the Audio Assignments tab for the Offline Computer
  12. Select the Audition Player, see Play Devices and Play Containers Configuration for more details.
  13. Click Save [image] button to save the Computer settings.

Important Note!

The play devices will need to be setup on the desired computer before the Play Device and Record devices can be selected.

Welcome < Configuration < Computer Configuration


Computer Details

The computer details tab is used to give the computer a name and description. This is also where the computer is enabled to maintain a local copy of the database for emergency use.

Click any area in this image for help

Click any area in this image for help

Computer Name

Description

Properties

Add Computer Details

Computer Name

The name field is used to name the computer such as Studio1 or Production1. If a name is not specified, this value will default to the computers Host Name.

Description

The description field is used to further identify the Computer. (optional)

Properties

Maintain Local Copy Of Database - Select the Maintain Local Copy of Database option to have Zetta copy a backup of the database to the local computer. This local database can be used in cases of an off air emergency or software update.

Hotspare for Studio Switching - The Hotspare for Studio Switching is used to select a configured Hotspare. When a hotspare is selected for this field and the station in the On-Air module of the computer is selected as an Available Station in the Hotspare Configuration the user, provided they have the rights, can open the Studio Switching console and switch to the selected hotspare.

Network Adapter - The Network Adapter option is used for those machines having multiple Ethernet cards. This allows the Zetta computers and processes to communicate over the correct Network Interface Connection. Use the drop-down to select the correct adapter. Zetta defaults to the (First Adapter) selected by the Operating System. Caution: Those systems which have an Axia device attached may find the First Adapter to be that adapter which communicates with the Axia device. If this is a laptop or other portable device that will switch from an Ethernet cable to Wireless, it is recommended that Host Name be used for this setting.

Host Name – The Host Name field displays the computer’s Host Name that is configured in Windows this field can be edited when adding and Offline Computer.

Computer ID (Read only) – The Computer ID field displays the ID assigned by Zetta® for this computer.

Local Cache (Read Only) - The Local Cache field displays the configured local cache location. See the Caching and Playback Priority tab for more information on changing this location.

Version - The version field displays the version of the Zetta software installed on the computer.

Add Computer Details

To allow a Computer to process a Station Log, it must be configured and assigned to a station.

To configure a Computer, perform the following steps:
  1. Using the Configuration Menu, click Computers.
  2. Most computers will be added using the computer wizard when first starting Zetta® on the computer, but in some instances the Add Offline Computer option will be used.
  3. Select the Computer from the list.
  4. Change the Name of the computer if desired.
  5. Add a computer description (optional)
  6. Optionally, select Maintain Local Copy of Database.
  7. Optionally, select a configured hotspare from the Hotspare for Studio Switching drop-down.
  8. Optionally, select the Network Adapter from the drop-down menu. This option may only be needed if there are multiple network adapters in the computer. If this is a laptop or other portable device that will switch from Ethernet cable to Wireless, it is recommended that Host Name be used for this setting.
  9. Click Save [image] button to save the Computer settings.

Welcome < Configuration < Computer Configuration < Computer Details


Audio Assignments

The Computer Audio Assignment tab is used to assign players and devices for local playback and record. Players selected in this tab for Hot Keys, Stack and the Z-Player will be used by the selected computer instead of those assigned at the station level in the Playback tab of the Station Configuration.

Click any area in this image for help

Click any area in this image for help

Audition

Hot Keys Player

Stack Player

Z-Player

VT/Mini Recorder Record Device

Multitrack Record Device

Multitrack Playback Device

QR Record Device

QR Playback Device

Assign Audio Players and Devices

Audition

Use the Audition drop-down to select the play container for local playback from modules with an Audition mode such as the Library module. For more information on configuring Players, see the Play Containers Configuration section of this guide.

Hot Keys Player

The Hot Keys player selected here is for Hot Keys played on the Computer. If a Hot Keys player is selected here it will play from the local machine instead of the station assigned Hot Keys player.

Stack Player

The Stack player selected here is for Stack played on the Computer. If a Stack player is selected here it will play from the local machine instead of the station assigned Stacks player.

Z-Player

The Z-Player player selected here is for audio played in the Z-Player module to be played on the Computer. If a Z-Player is selected here it will play from the local machine instead of the station assigned Z-Player.

VT/Mini Recorder Record Device

Use the VT Record Device drop-down to select a windows installed record device to use for the Voice Tracker®. This device must be selected from the computer it is physically installed.

Multitrack Record Device

Use the Multitrack Record Device drop-down to select a windows installed record device to use as the default record device for the Multitrack Editor Module. This device must be selected from the computer it is physically installed. To select a specific record device for each track in the multitrack editor see the record device drop-down selector for each track within the Multitrack Editor Module project tab.

Multitrack Playback Device

Use the Multitrack Playback Device drop-down to select a windows installed playback stream to use for the Multitrack Editor Module. This device must be selected from the computer it is physically installed.

QR Record Device

Use the QR Record Device drop-down to select a windows installed record device to use for the Quick Record Module. This device must be selected from the computer it is physically installed.

QR Playback Device

Use the QR Playback Device drop-down to select a windows installed playback stream to use for the Quick Record Module. This device must be selected from the computer it is physically installed.

Assign Audio Players and Devices

To assign Players in this tab they must first be configured in the Play Containers Configuration window.

To assign audio players and devices to a Computer for use with specific modules and features, perform the following steps:
  1. Using the Configuration Menu, click Computers.
  2. Most computers will be added using the computer wizard when first starting Zetta® on the computer, but in some instances the Add Offline Computer option will be used.
  3. Select the Computer from the list.
  4. Select the Audio Assignments tab.
  5. Select an Audition Player from the drop-down, see the Play Containers Configuration section for more details on players.
  6. Optionally, select a Hot Keys Player from the drop-down, see the Play Containers Configuration section for more details on players.
  7. Optionally, select a Stack Player from the drop-down, see the Play Containers Configuration section for more details on players.
  8. Optionally, select a Z-Player from the drop-down, see the Play Containers Configuration section for more details on players.
  9. Use the VT/Mini Recorder Record Device drop-down to select an installed record device for Voice Tracker®.
  10. Use the Multitrack Record Device drop-down to select an installed record device to use as the default record device for the Multitrack Editor Module.
  11. Use the Multitrack Playback Device drop-down to select an installed play stream to use for the Multitrack Editor Module.
  12. Use the QR Record Device drop-down to select an installed record device to use for the Quick Record Module.
  13. Use the QR Playback Device drop-down to select an installed play stream to use for the Quick Record Module.

  14. Click Save [image] button to save the Computer settings.

Welcome < Configuration < Computer Configuration < Audio Assignments


External Editors

The External Editors tab is used to add or remove third party editors for use in editing media assets in the Library Module. In this window the user will specify the location of the program, any settings needed for the program, an audio format if required by the program, and when Zetta should save the changes made in the external editor.

Click any area in this image for help

Click any area in this image for help

Toolbar

External Editor Details

Configure External Editors

Toolbar

Add external editor - Use the Add external editor to add any installed external editor for use with Zetta®

Remove external editor - Use the Remove external editor to remove an editor from the configured computer.

External Editor Details

Name – The Name field is used to enter the name of the program to be used.

Description – Use the description field to further identify the program. (optional)

Program – Program is the path to the program executable to be launched when the Metadata card is invoked in the Library Module.

Arguments – The default argument is %f, Zetta® will replace the %f with the file name being passed to the external editor. If the editor only needs the file name then the default is used. If the editor needs additional data then additional data can be added to the string. Optionally, use @{AssetExternalID} to pass the External ID to the external audio editor.

Example: File=%f this will be passed to the editor as File=C:\file.wav

This is a value needed by the third party software when executing the program. Consult the manual of the editor for more information on these values.

Required Format - Depending on the External Editor used, the Audio to be edited may be required to be a different format than what is stored in Zetta®. The Required Formats field allows the user to specify the format of the audio that is needed for the external editor. These formats are defined in the Audio Format tab of the System Configuration window. When the configured editor is used, Zetta will convert the audio to the format selected here for the editing. When the user is done editing, Zetta will convert the audio back to what it was originally or to the format specified in the System Managed Formats section of the Audio Format tab in the System Configuration. If no format is specified here, Zetta will just pass the file to the external editor without changing its format.

Save - Clicking one of the following actions tells Zetta® what to look for when saving the edited audio to Zetta®.

  • On file modified – When the audio file is modified, Zetta® will save the changes.

  • On editor closed – When the external editor is closed, Zetta® saves the file changes.

Default – Default sets the program as the default editor to be used.

MDI – MDI or Multiple Document Interface tells Zetta® that the third party editor is an application that has child windows that can reside within the main or parent window of the application.

Important Note!

Warning: when editing lossy audio formats (MP2, MP3 etc.) in external editors, keep in mind that almost all editors convert to linear prior to editing. User then edits the audio, and saves it back (to a lossy format). Going from lossy format to linear then back to lossy again is a process called transcoding and is highly discouraged. With every such cycle, audio information is lost during encoding back to a lossy audio format. After several transcoding cycles you will notice audible issues in audio, and there's no way back. This problem does not exist for linear audio.

Configure External Editors

To add play devices to a configured Computer, perform the following steps:
  1. Click the External Editors Tab in Tools | Computers
  2. Click the Add external editor [image] button.
  3. Enter the Name of the editor.
  4. Enter the Description of the editor. (optional)
  5. Enter the Program path or click Browse [image] to locate the Program executable.
  6. Enter any Arguments needed when launching the external editor. Zetta® will replace %f with the file name being passed to the external editor. If the editor only needs the file name then only %f is used. If the editor needs additional data then additional data can be added to the string.
    • Example: File=%f, this will be passed to the editor as File=c:\file.wav. (See the owner’s manual of the external editor for more details.)
  7. Select the Required Format for the Editor, these formats are defined in the Audio Format tab of the System Configuration window. (optional)
  8. Click one of the following actions for Zetta® to look for when saving edited audio to Zetta®.
    • On file modified
    • On editor closed
  9. Click Default to make this editor the Default editor to open when editing Library assets.
  10. Click MDI if the editor is an application with a multiple document interface or has child windows within the parent window of the application.

  11. Click Save [image] button to save the External Editors settings.
  12. Restart the Launcher section of the Startup Manager for Zetta.
  13. Once the External Editor is configured, use the [image] Edit Media drop-down in the Metadata card toolbar to choose an available editor.

Welcome < Configuration < Computer Configuration < External Editors


GPIO / Routes

Zetta® < Configuration < Computer Configuration < GPIO / Routes

GPIO/Routes

The GPIO / Routes tab is used to add or remove GPIO (General Purpose Input/Output) and Routing devices. This tab can be used to configure devices, such as Audio Switches, Audio Consoles, Keyboards, EAS devices and Feed Through Routing.

Click any area in this image for help

Click any area in this image for help

Toolbar

GPIO Details

Device Settings

GPIs (Inputs)

GPOs (Outputs)

Routes

Add GPIO Devices

Toolbar

Add New GPIO Device – The Add New GPIO Device button creates the new device to be configured.

Delete GPIO Device – The Delete GPIO Device will delete the selected device.

Export GPIO Devices - The Export GPIO Devices button allows the user to export the GPIO configuration to an XML file for import into another site database.

Import GPIO Devices - The Import GPIO Devices button allows the user to import an XML GPIO configuration file from another site database.

GPIO Details

Enabled – The enabled check box tells Zetta® that the GPIO device is available for use.

GPIO Device – Use the GPIO Device drop-down to specify the IO device to use. If the device being used is not listed in this drop-down contact RCS Support or RCS Sales to request an enhancement to have the device added to this configuration window.

Quantity - The Quantity option is available for those like devices that can be chained together and are numbered, such as the ACU-1.

Device Settings

Depending on the GPIO / Route device selected, the Device Setting tab will display a Name to identify the device, a Description for additional information about the device and the Communication settings for Zetta to use when communicating with the selected device. Some of the devices will have the following options:

Tip: The Name will be carried over to the GPI (Inputs), GPO(OutPuts) and Routes when they are created, so it is helpful to give the device a meaningful Name before creating the Inputs, Outputs and Routes.

GPI Hold Time in seconds - The GPI Hold Time is used with some consoles that have an echo feature to re-send a command to ensure the command was received from the device. This GPI Hold Time can be used to avoid duplicate commands from being received by Zetta. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.

Ignore GPI after GPO for X seconds - Enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.

Do not send GPO after GPI for X Seconds - Enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

Com Settings - The Communication settings vary based on the device selected. Some devices will not have any communications setting in the Device Settings tab instead these devices communicate through software installed on the selected computer or directly to a card installed in the computer.

Input Data - The Input Data settings vary based on the device selected. Most of the Devices do not have the Input Data Settings. For Information on these settings use the device manual or contact the Manufacturer of the device.

Output Data - The Output Data settings vary based on the device selected. Most of the Devices do not have the Output Data Settings. For Information on these settings use the device manual or contact the Manufacturer of the device.

See the GPIO / Route Device topic for additional information on specific devices or contact the Manufacturer of the device for information on what to select in the device settings tab.

GPIs (Inputs)

The Inputs are the opto closures from the device that tell Zetta what to do based on the GPIO Command Mapping in the System Configuration or what will happen in the station log based on the Shift configuration and the Satellite configuration when the station is in satellite mode. Use the Create All Inputs button to create all the Leading Inputs supported by the device.

Name - Use the name column to change the name of the Input event, simply double-click the field to change and enter a new name.

GPI - Use the GPI drop-down to change the Bit Position for the Input that will trigger the event.

Trigger Event On - Each Input has a Leading and Trailing Trigger, use this column to select which Trigger to use for the Input. Create another Input using the Add [image] button to use both the Leading a Trailing triggers for the Input.

ü Leading means the event will fire when the key pressed or opto is closed.

ü Trailing means the event will fire when the pressed key is released or the opto reopens

Event Text - The Event Text is a user defined string that defines the GPI event. It is the command that when received is the trigger for the action defined. This option is only used with RS232, TCP and UDP devices. The Event Text is case sensitive. Zetta will parse the text received and look for an Exact Match. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field and pressing Esc will leave the edit mode discarding any changes that were made.

RegEx - The RegEx column is used to set the Event Text to regular expression. A regular expression (RegEx for short) is a special text string for describing a search pattern. If using RegEx the expression must start with “^” and end with ”$”. This option is only used with RS232, TCP and UDP devices. This option is hidden when Event text Sub-String is selected as the Data Separation in the Input Data section of the Device Settings tab.

Example: Event text = ^[a-zA-Z0-9]\d{2}[a-zA-Z0-9](-\d{3}){2}[A-Za-z0-9]$

GPOs (Outputs)

The Outputs are the relays sent from Zetta to the device based on the GPIO Command Mapping in the System Configuration or what will happen in the station log based on the Shift configuration and the Satellite configuration when the station is in satellite mode. Use the Create All Outputs button to create all the Outputs supported by the device. Create additional Outputs using the Add [image] button.

Name - The Name field can be renamed to give it more meaning when selected elsewhere in the system.

GPO - The GPO numbers are the Bit Positions equal to those on the device.

Event Action - The Event Action is what Zetta will do when it send the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

Event Duration - The Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

Event Text - The Event Text is a user defined string that defines the GPO event. It is the command that when sent is the trigger for the action defined. This option is only used with RS232, TCP and UDP devices. This field can be used to send custom bytes over TCP/UDP. To send custom bytes simple prepend the hex value with \x when entering the hex value into the Event text field. The @runtime and @controltext variables can be used in the Event Text field to send the Spot Block Runtime and Spot Block Control Text when a corresponding Sequencer.SpotBlockCue/Play/Pause/Stop GPO command event is fired.

Example: \x01\x02ABC\xFE\xFF

To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field and pressing Esc will leave the edit mode discarding any changes that were made. Click the Save button to save any changes.

Routes

Routes, sometimes referred to as Sources, is the audio feed into and out from the device. The number of Routes vary based on the GPIO device selected. Not all GPIO devices listed support Routes so this tab may not be available. Use the Create All Routes button to create all the Routes supported by the device selected. Create additional Routes using the Add [image] button.

Name - The Name field can be renamed to give it more meaning when selected elsewhere in the system.

Route - The Route is the source of the audio feed for the device.

Input Type - The Input Type can be either the selected Input Device or a Loopback device. This option is used for Feed Through Routing.

Input Feed - The Input Feed is the device installed on the computer where the audio is being fed into the computer. This option is used for Feed Through Routing.

Output Device - The Output Device is the Installed devices where the computer will feed the audio to from the input device; this lists all the configured play devices for every computer in the database. This option is used for Feed Through Routing.

Add GPIO Devices

The following instructions are basic instructions for adding a device. These instruction cover every field that may be seen when adding a device. Not all fields are present for all devices. See the GPIO / Route Device topic for additional information on specific devices or contact the Manufacturer of the device for information on what to select in the Device Settings, GPIs, GPOs and Routes tabs.

To add GPIO Devices to a configured Computer, perform the following steps:
  1. Click the GPIO /Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select the GPIO Device.
  5. If required select the number of devices connected from the Quantity drop-down menu.
  6. Enter the Name of the GPIO Device.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  10. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  11. See the Device setting and the device manufacturers' manual for other specific device setting configuration.
  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On or Name and Event Text data. These fields can be edited and configured as needed.
    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.
    • The GPI numbers are the bit positions (optos) equal to those on the device.
    • The options for Trigger Event On are Leading or Trailing.
    • The Event Text is a user defined string that defines the GPI event. It is the command that when received is the trigger for the action defined. The Event Text is case sensitive. Zetta will parse the text received and look for an Exact Match. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field. Pressing Esc will leave the edit mode and discard any changes that were made.
    • The RegEx column is used to set the Event Text to regular expression. A regular expression (RegEx for short) is a special text string for describing a search pattern. This option is only used with RS232, TCP and UDP devices. This option is hidden when Event text Sub-String is selected as the Data Separation in the Input Data section of the Device Settings tab.

Example: Event text = ^[a-zA-Z0-9]\d{2}[a-zA-Z0-9](-\d{3}){2}[A-Za-z0-9]$

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, Bit Position and Event Duration or Name and Event Text. These fields can be edited and configured as needed.
    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.
    • The GPO numbers are the bit positions (relays) equal to those on the device.
    • The Event Action is what Zetta will do when it send the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.
    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.
    • The Event Text is a user defined string that defines the GPO event. It is the command that when sent is the trigger for the action defined. This field can be used to send custom bytes over TCP or UDP. To send custom bytes simple prepend the hex value with \x when entering the hex value into the Event text field. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field. Pressing Esc will leave the edit mode and discard any changes that were made.
  14. Select the Routes tab to configure the Routes (sources) for the device. Not all GPIO devices listed support Routes so this tab may not be available.
    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.
    • The Route is the path the audio will take when routing the audio coming in from a source then out to the audio output channel.
    • The Input Type is used to add additional information about the audio Input.
  15. Click Save [image] button to save the GPIO device settings.

Zetta® < Configuration < Computer Configuration < GPIO / Routes


GPIO / Route Devices

Welcome < Configuration < Computer Configuration < GPIO / Routes

GPIO/Route Devices

The GPIO / Routes tab is used to add or remove third party GPIO (General Purpose Input/Output) and Routing devices. The following devices are discussed in this topic.

ACU-1

ADMS 44.22

Advantech PCI Series

ASI

Axia

DASDEC

DHD IP

Feed Through Device

JLCooper

Logitek AE

Monitora

Monitora IP

Preh - Tipro

RS232

RS232 Splits

Sealevel

SS 16.4

SS 4.2

SS 8.2

TCP

UDP

WheatNet D600

WheatNet G3

WheatNet UIO

ACU-1

The ACU-1 is a multi-function device composed primarily of an eight stereo input by one stereo output audio switcher with level control capabilities. Audio input selection can be programmed to interlock (single channel only) or mix (multiple channels). The system also incorporates left and right silence sensors, 16 logic inputs, 8 general purpose relays, and an 8-channel multiplex output. All communications are through a single RS-232 serial data port. See the manufacturer's manual for additional information on this product.

To add ACU-1 GPIO / Route Devices to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select ACU-1 as the GPIO Device.
  5. Select the number of devices connected from the Quantity drop-down menu, Zetta supports up to four ACU-1 devices for each computer.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  10. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  11. The COM settings for the ACU-1 will default to the factory communication settings for the ACU-1. The Comport can be changed if needed. Contact RCS Support for assistance.

  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Each ACU-1 supports up to 16 Leading Inputs and 16 Trailing Inputs. Select the Create All Inputs button and Zetta will create all the inputs available for the Device and Quantity selected.
    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.
    • The GPI numbers are the bit positions (optos) equal to those on the device.
    • The options for Trigger Event On are Leading or Trailing.
  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Each ACU-1 supports up to 8 Outputs. Select the Create All Outputs button and Zetta will create all the outputs available for the Device and Quantity selected.
    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.
    • The GPO numbers are the bit positions (relays) equal to those on the device.
    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.
    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.
  14. Select the Routes tab to configure the Routes (sources) for the device. The Routes on an ACU-1 are also known as the Sources for the devices there are 8 Routes (sources) supported for each ACU-1. Select the Create All Routes button and Zetta will create all the routes available for the Device and Quantity selected.
    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.
    • The Route is the path the audio will take when routing the audio coming in from a source then out to the audio output channel. Each ACU-1 has only one audio out channel.
    • The Input Type is used to add additional information about the audio Input.
  15. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

ADMS 44.22

The Broadcast Tools ADMS 44.22 is an AES and Analog stereo matrix switcher with four stereo analog and four stereo AES inputs, and two independent stereo analog and AES outputs. Each input channel can be mixed with any analog and/or AES source and assigned to any one and/or all AES and analog outputs. The ADMS 44.22 is equipped with a digital expansion port that allows two units to operate together as a 16x2 stereo matrix switcher. The ADMS 44.22 can be controlled through RS-232 serial command from a standard ANSI terminal or dedicated serial control device, as well as from front panel switches and remote control inputs on the rear. See the manufacturer's manual for additional information on this product.

To add ADMS 44.22 GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select ADMS 44.22 as the GPIO Device.
  5. Select the number of devices connected from the Quantity drop-down menu, Zetta supports up to four ADMS 44.22 devices for each computer.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  10. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  11. The COM settings for the ADMS 44.22 will default to the computers communication settings for the Comport. The ComPort can be changed if needed. Contact RCS Support for assistance.

  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Each ADMS 44.22 supports up to 16 Leading Inputs and 16 Trailing Inputs. Select the Create All Inputs button and Zetta will create all the inputs available for the Device and Quantity selected.
    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.
    • The GPI numbers are the bit positions (optos) equal to those on the device.
    • The options for Trigger Event On are Leading or Trailing.
  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Each ADMS 44.22 supports up to 16 Outputs. Select the Create All Outputs button and Zetta will create all the outputs available for the Device and Quantity selected.
    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.
    • The GPO numbers are the bit positions (relays) equal to those on the device.
    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.
    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.
  14. Select the Routes tab to configure the Routes for the device. Each ADMS 44.22 supports up to 16 Routes. Select the Create All Routes button and Zetta will create all the routes available for the Device and Quantity selected.
    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.
    • The Route is the path the audio will take when routing the audio coming in from a source then out to the audio out channel.
    • The Input Type is used to add additional information about the audio Input.
  15. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Advantech PCI Series

The Advantech PCI Series cards are I/O cards installed in the PCI slot of the computer. Zetta communicates with the device using the installed driver supplied by the manufacturer. See the manufacturer's manual for additional information on this product. Zetta supports the following Advantech PCI cards: Advantech PCI-1750 (DAQNavi), Advantech PCI-1756 (DAQNavi), Advantech PCI-1760 (DAQNavi), Advantech PCI-1760(Bionic) and Advantech PCI-1760 (Legacy)

To add an Advantech PCI Series GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select one of the options for Advantech PCI cards as the GPIO Device.
  5. Select the number of devices connected from the Quantity drop-down menu, Zetta supports up to four PCI cards for each computer.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  10. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  11. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. The Advantech cards vary on the number of available Inputs supported by the card. Select the Create All Inputs button and Zetta will create all the inputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  12. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. The Advantech cards vary on the number of available Outputs supported by the card. Select the Create All Outputs button and Zetta will create all the outputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.30 seconds.

  13. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

ASI

The ASI PCIe audio cards are installed in a I/O slot in the computer. Zetta communicates with the device using the installed driver supplied by the manufacturer. See the manufacturer's manual for additional information on this product. Zetta supports the following ASI cards ASI6714, ASI6740, ASI6744 and ASI6788.

To add an ASI Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select one of the options for ASI as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  10. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. ASI devices vary on the number of available Inputs supported by the device. Click the Add New GPIO Input Event button or optionally click the Create All Inputs to create all the possible Inputs for the device selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  11. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. ASI devices vary on the number of available Outputs supported by the device. Click the Add New GPIO Output Event button or optionally click the Create All Outputs to create all the possible Outputs for the device selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.30 seconds.

  12. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Axia

The Axia Consoles use Axia's own AoIP software to communicate with the Axia hardware over a network connection. See the manufacturer's manual for additional information on this product.

To add an Axia GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select the Axia option as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  10. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Axia devices vary on the number of available Inputs supported by the device. Click the Add New GPIO Input Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  11. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Axia devices vary on the number of available Outputs supported by the device. Click the Add New GPIO Output Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.30 seconds.

  12. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

DASDEC

DASDEC is a Digital Alert System for playing EAS warnings. The DASDEC interface supports up to 5 stations per I/O Board. The EAS audio is sent to an FTP server where the computer can then access this file and play it On-Air, thus supporting multiple playbacks at any given time. Zetta then sends a message back to the DASDEC box that the EAS alert has been played. An EAS Pending Input will need to be configured for each station using the bit position to designate which channel on the DASDEC is for each station. The weekly EAS Test alerts must be fired manually or wired externally to the to the DASDEC box. The FTP location that the DASDEC-II EAS box sends the audio to must be mapped on each stations Sequencer computer. The Audio file must be in PCM format to prevent issues with playback.

To add a DASDEC GPIO / Route Device to a configured Computer, perform the following steps:
  1. On the Sequencer computer for the station receiving the EAS alert, using windows explorer map a drive to the FTP location where the EAS alert audio file is being placed.
  2. Click the GPIO/Routes tab in Tools | Computers
  3. Click the Add New GPIO Device [image] button.
  4. Select Enabled to enable the device for use.
  5. Select the DASDEC option as the GPIO Device.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  10. Select the Settings button.

  11. Enter the Network Adapter number that Zetta will use to communicate with the DASDEC device; typically this is 0 unless there is more than one Ethernet card in the computer.
  12. Enter the Local Port to use as defined on the DASDEC under Remote EAS NET Host Port, the default is 64333.
  13. Enter the FTP File Path mapped in step 1.
  14. Click OK
  15. Select the GPIs (Inputs) tab to configure the Inputs.
  16. Select the Create All Inputs button and Zetta will create 5 inputs.
  17. The Name field can be renamed to the station name to give it more meaning when selected elsewhere in the system. GPI #1 will be triggered when a notification is received by the DASDEC whose DASDEC Station Configuration Interface Name begins with 1, GPI #2 will be triggered when a EAS.Notification is received by the DASDEC whose DASDEC Station Configuration Interface Name begins with 2 and so on
  18. Select the GPOs (Outputs) tab to configure the Outputs.
  19. Select the Create All Outputs button and Zetta will create 5 outputs
  20. The Name field can be renamed to the station that will issue the EAS.Confirmation to the DASDEC.
  21. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

See the EAS - Emergency Alerts System topic in the Features section of this guide.

DHD IP

The DHD IP is for the DHD IP Mixing Consoles. Zetta communicates with the device using an IP address. See the manufacturer's manual for additional information on this product.

To add a DHD IP GPIO Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select the DHD IP option as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  10. Click the Settings button

  11. Enter the IP Address of the Console
  12. Enter the Port on which the Console will communicate. (Remember to add this port to the computers firewall settings)
  13. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Select the Create All Inputs button and Zetta will create all the inputs available for the Device selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  14. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Select the Create All Outputs button and Zetta will create all the outputs available for the Device selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.30 seconds.

  15. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Feed Through Device

The feature allows for creation of feed through routes that route audio from any audio input to any audio output on the system, including across audio cards. Once these routes have been defined, they can be used in the system just like any other, external based e.g. ACU-1, route. Existing commands such as Gpio.SetRoute or Sequencer.AllRoutesOffExcept are able to manipulate these feed through routes just like any other routes on external GPIO devices.

To add a Feed Through GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select Feed Through as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Enter a Fade Duration in seconds

  9. Select the Routes tab to configure the Routes for the device.

    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.

    • The Input Type can be either the selected Input Device or a Loopback device.

    • The Input Feed is the device installed on the computer where the audio is being fed into the computer.

    • The Output Device is the Installed devices where the computer will feed the audio to from the input device; this lists all the configured play devices for every computer in the database.

  10. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

JLCooper

Zetta supports three JLCooper Media Control Stations, the MCS2, MCS3 and MCS5 using a RS232 connection to the Computers Comport. These media control stations are typically used with the Z-Player Module in Zetta. There are Templates for the JLCooper MCS2 and MCS3 that can be imported from C:\Program Files (x86)\RCS\Zetta\Templates using the Import GPIO Devices [image] button.

To add a JLCooper GPI Device to a configured computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select JLCooper (MCS2 or MCS3) or JLCooper (MCS5) as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. The COM settings for the device, Zetta will default to the factory communication settings for the device selected. The Comport can be changed if needed. Contact RCS Support for assistance.

  10. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Click the Add New GPIO Input Event [image] button to add an Input.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  12. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Logitek AE

Logitek is a supplier of Audio Consoles. See the manufacturer's manual for additional information on this product.

To add a Logitek AE GPIO Device to a configured computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select Logitek AE as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  10. Use the Settings button to set the Address.

  11. The COM settings for the Logitek AE will default to the computers communication settings for the Comport. The Comport can be changed if needed. Contact RCS Support for assistance.

  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Select the Create All Inputs button and Zetta will create all the inputs available for the Device selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Click the Add New GPIO Output Event [image] button to add an Output

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.30 seconds.

  14. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Monitora

The Monitora interface is designed for specialized work flows between On Air mixing consoles and Zetta using COM settings. See the manufacturer's manual for additional information on this product.

To add a Monitora COM GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select Monitora as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  10. The COM settings for the Monitora will default to the factory communication settings. The ComPort settings can be changed if needed. Contact RCS Support for assistance.

  11. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Click the Add New GPIO Input Event [image] button. Contact RCS Support for assistance.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  12. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Click the Add New GPIO Output Event [image] button. Contact RCS Support for assistance.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

  13. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Monitora IP

The Monitora Control Protocol is designed for specialized work flows between On Air mixing consoles and Zetta using Ethernet and TCP/IP settings. See the manufacturer's manual for additional information on this product.

To add a Monitora IP GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select Monitora IP as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  10. Click the Settings button to enter the IP Address and the Port. (Remember to add this port to the computers firewall settings)

  11. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Click the Add New GPIO Input Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  12. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Click the Add New GPIO Output Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

  13. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Preh - Tipro

The Preh - Tipro are programmable keyboards/keypanels that can be used with Zetta. The system also incorporates 128 Leading Inputs for each device. Communications are through a single RS-232 serial data port. See the manufacturer's manual for additional information on this product.

To add Preh - Tipro GPIO / Route Devices to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select Preh - Tipro as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. The COM settings for the Preh - Tipro device will default to the factory communication settings. The ComPort settings can be changed if needed. Contact RCS Support for assistance.

  9. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Select the Create All Inputs button and Zetta will create all the inputs available for the Device.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  10. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

RS232

The RS232 interface can be used with any generic interface that uses an RS232 connection. See the manufacturer's manual for additional information on this option.

To add a RS232 COM GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select RS232 as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  10. Select the COM settings for the device. Contact RCS Support for assistance.
  11. Select the Input Data settings.
  12. Select the Output Data settings.

  13. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name and Event Text data. Click the Add New GPIO Input Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The Event Text is a user defined string that defines the GPI event. It is the command that when received is the trigger for the action defined. The Event Text is case sensitive. Zetta will parse the text received and look for an Exact Match. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field. Pressing Esc will leave the edit mode and discard any changes that were made.

    • The RegEx column is used to set the Event Text to regular expression. A regular expression (RegEx for short) is a special text string for describing a search pattern. This option is hidden when Event text Sub-String is selected as the Data Separation in the Input Data section of the Device Settings tab.

    Example: Event text = ^[a-zA-Z0-9]\d{2}[a-zA-Z0-9](-\d{3}){2}[A-Za-z0-9]$

  14. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name and Event Text. Click the Add New GPIO Output Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The Event Text is a user defined string that defines the GPO event. It is the command that when sent is the trigger for the action defined. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field. Pressing Esc will leave the edit mode and discard any changes that were made. The @runtime and @controltext variables can be used in the Event Text field to send the Spot Block Runtime and Spot Block Control Text when a corresponding Sequencer.SpotBlockCue/Play/Pause/Stop GPO command event is fired.

  15. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

RS232 Splits

The RS232 Splits interface can be used with Splits stations to send and receive splits messages over a RS232 serial device.

To add a RS232 Splits GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select RS232 Splits as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Select the COM settings for the device. Contact RCS Support for assistance.
  8. Select the Input Data settings.
  9. Select the Output Data settings.

  10. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Sealevel

The Sealevel, Sealevel 8011, 8012 and 9012 cards are I/O cards installed in the PCI slot of the computer. Zetta communicates with the device using the installed driver supplied by the manufacturer. See the manufacturer's manual for additional information on this product. Zetta can support up to 4 Sealevel cards of the same model in one computer.

To add a Sealevel GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select Sealevel, Sealevel 8012 or Sealevel 9012 as the GPIO Device.
  5. Select the number of devices connected from the Quantity drop-down menu, Zetta supports up to four PCI cards for each computer.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  10. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  11. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. The Sealevel option supports up to 16 Leading and Trailing Inputs. Select the Create All Inputs button and Zetta will create all the inputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  12. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. The Sealevel option supports up to 16 Outputs. Select the Create All Outputs button and Zetta will create all the outputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.30 seconds.

  13. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

SS 16.4

The Broadcast Tools SS 16.4 provides matrix audio switching. Matrix switching allows any or all inputs to be assigned to any or all outputs. See the manufacturer's manual for additional information on this product.

To add a SS 16.4 GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select SS 16.4 as the GPIO Device.
  5. Select the number of devices connected from the Quantity drop-down menu, Zetta supports up to four SS 16.4 devices for each computer.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  10. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  11. The COM settings for the SS 16.4 will default to the computers communication settings for the Comport. The Comport can be changed if needed. Contact RCS Support for assistance.

  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Each SS 16.4 supports up to 24 Leading Inputs and 24 Trailing Inputs. Select the Create All Inputs button and Zetta will create all the inputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Each SS 16.4 supports up to 24 Outputs. Select the Create All Outputs button and Zetta will create all the outputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

  14. Select the Routes tab to configure the Routes for the device. Click the Add New GPIO Route button.

    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.

    • The Route is the path the audio will take when routing the audio coming in from a source then out to the audio out channel.

    • The Input Type is used to add additional information about the audio Input.

  15. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

SS 4.2

The Broadcast Tools SS 4.2 provides matrix audio switching. Matrix switching allows any or all inputs to be assigned to any or all outputs. See the manufacturer's manual for additional information on this product.

To add a SS 4.2 GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select SS 4.2 as the GPIO Device.
  5. Select the number of devices connected from the Quantity drop-down menu, Zetta supports up to four SS 4.2 devices for each computer.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  10. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  11. The COM settings for the SS 4.2 will default to the computers communication settings for the Comport. The Comport can be changed if needed. Contact RCS Support for assistance.
  10. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Each SS 4.2 supports up to 8 Leading Inputs and 8 Trailing Inputs. Select the Create All Inputs button and Zetta will create all the inputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Each SS 4.2 supports up to 16 Outputs. Select the Create All Outputs button and Zetta will create all the outputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

  14. Select the Routes tab to configure the Routes for the device. Each SS 4.2 supports up to 8 Routes. Select the Create All Routes button and Zetta will create all the routes available for the Device and Quantity selected.

    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.

    • The Route is the path the audio will take when routing the audio coming in from a source then out to the audio out channel.

    • The Input Type is used to add additional information about the audio Input.

  15. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

SS 8.2

The Broadcast Tools SS 8.2 provides matrix audio switching. Matrix switching allows any or all inputs to be assigned to any or all outputs. See the manufacturer's manual for additional information on this product.

To add a SS 8.2 GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select SS 8.2 as the GPIO Device.
  5. Select the number of devices connected from the Quantity drop-down menu, Zetta supports up to four SS 8.2 devices for each computer.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  10. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  11. The COM settings for the SS 8.2 will default to the computers communication settings for the Comport. The Comport can be changed if needed. Contact RCS Support for assistance.
  10. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Each SS 8.2 supports up to 8 Leading Inputs and 8 Trailing Inputs. Select the Create All Inputs button and Zetta will create all the inputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Each SS 8.2 supports up to 16 Outputs. Select the Create All Outputs button and Zetta will create all the outputs available for the Device and Quantity selected.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

  14. Select the Routes tab to configure the Routes for the device. Each SS 8.2 supports up to 16 Routes. Select the Create All Routes button and Zetta will create all the routes available for the Device and Quantity selected.

    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.

    • The Route is the path the audio will take when routing the audio coming in from a source then out to the audio out channel.

    • The Input Type is used to add additional information about the audio Input.

  15. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

TCP

The TCP option is used with GPIO devices that communicate using a TCP connection. See the manufacturer's manual for additional information on this option.

To add a TCP GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select TCP option as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  10. Select the Input Data settings.
  11. Select the Output Data settings.

  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name and Event Text data. Click the Add New GPIO Input Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The Event Text is a user defined string that defines the GPI event. It is the command that when received is the trigger for the action defined. The Event Text is case sensitive. Zetta will parse the text received and look for an Exact Match. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field. Pressing Esc will leave the edit mode and discard any changes that were made.

    • The RegEx column is used to set the Event Text to regular expression. A regular expression (RegEx for short) is a special text string for describing a search pattern. This option is hidden when Event text Sub-String is selected as the Data Separation in the Input Data section of the Device Settings tab.

    Example: Event text = ^[a-zA-Z0-9]\d{2}[a-zA-Z0-9](-\d{3}){2}[A-Za-z0-9]$

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name and Event Text. Click the Add New GPIO Output Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The Event Text is a user defined string that defines the GPO event. It is the command that when sent is the trigger for the action defined. This field can be used to send custom bytes over TCP. To send custom bytes simple prepend the hex value with \x when entering the hex value into the Event text field. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field. Pressing Esc will leave the edit mode and discard any changes that were made. The @runtime and @controltext variables can be used in the Event Text field to send the Spot Block Runtime and Spot Block Control Text when a corresponding Sequencer.SpotBlockCue/Play/Pause/Stop GPO command event is fired.

  14. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

UDP

The UDP option is used with GPIO devices that communicate with Zetta using the User Datagram Protocol (UDP). This allows a device connected to the network to send messages to control Zetta using a specified UDP port. See the manufacturer's manual for additional information on this option.

To add a UDP GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select UDP option as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  10. Select the Input Data settings.
  11. Select the Output Data settings.

  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name and Event Text data. Click the Add New GPIO Input Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The Event Text is a user defined string that defines the GPI event. It is the command that when received is the trigger for the action defined. The Event Text is case sensitive. Zetta will parse the text received and look for an Exact Match. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field. Pressing Esc will leave the edit mode and discard any changes that were made.

    • The RegEx column is used to set the Event Text to regular expression. A regular expression (RegEx for short) is a special text string for describing a search pattern. This option is hidden when Event text Sub-String is selected as the Data Separation in the Input Data section of the Device Settings tab.

    Example: Event text = ^[a-zA-Z0-9]\d{2}[a-zA-Z0-9](-\d{3}){2}[A-Za-z0-9]$

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name and Event Text. Click the Add New GPIO Output Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The Event Text is a user defined string that defines the GPO event. It is the command that when sent is the trigger for the action defined. This field can be used to send custom bytes over UDP. To send custom bytes simple prepend the hex value with \x when entering the hex value into the Event text field. To Edit the Event Text field double-click the field. To add multiple lines to the Event Text field press Alt+Enter. Pressing Enter will leave the editing of the field. Pressing Esc will leave the edit mode and discard any changes that were made. The @runtime and @controltext variables can be used in the Event Text field to send the Spot Block Runtime and Spot Block Control Text when a corresponding Sequencer.SpotBlockCue/Play/Pause/Stop GPO command event is fired.

  14. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

WheatNet D600

The Wheatstone WheatNet D600 is an Audio Console that can be used with Zetta. See the manufacturer's manual for additional information on this product.

To add a WheatNet D600 GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select WheatNet D600 as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  10. Use the Settings button to select the Pots (blades) that will be configured for the computer.

  11. The COM settings for the WheatNet D600 will default to the computers communication settings for the Comport. The Comport can be changed if needed. Contact RCS Support for assistance.
  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name and GPI data.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name and GPO.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

  14. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

WheatNet G3

The Wheatstone WheatNet G3 is a Digital Console that can be used with Zetta. See the manufacturer's manual for additional information on this product.

To add a WheatNet G3 IP GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select WheatNet G3 as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  10. Click the Settings button to enter the IP Address and the Port.

  11. Optionally, select the Ignore Channel Offs option.
  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Click the Add New GPIO Input Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Click the Add New GPIO Output Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

  14. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

WheatNet UIO

The WheatNet UIO uses Audio over IP for audio routing to a Wheatstone WheatNet IP console. See the manufacturer's manual and the RCS Knowledge Base article 1099 for additional information on this product. Contact the network administrator for the Console IP Address, Port number, UMIX Mixer Number and the UMIX Output Bus information.

To add a WheatNet UIO IP GPIO / Route Device to a configured Computer, perform the following steps:
  1. Click the GPIO/Routes tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select WheatNet UIO as the GPIO Device.
  5. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  6. Optionally, enter a Description for the GPIO device.
  7. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.

  10. Click the Settings button to enter the console IP Address, Port number, UMIX Mixer Number and the UMIX Output Bus information.

  11. Click OK
  12. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On data. Click the Add New GPIO Input Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration. Click the Add New GPIO Output Event button.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

  14. Select the Routes tab to configure the Routes for the device. Select the Create All Routes button and Zetta will create all the routes available for the Device and Quantity selected.

    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.

    • The Route is the path the audio will take when routing the audio coming in from a source then out to the audio out channel.

    • The Input Type is used to add additional information about the audio Input.

  15. Click Save [image] button to save the GPIO / Routes settings for the selected computer.

Welcome < Configuration < Computer Configuration < GPIO / Routes


Play Devices

The Play Devices tab is used to add or remove play devices to an audio stream. For each play device installed on the local computer the streams of the device will be defined. The Play devices for computer B can be assigned to a Play Container for computer A, as long as Zetta is running and the play device in the startup manager is started on computer B. The Status column will display a green check mark [image] when the play device is online and can be used by Zetta. If the Play device is not online or not functioning a red [image] is visible in the Status column.

Click any area in this image for help

Click any area in this image for help

The following table shows the minimum recommending plays stream that will need to be configured for a station. Once the Play Devices are configured use the Play Container Configuration to map the streams to the Play Container for audio playback

Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play | 3 Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys® | Frequently used audio control room events saved to Hot Keys® | 3 Stream
Stacks | Used to play a stacked selection of audio control room events | 3 Streams
Z-Player | User to play audio in the Z-Player Module | 3 Streams

Toolbar

Play Device Details

Configure Play Devices

Toolbar

Add New Play Device – The Add New Play Device button creates the new device to be configured.

Delete Selected Play Device – The Delete Selected Play Device will delete the selected device.

Play Device Details

Device Name

Device description

Technology Type

Default Play Device

Total Streams

Purge Unavailable Play Devices

Device Name

The Device Name field is for naming the device, this is the name that will be selected in other areas of the Zetta application.

Device description

The Device description is used to give further detail about the device. (optional)

Technology Type

Zetta allows the user to select the player Technology Type to use for playing audio. The Zetta Audio Engine (WASAPI - Recommended) is the default option and is available with Vista, Windows 7, Windows 8.1, Windows 2008 R2 and Windows 2012 operating systems. This technology type is the recommended type with these operating systems. The Zetta Audio Engine (ASIO) option is used for specific audio cards, consult the audio card manual before using this option. The Zetta Audio Engine (DirectSound) uses an audio driver that is for older systems such as the Windows XP operating system.

Advanced - Use the advanced button with the assistance of RCS Support to set the Audio Device Buffer Size, the Audio Device Buffer Refresh Period and the In-Memory Buffer Size per Stream for the Zetta Audio Engine options. The Zetta Audio Engine option also can be used in Exclusive mode. Exclusive mode allows only Zetta to play to the device, preventing windows and other applications from playing to the selected device.

Important Note!

Changing the Technology Type of the Play Device will require a restart of the Play Device in the Startup Manager.

Default Play Device

The Default Play Device is the 'Use Default' Play device that Zetta® will use if nothing is defined in the Streams.

Total Streams

Total Streams is the number of play streams added to the device being configured.

Add New Stream – Use Add New Stream to add a stream to the Output channel of the device.

Delete Selected Stream – Use Delete Selected Stream to remove a selected stream.

ID – The ID is the Stream ID that is shown in the Modules if a Short Name does not exist for the stream.

Short Name - The Short Name column can be used to set the displayed number or name that will be displayed in the On-Air screen and Stacks Module. It is also used to identify the stream to use in the Window field of the command mappings for Hot Keys and Z-Player. Simply double-click the field and type a 1-3 character name. If the short name is not defined Zetta will use the ID instead.

Stream Name – The Stream Name is the name of the stream associated with the output channel of a device.

Play Device – The Play Device is the output channel of the installed device to use for the stream. Selecting the same Play Device for multiple streams, can cause audio to be played from the same Play Device simultaneously. Zetta chooses the Stream to use based on the last output channel used by the Sequencer and then the order of the defined streams for the play container.

Purge Unavailable Play Devices

Occasionally a play device may become unavailable in the Play Devices window due to a failed sound device/card or sound device/card replacement. When this occurs an error icon is shown before the play device name and a Purge unavailable button is displayed above the Streams list. Selecting the Purge Unavailable button will purge all unavailable play devices.

Click the drop-down for the play device to view a list of devices, notice the unavailable device with an error icon before the description and a Purge [image] button after the description. Select this purge button to purge only the selected play device.

Configure Play Devices

To add play devices to a configured Computer, perform the following steps:
  1. Click the Play Devices tab.
  2. Click the Add New Play Device [image] button.
  3. Enter a Device Name or leave the default
  4. Enter a Device Description
  5. Select a Technology Type
  6. Restart the play device in the Startup Manager.
  7. Use the Default Play Device drop-down menu to select the default sound device for Zetta® to use.

  8. Click the Add Play Stream [image] button, 16 streams is the default setting for a single device. For this example, we will use fifteen streams. The following chart shows the recommended Play Streams for each Play Container. The Audition streams are created automatically when using the computer wizard at initial login on a new computer.
Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play | 3 Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys® | Frequently used audio control room events saved to Hot Keys® | 3 Stream
Stacks | Used to play a stacked selection of audio control room events | 3 Streams
Z-Player | User to play audio in the Z-Player Module | 3 Streams
  9. Double-click the Short Name field to add a name. (Optional)
  10. Stream Name can be changed by double-clicking the Name in the Stream Name column, and entering the desired name. (Optional)

  11. For each of the streams configured select a Play Device. The recommended Play Device for most audio cards is the WDM driver.

Important Note!

When configuring Axia drivers, be sure to select the Axia IP-Driver (WDM), selecting the Axia Wave driver will prevent the play of multiple items simultaneously. For additional help with WheatNet IP play devices see the RCS Knowledge Base article 1099.

  12. Click the Save [image] icon.
  13. Once the Play Devices are configured use the Play Container Configuration to map the streams to the Player for audio playback

Important Note!

Anytime a Play Device is changed the Play Device in the Startup Manager will need to be restarted.

Welcome < Configuration < Computer Configuration < Play Devices


Record Devices

The Record Devices tab, in the Computer Configuration window, is used to define record devices for use with Record Control Events. These Record Control events can be placed in Station Logs and Clocks and Background Recorder Logs and Recorder Clocks to record external sources or the output of the station. The record device can be setup as the Output of the sequencer, this allows for the recording of what is playing in the log without the need for a loopback cable. Adding a Record device requires a restart of Zetta Startup Manager on the selected Computer. See the Background Recording feature for more information on using the record device to record a Satellite Show.

Click any area in this image for additional help

Click any area in this image for additional help

Active

Name

Description

Record Devices Toolbar

Record Device Information

Add a Record Device

Delete a Record Device

Active

The Active check box makes the Record Devices configured for the computer available for Record Control Events.

Name

The Name is the Device Name that will be seen when selecting a Record device when inserting a Record Control Event into a Log or Clock.

Description

The Description field is used to add a description of the Record Device, this field is optional.

Record Devices Toolbar

Add New Input - Use the Add New Input button to add an installed Record In Device to the Computer.

Delete Selected Input - Use the Delete Selected Input Button to remove a selected Record In Device from the Computers Configuration.

Record Device Information

The bottom window contains information about each added Record device for the configured computer.

ID - The ID is the system ID for the device and stream

Short Name - The Short Name is a two character name that can be given to the device. The Short Name will be seen in the On-Air module when a Record Control Event is placed in a station log, this field is optional and can be edited by double clicking in the field.

Device Name - The Device Name is a Long name for the Device. The Device Name filed can be edited by double clicking in the field.

Record Device - The Record Device is the name of the installed device and stream, this information is pulled directly from the windows driver. The record device can be setup as the Output of the sequencer, this allows for the recording of what is playing in the log without the need for a loopback cable.

Add a Record Device

To Add a Record Device to a Computer, perform the following steps:
  1. Click Computers from the Configuration menu
  2. Select the computer to configure
  3. Select the Record Devices tab for the computer
  4. Click the Active check box to make the record devices active for the computer.
  5. Edit the Name if desired.
  6. Add a Description for the Record Devices for the computer. (optional)
  7. Click the Add New Input [image] button.

  8. Select the Recorder Device to use from the installed devices available on the Computer.
  9. Click OK to except the selection.
  10. Double-click the Short Name field to add a Short Name. (optional)
  11. Double-click the Device Name field to change the device name. (optional)
  12. Click Save [image] button to save the changes.
  13. Restart the Startup Manager

Delete a Record Device

To Add a Record Device to a Computer, perform the following steps:
  1. Click Computers from the Configuration menu
  2. Select the computer to configure
  3. Select the Record Devices tab for the computer
  4. Select the desired Record Device.
  5. Click the Delete Selected Input [image] button.
  6. Click Save [image] button to save the changes.
  7. Restart the Startup Manager

Welcome < Configuration < Computer Configuration < Record Devices


Local Storage and Playback Priority

The Local Storage and Playback Priority is used to improve playback performance for the local player, while reducing network load. It also is valuable in cases of hardware or network failure, where an Emergency On-Air backup is needed, by making resources available locally. Finally, remote or off-site playback can also be enhanced by locally caching resources on the system to be used at the remote location.

Local Audio Caching is enabled by default for Log Scheduled Assets. The default setting will only cache audio on the computers running the Station (Sequencer). Assets in the log are cached for 24 future hours and the past 6 hours from the current playtime. As items are added, edited and saved to the log they are cached locally and marked as available for play for the specified hours. The player will look to the Local Audio Store for the audio first, if the audio is not found in the Local Audio Store, Zetta will fall back to Content Store. If multiple Stores are defined, Zetta will first look at the Playback Priority profile, if a profile is not defined it will look the audio up in the order set in Content Management Configuration. The Content Store order can be changed on a per-computer basis, see Playback priority below.

Click any area in this image for help

Click any area in this image for help

Local Operating Path

Local Audio Store

Localize Station Audio

Localize Hot Spare Audio

Playback Priority

Caching and Playback Priority Setup

Local Operating Path

The Local Operating Path is the path on the local computer for Zetta to store local resources such as logging and temporary conversion files.

Local Audio Store

The Local Audio Store is the path on the local computer for Zetta to store local audio. The audio is stored on the local computer in the same directory structure in windows as seen in the Audio Content Store defined in the Content Management section of this guide.

Localize Station Audio

The Localize Station Audio drop-down is used to select the amount of audio to be backed up to the Local Store. The following options are available:

None - When Localize Station Audio is set to none, the local caching for station audio will be disabled.

Entire Library - Selecting the Entire Library will cache all the Library Assets, active and inactive, to the Local Computer. Ensure the Local Computer has the space available before selecting this option.

Log Scheduled Assets - The Log Schedule Assets is the default setting for new computers. Zetta will cache the assets that are scheduled to play, for the station(s) processed by a sequencer running on the current computer, for the future hours and past hours specified.

All Station Assets - The All Station Assets option will cache all the assets that are active for the station(s) processed by a sequencer running on the current computer.

Localize Hot Spare Audio

The Localize Hot Spare Audio drop-down is used to select the amount of audio to be backed up to the Local Store for Hotsparing. The following options are available:

None - When Localize Hot Spare Audio is set to none, the local caching for hot spare audio will be disabled. This is the default setting for new computers.

Entire Library - Selecting the Entire Library will cache all the Library Assets, active and inactive, to the Local Computer. Ensure the Local Computer has the space available before selecting this option.

Log Scheduled Assets - The Log Schedule Assets will cache the assets that are scheduled to play, for the station(s) processed by a sequencer running on the current computer, for the future hours and past hours specified.

All Station Assets - The All Station Assets option will cache all the assets that are active for the station(s) processed by a sequencer running on the current computer.

Playback Priority

The Playback Priority is used to configure and select a priority profile. A priority profile is a collection of configured Content Stores, which are set in a desired order, to be used to select the play location of the asset by the player. The computer will look to the Local Store first then if the asset is not found it will follow the Playback Priority profile selected. The default order is the priority set in the Content Manager configuration. Clicking the Playback Priorities browse button will open the Priority Profiles window. This window can be used to create profiles for Media Store priority. The profiles created in this window are global profiles, therefore they are available for selection by any computer once configured.

Caching and Playback Priority Setup

To setup the Caching and Playback Priority for a computer, perform the following steps:
  1. Using the Configuration Menu, click Computers.
  2. Select the desired computer
  3. Select the Local Storage and Playback Priority tab
  4. Browse or enter the location for the Local Operating Path.
  5. Browse or enter the location for the Local Audio Store.
  6. Select the Localize Station Audio option to use. If Log Scheduled Assets is selected, set the future hours and past hours to keep the assets cached locally.
  7. Select the Localize Hotspare Audio option to use if the computer will be used for hotsparing. If Log Scheduled Assets is selected, set the future hours and past hours to keep the assets cached locally.
  8. Click the Playback Priorities browse button.
  9. Click the Add Profile [image] button in the left pane
  10. Enter a Profile Name to describe the profile.
  11. Click OK
  12. Click the Add Media Store [image] button in the right pane for each media store to be used in the Profile.
  13. In the Media Stores column, use the drop-down to view the Content Managed stores configured.
  14. Select the Media Store that the computer will use first if the played assets file is not located in the Local Store.
  15. Click the X in the upper right of the window to close the Profile window.
  16. Click the Playback Priority drop-down to select the profile to use.
  17. Click Save
  18. Restart the Localizer service from the Content Management Services section of the Startup Manager.

Welcome < Configuration < Computer Configuration < Local Storage and Playback Priority


Logging

Logging in the computer configuration is used for logging issues that may be happening with Zetta® on the computer. Logging can be performed using two different modes, advanced and simplified. The default is simplified which means only Exceptions and Errors will be logged to a file (..\Program Data\RCS\Zetta\Logging\Debug). Advanced logging will log Exceptions, Errors, Warning, Info, Stats, verbose for the executable(s) selected.

Important Note!

Sequencer and Player processes always use the Verbose logging level.

Click any area in this image for help

Click any area in this image for help

Verbose logging levels for

Reset logging level to default

Logging Setup

Verbose logging levels for

To enable Advanced logging, use the drop-down to select the executable(s) that are to be logged. This is a multiselect field that can be used to select more than one executable for advanced logging.

Reset logging level to default

To reset the logging level to log only Exceptions and Errors click the Reset logging level to default button just below the Verbose logging levels for field

Logging Setup

The default logging is to log Exceptions and errors no further setup is needed. Use the following instructions to configure logging for more advanced information that can be used in troubleshooting issues with Zetta.

To setup advanced logging for a computer, perform the following steps:
  1. Contact RCS Support
  2. Using the Configuration Menu, click Computers.
  3. Select the desired computer
  4. Select the Logging tab.
  5. Click the drop-down arrow next to the Verbose logging levels for field.

  6. Select the executable(s) to include in the advanced logging level.
  7. Click Save

Welcome < Configuration < Computer Configuration < Logging


Play Containers

Play Containers in Zetta® give the ability to group play streams together. This is necessary, as there are times when station playback requires multiple events to be fired simultaneously. Each audio event playing at any given time must have its own play stream. Zetta chooses the stream to use based on the Log Event and the Asset Properties. Zetta first determines the playback Purpose, then the Audio Type. If the Purpose is Normal and the Audio Type is (All) Zetta looks at the last output channel play device used by the Sequencer and then the order of the defined streams for the player. (If multiple events are playing the sequencer looks at which stream ends the latest). Once a Stream is assigned in the Log, the stream assignment remains the same even if a change is made to the log, such as skipping an event. However, if the changes made leave two adjacent events using the same play device, Zetta will adjust the streams if possible. Stream playback can be monitored using the Playback Monitor. The following is the minimum recommended Play Containers that will need to be created:

On-Air Player – The On-Air Play Container is used for the On-Air Module playback of the Sequencer. For best On-Air sound and playability, use a minimum of three play streams for this player.

Audition Player – The Audition Play Container is used for previewing audio. At least one play stream is needed for this play container, but three is recommended for auditioning voice tracked events in the log.

Hot Keys Player – The Hot Keys® Play Container is used for playing audio back from the Hot Keys® Module. Use three play stream for this player.

Stack Player – The Stack Play Container is used for playing audio back from the Stacks Module. For best On-Air sound and playability, use three play streams for this player.

Z-Player – The Z-Player Play Container is used for playing audio from the Z-Player Module. Use at least one play stream for this player, three is recommended.

The left pane of the Player window allows the user to copy, create, delete, view and save Players. The right pane of the Players configuration window is for configuring the details of each player. The above list is the minimum recommended Play Containers for a typical station, however, when using splits and other features in Zetta this configuration will vary from site to site.

Click any area in this image for help

Click any area in this image for help

Once the Play streams have been configured the Play Containers can be assigned in the Playback tab for the station in the Station Configuration window. Keep in mind that Configuration windows do not update dynamically, meaning if the Stations window is open and a new Play Container is added, the changes will not be seen in the Stations window until the configuration window has been closed then reopened.

Play Container Toolbar

Play Container Details

Play Container Step-by-Step Topics

Play Container Toolbar

Copy Selected Play Container - The Copy Selected Play Container will create a duplicate copy of the selected Play Container with the words (copy) appended to the Name.

Add new Play Container – The Add new Play Container button is used to create a new Play Container.

Deleted selected Play Container – The Delete selected Play Container is used to delete a Play Container.

Save Play Container - The Save Play Container button will save any changes to the play containers.

Play Container Details

The Right pane of the Play Containers window displays information about the selected play Container. From this pane the user can copy, add, delete and verify a play stream for the play container.

Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play | 3 Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys® | Frequently used audio control room events saved to Hot Keys® | 3 Stream
Stacks | Used to play a stacked selection of audio control room events | 3 Streams
Z-Player | User to play audio in the Z-Player Module | 3 Streams

Recommended Player Configuration for Zetta®

Name

Description

Stream Toolbar

Purpose

Status

Audio Types

Player

Computer

Stream Name

Play Device

Name

Use the Name field to identify the Play Container.

Description

Use the Description field to enter a detailed description of the Play Container. (optional)

Stream Toolbar

Copy Selected Stream Mapping - The Copy Selected Stream Mapping will create a duplicate copy of the selected Stream with the words (copy) appended to the Name.

Add Playback Stream Mapping – The Add Playback Stream Mapping option is used to add an additional Play Stream to the selected Play Container. After adding the stream, the following fields are available. See the table below for the Recommended Play Container Configuration for Zetta®.

Delete Selected Playback Stream Mapping – The Delete Selected Playback Stream Mapping is used to remove a selected Play Stream from the Play Container.

Verify If Player is Online – Clicking the Verify If Player is Online icon will ensure the Play stream is assigned to use a valid audio device and that the device is responding; the status column will display a green check mark [image] if the player is online and is available to Zetta. If the Player is not online or not functioning a red [image] is visible in the Status column. If the playback stream is online but the device cannot be verified a yellow check mark [image] is visible in the Status column. If the stream is used by another play container a warning alert [image] will be shown in the Status column. Hover the mouse over the icons in the status column to view the status of the players selected.

Purpose

The purpose column is used for the Splits Feature in Zetta and has a drop-down option to select the purpose of the stream for the play container. Zetta Splits® is enabled in the System Configuration | General tab. When an Asset or a Spot Block has a Split Behavior set, Zetta will route the audio based on the type of Split Behavior. Zetta creates groups based on the Purpose of the stream, these groups can be expanded and contracted with the plus to the left of the grouping.

Normal - By Default the Normal option is selected for Normal Play on the station.

Splits - The Splits option is used for Master Splits and Splits Client Stations for playing audio on air when a Split behavior is assign to an Asset or a Spot Block. When the Splits option is selected for a play stream, and an asset plays on the master splits station with a split behavior, Zetta will cue an asset for the split client using a play stream that is set to split for the client station. The asset may be the same or different depending on the Asset Tagging.

Monitor - The Monitor option is used to designate what stream should be used by the Master Splits Station when an asset plays on the Mater station with a Split Behavior of Master Monitor.

Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play. Add 3 Split streams and 3 streams pointing to the Audition Streams when configuring assets to use the Master Monitor Split Behavior. | 9 Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys® | Frequently used audio control room events saved to Hot Keys®. Optionally add 3 additional streams for Splits. | 3 Streams
Stacks | Used to play a stacked selection of audio control room events. Optionally add 3 additional streams for Splits. | 3 Streams
Z-Player | User to play audio in the Z-Player Module | 3 Streams

Recommended Player Configuration for Zetta® Splits

Status

The icon in the Status column verifies the player is responding and the stream selected in not in use by another sequencer or Play Container. If the device is responding, the status column will display a green check mark [image]. If the Player is not online or not functioning a red [image] is visible in the Status column. If the playback stream is online but the device cannot be verified a yellow check mark [image] is visible in the Status column. Additional warnings are displayed if the stream is used by another station or the stream is used by another play container. Hover the mouse over the warning icon to view a tool tip to help in troubleshooting the issue.

Audio Types

Now in Zetta version 3.0 and higher Play Container streams can be assigned to play specific audio types. When a new stream is added to a Play Container the Audio Type defaults to (All), this means the stream can play all asset audio types available in the Zetta system. Use the drop-down or simply type in the Audio Types field to select another audio type.

To remove and Audio Type, simply right-click the audio type to remove and select remove.

Player

The Player column is used to select the play channel from the play device configured in Tools | Computers, see the Play Devices section for more details.

Computer

The Computer field shows the computer that the Play device is connected.

Stream Name

The Stream Name column is used to select the Stream to use that is configured in Tools | Computers, see the Play Devices section for more details.

Play Device

The Play Device field shows the installed play device selected in the play devices tab for the computer.

Play Container Step-by-Step Topics

Once streams have been successfully defined and audio outputs assigned in the Play Devices tab of the Computer Configuration window, the Play Containers can be created.

Create Play Containers for Zetta

Copy a Play Container

Delete a Play Container

Modify a Play Container

Assign Play Containers and Devices for Local Playback and Record

Create Play Containers for Zetta

To add Play Containers, follow these steps:
  1. Select Play Container from the Configuration menu.
  2. Click the Add New Player [image] button to create a new Player. If the computer was created with the computer wizard at login, the audition player will already be created.
  3. Name the Play Container as desired
  4. In the second line enter a description of the play container (optional)
  5. To add play streams for the a Play container, click the Add Playback Stream Mapping [image] button for the desired number of streams
  6. Optionally, select the Purpose of the stream. The default is Normal.
  7. Optionally, select the Audio Types that the play stream can play. Default is (All) Audio Types.
  8. For each stream, select the Player that was configured in the computers Play Devices.
  9. Select the Stream Name to use for the Player.
  10. Use the Verify if Players Online [image] button to verify the players are functioning; the status column will display a green check mark [image] if the player is online and is available to Zetta. If the Player is not online or not functioning a red [image] is visible in the Status column. If the playback stream is online but the device cannot be verified a yellow check mark [image] is visible in the Status column. Hover the mouse over the icons in the status column to view the status of the players.
  11. Click Save [image] to add the Player.
  12. Repeat steps 2-9 for these additional recommended Players (Optionally, use the Copy Selected Stream Mapping [image] button for quick configuration):
Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play | 3 Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys® | Frequently used audio control room events saved to Hot Keys® | 3 Stream
Stacks | Used to play a stacked selection of audio control room events | 3 Streams
Z-Player | User to play audio in the Z-Player Module | 3 Streams
  13. When finished, the Play Containers window should show all five Players.

  14. Once the Play streams have been configured, the Play Containers can be assigned in the Playback tab for the station in the Station Configuration window.

Copy a Play Container

To Copy a Play Container, perform the following steps:
  1. Select Play Containers from the Configuration Menu.
  2. In the Play Containers configuration window, select the Play Container to copy.
  3. Click the Copy Selected Play Container [image] button.
  4. Click Yes to confirm the deletion of the selected play container.

Delete a Play Container

To remove a Play Container, perform the following steps:
  1. Select Play Containers from the Configuration Menu.
  2. In the Play Containers configuration window, select the Play Container to remove.
  3. Click the Delete Selected Play Container [image] button.
  4. Click Yes to confirm the deletion of the selected play container.

Modify a Play Container

To modify a Play Container, perform the following steps:
  1. Select Play Container from the Configuration Menu.
  2. Select the Play Container to modify.
  3. Modify the values present.
  4. Click the Save [image] icon to save the changes to the Play Containers.

Assign Play Containers and Devices for Local Playback and Record

To set the players for the Computer, follow these steps:
  1. Using the Configuration Menu, click Computers.
  2. Select the Audio Assignments tab
  3. Use the Audition drop-down menu to choose the play container created for auditioning audio.
  4. Use the VT/Mini Recorder Record Device drop-down to select an installed record device for Voice Tracker®.
  5. Use the Multitrack Record Device drop-down to select a Record device for the Multitrack Editor.
  6. Use the Multitrack Playback Device drop-down to select a Play device for the Multitrack Editor.
  7. Use the QR Record Device drop-down to select an installed record device to use for the Quick Record Module.
  8. Use the QR Playback Device drop-down to select an installed play stream to use for the Quick Record Module.

  9. Click the Save [image] icon to save the configuration changes.

Welcome < Configuration < Play Containers


Stations Overview

The Station configuration in Zetta® is used to add and customize stations. Each station can be customized by what computer runs the station, the players that the station uses and the way that overfilled and under-filled hours will be handled during on-air play. The top portion of the window shows a list of created stations with a toolbar to Add and Delete stations. The bottom portion of this window shows the selected station's station number and has tabs that are used to configure the station.

Station List

Create a Station

Delete Selected Station

Station Number

Station Details

Playback

Automation

Normalization

Ducking

Splits

Shifts

Satellite

Jelli Interface

Click any area in this image for help

Click any area in this image for help

Station List

The top frame of the Stations configuration window shows a list of stations added.

The following functions are available for adding and deleting a station:

Refresh Stations

The Refresh Stations [image] button will refresh the window to the last saved state, discarding any unsaved changes.

Add New Station

The Add New [image] button is used to create new stations. Alternatively, right clicking in the Station list and selecting Add Station from the menu will add a station.

Delete Selected Station

The Delete Selected [image] button will remove the selected station from Zetta®. Alternatively, right clicking on the station and selecting Delete Selected Station from the menu will remove the station from Zetta.

Station Number

The station number is shown in between the top and bottom sections of the station configuration window with the station name. The station number may be used by an external application such as NexGen when communicating with a specific station.

Create a Station

To create a new station, perform the following steps:
  1. In the Configuration Menu, click Stations.
  2. Click the Add New [image] button.
  3. In the Details tab enter the Station Name to identify the station.
  4. Enter a Description to describe the station (optional)
  5. Enter the station Call Letters. This will used in Publish and Now Playing Export output.
  6. Enter an Enterprise Station ID. This is used with external Traffic applications and may not be required for the station. This field can also be exported using Now Playing Export feature.
  7. Select a Computer from the drop-down that will control the station.
  8. Select Active (Required for On-Air play)
  9. Optionally, select Audio needs approval before airing checkbox if desired.
  10. Optionally, select Predictive air times in Logs and Clocks checkbox if desired.
  11. Optionally, use the Appearance drop-down to select an Appearance that is created in the Themes & Appearances Configuration window.
  12. Optionally, use the Row Highlight drop-down to select an Row Highlight appearance that is created in the Themes & Appearances Configuration window.
  13. Optionally, change the number of Past Days to Keep logs for the station. Purge Old Logs must be selected in the Scheduled Maintenance tab of the System Configuration window.
  14. Optionally, change the number of Future Days to Schedule logs for the station. Schedule Days must be selected in the Scheduled Maintenance tab of the System Configuration window.
  15. Optionally, select Use Fallback Daily Schedule Reconciliation to GSelector option. Enable this option only under RCS supervision.
  16. Optionally, use the Log Handling on Mini-Log placement drop-down to select how Zetta will handle existing events in the log when a Mini-Log is placed into a Log.
  17. Select the Playback tab.
  18. Select the Play Container from the drop-down for Sequencer Playback. This is audio played On-Air; see the Play Container Configuration section of this guide for more information on adding and configuring play containers.
  19. Select the Hot Keys® Playback player from the drop-down for the Hot Keys® Module; see the Play Container Configuration section of this guide for more information on adding and configuring play containers.
  20. Select the Stack Playback player from the drop-down for the Stacks Module; see the Play Container Configuration section of this guide for more information on adding and configuring play containers.
  21. Select the Z-Player Playback player from the drop-down for the Z-Player Module; see the Play Container Configuration section of this guide for more information on adding and configuring play containers.
  22. Set the Fade-Out Duration in seconds
  23. Select the Stream Assignment Method.
  24. Select the modules to Apply Fade-Out Value on Stop
  25. Set the Maximum Stretch and Squeeze to use for Spot Blocks
  26. Set the Hook Fade-In value in seconds as desired
  27. Set the Hook Fade-Out value in seconds as desired
  28. Set the Recue audio if stopped and has played less than in percent or seconds of audio played before stopped.
  29. Select the desired options for Live Event Handling
  30. Select the Automation tab.
  31. Select the Automation Options desired
  32. Select the Normalization tab.
  33. Select the preferred Normalization Options
  34. Select the Ducking tab
  35. Set the Song Ducking levels to use with each type of asset.
  36. Select the Shifts tab
  37. Click the Add Shift [image] button to add a new Shift.
  38. Select the Satellite tab to configure the GPIs, GPOs and Routes for the station if using Satellite mode.
  39. Click the Save [image] button to save the station settings.
  40. Restart the sequencer service for the assigned computer using the Startup Manager.

See the Splits topic of this section for information on station splits configuration or see the Zetta Splits Feature topic.

Welcome < Configuration < Stations Overview


Station Details

The Details tab in the Station Configuration window is used to name the station, describe the station, assign the station to a Computer, activate the station and set appearances for the station. This tab is also used to set the station so all audio needs approval before it can be played by the station sequencer.

Click any area in this image for help

Click any area in this image for help

Station Name

Description

Call Letters

Enterprise Station Id

Computer

Active

Audio needs approval before airing

Predictive air times in Logs and Clocks

Appearance

Row Highlight

Past Days to Keep

Future Days to Schedule

Use Fallback Daily Schedule Reconciliation to GSelector

Log handling on Mini-Log placement

Hotspare status

Station Name

The first field in this tab is for the Station Name. The Station Name is used to identify the Station, this name is used throughout the application to identify the station for selection in modules and other configurations.

Description

The second field in this tab can be used for a Description. A Description is optional and can be used to describe the station.

Call Letters

Use the Call Letters field to enter the Call Letters for the station the Call Letters here are used with the Publish and Now Playing Export features.

Enterprise Station Id

The Enterprise Station Id is typically used with external Traffic applications and may not be required for the station. This field can also be exported using Now Playing Export feature.

Computer

The Computer field is used to assign a computer that will be the Sequencer for the station. This is the computer that is responsible for processing the Station log and playing back the audio.

Important Note!

If the Sequencer stops the station will be taken off the air.

Active

The Active setting will activate the station so that logs can be generated. The station will not be available in the On-Air window or log window unless the Active option is selected.

Audio needs approval before airing

The Audio needs approval before airing setting will require all assets be approved for the station before the asset can be played by the Sequencer On-Air. A user must have the Approval privilege to approve assets. See the Accounts section of this guide for more information on changing privileges of a user. See the Library Module for more information on viewing Approved and Waiting for Approval assets in Zetta. See the Approving Assets section of this guide for more information on approving assets for On-Air play.

Predictive air times in Logs and Clocks

The Predictive air times in Logs and Clocks option will cause the log and clocks to process future hard/soft ETM events showing the pre-drop of events around the ETM events. It will adjust airtime on events after a Soft ETM to reflect cumulative airtime of previous timed segment respecting any pre-drops. This option will respect the Soft ETM early window for "early fires". Any log adjustment (add / delete / skip event; segue adjustment; user hitting [next] early...) will update projected future air times throughout the day. Any log errors (events outside run dates, events with no audio assigned, inactive assets... situations where Zetta shows red (x) to indicate a problem) are considered having runtime of zero, and so are not included in airtime calculations. Stretch to ETM is not factored into these air time calculations. The airtime projections are based on the assumption the station operates in Auto mode.

Appearance

Use the Appearance drop-down to select an Appearance that is created in the Themes & Appearances Configuration window.

Row Highlight

Use the Row Highlight drop-down to select an Row Highlight appearance that is created in the Themes & Appearances Configuration window.

Past Days to Keep

The Past Days to Keep is used to set the number of days to keep past logs for the station in the database. The Purge Old Logs option must be selected in the Scheduled Maintenance tab of the System Configuration window.

Future Days to Schedule

The Future days to Schedule is used to set the number of days to schedule future logs for the station. The Schedule Days option must be selected in the Scheduled Maintenance tab of the System Configuration window.

Use Fallback Daily Schedule Reconciliation to GSelector

The Use Fallback Daily Schedule Reconciliation to GSelector (enabled only under RCS Supervision!) option is available only when the Reconcile Logs to GSelector option is enabled in the Scheduled Maintenance tab of the System Configuration window. When this option is selected, Zetta will reconcile the integrated stations played log for the previous day with GSelector during scheduled maintenance.

Important Note!

Under normal circumstances play statues are pushed over to GSelector as the log plays so this setting is not needed. Contact RCS Support before enabling the Use Fallback Daily Schedule Reconciliation to GSelector option.

Log handling on Mini-Log placement

Mini-Logs can cover a Single Hour, Multiple Hours in the same day or Multiple Hours spanning days. The Log Handling on Mini-Log placement drop-down is used to select how Zetta will handle existing events in the station log when a Mini-Log is placed into the Log. Keep Existing events will keep the events that exist in the station log where the Mini-Log is inserted. Skip existing events will keep but skip the events that exist in the station log where the Mini-Log is inserted. Delete existing events will remove the existing events from the station log where the Mini-Log is inserted.

If the Mini-Log has no TOH Markers, it gets flattened into the Log at the very position where it was inserted. If the Mini-Log has one or more Top of Hour Markers then the Events in Mini-Log prior to the first TOH Marker (if any) get flattened at the very position where the Mini-Log was inserted. The existing events in the SAME hour that are below the insertion position are treated as per the Log Handling on Mini-Log placement setting. The events that follow the TOH Marker get flattened and inserted right after the NEXT TOH in Log and the existing log events already present in the hour (if any) are treated per the Log Handling on Mini-Log placement setting. When a Mini-Log is flattened it becomes part of the log and changes made in the Library will not be reflected in the station log.

Hotspare status

When a Hotspare has been activated, the Station Configuration Details tab will show the Active Hotspare for the station, which computer is active and which hotspare players are being used for playback.

Welcome < Configuration < Stations < Station Details


Playback

The Playback tab is used to configure how audio is played for the station. This tab is use to assign players for the station, set how the audio will fade, if the audio will be stretched/squeezed when played and set how Live Events are handled.

Click any area in this image for help

Click any area in this image for help

Sequencer Player

Hot Keys Player

Stack Player

Z-Player

Fade-Out Duration

Stream Assignment Method

Apply Fade-Out Value on Stop

Maximum stretch/squeeze:

Hook Fade-In

Hook Fade-Out

Recue audio if stopped and has played less than

Live Event Handling

Warnings and Errors

Sequencer Player

The Sequencer Player field is used to specify the Play Container for audio played back of the Station log. This would be the On-Air player created in the Play Containers Configuration.

Hot Keys Player

The Hot Keys Player field is used to specify the Play Container used for audio played back from the Hot Keys® module for the station.

Stack Player

The Stack Player field is used to specify the Play Container used for audio played back from the Stacks module for the station.

Z-Player

The Z-Player field is used to specify the Play Container used for audio played back from the Stacks module for the station.

Fade-Out Duration

The Fade-Out Duration is used to define the number of seconds to fade-out the first event when segueing into the next event.

Stream Assignment Method

The Stream Assignment Method option is used to select how Zetta will handle the stream sequence of the Sequencer. The default Keep already assigned option, will maintain the stream sequence that has been assigned when the event was cued in the sequencer. That means if an event is skipped or moved the streams will remain as assigned.

Example #1:

Song1 (on device A) Playing

Link1 (on device B) Cued

Song2 (on device C) Cued

If Song2 is moved before the Link1, device assignments stay as assigned:

Song1 (A) Playing

Song2 (C)

Link1 (B)

Example #2 :

Song1 (on device A) Playing

Song2 (on device B) Cued

Song3 (on device C) Cued

Song4 (on device A) Cued

Skipping Song2 will maintain the following assignments:

Song1 (A) Playing

Song3 (C)

Song4 (B)

The Enforce always sequential option, will change the assignment of the stream if an event is skipped or moved to maintain a sequential order of the streams. So in the same Examples above the results would be as follows.

Example #1:

If Song2 is moved before the Link1, device assignments would change:

Song1 (A) Playing

Song2 (B)

Link1 (C)

Example #2 :

Skipping Song2 will change the assignments as follows:

Song1 (A) Playing

Song3 (B)

Song4 (C)

To view how these setting work open the Playback Monitor and watch the playback and stream triggers.

Apply Fade-Out Value on Stop

The Apply Fade-Out Value on Stop allows the user to select which module will use the Fade-Out Duration when an event is stopped.

Maximum stretch/squeeze:

Maximum stretch/squeeze is the percentage amount of pitch that can be applied to the contents of a Spot Block, events preceding an ETM or a Tagged Asset to get the length to a specified time value. (Default is 4%)

Hook Fade-In

The Hook Fade-In is used to define the number of seconds to fade in when a hook is played.

Hook Fade-Out

The Hook Fade-Out is used to define the number of seconds to fade out when a hook is played.

Recue audio if stopped and has played less than

The Recue audio if stopped and has played less than option is the time in percent or seconds of an asset being played that has been stopped. Zetta will recue the asset if the amount of time that has played is less than the specified percentage or seconds when stopped.

Live Event Handling

The Live Event Handling section is used to set how Live events are handled in Live Assist or Manual mode. The Show Progress option will show the progress of the Live event in the On-Air and Log module when played. The Assign Streams option will assign a Stream number to the Live event in the On-Air module. Both options are enabled by default.

Warnings and Errors

A warning is displayed if a play container is selected more than once for a station or if there is not Sequencer Playback Play Container selected. A tooltip is displayed, by hovering the mouse over the warning, describing the issue.

An Error is displayed if a play container that is selected as an On-Air play container for one station is selected on another station. A tooltip is displayed, by hovering the mouse over the error, describing the issue.

Welcome < Configuration < Stations < Playback


Automation

The Automation tab is used to configure the settings used when the station log is being executed. From this tab the user can configure the category to use for Block Fill and Fill to meet the ETM, whether the Top of Hour marker is to be used as an ETM and additional settings that change how the ETM is handled when the log is executed. The user can also enable Auto Fade Songs at the Segue point from this tab.

Click any area in this image for help

Click any area in this image for help

TOH ETM Type:

Auto Fade Songs at Segue

ETM Fill Category

Block Fill Category

Soft ETM Window, Early: X Late: Y (seconds)

When within the window, prefer Closest/Over/Under

Automatically set Spot Blocks as Fixed

Automatically set Macros as Fixed

Execute ETM events in Live Assist Mode

Trigger next event after Hard ETM in Satellite Mode

ETM events can remove Fixed Items

See also the Fill Category Tips section

TOH ETM Type:

The Top of Hour marker is treated as a Comment unless this option is set to Soft, Hard, Reset or Hit. For more information on ETM Types see the Exact Time Marker section of this guide. This setting defaults to Reset. When the TOH ETM type is set the Top of Hour markers in the Log will show the Gap Time for the hour. When the TOH ETM type is set to None no Gap Time is shown in the Top of Hour marker in the Log.

Important Note!

This ETM setting will not act as a traffic marker for loading traffic from a third party system. It is recommended this setting be set to none and an ETM Control Event be placed in the log for a traffic marker.

Auto Fade Songs at Segue

Auto Fade Songs at Segue will automatically fade the current song when the segue is hit.

ETM Fill Category

The ETM Fill Category field is used to specify the category used to fill audio to meet exact time markers (ETMs) with a negative Gap time. Fill is initiated when the station Sequencer is in Auto mode and the station is about to run out of scheduled audio. Fill does not occur until the hour with an exact time marker is about to run out of audio. If there is a negative gap time for a Soft or Hard ETM of 10 minutes then 13 minutes before the ETM, Zetta will fill to the ETM. The Fill Category can be set from the assets types of Song, Link, Other Audio, Voice Tracks or Quick Records. Categories can be created in Zetta in the Station Specific tab of the Metadata card, however when the system is integrated with GSelector the song and link categories are created in the GSelector database and then synced to Zetta. The Category field will display the short and long name of the category when GSelector is integrated. If the ETM Fill Category setting is changed, Zetta will re-evaluate the fill of the Log based on the new category assignment and reapply the fill using the new category selected. This setting can also be changed using the Sequencer.SetEtmFillCategory Zetta Command. By default, the Fill position is above the consecutive sequence of Fixed events that are closest to the Soft / Hard ETM that the Sequencer is trying to hit. A Fill Position event can be used to control where Zetta is to place the fill assets. Where Fixed events are used in the log, Zetta will use Backtiming to ensure the fixed events play. Also, keep in mind that Fill will not kick in if any “predropped” events are found in the log segment.

Zetta Fill Logic

When Zetta Fills, it will follow these steps:

  1. Zetta will request all assets in the selected category with a length less than the fill length * 2.
  2. This will return a list in most rested order (average between asset last play and artist/sponsor last play).
  3. Then Zetta will use the top 66% based on most rested, sorted by length to match the calculated fill length +/- the stretch/squeeze percentage.
  4. If that fails, Zetta will then increase the top range by 5 seconds until it finds a match.
  5. Zetta will find up to three matches within the range then randomly pick one of the three assets found.

Block Fill Category

The Block Fill Category field is used to specify the category used to fill audio to meet set Spot Block length in the log. The Fill Category can be a Song, Link, Other Audio, Voice Tracks or Quick Records Category. Categories can be created in Zetta in the Station Specific tab of the Metadata card, however when the system is integrated with GSelector the song and link categories are created in the GSelector database and then synced to Zetta. The Category field will display the short and long name of the category when GSelector is integrated. Fill events automatically have a Timing of stretch when Zetta adds them to the log. For more information on Changing the Fill Categories see the Fill Category Tips section of this guide. If the Block Fill Category setting is changed, Zetta will re-evaluate the fill of the Log based on the new category assignment and reapply the fill using the new category selected. This setting can also be changed using the Sequencer.SetSpotBlockFillCategory Zetta Command. By default, Zetta will fill at the End of the Spot Block unless a Fill Position event is used to control where Zetta is to place the fill assets. Spot Block fill is performed for all Spot Blocks that are within the Sequencer queue. Block Fill uses the same fill logic that ETM Fill uses. Zetta sequencer will adjust the fill assets as events are added, skipped, ejected or deleted by the user to ensure the fill length of the Spot Block is met.

Soft ETM Window, Early: X Late: Y (seconds)

The Soft ETM Window option is used when a Soft ETM is scheduled in the log for the station. If the log is under filled by less than the ETM window stated here, then the event after the Soft ETM will be started and hour fill will not occur. If an event is to start within the Soft ETM window and has more audio after the end of the ETM than before then this event will be skipped and the event after the Soft ETM will be started. For instance, if the Soft ETM window is one minute and the event that is to start is three minutes, there will be two minutes of audio left after the ETM. Therefore, Zetta will skip this event and play the next event after the Soft ETM.

When within the window, prefer Closest/Over/Under

The option, When within the window, prefer Closet/Over/Under works with the Soft ETM Window setting above to select how the Sequencer will hit the Soft ETM marker.

If no Soft ETM window is defined (0/0), then this setting does NOT apply and Zetta will use the legacy default Soft ETM behavior which means the log will stay overscheduled but not by more than one event.

If Soft ETM window is defined and the log is overscheduled and starts dropping events:

  • If there are NO over/under combinations within the ETM window, Zetta will fall back to the above legacy default Soft ETM behavior.
  • If there ARE one or more over/under combinations within the ETM window, the 'When within the window, prefer' setting is applied:

Over - If Over is selected, Zetta will keep the extra events to stay over but while within the ETM window, Zetta will NOT try to eliminate extra events that may exist while still staying over.

Under - If Under is selected, Zetta will keep on eliminating events until the window is no longer overfilled but still within the ETM window.

Closest - If Closest is selected, if multiple over/under options exist, Zetta picks the one closest to the Soft ETM time, while still within the ETM window.

Automatically set Spot Blocks as Fixed

The Automatically set Spot Blocks as Fixed option is used with Backtiming. This option will set all Spot Blocks in the Log as Fixed. If a Spot Block is set as Fixed the events in the spot block are also fixed.

Automatically set Macros as Fixed

The Automatically set Macros as Fixed option is used to set all Macros scheduled in a log as Fixed. When a macro is set as fixed all events within the Macro are set as fixed. When this option is enabled the Fixed option for each Macro will be set to fixed in the properties pane and cannot be changed.

Execute ETM events in Live Assist Mode

The Execute ETM events in Live Assist Mode option is typically used with Backtiming. When this option is selected the user is presented with two options for playback when the ETM executes:

Resume playback if stopped when Soft ETM executes - When this option is selected and the Sequencer is in Live Assist mode all fixed events will play before the next Soft ETM. If this option is enabled when the sequencer is in Live Assist mode the Soft ETM events will execute the same as if the sequencer were in Auto mode.

Resume playback if stopped when Hard ETM executes - When this option is selected and the Sequencer is in Live Assist mode all fixed events will play before the next Hard ETM. If this option is enabled when the sequencer is in Live Assist mode the Hard ETM events will execute the same as if the sequencer were in Auto mode.

Soft or Hard ETM with Execute ETM events in Live Assist Mode enabled:

Scenario 1 - Events marked as Fixed with a Hard ETM

Before Playback |  |  |  |  | After Playback in Live Assist |  |  |  |
2:20 | Song |  | 5min |  | 2:20 | Song |  | 5min | Faded Early
2:25 | Song |  | 7min |  | 2:25 | Song |  | 7min | Dropped
2:30 | Spot |  | 6min | Fixed | 2:24 | Spot |  | 6min | Played
2:30 | ETM | Hard |  |  | 2:30 | ETM | Hard |  | Played
2:30 | Spot |  | 6min |  | 2:30 | Spot |  | 6min | Played

S cenario 2 - Events marked as Fixed with a Soft ETM

Before Playback |  |  |  |  | After Playback in Live Assist |  |  |  |
2:20 | Song |  | 5min |  | 2:20 | Song |  | 5min | Played
2:25 | Song |  | 7min |  | 2:25 | Song |  | 7min | Dropped
2:30 | Spot |  | 6min | Fixed | 2:25 | Spot |  | 6min | Played
2:30 | ETM | Soft |  |  | 2:30 | ETM | Soft |  | Played
2:30 | Spot |  | 6min |  | 2:31 | Spot |  | 6min | Played

Scenario 2 - No Events marked as Fixed with a Hard ETM

Before Playback |  |  |  | After Playback in Live Assist |  |  |  |
2:20 | Song |  | 5min | 2:20 | Song |  | 5min | Played
2:25 | Song |  | 7min | 2:25 | Song |  | 7min | Faded Early
2:30 | ETM | Hard |  | 2:30 | ETM | Hard |  | Played
2:30 | Spot |  | 6min | 2:30 | Spot |  | 6min | Played

Scenario 3 - No Events marked as Fixed with a Soft ETM

Before Playback |  |  |  | After Playback in Live Assist |  |  |  |
2:20 | Song |  | 5min | 2:20 | Song |  | 5min | Played
2:25 | Song |  | 7min | 2:25 | Song |  | 7min | Played
2:30 | ETM | Soft |  | 2:30 | ETM | Soft |  | Played
2:30 | Spot |  | 6min | 2:32 | Spot |  | 6min | Played

Trigger next event after Hard ETM in Satellite Mode

If the Trigger next event after Hard ETM in Satellite Mode option is enabled and the station is in satellite mode, executing a Hard ETM will fade out any existing event(s) that are playing, drop anything overscheduled and execute the upcoming event. The event that needs to fire should be immediately adjacent after the Hard ETM; if it is not (say there is a Comment), the playable event (e.g. a Spot Block) will not be fired. Only the next event will play when in Satellite mode. When the event is finished all playback will stop as all events are treated as having a stop chain in Satellite Mode.

ETM events can remove Fixed Items

Enabling the ETM events can remove Fixed Items option, will allow Zetta to remove any fixed events from the Log in the situation where there are more fixed events scheduled than there is time remaining before ETM.

Welcome < Configuration < Stations < Automation


Normalization

Normalization is the process of increasing (or decreasing) the amplitude of an entire audio signal so that the resulting peak amplitude matches a desired target. Zetta® has the ability to use a RCS® Direct Show Peak form filter to calculate Peak form value, Trim in/out, Segue and run normalization analysis. Normalization can be set for each station and each type of asset. See the Audio Processing and Normalization topic for more information on how Audio is processed in Zetta.

Click any area in this image for help

Click any area in this image for help

Limit Peak

Normalization algorithms used by Zetta®

Limit Peak

When the Limit Peak option is check the Absolute Peak will default at -20dB

Normalization algorithms used by Zetta®

Absolute Peak

Root Mean Square

Filtered Peak

Average Peak

Loudness (EBU R128) ITU-R BS.1770rev0

Loudness (Gated) ITU-R BS.1770rev3

Absolute Peak

Absolute peak (As used in AFC 4.0) normalization checks every sample in the audio file and calculates the largest audio peak value.

Root Mean Square

Root Mean Square (As used in Selector/MC 15) normalization uses the square root mean algorithm to calculate peak values, which is the square root of the mean or middle of the squares of the values.

Filtered Peak

Filtered Peak (As used in AFC 3.0) normalization analyzes all the samples within an audio file and calculates the peak level by ignoring 5% of highest samples.

Average Peak

Average peak normalization is new with Zetta®; it analyzes all the samples within an audio file and calculates the median or middle value of the top 5% of the peaks.

Loudness (EBU R128) ITU-R BS.1770rev0

Loudness normalization is concerned with balancing audio according to their actually perceived loudness. The EBU R128 is the recommended level of loudness at -23LUFS. The ITU-R BS.1770 standards provide an algorithm for quantifying the loudness and loudness level of a given audio asset in loudness units (LU or LUFS).

Loudness (Gated) ITU-R BS.1770rev3

Loudness (Gated) ITU-R BS.1770rev3 is an algorithm to measure audio loudness of a Gated block of audio. Recommended for Broadcast audio.

Important Note!

The Loudness Normalization methods are new to Zetta version 2.9. Before switching normalization methods run a Full Analysis of all audio assets using the Audio Utility in the Library Module.

Welcome < Configuration < Stations < Normalization


Ducking

The Ducking tab allows the user to setup ducking percentages, duration and Fade time for ducking Songs under Links and Voice Tracks. Ducking allows the playout device to temporarily reduce the volume of a currently playing element (typically a song) when another element plays on top of it (so that they don't "fight" for on-air presence). Good examples could be a jingle auto posted over song's Intro, or Voice Tracks overlapping the ending of the previous song and the opening of the next song.

Click any area in this image for help

Click any area in this image for help

Song Level Under Links

Song Level Under Voice Tracks

Song Level Under Quick Recording

Song Level Under Other Audio

Use Song Ducking Levels for Beds

Settings

Song Level Under Links

The Song Level Under Links is the percentage amount to reduce the audio level of the song when played at the same time as a Link the lower the value the more Zetta will reduce the volume. (Default is 60%) When a Link is set as a Bed the audio level of the song will not be reduced. The Ducking for a Song to Link is from Trim In to Segue of the Link.

Song Level Under Voice Tracks

The Song Level Under Voice Tracks is the percentage amount to reduce the audio level of the song when played at the same time as a Voice Track the lower the value the more Zetta will reduce the volume. (Default is 60%) When a Voice Track is set as a Bed the audio level of the song will not be reduced. The Ducking for a Song to Voice Track is from Trim In to Trim Out of the Voice Track.

Song Level Under Quick Recording

The Song Level Under Quick Recording is the percentage amount to reduce the audio level of the song when played at the same time as a Quick Recording the lower the value the more Zetta will reduce the volume. (Default is 60%) When a Quick Recording is set as a Bed the audio level of the song will not be reduced. The Ducking for a Song to Quick Record is from Trim In to Trim Out of the Quick Record.

Song Level Under Other Audio

The Song Level Under Other Audio events is the percentage amount to reduce the audio level of the song when played at the same time as an Other Audio event, the lower the value the more Zetta will reduce the volume. (Default is 60%). For additional information on Other Audio see the Other Audio tab in the System Configuration and the Other Audio section in the Library topic of this guide. When an Other Audio asset is set as a Bed the audio level of the song will not be reduced. The Ducking for a Song to Other Audio is from Trim In to Segue of the Other Audio.

Use Song Ducking Levels for Beds

When an asset such as a Link is marked as a Bed, Zetta will use the Song Ducking Level for the bed. When the above options are used for Song Level and this option is also used, the bed will be ducked under the asset. For example: If the option Song Level Under Links is selected, the bed is ducked whenever a link overlaps the bed.

Settings

Ducking Start Offset in Seconds – The Ducking Start Offset is the amount of time to start fading down the song before the link or voice track audio begins. If the value is negative, ducking starts first, followed by a Link/VT (the value controls how much time ahead the ducking starts). If the value is positive, the Link/VT starts first, followed by an actual ducking (the value controls how much time into the link/VT the ducking starts)

Ducking End Offset in Seconds – The Ducking End Offset is the amount of time to fade up the song before the link or voice track audio ends. If the value is negative, fade up will be completed before a Link/VT end (the value controls how much time before the link/VT finishes that the song will need to be at full volume). If the value is positive, fade up will be completed after a link/VT end (the value controls how much time after the link/VT finishes that the song will need to be at full volume).

Fade Down Duration in Seconds – The Fade Down Duration is the time to start fading the song down to the target volume, at the Ducking Start Offset.

Fade Up Duration in Seconds – The Fade Up Duration is the time to start fading the audio back up to the original volume, at the Ducking End Offset.

Welcome < Configuration < Stations < Ducking


Splits

The Splits tab is used to configure settings for Splits processing. Zetta Splits® must be enabled in the General tab of the System Configuration window for the Splits tab to be visible in the Stations window.

Click any area in this image for help

Click any area in this image for help

Splits Master

Spot Block Matching Method

Spot Block Position (include empty Spot Blocks on the Master)

Spot Block Position (exclude empty Spot Blocks on the Master)

Spot Block ETM Time (adjacency not required)

Use Longest Spot Block Length

Override Split Behavior on all Spot Blocks with

Splits Master: Sends Serial Splits Message Over

Split Forwarder: Receive Serial Splits Messages Over

Splits Player

Split Master

Split Message Offset (minutes)

Forward Now Playing data from the Splits Master

Splits Master Provides Fill content

Splits Master

A Split Master is a station that will signal a subscribed Split Client. The following settings are available for the Split Master configuration.

Spot Block Matching Method

The Spot Block Matching Method tells Zetta how to match the Spot Blocks in the Master stations log with the Spot Blocks in the Splits Clients log.

Spot Block Position (include empty Spot Blocks on the Master)

When the Spot Block Position (include empty Spot Blocks on the Master) option is selected on a Split Master station, Zetta will take into account any empty spot blocks on the Split Master station when matching the spot blocks in an hour to the spot blocks on a Splits Client station. When this option is selected and an empty spot block is scheduled to play on the Split Master station, Zetta will skip the spot block on the Split Master station and not play the corresponding spot block on the Split player station.

Spot Block Position (exclude empty Spot Blocks on the Master)

When the Spot Block Position (exclude empty Spot Blocks on the Master) option is selected and an empty spot block is scheduled to play on the Split Master station, Zetta will skip the spot block on the Split Master station but not the Split player station, therefore the next Split spot block that has events in the spot block for the Split Master will correspond to the next spot block that is waiting to play on the Split player station.

Spot Block ETM Time (adjacency not required)

If Spot Block ETM Time (adjacency not required) option is selected, instead of matching on the Spot Block number Zetta will match in the Spot Block's ETM. On the Master Zetta will look for an ETM's time. The ETM can be of ANY type (hit/reset/soft/hard) and have any status. The look up does NOT require immediate precedence for the ETM (hence why "adjacency not required"). When looking up the ETM, Zetta will never go past another Spot Block or past TOH. On the Split side, Zetta will look for an ETM of identical date/hour/minute and the Spot Block that follows the ETM within that hour (again immediate adjacency NOT required).

Use Longest Spot Block Length

When the Use Longest Spot Block Length is enabled, the Master Station will locate the Spot Block (checking both split stations and master station) with the longest fill length and set that length as the fill length for the Spot Block for the split stations and master station. Changes to the Spot Block such as, adding/removing non fill items from blocks and stations attaching/detaching themselves as split client stations will affect which station’s block length is used as the max block length. As these changes are made Zetta will adjust Spot Blocks with the new fill length, even if the block is currently playing.

Important Note!

This feature currently only works with Master and Split stations on the same database.

Override Split Behavior on all Spot Blocks with

The Override Split Behavior on all Spot Blocks with drop-down option, will assign all spot blocks the selected split behavior for the selected station. This is useful when switching a station to splits that is already scheduled. When this option is set, the Spot Block properties in the Log Module properties pane will show the override split behavior selected here and the control to change this setting in the properties window will be disabled.

Splits Master: Sends Serial Splits Message Over

The Splits Master: Sends Serial Splits Message Over drop-down is used to select the RS232 Splits GPIO device that has been configured to send serial splits messages.

Split Forwarder: Receive Serial Splits Messages Over

The Split Forwarder: Receive Serial Splits Messages Over drop-down is used to select the RS232 Splits GPIO serial device that has been configured to receive serial splits messages by the Split Forwarder station.

Splits Player

Configuring the Split Player section makes the station a Split Client. A Split Client will receive information from the selected Split Master when the Split Stations On-Air module is in Split Player Mode. The following settings are available for the Split Player configuration.

Split Master

The Split Master drop-down is used to select the station that will be the Split Master for the current station being configured. This setting can also be changed with an Execute Command event or a Command Mapping to a Keyboard or a GPIO event using the Sequencer.SetSplitMaster task type.

Split Message Offset (minutes)

The Split Message Offset setting is used to set the time between the actual splits playback and the time the split message feed is aired on the remote split system, this is used if splits playing back is not done real-time and the RS232 feed is being delayed. The Split Message Offset setting is used with serial communications to Split Master stations using the RS232 Splits GPIO setup.

Example: If it is 2:00 now, and Zetta is capturing a LIVE RS232 split feed and the split player is to play it back at 3:00, then the Split Message Offset is to be set at 60.

Forward Now Playing data from the Splits Master

When the Forward Now Playing data from Splits Master option is enabled, Now Playing Export when configured, will subscribe to both the split and master sequencer queue changes. This allows the Now Playing Export to display the content from the master on the Splits Now Playing Export. In the following illustration the Master Now Playing Export is on the right and the Splits Now Playing Export is on the left. Notice the master song event, Scream is displayed for both stations but the spots following the master event are different for each station.

If the Splits station shows Unresolved Split Spot Block or Unresolved Spit Tag that means there are Split events on the Master but it not yet known what they will be replaced with on the Split.

Important Note!

Content from the master will not include events such as breaks that will be covered by the split station. This Forward Now Playing data from Splits Master option currently only works within Zetta site Splits not through ZCast or Serial.

Splits Master Provides Fill content

When the Splits Master Provides Fill content is selected the splits client will first attempt to fill using the material which is in the Splits Master’s spot block, then use fill material from the station’s Block Fill Category. Any asset that is not active for the split client station will automatically be set as active by the sequencer once it is used as fill material. When this option is deselected the splits station will use the fill material from the station’s Block Fill Category.

**See the Zetta Splits® topic in the Features section for additional instructions on using Splits.

Welcome < Configuration < Stations < Splits


Shifts

Shifts are used with Satellite mode to change shifts for each type of satellite show. Shifts are then connected to Imaging in the Library so Zetta plays the correct audio imaging assets for the correct show. This tab allows the user to select a command or event to fire at the Start and End of a shift so when the Execute Command Sequencer.SetShift is played in the log the command or event plays. The commands available here are the same commands available in the System Command Mappings tab. The Left section of this tab shows the list of shifts for the station. If the Shift has a check next to it, that means the shift is the default shift for the station. If the shift has a left arrow next to it that means the shift is active on the station.

Click any area in this image for help

Click any area in this image for help

Shifts Toolbar

Name

Comment

Start Shift

End Shift

Default Shift

Current Shift

GPI Event pane

Shifts Toolbar

Add Shift – The Add Shift button is used to create new shifts for the station.

Delete Shift – The Delete Shift button will remove the selected shift from Zetta®.

Name

The name is automatically filled in when the user clicks the Add button but can be changed if needed.

Comment

The Comment can be a description describing the use of the shift.

Start Shift

The Start Shift option is used to select a command to execute in the log when a shift change occurs for the station (Sequencer.SetShift). When a shift becomes the Current Shift the Start Shift command event will execute. The Start Shift command can be a macro that fires a sequence of events. This field has an Auto Complete feature where the user can start typing the name of the task and Zetta will match what is typed with the existing entries.

End Shift

The End Shift option is used to select a command to execute in the log when the shift ends or changes to another shift for the station. When a shift stops being the Current Shift the End Shift command will execute. This field has an Auto Complete feature where the user can start typing the name of the task and Zetta will match what is typed with the existing entries.

Default Shift

The default shift is the shift that Zetta will switch to when the Execute Command Sequencer.SetShift is played in the log with the shift designation of <Default>. If no shift is set as the Default Shift then Zetta will not set a shift and there will be no shift visible in the title bar of the On-Air window.

Current Shift

The Current Shift option allows the user to change the current shift. The current shift is marked with an arrow in the right list pane. The Shift can also be changed by mapping the Sequencer.SetShift command to a GPIO or Keyboard mapping in the Command Mappings tab of the System Configuration window.

GPI Event pane

The GPI Event pane is used to add GPI events that will be executed by the sequencer for the station during the shift. These GPI Events will be in addition to any global GPI events defined in Configuration | System | Command Mappings. The GPI Event and Task fields have an Auto Complete feature where the user can start typing the name of the GPI Event or Task and Zetta will match what is typed with the existing entries.

Add GPI Event - Use the Add GPI Event to add events that will be executed by the sequencer for the station during the shift.

Delete Selected GPI Event - Use the Delete Selected GPI Event to remove a selected GPI Event from the Shift configuration.

Important Note!

If GPI input 1 is defined in a global command mapping as Play Next and it is also defined in the shift as Play Library Item (Liner A), then when the shift is active in the log, if GPI 1 is received both the next event and the liner will play at the same time.

See the Satellite Mode topic in the Features section for additional instructions on using Shifts.

Welcome < Configuration < Stations < Shifts


Satellite

The Satellite tab in the Station Configuration is used to assign GPOs, GPIs and Routes to a station for use when the station is in Satellite mode.

Click any area in this image for help

Click any area in this image for help

Available Routes

Available GPOs

Available GPIs

Satellite Route

Local Route

Defer GPI-Triggered Audio until the end of Spot Block

Respect Chains in Satellite Mode

Available Routes

Available Routes is a filtered list of configured Routes that will be used for the selected station. Routes are configured in the Routes tab for a Configured GPIO Device for a Computer. These will be the available routes the selected station can use when the station is in Satellite mode. These Routes can be viewed and interacted with in the On-Air module.

Available GPOs

Available GPOs is a filtered list of configured outputs that will be used for the selected station. GPOs are configured in the GPOs (Outputs) tab for a Configured GPIO Device for a Computer. These will be the available outputs the selected station can use when the station is in Satellite mode. These Outputs can be viewed and interacted with in the On-Air module.

Available GPIs

Available GPIs is a filtered list of configured inputs that will be used for the selected station. GPIs are configured in the GPIs (Inputs) tab for a Configured GPIO Device for a Computer. These will be the available inputs the selected station can use when the station is in Satellite mode. These Inputs can be viewed in the On-Air module.

Satellite Route

The Satellite Route is the default route that is used when in satellite mode. It is used to specify which satellite source to automatically switch back to after a local break ends. While in Satellite Mode, after a local break finishes playing, the system automatically switches back to the satellite route selected.

Local Route

The Local Route is default route used to play local spot block, liners, legal IDs or any other audio coming from local station. This route is used when the satellite provider signals for local content to play.

Defer GPI-Triggered Audio until the end of Spot Block

When the Defer GPI-Triggered Audio until the end of Spot Block option is selected, if an Available GPI (Input) is received while the station is playing a spot block and the event assigned to the Input is the playable event, (any Library asset, such as a song, link, spot, rotation, tag or Imaging) the event will be inserted as the last event in block. However, if the GPI (Input) is mapped to a non-library item, such as a command or a macro, it will not be place at the end of the block but instead execute when the closure is received.

Important Note!

The Sequencer Service of the Startup Manager will need to be restarted on each computer that is assigned to a Station.

Respect Chains in Satellite Mode

The Respect Chains in Satellite Mode tells Zetta if chained events should be respected in when the sequencer is in Satellite Mode. This option is deselected by default. When this option is deselected all events fired in Satellite Mode are treated as having a stop chain. Routes are toggled when a top level event (e.g. spot block or imaging) gets fired and toggled back when the sequencer reaches the segue / trim out marks of that top level event.

When the Respect Chains in Satellite Mode is selected the On-Air and Logs module will allow chains to be set for events and the Sequencer will respect all chains set. When playing groups of events in Satellite Mode, Zetta will toggle routes when the FIRST top level event starts playing and when the LAST event, with the stop chain, stops playing.

Welcome < Configuration < Stations < Satellite


Jelli Interface

The Jelli Interface tab in the Station Configuration is used to configure the connection with a Jelli Device. This tab is typically hidden, contact RCS Support for assistance with enabling the Jelli Interface.

Click any area in this image for help

Click any area in this image for help

Active

Jelli Device IP address

IP Port

Jelli device response timeout

Active

The Active setting will activate the Jelli Interface for the selected station.

Jelli Device IP address

The Jelli Device IP address field is used to enter the IP address of the Jelli Device on the local network.

IP Port

The IP Port is the IP Port the Jelli Device will use to communicate with the Jelli Interface in Zetta.

Jelli device response timeout

The Jelli device response timeout field is used to enter the time in seconds that Zetta will wait for a response from the Jelli device when a Jelli Spot is played to start the break. The default is .5 seconds.

Important Note!

The Jelli Interface requires Jelli Spots with a Jelli ID and the Spot Category "External Audio". Contact RCS Support for assistance with these Attributes.

Welcome < Configuration < Stations < Satellite


Content Manager

Content Management in Zetta® allows the user to specify a central location to store media. Using the content manager, redundant audio locations can also be setup. For every Media Store created the audio is duplicated to each store, allowing for an offsite duplicate or backup of the audio.

When a Zetta sequencer player queue's an asset, it first looks to the Local Cache store for the audio, if not found it then looks to the first priority media store, if not found it looks to the next priority media store (redundant) and so on. If the audio is not located in any store the sequencer will skip the audio asset.

Click any area in this image for help

Click any area in this image for help

Content Manager Toolbar

Content Manager Details

Content Store

Media Store Settings

Content Manager Directory Structure in Windows

Content Manager Step-by-Step Topics

Content Manager Toolbar

The toolbar across the top of the Content Manager window can be used to add, delete or save a content store.

Add Store - The Add Store button is used to add any type of content store.

Remove Store - The Remove Store button is used to delete a selected store.

Save All - The Save All button is used to save a new or changed store.

Content Manager Details

The Content Manager window is divided into two sections. The left pane displays the configured stores. In this left pane the priority for the stores can be change using the arrow [image] buttons to the left of the stores name. The right pane contains the General configuration information for each store.

Content Store

Name – Each Store can be named with a unique name to identify its purpose.

Type - There are 2 types of content store:

  • Media Store – The Media Store is for setting up a network location to store all library media. Two locations can be setup to create redundancy.
  • Backup Store – The Backup Store is for setting up a central network location to backup the Zetta® database.

Storage Path - The Storage Path is the UNC path to the location of the shared folder to store the audio or database backups.

Media Store Settings

Managed By – The Managed By selection is used to select the computer responsible for handling the content manager synchronization process in startup Manager. This computer must have access to the Storage Path specified.

Priority - The priority number is a read only field that tells Zetta which content store is accessed first if more than one content store is created for a specific type. The priority for the stores can be change using the arrow [image] buttons to the left of the stores name. See the Caching and Playback Priority tab in the Computer Configuration to setup the Playback Priority for each computer.

Content Manager Directory Structure in Windows

The directory structure in windows divides the amount of files into additional directories for increased speed when accessing windows. Zetta® also maintains the deleted or unneeded files in a (RecycleBin) folder, thus allowing the user to retrieve files that may have been deleted by mistake. This structure is similar to the structure used for the Local Caching

Important Note!

At this time, there is no cleanup option for the RecycleBin folder so if space is limited these files will need to be deleted manually in windows.

Content Manager Step-by-Step Topics

This section will detail the steps needed for configuring and using Content Management for Media and Backup store in Zetta®.

In this Section of the Content Management Topic: ShowHide

Media Store

Backup Store

Configuring and Managing a Redundant Audio Store

Media Store

To configure a Media Store for Zetta®, perform the following steps:

1. Go to Configuration Menu, click Content Manager

2. Click the Add Store [image] button.

3. Enter in a Name for the Content Store

4. Select the Content Store type Media Store from the Type drop-down

5. Specify the Storage Path location or browse to the shared directory for the Content Store.

6. Select the computer that will manage the store from the Managed By drop-down list, it is recommended to select the computer that owns the store as the manager for best results.

7. Click Save [image] to save changes.

8. Access the Startup Manager window by double-clicking on the [image] icon in the System Tray:

9. Click the Stop All button for each service.

10. Once all the services have stopped, click the Start All button for each service.

11. Ensure all the Content Management Services start.

Backup Store

To configure Backup Store Content Management for Zetta®, perform the following steps:

1. Go to Configuration Menu, click Content Manager

2. Click the Add Store [image] button.

3. Enter in a Name for the Content Store

4. Select a Content Store Type Backup Store from the Type drop-down

5. Specify the Storage Path location or Browse [image] to the network-shared directory for the Content Store.

6. Click Save [image] to save changes.

Configuring and Managing a Redundant Audio Store

For every Media Store created the audio is duplicated to each store, allowing for an offsite duplicate or backup of the audio. When the primary store goes down files are saved to the secondary store, then when the primary store is restored, the stores are synchronized.

To configure a Redundant Audio Store for Zetta®, perform the following steps:

1. Go to Configuration Menu, click Content Manager

2. Click the Add Store [image] button.

3. Enter in a Name for the Content Store

4. Select the Content Store type Media Store from the Type drop-down

5. Specify the Storage Path location or browse to the shared directory for the Content Store.

6. Select the computer that will manage the store from the Managed By drop-down list.

7. Click Save [image] to save changes.

8. Optionally, use the Priority arrow [image] buttons to set the order of priority for the media stores. See the Caching and Playback Priority tab in the Computer Configuration to setup the Playback Priority for each computer.

9. Access the Startup Manager window by double-clicking on the [image] icon in the System Tray:

10. Click the Stop All button for each service.

11. Once all the services have stopped, click the Start All button for each service.

12. Ensure all the Site Synchronization services start.

Welcome < Configuration < Content Manager


Working with Security

Welcome < Configuration < Working with Security

Working with Security Overview

Security is not required in Zetta®, however it is highly recommended that user Accounts are created. Creating Organizations and Roles before creating accounts in Zetta will make applying security quick and easy when dealing with multiple users with the same level of security. Creating Organizations allows the administrator to limit the access users have to specific stations, while the Roles determine what areas of Zetta a group of users can access. Talent Grids can also be used to limit a user's access to specific hours of a stations log. Only a select number of rights will be enforced in Zetta2GO, these rights are noted in the Comments section of the tables below.

Important Note!

It is important to change the password of the supervisor to prevent unwanted changes to the system.

Organizations are used when assigning users to a Role when creating an Account. When an Organization is created and assigned to a User, the stations that user can access and work on are being defined. An Administrator can create as many Organizations as needed, with different combinations of stations. Stations can be part of more than one Organization. Organizations are used when assigning users to a Role when creating an Account and for grouping stations for Multisite Voice Tracking and Site Replication. Organizations are also used for assigning groups of stations to asset Cuts. Organizations are defined in the Organizations window of the Configuration menu.

Roles can be used to set up groups of users and then limit their access to specific Zetta functions. These Roles can be Zetta Roles or Windows Roles that have been defined in windows such as computer groups or domain groups. The Administrators role is created on install with ALL rights to Zetta. Users are assigned a Role when creating an Account. Roles are specified in the Roles window of the Configuration menu.

Accounts are used to further tighten security as well as allow the user to define their own workspace using Layouts and Themes. Accounts are added in the Accounts window of the Configuration menu.

Talent Grids are used to limit a user's access to specific hours of a stations log or clock. Talent Grids are defined in the Talent Grids window of the Configuration menu.

Privileges/Rights Overview

Admin Rights

Hot Keys Rights

Library Rights

Log Rights

Macro Rights

Metadata Card Rights

Multitrack Editor Rights

Notes Rights

Now Playing Export

Player Rights

Quick Record Rights

Stacks Rights

Studio Switching Rights

ZCast Rights

Z-Player Rights

Privileges/Rights Overview

When selecting the Rights to use it is recommended the right be set for the Roles Privileges tab first and then the right specific to the Account using the Rights Overview. Selecting one right may or may not achieve the desired goal.

For example; if a user is to be restricted from editing the segue for all audio assets then the following rights listed in the table below might be removed for the users account:

Filter | Action | Short Description | Comments
Log | Segue Editing | Allow the user to open Segue Editor | The user has the right to open the Segue Editor in the Log Module. When the right is removed the Segue Editor button is removed from the logs module toolbar.
Log | Edit Segue | Allow user to edit the segue in the segue editor | The user has the right to edit the Segue of a Non Spot event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Marks and the MetadataControl right to Edit Marks.
Log | Edit Marks | Allow user to edit marks of an event in the log and segue editor | The user has the right to edit the marks for an audio asset using the Segue Editor and Voice Tracker from the Logs module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl Filter options. This right also does not prevent the user from editing the Segue by repositioning the audio in the Segue Editor and the Voice Tracker. To restrict this removed the Log right to Edit Segue.
Log | Edit Spot Event Segue | Allow user to edit the segue of a spot event in the segue editor | The user has the right to edit the Segue of a Spot event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Spot Event Marks and the MetadataControl right to Edit Spot Marks.
Log | Edit Spot Event Marks | Allow user to edit marks of a spot event in the log and segue editor | The user has the right to edit the marks for a spot audio asset using the Segue Editor or Voice Tracker from the Log module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl Filter options.
MetaDataControl | Edit Song Marks | Allow user to edit song marks | The user has the right to change the Marks in the Metadata card. When removed the markers in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the markers in the Segue Editor or Voice Tracker.
MetaDataControl | Edit Link Marks | Allow user to edit link marks | The user has the right to change the Marks in the Metadata card. When removed the markers in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the markers in the Segue Editor or Voice Tracker.
MetaDataControl | Edit Spot Marks | Allow user to edit spot marks | The user has the right to change the Marks in the Metadata card. When removed the markers in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the markers in the Segue Editor or Voice Tracker.

Admin Rights

Admin Rights are rights that should be given to database administrators or Engineers.

Filter | Action | Short Description | Comments
AdminRights | View Tools | Give user access to the tools menu on the main interface | The user has the right to open the Tools menu. When removed the user cannot see the Tools menu or make changes using the Tools in Zetta.
AdminRights | View Configuration | Give user access to the configuration menu on the main interface | The user has the right to open the Configuration menu. When removed the user cannot see the Configuration menu or make changes to the Zetta configuration.
AdminRights | Edit Layouts | Give user access to save/edit/create layouts | The user has the right to save/edit/create layouts. When removed the user can manipulate the modules in an assigned Layout, however they cannot save or create a new layout with the changes. Once the user logs off their changes are gone.
AdminRights | Open Full Audio Utility | Allow user to open the full audio utility. | The user has the right to open the audio utility from the Library Module. When removed the Audio Utility button is removed from use.
AdminRights | Open Layouts | Allow User to Open Layouts | The user has the right to open the Layouts menu. When this right is removed the Layouts menu option is removed from the main menu.
AdminRights | Open License | Allow user to open License | The user has the right to open the License window. When this right is removed the Licensing menu option is removed from the Configuration menu.
AdminRights | Open Media Import | Allow user to open Media Import | The user has the right to open the Media Import window. When this right is removed the Media Import menu option is removed from the Tools menu.
AdminRights | Open Reports | Allow user to open Reports | The user has the right to open the Reports window. When this right is removed the Reports menu option is removed from the Tools menu.
AdminRights | Open ZCast Transfers | Allow user to open ZCast Transfers | The user has the right to open the ZCast Transfers window. When this right is removed the ZCast Transfers menu option is removed from the Tools menu.
AdminRights | Open GPIO History | Allow user to open GPIO History | The user has the right to open the GPIO History window. When this right is removed the GPIO History menu option is removed from the Tools menu.
AdminRights | Open External Edits | Allow user to open External Edits | The user has the right to open the External Edits window. When this right is removed the External Edits menu option is removed from the Tools menu.
AdminRights | Open Hotspare Manage | Allow user to open Hotspare Manager | The user has the right to open the Hotspare Manager window. When this right is removed the Hotspare Manager menu option is removed from the Tools menu.
AdminRights | Open Database Management | Allow user to open Database Management | The user has the right to open the Database Management window. When this right is removed the Database Management menu option is removed from the Tools menu.
AdminRights | Open Metadata Import | Allow user to open Metadata Import | The user has the right to open the Metadata Import window. When this right is removed the Metadata Import menu option is removed from the Tools menu.
AdminRights | Open Sync Assets With GSelector | Allow user to open Sync Assets With GSelector | The user has the right to open the Sync Assets With GSelector window. When this right is removed the Sync Assets With GSelector menu option is removed from the Tools menu.
AdminRights | Generic Add or Modify Song | Allow user to add or modify a Song via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify a Song using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Song asset type in these windows.
AdminRights | Generic Add or Modify Link | Allow user to add or modify a Link via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify a Link using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Link asset type in these windows.
AdminRights | Generic Add or Modify Spot | Allow user to add or modify a Spot via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify a Spot using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Spot asset type in these windows.
AdminRights | Generic Add or Modify Voice Track | Allow user to add or modify a Voice Track via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify a Voice Tracks using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Voice Track asset type in these windows.
AdminRights | Generic Add or Modify Quick Record | Allow user to add or modify a Quick Record via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify a Quick Record using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Quick Record asset type in these windows.
AdminRights | Generic Add or Modify Show | Allow user to add or modify a Show via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify a Show using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Show asset type in these windows.
AdminRights | Generic Add or Modify Mini-Logs | Allow user to add or modify a Mini-Logs via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify a Mini-Log using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Mini-Log asset type in these windows.
AdminRights | Generic Add or Modify Other Audio Type | Allow user to add or modify an Other Audio Type via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify an Other Audio Type using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Other Audio Type asset type in these windows.
AdminRights | Generic Add or Modify Alerts | Allow user to add or modify an Alerts via Tools | Media Import, Tools | Metadata Import and Auto Load. | The user right to Add or Modify an Alerts using the Tools | Media Import, Tools | Metadata Import and Auto Load. When this right is removed the user will not be able to select the Alerts asset type in these windows.

Hot Keys Rights

Filter | Action | Short Description | Comments
Hot Keys | Open | Allow user to open Hot Keys | The user has the right to open the Hot Keys Module. When removed the user cannot open the Hot Keys Module for the station. This right does not include Hot Keys from the Configuration menu, to remove this right the View Configuration AdminRight right will need to be removed for all stations. This right is enforced in Zetta2GO.
Hot Keys | Add | Allow user to add a Hot Keys bank | The user has the right to add and copy a Hot Keys Bank in the Hot Keys Module. When this right is removed the add and copy buttons in the Hot Keys module toolbar are removed. To successfully remove this right, deselected this right from all stations. This right does not include the add button in the Hot Keys Configuration to remove this right remove the View Configuration AdminRight will need to be removed for all stations.
Hot Keys | Edit | Allow user to edit a Hot Keys bank | The user has the right to add, move, copy and clear assets from a Hot Keys Bank in the Hot Keys Module. When this right is removed the user can not add, move, copy or clear the hot key, however the user can edit the asset, Copy the entire Bank and change the event in a Hot Keys to a Hook. To successfully remove this right, deselected this right from all stations. To remove the right to edit the asset, refer to the MetadataControl rights.
Hot Keys | Delete | Allow user to delete a Hot Keys bank | The user has the right to Delete a Hot Keys bank. When this right is removed the delete button on the Hot Keys module toolbar is removed. To successfully remove this right, deselected this right from all stations the user has access to. This right does not include the delete button in the Hot Keys Configuration to remove this right remove the View Configuration AdminRight will need to be removed for all stations.

Library Rights

Filter | Action | Short Description | Comments
Library | Open | Allow user to open the Library and the Metadata Card | The user has the right to open the Library Module and any Metadata Card. When this right is removed the user will not be able to open the library or open the metadata card for the station. However, if the user has access to another station and that station has the Audio needs approval flag set, then the Metadata Card for any asset set to Waiting for Approval will be accessible. This right is enforced in Zetta2GO.
Library | Add Song | Allow user to add a song to the Zetta® Library | The user has the right to add a song to the Zetta Library for the selected station. When this right is removed the Add button in the Songs tab toolbar for the selected station is removed. However, any song added to another station and left in the Waiting for Approval status for the selected station the user can approve and add to the station. To prevent this, remove the Approval Flag right from the MetadataControl rights.
Library | Add Link | Allow user to add a link to the Zetta® Library | The user has the right to add a link to the Zetta Library for the selected station. When this right is removed the Add button in the Links tab toolbar for the selected station is removed. However, any Link added to another station and left in the Waiting for Approval status for the selected station the user can approve and add to the station. To prevent this, remove the Approval Flag right from the MetadataControl rights.
Library | Add Spot | Allow user to add a spot to the Zetta® Library | The user has the right to add a spot to the Zetta Library for the selected station. When this right is removed the Add button in the Spots tab toolbar for the selected station is removed. However, any Spot added to another station and left in the Waiting for Approval status for the selected station the user can approve and add to the station. To prevent this, remove the Approval Flag right from the MetadataControl rights.
Library | Delete Song | Allow user to delete a song from the Zetta® Library | The user has the right to delete a song from the Zetta Library for the selected station. When this right is removed the Delete button in the Songs tab toolbar for the selected station is removed. However, if the Audio needs approval flag is set for another station that this right is not being removed for, then the Metadata Card for any audio set to Waiting for Approval will be accessible and can be deleted. To prevent this it is important to set the assets to Disapproved when not being used by a station. This right is enforced in Zetta2GO.
Library | Delete Link | Allow user to delete a link from the Zetta® Library | The user has the right to delete a link from the Zetta Library for the selected station. When this right is removed the Delete button in the Links tab toolbar for the selected station is removed. However, if the Audio needs approval flag is set for another station that this right is not being removed for, then the Metadata Card for any audio set to Waiting for Approval will be accessible and can be deleted. To prevent this it is important to set the assets to Disapproved when not being used by a station. This right is enforced in Zetta2GO.
Library | Delete Spot | Allow user to delete a spot from the Zetta® Library | The user has the right to delete a spot from the Zetta Library for the selected station. When this right is removed the Delete button in the Spots tab toolbar for the selected station is removed. However, if the Audio needs approval flag is set for another station that this right is not being removed for, then the Metadata Card for any audio set to Waiting for Approval will be accessible and can be deleted. To prevent this it is important to set the assets to Disapproved when not being used by a station. This right is enforced in Zetta2GO.
Library | Add Tag | Allow user to add a tag to the Zetta® Library | The user has the right to add a Tag to the Zetta Library for the selected station. When this right is removed the Add button in the Tags tab toolbar for the selected station is removed.
Library | Delete Tag | Allow user to delete a tag to the Zetta® Library | The user has the right to delete a Tag from the Zetta Library for the selected station. When this right is removed the Delete button in the Tags tab toolbar for the selected station is removed.
Library | Add Other Audio | Allow user to add Other Audio to the Zetta® Library | The user has the right to add Other Audio to the Zetta Library for the selected station. When this right is removed the Add button in any Other Audio tab toolbar for the selected station is removed. **Each Other Audio will have a separate rights reference.
Library | Delete Other Audio | Allow user to delete Other Audio to the Zetta ®Library | The user has the right to delete Other Audio from the Zetta Library for the selected station. When this right is removed the Delete button in any Other Audio tab toolbar for the selected station is removed. This right is enforced in Zetta2GO. **Each Other Audio will have a separate rights reference.
Library | Add VoiceTrack | Allow user to add a Voice Track to the Zetta® Library | The user has the right to add a Voice Track to the Zetta Library for the selected station. When this right is removed the Add button in the Voice Track tab toolbar for the selected station is removed.
Library | Delete VoiceTrack | Allow user to delete a Voice Track to the Zetta® Library | The user has the right to delete a Voice Track from the Zetta Library for the selected station. When this right is removed the Delete button in the Voice Track tab toolbar for the selected station is removed. This right is enforced in Zetta2GO.
Library | Add QuickRecord | Allow user to add a Quick Record to the Zetta® Library | The user has the right to add a Quick Record to the Zetta Library for the selected station. When this right is removed the Add button in the Quick Record tab toolbar for the selected station is removed.
Library | Delete QuickRecord | Allow user to delete a Quick Record to the Zetta® Library | The user has the right to delete a Quick Record from the Zetta Library for the selected station. When this right is removed the Delete button in the Quick Record tab toolbar for the selected station is removed. This right is enforced in Zetta2GO.
Library | Open Song Tab | Allow user to open Song Tab in the Library and the Metadata Card | The user has the right to open the Library Module and a Song Metadata Card. When this right is removed the user will not be able to open the metadata card for the station. However, if the user has access to another station and that station has the Audio needs approval flag set, then the Metadata Card for any asset set to Waiting for Approval will be accessible. This right is enforced in Zetta2GO.
Library | Open Link Tab | Allow user to open the Link Tab in the Library and the Metadata Card | The user has the right to open the Library Module and a Link Metadata Card. When this right is removed the user will not be able to open the metadata card for the station. However, if the user has access to another station and that station has the Audio needs approval flag set, then the Metadata Card for any asset set to Waiting for Approval will be accessible. This right is enforced in Zetta2GO.
Library | Open Spot Tab | Allow user to open the Spots Tab in the Library and the Metadata Card | The user has the right to open the Library Module and the Spot Metadata Card. When this right is removed the user will not be able to open the metadata card for the station. However, if the user has access to another station and that station has the Audio needs approval flag set, then the Metadata Card for any asset set to Waiting for Approval will be accessible. This right is enforced in Zetta2GO.
Library | Open Voice Track Tab | Allow user to open the Voice Tracks Tab in the Library and the Metadata Card | The user has the right to open the Library Module and the Voice Track Metadata Card. When this right is removed the user will not be able to open the metadata card for the station. This right is enforced in Zetta2GO.
Library | Open Quick Record Tab | Allow user to open the Quick Record Tab in the Library and the Metadata Card | The user has the right to open the Library Module and the Quick Record Metadata Card. When this right is removed the user will not be able to open the metadata card for the station. This right is enforced in Zetta2GO.
Library | Open Other Audio Tab | Allow user to open a created Other Audio Tab in the Library and the Metadata Card. | The user has the right to open the Library Module and the Metadata Card. When this right is removed the user will not be able to open the metadata card for the station. This right is enforced in Zetta2GO. **Each Other Audio Tab will have a separate rights reference.
Library | Publish | Allow User to Publish | The user has the right to Publish a Show or Mini-Log. When this right is removed the publish button will be hidden from the Shows and Mini-Logs Library toolbar.
Library | Add Alert | Allow user to add an Alert to the Zetta® Library | The user has the right to add an Alert to the Zetta Library. When this right is removed the Add button in the Alerts tab toolbar is removed.
Library | Delete Alert | Allow user to delete an Alert from the Zetta® Library | The user has the right to delete an Alert from the Zetta Library. When this right is removed the Delete button in the Alerts tab toolbar is removed.
Library | Open Alerts Tab | Allow user to open the Alerts Tab in the Library. | The user has the right to open the Library Module and an Alert Metadata Card. When this right is removed the user will not be able to open the metadata card for the Alert.
Library | Add Show | Allow user to add a Show to the Zetta® Library | The user has the right to add a show to the Zetta Library. When this right is removed the Add button in the Shows tab toolbar is removed.
Library | Delete Show | Allow user to delete a show from the Zetta® Library | The user has the right to delete a show from the Zetta Library. When this right is removed the Delete button in the Shows tab toolbar is removed.
Library | Open Show Tab | Allow user to open the Show Tab in the Library. | The user has the right to open the Library Module and a Show Metadata Card. When this right is removed the user will not be able to open the metadata card for the show.
Library | Add Mini-Logs | Allow user to add a Mini-Log to the Zetta® Library | The user has the right to add a Mini-Log to the Zetta Library. When this right is removed the Add button in the Mini-Logs tab toolbar is removed.
Library | Delete Mini-Logs | Allow user to delete a Mini-Log from the Zetta® Library | The user has the right to delete a Mini-Log from the Zetta Library. When this right is removed the Delete button in the Mini-Logs tab toolbar is removed.
Library | Open Mini-Logs Tab | Allow user to open the Mini-Log Tab in the Library. | The user has the right to open the Library Module and a Mini-Log Metadata Card. When this right is removed the user will not be able to open the tab or metadata card for the Mini-Logs.

Log Rights

Filter | Action | Short Description | Comments
Log | Add Alert Record Event | Allow user to add new Alert event to log, on-air and clocks | The user has the right to add an Alert Asset to the Log, On-Air and Clock modules. When this right is removed the user cannot drag and drop an Alert Asset from the Library to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Spot, Song or Other audio event to a Log, On-air or Clock.
Log | Add Other Audio Event | Allow user to add new Other Audio event to log, on-air and clocks | The user has the right to add an Other Audio Asset to the Log, On-Air and Clock modules. When this right is removed the user cannot drag and drop an Other Audio Asset from the Library to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Spot, Song or Link audio event to a Log, On-air or Clock. **Each Other Audio Asset will have a separate rights reference.
Log | Add Link Event | Allow user to add new link event to log, on-air and clocks | The user has the right to add a Link Asset to the Log, On-Air and Clock modules. When this right is removed the user cannot drag and drop a Link Asset from the Library to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Spot, Song or Other Audio event to a Log, On-air or Clock.
Log | Add Log Event | Allow user to add new event to log, on-air and clocks | The user has the right to add a Non Audio event to the Log, On-Air and Clocks modules. When this right is removed the Insert options from the right-click menu of the log do not function for a Non Audio event.
Log | Add Mini-Logs Event | Allow user to add new Mini-Logs event to log, on-air and clocks | The user has the right to add a Mini-Log Asset to the Log, On-Air and Clock modules. When this right is removed the user cannot drag and drop a Mini-Log Asset from the Library to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Spot, Song or Other audio event to a Log, On-air or Clock.
Log | Add Quick Record Event | Allow user to add new Quick Record event to log, on-air and clocks | The user has the right to add a Quick Record Asset to the Log, On-Air and Clock modules. When this right is removed the user cannot drag and drop a Quick Record Asset from the Library to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Spot, Song or Other audio event to a Log, On-air or Clock.
Log | Add Show Event | Allow user to add new Show event to log, on-air and clocks | The user has the right to add a Show to the Log, On-Air and Clock modules. When this right is removed the user cannot drag and drop a Show from the Library to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Song, Link, Spot or Other Audio event to a Log, On-air or Clock.
Log | Add Song Event | Allow user to add new song event to log, on-air and clocks | The user has the right to add a Song Asset to the Log, On-Air and Clock modules. When this right is removed the user cannot drag and drop a Song Asset from the Library to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Link, Spot or Other Audio event to a Log, On-air or Clock.
Log | Add Spot Event | Allow user to add new spot event to log, on-air and clocks | The user has the right to add a Spot Asset to the Log, On-Air and Clock modules. When this right is removed the user cannot drag and drop a Spot Asset from the Library to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Link or Song or Other audio event to a Log, On-air or Clock.
Log | Add Voice Track Event | Allow user to add new Voice Track event to log, on-air and clocks | The user has the right to add a Voice Track to the Log, On-Air and Clock modules. When this right is removed the user cannot add a Voice Track to the Log, On-Air or Clocks Module. This does not prevent the user from adding a Spot, Song or Other audio event to a Log, On-air or Clock. This right is enforced in Zetta2GO. If this is enabled the Voice Tracker in Zetta2GO will not allow the user to save an inserted Voice Track.
Log | Change Alert Chain Type | Allow user to change segue chain type on an Alert in the log, on-air, and clocks | The user has the right to change the Segue chain type on an Alert in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Alert events will be disabled in the Log. This does not change the right for the user to change the chain type of Non Spot events in the stacks module. To restrict this remove the right to Edit in the Stacks Filter.
Log | Change Chain Type | Allow user to change segue chain type in the log, on-air, and clocks | The user has the right to change the Segue chain type on a Non Spot event in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Non Spot events will be disabled in the Log. This does not change the right for the user to change the chain type of Non Spot events in the stacks module. To restrict this remove the right to Edit in the Stacks Filter.
Log | Change Other Audio Event Chain | Allow user to change segue chain type of an Other Audio event in the log, on-air and clock | The user has the right to change the Segue chain type on an Other Audio event in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Other Audio events will be disabled in the Log. This does not change the right for the user to change the chain type of events in the stacks module. To restrict this remove the right to Edit in the Stacks Filter. This right is enforced in Zetta2GO. **Each Other Audio Tab will have a separate rights reference.
Log | Change Link Event Chain | Allow user to change segue chain type of a link event in the log, on-air and clock | The user has the right to change the Segue chain type on a Link event in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Link events will be disabled in the Log. This does not change the right for the user to change the chain type of events in the stacks module. To restrict this remove the right to Edit in the Stacks Filter. This right is enforced in Zetta2GO.
Log | Change OnAir Mode | Allow user to change the On-Air Mode | The user has the right to change the stations mode in Logs and in the On-Air module. When this right is removed the Mode drop-down in the On-Air module will be read only and the OnAir.Mode Execute Command placed in the Log by the user will not function. This right is enforced in Zetta2GO.
Log | Change Quick Record Event Chain | Allow user to change segue chain type of a Quick Record event in the log, on-air and clock | The user has the right to change the Segue chain type on a Quick Record event in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Quick Record events will be disabled in the Log. This does not change the right for the user to change the chain type of events in the stacks module. To restrict this remove the right to Edit in the Stacks category. This right is enforced in Zetta2GO.
Log | Change Show Event Chain | Allow user to change segue chain type of a Show event in the log, on-air and clock | The user has the right to change the Segue chain type on a Show event in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Show events will be disabled in the Log. This does not change the right for the user to change the chain type of events in the stacks module. To restrict this remove the right to Edit in the Stacks Filter.
Log | Change Song Event Chain | Allow user to change segue chain type of a Song event in the log, on-air and clock | The user has the right to change the Segue chain type on a Song event in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Song events will be disabled in the Log. This does not change the right for the user to change the chain type of events in the stacks module. To restrict this remove the right to Edit in the Stacks Filter. This right is enforced in Zetta2GO.
Log | Change Spot Event Chain Type | Allow user to change segue chain type of a spot event in the log, on-air and clock | The user has the right to change the Segue chain type on a Spot or Spot Block event in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Spot events will be disabled in the Log. This does not change the right for the user to change the chain type of Spot events in the stacks module. To restrict this remove the right to Edit in the Stacks Filter. This right is enforced in Zetta2GO.
Log | Change Voice Track Event Chain | Allow user to change segue chain type of a Voice Track event in the log, on-air and clock | The user has the right to change the Segue chain type on a Voice Track event in the Log, On-Air and Clocks Modules. When this right is removed the chain type button for Voice Track events will be disabled in the Log. This right is enforced in Zetta2GO.
Log | Delete Log | Allow user to delete Log | The user has the right to delete any log in the Logs Module for the station.
Log | Edit Alert Event Marks | Allow user to edit marks of an Alert event from the log and segue editor | The user has the right to edit the marks for an Alert asset using the Segue Editor or Voice Tracker from the Log module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl right to Edit Other Audio Marks.
Log | Edit Alert Event Segue | Allow user to edit the segue of an Alert event in the segue editor | The user has the right to edit the Segue of an Alert event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Other Audio Event Marks and the MetadataControl right to Edit Other Audio Marks.
Log | Edit Other Audio Event Marks | Allow user to edit marks of an Other Audio event from the log and segue editor | The user has the right to edit the marks for an Other Audio asset using the Segue Editor or Voice Tracker from the Log module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl right to Edit Other Audio Marks. **Each Other Audio will have a separate rights reference.
Log | Edit Other Audio Event Segue | Allow user to edit the segue of an Other Audio event in the segue editor | The user has the right to edit the Segue of an Other Audio event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Other Audio Event Marks and the MetadataControl right to Edit Other Audio Marks. **Each Other Audio will have a separate rights reference.
Log | Edit Link Event Marks | Allow user to edit the marks of a link event from the log and the segue editor | The user has the right to edit the Marks of a Link event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to change the marks in the Segue Editor or Voice Tracker. To restrict the user from changing the segue marks remove the Log right to Edit Link Event Segue and the MetadataControl right to Edit Link Marks.
Log | Edit Link Event Segue | Allow user to edit the segue of a link event in the segue editor | The user has the right to edit the Segue of a Link event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Link Event Marks and the MetadataControl right to Edit Link Marks.
Log | Edit Marks | Allow user to edit marks of an event in the log and segue editor | The user has the right to edit the marks for a non-spot audio asset using the Segue Editor and Voice Tracker from the Logs module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl Filter options. This right also does not prevent the user from editing the Segue by repositioning the audio in the Segue Editor and the Voice Tracker. To restrict this removed the Log right to Edit Segue.
Log | Edit Properties | Allow user to edit properties of an event in the log | The user has the right to edit the properties of an event in the Log and Clocks module. When this right is removed the user cannot edit the properties of an existing event in the Log or Clock, however this does not prevent a user from adding an event such as an Execute Command and setting the initial properties of that event. To prevent this action remove the right to Add Log Event.
Log | Edit Quick Record Event Marks | Allow user to edit marks of a Quick Record event from the log and segue editor | The user has the right to edit the marks for a Quick Record asset using the Segue Editor or Voice Tracker from the Log module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl right to Edit Quick Record Marks.
Log | Edit Quick Record Event Segue | Allow user to edit the segue of a Quick Record event in the segue editor | The user has the right to edit the Segue of a Quick Record event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Quick Record Event Marks and the MetadataControl right to Edit Quick Record Marks.
Log | Edit Segue | Allow user to edit the segue in the segue editor | The user has the right to edit the Segue of a Non Spot event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Marks and the MetadataControl right to Edit Song Marks and Edit Link Marks.
Log | Edit Show Event Marks | Allow user to edit marks of a Show event in the log and segue editor. | The user has the right to edit the marks for a Show using the Segue Editor or Voice Tracker from the Log module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors.
Log | Edit Show Event Segue | Allow user to edit the segue of a show event in the segue editor | The user has the right to edit the Segue of a Show event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker. however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Show Event Marks.
Log | Edit Song Event Marks | Allow user to edit marks of a song event in the log and segue editor | The user has the right to edit the marks for a Song asset using the Segue Editor or Voice Tracker from the Log module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl right to Edit Song Marks.
Log | Edit Song Event Segue | Allow user to edit the segue of a song event in the segue editor | The user has the right to edit the Segue of a Song event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Song Event Marks and the MetadataControl right to Edit Song Marks.
Log | Edit Spot Event Segue | Allow user to edit the segue of a spot event in the segue editor | The user has the right to edit the Segue of a Spot event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Spot Event Marks and the MetadataControl right to Edit Spot Marks.
Log | Edit Spot Event Marks | Allow user to edit marks of a spot event in the log and segue editor | The user has the right to edit the marks for a spot audio asset using the Segue Editor or Voice Tracker from the Log module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl Filter options.
Log | Edit Voice Track Event Marks | Allow user to edit marks of a Voice Track event from the log and segue editor | The user has the right to edit the marks for a Voice Track asset using the Segue Editor or Voice Tracker from the Log module. When this right is removed the insert mark options and the remove mark option will not function from the right-click menu in each of the editors. This does not prevent the user from editing the Marks in the Marks tab of the Metadata card; these rights will need to be implicitly removed using the MetadataControl right to Edit Voice Track Marks.
Log | Edit Voice Track Event Segue | Allow user to edit the segue of a Voice Track event in the segue editor | The user has the right to edit the Segue of a Voice Track event using reposition in the Segue Editor and Voice Tracker for events in the Log Module. When the right is removed the user does not have the right to reposition the audio in the Segue Editor or Voice Tracker, however the user can change the segue marks. To restrict the user from changing the segue marks remove the Log right to Edit Voice Track Event Marks and the MetadataControl right to Edit Voice Track Marks.
Log | Full Log Access to Bypass Talent Grid | This user's rights ignore the talent grid | The user has access to the entire days log for the station. To have the user only access specific hours of a log, remove this right and use the Talent Grids to specify the hours of access.
Log | Open BackgroundClock | Allow user to open the background clock editor | The user has the right to open the Recorder Clocks Module for the background recorder. When this right is removed for all background recorders, Recorder Clocks in the Modules menu are read only.
Log | Open BackgroundLog | Allow user to open the background log editor | The user has the right to open the Recorder Logs module. If this right is removed it will only be removed for the selected background recorder, if this right is removed for all background recorders the Recorder Logs module option will be grayed in the Modules menu.
Log | Open Clock | Allow user to open the clock editor | The user has the right to open the Clocks Module for the station. When this right is removed for all stations Clocks in the Modules menu is read only.
Log | Open Log | Allow user to open the log editor | The user has the right to open the Log module. If this right is removed it will only be removed for the selected station, if this right is removed for all stations the Logs module option will be grayed in the Modules menu. This right is enforced in Zetta2GO.
Log | Open OnAir | Allow User to open On-Air Window | The user has the right to open the On-Air Module. If this right is removed it will only be removed for the selected station, if this right is removed for all stations the On-Air module option will be grayed in the Modules menu. This right is enforced in Zetta2GO.
Log | Pause Alert Event | Allow user to pause Alert Event playback | The user has the right to pause the playback of an Alert Event in the On-Air module. This right is enforced in Zetta2GO.
Log | Pause Other Audio Event | Allow user to pause Other Audio Event playback | The user has the right to pause the playback of an Other Audio Event in the On-Air module. This right is enforced in Zetta2GO. **Each Other Audio will have a separate rights reference.
Log | Pause Link Event | Allow user to pause link event playback | The user has the right to pause the playback of a Link event in the On-Air module. This right is enforced in Zetta2GO.
Log | Pause Log Event | Allow user to pause event playback | The user has the right to pause a Non Spot event playing in the Log or On-Air module for the selected Station. When this right is removed the Pause button in the On-Air module will be disabled and an On-Air.Pause Execute Command placed in the log by the user will not function for a Non Spot Event. This right is enforced in Zetta2GO.
Log | Pause Quick Record Event | Allow user to pause a Quick Record event playback | The user has the right to pause the playback of a Quick Record event in the On-Air module. This right is enforced in Zetta2GO.
Log | Pause Show Event | Allow user to pause show event playback | The user has the right to pause the playback of a Show event in the On-Air module.
Log | Pause Song Event | Allow user to pause song event playback | The user has the right to pause the playback of a Song event in the On-Air module. This right is enforced in Zetta2GO.
Log | Pause Spot Event | Allow user to pause spot event playback | The user has the right to pause the playback of a Spot event in the On-Air module. This right is enforced in Zetta2GO.
Log | Pause Voice Track Event | Allow user to pause a Voice Track Record event playback | The user has the right to pause the playback of a Voice Track Record event in the On-Air module. This right is enforced in Zetta2GO.
Log | Play Alert Event | Allow user to play an Alert event in On-Air | The user has the right to play an Alert event in the On-Air module. This right is enforced in Zetta2GO.
Log | Play Other Audio Event | Allow user to play an Other Audio event in On-Air | The user has the right to play an Other Audio event in the On-Air module. This right is enforced in Zetta2GO. **Each Other Audio will have a separate rights reference.
Log | Play Link Event | Allow user to play link event in On-Air | The user has the right to play a link event in the On-Air module. This right is enforced in Zetta2GO.
Log | Play Log Event | Allow user to play an event in On-Air | The user has the right to Play an event in the On-Air module. When this right is removed the Play buttons in the On-Air module will be disabled for an Event. This right is enforced in Zetta2GO.
Log | Play Next Log Event | Allow user to skip to next event | The user has the right to skip the currently playing event and start the next event in the Log or the On-Air module. When this right is removed the user will not be able to skip the currently playing event in the log and the OnAir.PlayNext Execute Command placed in the Log by the user will not function. The Play Next button in the On-Air module will be disabled. This right is enforced in Zetta2GO.
Log | Play Quick Record Event | Allow user to play a quick record event in On-Air | The user has the right to play a quick record event in the On-Air module. This right is enforced in Zetta2GO.
Log | Play Show Event | Allow user to play a show event in On-Air | The user has the right to play a show event in the On-Air module.
Log | Play Song Event | Allow user to play song event in On-Air | The user has the right to play a song event in the On-Air module. This right is enforced in Zetta2GO.
Log | Play Spot Event | Allow user to play spot event in On-Air | The user has the right to play a spot event in the On-Air module. This right is enforced in Zetta2GO.
Log | Play Voice Track Event | Allow user to play a voice track event in On-Air | The user has the right to play a voice track event in the On-Air module. This right is enforced in Zetta2GO.
Log | Publish | Allow user to publish | The user has the right to select items to publish and select the publish button from the toolbar. When the right is removed the Publish button is removed from the logs module toolbar.
Log | Record Existing Slot In Voice Tracker | Allow user to record over an existing slot in the voice tracker. | The user has the right to record over an existing Voice Track in the voice tracker.
Log | Resolve Unresolve | Allow user to Resolve/Unresolve Tags/Rotations/Imaging | The user has the right to see and select the Resolve Tags/Rotations/Imaging options in the Logs Module toolbar to Resolve/Unresolve these items in the log. When the right is removed the Resolve Tags/Rotations/Imaging options are removed from the Logs Module toolbar.
Log | Segue Editing | Allow the user to open Segue Editor | The user has the right to open the Segue Editor in the Log Module. When the right is removed the Segue Editor button is removed from the logs module toolbar.
Log | Skip Alert Event | Allow user to mark Alert event to be skipped, ejected or deleted | The user has the right to select skip for an Alert event in the Log or Clock. The user has the right to delete an Alert event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject an Alert event. This right is enforced in Zetta2GO.
Log | Skip Other Audio Event | Allow user to mark other audio event to be skipped, ejected or deleted | The user has the right to select skip for an Other Audio event in the Log or Clock. The user has the right to delete an Other Audio event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject an Other Audio event. This right is enforced in Zetta2GO. **Each Other Audio will have a separate rights reference.
Log | Skip Link Event | Allow user to mark Link event to be skipped, ejected or deleted | The user has the right to select skip for a Link event in the Log or Clock. The user has the right to delete a Link event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject a Link event. This right is enforced in Zetta2GO.
Log | Skip Log Event | Allow user to mark event to be skipped, ejected or deleted | The user has the right to select skip for a Non Spot event in the Log or Clock. The user has the right to delete a Non Spot event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject a Non Spot event. The user has the right to Replace a Non Spot event in the Log or Clock. The user has the right to Juggle Non Spot events in the Log. This right is enforced in Zetta2GO.
Log | Skip Mini-Logs Event | Allow user to mark Mini-Log event to be skipped, ejected or deleted | The user has the right to select skip for a Mini-Log event in the Log or Clock. The user has the right to delete a Mini-Log event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject a Mini-Log event.
Log | Skip Show Event | Allow user to mark show event to be skipped, ejected or deleted | The user has the right to select skip for a Show event in the Log or Clock. The user has the right to delete a Show event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject a Show event.
Log | Skip Song Event | Allow user to mark song event to be skipped, ejected or deleted | The user has the right to select skip for a Song event in the Log or Clock. The user has the right to delete a Song event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject a Song event. This right is enforced in Zetta2GO.
Log | Skip Spot Event | Allow user to mark spot event to be skipped, ejected or deleted | The user has the right to select skip for a Spot or Spot Block event in the Log or Clock. The user has the right to delete a Spot event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject a Spot event. This right is enforced in Zetta2GO.
Log | Skip Quick Record Events | Allow user to mark a Quick Record event to be skipped, ejected or deleted | The user has the right to select skip for a Quick Record event in the Log or Clock. The user has the right to the Quick Record event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject a Quick Record event. This right is enforced in Zetta2GO.
Log | Skip Voice Track Event | Allow user to mark Voice Track event to be skipped, ejected or deleted | The user has the right to select skip for a Voice Track event in the Log or Clock. The user has the right to delete a Voice Track event from the Log or Clock. The user has the right to use the eject button in the On-Air module to Eject a Voice Track event. This right is enforced in Zetta2GO.
Log | Stop Alert Event | Allow user stop current Alert event | The user has the right to stop the playback of an Alert in the Log and On-Air module. This right is enforced in Zetta2GO.
Log | Stop Other Audio Event | Allow user stop current Other Audio event | The user has the right to stop the playback of an Other Audio in the Log and On-Air module. This right is enforced in Zetta2GO. **Each Other Audio will have a separate rights reference.
Log | Stop Link Event | Allow user stop current link event | The user has the right to stop the playback of a link in the Log and On-Air module. This right is enforced in Zetta2GO.
Log | Stop Log Event | Allow user to stop current event | The user has the right to stop an event playing in the Log or On-Air module. When this right is removed the Stop button in the On-Air Module will be disabled and the OnAir.Stop Execute Command placed in the Log by the user will not function for an event. This right is enforced in Zetta2GO.
Log | Stop Quick Record Event | Allow user stop current Quick Record event | The user has the right to stop the playback of a Quick Record in the Log and On-Air module. This right is enforced in Zetta2GO.
Log | Stop Show Event | Allow user stop current show event | The user has the right to stop the playback of a show in the Log and On-Air module.
Log | Stop Song Event | Allow user stop current song event | The user has the right to stop the playback of a song in the Log and On-Air module. This right is enforced in Zetta2GO.
Log | Stop Spot Event | Allow user stop current spot event | The user has the right to stop the playback of a spot in the Log and On-Air module. This right is enforced in Zetta2GO.
Log | Stop Voice Track Event | Allow user stop current Voice Track event | The user has the right to stop the playback of a Voice Track in the Log and On-Air module. This right is enforced in Zetta2GO.
Log | Synchronize to Selection | Allow user to execute synchronize | The user has the right to right-click a location in the log and choose Synchronize to Selection. The user will also need the ability to change the On-Air mode to accomplish this task for a past event.
Log | Voice Tracker | Allow user to open voice tracker | The user has the right to open the Voice Tracker from the Log. When the right is removed the Voice Tracker button is removed from the logs module toolbar. This right is enforced in Zetta2GO.

Macro Rights

Filter | Action | Short Description | Comments
Macro | Open | Allow user to open the Macro Configuration window | When this right is removed the user will not be able to open the Macro Configuration window.
Library | Add | Allow user to add a macro (applies to all stations globally) | When this right is removed the Add button in the Macro toolbar is removed.
Macro | Edit | Allow user to edit a macro (applies to all stations globally) | When this right is removed the Edit button in the macro configuration window is removed.
Macro | Delete | Allow user to delete a macro (applies to all stations globally) | When this right is removed the Delete button in the macro configuration window is removed.

Metadata Card Rights

Filter | Action | Short Description | Comments
MetaDataControl | AllowDocking | Allow user to re-arrange panes in the metadata card | The user has the ability to dock and undock tabs in the metadata card to re-arrange the panes. To successfully remove this right, deselected this right from all stations the user has access to.
MetaDataControl | ActiveFlag | Allow user to make an asset active for a station | The user has the right to make an asset active or inactive for the station. When this right is removed the active flag is read only.
MetaDataControl | ApprovalFlag | Allow user to make an asset approved for a station | This right is only needed if the Audio needs approval flag is set in Station Configuration. The user has the right to change the approval flag for any visible asset. Therefore if the user has rights to multiple stations and rights to open the metadata card they can change the approval flag for a song that may have been disapproved for one station but approved for another. When this right is removed the Approval field is removed from the Metadata Card and the user cannot select the station from the Approval option in the Audio Utility.
MetaDataControl | Edit Alert Metadata | Allow user to edit Alert Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only.
MetaDataControl | Edit Show Metadata | Allow user to edit Show Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only.
MetaDataControl | Edit Song Metadata | Allow user to edit a song Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets marks or audio.
MetaDataControl | Edit Link Metadata | Allow user to edit a link Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets marks or audio.
MetaDataControl | Edit Spot Metadata | Allow user to edit a spot Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets marks or audio.
MetaDataControl | Edit Song Marks | Allow user to edit song marks | The user has the right to change the Marks in the Metadata card. When removed, the marks in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the marks in the Segue Editor or Voice Tracker.
MetaDataControl | Edit Link Marks | Allow user to edit link marks | The user has the right to change the Marks in the Metadata card. When removed, the marks in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the marks in the Segue Editor or Voice Tracker.
MetaDataControl | Edit Spot Marks | Allow user to edit spot marks | The user has the right to change the Marks in the Metadata card. When removed, the marks in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the marks in the Segue Editor or Voice Tracker.
MetaDataControl | Change Alert AudioFile | Allow user to edit Alert audio | The user has the right to change the Audio in the Metadata card. When removed the record button in the Metadata Card is disabled. This right does not affect the user’s rights to edit the assets data or marks.
MetaDataControl | Change Song AudioFile | Allow user to edit song audio | The user has the right to change the Audio in the Metadata card. When removed the record button in the Metadata Card is disabled. This right does not affect the user’s rights to edit the assets data or marks.
MetaDataControl | Change Link AudioFile | Allow user to edit link audio | The user has the right to change the Audio in the Metadata card. When removed the record button in the Metadata Card is disabled. This right does not affect the user’s rights to edit the assets data or marks.
MetaDataControl | Change Spot AudioFile | Allow user to edit spot audio | The user has the right to change the Audio in the Metadata card. When removed the record button in the Metadata Card is disabled. This right does not affect the user’s rights to edit the assets data or marks.
MetaDataControl | Edit VoiceTrack Metadata | Allow user to edit a VoiceTrack Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets marks or audio.
MetaDataControl | Edit VoiceTrack Marks | Allow user to edit VoiceTrack marks | The user has the right to change the Marks in the Metadata card. When removed, the marks in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the marks in the Segue Editor or Voice Tracker.
MetaDataControl | Change VoiceTrack AudioFile | Allow user to edit VoiceTrack audio | The user has the right to change the Audio in the Metadata card. When removed the record button in the Metadata Card is disabled. This right does not affect the user’s rights to edit the assets data or marks.
MetaDataControl | Edit QuickRecord Metadata | Allow user to edit a QuickRecord Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets marks or audio.
MetaDataControl | Edit QuickRecord Marks | Allow user to edit QuickRecord marks | The user has the right to change the Marks in the Metadata card. When removed, the marks in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the marks in the Segue Editor or Voice Tracker.
MetaDataControl | Change QuickRecord AudioFile | Allow user to edit QuickRecord audio | The user has the right to change the Audio in the Metadata card. When removed the record button in the Metadata Card is disabled. This right does not affect the user’s rights to edit the assets data or markers.
MetaDataControl | Edit Other Audio Metadata | Allow user to edit Other Audio Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets markers or audio. **Each Other Audio will have a separate rights reference.
MetaDataControl | Edit Other Audio Marks | Allow user to edit Other Audio marks | The user has the right to change the Marks in the Metadata card. When removed, the marks in the Metadata Card are read only. This right does not affect the user’s rights to edit the assets data or audio. This right also does not prevent the user from changing the marks in the Segue Editor or Voice Tracker. **Each Other Audio will have a separate rights reference.
MetaDataControl | Change Other Audio AudioFile | Allow user to edit 'Other Audio' audio | The user has the right to change the Audio in the Metadata card. When removed the record button in the Metadata Card is disabled. This right does not affect the user’s rights to edit the assets data or markers. **Each Other Audio will have a separate rights reference.
MetaDataControl | Edit Mini-Logs Metadata | Allow user to edit Mini-Logs Metadata | The user has the right to change the data fields in the Metadata card. When removed the data fields in the Metadata Card are read only. This right does not affect the user’s rights to edit an assets markers or audio.

Multitrack Editor Rights

Filter | Action | Short Description | Comments
Multitrack Editor | Open | Allow user to open the Multitrack Editor | Allow user to open the Multitrack Editor Module

Notes Rights

Filter | Action | Short Description | Comments
Notes | Open | Allow user to open Notes | Allow user to open Notes Module

Now Playing Export

Now Playing Export Send are rights that should be given to those users who will manually send now playing messages using the Now Playing Export Send Module.

Filter | Action | Short Description | Comments
NowPlayingExport | Open | Allow user to open Now Playing Export Send | The user has the right to open the Now Playing Export Send Module and enter data into the fields and click the Send button sending out a now playing message to all configured Now Playing Export instances for the selected station. When removed the user cannot open the Now Playing Export Send module.

Player Rights

Filter | Action | Short Description | Comments
Player | Open | Allow user to open Player | The user has the right to open the player module. To successfully remove this right, deselected this right from all stations the user has access to. Removing this right does not remove the right to open Player in the Configuration menu, to remove this right remove the View Configuration right for all stations.

Quick Record Rights

Filter | Action | Short Description | Comments
QuickRecord | Open | Allow user to open Quick Record | The user has the right to open the Quick Record module. To successfully remove this right, deselected this right from all stations the user has access to.

Stacks Rights

Filter | Action | Short Description | Comments
Stack | Open | Allow user to open a stack | The user has the right to open the Stacks Module. When removed the user cannot open the Stacks Module for the selected station, if this right is removed for all stations the Stacks module option will be grayed in the Modules menu.
Stack | Add | Allow user to add a stack | The user has the right to add and copy a Stack in the Stacks Module. When this right is removed the add and copy buttons in the Stacks module toolbar are removed. To successfully remove this right, deselected this right from all stations.
Stack | Edit | Allow user to edit a stack | The user has the right to add, move and eject assets from a Stack in the Stacks Module. The user has the right to change the chain type of an event in the stack. When this right is removed the user can not add, move or change the chain type. However, the user can double-click the event and edit the asset, change the event to a Hook and Copy the Stack to a new stack. To successfully remove this right, deselected this right from all stations. To remove the right to edit the asset, refer to the MetadataControl rights.
Stack | Delete | Allow user to delete a stack | The user has the right to Delete a Stack. When this right is removed the delete button on the Stacks module toolbar is removed. To successfully remove this right, deselected this right from all stations.

Studio Switching Rights

Filter | Action | Short Description | Comments
StudioSwitching | Open | Allow user to open Studio Switching window in the control room | The user has the right to open the Studio Switching window in the On-Air Module. To successfully remove this right, deselected this right from all stations the user has access to.

ZCast Rights

Filter | Action | Short Description | Comments
ZCast | Send Song | Allow a user to send a Song via ZCast. | The user has the right to send a Song via ZCast. When this right is removed the user will not be able to see the ZCast button for the Song asset type in the Library. Auto ZCast will also not send Songs for the selected station. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Songs for the selected station.
ZCast | Send Spot | Allow a user to send a Spot via ZCast. | The user has the right to send a Spot via ZCast. When this right is removed the user will not be able to see the ZCast button for the Spot asset type in the Library. Auto ZCast will also not send Spots for the selected station. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Spots for the selected station.
ZCast | Send Link | Allow a user to send a Link via ZCast. | The user has the right to send a Link via ZCast. When this right is removed the user will not be able to see the ZCast button for the Link asset type in the Library. Auto ZCast will also not send Links for the selected station. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Links for the selected station.
ZCast | Send Voice Track | Allow a user to send a Voice Track via ZCast. | The user has the right to send a Voice Track via ZCast. When this right is removed the user will not be able to see the ZCast button for the Song asset type in the Library. Auto ZCast will also not send Voice Tracks for the selected station. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Voice Tracks for the selected station.
ZCast | Send Quick Record | Allow a user to send a Quick Record via ZCast. | The user has the right to send a Quick Record via ZCast. When this right is removed the user will not be able to see the ZCast button for the Quick Record asset type in the Library. Auto ZCast will also not send Quick Records for the selected station. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Quick Record for the selected station.
ZCast | Send Show | Allow a user to send a Show via ZCast. | The user has the right to send a Show via ZCast. When this right is removed the user will not be able to see the ZCast button for the Show asset type in the Library. Auto ZCast will also not send Shows for the selected station. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Show for the selected station.
ZCast | Send Mini-Logs | Allow a user to send a Mini-Log via ZCast. | The user has the right to send a Mini-Logs via ZCast. When this right is removed the user will not be able to see the ZCast button for the Mini-Log asset type in the Library. Auto ZCast will also not send Mini-Logs. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Mini-Logs for the selected station.
ZCast | Send Other | Allow a user to send an Other Audio Type via ZCast. | The user has the right to send an Other Audio Type via ZCast. When this right is removed the user will not be able to see the ZCast button for the Other Audio Type asset type in the Library. Auto ZCast will also not send Other Audio Types for the selected station. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Other Audio Types for the selected station.
ZCast | Send Alerts | Allow a user to send an Alerts via ZCast. | The user has the right to send an Alert via ZCast. When this right is removed the user will not be able to see the ZCast button for the Alert Asset type in the Library. Auto ZCast will also not send Alert Assets for the selected station. If this right is removed and Send Log with Missing Audio is used, Zetta will not send missing audio for Alerts for the selected station.

Z-Player Rights

Filter | Action | Short Description | Comments
ZPlayer | Open | Allow user to open the Z-Player Module | The user has the right to open the Z-Player Module. To successfully remove this right, deselected this right from all stations the user has access to.

Welcome < Configuration < Working with Security


Organizations

The Organizations configuration window is used to create groups of stations. This allows the administrator for the site to limit the stations the basic user can access. Organizations are used when assigning users to a Role when creating an Account and for grouping stations for Multisite Voice Tracking and Site Replication. Organizations are also used for assigning groups of stations to asset Cuts. An Administrator can create as many Organizations as needed, with different combinations of stations. Stations can be part of more than one Organization. The Supervisor user is assigned to the <All Stations> organization giving the supervisor rights to all stations. It is a good idea to create the Stations and Virtual Stations before creating the organizations.

Click any area in this image for help

Click any area in this image for help

The left pane of the Organizations configuration window lists the configured organizations, use this window to select the organization to edit.

The Right Pane of the Organizations configuration window is used to identify and configure specific parameters for each organization.

Organizations Toolbar

General

Name

Description

Stations

Multisite VT Setup

Multisite VT Manager Mode

Multisite VT Asset Matching Mode

Station to Exclude from VT Transfer Status

Organizations Configuration Step-by-Step Topics

Create an Organization for access security

Assign an Organization to a Role

Organizations Toolbar

The toolbar at the top of the window contains the following options:

Refresh Organizations - The Refresh Organizations button will refresh the screen to its last saved state, undoing an changes that have been made.

Add Organization - Use the Add Organization button to create new grouping of stations.

Remove Organization – Use the Remove Organization button to delete a selected grouping of stations. If a user belongs to an Organization when the organization is deleted, the user will be removed from the organization and the role. Thus if the user is only assigned to one role the user will be restricted to only those rights specifically set for that user. The <ALL Stations> organization cannot be deleted.

Save – Use the Save button to save the configuration.

General

Name

Use the Name field to give the organization a name that can be recognized elsewhere in the Zetta application.

Description

The Description field can be used to expand on the name or purpose of the organization to give it more meaning. (optional)

Stations

The bottom of the General tab list all the configured stations and virtual stations for the system. Use the check boxes to select the station to assign to the Organization.

Multisite VT Setup

Multisite VT Manager Mode

The Multisite VT Manager Mode is used to select the mode of the logs for Voice Tracking. Splits (tags) based is used for voice tracking Splits stations. This option is used with the Master VT Split Behavior option which allows the user to select the split behavior to set on the voice tracks. The (tags) for the voice tracks created are generated based on the Tag prefix defined in the Voice Track and Quick Record tab of the System Configuration window. The Log Based option is used with standard station configurations. See the Multisite Voice Tracking Feature section for more information.

Multisite VT Asset Matching Mode

Multisite Voice Tracking uses Inbound and Outbound ZCast Connections therefore matching needs to be setup for Zetta to match the assets. The Multisite VT Asset Matching Mode is used to select how the Assets are matched in the log when voice tracking. The Asset GUID is only used for Zetta to Zetta connections. The External ID is used only for Zetta to NexGen systems. Contact RCS Support to obtain the Zetta to NexGen Multisite Voice Tracking documentation.

Station to Exclude from VT Transfer Status

The Station to Exclude from the VT Transfer Status will be the station that is designated as the Master Voice Track Station.

Organizations Configuration Step-by-Step Topics

Create an Organization for access security

Assign an Organization to a Role

Create an Organization for Log Based Multisite VT

Create an Organization for Splits (tags) Based Multisite VT

Create an Organization for access security

To create an Organization for access security only, perform the following steps:
  1. Select Organizations from the Configuration Menu
  2. Click the Add Organization [image] button

  3. Type in a Name
  4. Type in a Description of the organization.
  5. Select the Stations for the organization.
  6. Click Save [image] to save the organization.

Assign an Organization to a Role

It is a good idea to create Roles before assigning an Organization.

To assign a user to an Organization in Zetta®, perform the following steps:
  1. Select Accounts from the Configuration Menu
  2. Select or Add an Account
  3. Click the Roles tab for the desired account.
  4. Click the Add Role [image] button
  5. In the Organizations column use the drop-down to select an Organization
  6. In the Roles column select a Role
  7. Click the Save [image] Button.

Welcome < Configuration < Working with Security < Organizations


Roles

Everyone knows the importance of security, Roles can be used to set up groups of users and then limit their access to specific Zetta® functions. These Roles can be Zetta® Roles or Windows Roles that have been defined in windows such as computer groups or domain groups. The Administrators role is created on install with ALL rights to Zetta®. Users are assigned a Role when creating an Account. The left pane of the Roles configuration window lists the roles that can be selected for viewing and editing. The right pane of the Roles configuration window is used to identify and configure the parameters for each Role.

Click any area in this image for help

Click any area in this image for help

Roles Toolbar

Details

Privileges

Roles Step-by-Step Topics

Roles Toolbar

Refresh Roles - The Refresh Roles button will refresh the screen to its last saved state, undoing an changes that have been made.

Add Role - Use the Add Role button to create a new role.

Remove Role – User the Remove Role button to delete the selected role.

Save – Use the Save button to save the configuration.

Details

Role Name – The Role Name should be something descriptive to define the function of the users to be added to the role, when setting up a windows group this group will match the group defined in the computer on the domain in active directory.

Window Role – The Windows Role is selected when the role will be matched with a Computer or domain group defined in Active directory. A convenient search button allows the user to search the computer or domain for a valid group. This option allows the IT department to leverage the already established rights restrictions created for the file system.

Zetta® Role - The default setting of Zetta® Role allows the role to be separate from any windows role.

Description – Use the Description field to describe further the role of users.

Privileges

See the Working with Security topic for more information on the specific rights listed.

Filter

The filter column is used to select the different aspects of Zetta® to display the defined privileges that can be changed. This allows the user to view ALL privileges or just the privileges for a specific category such as the Log module or the MetaDataControl for the assets.

Privileges

The privileges section is divided into the following columns that can be filtered using the filter mentioned above or by using Zetta® Filtering. The columns can also be sorted using Grouping by clicking the thick line above the column headings or in ascending or descending order by clicking on the heading.

Select All – The Select All column can be used to select or deselect all the items displayed in the list.

Category – The category column lists all the modules and the tools interface that have defined privileges.

Action – The Action column display the action that is being allowed when the privilege is selected.

Description – The description column give an expanded explanation of what is being allowed when the item is selected.

Roles Step-by-Step Topics

Create a Role

Assign a Role

Create a Role

To create User Roles, perform the following steps:

1. Select Role s from the Configuration Menu

2. Click the Add Role [image] button

3. Enter a Role Name

4. Enter a General Description (optional)

5. Click the Privileges tab

6. Click the check box next to the items to allow access

7. Click Save

Assign a Role

It is a good idea to create Organizations before assigning a Role to an Account.

To assign a user to a Role in Zetta®, perform the following steps:
  1. Select Accounts from the Configuration Menu
  2. Select or Add an Account
  3. Click the Roles tab for the desired account.
  4. Click the Add Role [image] button
  5. In the Organizations column use the drop-down to select an Organization
  6. In the Roles column select a Role
  7. Click the Save [image] Button.

Welcome < Configuration < Working with Security < Roles Configuration


Accounts

The Account Configuration in Zetta® is used to configure User Accounts. User accounts can be customized to enhance the Zetta® user experience. Zetta® has two default accounts: the Supervisor account, which has no password (use this account to setup Zetta®) and the Guest account, which also has no password that can be used for testing user account settings. The left pane of the Accounts configuration window lists the configured accounts, use this window to select the account to edit. The right pane of the Accounts configuration window is used to identify and configure specific parameters for each user.

Click any area in this image for help

Click any area in this image for help

Accounts Toolbar

Details

Roles

Rights Overview

Accounts Configuration Step-by-Step Topics

Accounts Toolbar

The toolbar at the top of the window contains the following options:

Refresh Accounts - The Refresh Accounts button will refresh the screen to its last saved state, undoing an changes that have been made.

Add Account - Use the Add New Account button to create new user accounts.

Remove Account – Use the Remove Account button to delete a selected user account.

Save – Use the Save button to save the configuration.

Details

Login Name – The Login Name is the name the user will use to login to Zetta®, when setting up a windows account this login will match the user’s domain or computer login.

Window User – The Windows User is selected when the user account will be matched with a Computer or domain account. A convenient search button allows the user to search the computer or domain for a user login name. Using the search feature, will auto-fill the Login Name, Name, and Email address for the user.

Zetta® User - The default setting of Zetta® User allows the user to create a password separate from windows.

Name – Use the Name field to expand on the user’s name, allowing for the first and last name of the user to be entered.

Short Name - The Short Name is just a shortened version of the user's name such as the user's initials. When used the short name is displayed in the Talent Grids. (optional)

Description – The Description field can be used to enter the user’s position such as PD, Board Op or GM to give the account more meaning. (optional)

Email – An Email address can be entered this will be used in a future release of Zetta®. (optional)

Default Station – The Default Station selection is the station that will be the default station for this user when they open the Logs, Clocks, Library or Station Configuration. See the Station Configuration section of this guide for more details on adding stations.

Shortcut Key Mappings – The Shortcut Key Mappings allows each user to have a Custom Keyboard Mapping for their user login. See the Command Mappings section under System Configuration section of this guide for more details.

User Preference – The User Preference option allows each user to have a custom theme for their login account. See the User Preferences section for more details on creating a user preference.

Roles

The Roles tab is used to assign an Organization and a Role to the Account.

Add Role – The Add Role button adds a line to selected an Organization and Role for the account.

Remove Role – The Remove Role button removes the selected role and corresponding organization from the account.

Rights Overview

The rights overview tab in the accounts is used to add or remove additional rights for the user that the role they are a member of may not have. First select the station to view the current rights using the Station Select drop-down. See the Working with Security topic for more information on the specific rights listed.

Filter

The filter column to the left is used to select the different aspects of Zetta® to display the defined privileges that can be changed. This allows the user to view ALL privileges or just the privileges for a specific category such as the Log module or the MetaData for the assets.

Rights

The Rights section is divided into the following columns that can be filtered using the filter mentioned above or by using Zetta® Filtering. The columns can also be sorted using Grouping by clicking the thick line above the column headings or in ascending or descending order by clicking on the heading.

Role - The role column shows those rights that are inherited from any Role the user is assigned to.

Override - The override column is used to remove a right that is inherited by a role or add an additional right that may not be part of the role the user is assigned to.

Has Access - The Has Access column shows a green check when a user has rights to the described action or a red X when the user does not have rights to the described action.

Category – The category column lists all the area of the application that have defined privileges.

Action – The Action column display the action that is being allowed when the privilege is selected.

Description – The description column gives an expanded explanation of what is being allowed when the item is selected.

Accounts Configuration Step-by-Step Topics

Create Zetta User Accounts

Create Windows User Accounts

Delete User Accounts

Assign an Organization and Role to an Account

Create Zetta User Accounts

Creating Organizations and Roles in Zetta before creating accounts will make applying security quick and easy when dealing with multiple users with the same level of security. Creating Organizations allows the administrator to limit the access users have to specific stations, while the Roles determine what areas of Zetta a group of users can access. To limit users access further see the Talent Grids section of this guide.

To create a Zetta® user account, perform the following steps:
  1. Select Accounts from the Configuration Menu
  2. Click the Add Account [image] button

  3. Enter the Login Name of the Account
  4. Enter the Password, leave blank if no password is desired.
  5. Enter the Password again to Confirm Password
  6. Enter the Users Name
  7. Enter a Short Name, such as the user's initials. (optional)
  8. Enter an Account description (optional)
  9. Enter an Email address (optional)
  10. Select the Default Station from the drop-down
  11. Select the Shortcut Key Mappings from the drop-down; see the Command Mapping section for more information.
  12. Select the User Preference from the drop-down; see the User Preferences section for more information.

  13. Click the Roles tab
  14. Click the Add Role [image] button to select the role(s) to add to the account, see the Create Roles section of this guide for more information on adding Roles.
  15. Click the Rights Overview tab
  16. Select the Station from the station select drop-down
  17. Select the check box next to the desired privileges to give the user.
  18. Click the Save [image] button to save the new User Account.
  19. Repeat steps 2-18 to create additional accounts.

Create Windows User Accounts

To create a windows user account, perform the following steps:
  1. Select Accounts from the Configuration Menu
  2. Click the Add Account [image] button
  3. Select the Windows User radio button
  4. Click the Search button next to the Login Name field to locate the Login Name of the Account
  5. Enter an Account description (optional)
  6. Enter an Email address; using the search feature in the login field will automatically fill in the Email address associated with the user’s account.
  7. Select the Default Station from the drop-down
  8. Select the Shortcut Key Mappings from the drop-down; see the Command Mapping section for more information.
  9. Select the User Preference from the drop-down; see the User Preferences section for more information.

  10. Click the Roles tab
  11. Click the Add Role [image] button to select the role(s) to add to the account, see the Create Roles section of this guide for more information on adding Roles.
  12. In the Organizations column use the drop-down to select an Organization, see the Create Organizations section of this guide for more information on adding Organizations for access security.
  13. In the Roles column select a Role
  14. Click the Rights Overview tab
  15. Select the Station from the station select drop-down
  16. Select the check box next to the desired privileges to give the user.
  17. Click the Save [image] button to save the new User Account.
  18. Repeat steps 2-17 to create additional accounts.

Delete User Accounts

To delete User Accounts, perform the following steps:
  1. Select Accounts from the Configuration Menu
  2. Select the account to delete.
  3. Click the Remove Account [image] button.

  4. Click Yes to continue and complete the deletion of the account.

Assign an Organization and Role to an Account

It is a good idea to create Organizations and Roles before assigning them to an Account.

To assign a user to a Role in Zetta®, perform the following steps:
  1. Select Accounts from the Configuration Menu
  2. Select or Add an Account
  3. Click the Roles tab for the desired account.
  4. Click the Add Role [image] button
  5. In the Organizations column use the drop-down to select an Organization
  6. In the Roles column select a Role
  7. Click the Save [image] Button.

Welcome < Configuration < Working with Security < Accounts Configuration


Talent Grids

Talent Grids are used to limit a user's access to specific hours of a stations log or clock. This allows the administrator to restrict the user to only those hours of the log or clock they are responsible for editing.

Important Note!

To restrict the user from the hours of the log they are not assigned to edit, remove the "Full Log Access" right using the Rights Overview tab of Accounts Configuration window.

Click any area in this image for help

Click any area in this image for help

Talent Grid Details

Add a user to the Station Talent Grid

Talent Grid Details

The Talent Grid window is divided into the following three sections:

Station List - The Station List is a list of all the configured stations in Zetta. Each Station has its own talent grid.

User List - The User List is a list of all the Accounts configured in Zetta. The User List contains two columns one listing the Name of the Account and one lists the Short name configured for the account. Selecting an account will highlight the talent grid where the account is assigned.

Talent Grid - The talent grid is similar to a spread sheet and contains the hours and days which the user account can be assigned. Across the top of the grid are the days of the week and down the left side of the grid are the hours in the day.

Add a user to the Station Talent Grid

To add a user to a station Talent Grid in Zetta®, perform the following steps:
  1. Create the User Accounts
  2. From the Configuration menu select Talent Grid
  3. Select the desired station from the station list.
  4. Click and drag to highlight the desired hours

  5. Select the User from the Accounts list.
  6. Click the double arrow Add [image] button to add the user to the selected hours.

  7. Repeat as needed for each user.

  8. Click Save [image] when finished

Important Note!

To restrict the user from the hours of the log they are not assigned to edit, remove the "Full Log Access" right using the Rights Overview tab of Accounts Configuration window.

Welcome < Configuration < Working with Security < Talent Grids


Macros

Welcome < Configuration < Macro Configuration

Macro Configuration

This topic explains how to use macros to execute several events as if they were one event. There is no limit to the number of events that can be added to a macro and there is no limit to the number of macros that can be assigned to a station. Once a macro is created, it can be played an unlimited number of times. Macros can be played from the On-Air Module, Hot Key or added to a Station or Recorder Log/Clock. When the macro is played, the event list executes.

The macro configuration window is divided into three panes. The left side displays a list of events in the macro and the right side is divided in two sections; the top section is the consideration window which is used to select the event to add to the macro and the bottom section is the properties window which is for configuring the properties of the event to be added.

Click any area in this image for help

Click any area in this image for help

Macro Configuration Toolbar

Macro Event List

Consideration Window

Properties Window

Macro Configuration Step-by-Step Topics

Macro Configuration Toolbar

The Macro Configuration toolbar allows the user to add, delete, view and edit macros using the following toolbar options:

Refresh - The refresh button is used to refresh the macro window to the last saved state, discarding any unsaved changes.

Add Macro - The add macro button allows the user to create new macros.

Copy - The Copy button will copy a selected Macro to the same station or to a different station in the database. A Copy Macro window will open for the user to give the macro a new name and to select a station.

Rename - The rename button allows the user to rename an existing selected Macro.

Delete Macro - The delete macro button allows the user to remove a selected macro configuration.

Cycle Filter - The Cycle Filter is used in Logs, Clocks and Macros to Filter based on Asset Type or Custom type. See the Logs Module topic for additional information on the Cycle Filter.

Select Macro - The Select Macro drop-down is used to select an Existing Macro to view edit or delete.

Select Station - The Select Station drop-down is used to select a Station that the macro will be assigned.

Macro Event List

The left side of the macro screen displays the events in the macro. Control Events, Songs, Spots or Links can be added to a Macro.

Macro Control Events - The following control events can be added to a macro by simple dragging and dropping the event from the consideration window to the Event List.

  • Comment - The comment command allows the user to add descriptive comments to the macro.
  • Execute Command - The execute Command allows the user to drop in any executable command within Zetta® such as Sequencer and On-Air Commands, these are the same commands that are available in the System Command Mappings.
  • Macro - The Macro command allows the user to nest a Macro in a Macro. This allows the user to create a macro of common commands and place the macro in any number of additional macros. Nested Macros can only be edited from the original macro.
  • Pause - The Pause command will pause the macro for the specific amount of time. Zero seconds will pause indefinitely until the user makes a change.
  • External - The External command allows the user to put External Events in a macro, such as a Time Announcement.
  • Record - The Record control event triggers the macro to record to an existing Asset or to a File on the computer. The record event can be started by time or by GPIO event. When Time is selected the recording will start when the event is played in the macro. When GPIO is selected, Zetta will listen for a GPIO Command event to start the recording.

Total Runtime - The Total Runtime is displayed at the bottom of the window and is the calculated length of the events in the macro.

Important Note!

The Execute Commands are executed by the selected stations sequencer. Therefore if a command is chosen that will open a module such as the Library module, then this event will occur on the machine running the sequencer for the selected station.

Consideration Window

The Consideration window lists various assets the user will consider for use in the macro. From the Consideration window a user can select an asset or control event using the Page drop-down menu. When selecting a Song or Link asset the user can use the Category drop-down menu to select from a configured category.

Properties Window

The properties window displays the details about the Asset or Control Event. The information about the asset is pulled from the Metadata card for the asset.

Macro Configuration Step-by-Step Topics

Create a Macro

Edit a Macro

Copy a Macro

Publish Macro Control Events to GSelector

Delete a Macro

Add a Macro To a Log or Clock

Assign a Macro to a Command Mapping

Create a Macro

To create a Macro in Zetta®, perform the following steps:

  1. From the Configuration menu select Macros

  2. Select a Station from the Select Station drop-down
  3. Click the Add Macro [image] button

  4. Enter a Name for the new Macro
  5. Optionally, enter a Description of the macro.
  6. Click OK
  7. Using the consideration window select the events to add to the macro.
  8. Use the Properties window to configure the properties for the event
  9. Drag and drop the desired event into the Event window from the consideration window.

Edit a Macro

To Edit a Macro in Zetta®, perform the following steps:
  1. From the Configuration Menu select Macro Configuration
  2. Select the Station from the Select Station drop-down.
  3. Select the Macro to edit from the Select Macro drop-down.
  4. Drag and drop new commands
  5. Select existing events to edit using the properties pane.
  6. Select the Save [image] button in the properties pane.

Copy a Macro

To Copy a Macro in Zetta®, perform the following steps:
  1. From the Configuration Menu select Macro Configuration
  2. Select the Station from the Select Station drop-down.
  3. Select the Macro to copy from the Select Macro drop-down.
  4. Click Copy [image] button

  5. Enter a New Macro Name.
  6. Optionally, enter a New Macro Description
  7. Optionally, select a New Macro Station
  8. Click OK

Publish Macro Control Events to GSelector

Once a macro has been created using the Macro Configuration option in the Configuration Menu of Zetta® the user can then Publish the Control Events to GSelector®.

To Publish a Macro Control Event to GSelector®, perform the following steps:
  1. Select System from the Configuration menu
  2. Select the GSelector® tab
  3. Select the Sync Categories and Control Events button
  4. Click OK to the Control Events Published Successful dialog.
  5. Click OK to the All Stations Categories Published Successful message.
  6. The Macros can now be scheduled in GSelector®.

Delete a Macro

To Delete a Macro in Zetta®, perform the following steps:
  1. From the Configuration Menu select Macro Configuration
  2. Select the Station from the Select Station drop-down.
  3. Select the Macro to delete from the Select Macro drop-down.
  4. Click the Delete Macro [image] button
  5. Click Yes to confirm deletion of the macro.

Add a Macro To a Log or Clock

To Add a Macro to a Log or Clock in Zetta®, perform the following steps:
  1. Select Logs/Clocks from the Modules menu
  2. Select the Station
  3. Select the Day or Date
  4. Right-click a location in the Log/Clock
  5. Select Insert Control Event
  6. Select Macro from the consideration window
  7. Select Hard Time in the properties window and enter a time if the Macro is to start at a specific time.
  8. Select the Macro from the properties window
  9. Double-click the Macro in the consideration window
  10. The selected Macro is inserted into the log/clock at the location selected.

Assign a Macro to a Command Mapping

To Assign a Macro to a Command Mapping in Zetta®, perform the following steps:
  1. Create a Macro
  2. Add GPIO Devices for GPIO Command Mapping
  3. Select System from the Configuration menu
  4. Select the Command Mappings tab
  5. Select or create a GPIO or Keyboard Mapping
  6. Add a New Command Mapping
  7. Select the GPIOEvent or type the Shortcutkey
  8. Select Sequencer.SynchronousMacro or Sequencer.AsynchronousMacro
  9. Select the Station
  10. Select the Macro
  11. Click Save

Welcome < Configuration < Macro Configuration


Background Recorders

The Background Recorders configuration window is used to setup background sequencer computers to run a log that contains a sequence of control events or macros for Background Recording events such as satellite shows or any other audio feed. The Background Recorder runs as a Service process in the Startup Manager and does not require an On-Air module. After a Background Recorder is created and the service is started, the Recorder Logs and Recorder Clocks are then available in the Tools menu.

Click any area in this image for additional help

Click any area in this image for additional help

Background Recorder List

Background Recorder Details

Background Recorder Configuration Step-by-Step Topics

Background Recorder List

The top frame of the Stations configuration window shows a list of stations added.

The following functions are available for adding and deleting a station:

Refresh Stations - The Refresh Stations button will refresh the window to the last saved state, discarding any unsaved changes.

Add New – The Add New option is used to create new Background Recorder. Alternatively, right clicking in the list and selecting Add New from the menu will add a Background Recorder.

Delete Selected – The Delete Selected icon will remove the selected Background Recorder from Zetta®. Alternatively, right clicking on the Background Recorder and selecting Delete Selected from the menu will remove the Background Recorder from Zetta®.

Background Recorder Details

The bottom frame of the window is for customizing the Background Recorder. The Background Recorder Details has the following configurable values:

Name – The Name is used to identify the Background Recorder.

Description – The Description is used to describe the Background Recorder. (optional)

Call Letters - The Call Letters field is used to add the Call Letters of a Station. (optional)

Enterprise Station Id - The Enterprise Station Id is typically used with external Traffic applications and may not be required for the Background Recorder. (optional)

Computer – The computer field is used to assign a computer responsible for processing the Background Recorder log and recording the audio.

Active (Required) – This setting will activate the Background Recorder so that logs can be generated. The Background Recorder will not be available in the Clocks and Logs unless the Active option is selected.

Audio needs approval before airing - This setting is not used for Background Recorders.

Predictive air times in Logs and Clocks - The Predictive air times in Logs and Clocks option will cause the log and clocks to process future hard/soft ETM events showing the pre drop of events around the ETM events.

Appearance - Use the Appearance drop-down to select an Appearance that is created in the Themes & Appearances Configuration window.

Row Highlight - Use the Row Highlight drop-down to select an Row Highlight appearance that is created in the Themes & Appearances Configuration window.

Past Days to Keep - The Past Days to Keep is used to set the number of days to keep past logs for the Background Recorder in the database. The Purge Old Logs option must be selected in the Scheduled Maintenance tab of the System Configuration window.

Future Days to Schedule - The Future days to Schedule is used to set the number of days to schedule future logs for the Background Recorder. The Schedule Days option must be selected in the Scheduled Maintenance tab of the System Configuration window.

Important Note!

The rest of the tabs in the Background Recorder window are similar to a Station configuration and are typically not used for the Background Recorder Role. Information on these additional tabs can be found in the Station Configuration topic.

Background Recorder Configuration Step-by-Step Topics

Important Note!

The Startup Manager will need to be restarted on each computer that is assigned to a Background Recorder.

Create a Background Recorder

Remove a Background Recorder

Create a Background Recorder

To create a new Background Recorder, perform the following steps:
  1. In the Configuration Menu, click Background Recorders.
  2. Click the Add New [image] icon.
  3. Enter a Name to identify the Background Recorder.
  4. Enter a Description to describe the Background Recorder (optional)
  5. Select a Computer from the drop-down that will control the Background Recorder.
  6. Select Active (Required)
  7. Optionally, use the Appearance drop-down to select an Appearance that is created in the Themes & Appearances Configuration window.
  8. Optionally, use the Row Highlight drop-down to select an Row Highlight appearance that is created in the Themes & Appearances Configuration window.
  9. Optionally, change the number of Past Days to Keep logs for the background recorder. Purge Old Logs must be selected in the Scheduled Maintenance tab of the System Configuration window.
  10. Optionally, change the number of Future Days to Schedule logs for the background recorder. Schedule Days must be selected in the Scheduled Maintenance tab of the System Configuration window.
  11. Click the Save [image] button to save the settings.
  12. Restart Startup Manager.

Remove a Background Recorder

To remove a Background Recorder, perform the following steps:
  1. In the Configuration Menu, click Background Recorders.
  2. Select the Background recorder to remove from the list.
  3. Click the Delete Selected [image] icon.
  4. Click the Save [image] button to save the settings.
  5. Restart Startup Manager.

Welcome < Configuration < Background Recorders


Virtual Stations

Welcome < Configuration < Virtual Station Configuration

Virtual Station Configuration

The Virtual Station configuration in Zetta® is used to add a Virtual station for use with ZCast between stations.

Click any area in this image for help

Click any area in this image for help

Virtual Station List

Virtual Station Details

Virtual Station Playback

Virtual Station Automation

Normalization

Virtual Station Ducking

Splits

Create a Virtual Station

Virtual Station List

The top frame of the Stations configuration window shows a list of stations added.

The following functions are available for adding and deleting a station:

Refresh Stations - The Refresh Stations button will refresh the window to the last saved state, discarding any unsaved changes.

Add New Virtual Station – The Add New Virtual Station option is used to create new virtual stations. Alternatively, right clicking in the Station list and selecting Add Station from the menu will add a station.

Delete Selected Virtual Station – The Delete Selected Virtual Station icon will remove the selected virtual station from Zetta®. Alternatively, right clicking on the station and selecting Delete Selected Station from the menu will remove the station from Zetta®.

Virtual Station Details

The bottom frame of the window is for customizing the Station.

The Station Details has the following configurable values:

Station Name – The Station Name is used to identify the Virtual Station.

Description – The Description is used to describe the station. (optional)

Call Letters - Use the Call Letters field to enter the Call Letters for the station the Call Letters here are used with the Publish and Now Playing Export features. This field is optional and typically not used for Virtual Stations.

Enterprise Station Id - The Enterprise Station Id is typically used with external Traffic applications and may not be required for the station. This field can also be exported using Now Playing Export feature.

Treat assets created via Logs ZCast as Virtual - When this option is selected, any assets sent to the virtual station via a ZCast Log will be created, if they do not already exist, but will not have an External ID assigned.

Appearance - Use the Appearance drop-down to select an Appearance that is created in the Themes & Appearances Configuration window.

Row Highlight - Use the Row Highlight drop-down to select an Row Highlight appearance that is created in the Themes & Appearances Configuration window.

Past Days to Keep - The Past Days to Keep is used to set the number of days to keep past logs for the virtual station in the database. The Purge Old Logs option must be selected in the Scheduled Maintenance tab of the System Configuration window.

Future Days to Schedule - The Future days to Schedule is used to set the number of days to schedule future logs for the virtual station. The Schedule Days option must be selected in the Scheduled Maintenance tab of the System Configuration window.

Log handling on Mini-Log placement - The Log Handling on Mini-Log placement drop-down is used to select how Zetta will handle existing events in the station log when a Mini-Log is placed into the Log. Keep Existing events will keep the events that exist in the station log where the Mini-Log is inserted. Skip existing events will keep but skip the events that exist in the station log where the Mini-Log is inserted. Delete existing events will remove the existing events from the station log where the Mini-Log is inserted. If the Mini-Log has no TOH Markers, it gets flattened into the Log at the very position where it was inserted. If the Mini-Log has one or more Top of Hour Markers then the Events in Mini-Log prior to the first TOH Marker (if any) get flattened at the very position where the Mini-Log was inserted. The existing events in the SAME hour that are below the insertion position are treated as per the Log Handling on Mini-Log placement setting. The events that follow the TOH Marker get flattened and inserted right after the NEXT TOH in Log and the existing log events already present in the hour (if any) are treated per the Log Handling on Mini-Log placement setting.

Virtual Station Playback

Fade-Out Duration – The Fade-Out Duration is used to define the number of seconds to fade-out the first event when segueing into the next event.

Stream Assignment Method - The Stream Assignment Method option is used to select how Zetta will handle the stream sequence of the Sequencer. The default Keep already assigned option, will maintain the stream sequence that has been assigned when the event was cued in the sequencer. That means if an event is skipped or moved the streams will remain as assigned.

Example #1:

Song1 (on device A) Playing

Link1 (on device B) Cued

Song2 (on device C) Cued

If Song2 is moved before the Link1, device assignments stay as assigned:

Song1 (A) Playing

Song2 (C)

Link1 (B)

Example #2 :

Song1 (on device A) Playing

Song2 (on device B) Cued

Song3 (on device C) Cued

Song4 (on device A) Cued

Skipping Song2 will maintain the following assignments:

Song1 (A) Playing

Song3 (C)

Song4 (B)

The Enforce always sequential option, will change the assignment of the stream if an event is skipped or moved to maintain a sequential order of the streams. So in the same Examples above the results would be as follows.

Example #1:

If Song2 is moved before the Link1, device assignments would change:

Song1 (A) Playing

Song2 (B)

Link1 (C)

Example #2 :

Skipping Song2 will change the assignments as follows:

Song1 (A) Playing

Song3 (B)

Song4 (C)

To view how these setting work open the Playback Monitor and watch the playback and stream triggers.

Hook Fade-In – The Hook Fade-In is used to define the number of seconds to fade in when a hook is played.

Hook Fade-Out – The Hook Fade-Out is used to define the number of seconds to fade out when a hook is played.

Virtual Station Automation

The Automation tab is used to configure the following specific station options:

TOH ETM Type: The Top of Hour marker is treated as a Comment unless this option is set to Soft, Hard, Reset or Hit. For more information on ETM Types see the Exact Time Marker section of this guide.

Important Note!

The option Resync at TOH was removed in Zetta® version 2.3. With an upgrade to Zetta®, if the Resync at TOH was set in a previous version the TOH ETM type will be set to Soft.

This ETM setting will not act as a traffic marker for loading traffic from a third party system. It is recommended this setting be set to none and an ETM Control Event be placed in the log for a traffic marker.

Auto Fade Songs at Segue – Auto Fade Songs at Segue will automatically fade the current song when the segue is hit.

Normalization

Normalization is the process of increasing (or decreasing) the amplitude of an entire audio signal so that the resulting peak amplitude matches a desired target. Zetta® now has the ability to use a RCS® Direct Show Peak form filter to calculate Peak form value, Trim in/out, Segue and run normalization analysis. Normalization can be set for each station and each type of asset.

Limit Peak – When the Limit Peak option is check the Absolute Peak will default at -20dB

Normalization algorithms used by Zetta®:

Absolute Peak – (As used in AFC 4.0) Absolute peak normalization checks every sample in the audio file and calculates the largest audio peak value.

Root Mean Square – (As used in Selector/MC 15) Uses the square root mean algorithm to calculate peak values, which is the square root of the mean or middle of the squares of the values.

Filtered Peak – (As used in AFC 3.0) Filtered peak normalization analyzes all the samples within an audio file and calculates the peak level by ignoring 5% of highest samples.

Average Peak – Average peak normalization is new with Zetta®; it analyzes all the samples within an audio file and calculates the median or middle value of the top 5% of the peaks.

Loudness (EBU R128) ITU-R BS.1770rev0 - Loudness normalization is concerned with balancing audio according to their actually perceived loudness. The EBU R128 is the recommended level of loudness at -23LUFS. The ITU-R BS.1770 standards provide an algorithm for quantifying the loudness and loudness level of a given audio asset in loudness units (LU or LUFS).

Loudness (Gated) ITU-R BS.1770rev3 - Loudness (Gated) ITU-R BS.1770rev3 is an algorithm to measure audio loudness of a Gated block of audio. Recommended for Broadcast audio.

Virtual Station Ducking

The Ducking tab allows the user to setup ducking percentages, duration and Fade time for ducking Songs under Links and Voice Tracks. Ducking allows the playout device to temporarily reduce the volume of a currently playing element (typically a song) when another element plays on top of it (so that they don't "fight" for on-air presence). Good examples could be a jingle auto posted over song's Intro, or Voice Tracks overlapping the ending of the previous song and the opening of the next song.

Song Level Under Links – The Song Level Under Links is the percentage amount to reduce the audio level of the song when played at the same time as a Link the lower the value the more Zetta will reduce the volume. (Default is 60%) When a Link is set as a Bed the audio level of the song will not be reduced.

Song Level Under Voice Tracks – The Song Level Under Voice Tracks is the percentage amount to reduce the audio level of the song when played at the same time as a Voice Track the lower the value the more Zetta will reduce the volume. (Default is 60%) When a Voice Track is set as a Bed the audio level of the song will not be reduced.

Song Level Under Quick Recording - The Song Level Under Quick Recording is the percentage amount to reduce the audio level of the song when played at the same time as a Quick Recording the lower the value the more Zetta will reduce the volume. (Default is 60%) When a Quick Recording is set as a Bed the audio level of the song will not be reduced.

Song Level Under Other Audio - The Song Level Under Other Audio events is the percentage amount to reduce the audio level of the song when played at the same time as an Other Audio event, the lower the value the more Zetta will reduce the volume. (Default is 60%). For additional information on Other Audio see the Other Audio tab in the System Configuration and the Other Audio section in the Library topic of this guide. When an Other Audio asset is set as a Bed the audio level of the song will not be reduced.

Use Song Ducking Levels for Beds - When an asset such as a Link is marked as a Bed, Zetta will use the Song Ducking Level for the bed. When the above options are used for Song Level and this option is also used, the bed will be ducked under the asset. For example: If the option Song Level Under Links is selected, the bed is ducked whenever a link overlaps the bed.

Settings

  • Ducking Start Offset in Seconds – The Ducking Start Offset is the amount of time to start fading down the song before the link or voice track audio begins. If the value is negative, ducking starts first, followed by a Link/VT (the value controls how much time ahead the ducking starts). If the value is positive, the Link/VT starts first, followed by an actual ducking (the value controls how much time into the link/VT the ducking starts)
  • Ducking End Offset in Seconds – The Ducking End Offset is the amount of time to fade up the song before the link or voice track audio ends. If the value is negative, fade up will be completed before a Link/VT end (the value controls how much time before the link/VT finishes that the song will need to be at full volume). If the value is positive, fade up will be completed after a link/VT end (the value controls how much time after the link/VT finishes that the song will need to be at full volume).
  • Fade Down Duration in Seconds – The Fade Down Duration is the time to start fading the song down to the target volume, at the Ducking Start Offset.
  • Fade Up Duration in Seconds – The Fade Up Duration is the time to start fading the audio back up to the original volume, at the Ducking End Offset.

Splits

The Splits tab is used to configure settings for Splits processing. Zetta® Splits must be enabled in the Configuration System General tab for the Splits tab to be visible in the Stations window.

Split Master

Spot Block Matching Method - The Spot Block Matching Method tells Zetta how to match the Spot Blocks in the Master stations log with the Spot Blocks in the Splits Clients log.

  • Spot Block Position (include empty Spot Blocks on the Master) - When the Spot Block Position (include empty Spot Blocks on the Master) option is selected on a Split Master station, Zetta will take into account any empty spot blocks on the Split Master station when matching the spot blocks in an hour to the spot blocks on a Splits Client station. When this option is selected and an empty spot block is scheduled to play on the Split Master station, Zetta will skip the spot block on the Split Master station and not play the corresponding spot block on the Split player station.
  • Spot Block Position (exclude empty Spot Blocks on the Master) - When the Spot Block Position (exclude empty Spot Blocks on the Master) option is selected and an empty spot block is scheduled to play on the Split Master station, Zetta will skip the spot block on the Split Master station but not the Split player station, therefore the next Split spot block that has events in the spot block for the Split Master will correspond to the next spot block that is waiting to play on the Split player station.
  • Spot Block ETM Time (adjacency not required) - If Spot Block ETM Time (adjacency not required) option is selected, instead of matching on the Spot Block number Zetta will match in the Spot Block's ETM. On the Master Zetta will look for an ETM's time. The ETM can be of ANY type (hit/reset/soft/hard) and have any status. The look up does NOT require immediate precedence for the ETM (hence why "adjacency not required"). When looking up the ETM, Zetta will never go past another Spot Block or past TOH. On the Split side, Zetta will look for an ETM of identical date/hour/minute and the Spot Block that follows the ETM within that hour (again immediate adjacency NOT required).

Use Longest Spot Block Length - When the Use Longest Spot Block Length is enabled, the Master Station will locate the Spot Block (checking both split stations and master station) with the longest fill length and set that length as the fill length for the Spot Block for the split stations and master station. Changes to the Spot Block such as, adding/removing non fill items from blocks and stations attaching/detaching themselves as split client stations will affect which station’s block length is used as the max block length. As these changes are made Zetta will adjust Spot Blocks with the new fill length, even if the block is currently playing.

Important Note!

This feature currently only works with Master and Split stations on the same database.

Override Split Behavior on all Spot Blocks with - The Override Split Behavior on all Spot Blocks with drop-down option, will assign all spot blocks the selected split behavior for the selected station. This is useful when switching a station to splits that is already scheduled. When this option is set, the Spot Block properties in the Log Module properties pane will show the override split behavior selected here and the control to change this setting in the properties window will be disabled.

Splits Master: Sends Serial Splits Messages Over - The Splits Master: Sends Serial Splits Message Over drop-down is used to select the RS232 Splits GPIO device that has been configured to send serial splits messages. If this option is used the Splits Forwarder: Receive Serial Splits Message Over RS232 Splits device will need to be configured and set in the Splits tab of the receiving sites Splits Forwarder station.

Splits Forwarder: Receive Serial Splits Messages Over - The Split Forwarder: Receive Serial Splits Messages Over drop-down is used to select the RS232 Splits GPIO serial device that has been configured to receive serial splits messages by the Split Forwarder station. The Splits Master: Sends Serial Splits Message Over RS232 device will need to be configured and set in the Splits tab of the Master Station at the sending site.

Split Player

Splits Master - The Splits Master drop-down is used to select the Splits Master station for the selected Split Player station.

Split Message Offset (Minutes): - The Split Message Offset setting is used to set the time between the actual splits playback and the time the split message feed is aired on the remote split system, this is used if splits playing back is not done real-time and the RS232 feed is being delayed. The Split Message Offset setting is used with serial communications to Split Master stations using the RS232 Splits GPIO setup.

Example: If it is 2:00 now, and Zetta is capturing a LIVE RS232 split feed and the split player is to play it back at 3:00, then the Split Message Offset is to be set at 60.

Forward Now Playing data from the Splits Master - When the Forward Now Playing data from Splits Master option is enabled, Now Playing Export when configured, will subscribe to both the split and master sequencer queue changes. This allows Now Playing Export to display the content from the master on the Splits Now Playing Export. In the following illustration the Master Now Playing Export is on the right and the Splits Now Playing Export is on the left. Notice the master song event, Scream is displayed for both stations but the spots following the master event are different for each station.

Important Note!

Content from the master will not include events such as breaks that will be covered by the split station. This option currently only works within Zetta site Splits not through ZCast or Serial.

Splits Master Provides Fill content - When the Splits Master Provides Fill content is selected the splits client will first attempt to fill using the material which is in the Splits Master’s spot block, then use fill material from the station’s Block Fill Category. Any asset that is not active for the split client station will automatically be set as active by the sequencer once it is used as fill material. When this option is deselected the splits station will use the fill material from the station’s Block Fill Category.

**See the Zetta Splits® topic in the Features section for additional instructions on using Shifts.

Create a Virtual Station

To create a new virtual station, perform the following steps:
  1. In the Configuration Menu, click Virtual Stations.
  2. Click the Add New Virtual Station [image] icon.
  3. Enter the Station Name to identify the station in the Details tab.
  4. Optionally, enter a Description to describe the station
  5. Optionally, select the check-box for Treat assets created via Logs ZCast as Virtual
  6. Optionally, use the Appearance drop-down to select an Appearance that is created in the Themes & Appearances Configuration window.
  7. Optionally, use the Row Highlight drop-down to select an Row Highlight appearance that is created in the Themes & Appearances Configuration window.
  8. Optionally, change the number of Past Days to Keep logs for the virtual station. Purge Old Logs must be selected in the Scheduled Maintenance tab of the System Configuration window.
  9. Optionally, change the number of Future Days to Schedule logs for the virtual station. Schedule Days must be selected in the Scheduled Maintenance tab of the System Configuration window.
  10. Select the Playback tab
  11. Set the Fade-Out Duration in seconds
  12. Select the Automation tab.
  13. Select the Automation options as defined below:
    • TOH ETM Type – The Top of Hour marker is treated as a Comment unless this option is set to Soft, Hard, Reset or Hit.
    • Auto Fade Songs at Segue – Auto Fade at Segue will automatically fade the current song when the segue is hit.
  14. Select the Normalization tab.
  15. Select the preferred Normalization options as defined below for each type of asset:
    • Limit Peak – When the Limit Peak option is check the Absolute Peak will be at 0dB

Normalization algorithms used by Zetta®:

    • Absolute Peak – (As used in AFC 4.0) Absolute peak normalization checks every sample in the audio file and calculates the largest audio peak value. (Default is –3dB)
    • Root Mean Square – (As used in Selector/MC 15) Uses the square root mean algorithm to calculate peak values, which is the square root of the mean or middle of the squares of the values. (Default is –20dB)
    • Filtered Peak – (As used in AFC 3.0) Filtered peak normalization analyzes all the samples within an audio file and calculates the peak level by ignoring 5% of highest samples. (Default is –6dB)
    • Average Peak – Average peak normalization which is new with Zetta®, analyzes all the samples within an audio file and calculates the median or middle value of the top 5% of the peaks. (Default is –6dB)
    • Loudness (EBU R128) ITU-R BS.1770rev0 - Loudness normalization is concerned with balancing audio according to their actually perceived loudness. The EBU R128 is the recommended level of loudness at -23LUFS. The ITU-R BS.1770 standards provide an algorithm for quantifying the loudness and loudness level of a given audio asset in loudness units (LU or LUFS).
    • Loudness (Gated) ITU-R BS.1770rev3 - Loudness (Gated) ITU-R BS.1770rev3 is an algorithm to measure audio loudness of a Gated block of audio. Recommended for Broadcast audio.
  16. Select the Ducking tab
  17. Set the Song Ducking levels to use with each type of asset.
  18. Optionally, if setting up a Split Forwarder station for serial connection, select the Splits tab to set the Splits Forwarder: Receive Serial Splits Message Over RS232 Splits serial device. The Splits Master: Sends Serial Splits Message Over RS232 device will need to be set in the Splits tab of the Master Station at the sending site.
  19. Click the Save [image] button to save the virtual station settings.

Welcome < Configuration < Virtual Station Configuration


ZCast Connections

The ZCast Connections configuration window is used to create Inbound and Outbound connections to other Zetta Databases for the transfer of asset audio, metadata, logs, splits, Tags, Rotations, Voice Tracks and Heads and Tails over a wide area network. The ZCast Service must be enabled in the Configuration | System | General tab for this window to be available for configuration. The ZCast Service uses HTTP / REST for communication between sites. See the ZCast Feature for additional information on the ZCast of assets.

Click any area in this image for help

Click any area in this image for help

ZCast Connections Toolbar

Inbound Connection Details

Outbound Connection Details

Creating a Site to Site ZCast Connection

ZCast Connections Toolbar

Add Connection - The Add Connection button is used to create Inbound and Outbound ZCast Connections.

Remove Connection - The Remove Connection button is used to delete ZCast Connections from the local Zetta database.

Export Connection - The Export Connection button is used to export existing connections to a file so they can be imported at another Zetta site. This makes creating connections easy. Simply create the Inbound connection at the local site, export it, then use it to create the Outbound connection at the sending site using the Import Connection button to import the ZCast Connection configuration file.

Import Connection - The Import Connection button is used to import ZCast connection configuration files that have been exported from another Zetta database.

Save - The Save button will save all the changes made in the ZCast Connection configuration window.

Important Note!

The File that is exported will have a file extension of .WC. Since the contents of this file is encrypted, editing the contents of the file will cause failure when imported.

Inbound Connection Details

When the Add Connection button is clicked the default connection displayed is an Inbound connection. It is recommended that the inbound connection for the site be created first, then exported so it can be imported at the sending site. Then the Name and Description can be changed at the sending site if needed.

To configure an Inbound ZCast Connection use the following fields:

Connection Type - The connection type drop-down is used to select the type of ZCast connection to be configured, Inbound or Outbound. NexGen connections are used for Multisite Voice Tracking of NexGen sites. For NexGen ZCast Connection information contact RCS Support for additional documentation.

Name - The Name is used to give the connection a short description of the Connection type.

Description - The Description is used to add more information about the ZCast Connection. (Optional)

Local URL - The Local URL is the path to the local ZCast Service. This field is read only. The Local URL information is automatically inserted into the field when Inbound is selected as a Connection Type. This is the URL that will be used in the Remote URL field of the Outbound connection at the sending site.

Match On - The Match On drop-down is used to select how the local Zetta database will match existing assets to those assets being transferred in via the ZCast Connection. RCS recommends using the GUID option.

Connection Key - The Connection Key window displays the encrypted key used to connect to the Inbound connection. The Key for an Inbound connection is created using the Create Connection Key button. The Copy Connection Key button can be used to Copy an existing connection key to the windows clipboard to be pasted in a document or Email.

Station Access - Use the Show Permissions or the Expand All arrow to view the Permissions for each station. The Permission grid section is used to select the stations to allow or deny different types of content and to control the actions that each side of the connection may perform. This information will be sent the remote station once the connection is made.

Receiver - Inbound Connection permissions:

The Columns control the type of content and the rows control the allowable actions for each station.

Assets - This includes any asset in the Zetta System.

Logs - This includes Logs, Virtual Station logs and Background recorder logs.

Splits - The Splits option is used to allow Master stations to communicate with splits station over a wide area network. Station can act as a Split Message Forwarder and can receive split messages.

VT & HT - This is used to receive Voice Track for the Log and the Heads a Tails of assets before and after the voice track.

Segue Transitions - This is used to receive the Intros and Outros marks for the assets.

Can I Receive - Station will accept assets, logs, Splits, VT & HT and Segue Transitions on this connection when there is a green check in the permission grid.

Can I Request - Station can request assets, logs, VT & HT and Segue Transitions on this connection when there is a green check in the permission grid. The Sender must have the permission to Allow request for this station.

Can They Request - Station will allow sender to request logs on this connection when there is a green check in the permission grid.

Outbound Connection Details

The Outbound connection configuration holds information about the receiving site. The easiest way to create an Outbound ZCast Connection is to Import a ZCast configuration file from a pre-configured Inbound connection of the receiving site.

To configure an Outbound ZCast Connection use the following fields, this information is automatically input when Importing an Inbound ZCast Connection configuration file from a receiving site.

Connection Type - The connection type drop-down is used to select the type of ZCast connection to be configured, Inbound or Outbound. NexGen connections are used for Multisite Voice Tracking of NexGen sites. For NexGen ZCast Connection information contact RCS Support for additional documentation.

Name - The Name is used to give the connection a short description of the Connection type.

Description - The Description is used to add more information about the ZCast Connection. (Optional)

Remote URL - The Remote URL is the path to the remote sites ZCast Service. Use the Test button to populate the available stations from the remote site.

Connection Key - The Connection Key window displays the encryption key used to connect to the Inbound connection. The Key for an Inbound connection is created using the Create Connection Key button. The Copy Connection Key button can be used to Copy an existing connection key to the windows clipboard to be pasted in a document or Email and sent to the sending site. The Connection key is then pasted into the Outbound Connection using the Paste Connection Key button.

Station Access - Once the Connection is made, using the Test button, the Outbound Station Access grid is populated with the station available at the remote site. Select the Local stations that have access to the allowed remote stations from the inbound site. This is where a virtual station can be used to match up with actual stations. This is also where the Auto send audio is selected to allow changes to assets to be automatically sent to remote stations. If the Auto send audio is selected and an asset is deleted or deactivated this change will be sent to the remote station automatically. Be sure to enable the Corresponding permission on each side of the connection when enabling a send option. For example, if the outbound connection has the permission to Send Assets then the inbound connection will need the Receive Assets permission.

Sender: Outbound connection permissions:

The Columns control the type of content and the rows control the allowable actions for each station.

Can I Send - Station will send assets, logs, Splits, VT & HT and Segue Transitions on this connection when there is a green check in the permission grid.

Enable Auto Send - Assets activated, Logs, VT&HT and Segue Transitions changes on this station will be automatically sent to receiving station on this connection when there is a green check in the permission grid. This option is available when Can I Send is enabled for Assets and Logs. If this option is selected for Logs the Enable Auto Send is automatically selected for VT&HT and Segue Transitions. The time that Zetta will wait before the auto ZCast of a log change is 1 minute, assets are sent immediately.

Can They Request - Station will allow receiver to request assets, logs, VT & HT and Segue Transitions on this connection when there is a green check in the permission grid.

Creating a Site to Site ZCast Connection

The following steps can be used to setup a ZCast connection between two Zetta sites.
  1. On the Receiving site, click ZCast Connections from the Configuration menu.
  2. Click the Add Connection [image] button
  3. Select Inbound for the Connection Type
  4. Enter a Name to describe the connection.
  5. Optionally enter an Description of the connection.
  6. Select the Match On option for Zetta to use when matching existing Assets to those transferred via ZCast.
  7. Click the Create Connection Key button.
  8. Select the Permissions.

  9. Click Save [image] to save the ZCast Connection.
  10. Click Export [image] to export the ZCast Connection configuration to a file.
  11. Transfer the file to the sending site via Email, shared folder or other means.
  12. On the Sending site, click ZCast Connections from the Configuration menu.
  13. Click the Import [image] button to import the ZCast Connection configuration file.
  14. The Connection Type is automatically set to Outbound.
  15. Edit the Name if desired.
  16. Optionally, edit or enter a Description.
  17. Select the Test button to populate the available stations from the remote site.
  18. Select the Local Station(s) with access to the Remote Station.
  19. Select the Permissions.

  20. Click Save [image] to save the ZCast Connection.
  21. Repeat to send data the other direction.

Welcome < Configuration < ZCast Connections


Multisite VT Destinations

The Multisite VT Destinations is used to assign the Organizations to different times in the day. This is used for personalities who voice track different stations depending on the time of day. When the Multisite Voice tracker service is enabled and an Organization is assign in this window the Multisite Voice Tracking [image] button is available in the toolbar of the Logs Module.

Example: If the personality voice tracks for stations X, Y and Z in the daytime but then voice tracks for A, B and C for the rest of the time, setting the grid as follows will load only the logs for the assigned stations in to the Master VT log during that time period.

Important Note!

Organization should not overlap, meaning two organization should not be assigned to the same hour. When this happens the grid shows those hours in pink.

Multisite VT Destinations Details

Assign Organizations to Days/Hours in the Multisite VT Destinations Grid

Multisite VT Destinations Details

The Multisite VT Destinations window is divided into the following two panes with assign and unassign buttons in the middle of the window.

Organizations - The left pane list the Organizations created using the Organizations Configuration window. Selecting an Organization in the list will highlight the Day/Hour grid where the organization is assigned.

Day/Hour Grid - The Day / Hour Grid shows the Days and Hours that and Organization is allowed to be Voice Tracked.

Assign Organizations to Days/Hours in the Multisite VT Destinations Grid

To configure the Multisite VT Destinations window, perform the following steps:
  1. Select Multisite VT Destinations from the Configuration menu
  2. Select the first hour to assign, hold the Shift key and select the last hour to assign.

  3. Select the Organization to assign to the hours from the left pane.
  4. Select the Assign button in the middle of the window.

  5. Click Save
  6. Close the Multisite VT Destinations window.
  7. Restart Zetta.

Welcome < Configuration < Multisite VT Destinations


Hotspare

Welcome < Configuration < Hotspare Configuration

Hotspare Configuration

Zetta® has the ability to switch the sequencer and play containers of a computer to a pool of computers or to a dedicated standby computer to run the log and play audio. The following are some of the use cases where Hotsparing could come into use:

System Maintenance - A Hotspare can be used for a station needing to perform upgrades or scheduled maintenance.

Hotspare Pooling - Hotsparing can be used for Sequencer/Playback Station Recovery where a system failure or hardware failure has occurred and needs to get the station back on air as soon as possible.

Studio Switching - Studio Switching from the On-Air Module can be used for live shows or disaster recovery. Studio Switching can be used in cases where there is shared studios. Stations needing to use a studio can perform studio switching to get the sequencer or audio directly routed out of a rack room into a studio with mixers and controls.

Dual / In-Studio Audio - Sneak a peek at what is playing in a station. Hotsparing can be used to mirror audio onto separate outputs. For those streaming stations, this is a way to get a sneak peek at what is currently playing on a station without having to find ways to route audio.

There are no limitations to how a hotspare is configured; one or all tasks can be reassigned to a hotspare. The load of a primary computer can be distributed amongst several other computers for a single station or a single computer can act as a hotspare for multiple stations. The Hotspare configuration window is broken down into two panes when the Add Hotspare [image] is clicked. The top pane of the hotspare configuration window shows a list of configured hotspares. The bottom pane displays the hotspare configuration options.

Click any area in this image for help

Click any area in this image for help

Hotspare Toolbar

Hotspare Details

Hotspare Pooling

Hotspare Configuration Step-By Step Topics

Hotspare Toolbar

The Hotspare option of the Configuration Menu allows the user to add, delete, view and edit hotspare computer and station configurations using the following toolbar options:

Add Hotspare – The Add Hotspare button is used to add a configured computer as a Hotspare

Delete Hotspare - The Delete Hotspare button is used to remove a computer from the hotsparing.

Hotspare Details

When the Add Hotspare [image] button is clicked at the top of the window the hotspare window is divided into two panes. The bottom pane of the window is used to configure the Computer, Players and Station used for the hotspare.

Hot Spare Name

Use the Hot Spare Name field to enter a descriptive name of the Hotspare, this name will be displayed in other windows of Zetta®.

Available Stations

The Available Stations section allows the user to add [image] and delete [image] stations from the hotspare configuration.

Hot Spare Options

The following options are optional. This allows hotsparing to be used for any one of the following options together or individually.

Computer – Selecting a Computer will use the computer to run the sequencer when activated. Selecting only the Computer will allow the computer to run the sequencer but still use the players from the original computer.

Sequencer Play Container – Selecting the Sequencer Play Container will switch the play of audio for the log when the hotspare is activated. Selecting only the Sequencer Play Container will switch only the player when hotsparing is activated.

Hot Keys Play Container – Selecting the Hot Keys Play Container will switch the play of Hot Keys® to the hotspare when the hotspare is activated. Selecting only the Hot Keys Play Container will switch only the player when hotsparing is activated.

Stack Play Container - Selecting the Stack Play Container will switch the play of Stacks to the hotspare when the hotspare is activated. Selecting only the Stacks Play Container will switch only the player when hotsparing is activated.

Z-Player Play Container - Selecting the Z-Player Play Container will switch the play of audio in the Z-Player to the hotspare when the hotspare is activated. Selecting only the Z-Player Play Container will switch only the player when hotsparing is activated.

Arm Station Play Containers when activated - Selecting the option Arm Station Play Containers when activated, will tell Zetta to automatically arm the (Station Play Containers) for the original computer when the Activate option is selected in the Hotspare Manager or the Studio Switching console of the On-Air Module. This can be used to keep Station's default play container armed after a Hotspare has been activated.

Stop audio playback on disarm - This option is selected by default and tells Zetta to stop playing audio for the play container of the hotspare when it is disarmed. When this option is deselected the audio will continue to play for the current event on the disarmed play container.

Stop audio playback on deactivate - This option is selected by default and tells Zetta to stop playing audio for the play container of the hotspare when it is deactivated. When this option is deselected audio will continue to play for the current event on the deactivated play container.

Important Note!

In Audio Assignments tab of the Computer Configuration, playback can be redirected for Hot Keys, Stacks and Z-Player to use local or specific play containers. If this is done the play containers will remain as set in the Audio Assignments tab for the local computer when hotsparing is activated.

Hotspare Pooling

Adding multiple machines to one station creates a pool of computers that can be used if the station goes down. Adding multiple stations to one computer allows the hotspare computer to be used for any station selected.

Hotspare Configuration Step-By Step Topics

To setup a Hotspare computer the computer, play devices and play containers for the hotspare must be configured. Once the Computer, play devices and play containers have been configured the hotspare can then be configured using Hotspare from the Configuration menu. Hotsparing is then managed from the Tools menu using the Hotspare Manager. Hotspares can also be switched using the Studio Switching pane of the On-Air Module.

Hot Spare Options

Add Hotspare

Hotspare GPIO Configuration

Add Hotspare

To add computer(s) to the Hotsparing option in Zetta®, perform the following steps:
  1. Using the Configuration Menu, click Hotspare
  2. Click the Add Hotspare [image] button at the top of the window.

  3. In the bottom section of the hotspare window enter a Hot Spare Name
  4. Select a Computer from the drop-down
  5. Optionally, select a Sequencer Play Container
  6. Optionally, select a Hot Keys Play Container
  7. Optionally, select a Stacks Play Container
  8. Optionally, select a Z-Player Play Container
  9. Optionally, select the Arm Station Play Containers when activated option.
  10. Optionally, deselect the Stop audio playback on disarm option.
  11. Optionally, deselect the Stop audio playback on deactivate option.
  12. Click the Add Station to Hotspare [image] button from the bottom right pane.
  13. Select the desired station(s) from the Select Stations list. Selecting multiple stations allows the computer selected to be used as the hotspare for any of the stations selected.
  14. Click OK

  15. Click Save
  16. Hotsparing is managed from the Tools menu using the Hotspare Manager.

Important Note!

To setup Audio Localization for the Hot Spare go to the Caching and Playback Priority tab of the Hot Spare Computer Configuration and select what audio is to be localized using the Localize Hot Spare Audio option.

Hotspare GPIO Configuration

GPIO devices can be used to trigger the switching of Hotspares for sudden hardware or software failures.

To configure a GPIO device to handle the switching of hotspares in Zetta, perform the following steps:

1. Create a Hotspare using Configuration | Hotspare

2. Add a GPIO Device using the Configuration | Computers| GPIO Devices tab

3. Create a GPIO Mapping in Configuration | System | Command Mappings

4. Setup the following GPIO events in the newly created GPIO Mapping:

a. Select Sequencer.HotspareArm to arm the audio on the hotspare machine; select the station and the Hotspare to use for this event.

b. Select the Sequencer.Hotspare for switching to the hotspare computer; select the station and the Hotspare to use for this event.

c. Select Sequencer.HotSpareRemoveArm to remove the Arming of audio on the hotspare; select the station and the Hotspare to use for this event.

5. Save [image] the Mappings

6. When the GPIO is fired the GPIO History will display the event

Welcome < Configuration < Hotspare Configuration


Flat File Assignment

The Flat File Assignment in the Configuration menu is used to configure a flat file load for Traffic and Music from external systems and to create reconciliation file to be used to reconcile what actually played in Zetta with these external systems. The file created for load into Zetta® should be a file with formatted information in specific columns or comma delimited format. The Flat File Assignment window, shown below, instructs Zetta® where the file is located for each station. Zetta® ships with pre-configured templates for some of the known Scheduling systems available. Templates can be created; contact RCS Support for assistance in creating a template. Zetta® can process the file and load the log Automatically or Manually. When the Flat File assignment is set to Auto, the Computer selected in the assignment will check for a new file every 10 minutes. When the Flat File Assignment is set to Manual the file can be loaded using the Load Flat File [image] button in the Logs Module. When the Flat File is loaded Zetta will match assets based on the External ID of the Asset, Zetta will first look at the active assets for the station and then the inactive assets. If the asset does exist, but is not active the asset will be set to active. If the Asset does not exist in Zetta® the asset will be created in the Library with a to be created status. This means the asset metadata card is created with any information provided in the flat file without audio. If the external id in the flat file is blank, then Zetta can’t match it with an asset in the database and will place a comment in the log at that position. Assets that are loaded into Spot Blocks are loaded from the top of the spot block down. Once the Traffic/Music file is loaded the file is moved and renamed, with the date and time the file was loaded, to a Processed Flat Files folder in the same path as the loaded file.

Important Note!

When Manual is selected the Computer configuration is ignored and the Computer used to locate the file is the Local machine.

Click any area in this image for help

Click any area in this image for help

Flat File Assignment Configuration Toolbar

Flat File Assignment General Configuration

Flat File Load File Formats

Flat File Reconcile File Formats

Flat File Assignment Step-by-Step Topics

Flat File Assignment Configuration Toolbar

The Flat File Assignment menu option of the Configuration Menu allows the user to add, delete, view and edit Flat File assignments using the following toolbar options:

Add Assignment - The add assignment button allows the user to add a flat file assignment for any configured station.

Remove Assignment - The Remove assignment button allows the user to delete a flat file assignment.

Save All - The Save All button saves all changed configurations.

Flat File Assignment General Configuration

Assignment Name

Assignment Description

Path\Filename

Processing Type

Computer

Station

Type

Content

Template

Character Encoding

Create missing assets

Activate scheduled assets

Spot blocks can span an hour

Delete all spots in spot blocks before loading traffic

Traffic Load Position marker to hold multiple Spots

Assignment Name

The assignment Name is the name of the Flat File assignment for the station.

Assignment Description

The assignment description is for a detailed description of the flat file assignment for the station.

Path\Filename

The Path and filename is for the location of the computer and share where the file can be located. The computer selected must have read access to the path and filename when set to auto for the processing type. The filename can be a literal filename or one with wild card variables that will use the log's date to determine the filename. The following is a sample list of wild card variables that can be used for the filename:

Variable | Type | Example
@YYY | 4 digit Year | 2010
@Y | 2 digit Year | 10
@M | 2 digit Month | 01 to 12
@D | 2 digit Day | 01 to 31

Processing Type

Use the Processing Type option to set the Flat File Processing to Auto or Manual. When this is set to auto and the type is set to load, the Computer selected will check the Path for the filename entered every 10 minutes to locate the file and load it into the day's log. When the Processing Type is set to Auto and the Type is set to Reconcile the flat file will be created 15 minutes after midnight in the Path specified. In Manual mode the Load Traffic/Music from Flat File [image] button in the Logs Module can be used to load/reconcile the desired file. In manual mode the Computer selected does not load/reconcile the flat file; rather the local Computer will load/reconcile the file. Once a load flat file is processed the file is moved and renamed, with the date and time the file was loaded, to a folder called Processed Flat Flies in the same Path configured.

Computer

The Computer is the computer that will search and load/reconcile the flat file designated when the Flat File assignment is set to Auto.

Station

The Station is the station log that the Flat File Assignment will perform a load/reconcile.

Type

Type is the type of Flat File Assignment that should be processed; load will load the flat file, reconcile will create a flat file for use in third party system for log reconciliation.

Content

Content is used to specify if the file is for Full Schedule, Traffic or Merge. Merge is only available if the Flat File assignment is a Load type file. The merge option is used with the Clock/Log event Empty Slot. When the Flat File is merged into Zetta, if there is not enough material any remaining Empty Slot(s) will be left in the log unpopulated; if there is too much merge material in the flat file, Zetta will drop positions that do not fit the hour. Traffic (Splits only with ETMs) can also be selected when loading traffic for a splits station. When the Traffic (Splits only with ETMs) option is selected, when Zetta loads the flat file, it will delete any existing schedule (including any events added by users) then load the flat file into the schedule and prepend ETMs to the spot blocks that are created by the flat file.

Important Note!

When the Traffic (Splits only with ETMs) option is selected, Zetta will delete the existing schedule every time the Flat File is loaded. This includes the previous load and any changes that have occurred to the schedule since the previous load.

Template

The Template option allows the user to select an existing template, the template tells Zetta® what fields are in each column of the file being loaded or what to include for the reconcile file. There are five pre-loaded Templates. New templates can be created, contact RCS Support for assistance in creating a template.

  • ASCIICON Load - If using the Merge Content selection for Flat File Load it is recommended the ASCIICON Load template be selected. When using the ASCIICON load file with links; Zetta will first search for the asset in the link library, if the asset does not exist as a link, Zetta will then search and match on the external id of all asset types in the library, if it is still not found the metadata card will be created in the Link Library with a to be created status. The ASCIICON template supports the loading songs, links, spots, VTs, spot blocks, TOHs, ETMs, empty VT slots, comments, macros and the stretch property where applicable (used for Stretch to ETM feature).
  • ASCIICON Load (Long ID) - This load template is similar to the ASCIICON Load with the exception of the External ID. The External ID in ASCIICON Load (Long ID) file is 24 characters instead of 8.
  • ASCIICON Reconcile
  • ASCIICON Reconcile (Long ID)
  • NexGen Load
  • V15Native
  • V15Native Reconciliation
  • V15Native Traffic Load (Splits Only)
  • V15Native With ISCI - This template is the same as the V15 Native with additional columns for the Spot ISCI code identifier.
  • V15Native With ISCI Reconciliation
  • V15Native With ISCI Traffic Load (Splits Only) - This template is the same as the V15 Native Traffic Load (Splits Only) with additional columns for the Spot ISCI code identifier.
  • Viero Load
  • Viero Reconciliation

Character Encoding

The Character Encoding can be used to change the type of encoding used by Zetta when Loading or Reconciling the flat file. This is used by international sites or sites using international characters, such as Å, Ä, Ö. It is important to make sure that whatever application generates or reconciles the flat file, follows the same text encoding standard as configured in Zetta, otherwise the interfacing between the two applications may not work properly.

Create missing assets

The Create missing assets option is used to create any assets that are found in the load file but not in Zetta. This is typically used for spots that are to be created by the production staff, allowing the traffic person to load the spot into the log and create the asset needed. This will however create any type of asset found in the load file that is missing in Zetta. When this option is not selected a Flat file load will create a comment event in the log for any asset in the flat file which does not match up with one in the database. For asset types whose metadata scope is Station or Global, ASCIICON & V15Native flat file load will match the external ids in the flat file up with asset external ids in the database. For asset types whose metadata scope is Cuts, ASCIICON & V15Native flat file load will match the external ids in the flat file up with cut external ids in the database. If there's no match on cut external id, Zetta will try to match the external id in the flat file with asset external ids in the database. See the Audio Types topic for additional information on metadata scope.

Activate scheduled assets

If the Activate scheduled assets option is selected, when a schedule is loaded for a station by flat file, any assets called for by the file that are not active will be activated. If this option is deselected, any assets called for by the flat file that are not active will NOT be activated during scheduling. This option is selected by default.

Spot blocks can span an hour

Use the Spot blocks can span an hour option when a spot block will span over the top of the hour. If this option is selected, then a spot at the beginning of an hour will be place in a spot block in the previous hour if and only if its start time is the stop time of the last spot in the previous hour. If this option is not selected, then the spots in the traffic file will be placed into the hour specified by their start time in the flat file. This option is only available when Load is selected as the Type and Traffic is selected as the Content.

Delete all spots in spot blocks before loading traffic

If the Delete all spots in spot blocks before loading traffic option is unchecked, traffic load will delete all events that were created by a previous traffic load but leave any spots or rotations that were added manually or by other method. If the Delete all spots in spot blocks before loading traffic option is checked, traffic load will delete all events from previous traffic loads and all spots or rotations (assigned or unassigned) in a spot block even if they were NOT created by a previous traffic load.

Traffic Load Position marker to hold multiple Spots

The Traffic Load Position marker to hold multiple Spots option, is used with the Traffic Load Position Control Event when placed in a Spot Block. By default spots are loaded into the spot block from the top down. For every Traffic Load Position a spot will be placed in the Spot Block. If there are more spots than traffic load positions for the Spot Block and First Marker is selected for this option, then the extra spots will be loaded into the first traffic load position as seen in the following example:

First Marker

Spot Block

Traffic Load Position

Spot 1

Spot 2 (extra spot)

Traffic Load Position

Spot 3

When the Traffic Load Position marker to hold multiple Spots is set to Last Marker then the extra spots will be loaded into the last traffic load position as seen in the following example:

Last Marker

Spot Block

Traffic Load Position

Spot 1

Traffic Load Position

Spot 2

Spot 3 (extra spot)

Flat File Load File Formats

The Flat File Assignment window has several pre-configured templates to assist in the loading of Traffic. The following section show the formats of the load files that Zetta will look for in the path specified.

ASCIICON Load

ASCIICON Load (Long ID)

NexGen Load

V15Native

V15Native Traffic Load (Splits Only)

V15Native With ISCI

V15Native With ISCI Traffic Load (Splits Only)

Viero Load

ASCIICON Reconcile

ASCIICON Reconcile (Long ID)

V15Native Reconcile

V15Native With ISCI Reconciliation

Viero Reconciliation

ASCIICON Load

The ASCIICON format file is used to import the entire schedule into Zetta. Each hour in the file completely replaces the hour in Zetta.

Example file:

The following table explains what is contained in a ASCIICON load file. The Value is what Zetta is looking for so it knows what to schedule, the Column is the position in the line that Zetta will look for the value, the length is the number of characters for the value and the description describes the value.

Value

Column

Length

Description

Airtime (HH:MM:SS)

1

8

This is the Air time of the event in the time format HH:MM:SS this is Optional except for ETMs and TSON/OFF

!

9

1

! is used to set the event as fixed Zetta will use backtiming to ensure the event plays

Event Type:

10

4

The following Event Types are placed in column 10 and use a length of 4 characters.

HARD

HARD is used to schedule a hard ETM

SOFT

SOFT is used to schedule a soft ETM

HIT

HIT is used to schedule a hit ETM

REST

REST is used to schedule a reset ETM

SONG

SONG is used to schedule a song

LINK

LINK is used to schedule a link

SPOT

SPOT is used to schedule a spot

HOLD

HOLD is used to schedule a spot block

VTSL

VTSL is used to schedule an Empty Voice Track Slot

MACR

MACR is used to schedule a Macro

COMT

COMT is used to schedule a Comment

USNG

USNG is used to schedule an Unscheduled Song

ULNK

ULNK is used to schedule an Unscheduled Link

SHOW

SHOW is used to schedule a Show

SBST

Spot Block Start

SBEN

Spot Block End

TLPO

TLPO is used to schedule a Traffic Fill Position. Used with the above Spot Block Start and Spot Block End.

FILP

FILP is used to schedule a Fill Position

#

14

1

# tells Zetta the event can be stretched or squeezed

External id

15

8

External id is an alpha numeric value for the event being scheduled.

For asset types whose metadata scope is Station or Global, flat file load will match the external ids in the flat file up with asset external ids in the database.

For asset types whose metadata scope is Cuts, flat file load will match the external ids in the flat file up with cut external ids in the database. If there's no match on cut external id, Zetta will try to match the external id in the flat file with asset external ids in the database.

See the Audio Types topic for additional information on metadata scope.

If the External ID for a song, link or spot is blank then Zetta will import the event as a comment.

=

23

1

= is used to make the scheduled Macro a Hard Timed macro. Use with the Event Type MACR in column 10.

Chain type:

24

1

The following Chain types can be placed in column 24

X

X is used to set the chain type to segue

A

A is used to set the chain type to autopost

S

S is not supported but if used is treated as segue

L

L is used to set the chain type to link to song

-

- is used to set the chain type to stop

Split Mode:

25

1

Used to identify the Split Mode

S

Master Silent

A

Master Audio

M

Master Monitor

Length (mm:ss)

26

5

This is the Length of the event in the time format of mm:ss

Asset Title/Macro Name/ Comment Text

32

71

This is the Title of the Asset, Macro Name or Comment Text.

The Title of the Asset or the Name of the Macro must match exactly with what is in the Zetta Database.

Note: If the Macro Name does not exist in the database then it will be imported as a comment.

Important Note!

The following Selector/V15 ASCIICON Event types are not supported and will be turned into comments in Zetta TSON, TSOF, CCON, CCOF, CCMO, CONT.

ASCIICON Load (Long ID)

The ASCIICON Load (Long ID) format file is used to import the entire schedule into Zetta. Each hour in the file completely replaces the hour in Zetta. This load template is similar to the ASCIICON Load with the exception of the External ID. The External ID in ASCIICON Load (Long ID) file is 24 characters instead of 8.

Value

Column

Length

Description

Airtime (HH:MM:SS)

1

8

This is the Air time of the event in the time format HH:MM:SS this is Optional except for ETMs and TSON/OFF

!

9

1

! is used to set the event as fixed Zetta will use backtiming to ensure the event plays

Event Type:

10

4

The following Event Types are placed in column 10 and use a length of 4 characters.

HARD

HARD is used to schedule a hard ETM

SOFT

SOFT is used to schedule a soft ETM

HIT

HIT is used to schedule a hit ETM

REST

REST is used to schedule a reset ETM

SONG

SONG is used to schedule a song

LINK

LINK is used to schedule a link

SPOT

SPOT is used to schedule a spot

HOLD

HOLD is used to schedule a spot block

VTSL

VTSL is used to schedule an Empty Voice Track Slot

MACR

MACR is used to schedule a Macro

COMT

COMT is used to schedule a Comment

USNG

USNG is used to schedule an Unscheduled Song

ULNK

ULNK is used to schedule an Unscheduled Link

SHOW

SHOW is used to schedule a Show

SBST

Spot Block Start

SBEN

Spot Block End

TLPO

TLPO is used to schedule a Traffic Fill Position. Used with the above Spot Block Start and Spot Block End.

FILP

FILP is used to schedule a Fill Position

#

14

1

# tells Zetta the event can be stretched or squeezed

External id

15

24

External id is an alpha numeric value for the event being scheduled.

For asset types whose metadata scope is Station or Global, flat file load will match the external ids in the flat file up with asset external ids in the database.

For asset types whose metadata scope is Cuts, flat file load will match the external ids in the flat file up with cut external ids in the database. If there's no match on cut external id, Zetta will try to match the external id in the flat file with asset external ids in the database.

See the Audio Types topic for additional information on metadata scope.

If the External ID for a song, link or spot is blank then Zetta will import the event as a comment.

=

23

1

= is used to make the scheduled Macro a Hard Timed macro. Use with the Event Type MACR in column 10.

Chain type:

40

1

The following Chain types can be placed in column 40

X

X is used to set the chain type to segue

A

A is used to set the chain type to autopost

S

S is not supported but if used is treated as segue

L

L is used to set the chain type to link to song

-

- is used to set the chain type to stop

Split Mode:

41

1

Used to identify the Split Mode

S

Master Silent

A

Master Audio

M

Master Monitor

Length (mm:ss)

42

5

This is the Length of the event in the time format of mm:ss

Asset Title/Macro Name/ Comment Text

48

71

This is the Title of the Asset, Macro Name or Comment Text.

The Title of the Asset or the Name of the Macro must match exactly with what is in the Zetta Database.

Note: If the Macro Name does not exist in the database then it will be imported as a comment.

NexGen Load

The NexGen Load format file is used to import a NexGen flat file into Zetta. This option is typically used for Multisite Voice Tracking Zetta to NexGen. Each hour in the file completely replaces the hour in Zetta. Contact RCS Support for assistance with Multisite Voice Tracking Zetta to NexGen documentation.

Value | Column | Length | Description
Event Type: | 1 | 2 | The following Event Types are placed in column 1 and use a length of 2 characters.
03 |  |  | 03 is used to schedule a song
04 |  |  | 04 is used to schedule a link
08 |  |  | 08 is used to schedule a spot block
71 |  |  | 71 is used to schedule an Empty Voice Track Slot
09 |  |  | 09 is used to schedule a Comment
External id | 4 | 8 | External id is a numeric value for the event being scheduled.
Title | 13 | 24 | This is the Title of the event
Length (mm:ss) | 38 | 4 | This is the Length of the event in the time format of mm:ss
Day of Week | 43 | 1 | Not used by Zetta
Month (MM) | 45 | 2 | Not used by Zetta since the file name has the date.
Date (DD) | 48 | 2 | Not used by Zetta since the file name has the date.
Year (YY) | 51 | 2 | Not used by Zetta since the file name has the date.
Hour of Day | 54 | 2 | This is the Hour of the Day that the event will be scheduled.

V15Native

V15Native is a Selector/V15 traffic file format used to load traffic into a Zetta log that has spot blocks. The file contains spots only. Zetta places each spot in the file into the closest spot block in the log that follows an ETM whose time is equal to or earlier than the spot’s air time.

Example file:

The following table explains what is contained in a V15Native file. The Value is what Zetta is looking for so it knows what to schedule, the Column is the position in the line that Zetta will look for the value, the length is the number of characters for the value and the description describes the value.

Value

Column

Length

Description
C

1

1

The letter C designates the information that follows is for a Commercial

Air time (HHMM:SS)

2

7

This is the Air time of the event in the time format HHMM:SS

External id

9

15

This is the External id of the event this can be an alpha numeric value. Zetta first looks for a matching Cut external ID if one is not found then it looks for a matching Asset external ID.

If the External ID for a song, link or spot is blank then Zetta will import the event as a comment.

Title

24

24

This is the Title of the event
priority number 48 3 This is the priority number used by V15,this is not used by Zetta

Length (MMSS)

51

4

This is the Length of the event in the time format of MMSS

commercial type

55

4

This is the commercial type used by V15,this is not used by Zetta)

customer id

59

6

This is the customer id used by V15,this is not used by Zetta)

Internal Code

65

2

This is the Internal Code used by V15, this is not used by Zetta)

Product Code

67

4

This is the Product Code used by V15, this is not used by Zetta)

Ordered Time

71

8

This is the Ordered Time used by V15, this is not used by Zetta)

Sponsor1

79

24

This is the first Sponsor of the event

Sponsor2

103

24

This is the second Sponsor of the event

Comment

127

24

This is used for Comments

Start Date (MM/DD/YY)

151

8

This is the first day the event is available for play

Start Time (HH:MM)

159

5

This is the time the event is available for play on the Start Date

Stop Date (MM/DD/YY)

164

8

This is the Stop Date; the event is not available for play after this date.

Stop Time (HH:MM)

172

5

This is the Stop Time; the event is not available for play after this time on the Stop Date.

Kill Date (MM/DD/YY)

177

8

This is the Date the event is archived

Product1

185

15

This is the first Product listed for this event

Product2

200

15

This is the second Product listed for the event

is Live? 'Y' or 'N'

215

1

This is used to tell Zetta is the event is a Live event

is External? 'Y' or 'N'

216

1

This is used to tell Zetta the event is External to Zetta such as a Time Announcement

CBSI Stopset number '01', '02',

217

2

This is a CBSI Stopset number '01', '02', ... this is not used by Zetta)

V15Native Traffic Load (Splits Only)

The V15Native Traffic Load (Splits Only) template uses the same format as V15Native, but gets loaded differently. This file is meant to be loaded into empty hours on a split station. It creates the spot blocks in the log and sticks the spots from the file into the spot blocks. All spots with the same minute value in the airtime field are placed in the same spot block. The airtime does not tell when a spot will play. It tells the hour and spot block for the spot. The split master will determine when the spot block is played.

V15Native With ISCI

The V15 Native With ISCI is the same as the V15 Native with the addition of the ISCI value in Columns 254 thru 278 for the Spot ISCI code identifier.

V15Native With ISCI Traffic Load (Splits Only)

The V15Native With ISCI Traffic Load (Splits Only) template uses the same format as V15Native With ISCI, but gets loaded differently. This file is meant to be loaded into empty hours on a split station. It creates the spot blocks in the log and sticks the spots from the file into the spot blocks. All spots with the same minute value in the airtime field are placed in the same spot block. The airtime does not tell when a spot will play. It tells the hour and spot block for the spot. The split master will determine when the spot block is played.

Viero Load

The Viero Load template is used to load a flat file from Viero into Zetta. This load template can also be used for splits.

Example File:

The following table explains what is contained in a Viero load file. The Value is what Zetta is looking for so it knows what to schedule, the Column is the position in the line that Zetta will look for the value, the length is the number of characters for the value and the description describes the value.

Value | Column | Length | Description
Air time (HH:MM:SS) | 6 | 8 | This is the Air time of the event in the time format HH:MM:SS
External id | 15 | 7 | This is the External id of the event this can be a numeric value
Verify Sequence | 23 | 10 | This number is used when the log is reconciled with Viero.
Title | 41 | 30 | This is the Title of the event
BLOCK # | 41 | 8 | This defines the Spot Block position for the spots that follow this position in the file.

Flat File Reconcile File Formats

The Flat File Assignment window has several pre-configured templates to assist in the reconciling of Traffic. The following section show the formats of these reconcile files when exported from Zetta to the path specified.

ASCIICON Reconcile

The ASCIICON Reconcile file is the same format as ASCIICON Load except columns 26-30 show the actual Runtime the event played.

Important Note!

 The actual Runtime will be the full time that the event played (trim in to trim out if the event played normally and wasn't stopped early), not the time until it segued into the next event.

ASCIICON Reconcile (Long ID)

The ASCIICON Reconcile (Long ID) format file is used to export the entire schedule from Zetta. This reconcile template is the same format as the ASCIICON Load (Long ID).

V15Native Reconcile

Traffic reconciliation file. Contains spots only.

Value | Column | Length | Description
Air time (HH:MM:SS) | 1 | 8 | This is the Actual Air time of the event in the time format HH:MM:SS
Duration (MM:SS) | 10 | 5 | This is the actual time the event played in the time format of MM:SS
Edit Code | 17 | 3 | V15 edit code if the Zetta edit code maps to a V15 edit code See the Zetta Codes section of the guide for additional information.
Error Code | 21 | 3 | V15 error code if the Zetta error code maps to an V15 error code. See the Zetta Codes section of the guide for additional information.
C | 25 | 1 | The letter C designates the information that follows is for a Commercial
Air time (HHMM:SS) | 26 | 7 | This is the Air time of the event in the time format HHMM:SS
External id | 33 | 15 | This is the Cut or Asset External id of the event this can be an alpha numeric value
Title | 48 | 24 | This is the Title of the event
priority number | 72 | 3 | This is the priority number used by V15,this is not used by Zetta
Length (MMSS) | 75 | 4 | This is the Length of the event in the time format of MMSS
commercial type | 79 | 4 | This is the commercial type used by V15,this is not used by Zetta)
customer id | 83 | 6 | This is the customer id used by V15,this is not used by Zetta)
Internal Code | 89 | 2 | This is the Internal Code used by V15, this is not used by Zetta)
Product Code | 91 | 4 | This is the Product Code used by V15, this is not used by Zetta)
Ordered Time | 95 | 8 | This is the Ordered Time used by V15, this is not used by Zetta)
Sponsor1 | 103 | 24 | This is the first Sponsor of the event
Sponsor2 | 127 | 24 | This is the second Sponsor of the event
Comment | 151 | 24 | This is used for Comments
Start Date (MM/DD/YY) | 175 | 8 | This is the first day the event is available for play
Start Time (HH:MM) | 183 | 5 | This is the time the event is available for play on the Start Date
Stop Date (MM/DD/YY) | 188 | 8 | This is the Stop Date; the event is not available for play after this date.
Stop Time (HH:MM) | 196 | 5 | This is the Stop Time; the event is not available for play after this time on the Stop Date.
Kill Date (MM/DD/YY) | 201 | 8 | This is the Date the event is archived
Product1 | 209 | 15 | This is the first Product listed for this event
Product2 | 224 | 15 | This is the second Product listed for the event
is Live? 'Y' or 'N' | 239 | 1 | This is used to tell Zetta is the event is a Live event
is External? 'Y' or 'N' | 240 | 1 | This is used to tell Zetta the event is External to Zetta such as a Time Announcement
CBSI Stopset number '01', '02', | 241 | 2 | This is a CBSI Stopset number '01', '02', ... this is not used by Zetta)
Native-Specific | 243 | 35 | This is a V15Native-Specific value, this is not used by Zetta)

V15Native With ISCI Reconciliation

The V15 Native With ISCI Reconciliation is the same as the V15 Native Reconcile with the addition of the ISCI value in Columns 278 thru 302 for the Spot ISCI code identifier.

Viero Reconciliation

The Viero Reconciliation file is a traffic only reconcile file that contains only spots.

Value | Column | Length | Description
Date (MM/DD/YY) | 1 | 8 | This is the Log date the event was scheduled to play.
Air time (HH:MM:SS) | 9 | 8 | This is the Air time of the event in the time format HH:MM:SS
Title | 17 | 30 | This is the Title of the event.
External id | 62 | 7 | This is the External id of the event this can be a numeric value
Status | 70 | 2 | This number represents the status of the event: Status of 01 means the event has: Played Pending played Fade-n-go Faded Status of 30 means the event was: Not played Event was stopped Event was paused Event is scheduled but not played Event was skipped by user Event was skipped by system Event had not audio Event is expired
Verify Sequence | 72 | 10 | This number is used when the log is reconciled with Viero.

Flat File Assignment Step-by-Step Topics

Create a Flat File Assignment to Load Traffic

Create a Flat File Assignment to Reconcile Traffic

Create a Flat File Assignment to Load Traffic

To create a Flat File Assignment in Zetta®, perform the following steps:
  1. From the Configuration menu select Flat File Assignment

  2. Click the Add Assignment [image] button
  3. Enter an Assignment Name for the Flat File Assignment.
  4. Enter an Assignment Description for the Flat File Assignment.
  5. Enter the Path/Filename where the Flat File can be located.
  6. Select the Processing Type desired
  7. Select the Computer that will look for the flat file when using Auto as the Processing Type
  8. Select the Station to load the flat file
  9. Select the Load for the Type of Flat File
  10. Select the Traffic for the Content.
  11. Select the Template for Zetta to use.
  12. Select the Character Encoding used in the file.
  13. Optionally, select the Create missing assets option to create any assets that are found in the traffic load file but not in Zetta.
  14. Optionally, select the Activate scheduled assets option.
  15. Optionally, select the Spot blocks can span an hour option.
  16. Optionally, select the Delete all spots in spot blocks before loading traffic option.
  17. Optionally, select the Traffic Load Position marker to hold multiple Spots option to use.

  18. Click the Save [image] button to save the assignment.
  19. Repeat for each Station and Day as necessary.
  20. Restart Zetta and Startup manager on the Computer selected to load the file.

Create a Flat File Assignment to Reconcile Traffic

To create a Flat File Assignment to Reconcile, perform the following steps:
  1. From the Configuration menu select Flat File Assignment
  2. Click the Add Assignment [image] button
  3. Enter an Assignment Name for the Flat File Assignment.
  4. Enter an Assignment Description for the Flat File Assignment.
  5. Enter the Path/Filename where the Flat File is to be placed.
  6. Select the Processing Type desired
  7. Select the Computer that will create the flat file when using Auto as the Processing Type
  8. Select the Station to pull the flat file
  9. Select the Reconcile for the Type of Flat File
  10. Select the Traffic for the Content
  11. Select the Template for Zetta to use.
  12. Select the Character Encoding for Zetta to use.

  13. Click the Save [image] button to save the assignment.
  14. Repeat for each Station and Day as necessary.
  15. Restart Zetta and Startup manager on the Computer selected to load the file.

Welcome < Configuration < Flat File Assignment


Preferences

The Preferences window allows a user to create a User Preference of different system options that can be assigned to user account logins, see Accounts section for more information on creating user logins. The user preferences window has a left window for creating user preferences and a right window for customizing the preferences created.

Click any area in this image for help

Click any area in this image for help

Preferences Toolbar

Preference Settings

Preferences Step-by-Step Topics

Preferences Toolbar

The left pane has the following toolbar options:

Refresh User Preferences - The Refresh User Preferences will refresh the window to its last saved state, discarding all unsaved changes.

Add New User Preference – The Add New User Preference button is used to create a new user preference

Copy User Preference – The Copy User Preference is used to create a copy of the highlighted user preference to a new User Preference.

Delete User Preference – The Delete User Preference is used to remove the highlighted user preference.

Save User Preference – The Save User Preference is used to save the current User Preference

Preference Settings

The right pane is divided into two sections; Details and System, allowing the user to customize the created user preference with the following options:

Details

Use the arrows to the right to expand or retracted this section.

Name – The Name field is used to name or describe the user preference

System Def ault – The System Default option will make the created user preference the default for all new accounts created.

System

Use the arrows to the right to expand or retracted this section.

Window Theme

The Window Theme option allows the user to change the themes for the windows in Zetta®. See the Theme & Appearances topic for more information on creating Themes

Name – The name is a drop-down of Themes available in Zetta®. The Metal theme is the default theme and gives all the windows a metal look.

Display Timer

Count Up – The Display Timer Count Up will display the time elapsed and the total time of the song.

Count Down - The Display Timer Count Down will display the time remaining in an event.

On Stop Chain log events, countdown to: Segue Mark or Trim Out Mark - In the On-Air and Logs module when an event has a Stop Chain the duration shown by default is to the Segue Mark. Using this option the user can change this to show the duration to the Trim Out Mark.

Auto Scroll Settings

The Auto Scroll Settings are for setting the number of displayed items when the Autoscroll [image] button is clicked in the Logs Module. Selecting a negative number shows more items from the past that have played. Selecting a positive number skips future events in the log. Selecting 0 displays the currently playing event at the top of the log.

Important Note!

When calculating the offset event Zetta only takes into account, playable items that show in the on-air module, so if an ETM, TOH or Comment is in the queue that event will not be used to calculate the offset.

Voice Tracker®

One Button Voice Tracking - The One Button Voice Tracking option will change the Play Control button configuration in the Voice Tracker and in IVT, this will allow users to use one button to control the progression through creating a voice track in Zetta.

Default Play Controls

One Button Voice Tracking

Automatically select Stations for Multisite VT when applying Organizational filter - When Zetta is setup to use Organizations to filter or group stations this option can be used to have Zetta automatically select the stations grouped in the selected organization for voice tracking in the Multisite VT window.

Prompt when re-recording an existing Voice Track - When this option is selected the user will receive a prompt when re-recording a Voice Track in the Voice Tracker, asking them if they would like to overwrite the existing voice track. When this option is deselected the prompt will not be displayed.

Spot Blocks

Auto expand spot blocks in Logs - The Auto expand spot blocks in Logs option is used to have the Spot Blocks automatically display in the expanded form when working with Logs/Clocks.

On-Air spot block display - Use the On-Air spot block display drop-down to select how the spot block will be displayed in the On-Air module. The Header is the entire Spot Block position. The Children are the events within the spot block.

MetaData Card

Display a prompt while the media import is in progress - This option is used to enable a prompt to show a pop up during media import on a Metadata card. If this option is enabled, Zetta will show a prompt when the user clicks Save in the toolbar of the Metadata card. This prompt will go away when the import process (asset creation, analysis, conversion, content management...) is successfully finished and the asset is ready to be used. Should a user decide he does not want to wait for the process to finish and let the operation finish in the background a Background button is available in the pop up prompt.

Marks Adjustment step (ms) - The Marks Adjustment steps setting is used to change the step value that is used when the Marks Adjustment up and down arrows are used to adjust the time of a set transition marker in the Marks Editor.

Marking Tool Segue Preview

The following settings are used to setup assets to be used for previewing the transition markers, Trim In and Segue, from within the Marks Tool of the Metadata card.

Opening asset (preview transition at Trim In) - The Opening asset is the audio that will be played when previewing the Trim In transition marker for a selected asset in the Marks Tool. This asset will need to have a defined Segue marker. Drag and drop the desired asset from the Library that will be played as the opening asset when previewing the Trim In marker in the Marks Tool. Use the Clear Library Item [image] button to remove the asset from being used.

Ending asset (preview transition a Segue) - The Ending asset is the audio that will be played when previewing the Segue transition marker for a selected asset in the Marks Tool. This asset will need to have a defined Intro marker. Drag and drop the desired asset from the Library that will be played as the ending asset when previewing the Segue marker in the Marks Tool. Use the Clear Library Item [image] button to remove the asset from being used.

Test transition xx seconds ahead - The Test Transition is the number of seconds of audio ahead of a defined segue marker that will play when previewing the segues of an asset in the Marks Tool. When previewing the Trim In, xx seconds of audio will play ahead of the segue of the opening asset. When previewing the Segue, xx seconds of audio will play ahead of the segue for the current asset before the ending assets audio begins to play.

Show Eject in On-Air and Stacks

The Show Eject in On-Air and Stacks option is enabled by default. When this option is deselected the Eject [image] button is not visible in the On-Air and Stacks modules.

Preferences Step-by-Step Topics

**To assign a User Preference to a user account, see the Accounts section of this guide.

Window Theme

Display Timer

Auto Scroll Settings

Voice Tracker®

Spot Blocks

MetaData Card

Marking Tool Segue Preview

Show Eject in On-Air and Stacks

Create a User Preference

Copy a User Preference

Delete a User Preference

Create a User Preference

To create a new user preference, perform the following steps:
  1. Using the Configuration Menu, click User Preferences.
  2. Click the Add New User Preference [image] button
  3. Enter a Name for the user preference
  4. Check the System Default option to make all future created accounts use this user preference.
  5. Select a Window Theme Name from the drop-down menu of available installed themes
  6. Select how the Display Timer, as an event is being played, should be displayed.
  7. Select how the Auto Scroll Settings should be displayed.
  8. Optionally, select One button Voice Tracking.
  9. If using Multisite Voice Tracking select the Automatically select Stations for Multisite VT when applying Organization filter option to have the stations grouped in the selected Organization automatically selected for voice tracking in the Multisite VT window.
  10. Select the Spot Block options if desired.
  11. Optionally, select Display a prompt while the media import is in progress.
  12. Drag and Drop sample files into the Marking Tool Segue Preview section to assign assets for Segue Preview in the Marks Editor
  13. Optionally, deselect the Show Eject in On-Air and Stacks option to remove the eject button from view in these two modules.
  14. Click the Save User Preference [image] button.

Copy a User Preference

To copy a user preference, perform the following steps:
  1. Using the Configuration Menu, click User Preferences.
  2. Choose the preference to be copied by clicking the name in the left window.
  3. Click the Copy User Preference [image] button
  4. Enter a Name for the user preference
  5. Check the System Default option to make all future created accounts use this user preference.
  6. Select a Window Theme Name from the drop-down menu of available installed themes
  7. Select how the Display Timer, as an event is being played, should be displayed.
  8. Select how the Auto Scroll Settings items should be displayed.
  9. Optionally, select One button Voice Tracking.
  10. Click the Save User Preference [image] button.

Delete a User Preference

To delete a user preference, perform the following steps:
  1. Using the Configuration Menu, click User Preferences.
  2. Choose the preference to be deleted by clicking the name in the left window.
  3. Click the Delete User Preference [image] button
  4. Click Yes to the Delete User Preference confirmation prompt.

Welcome < Configuration < Preferences

© 2007-2017 RCS All Rights Reserved.


Themes & Appearances

The Themes & Appearances Configuration allows the user to create their own Zetta® User Interface Themes, by changing the color, font and font size of many of the modules. The Appearances tab of this window allows the user to change the color appearance of defined attributes for an asset in the On-Air and Log module. The Row Highlighting tab of this window is used to change an assets appearance based on the Attribute when the row of the asset is highlighted in the On-Air or Logs modules. Access the Theme & Appearances window from the Configuration menu. Themes can be created and copied to another database at another site, contact RCS Support for assistance.

Click any area in this image for help

Click any area in this image for help

Themes & Appearances

Themes, Appearances & Row Highlighting Toolbars

Themes

Theme Details

On Air Theme Options

General

Log Editor Theme Options

General

Play Asset

Exact Time Marker

Spot Block

Top of Hour

Other Events

Juggle

Skipped Event

Live Event

Media Library Theme Options

General

Hot Keys® Theme Options

General

Z-Player Theme Options

General

Counter

Progress Bar

Appearances

Row Highlighting

Create a Theme

Themes, Appearances & Row Highlighting Toolbars

The Theme Management menu option of the Configuration Menu allows the user to add, copy, delete, view and edit a Theme, Appearance or Row Highlight configuration using the following toolbar options:

Refresh Themes/Appearances/Row Highlights - The Refresh button will refresh the window to its last saved state, discarding all unsaved changes.

Add Theme/Appearance/Row Highlight - The Add button allows the user to create a new Theme/Appearance/Row Highlight configuration depending on the tab selected.

Copy Theme/Appearance/Row Highlight - The Copy button creates a duplicate copy of the selected Theme/Appearance/Row Highlight configuration depending on the tab selected.

Remove Theme/Appearance/Row Highlight - The Remove button is used to remove a selected Theme/Appearance/Row Highlight configuration depending on the tab selected.

Save All - The Save All button saves all changed configurations.

Themes

The Theme tab has two panes, the left pane lists the Themes created and the right pane shows the Details for the selected Theme.

Theme Details

On Air Theme Options

General

Log Editor Theme Options

General

Play Asset

Exact Time Marker

Spot Block

Top of Hour

Other Events

Juggle

Skipped Event

Live Event

Media Library Theme Options

General

Hot Keys® Theme Options

General

Z-Player Theme Options

General

Counter

Progress Bar

Theme Details

The Theme Details pane has two sections. The top section identifies the theme and the parent theme.

Theme Name - The Theme Name is used to name the new Theme.

Parent Theme - The Parent Theme is used to start the new Theme with a foundation configuration that can be changed. The Metal Theme is the default theme.

The bottom section of this pane is where the Font, Font size and colors of the different elements in Zetta are changed.

Description - The description column displays a description of the location in Zetta that will be changed with the Value selected.

Value - The Value column is where the Font, Font size and Colors of Zetta will be set.

Overwrite Parent - When the Overwrite Parent column is checked the Value selected will be implemented, if this is unchecked the value that is active in the selected Parent Theme will be used.

On Air Theme Options

The On Air Theme options allow the user to change the colors, font, font size and font color of the On-Air Module.

General

On-Air Background - The On-Air Background changes the background color of the Events List and the Clock area.

On-Air Clock Separator - The On-Air Separator changes the color of the line between the Date/Time and the ETM/Gap sections of the Clock

On-Air Clock Foreground - The On-Air Clock Foreground changes the color of the font in the Clock area.

On-Air Clock Font - The On-Air Clock Font changes the font type for the clock.

On-Air Clock Font Size - The On-Air Clock Font Size changes the font size of the Date, ETM, and Gap

On-Air Clock Time Font Size - The On-Air Clock Time Font Size changes the font size for the Time in the clock.

On-Air Count Up/Down Foreground - The On-Air Count Up/Down Foreground changes the Font Color of the Count Up/Down time of the currently playing event.

On-Air Count Up/Down Font - The On-Air Count Up/Down Font changes the Font Type of the Count Up/Down time of the currently playing event.

On-Air Count Up/Down Font Size - The On-Air Count Up/Down Font Size changes the Font Size of the Count Up/Down time of the currently playing event.

On-Air Station Name Foreground - The On-Air Station Name Foreground changes the Station name Font color in the station selection drop-down.

On-Air Station Name Font - The On-Air Station Name Font changes the type of font being used for the Station name.

On-Air Station Name Font Size - The On-Air Station Name Font Size changes the size of the font for the Station name.

Log Editor Theme Options

The Log Editor Theme Options allow the user to change the colors, font, font size and font color of the Logs/Clocks modules and the Logs/Clocks module events. This includes the Recorder Clocks and Recorder Logs.

General

Playing Item Border - The Playing Item Border option changes the border outline of the event currently playing in Zetta, this includes the stations Log, On-Air, Stacks, Hot Keys or Z-Player.

Paused Item Border - The Paused Item Border option changes the border of the event that is currently paused On-Air in the stations Log.

Stuttering Item Border - The Stuttering Item Border option changes the border of the event that is currently in a stuttering state in the Z-Player.

On-Air Region Background - The On-Air Region Background option changes the background color of the On-Air queued events in the stations Log.

Playing Item Background - The Playing Item Background option changes the background of the event currently playing On-Air in the stations Log.

Count Up/Down Foreground - The Count Up/Down Foreground changes the Font Color of the Count Up/Down time of the currently playing event.

Count Up/Down Font - The Count Up/Down Font changes the Font Type of the Count Up/Down time of the currently playing event.

Count Up/Down Font Size - The Count Up/Down Font Size changes the Font Size of the Count Up/Down time of the currently playing event.

Play Asset

The adjustment in this section will be seen in the Logs, Clocks, On-Air, Z-Player and Stacks. This includes the Recorder Clocks and Recorder Logs.

Song Foreground - The Song Foreground changes the color of the font for all songs in the Logs, Clocks, On-Air, Z-Player and Stacks.

Link Foreground - The Link Foreground changes the color of the font for all links in the Logs, Clocks, On-Air, Z-Player and Stacks.

Spot Foreground - The Spot Foreground changes the color of the font for all spots in the Logs, Clocks, On-Air, Z-Player and Stacks.

Voice Track Foreground - The Voice Track Foreground changes the color of the font for all Voice Tracks in the Logs, Clocks, On-Air, Z-Player and Stacks.

Quick Record Foreground - The Quick Record Foreground changes the color of the font for all Quick Records in the Logs, Clocks, On-Air, Z-Player and Stacks.

Other Audio Foreground - The Other Audio Foreground changes the color of the font for all Other Audio types in the Logs, Clocks, On-Air, Z-Player and Stacks.

Song Background - The Song Background changes the background color of the Songs in the Logs, Clocks, On-Air, Z-Player and Stacks.

Link Background - The Link Background changes the background color of the Links in the Logs, Clocks, On-Air, Z-Player and Stacks.

Spot Background - The Spot Background changes the background color of the Spots in the Logs, Clocks, On-Air, Z-Player and Stacks.

Voice Track Background - The Voice Track Background changes the background color of the Voice Tracks in the Logs, Clocks, On-Air, Z-Player and Stacks.

Quick Record Background - The Quick Record Background changes the background color of the Quick Records in the Logs, Clocks, On-Air, Z-Player and Stacks.

Other Audio Background - The Other Audio Background changes the background color of the Other Audio types in the Logs, Clocks, On-Air, Z-Player and Stacks.

Song Progress Bar Background - The Song Progress Bar Background changes the color of the progress bar for all songs in the Logs, Clocks, On-Air, Z-Player and Stacks.

Link Progress Bar Background - The Link Progress Bar Background changes the color of the progress bar for all Links in the Logs, Clocks, On-Air, Z-Player and Stacks.

Spot Progress Bar Background - The Spot Progress Bar Background changes the color of the progress bar for all Spots in the Logs, Clocks, On-Air, Z-Player and Stacks.

Voice Track Progress Bar Background - The Voice Track Progress Bar Background changes the color of the progress bar for all Voice Tracks in the Logs, Clocks, On-Air, Z-Player and Stacks.

Quick Record Progress Bar Background - The Quick Record Progress Bar Background changes the color of the progress bar for all Quick Records in the Logs, Clocks, On-Air, Z-Player and Stacks.

Other Audio Progress Bar Background - The Other Audio Progress Bar Background changes the color of the progress bar for all Other Audio types in the Logs, Clocks, On-Air, Z-Player and Stacks.

Song Progress Bar Border - The Song Progress Bar Border changes the color of the border around the progress bar for all songs in the Logs, Clocks, On-Air, Z-Player and Stacks.

Link Progress Bar Border - The Link Progress Bar Border changes the color of the border around the progress bar for all Links in the Logs, Clocks, On-Air, Z-Player and Stacks.

Spot Progress Bar Border - The Spot Progress Bar Border changes the color of the border around the progress bar for all Spots in the Logs, Clocks, On-Air, Z-Player and Stacks.

Voice Track Progress Bar Border - The Voice Track Progress Bar Border changes the color of the border around the progress bar for all Voice Tracks in the Logs, Clocks, On-Air, Z-Player and Stacks.

Quick Record Progress Bar Border - The Quick Record Progress Bar Border changes the color of the border around the progress bar for all Quick Records in the Logs, Clocks, On-Air, Z-Player and Stacks.

Other Audio Progress Bar Border - The Other Audio Progress Bar Border changes the color of the border around the progress bar for all Other Audio types in the Logs, Clocks, On-Air, Z-Player and Stacks.

Song Icon Color - The Song Icon Color changes the color of the Song icon identifier in the Logs, Clocks, On-Air, Z-Player and Stacks.

Link Icon Color - The Link Icon Color changes the color of the Link icon identifier in the Logs, Clocks, On-Air, Z-Player and Stacks.

Spot Icon Color - The Spot Icon Color changes the color of the Spot icon identifier in the Logs, Clocks, On-Air, Z-Player and Stacks.

Voice Track Icon Color - The Voice Track Icon Color changes the color of the Voice Track icon identifier in the Logs, Clocks, On-Air, Z-Player and Stacks.

Quick Record Icon Color - The Quick Record Icon Color changes the color of the Quick Records icon identifier in the Logs, Clocks, On-Air, Z-Player and Stacks.

Other Audio Icon Color - The Other Audio Icon Color changes the color of the Other Audio types icon identifier in the Logs, Clocks, On-Air, Z-Player and Stacks.

Song Font - The Song Font changes the font type for the Songs in the Logs, Clocks, On-Air, Z-Player and Stacks.

Link Font - The Link Font changes the font type for the Links in the Logs, Clocks, On-Air, Z-Player and Stacks.

Spot Font - The Spot Font changes the font type for the Spots in the Logs, Clocks, On-Air, Z-Player and Stacks.

Voice Track Font - The Voice Track Font changes the font type for the Voice Tracks in the Logs, Clocks, On-Air, Z-Player and Stacks.

Quick Record Font - The Quick Record Font changes the font type for the Quick Records in the Logs, Clocks, On-Air, Z-Player and Stacks.

Other Audio Font - The Other Audio Font changes the font type for the Other Audio types in the Logs, Clocks, On-Air, Z-Player and Stacks.

Song Font Size - The Song Font Size changes the font size of the Songs listed in the Logs, On-Air, Z-Player and Stacks.

Link Font Size - The Link Font Size changes the font size of the Links listed in the Logs, Clocks, On-Air, Z-Player and Stacks.

Spot Font Size - The Spot Font Size changes the font size of the Spots listed in the Logs, Clocks, On-Air, Z-Player and Stacks.

Voice Track Font Size - The Voice Track Font Size changes the font size of the Voice Tracks listed in the Logs, Clocks, On-Air, Z-Player and Stacks.

Quick Record Font Size - The Quick Record Font Size changes the font size of the Quick Records listed in the Logs, Clocks, On-Air, Z-Player and Stacks.

Other Audio Font Size - The Other Audio Font Size changes the font size of the Other Audio types listed in the Logs, Clocks, On-Air, Z-Player and Stacks.

Exact Time Marker

Exact Time Marker Foreground - The Exact Time Marker Foreground changes the color of the font for all Exact Time Markers in the Log.

Exact Time Marker Background - The Exact Time Marker Background changes the background color of the Exact Time Markers in the Log.

Exact Time Marker Progress Bar Background - The Exact Time Marker Progress Bar Background changes the color of the progress bar for all Exact Time Markers in the Log.

Exact Time Marker Progress Bar Border - The Exact Time Marker Progress Bar Border changes the color of the border around the progress bar for all Exact Time Markers in the Log.

Exact Time Marker Font - The Exact Time Marker Font changes the font type for the Exact Time Markers in the Log.

Exact Time Marker Font Size - The Exact Time Marker Font Size changes the font size of the Exact Time Markers listed in the Log

Spot Block

Spot Block Foreground - The Spot Block Foreground changes the color of the font for all Spot Blocks in the Log.

Spot Block Background - The Spot Block Background changes the background color of the Spot Blocks in the Log except for those events that appear in the On-Air module (the default is three events).

Spot Block Progress Bar Background - The Spot Block Progress Bar Background changes the color of the progress bar for all Spot Blocks in the Log.

Spot Block Progress Bar Border - The Spot Block Progress Bar Border changes the color of the border around the progress bar for all Spot Blocks in the Log.

Spot Block Font - The Spot Block Font changes the font type for the Spot Blocks in the Log.

Spot Block Font Size - The Spot Block Font Size changes the font size of the Spot Blocks listed in the Log

Important Note!

The Events in the Spot Block do not change with these settings. See the Play Asset section to change spots in a spot block.

Top of Hour

Top of Hour Foreground - The Top of Hour Foreground changes the color of the font for all Top of Hour markers in the Log.

Top of Hour Background - The Top of Hour Background changes the background color of the Top of Hour markers in the Log.

Top of Hour Progress Bar Background - The Top of Hour Progress Bar Background changes the color of the progress bar for all Top of Hour markers in the Log.

Top of Hour Progress Bar Border - The Top of Hour Progress Bar Border changes the color of the border around the progress bar for all Top of Hour markers in the Log.

Top of Hour Font - The Top of Hour Font changes the font type for the Top of Hour markers in the Log.

Top of Hour Font Size - The Top of Hour Font Size changes the font size of the Top of Hour markers in the Log

Other Events

Other Events Foreground - The Other Foreground changes the color of the font for Other events in the Log such as Control Events.

Other Events Background - The Other Background changes the background color for Other events in the Log such as Control Events.

Other Events Progress Bar Background - The Other Progress Bar Background changes the color of the progress bar for Other events in the Log such as Control Events.

Other Events Progress Bar Border - The Other Progress Bar Border changes the color of the border around the progress bar for Other events in the Log such as Control Events.

Other Events Font - The Other Font changes the font type for Other events in the Log such as Control Events.

Other Events Font Size - The Other Font Size changes the font size for Other events in the Log such as Control Events.

Juggle

Juggle Foreground - The Juggle Foreground changes the color of the font for events marked for a Juggle in the Log.

Juggle Background - The Juggle Background changes the background color for events marked for a Juggle in the Log.

Juggle Font - The Juggle Font changes the font type for events marked for a Juggle in the Log.

Juggle Font Size - The Juggle Font Size changes the font size for events marked for a Juggle in the Log

Important Note!

See the Logs topic of this guide for more information on how to Juggle events in the Log.

Skipped Event

Skipped Event Foreground - The Skipped Event Foreground changes the color of the font for events that have been skipped in the Log.

Skipped Event Background - The Skipped Event Background changes the background color for events that have been skipped in the Log.

Skipped Event Font - The Skipped Event Font changes the font type for events that have been skipped in the Log.

Skipped Event Font Size - The Skipped Event Font Size changes the font size for events that have been skipped in the Log.

Live Event

Live Event Foreground - The Live Event Foreground changes the color of the font for events in the Log that are set as Live Read in the metadata card of the asset.

Live Event Background - The Live Event Background changes the background color for events in the Log that are set as Live Read in the metadata card of the asset.

Live Event Font - The Live Event Font changes the font type for events in the Log that are set as Live Read in the metadata card of the asset.

Live Event Font Size - The Live Event Font Size changes the font size for events in the Log that are set as Live Read in the metadata card of the asset.

Media Library Theme Options

The Media Library Theme Options allow the user to change the font type, font size and font color of the Assets in the Library module.

General

Foreground - The Foreground changes the Font Color of the assets in the Library.

Font - The Font changes the Font Type of the assets in the Library.

Font Size - The Font Size changes the Font Size of the assets in the Library

Hot Keys® Theme Options

The Hot Keys Theme Options allow the user to change the font type, font size and font color of the Assets in the Hot Keys module.

General

Title Font - The Title Font changes the font type for the Title of the Assets in the Hot Keys.

Title Font Size - The Title Font Size changes the font size for the Title of the Assets in the Hot Keys.

Artist Font - The Artist Font changes the font type for the Artist name of the Assets in the Hot Keys.

Artist Font Size - The Artist Font Size changes the font size for the Artist name of the Assets in the Hot Keys.

Description Font - The Description Font changes the font type for the Description of the Assets in the Hot Keys.

Description Font Size - The Description Font Size changes the font size for the Description of the Assets in the Hot Keys.

Duration Font - The Duration Font changes the font type for the Duration time of the Assets in the Hot Keys.

Duration Font Size - The Duration Font Size changes the font size for the Duration time of the Assets in the Hot Keys.

Z-Player Theme Options

General

Background - The Background changes the background color of the Z-Player.

Buttons Size(Width/Height) - This changes the size of the play control buttons in the Z-Player

Buttons Font Size - This changes the Font size of the Play Control buttons in the Z-Player

Buttons Font Family - This changes the Font type for the buttons in the Z-Player

Cue Button Background - This changes the color of the Cue Button.

Play Button Background - This changes the color of the play button in Z-Player when an asset is cued.

Stream Button Background - This changes the font color of the Active Stream.

Counter

Display Counter - This displays a play counter next to the play controls when set to visible.

Font Size - This changes the font size of the Display Counter.

Font Family - This changes the font type for the Display Counter.

Foreground - This changes the font color of the Display Counter.

Progress Bar

Height - This option changes the height of the progress bar in the Z-Player.

Font Size - This option changes the font size of the font in the progress bar of the Z-Player.

Font Family - This changes the font type for the font in the progress bar for the Z-Player.

Counter Font Size - This option changes the font size of the counter in the progress bar for the Z-Player

Counter Font Family - This option changes the font type of the counter in the progress bar for the Z-Player

Count Font Foreground -This option changes the font color for the counter in the progress bar for the Z-Player.

Appearances

Appearances are used to assign a color to an attribute value for a selected station. These appearances allow the user to design the way the assets are seen in other modules of the Zetta application based on the Attribute assigned to the asset. The foreground Color is the Font Color and the Background color is the area behind the font. Appearances are assign to the Station in the Details tab of the Station Configuration window.

These colors show in the columns across the system where the specific attribute column has been added to the module.

Row Highlighting

Row Highlighting is used to assign a color to an attribute value for a selected station. Row Highlights are assigned to the Station in the Details tab of the Station Configuration window.

These colors show in the Rows across the system where the specific attribute is found for the asset.

Create a Theme

The best way to create a theme is to add the theme, save it, assign it to a preference, assign the preference to an account, then edit the theme while the module is open to see the desired effect.

To create a Theme in Zetta®, perform the following steps:
  1. From the Configuration menu select Themes & Appearances
  2. From the Themes tab, click Add Theme

  3. Enter a Name for the theme in the Theme Name field
  4. Select a Parent Theme
  5. Click Save
  6. Select Preferences from the Configuration menu
  7. Select a Created Preference
  8. Select the newly created theme from the Window Theme Name drop-down

  9. Click Save [image] to save the Preferences
  10. Select Accounts from the Configuration menu
  11. Select the Account to Edit
  12. Select the Edited User Preference in the User Preference drop-down in the Details tab
  13. Click Save [image] to save the account changes
  14. Login to the Account edited if not already logged in.
  15. In the Themes & Appearances window scroll to the desired section to edit such as the On Air | General section.

  16. Open the corresponding Module such as the On-Air module

  17. Make the desired changes to the On-Air | General section of the Themes & Appearances window

  18. Click Save [image] to reveal the changes in the Module

  19. Continue editing to get the desired effect.

Welcome < Configuration < Themes & Appearances


Hot Keys

Welcome < Configuration < Hot Keys Configuration

Hot Keys Configuration

Hot Keys® in Zetta® allow the user to fire events quickly without having to add each Event to a Station log. The Hot Keys Configuration window is accessed through the Configuration menu of the Zetta main menu.

The top frame of the Hot Keys Configuration window is used to create, delete or sort the Hot Keys Banks. To sort the Hot Keys configurations simply click the header of the column to sort.

Click any area in this image for help

Click any area in this image for help

The bottom frame of this window is used to identify and customize the Hot Keys bank. There are two tabs to assist in the configuration, the details tab and the preview tab. The bottom frame also contains the Save [image] button to save the Hot Keys bank.

Hot Keys Configuration Toolbar

Hot Keys Details

Hot Keys Preview

Hot Keys Configuration Step-by-Step Topics

Hot Keys Configuration Toolbar

The following options are available in the Hot Keys Configuration toolbar.

Add Hot Keys Bank – Add Hot Keys Bank is used to create a new bank or the user can right-click an area of the window and select Add Hot Keys Bank from the menu.

Delete Selected Hot Keys® Bank – Delete selected Hot Keys Bank is used to remove Hot Keys Banks or the user can right-click the Hot Keys bank and select Delete Selected Hot Keys Bank from the menu.

Hot Keys Details

The Details tab of the Hot Keys configuration window is used to identify and configure the number of Hot Keys contained in a single bank by specifying the number of Rows and Columns. (The maximum configuration is 50 rows by 50 columns.)

Name – Name the bank to identify the Hot Keys Bank

Description – A description can be entered to give detailed information about the bank (optional)

Rows – The number of Rows specified indicates the number of Hot Keys displayed horizontally on a single bank (maximum number of rows = 50)

Columns – The number of Columns entered indicates how many Hot Keys should be placed vertically on a single bank (maximum number of columns = 50).

For example, if the desired configuration is 5 Rows and 5 Columns, 25 Hot Keys® will be displayed on the selected Hot Keys® Bank.

Hot Keys Preview

The Preview tab is used to configure the details shown on the Hot Keys in the bank, select one or more options from the following list:

Show Artist – The Show Artist option will display the Artist name configured for each Library Asset assigned to the Hot Keys.

Show Title – The Show title option will display the Title of the media asset for each event assigned to a Hot Keys.

Show Duration – Enable the Show Duration option to show the event length on all Hot Keys in the selected bank.

Show ProgressBar – Enabling the Show Progress bar option will show the Progress of the event being played.

Hot Keys Configuration Step-by-Step Topics

Create a Hot Keys® Bank

Delete a Hot Keys Bank

Adjusting the Appearance of Hot Keys Banks

Adjusting the Number of Hot Keys Buttons per Bank

Create a Hot Keys® Bank

To create a new Hot Keys banks, perform the following steps:
  1. Using the Configuration Menu, click Hot Keys.
  2. Click the Add Hot Keys Bank [image] button to create a blank Hot Keys bank or right-click an area of the Hot Keys top frame and select Add Hot Keys Bank from the menu.
  3. Enter a Name for the Hot Keys bank
  4. Enter a detailed Description of the bank (optional)
  5. Enter the number of Rows up to 50.
  6. Enter the number of Columns up to 50.

  7. Click the Preview tab
  8. Select the options for the details to be shown on the Hot Keys in the bank, select one or more options from the following list:

ü Show Artist

ü Show Title

ü Show Duration

ü Show ProgressBar

  9. Click the Save [image] button to save the new Hot Keys bank.

Important Note!

The Hot Keys banks can also be created directly from the Hot Keys Module. For more information on creating Hot Keys banks, see the section of this guide titled Creating Hot Keys Banks from the Hot Keys Module.

Delete a Hot Keys Bank

To delete a Hot Keys bank, perform the following steps:
  1. Using the Configuration Menu, click Hot Keys.
  2. Select the Hot Keys bank to delete
  3. Click the Delete Selected Hot Keys Bank [image] button or right-click the Hot Keys Bank and choose Delete Selected Hot Keys Bank from the menu.

Adjusting the Appearance of Hot Keys Banks

To adjust the appearance of Hot Keys banks, perform the following steps:

1. Using the Configuration Menu, click Hot Keys.

2. Select the Hot Keys bank to modify.

3. Select the Preview tab.

4. Select the options for the details to be shown on the Hot Keys in the bank, select one or more options from the following list:

ü Show Artist

ü Show Title

ü Show Duration

ü Show ProgressBar

5. Click the Save [image] icon to save changes.

Adjusting the Number of Hot Keys Buttons per Bank

To adjust the number of Hot Keys available on a specific bank, perform the following steps:
  1. Using the Configuration Menu, click Hot Keys
  2. Select the Hot Keys bank to modify.
  3. Enter the number of Rows and Columns up to 50 each.
  4. Click the Save [image] icon to save changes.

Welcome < Configuration < Hot Keys Configuration

© Copyright 2007-2017 RCS All Rights Reserved.


Backup Database

The Backup Database option allows users to create a backup of the Zetta database.

For more information on configuring system database backups, see the section Scheduled Maintenance section of this guide.

Manually Backup the Zetta® Database

Important Notes!

Ensure that a Backup Content Store has been created before proceeding; see the Configuring Content Management section of this guide.

To back up a Zetta database perform the following steps:
  1. Select the Tools menu.
  2. Click Backup Database
  3. Name the Backup

  4. Click the Backup button

  5. When the Backup database has completed successfully, click the ‘X’ to close the window.

Welcome < Tools < Backup Database

© 2007-2017 RCS All Rights Reserved.


Restore Database

The Restore Database option allows users to restore a backup of the Zetta database. Clicking on this option will open the following window.

For more information on Configuring System Backups, see the section Scheduled Maintenance section of this guide.

Restoring a Zetta® database

To restore a Zetta database from a backup, perform the following steps:
  1. Select the Tools Menu.
  2. Click Restore Database
  3. Select the Backup Name to restore or optionally enter a File Path to the backup database location.

  4. Click the Restore button
  5. Confirm the restore; Clicking No will close the window. Clicking Yes will initiate the restore process. Zetta will begin to prepare the backup file for restoration.

  6. Clicking Yes will close Zetta bring up the following window to verify the restore.

  7. Clicking Refresh will refresh the window and update the list of SQL Connections.
  8. Clicking Cancel will close the window and launch Zetta without restoring the database.
  9. Clicking Restore will continue the restoration process. With the Backup Database to OOPS checked, Zetta will first take a backup of the current state of the database before restoring the selected backup.

  10. When the Restore Database has successfully completed; click OK

  11. After the database restoration is fully complete, Zetta needs to be restarted by the user. Note: if there are multiple Zetta machines, Zetta needs to be restarted on all machines. Click OK to continue.
  12. Restart Zetta

Welcome < Tools < Restore Database

© 2007-2017 RCS All Rights Reserved.


Licensing

Zetta® can be licensed using Internet, Manually, with a Dongle or by Bluetooth. If your e-mail address is on file with RCS®, click here to register for Internet Licensing. If not, a brief, one-time phone call to RCS is required in advance to register for Internet Licensing. Click here for the phone number of the RCS office in your area. This section will cover the process of licensing Zetta.

When Zetta is launched for the first time, the user will be warned that Zetta is NOT LICENSED.

After the first computer is added using the Computer Setup Wizard, Zetta will open to the Main application window showing only the File, Configuration and Help menu options. ZETTA NOT LICENSED will be flashing in the menu bar to the right. Zetta does not have to be licensed to be configured, but must be licensed to run any services or sequencers.

To access the License window go to Licensing in the Configuration menu. Start with the License Manager window and progress down through the window to license Zetta and its features.

Click any area in this image for help

Click any area in this image for help

License Manager

Licensee

License Type

License Status

Internet Licensing

Manual Licensing

Dongle Licensing

Bluetooth Licensing

License Allocations

Station Licenses

Limited Station Licenses

Background Recorder Licenses

Computer Licenses

Limited Computer Licenses

Voice Tracking Computer Licenses

Publish Computer Licenses

Zetta2GO User Licenses

Licensing Information

Grace Period

Internet Licensing of Zetta

Dongle Licensing of Zetta

Kill License

Change Licensee

License Manager

The License Manager is the computer that will be responsible for maintaining the licensing for the system. Click the Change button to open the Change License Manager window to select the computer that will be the License Manager.

Use the License Manager drop-down to select a computer from the database then click the Change License Manager button. The computer selected as the License manager must be ON at ALL TIMES and running the Startup Manager [image]. When the Change License Manager button is selected, the Change License Manager window will close and update the Licensing window. When the Licensing window is updated the Licensee button will become available.

Important Note!

Changing the License Manager computer invalidates the current Zetta license and switches Zetta to a limited grace period. Contact RCS Support with any questions before changing the Computer that is currently the License Manager.

Licensee

The Licensee is the organization licensed to use Zetta and its features. If your e-mail address is on file with RCS®, click here to register for Internet Licensing. If not, a brief, one-time phone call to RCS is required in advance to register for Internet Licensing. Click here for the phone number of the RCS office in your area. To add the Licensee click the Change button to open the Change Licensee window.

In the Change Licensee window, enter the Licensee name in the New Licensee field. Contact RCS Support with the New Licensee name and the Seed Code. RCS Support will supply the RCS Code. Click the Change Licensee to save the changes, confirm the Licensee has been changed successfully to return to the Licensing window. Once the Licensee has been set the Change button for the License Type, the Update License button and the License Allocations button are all enabled.

Important Note!

Changing the Licensee may invalidate the current Zetta license and switch Zetta to a limited grace period. Contact RCS Support with any questions before changing the Licensee.

License Type

The License Type is used to select how Zetta will be licensed. The default License Type is Internet Licensing. Click the Change button to open the Change License Type window.

Use the License Type drop-down to select Internet Licensing, Manual Licensing, Dongle Licensing or Bluetooth Licensing then click the Change License Type button to return to the Licensing window.

Important Note!

Changing the License Type may invalidate the current Zetta license and switch Zetta to a limited grace period. Contact RCS Support with any questions before changing the License Type.

License Status

The License Status shows the status of the Zetta license for the current system. Click the UPDATE LICENSE button to open the Update License window for the selected License Type. In the Update License window for Internet, Manual and Bluetooth Licensing there is a Settings button that drops-down to a Kill License option. Hover the mouse over the error [image] icon to view a tool tip with a description of the License error.

Internet Licensing

Internet Licensing requires a connection to the internet, RCS User ID and RCS Password. To get a User ID and password click the Get User ID Now link. The system can be Internet Licensed from any configured computer in the system. The computer does not have to be the License Manager; however the selected License Manager must be running.

Enter the RCS User ID and Password and click the UPDATE LICENSE button. The system will be licensed based on the purchase agreement with the Licensee. Optionally, select Remember User ID/Password to have Zetta remember the User ID and Password that are entered. Optionally, select the Automatically Re-License to have Zetta automatically look for a new license before the old license expires. When Automatically Re-License is selected and the Startup Manager is running on the selected License Manager computer, Zetta will re-license the application even if the user interface is closed.

RCS User ID

Clicking the Get User ID Now will take the user to a web page, on the RCS Web site. Existing customers with a Zetta contract can enter the Email address that RCS has on file to get a User ID and Password.

Manual Licensing

Manual Licensing requires the assistance of RCS Support. Contact RCS Support with the Site Codes from the Update License window to get the Site Keys needed to license Zetta. The system can be Manually Licensed from any configured computer in the system. The computer does not have to be the License Manager, however the selected License Manager must be running.

Enter the Site Keys provided by RCS Support and click UPDATE LICENSE. The system will be licensed based on the purchase agreement with the Licensee.

Dongle Licensing

Dongle Licensing requires a new dongle from RCS. To obtain a dongle for licensing, contact RCS Support or RCS Sales . Attach the dongle to the License Manager computer. When the Update License button to the right of the License Status field is selected the following window opens:

When the Dongle is found by the Zetta it will read the Dongle Licensee, Dongle Serial number and the licensing information from the dongle. When the dongle is successfully read click the UPDATE LICENSE button.

Important Note!

If the dongle is not located on the computer the user will receive an error message. Check the connection of the dongle to the License Manager computer and if needed contact RCS Support for assistance.

To the right of the Dongle Licensee field is a settings button. Click the settings button to show the Dongle License options.

Get Dongle Information

Select the Get Dongle Information option in the dongle settings drop-down menu to save the licensing information to a file. This option can be used when troubleshooting issues with licensing with RCS Support.

Update Dongle

Select the Update Dongle option in the dongle settings drop-down menu to select a license file to open. After the license file is selected, click the Update License button. This option is used when upgrades are purchased and new licensing is required for the newly purchased feature.

Test Dongle

Select the Test Dongle option in the dongle settings drop-down menu to verify the dongle is connected to the computer. A status message is shown in the Dongle Update License window.

Bluetooth Licensing

The Bluetooth Licensing requires a Bluetooth Dongle attached to the License Manager computer, an Apple or Android device with Bluetooth enabled and the RCS2GO app installed on the device. It also requires a RCS User ID and RCS Password. To obtain a Bluetooth Dongle, RCS User ID and RCS Password for licensing, contact RCS Support or RCS Sales . When the Update License button to the right of the License Status field is selected the following window opens:

Enter the RCS User ID and Password and click the UPDATE LICENSE button. The request will be sent via Bluetooth to the connected Apple or Android device, with RCS2GO installed, then to RCS via the internet to get the licensing information. RCS will send the License back to the device and then to computer with the Bluetooth Dongle. The system will be licensed based on the purchase agreement with the Licensee.

License Allocations

The License Allocations button will open the License Allocation window. This window can be used to allocate licenses to Stations, Background Recorders, Computers, Voice Tracking Computers, Publishing Computers and Zetta2GO Users. When a License is allocated the window shows a green check in the Is Licensed column. If the Station, Computer or User is not licensed the Is Licensed column will show a red X.

Click any area in this image for help

Click any area in this image for help

Station Licenses

A Station License is a full station license for an on-air station that runs a Sequencer in multiple modes. A full station license can run in Auto, Manual, Live Assist, Satellite and Splits Client mode. Virtual Stations do not require a license to be created or used in Zetta. Station Licenses are initially allocated based on station number order.

For Example: If the site license is for seven full stations the first seven stations will be licensed as full stations.

If a station does not have a license, use the Override Access column to adjust the licensing for the station.

As you deselect stations the licenses are reallocated automatically unless the license is set explicitly in the Override Access column. Contact RCS Sales if more licenses are needed.

Important Note!

Degrading or unassigning Stations can effect on air playout and cause dead air once saved.

The user will see a warning in the Is Licensed column if a Station is assigned both a Full Station License and a Limited Station License.

Limited Station Licenses

A Limited Station license limits the modes of the Sequencer to only Auto and Splits Client modes. Limited Station Licenses are allocated based on station number order. Using the example above if the site is licensed for two split stations the next two stations in the list will be allocated as Limited Stations. As the Station licenses are adjusted the Limited Station licenses are also adjusted. Contact RCS Sales if more licenses are needed.

Important Note!

The user will see a warning in the Is License column if a Station is assigned both a Full Station License and a Limited Station License.

Background Recorder Licenses

Background Recorder licenses give full access to Zetta for a background sequencer. Background Recorder Licenses are allocated based on number order. If the site is licensed for two Background Recorders then the first two background recorders created will get a license. Any additional background recorders created will not be licensed until additional licenses are purchased. Contact RCS Sales if more licenses are needed.

Computer Licenses

A Computer License allows computer specific services such as Sequencers, Content Management, and Now Playing Export etc. to run on the computer. A Computer License allows the user with rights to see all the menus in Zetta. Computer Licenses are initially allocated based on computer number order.

For Example: If the site license is for 10 computers the first 10 computers stations will be licensed as full access computers.

If a computer does not have a license the login screen will show This Computer is not licensed. Use the Override Access column to adjust the licensing for the computer. As computers are deselected the licenses are reallocated automatically unless the license is set explicitly in the Override Access column. Contact RCS Sales if more licenses are needed.

Important Note!

The user will see a warning in the Is License column if a Computer is assigned both a Full Access License and a Limited Computer License.

Limited Computer Licenses

A Limited Computer License cannot run any computer specific services. Audio cannot be added to Zetta using drag and drop with a Limited Computer license. Limited Computer licenses are initially allocated based on computer number order. Using the example above if the site is licensed for three limited computers the next three computers in the list will be allocated as Limited Computers. As the Computer licenses are adjusted the Limited Computer licenses are also adjusted. Contact RCS Sales if more licenses are needed.

A Limited Computer will see the following menu options:

  • File
    • Log Off
    • Exit
  • Modules
    • Library – Library will not have the Audio Utility button or Edit Media options. Metadata Card will not have an Edit button. Audio can be added using the Browse and CD buttons in the Extra tab of the Metadata card.
    • Logs – Logs will not have the Voice Tracker or Publish buttons
    • Clocks
  • Tools
    • Media Import
    • Reports
  • Help
    • Zetta® Help
    • About

Startup Manager will run only the following services:

  • Play Device - Player
  • Site Synchronization - SiteMap Client
  • Content Management Services - Localizer

Voice Tracking Computer Licenses

The Voice Tracking computer license allows the computer access to the Voice Tracker from the Logs Module and from the Segue Editor window. Voice Tracking Licenses are initially allocated based on computer number order. If a computer that needs Voice Tracking does not have a license, use the Override Access column to adjust the licensing for the computer. Contact RCS Sales if more licenses are needed.

Publish Computer Licenses

The Publish Computer license allows the computer access to the Publish option in the Logs module or in the Shows window. Publishing Licenses are initially allocated based on computer number order. If a computer that needs Publishing does not have a license, use the Override Access column to adjust the licensing for the computer. Contact RCS Sales if more licenses are needed.

Zetta2GO User Licenses

The Zetta2GO User license allows the user to access Zetta2GO. If a user is not licensed for Zetta2GO they will not be able to login to Zetta2GO. Zetta2GO User Licenses are allocated based on user order. So if you have 15 users and five Zetta2GO licenses, the first five users will be given a Zetta2GO license. If a user that needs Zetta2GO does not have a license, use the Override Access column to adjust the licensing for the users. Contact RCS Sales if more licenses are needed.

Important Note!

A user that has a Zetta2GO license does not give the user full rights in the application. See the Working with Security topic for information on giving rights to users in Zetta and Zetta2GO.

Licensing Information

The bottom pane of the Licensing window displays the information about the licensing for the site. This window also shows what features the site has licensed, such as ZCast and Site Replication. For information on changing the licensing amounts and enabling the features contact RCS Sales.

Grace Period

Once the system is properly licensed the system will start building a Grace Period. When the license expires or the Dongle is removed there will be a limited grace period that Zetta® will run. Once the grace period has expired, Zetta will revert back to running only the following services on all machines, shutting down any licensed features such as the sequencers:

  • Play Device - Player
  • Site Synchronization - SiteMap Client
  • Content Management Services - Localizer

The License Manager service will also run on the License Manager computer. Once Zetta is re-licensed all licensed features will restart automatically and the grace period will start to rebuild.

Internet Licensing of Zetta

To license Zetta using the Internet, perform the following steps:
  1. If the login screen is not visible Launch Zetta using the application shortcut

  2. Log in to Zetta® using the Supervisor account (no password is required).
  3. Go to Licensing from the Configuration menu.

  4. Click the Change button to the right of the License Manager field.

  5. Use the License Manager drop-down to select the Computer that will be responsible for the licensing. The computer selected as the License manager Must be ON at ALL TIMES.
  6. Click the Change License Manager button to save the change and return to the Licensing window.
  7. Click the Change button to the right of the Licensee field.

  8. Contact RCS Support with the Seed Code
  9. RCS Support will supply the following information needed for Licensing Zetta:
    • New Licensee
    • RCS Code
  10. Enter a New Licensee Name
  11. Enter the RCS Code obtained from RCS Support
  12. Click Change Licensee

  13. Click OK to the Licensee has been changed successfully message.

  14. Since Internet Licensing is the default Licensing Type the Licensing Type does not need changed for this example. (To select a different Licensing Type click the Change button to the right of the License Type field to open the Change License Type window.)
  15. Click the UPDATE LICENSE button to open the Update License window for Internet Licensing.

  16. Enter the RCS User ID obtained from RCS
  17. Enter the RCS Password obtained from RCS
  18. Optionally, click Remember User ID/Password
  19. Optionally, click Automatically Re-License, by clicking the option, Zetta® will check with RCS® automatically when the license is within 15 days of expiring. If this option is not checked, Zetta® will alert the users when the license is within 15 days of expiring.
  20. Click the UPDATE LICENSE button in the Update License window.

  21. Click OK. The licensing will close and an Internet Browser will launch displaying licensing activity.
  22. Close the Internet Browser.

  23. If new to Zetta® see the Zetta Quick Configuration section or the Configuration section. After the Stations, Computers and Users are added, revisit the License Allocations window to adjust the licensing as needed.

Dongle Licensing of Zetta

To license Zetta using the Internet, perform the following steps:
  1. If the login screen is not visible Launch Zetta using the application shortcut

  2. Log in to Zetta® using the Supervisor account (no password is required).
  3. Go to Licensing from the Configuration menu.

  4. Attach the Dongle to the computer that will be selected as the License Manager computer.
  5. Click the Change button to the right of the License Manager field.

  6. Use the License Manager drop-down to select the Computer that will be responsible for the licensing. The computer selected as the License manager Must be ON at ALL TIMES.
  7. Click the Change License Manager button to save the change and return to the Licensing window.
  8. Click the Change button to the right of the Licensee field.

  9. Contact RCS Support with the Seed Code
  10. RCS Support will supply the following information needed for Licensing Zetta:
    • New Licensee
    • RCS Code
  11. Enter a New Licensee Name
  12. Enter the RCS Code obtained from RCS Support
  13. Click Change Licensee

  14. Click OK to the Licensee has been changed successfully message.
  15. Since Internet Licensing is the default Licensing Type the Licensing Type will need to be changed to Dongle Licensing. To select a different Licensing Type click the Change button to the right of the License Type field to open the Change License Type window.
  16. Select Dongle Licensing from the Licensing Type drop-down.

  17. Click the Change License Type button.
  18. In the Licensing window, click the UPDATE LICENSE button to open the Update License window for Dongle Licensing.

  19. The Dongle will be read and a status of Successfully connected to the Dongle will show in the message pane.
  20. Click the UPDATE LICENSE button in the Update License window.
  21. Click OK to the message window.

  22. If new to Zetta® see the Zetta Quick Configuration section or the Configuration section. After the Stations, Computers and Users are added, revisit the License Allocations window to adjust the licensing as needed.

Kill License

To Kill a Zetta® License, perform the following steps:
  1. Select Licensing from the Configuration menu

  2. Click the UPDATE LICENSE button.
  3. Click the drops-down next to the Settings button.

  4. Select the Kill License button

  5. Click Yes to confirm.

  6. Contact RCS Support with the kill code to complete the removal of the license.

Change Licensee

To Change the Licensee for Zetta, perform the following steps:
  1. Select Licensing from the Configuration menu

  2. Select the Change button to the right of the Licensee field.

  3. Contact RCS Support with the Seed Code
  4. RCS Support will supply the following information needed for changing the Licensee:
      • New Licensee
      • RCS Code

Welcome < Configuration < Licensing

© 2007-2017 RCS All Rights Reserved.


Help Overview

The Help Menu gives the user access to the help file in Compiled HTML Help Format (.chm), and an About screen that displays the software version, license and file information about Zetta®.

The follow topics explain the Help Menu in Zetta®:

Zetta Help

About

Welcome < Help Overview

© 2007-2017 RCS All Rights Reserved.


Zetta Help

Welcome < Help < Zetta Help

Zetta® Help

The Zetta® Help F1 menu option in the Help Menu provides easy access to this file in Compiled HTML Help Format, where the user can easily search for the solutions to questions. The help file provides convenient search and index features, as well as back and forward buttons to make getting around the guide easy. The F1 function key on the keyboard can be used for context sensitive help on an active window in Zetta.

Document Symbol Legend

The following symbols illustrate items of interest throughout this document:

Important Note!

Indicates an important or cautionary note

Indicates Step-by-Step instructions.

Keystroke Abbreviations

The following keystroke abbreviations are used throughout this document:

Keystroke | Description
ESC | Escape Key
CTRL | Control Key
ALT | Alt Key
SHIFT | Shift Key
Fn | Function Key

Keystrokes and buttons will be indicated using a bold font. For example, if instructions indicate pressing the Next button to continue through a setup wizard or pressing CTRL + P to print.

Keystrokes joined with a plus (+) sign indicate a combination of keystrokes. For example: “Press CTRL + P to print” would indicate holding down the CTRL key down while pressing the P key.

Welcome < Help < Zetta Help

© 2007-2017 RCS All Rights Reserved.


About

The About menu option opens the About Zetta® window and provides the user with vital information about the version of Zetta Installed on the computer.

The information from the about screen can be easily copied to the computers clipboard and pasted in an E-mail to RCS Support. This information will assist the support department in answering questions and assisting with any issues the site may be having.

About Step-by-Step Topics

To copy and paste the information from the About screen, follow these steps:
  1. Using the Help Menu, click About.
  2. Highlight the text in the scroll window of the About window.
  3. Right-click the highlighted text.
  4. Select Copy from the resulting menu.

  5. Open an E-mail or Notepad
  6. Right-click and paste. This will paste the contents of the clipboard to the E-mail or text file.
  7. Send the E-mail or text file to RCS Support if requested.

Welcome < Help < About

© 2007-2017 RCS All Rights Reserved.


Features Overview

The Features section of this guide provides information on the following available features in Zetta®.

Audio Processing and Normalization

Background Recording

Backtiming

EAS - Emergency Alert System

Emergency On-Air Backup

Hooks

Multisite Voice Tracking

Satellite Mode

Segue Editor®

Zetta Splits®

Synchronizing to Selection

Time Announcements

Translation

Voice Tracker®

ZCast

Zetta2GO®

Welcome < Features

© 2007-2017 RCS All Rights Reserved.


Audio Processing and Normalization

Zetta® has the capability to process audio several different ways at different points of play. Zetta has the ability to process audio, add transition markers and normalize the audio on a station-by-station basis. Giving the user more control with how audio is played on the air, on different stations, with the same piece of audio.

Audio Processing

Audio Normalization

How Normalization works in Zetta

Audio Utility

Audio Utility Step-by-Step Topics

Marks Analysis

Full Analysis

Convert Audio

Define Formats

Convert Assets

Change Asset Type for Multiple Assets

Copy to Asset Type for Multiple Assets

Export Assets

Audio Processing

The processing of Audio starts with the settings defined in the Audio Processing tab of the System Configuration menu. Once the user has chosen what Marks Analysis to use, audio added to the system using Import Media will be processed with one of these values.

No Analysis – The No Analysis option will not make any changes to processed audio. Normalization values are not calculated.

Normalization and Waveform - The Normalization and Waveform option will normalize the audio and create the waveform only. It will not locate any markers such as Trim In and Trim Out.

Peak Analysis– Peak Analysis is the recommended analysis and will analyze the peaks of the audio and set the following based on desired settings.

  • Trim-In Threshold – Trim-in is an open marker to define where “silence” ends and actual audio begins. (Default -50dB)
  • Trim-Out Threshold – Trim-out is a closing marker where audio becomes “silence”. (Default -50dB)
  • Segue Threshold – Segue is the transition point in the audio when one event is mixed with the next event. (Default -18dB)

Smart Analysis – (Used in Smart Ripper®) Smart will analyze the audio and set the following marks based on the desired settings. Contact RCS Support for assistance.

  • Trim Threshold – Trim is the open and closing markers to define where “silence” ends and actual audio begins. (Default -50dB)
  • Segue Threshold – Segue is the transition point in the audio when one event is mixed with the next event. (Default -18dB)
  • Determine Intros – Zetta will determine where the accents in the introduction for each audio event are and mark up to three Intros.

Voice Track audio is always analyzed using the peak analysis method. The Trim is set based on the Trim Threshold settings set in the Voice Track Settings section of the Audio Processing tab.

In addition to the processing of newly added audio, existing audio can be processed using the Audio Utility [image] in the Library Module Toolbar. The Audio Utility will analyze chosen audio based on values set in the Peak Analysis and Smart Analysis sections of the Configuration | System | Audio Processing tab, thus allowing the user to have audio in the library analyzed both ways.

Important Note!

If both Peak Analysis and Smart Analysis will be used both values need to be set in the Configuration Menu | System |Audio Processing tab.

The following flow chart shows the path an audio file can take in the Audio Processing in Zetta®

Audio Normalization

The Audio Normalization in Zetta is a non-destructive normalization, which means all the normalization is done within Zetta and the actual audio file is untouched. The following are Normalization algorithms used by Zetta®:

Absolute Peak – (As used in AFC 4.0) Absolute peak normalization checks every sample in the audio file and calculates the largest audio peak value.

Root Mean Square – (As used in Selector/MC 15) Root Mean Square uses the square root mean algorithm to calculate peak values, which is the square root of the mean or middle of the squares of the values.

Filtered Peak – (As used in AFC 3.0) Filtered peak normalization analyzes all the samples within an audio file and calculates the peak level by ignoring 5% of highest samples.

Average Peak – Average peak normalization which is new with Zetta, analyzes all the samples within an audio file and calculates the median or middle value of the top 5% of the peaks.

Loudness (EBU R128) ITU-R BS.1770rev0 - Loudness normalization is concerned with balancing audio according to their actually perceived loudness. The EBU R128 is the recommended level of loudness at -23LUFS. The ITU-R BS.1770 standards provide an algorithm for quantifying the loudness and loudness level of a given audio asset in loudness units (LU or LUFS).

Loudness (Gated) ITU-R BS.1770rev3 - Loudness (Gated) ITU-R BS.1770rev3 is an algorithm to measure audio loudness of a Gated block of audio. Recommended for Broadcast audio.

These new and smarter normalization methods became needed in response to a loudness race, a symptom where audio content providers master audio (music, commercials etc.) to be increasingly louder. The phenomenon is known as a Loudness War and the full story can be found for example here. You can experience this loudness war first-hand - grab a CD released in say early 80s (or older) and play a song from that CD back-to-back with a song released recently. You should immediately notice the "younger" material is noticeably louder. That is a result of heavy dynamic compression then normalizing the newer song, a practice embraced by music industry since the mid-90s or so. You can easily tell the difference also by looking at the waveform for both songs; while for the older song you will see nice waveform with its ups and downs, the new material will most likely look like a solid rectangle with hardly any visible waveform (let alone ups and downs) - until you zoom into the song.

The new normalization methods we now provide deal with this "issue" as the algorithm used calculates perceived loudness (rather than peaks-based loudness), i.e. factor in the way the human ear and the brain perceive the audio, regardless how dynamically compressed the material actually is. In other words, the algorithm adjusts the volume for you in a similar way you would adjust the volume manually by a hand, had you had the two (old and new) songs played back to back. Similar technology has been around for years in consumer electronics (commonly called Replay Gain), and the EBU R128 / Loudness is the flavor of the same for the broadcast industry. The results are impressively good.

How Normalization works in Zetta

Normalization is calculated on every audio file that is added to Zetta whether it is through importing, auto load, recording or drag and drop. With normalization being non-destructive Zetta will find the normalization value for each of the algorithms supported in Zetta and save it to the database. In Zetta, you can set a station normalization type and value for each type of audio. Once set, all audio for that station/type will be played at that normalization value. If you decide to change what the value, it is a simple configuration change from any Zetta workstation and the change takes effect right away, with no restarts and no touching of the audio files. Zetta has the capability to process audio several different ways at different points of play. Zetta has the ability to process audio, add transition markers and normalize the audio on a station-by-station basis. Giving you more control with how audio is played on the air, on different stations, with the same piece of audio.

These values can be displayed in the Library Module by adding the desired columns to the Library Module Layout. See the section Changing the Library Module Layout for more information on adding and removing columns. The Calculated Gain column can also be displayed to show the percentage of gain for each piece of audio.

Important Note!

A Full Analysis, using the Audio Utility, will need to be performed for assets that have been imported to Zetta prior to version 2.9 to calculate the values for the Loudness (EBU R128) ITU-R BS.1770rev0 and Loudness (Gated) ITU-R BS.1770rev3

The Play of the audio on-air for each station is based on the normalization chosen in Configuration | Station | Normalization options for each media asset type.

Audio Utility

The Audio Utility allows the user to analyze existing audio in Zetta. Using the Launch Audio Utility [image] button from the Library toolbar the user can run the following tools:

Marks Analysis – The user can choose a single piece of audio or multiple pieces of audio to analyze the audio based on Smart Analysis and Peak Analysis configured in Configuration | System | Audio Processing tab. Contact RCS Support before selecting Smart Analysis.

Full Analysis –The Full Analysis runs through the selected file(s) to determine the gain values for all the supported algorithms in Zetta. Zetta then saves these values to the database to use based on the normalization selected for each station in Configuration | Station | Normalization Settings. This option is also used to create a unique File Checksum hash value and Waveforms for each file selected, the File Checksum value is used when comparing like files received from a ZCast transfer or import into the system.

Sync Active Stations with GSelector® - The user can choose a single piece of audio or multiple pieces of audio to synchronize with GSelector. This allows the user to add an asset and manually sync it to the active stations in GSelector

Convert Audio - The user can convert any audio asset in Zetta to the configured Audio Format desired using the Convert Audio option in the Audio Utility. Convert Audio uses AFC to convert the audio.

Approval - When the Audio needs approval before airing Station configuration option is checked this utility becomes available, this utility makes approving audio assets for On-air play quick and easy. This utility can also be used to change the status of an asset to Waiting for Approval or Disapproved. See the Approving Assets for On-Air Play section of this guide for more information.

Active - The Active utility allows the user to easily activate multiple songs at once for one station or all stations. See the Activate Multiple Audio Assets section of this guide for more information.

Export Asset - The Export Assets utility allows the user to easily export the selected assets to a connected drive. This can be used for backing up the assets or exporting a spot for a customer. The file is saved to the selected path by the title and artist.

Assign to Organization - This option is available when assets with a Cuts metadata Scope are selected. This option is used to assign a defined Organization to multiple assets.

Important Note!

If All Stations is selected as the Organization, any new station created will be able to play any active cuts where all stations is assigned as the Organization. By default new stations are automatically added to the All Station Organization.

Assign To Station - This option is available when assets with a Cuts metadata Scope are selected. This option is used to assign a station to multiple assets.

Change Category - The Category utility is available when selecting Songs, Link or Other Audio for a specific station. This utility allows the user to set or change the Category of these Assets.

Change Asset Type - The Change Asset Type option is used to change an assets Type by Coping or moving the asset to a different type. This utility is usefully when changing multiple assets to a different asset type. This option is only available for those assets that are not integrated with GSelector.

Copy To Asset Type - This option is visible if the selected assets are integrated with GSelector (Song and Links). This option is used to Copy the selected assets to another asset type.

Audio Utility Step-by-Step Topics

The Audio Utility allows the user to analyze, normalize and/or Convert existing audio in Zetta

Marks Analysis

Full Analysis

Sync Active Station with GSelector®

Convert Audio

Approval

Active

Export Asset

Set Song Station Category / Set Link Station Category

Change Asset Type

Copy To Asset Type

Marks Analysis

The following steps will show how to use the Marks Analysis in the Audio Utility in the Library Module:
  1. From the Modules Menu, click Library.
  2. Highlight the desired audio.

  3. Click the Launch Audio Utility [image] button

  4. Select the desired Action(s). Actions may vary if selected assets are integrated with GSelector.

  5. Click Go!

Important Note!

Smart Analysis may take longer than Peak Analysis based on the format of the audio in the library. Contact RCS Support before selecting Smart Analysis.

Full Analysis

The following steps will show how to use the Full Analysis option of the Audio Utility in the Library Module:
  1. In the Configuration Menu, click Stations.
  2. Select the station to set the normalize values.
  3. Select the preferred Normalization Options as defined below:

Limit Peak – When the Limit Peak option is check the Absolute Peak will be at 0dB

  4. Normalization algorithms used by Zetta:

Absolute Peak – (As used in AFC 4.0) Absolute peak normalization checks every sample in the audio file and calculates the largest audio peak value. (Default is –3dB)

Root Mean Square – (As used in Selector/MC 15) Uses the square root mean algorithm to calculate peak values, which is the square root of the mean or middle of the squares of the values. (Default is –20dB)

Filtered Peak – (As used in AFC 3.0) Filtered peak normalization analyzes all the samples within an audio file and calculates the peak level by ignoring 5% of highest samples. (Default is –6dB)

Average Peak – Average peak normalization which is new with Zetta, analyzes all the samples within an audio file and calculates the median or middle value of the top 5% of the peaks. (Default is –6dB)

Loudness (EBU R128) ITU-R BS.1770rev0 - Loudness normalization is concerned with balancing audio according to their actually perceived loudness. The EBU R128 is the recommended level of loudness at -23LUFS. The ITU-R BS.1770 standards provide an algorithm for quantifying the loudness and loudness level of a given audio asset in loudness units (LU or LUFS).

Loudness (Gated) ITU-R BS.1770rev3 - Loudness (Gated) ITU-R BS.1770rev3 is an algorithm to measure audio loudness of a Gated block of audio. Recommended for Broadcast audio.

  5. Click the Save [image] button to save the station settings.
  6. From the Modules Menu, click Library.
  7. Highlight the desired audio.

  8. Click the Launch Audio Utility [image] button

  9. Select the desired Action(s). Actions may vary if selected assets are integrated with GSelector.

  10. Click Go!

Convert Audio

Zetta has the ability to convert audio files to another format using AFC. After creating the desired Audio Format in Configuration | System | Audio Format, use the Audio Utility | Convert Audio option to convert the asset audio to the desired format.

The following steps will show how to use the Convert Audio option of the Audio Utility in the Library Module:

Define Formats
  1. From the Configuration Menu, click System.
  2. Click the Audio Format tab
  3. Click the Add Defined Format [image] button
  4. Enter a Name for the format
  5. Select the Audio Format
  6. Select the Bit Rate
  7. Select the Sample Rate
  8. Select the Channels
  9. Click Save

  10. Repeat for each format desired.

Convert Assets
  1. From the Modules Menu, click Library.
  2. Highlight the desired audio.

  3. Click the Launch Audio Utility [image] button

  4. Select the desired Action(s). Actions may vary if selected assets are integrated with GSelector.

  5. Click Go!

Change Asset Type for Multiple Assets

The Change Asset Type is only available for systems and assets that are not integrated with GSelector.

The following steps will show how to Change an Asset type to another asset type using the Audio Utility in the Library Module:
  1. From the Modules Menu, click Library.
  2. Highlight the desired assets.
  3. Click the Launch Audio Utility [image] button
  4. Select Change Asset Type
  5. Select to Move To or Copy To from the drop-down menu.
  6. Select the Asset type to change the selected assets type too.
  7. Click Go!

Copy to Asset Type for Multiple Assets

The Copy to Asset Type option is available for systems and assets that are integrated with GSelector.

The following steps will show how to Copy Assets to another asset type using the Audio Utility when integrated with GSelector:
  1. From the Modules Menu, click Library.
  2. Highlight the desired assets.
  3. Click the Launch Audio Utility [image] button
  4. Select Copy To Asset Type
  5. Select the Asset type to change the selected assets too.
  6. Click Go!

Export Assets

The following steps will show how to Export Assets from Zetta using the Audio Utility in the Library Module:
  1. From the Modules Menu, click Library.
  2. Highlight the desired audio.
  3. Click the Launch Audio Utility [image] button
  4. Select Export Asset
  5. Click Go!
  6. Select the Location to export the assets to on a connected drive.
  7. Click OK. Each file that is exported will include the Cart Chunk (trim in/out; intro1,2,3; Segue; Hook In/Out) information for the audio.

Welcome < Features < Audio Processing and Normalization


Background Recording

The Background Recording feature is basically a Background Task Sequencer. A Background Recorder can be configured to record a Show or Satellite Feed for play at a later date or time on an On-Air station. It can also be used for other background tasks needed by On-Air stations such as, changing the fill category, changing the sequencer mode or running a macro, thus removing the clutter from the normal stations log and preventing the accidental deletion of critical control events. The background recorder uses a background sequencer to execute the tasks scheduled in the Recorder Clocks and Recorder Logs. The Background Recorder runs as a Service process in the Startup Manager and does not require an On-Air module. After a Background Recorder is created and the service is started, the Recorder Logs and Recorder Clocks are then available in the Tools menu.

Recording Satellite Shows with Background Recorder

Background On Demand Recording using Cue Points

Recording Satellite Shows with Background Recorder

The following step-by-step instructions will assist in the setup of the Background Recording feature to record a Show. These instructions list each function separately; all of these functions can be performed by the same machine if desired. This does not cover the wiring of the audio and logic to the Computer(s). The show's program clock will need to be obtained from the Satellite provider.

Computer Record Devices Configuration

Computer GPIO Devices Configuration

Background Recorder Configuration

Configure GPIO Command Mappings

Create Assets for Recording the Show

Add a GPIO Record Control Event to a Recorder Clock

Add a Timed Record Control Event to a Recorder Clock

Generate a Recorder Log from the Recorder Clock

Troubleshooting Issues

Playback of Recorder Shows

Computer Record Devices Configuration

To Configure a Computers Record Devices, perform the following steps:
  1. Click Computers from the Configuration menu
  2. Select the computer to configure
  3. Select the Record Devices tab for the computer
  4. Click the Active check box to make the record devices active for the computer.
  5. Edit the Name if desired.
  6. Add a Description for the Record Devices for the computer. (optional)
  7. Click the Add New Input [image] button.

  8. Select the Recorder Device to use from the installed devices available on the Computer.
  9. Click OK to except the selection.
  10. Double-click the Short Name field to add a Short Name. (optional)
  11. Double-click the Device Name field to change the device name. (optional)
  12. Click Save [image] button to save the changes.
  13. Restart the Startup Manager

Computer GPIO Devices Configuration

To Configure a Computers GPIO Devices, perform the following steps:
  1. Click the GPIO / Routes tab in Configuration | Computers
  2. Click the Add New GPIO Device [image] button.
  3. Select Enabled to enable the device for use.
  4. Select the GPIO Device.
  5. Select the Quantity of devices connected to the computer if applicable for the device selected.
  6. Enter the Name of the GPIO Device.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter a GPI Hold Time in seconds for Zetta to wait before receiving an additional Input from each GPI of the device. The GPI Hold Time is per GPI. This means if there are two GPI for the same device, GPI 1 and GPI 2, and a command is received twice from GPI 1 during the specified hold time, Zetta will ignore the second command. However, if a command is received from GPI 1 and GPI 2 within the specified hold time Zetta will respond to both.
  9. See the Device Setting tab and the device manufacturers' manual for specific device setting configuration.
  10. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On or Name data. These fields can be edited and configured as needed.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPI numbers are the bit positions (optos) equal to those on the device.

    • The options for Trigger Event On are Leading or Trailing.

  • Leading means the event will fire when the key is pressed

  • Trailing means the event will fire when the pressed key is released.

  12. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, GPO, Event Action and Event Duration or Name. These fields can be edited and configured as needed.

    • The Name field can be renamed to give it more meaning when selected elsewhere in the system.

    • The GPO numbers are the bit positions (relays) equal to those on the device.

    • The Event Action is what Zetta will do when it sends the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.

    • Event Duration is equal to the time needed to turn the output device on, in seconds. Default is 300 ms or 0.3 seconds.

  13. Select the Routes tab to configure the Routes (sources) for the device. Not all GPIO devices listed support Routes so this tab may not be available.

    • The Name field can be renamed to give the route more meaning when selected elsewhere in the system.

    • The Route is the path the audio will take when routing the audio coming in from a source then out to the audio output channel.

    • The Input Type is used to add additional information about the audio Input.

  14. Click Save [image] button to save the GPIO device settings.

Background Recorder Configuration

To create a new Background Recorder, perform the following steps:
  1. In the Configuration Menu, click Background Recorders.
  2. Click the Add New [image] icon.
  3. Enter a Name to identify the Background Recorder.
  4. Enter a Description to describe the Background Recorder (optional)
  5. Select the Computer from the drop-down to be the Background Recorder Sequencer that processes the Recorder Log.
  6. Select Active (Required)
  7. Optionally, use the Appearance drop-down to select an Appearance that is created in the Themes & Appearances Configuration window.
  8. Optionally, use the Row Highlight drop-down to select an Row Highlight appearance that is created in the Themes & Appearances Configuration window.
  9. Click the Save [image] button to save the settings.
  10. Restart the Background Recorder services in Startup Manager.

Configure GPIO Command Mappings

Configure the individual opto closures for Start recording and Stop recording.

To Configure a System GPIO Command Mapping, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the Command Mappings tab
  3. Click Add GPIO Event Mapping [image] button.
  4. Enter a Name for the GPIO Mapping (default is New Mapping GPIO).
  5. Input a Description for the GPIO Mapping (optional)
  6. Using the Assigned Computer drop-down select the computer that has the device installed and configured above.
  7. Click the Add New Command Mapping [image] button
  8. Add a Rejoin event using the Task Background.Record.Start
  9. Select the Background Recorder created above.
  10. Select the Record Device created above.
  11. Add a Local Break event with the Task Background.Record.Stop
  12. Select the Background Recorder created above.
  13. Select the Record Device created above.
  14. Set the Command Mapping as the Computer GPIO Default

  15. Restart Startup Manager.
  16. For more information on tasks that can be used for Background Recorders in Zetta, see the Zetta Commands topic.

Create Assets for Recording the Show

Typically a Show segment will be created as a Link so it can be scheduled using GSelector or Loaded using a Flat File Load. At times there may be the need to record the audio to a File. This can be done by selecting File in the Record To field on the Record Control Event and entering a File Path using the variables in Zetta. For this example we will setup Link Assets.

To Create Assets for recording a Show, perform the following steps:
  1. In the Library Module select the Link tab
  2. Click the Add New Media [image] button
  3. Give each Asset a Title such as Bob and Tom Hr2 Seg3 (Fri).
  4. Click the Station Specific tab and make the Asset active for the playback stations.
  5. Select a Category for the Show Segment.
  6. Save [image] the Asset.
  7. Repeat for each segment of the show.

Add a GPIO Record Control Event to a Recorder Clock

To Add a GPIO Record Control Event to a Recorder Clock, perform the following steps:
  1. Open the Recorder Clocks Module from the Tools menu
  2. Select the Background Recorder created above from the Station Select drop-down.
  3. Select the Day of the week the Show is to be recorded.
  4. Using the show's program clock, determine when the first segment will send a start opto. Select Hard Time.
  5. Enter a time that is a minute and a half ahead of when the opto is to fire, such as 58:30 (provided there is no show in the previous hour that would end after that point).
  6. Select the Record Device created above
  7. Enter a Record Length greater than the longest time that the first segment is expected to run.
  8. Select the Start Type of GPIO since a start opto is expected from the source.
  9. Select the Format to use. See the Audio Format section for additional information.
  10. Select Asset as the Record To option.
  11. Drag and Drop a Show Asset created above to the Asset field where it states Drop asset to assign.

  12. Drag and drop the Record Control Event into the clock position.
  13. Repeat for each Segment of the show. Each successive segment should be a hard-timed GPIO recording. The start time should be at the midpoint of the previous spot block. For example, if segment 1 ends at :15:00 and is followed by a 4-minute spot block, segment 2 should be hard-timed at :17:00. This allows segment 1 to end up to 2 minutes late or segment 2 to start up to 2 minutes early without causing problems. This buffer time is dependent on the length of the local break. The length of these recordings should be greater than the longest time that each segment is expected to run. Some shows may require a 40-minute length, for the second segment out of three, but most shows have all segments less than 30 minutes long.

Important Note!

Hard-timed GPIO recording will start listening for an opto at the start time. It will listen for the length of the recording. If a stop opto is received first, the recording ends and creates a 0-length audio file. Once a start opto is received, it will record until it receives a stop opto or for the length of the recording. For example, a 10 minute GPIO recording scheduled at :30:00 will wait until :40:00 for a start command. If it receives a start command at :38:00, it will record until :48:00 or until a stop opto is received. If a stop opto is received instead at :30:01, the recording immediately ends. (This stop before start behavior may change in a future version of Zetta)

Add a Timed Record Control Event to a Recorder Clock

To Add a Timed Record Control Event to a Recorder Clock, perform the following steps:
  1. Open the Recorder Clocks Module from the Tools menu
  2. Select the Background Recorder created above from the Station Select drop-down.
  3. Select the Day of the week the Show is to be recorded.
  4. Using the show's program clock, determine when the first segment will send a start opto. Select Hard Time.
  5. Enter the time the show is to start, such as 00:00.
  6. Select the Record Device created above
  7. Enter a Record Length greater than the longest time that the first segment is expected to run.
  8. Select the Start Type of Time.
  9. Select Asset as the Record To option.
  10. Drag and Drop a Show Asset created above to the Asset field where it states Drop asset to assign.

  11. Drag and drop the Record Control Event into the clock position.
  12. Repeat for each Segment of the show. Each successive segment should be a hard-timed GPIO recording. The start time should be at the midpoint of the previous spot block. For example, if segment 1 ends at :15:00 and is followed by a 4-minute spot block, segment 2 should be hard-timed at :17:00. This allows segment 1 to end up to 2 minutes late or segment 2 to start up to 2 minutes early without causing problems. This buffer time is dependent on the length of the local break. The length of these recordings should be greater than the longest time that each segment is expected to run. Some shows may require a 40-minute length, for the second segment out of three, but most shows have all segments less than 30 minutes long.

Generate a Recorder Log from the Recorder Clock

Once all the events are placed in the Recorder Clock, the Recorder Clock can be generated.

Perform the following steps to Generate a Recorder Log:
  1. Open the Recorder Logs from the Tools menu.
  2. Select the Background Recorder from the Select Station drop-down
  3. Select the Date of an empty log.
  4. Select the Clock to use from the drop-down.

  5. Click Generate Log button
  6. Repeat for the following day. Future logs will be generated during scheduled maintenance according to the Scheduled Days setting in Scheduled Maintenance Configuration. If the background recorder sees that there is no schedule for tomorrow, it will generate one at 11pm.

Troubleshooting Issues

After the recordings have been processed, review the log to ensure they were recorded properly. If there are problems, recent opto activity can be viewed in the Tools | GPIO History.

Contact RCS Support for additional assistance.

Playback of Recorder Shows

Playing back these shows is simple. Schedule the segments in the proper order with spot blocks in between. Add any missing elements like legal ID's and imaging, and load traffic. Set the Station to run in Auto mode for the length of the show. These shows can also be scheduled as Links when using GSelector Integration.

Background On Demand Recording using Cue Points

On Demand recordings can be setup to record to File, Asset or FTP site to automatically record a News Bulletin to send to a Website as a Podcast. For this option a Cue Point can be inserted at the start of the opening News Jingle to initiate the recording and then another Cue Point at the end of the closing News Jingle to complete the recording.

Background Recorder Configuration

Setup On Demand Recordings to a File

Create a Cue Point in the Intro

Create a Cue Point in the Outro

Insert the Intro and Outro Events into the Station Log

Monitoring Background On Demand record events

Setup On Demand Recordings to a File

On Demand recordings can be setup to record to File, Asset or FTP site. In this example we will record to a File.

To configure a File On Demand Recording, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the On Demand Recording tab
  3. Click the Add Recording button
  4. Enter a unique Name for the recording
  5. Select a Record Device from the drop-down. Record device selected should be a device that will be available at the required time. If the device is being shared with Voice Tracking or Quick Record it is evident that no VT or QR can occur during an On Demand Background recording.
  6. Insert a maximum Record Length for the recording. Record Length must reflect the maximum expected length of the target event.
  7. Choose a Format from the drop-down of configured Audio Formats.
  8. Select File from the Record To field.
  9. Enter a Path to the location for Zetta to save the file when finished recording. The File path will need to be shared if it is to be accessible to all machines which will be accessing this directory. File Path must include the target file name and extension. The extension should match the Format defined.

  10. Click Save [image] to save the settings.

Create a Cue Point in the Intro

Cue Points can be used to add embedded cue markers at various points in an audio file to perform command tasks. Use the Marking Tool to insert a Cue Point into the Intro audio for the News.

To create a Cue Point in the Intro audio to start an On Demand recording, follow these steps:
  1. Open the Library from the Modules Menu
  2. Double-click the desired asset to edit
  3. Select the Station or Cut in the left tab.
  4. Click on the waveform graph to set the Play marker at the point where the Recording should start.
  5. Expand the Cue Points section in the Marks tab
  6. Select the Add new Cue Point [image] button.
  7. Select Custom from the drop-down.
  8. Name the Cue Point
  9. In the Task column select Background.OnDemandRecording.Insert
  10. In the Settings column for the task select the Background Recorder from the drop-down, then select the On Demand Recording created and the Auto Start Recording option. The task invokes the background recorder to INSERT a blank audio file in the File Path specified (in the On Demand Configuration) and START (Auto Start Recording enabled) recording the event.

  10. Click OK to close the Custom Cue Point Details window.
  11. When finished editing the Metadata card click the Save [image] button.

Create a Cue Point in the Outro

Use the Marking Tool to insert a Cue Point into the Outro audio for the News.

To create a Cue Point in the Outro audio to stop an On Demand recording, follow these steps:
  1. Open the Library from the Modules Menu
  2. Double-click the desired asset to edit
  3. Select the Station or Cut in the left tab.
  4. Click on the waveform graph to set the Play marker at the point where the Recording should stop.
  5. Expand the Cue Points section in the Marks tab
  6. Select the Add new Cue Point [image] button.
  7. Select Custom from the drop-down.
  8. Name the Cue Point
  9. In the Task column select Background.OnDemandRecording.Stop
  10. In the Settings column for the task select the Background Recorder from the drop-down, then select the On Demand Recording created. The task stops the background recorder and saves the audio file to the specified File Path. The STOP cue point must occur before the Segue marker.

  10. Click OK to close the Custom Cue Point Details window.
  11. When finished editing the Metadata card click the Save [image] button.

Insert the Intro and Outro Events into the Station Log

To insert the events in the Stations Log, follow these steps:
  1. Open Logs from the Modules Menu
  2. Open the Library from the Modules menu
  3. Locate the Assets to add to the Log.
  4. Drag and drop the Intro, News Live Read and the Outro to the Station Log.

Before recording the Background record events will appear in the log as above, with a RED marker warning the user of the upcoming Cue Point Background event.

After the Recording the events will appear as below.

Monitoring Background On Demand record events

Using the Background Recorder log from the Tools | Recorder Logs option the recording of the News Report can be monitored.

Welcome < Features < Background Recording


Backtiming

Backtiming in Zetta® is used to ensure commonly critical content gets aired and ends at the Estimated Time Marker (ETM). Backtiming is ideal in situations where Spot Blocks or other critical event towards the end of an over-scheduled hour cannot be dropped, thus keeping critical material in the schedule but dropping less important events if the time is short.

The required elements to using Backtiming in Zetta are:

  • Scheduled Hard / Soft ETMs - To set the Top of Hour to act like an ETM see the Automation tab in the Station Configuration window.
  • Station running in Auto mode - However, by selecting the Execute ETM events in Live Assist mode option, in the Automation tab of the Station Configuration, fixed events will be played when in Live Assist mode.
  • Fixed property set on critical log events - Events can be scheduled as Fixed in Logs using Clocks, Flat File Load or GSelector. When there is a fixed event in the Log that means the event is required to play before the next Soft or Hard ETM, everything else can be dropped.

With the above elements in place, Zetta will work backwards through the log from the ETM looking for the first available Fixed event. This event will be backtimed, which means Zetta will play the event in time to finish at the time of the ETM. To achieve this Zetta will work backwards up the log to the currently playing position, looking for non-fixed events that can be pre-dropped and pre-faded [image] to accommodate the timing of the segment. This will in turn line the events up in a way to allow the fixed content to end at the time of the ETM. Events will only be pre-faded if the next ETM is a Hard ETM.

With this pre-drop/pre-fade logic, the gap time on the ETM respects the pre-drops/pre-fades as if that is how the log will playout, therefore the gap time will always show 00:00 for a Hard ETM. To view what the gap time would have been without respecting pre-drops/pre-fades, hover the mouse over the gap time, seen at the bottom of the Log window, to display a tool tip with that gap information. Backtiming is only performed for the upcoming Soft / Hard ETMs.

Example:

The new benefit of this design is that all pre-dropped / pre-faded events are actually shown as such in the log, so the user can see what is going to happen (= not play / fade early) and can make adjustments as needed. Every adjustment to the log (inserts, skips, moves, modifying ETMs or setting the Fixed property on events) automatically triggers a recalculation, so the projection should always be an accurate representation of what will happen.

For Example: If the Link Final from Song to Digital, in the above log example, were to be set as fixed the log will automatically recalculate to adjust for the change.

To avoid dropping and fading events early, set the Stretch option on the events and on the Hard ETMs in the log. Once the pre-drop / pre-fade logic is complete Zetta® will then try to Stretch/Squeeze to ETM. The stretch option can be set in the Properties tab of the event, in the Timing column of GSelector or in the Flat File Load of the Log.

We have also changed the logic responsible for Filling. Before, the Fill position was right above the Soft / Hard ETM that Sequencer was timing to. Keeping that would unfortunately get in the way of backtimed fixed log event(s); it is the backtimed material that is intended to end at a specific ETM, not some fill content. Therefore, the Fill position is now above the consecutive sequence of Fixed events that are closest to the Soft / Hard ETM that Sequencer is trying to hit. Also, keep in mind that Fill will not kick in if there are any “predropped” events in the log segment.

Important Note!

If a Station uses Fill and given the above, the Fill position may change based on the log construct. Also, be aware of the log events with implied Fixed behavior. If you always want to fill right above the Soft / Hard ETM irrespective of other Fixed events in the log, mark the event right above the ETM as Fixed or place a Fill Position event above the ETM. Zetta will fill right above it.

Event Types that can be Fixed

The following event can be set as fixed.

  • Any Audio event, including external audio
  • Special Audio Events such as Tags, Images, Rotations and Spot Blocks (If a Spot Block is set as Fixed the events in the spot block are also fixed.)
  • Control Events such as Execute Commands, Macros, Pause and Record
  • Unscheduled Songs and Links
  • Comments
  • Empty Voice Track Slots
  • Empty Slots

Events Types that cannot be manually flagged as Fixed

Fixed is implied on the following events and these events are never dropped.

  • ETMs
  • TOH (Top of Hour markers)
  • Log Start event
  • Unsupported GSelector events

Automatically Set Spot Blocks and Macros as Fixed

Using the Automation tab in the Station Configuration window all Spot Blocks can be set as Fixed by selecting the Automatically set Spot Blocks as Fixed option. If a Spot Block is set as Fixed the events in the spot block are also fixed. Selecting the Automatically set Macros as Fixed option, will set all Macros as fixed.

Execute Fixed events in Live Assist Mode

Enabling the Execute ETM events in Live Assist mode option in the Automation tab of the Station Configuration will allow the sequencer to play any event set as fixed while it is in Live Assist mode. When this option is selected the user is presented with two options for playback when the ETM executes:

Resume playback if stopped when Soft ETM executes - When this option is selected and the Sequencer is in Live Assist mode all fixed events will play before the next Soft ETM. If this option is enabled when the sequencer is in Live Assist mode the Soft ETM events will execute the same as if the sequencer were in Auto mode.

Resume playback if stopped when Hard ETM executes - When this option is selected and the Sequencer is in Live Assist mode all fixed events will play before the next Hard ETM. If this option is enabled when the sequencer is in Live Assist mode the Hard ETM events will execute the same as if the sequencer were in Auto mode.

Set an Event as Fixed

An event can be set as Fixed using the properties window in Logs or Clocks.

In GSelector events can be set as fixed using the Fixed column in Clocks or Editor.

In a Flat File Load Events can be set as fixed using the following values and the ASCIICON Load and Reconcile Templates:

Value | Length | Column | Description
! | 1 | 9 | Placed in Column 9 sets the event to Fixed in the log.
# | 1 | 14 | Placed in Column 14 sets the Stretch option on the event in the log.

Welcome < Features < Backtiming

© 2007-2017 RCS All Rights Reserved.


EAS Emergency Alert System

Welcome < Features < EAS - Emergency Alert System

EAS - Emergency Alert System

The Emergency Alert System (EAS) is a national public warning system that requires broadcasters, cable television systems, wireless cable systems, satellite digital audio radio service (SDARS) providers, and direct broadcast satellite (DBS) providers to provide the communications capability to the President to address the American public during a national emergency. The system also may be used by state and local authorities to deliver important emergency information, such as AMBER alerts and weather information targeted to specific areas.

DASDEC is a Digital Alert System for playing EAS warnings. The DASDEC interface supports up to 5 stations per I/O Board. The EAS audio is sent to an FTP server where the computer can then access this file and play it On-Air, thus supporting multiple playbacks at any given time. Zetta then sends a message back to the DASDEC box that the EAS alert has been played. An EAS Pending Input will need to be configured for each station using the bit position to designate which channel on the DASDEC is for each station. The weekly EAS Test alerts must be fired manually or wired externally to the to the DASDEC box. The FTP location that the DASDEC-II EAS box sends the audio to must be mapped on each stations Sequencer computer. The Audio file must be in PCM format to prevent issues with playback.

Zetta has the ability to receive these warnings and place them in the log. Starting with version 2.7, Zetta can be configured to accept EAS warnings from a DASDEC-II box and send a visual warning to the On-Air Module. In Live Assist mode the user will see the warning at the top of the On-Air window. By clicking this alert the Alert window will show allowing the use to add it to the log. In Auto mode the warning will be automatically placed in the log as the next event to play. In Satellite or Splits mode the warning will be automatically placed in the log at the end of the next available spot block.

DASDEC IP/Network Setup

DASDEC Encoder Setup

DASDEC Net Alerts Setup

DASDEC Zetta Configuration

Test the EAS Configuration

DASDEC IP/Network Setup

To setup the DASDEC IP Network setting to work with Zetta, perform the following steps:
  1. Refer to the Digital Alert Systems PDF at http://www.digitalalertsystems.com/pdf/apndas-0125.pdf or contact RCS Support
  2. Perform Step #1 of the pdf to change the IP address.
    • The current address of the box might not be the 192.168.0.200 as mentioned in the PDF. After turning the DASDEC on the current IP address will scroll across the front display screen.
    • In Step 1.7 of the pdf to set the Server Name.
    • In Step 1.8 of the pdf to set the Server Network Hostname.
  3. Perform Step #2 of the pdf to set the time.
    • The sample IP address of 64.113.32.5 can be used as the NTP Server
  4. Next complete Steps #3 - #8 as needed for the station.

DASDEC Encoder Setup

To setup the DASDEC Encoder to work with Zetta, perform the following steps:
  1. Select the Setup tab
  2. Select the Encoder radio button

  3. Select Station 1 from the Select Station Configuration Interface drop-down. After the station name is changed, the combo box will reflect the name of the station rather than the default value of Station 1
  4. Check the ENABLE Station Interface check box
  5. In the Station Configuration Interface Name field, change the name of the station to a value of “1”, “2”, “3”, “4”, or “5”. This number will be used by Zetta as the bit position when an EAS notification is received (base 1). This number can be followed by a space and then any text desired. RCS suggests this text reflect the station that will mapped to the configured GPI in Zetta.
    • Example: 1 Hits Factory means this will map to GPI bit position 1, and within Zetta GPI 1 maps to station Hits Factory. 2 Chillout Lounge means this will map to GPI bit position 2, and within Zetta GPI 2 maps to station Chillout Lounge.
  6. Repeat steps 3 through 5 for the remainder of the stations to be mapped. The numeric value in step 5 must be unique for each station.
  7. Once each station is configured select *Base Station Info from the Select Station Configuration Interface drop-down.

  8. In the Configure Available EAS Types for Encoder Alert Origination Interfaces section, add the desired EAS Codes or use the Add buttons to add specific types of emergencies.
  9. In the Configure Available FIPS for Encoder Alert Origination Interfaces section, remove the default if not needed, then choose the desired FIPS State / County combinations desired

DASDEC Net Alerts Setup

Prior to setting up the Net Alerts, setup an FTP Server and configure it with a username and password to provide to the DASDEC box.

To setup the DASDEC Net Alerts, perform the following steps:
  1. Select the Setup tab
  2. Select the Net Alerts radio button
  3. Check the Encoder Originated Alerts Sent to EAS_NET devices check box

  4. In the Remote EAS NET Host IP Address, enter the IP Address of the Zetta machine that will be responsible for monitoring the DASDEC
  5. In the EAS_NET Event Transfer Protocol, select RCS NexGen
  6. Make note of the Remote EAS NET Host Port, this should be 64333
  7. In the EAS_NET Host Data File IP Address, enter the IP Address of the FTP Server where the audio files are to be sent
  8. In the EAS_NET Host Data Port, enter the port of the FTP Server where the audio files are to be sent
  9. In the EAS_NET User and Password fields, enter the User Id and Password that will be used to access the FTP Server by the DASDEC device when sending the audio files. This cannot be left blank, a user with a password must be used.

  10. Click the Accept Changes button at the bottom of the screen.

DASDEC Zetta Configuration

To add a DASDEC GPIO / Route Device to a configured Computer, perform the following steps:
  1. On the Sequencer computer for the station receiving the EAS alert, using windows explorer, map a drive to the FTP location where the EAS alert audio file is being placed. If there is more than one sequencer computer configured in the DASDEC box, the mapped drive letter must be the same on each station sequencer computer (each DASDEC box supports up to 5 sequencer stations).
  2. Click the GPIO/Routes tab in Configuration | Computers
  3. Click the Add New GPIO Device [image] button.
  4. Select Enabled to enable the device for use.
  5. Select the DASDEC option as the GPIO Device.
  6. Enter the Name of the GPIO / Route Configuration, the default is the name of the device selected.
  7. Optionally, enter a Description for the GPIO device.
  8. Optionally, enter the number of seconds to ignore a GPI event following a GPO event using the Ignore GPI after GPO for X seconds field. If an input is received with X seconds of an output event then the input will be ignored.
  9. Optionally, enter the number of seconds to not generate a GPO event following a GPI event using the Do not send GPO after GPI for X seconds field. If an output is received with X seconds of an input event then output event will not be sent.
  10. Select the Settings button.

  11. Enter the Network Adapter number that Zetta will use to communicate with the DASDEC device; typically this is 0 unless there is more than one Ethernet card in the computer.
  12. Enter the Local Port to use as defined on the DASDEC under Remote EAS NET Host Port, the default is 64333.
  13. Enter the FTP File Path mapped in step 1. This must be the same path for all Sequencer computers.
  14. Click OK
  15. Select the GPIs (Inputs) tab to configure the Inputs.
  16. Select the Create All Inputs button and Zetta will create 5 inputs.
  17. The Name field can be renamed to the station name to give it more meaning when selected elsewhere in the system. GPI #1 will be triggered when a notification is received by the DASDEC whose DASDEC Station Configuration Interface Name begins with 1, GPI #2 will be triggered when a notification is received by the DASDEC whose DASDEC Station Configuration Interface Name begins with 2 and so on
  18. Select the GPOs (Outputs) tab to configure the Outputs.
  19. Select the Create All Outputs button and Zetta will create 5 outputs
  20. The Name field can be renamed to the station that will issue the EAS Confirmation to the DASDEC.
  21. Click Save [image] button to save the GPIO / Routes settings for the selected computer.
  22. Go to Configure | System, then Select the Command Mappings tab for the System Configuration window
  23. Click Add GPIO Event Mapping [image] button.
  24. Enter a Name for the GPIO Mapping (default is New Mapping GPIO).
  25. Enter a Description for the GPIO Mapping (optional)
  26. Using the Assigned Computer drop-down select the computer responsible for communicating with the DASDEC.
  27. Select the Input tab
  28. Click the Add New Command Mapping [image] button
  29. Select Enabled to enable the GPIO mapping
  30. In the GPIOEvent column, use the drop-down to select the first Input created.
  31. Enter a Name for the mapping
  32. Select the Task EAS.Notification from the drop-down
  33. Select the Station in the Settings column that matches the station input defined.
  34. Repeat for each station until all configured Inputs are defined.

  35. Select the Output tab
  36. Click the Add New Command Mapping [image] button
  37. Select Enabled to enable the GPIO mapping
  38. Enter a Name for the mapping
  39. In the Task column, select EAS.Confirmation from the drop-down
  40. Select the Station in the Settings column that matches the station input defined.
  41. In the GPIOEvent column, use the drop-down to select the first Output created.
  42. Repeat for each station until all configured Outputs are defined.
  43. Click Save [image] to save the mappings.
  44. Restart the Startup Manager on the Sequencer computer and the computer that is responsible for interfacing with the DASDEC box.

Test the EAS Configuration

To test the DASDEC EAS Configuration, perform the following steps:
  1. In the DASDEC utility, go to the Encoder tab
  2. Select the Send Alert radio button
  3. Select the desired test in the Alert EAS Code drop-down

  4. Remove / Add the desired locations in the Set Location(s) section

  5. If desired, select any Optional Pre-Alert Audio Announcement and/or Optional Post-Alert Audio Announcement
  6. Click the Send Alert button for the desired station

  7. Click the Yes, Send Alert! button.

  8. The Active Alerts page should be displayed the alert should sound on the DASDEC box

  9. Go to Zetta and open the On-Air window; Note the “EAS Alert (1)” in the well at the top

  10. Depending on the current mode of the station, the alert may or may not be added to the log. If it is in Auto Mode, it will be added as the next item to play. If it is in Satellite or Splits mode, it will be added at the end of the next spot block to play. If it is in Live Assist of Manual mode, it will not be added to the log. If the alert is not scheduled, the alert icon in the well should flash. If it is scheduled, the alert icon should not flash
  11. Click on the EAS Alert in the well of the On-Air window, the EAS Alert control will be displayed. This window can be docked if desired.

  12. If the alert is not scheduled, the alert icon will be shown, otherwise, it will be hidden
  13. Select the alert and listen to it via the audition icon
  14. Select the alert and drag/drop the same as other assets
  15. Select the alert and click the plus icon. The selected alert will be inserted into the log as the next item to play. When the sequencer plays the alert. The alert will be removed from the EAS Alerts window and the EAS Alert (#) in the On-Air control will be removed.
  16. Optionally, play the alert from either the Hot Keys control or Stack Player control.
  17. There will be a new [image] Alerts tab displayed in the Library window. If it does not show, try restarting Zetta and the Startup Manager. A new alert asset will be shown for each alert received but only for the station which the alert was originated.

  18. Open up the asset
  19. Go to the Extra tab. The Kill Date is 1 week from the creation date
  20. Open the Station Specific tab. The End Date / Hour will be the end date / time of the alert, The alert should only be Active for the station that the alert was created
  21. Open the Script tab. To view the alert text. The text is read-only so that the user cannot modify the alert message.

  22. Open the Log Window.
  23. Locate the Alert.
  24. Click on the White Note icon in the Alert to view the script in the Preview window.

  25. After Zetta plays the alert, a notification is sent to the DASDEC using the configured GPO. To verify this notification is received, see the OpLog found in the DASDEC interface.

Welcomes < Features < EAS - Emergency Alert System


Emergency On-Air Backup

Using the Emergency On-Air Backup is identical to using the On-Air module. Each computer in Zetta can be configured to have the ability to Go Local. This means the local computer will use a copy of the main database that is saved and synchronized on to the local computer. When the computer is in this mode, it will be completely separate from the rest of the machines that are in the Zetta database site and the user will see a flashing (LOCAL MODE) in the title bar of the Main Zetta application. Once the Emergency On-Air Backup is configured, Local Mode can be started by clicking the Go Local button in the Tools | Database Management window. When the Local Mode starts it will continue with the on-air event that was playing when the system switched. The Local Database is an exact duplicate of the main database and all devices and services configured for the local computer will still function. The user can add and changes assets as needed in this state, however when returning to the Primary database these changes will not be present. To go back to the main site database, click the Go Back to Primary Database Manager button.

Important Note!

The use of Windows XP will require a manual configuration to use this feature. Contact RCS Support for assistance.

Installation of Services

Configuration of Zetta for Emergency On-Air Backup

Switch back to Main Database

Installation of Services

The Emergency On-Air Backup uses the RCS Local Database Manager with SQL 2014 Local DB. These services can be installed on every machine when Zetta Client is installed.

Configuration of Zetta for Emergency On-Air Backup

In the Computer Configuration Details tab there is a check-box called Maintain Local Copy Of Database. When this option is selected Zetta, it will put the local database manager into Local Restore state. Zetta will copy the latest backup and transaction logs of the database to the local computer and the local database manager will automatically restore those backups onto this local database. The Backups for this feature are configured in the Automatic Backups tab of the System Configuration window.

To configure Zetta for Emergency On-Air Backup, perform the following steps:
  1. Go to the Computer Configuration window.
  2. Select the computer that will have the Local Database.
  3. Go to the Local Storage and Playback Priority tab to configure the Local Operating Path and the Local audio Store to Localize Station Audio.

  4. In the Details tab select the Maintain Local Copy Of Database option. The option is only available from the computer that will be running in Local Mode.
  5. Save the computer changes
  6. Close the Computers window.
  7. Go to the Automatic Backups tab in the System Configuration.
  8. Select Enable Daily Backups
  9. Insert a Start Time for the daily backups
  10. Select Enabled Transaction Log Backups
  11. Set the number of Minute(s) to wait before the backup of the transaction log occurs again. The transaction log holds the changes that are made to the database between each full backup.
  12. Set the number of Day(s) to wait before deleting a backup using the Delete Backups After field. Be mindful of the space available on the local computer.

  13. Once the Backup Runs and is Successfully restored to SQL 2014 Express that was installed to the Local Machine, the Go Local button in the Database Management Tool can be used to switch the computer to the local database.

  14. The user will then be required to confirm the switch to the local database for the station which the computer is configure.

  15. Click Yes to continue to Local Mode.

Important Note!

When the computer is configured to use Local DB the computer may show signs of delay as Zetta prepares a Backup and Restore, of the Main database to the local computer, for initial use.

Switch back to Main Database

To switch back to the Main Database from Local Mode, perform the following steps:
  1. In the Database Management Tool click the Go Back to Primary Database Manager. This will switch the computer from looking at the Local Database to the Primary Main Database for the site. The station will switch to the same position in the log that it was playing in when it changed from Local mode.

  2. The user will then be required to confirm the switch back to the Primary database.

  3. Click Yes to return to the Main database.

Welcomes < Features < Emergency On-Air Backup


Hooks

A hook is a musical or lyrical phrase that stands out and is easily remembered which is used to make a song appealing and to "catch the ear of the listener". Hooks can be created using any of the Editors in Zetta®. If an asset, does not have a defined hook, Zetta will play the audio starting at the Intro Point and then play into the audio for 10 seconds when using hooks in Audition mode. All audio assets can contain a hook. Hooks can be played in Audition mode or on the air using Stacks or Hot Keys®. When a Stack event has a Hook associated with it, the hook [image] icon appears next to the asset information. A Hot Key will display a disabled [image] hook icon if the asset has a hook, simply right-clicking the disabled [image] hook icon will enable [image] the asset as a hook, right-click it again to disable the hook and switch back to the entire audio for the asset.

Create a Hook

Show Hooks in the Library Module

Play a Hook in Audition

Add a Hook to a Hot Key

Add a Hook to a Stack

Create a Hook

To create a hook in the marks editor, follow these steps.
  1. Open the Library using the Modules Menu
  2. Double-click the desired asset from the list to open the metadata card
  3. Using the Marks Editor right click the wave form

  4. Select Insert Hook, a 30 second portion of the audio will be marked as a hook

  5. Click Play Hook [image] to listen to the selected hook
  6. To adjust the hook, hover over the selected area until the mouse arrow changes to the multi-directional arrow

  7. Click and drag the hook to the desired location
  8. Click Save [image] when finished to save the changes to the asset.

Show Hooks in the Library Module

To display the assets that have defined hooks in the Library Module, follow these steps.
  1. Open the Library Module
  2. Right-click on any column header

  3. Select Hook from either the Insert or the Replace menu
  4. Sort the column to display the assets with hooks at the top of the column

Play a Hook in Audition

To play a hook in audition mode, follow these steps.
  1. Open the Library using the Modules Menu
  2. Highlight the desired asset
  3. Select the drop-down next to the Audition [image] button in the library toolbar

  4. Select Hook from the drop-down menu
  5. Select the Audition [image] button to play the Hook in audition mode

Add a Hook to a Hot Key

To add a hook to a Hot Key, follow these steps.
  1. Open the Library using the Modules Menu
  2. Open the Hot Keys® from the Modules Menu
  3. Select a bank from the Select Hot Keys® Bank drop-down menu

  4. Locate the asset to add in the Library Module.
  5. Click and Drag the asset from the Library Module to a Hot Key in the bank chosen.
  6. Drop it on the Hot Key, if the asset has a Hook a disabled hook [image] icon will be visible.
  7. Click the disabled hook icon. Zetta® changes the Hook [image] icon to show that the hot key is a hook.

Add a Hook to a Stack

To add a hook to a Stack, follow these steps.
  1. Open the Library using the Modules Menu
  2. Open the Stacks from the Modules Menu
  3. Select a Station from the drop-down menu
  4. Select a Stack from the drop-down menu
  5. Locate the event to add in the Library Module.
  6. Click and Drag the event from the Library Module to a position in the Stack.

  7. Drop it in the desired position
  8. Right-click the asset in the stack
  9. Select Hook
  10. Zetta adds the Hook [image] icon to show that the asset is a hook.

Welcome < Features < Hooks

© 2007-2017 RCS All Rights Reserved.


Multisite Voice Tracking

Zetta Multisite Voice Tracking is a new feature in version 3.00 of Zetta®. This feature allows users to voice track in a single log for multiple Zetta or NexGen sites. This topic covers the configuration and Multi Voice Tracker window for voice tracking multiple Zetta Sites. Contact RCS Support to obtain the Zetta to NexGen Multisite Voice Tracking documentation.

There are two methods of Multisite Voice Tracking, Log Based and Splits (tags) based. Log Based is where the Logs for all the stations being Voice Tracked match or are very similar in content. It uses the Asset ID to match what is scheduled in the logs with the Master Voice Tracking station. Splits (tags) based Multisite Voice Tracking is where a Voice Track is created and tagged for each splits station, so when the Master Station plays a Voice Track with a split behavior that is tagged the splits stations will split and play the tagged voice track for their local station. This topic assumes Computer, Play Containers and Content Configuration have been complete. See the Simple Voice Tracker and Voice Tracker topics for information on Voice Tracking a log in Zetta.

Zetta System Settings for Multisite Voice Tracking

Zetta Station and Virtual Station Configuration

Multisite VT Preferences

Splits (tags) Based Multisite Voice Tracking

Logs Based Multisite Voice Tracking

Zetta System Settings for Multisite Voice Tracking

The site performing the Multisite Voice Tracking will need the Multisite Voice Tracker Service and the ZCast Service enabled in the General tab of the System Configuration window. The receiving sites will need ZCast enabled. See the System Configuration topic for additional information on the system settings. If setting up MVT to Voice Track for multiple splits stations see the Zetta Splits feature first to configure splits.

To configure Zetta system settings, perform the following steps:
  1. Select System from the Configuration menu
  2. In the General tab of the site doing the Multisite Voice Tracking select the following options.

ZCast Service

Multisite Voice Tracker

  3. Select a Computer to run the ZCast Service.
  4. Select the Computer to run the Scheduled Maintenance.

  5. Click Save
  6. Select the ZCast tab

  7. Set the Max. Number Of Retries to 100. This is the maximum number of times Zetta will check sites for a voice track that has been sent. Once this limit is reached, the voice track status will change to error and Zetta will stop checking for the voice track.
  8. Set the Time till retry after failure(s) to 15. This is the time that Zetta will wait before checking the system for the voice track. Fifteen seconds after sending the voice track Zetta check the log hour for the voice track. This check will be repeated every 15 seconds until the voice track is seen in the log or the Max. Number Of Retries is reached.
  9. Select the Voice Track and Quick Record tab.

  10. Set the Voice Track Title Mask, Days to Keep after log Date and Recording duration warning.
  11. If Voice Tracking for Splits set the Multisite VT-Tag Prefix and Days to keep after log date for the Tag. The Days to keep after log date will set a Kill Date for the Tag in the Library.
  12. Select the Scheduled Maintenance tab.

  13. Enable the Pull Multisite Logs option to have Zetta pull the logs for all the sites to be Voice Tracked when the Scheduled Maintenance runs.
  14. Click the Save [image] button to save the changes.
  15. Restart Zetta and the Startup manager.

Zetta Station and Virtual Station Configuration

At the site where the Voice Tracks will be recorded a Master Voice Tracking Station is needed and a Virtual station for each remote station that is to be voice tracked is needed. In the Splits (tags) based Multisite Voice Tracking method the Master Voice Tracking station is the Master Splits station. These stations will be used in setting up Organizations and ZCast Connections. See the Stations section of the guide to create a Master Voice Tracking Station. See the Virtual Stations section of the guide to create a virtual station for each remote station to be Voice Tracked.

Multisite VT Preferences

In the Voice Tracker section of the Preferences window, select the Automatically select Stations for Multisite VT when applying Organizational filter. When Zetta is setup to use Organizations to filter or group stations, this option can be used to have Zetta automatically select the stations grouped in the selected organization for voice tracking in the Multisite VT window.

Splits (tags) Based Multisite Voice Tracking

Splits (tags) based Multisite Voice Tracking is where a Voice Track is created and tagged for each splits station, so when the Master Station plays a Voice Track with a split behavior that is tagged the splits stations will split and play the tagged voice track for their local station. Splits based Multisite Voice Tracking does not use matching in the MVT window; therefore the logs at the receiving sites do not need matching logs. The following section will show how to setup Multisite Voice Tracking and how to use the MVT window to voice track multiple splits stations. This section assumes Zetta Splits has already been setup. See the Simple Voice Tracker and Voice Tracker topics for information on Voice Tracking a log in Zetta.

Create an Organization for Splits (tags) Based Multisite VT

Assign Organizations to Days/Hours in the Multisite VT Destinations Grid

Splits (tags) MVT ZCast Connections

Multisite VT Window Splits (tags) based

Create an Organization for Splits (tags) Based Multisite VT

The Organization Splits (tags) based configuration is used to group the Master Splits Station to the Virtual Splits Stations for voice tracking. Multiple organizations can be created allowing the Master Splits Station to be grouped with different Virtual Splits Stations. Creating multiple Organizations allows the user to filter stations in the Multisite VT window. To use the filtering feature create a master Organization that contains all the stations that can be Voice Tracked by the user. Then create additional organizations with a limited number of stations. Use the Master Organization in the Multisite VT Destinations window. When the user opens the MVT window all the Organizations with the selected stations in the Master Organization will appear in the Filter drop-down. The following steps will show how to setup a simple Organization and then continue with a more complex setup that can be used in the MVT filter.

To create Organizations for Splits (tags) Based Multisite VT, perform the following steps:
  1. Select Organizations from the Configuration Menu
  2. Click the Add Organization [image] button
  3. Type in a Name
  4. Optionally, type in a Description of the organization.
  5. Select the Master Splits Station in the Primary Stations section.
  6. Select any additional stations from the Primary Stations to Voice Track any local splits stations.
  7. Select the Virtual Splits Stations to be voice tracked for this organization from the Virtual Stations section.

  8. Select the Multisite VT Setup tab
  9. Select the Splits (tags) based from the Multisite VT Manager Mode section.
  10. Select the Master VT Split Behavior. Selecting Master Monitor here will silence the Master Splits station while the Splits Client stations play their tagged voice track.
  11. Select Asset GUID for Zetta to Zetta Multisite Voice Tracking. Contact RCS Support for Zetta to NexGen Multisite Voice Tracking documentation.
  12. Select the Master Splits station from the Station to exclude from VT Transfer status drop-down to exclude the Master VT from the Transfer status. If this option is selected and the Master VT Split Behavior is set to Silent or Master Monitor then the Master Splits station will not be seen in the MVT window and the first Voice Track recorded for a splits station will become the Voice Track for the Master Splits station.

  13. Click Save [image] to save the organization. This is all that is needed for a simple Organization setup for Splits based MVT. For a more Complex setup continue.
  14. Now that we have a Master or Main Organization, we can create smaller Organization with specific stations that are also in the Master. In this example we will separate the Splits stations by region.
  15. Click the Add Organization [image] button
  16. Enter The General information
  17. Select the Master Splits Station in the Primary Stations section.
  18. Select the Virtual Splits Stations in for this smaller organization such as the West Coast Remote Splits Stations.

  19. Select the Multisite VT Setup tab
  20. Select the Splits (tags) based from the Multisite VT Manager Mode section.
  21. Select the Master VT Split Behavior. Selecting Master Monitor here will silence the Master Splits station while the Splits Client stations play their tagged voice track.
  22. Select Asset GUID for Zetta to Zetta Multisite Voice Tracking. Contact RCS Support for Zetta to NexGen Multisite Voice Tracking documentation.
  23. Select the Master Splits station from the Station to exclude from VT Transfer status drop-down to exclude the Master VT from the Transfer status
  24. Click Save [image] to save the organization.
  25. Continue to create smaller Organizations as needed for the desired filtering.

  26. Now when the Master Organization is assigned in the Multisite VT Destinations configuration window. All the filters will be seen in the Multisite Voice Tracker window Organization Filter [image].

  27. Close the Organizations window when finished.

Assign Organizations to Days/Hours in the Multisite VT Destinations Grid

At least one Organization must be assigned to the Multisite VT Destinations Grid for the Multisite Voice Tracking [image] button to be visible when selecting an assigned day and hour in the Logs module.

To configure the Multisite VT Destinations window, perform the following steps:
  1. Select Multisite VT Destinations from the Configuration menu
  2. Select the first hour to assign, hold the Shift key and select the last hour to assign.

  3. Select the Organization to assign to the hours from the left pane.
  4. Select the Assign button in the middle of the window.

  5. Repeat from Step 2 to assign additional Organizations to Days and Hours in the Multisite VT Destinations grid.
  6. Click Save
  7. Close the Multisite VT Destinations window.
  8. Restart Zetta.

Splits (tags) MVT ZCast Connections

Splits (tags) based Multisite Voice Tracking for remote sites requires a ZCast Connection with the Assets and VT & HT permissions to transfer the Voice Tracks and Tags to the Splits Stations.

To configure a ZCast Connections for Splits based Multisite Voice Tracking, perform the following steps:
  1. At each of the Remote Sites create an Inbound ZCast Connection with the Assets and VT & HT permissions. This is a separate connection from the Split Forward Connection created for Zetta Splits.

  2. Save [image] the ZCast Connection
  3. Export [image] this connection from each remote splits site
  4. Import [image] them into the Master Splits site
  5. Click Test to create the connection
  6. Select the Local Stations
  7. Set the Assets and VT & HT Permissions

  8. Save [image] the ZCast Connection.
  9. Restart Zetta and the ZCast services in the Startup Manager for each system. The ZCast Services are located in the External Services of the Startup Manager.

Multisite VT Window Splits (tags) based

Once the Systems are configured and the ZCast Connections are created, open the log for the Master Splits station, click an Empty Voice Track or the event to be voice tracked and select the Multisite Voice Tracker button [image]. If this Multisite Voice Tracking button is not visible in the Logs Module check the hour selected and the Multisite VT Destinations configuration.

The Multisite Voice Tracker window by default is displayed in the lower left of the log window next to the voice tracker window. This Layout can be changed by undocking and re-docking the windows and saving the layout. The Voice Tracker can also be changed to the expanded view [image] and save to the Layout. The Multisite VT window is used to select the stations to be voice tracked, view the status of the station and view the status of the voice tracks being sent.

The following tools are available in this window:

Refresh - The refresh button will refresh the items in the editor to pick up any changes made by another user.

Send/Receive Options - The Send/Receive options are used to Retransmit voice tracks and Fetch Logs for the selected stations. Since Splits based MVT does not need the logs of the stations to be voice tracked the Fetch Logs option is not needed.

Copy active Voice track to selected station(s) - The Copy active Voice Track to selected stations option will copy the voice track that is active to the selected stations. The Voice track taht is active is the recorder voice track that has an arrow [image] to the left of its row in the MVT window. See the VT# description below for more information.

Organization Filter - The Organization Filter is used to filter the stations displayed in the Multisite Voice Tracker window. See the Create an Organization for Splits (tags) Based Multisite VT in this topic for more information.

The following Columns are available in the Multisite Voice Tracker window:

Select - The Select column is used to select which stations will receive the saved voice track. The voice track is sent after the recording is saved. Enable the Automatically select Stations for Multisite VT when applying Organizational filter from the Preferences window to have all stations selected when applying an Organization Filter [image]. Optionally, use the check-box next to the header name to select or deselect all stations.

VT# - The VT # is the order number of the voice tracks created. That means the first voice track recorder is #1 for the first stations selected, then voice track #2 is assigned to the second voice track created for the second set of stations selected and so on. If the user wants to copy voice track #1 to another station they would select that stations row next to the Select column and choose the Copy Active Voice Track to the selected Station(s) [image] from the MVT toolbar.

Station – The Station column shows the names of the Stations and Virtual Stations in the selected Organization. The highlighted color will change from Red to Yellow to Green; Red is for needs recorded, Yellow is for sending in progress and Green is for voice track received by remote site and log has been updated. The station will also be highlighted in Red if the voice track recorded did not get to the receiving site and the Status column will show and error.

Length – The Length column shows the Length of the recorded voice track sent.

Status – The Status column shows the status of the sent voice track, Pending, Sending, Rec'd and Error.

Recorded – The Recorded column will give the Date and Time the Voice Track was recorded.

Logs Based Multisite Voice Tracking

Log Based is where the Logs for all the stations being Voice Tracked match or are very similar in content. It uses the Asset ID to match what is scheduled in the logs with the Master Voice Tracking station. The following section will show how to setup Multisite Voice Tracking and how to use the MVT window to voice track multiple stations. See the Simple Voice Tracker and Voice Tracker topics for information on Voice Tracking a log in Zetta.

Create an Organization for Log Based Multisite VT

Assign Organizations to Days/Hours in the Multisite VT Destinations Grid

Log Based MVT ZCast Connections

Multisite VT Window Logs Based

Create an Organization for Log Based Multisite VT

The Organization Logs based configuration is used to group the Master Multisite VT Station to Virtual Stations for voice tracking. Multiple organizations can be created allowing the Master MVT Station to be grouped with different Virtual Stations. Creating multiple Organizations allows the user to filter stations in the Multisite VT window. To use the filtering feature create a master organization that contains all the virtual stations that can be Voice Tracked by the user. Then create additional organization with a limited number of stations from that master organization. Use the Master Organization in the Multisite VT Destinations window. When the user opens the MVT window all the Organizations with the selected stations in the Master Organization will appear in the Filter drop-down. The following steps will show how to setup a simple Organization and then continue with a more complex setup that can be used in the MVT filter.

To create Organizations for Logs based Multisite VT, perform the following steps:
  1. Select Organizations from the Configuration Menu
  2. Click the Add Organization [image] button
  3. Type in a Name
  4. Optionally, type in a Description of the organization.
  5. Select the Master MVT Station in the Primary Stations section.
  6. Select the Virtual Splits Stations to be voice tracked for this organization from the Virtual stations section.

  7. Select the Multisite VT Setup tab
  8. Select the Logs based from the Multisite VT Manager Mode section.
  9. Select Asset GUID for Zetta to Zetta Multisite Voice Tracking. Contact RCS Support for Zetta to NexGen Multisite Voice Tracking documentation.
  10. Optionally, select the Master MVT station from the Station to exclude from VT Transfer status drop-down to exclude the station from the Transfer status. If this option is selected the Master MVT station will not be seen in the MVT window and the Voice Track position, in the Log, will be set to Empty Voice Track Slot - highlighted in Red for the Master MVT station.

  11. Click Save [image] to save the organization. This is all that is needed for a simple Organization setup for Logs based MVT. For a more Complex setup continue.
  12. Now that we have a Master or Main Organization, we can create smaller Organization with specific stations that are also in the Master. In this example we will separate the Virtual Stations by region.
  13. Click the Add Organization [image] button
  14. Enter The General information
  15. Select the Master MVT Station in the Primary Stations section.
  16. Select the Virtual Stations in for this smaller organization such as the East Coast Remote Stations.

  17. Select the Multisite VT Setup tab
  18. Select the Logs based from the Multisite VT Manager Mode section.
  19. Select Asset GUID for Zetta to Zetta Multisite Voice Tracking. Contact RCS Support for Zetta to NexGen Multisite Voice Tracking documentation.
  20. Optionally, select the Master MVT station from the Station to exclude from VT Transfer status drop-down to exclude the Master MVT from the Transfer status.
  21. Click Save [image] to save the organization.
  22. Continue to create smaller Organizations as needed for the desired filtering.

  23. Now when the Master Organization is assigned in the Multisite VT Destinations configuration window. All the filters will be seen in the Multisite Voice Tracker window Organization Filter [image].

  24. Close the Organizations window when finished.

Log Based MVT ZCast Connections

Log Based Multisite Voice Tracking requires the logs for the Master Voice Track station and the Virtual Stations be identical or very similar. This is because the Multisite Voice Tracker logic will compare logs and match up assets based on matching Asset ID's. The MVT window will show which log events match, and which ones don’t via the Match column. The ZCast Connections require Logs for the MVT system to Pull Multisite Logs as well as Assets and VT & HT permissions for the Voice Tracks.

To configure ZCast Connections for Logs based Multisite Voice Tracking, perform the following steps:
  1. At each of the Remote Sites create an Inbound ZCast Connection with the Can I Receive Assets, the Can They Request Logs and the VT & HT permissions. More permission can be enabled but this is the minimum need for the Inbound connection.

  2. Save [image] the ZCast Connection
  3. Export [image] this connection from each remote site
  4. Import [image] them into the Master MVT site
  5. Click Test to create the connection
  6. Select the Local Stations.
  7. Set the Assets and VT & HT Permissions

  8. Save [image] the ZCast Connection.
  9. Restart Zetta and the ZCast Services in the Startup Manager for each system. The ZCast Services are located in the External Services of the Startup Manager.

Multisite VT Window Logs Based

Once the Systems are configured and the ZCast Connections are created, open the log for the Master MVT station, click an Empty Voice Track or the event to be voice tracked and select the Multisite Voice Tracker button [image]. If this Multisite Voice Tracking button is not visible in the Logs Module check the hour selected and the Multisite VT Destinations configuration.

The Multisite Voice Tracker window by default is displayed in the lower left of the log window next to the voice tracker window. This Layout can be changed by undocking and re-docking the windows and saving the layout. The Voice Tracker can also be changed to the expanded view [image] and save to the Layout. The Multisite VT window is used to select the stations to be voice tracked, view the status of the station and view the status of the voice tracks being sent.

The following tools are available in this window:

Refresh - The refresh button will refresh the items in the editor to pick up any changes made by another user.

Send/Receive Options - The Send/Receive options are used to Retransmit voice tracks and Fetch Logs for the selected stations.

Copy active Voice track to selected station(s) - The Copy active Voice Track to selected stations option will copy the voice track that is active to the selected stations. The Voice track that is active is the recorder voice track that has an arrow [image] to the left of its row in the MVT window. See the VT# description below for more information.

Organization Filter - The Organization Filter is used to filter the stations displayed in the Multisite Voice Tracker window. See the Create an Organization for Logs Based Multisite VT in this topic for more information.

The following Columns are available in the Multisite VT window when using Log based Multisite Voice Tracking:

Select - The Select column is used to select which stations will receive the saved voice track. The voice track is sent after the recording is saved. Enable the Automatically select Stations for Multisite VT when applying Organizational filter from the Preferences window to have all stations selected when applying an Organization Filter [image]. Optionally, use the check-box next to the header name to select or deselect all stations.

Match – Match is to show how the Master Log matches the log at the receiving station. This column shows 5 different informational icons, use the mouse to hover over the icon to show a tool tip with additional information:

Log Missing or empty - When there is not a log for the station a red ? will be displayed in the Match column. If this icon is present for all stations it most likely means the log has not finished updating for the virtual station in Zetta. Select the refresh button in the toolbar, if the ? is still present check the ZCast Transfer window from the tools menu to see if the log was received.

No Voice Track Found for Station - When no Voice Track is found for a Station a red X will be displayed in the match column. This means that the assets do not match in the station logs.

Both Previous and Next Assets Match - When the green Equal is displayed it means the element before and After the Voice Track position match the receiving station.

Previous Asset Matches, but Next does Not - This icon means the asset before the voice track position matches in the receiving station. When an asset does not match the track will be labeled as MisMatched Event with hash marks through it. The Voice Track can still be recorded however the audio for the mismatched event will not be heard.

Next Asset Matches, but Previous does not - This icon means the asset after the voice track position matches in the receiving station. When an asset does not match the track will be labeled as MisMatched Event with hash marks through it. The Voice Track can still be recorded however the audio for the mismatched event will not be heard.

VT# - The VT # is the order number of the voice tracks created. That means the first voice track recorder is #1 for the first stations selected, then voice track #2 is assigned to the second voice track created for the second set of stations selected and so on. If the user wants to copy voice track #1 to another station they would select that stations row next to the Select column and choose the Copy Active Voice Track to the selected Station(s) [image] from the MVT toolbar.

Station – The Station column shows the names of the Stations and Virtual Stations in the selected Organization. The highlighted color will change from Red to Yellow to Green; Red is for needs recorded, Yellow is for sending in progress and Green is for voice track received by remote site and log has been updated. The station will also be highlighted in Red if the voice track recorded did not get to the receiving site and the Status column will show and error.

Length – The Length column shows the Length of the recorded voice track sent.

Status – The Status column shows the status of the sent voice track, Pending, Sending, Rec'd and Error.

Recorded – The Recorded column will give the Date and Time the Voice Track was recorded.

Welcome < Features < Multisite Voice Tracking


Satellite Mode

Satellite Mode in Zetta® is used to route audio sources, such as a satellite feed or audio from a console board from another studio and integrate these audio sources into a log while allowing for local breaks and spots. This section can be used to setup Zetta® to use Satellite mode for a Station. In this example we will setup an ACU1 for Satellite mode for a satellite feed.

Step One: Computer GPIO Devices

Step Two: Configure Station Satellite tab

Step Three: Configure the Shifts for each Station

Step Four: Create Imaging for the Shifts

Step Five: Add Imaging to Shifts for each Station

Step Six: Create a Macro (optional)

Step Seven: Create a Clock

Step Eight: Generate the Log

Viewing the On-Air Module in Satellite Mode

Step One: Computer GPIO Devices

The first step in setting up Zetta is to configure the GPIO Devices for the Computer:

To add GPIO Devices to a configured Computer, perform the following steps:
  1. Click the GPIO Devices tab in Tools | Computers
  2. Click the Add New GPIO Device [image] button.
  3. The device is Enabled by default.
  4. Select the GPIO Device. The GPIO devices are listed in alphabetic order and will default to the first device in the list.
  5. Enter the Name of the GPIO Device.

Tip: The Name will be carried over to the GPI (Inputs), GPO(OutPuts) and Routes when they are created, so it is helpful to give the device a meaningful Name before creating the Inputs, Outputs and Routes.

  3. Enter a Description for the GPIO device.
  4. The Device Setting tab will default to the default settings of the device. Use the device manufacturers' manual for specific device setting configuration.

  8. Select the GPIs (Inputs) tab to configure the Inputs; Inputs will display with the Name, GPI and Trigger Event On for an ACU-1. These fields can be edited and configured as needed.
  9. Use the Create All Inputs button or add them individually.
  10. The Name field can be renamed to give it more meaning when selected elsewhere in the system.
  11. The GPI numbers are the bit positions (optos) equal to those on the device.
  12. The options for Trigger Event On are Leading or Trailing.

  13. Select the GPOs (Outputs) tab to configure the Outputs; Outputs will display with the Name, Bit Position and Event Duration for an ACU-1. These fields can be edited and configured as needed.
  14. The Name field can be renamed to give it more meaning when selected elsewhere in the system.
  15. The GPO numbers are the Bit Positions (relays) equal to those on the device.
  16. The Event Action is what Zetta will do when it send the relay, Turn On, Turn Off, Turn on temporarily or Turn off temporarily.
  17. Event Duration is equal to the time that the output device will be held on, in seconds. Default is 300 ms or 0.3 seconds.

  18. Select the Routes tab to configure the Routes (Sources) for the device. Not all GPIO devices listed support Routes so this tab may not be available.
  19. The Name field can be renamed to give it more meaning when selected elsewhere in the system.

  20. Click Save [image] button to save the GPIO device settings.
  21. Add additional devices as needed.

Step Two: Configure Station Satellite tab

The Satellite tab in the Station Configuration window is used to configure the GPIs, GPOs and Routes for the station.

To add GPIO Device settings to a Satellite tab on a configured Station, perform the following steps:

  1. In the Configuration Menu, click Stations.

  2. Click the Satellite tab.
  3. In the Available Routes, use the drop down to select the routes the station will use.
  4. In the Available GPOs, select the Outputs the Station will use.
  5. In the Available GPIs, select the available Inputs the station will use.
  6. Select the Default Satellite Route (Source) for the station for the Satellite Route
  7. Select the Default Local Playback source for the Local Route. This is usually connected to the audio card of the Sequencer player for the station.

  8. Optionally, select Defer GPI-Triggered Audio until the end of Spot Block.
  9. Optionally, select Respect chains in Satellite Mode.
  10. Click Save [image] to save the settings.

Step Three: Configure the Shifts for each Station

To add Shifts to a configured Station, perform the following steps:
  1. In the Configuration Menu, click Stations.
  2. Click the Shifts tab.
  3. Click the Add Shift [image] button.
  4. Insert a Name, the name is automatically filled in when the user clicks the Add shift button but can be changed if needed.
  5. Optionally, insert a Comment describing the use of the shift.
  6. Optionally, select a command to execute in the log for the Start of the Shift. This command can be a macro that fires a sequence of events.
  7. Optionally, select a command to execute in the log when the shift ends.
  8. Select the Default Shift check box to make this shift the default shift. The default shift is the shift that Zetta will change to if a shift change occurs for the station and no shift is specified.
  9. Select the Current Shift option to set this shift as the current shift.
  10. Add GPI events that will be executed by the sequencer for the station during the shift. These GPI Events will be in addition to any global GPI events defined in Configuration | System | Command mappings.

Important Note!

If GPI input 1 is defined in a global command mapping as Play Next and it is also defined in the shift as Play Library Item (Liner A), then when the shift is active in the log, if GPI 1 is received both the next event and the liner will play at the same time.

  11. Click Save [image] to save the settings.
  12. Create additional Shifts for the Satellite Feeds as necessary.
  13. Restart Zetta.

Step Four: Create Imaging for the Shifts

To Add an Imaging, follow these steps:
  1. Click Modules | Library
  2. Select the Imaging tab
  3. Click Add new media [image] button
  4. The first station and shift will be populated by default. Select the desired station and/or shift.
  5. Give the Imaging a Name
  6. Insert an External ID
  7. Optionally, change the Routing Behavior. The default is to Mute the Satellite Route.
  8. Set the Target Length for the Imaging assets to be added.
  9. Optionally, select a Kill Date using the Calendar Control
  10. Drag and Drop the desired assets that are assigned to this Imaging for the shift selected, from the Library Module.

  11. Click the Save [image] button to save the changes to the Imaging.
  12. Repeat for all the Imaging that is to be used for the created shifts.

Step Five: Add Imaging to Shifts for each Station

To add Shifts to a configured Station, perform the following steps:
  1. In the Configuration Menu, click Stations.
  2. Click the Shifts tab.
  3. Edit the Shift created in Step 3
  4. Add GPI event Sequencer.PlayLibraryItem
  5. Select the station.
  6. Drag and drop the Imaging to be used in the Shift row for the GPI.

  7. Click Save [image] to save the settings.

Step Six: Create a Macro (optional)

This step is optional but makes adding several commands that are used commonly together on a regular bases, to the clock easier.

To create a Macro in Zetta®, perform the following steps:
  1. From the Configuration Menu select Macro Configuration
  2. Select a Station from the Select Station drop-down
  3. Click the Add Macro [image] button

  4. Enter a Name for the new Macro
  5. Optionally, enter a Description of the macro.
  6. Click OK
  7. Using the consideration window select the events to add to the macro.
  8. Use the Properties window to configure the properties for the event
  9. Drag and drop the desired event into the Event window from the consideration window. This is where Satellite commands can be executed using the Execute Commands such as, the Sequencer.SatelliteRoute and the Sequencer.AllRoutesOffExcept commands.

  10. Repeat for each macro.

Step Seven: Create a Clock

Clocks can be built in Zetta or in GSelector when GSelector Integration is used.

To Create a Clock in Zetta®, perform the following steps:
  1. Obtain a Clock from the Satellite Feed Provider.

  2. Select Clocks from the Modules menu
  3. Select the Station
  4. Select the Day
  5. Right-click a location in the Clock
  6. Select Insert Control Event
  7. Select Macro from the consideration window
  8. Select Hard Time in the properties window and enter a time of 59:59 for a show that starts at the top of the Hour.
  9. Select the Macro with the Execute Command to set the shift (Sequencer.SetShift) from the properties window.
  10. Double-click the Macro in the consideration window
  11. The selected Macro is inserted into the log/clock at the location selected.
  12. Insert Spot Blocks for each Local Break set the Fill length to the length specified in the Clock from the Satellite provider.

  13. Insert reset ETM's as needed for Traffic integration.
  14. Click the Manage Clocks [image] button in the toolbar to open the opens the Manage Hours window. This window can be used to copy the configured clock hours to additional clock days.

Step Eight: Generate the Log

To Generate a Log from the Clock, perform the following steps:
  1. Select Logs from the Modules menu
  2. Select the Station
  3. Select the Date
  4. Select the Saturday Clock just created to use to Generate the Log.
  5. Load Traffic.

Viewing the On-Air Module in Satellite Mode

Once the Log is prepared open the On-Air module from the Modules menu. Right click in the On-Air module to view the options menu.

Select Show/Hide Selected from the menu to show the tabs selected to view. To view what is selected use the View menu option.

The Now Playing Export Send tab works similarly to the Now Playing Export Send Module. It can be used to manually send a Now Playing message for the specified station. The Routes tab shows the available routes, the GPO tab shows the available outputs and the GPI tab shows the available inputs assigned in step 2 above. These tabs can be docked, undocked and saved to a Layout like many of the other windows and tabs in Zetta.

Important Note!

See the On-Air Module topic for information on the Studio Switching console that may also be visible in the View menu.

Welcome < Features < Satellite Mode

© 2007-2017 RCS All Rights Reserved.


Segue Editor®

The Segue Editor allows a user to configure how the tracks will segue during on-air play from the Logs Module. When making changes to audio through the Segue Editor, the changes are made to a specific instance in the Log and not the audio file itself. To use the Editor to adjust the Segue of songs, Links and other audio events in the log, simply click the event and select the Segue [image] button in the Toolbar of the Logs Module. The Segue Editor will open in a contracted view, clicking the Expand View [image] button will open the Segue Editor in the full view seen below. To edit the segue of Spots in a Spot Block, simply expand the Spot Block in the log using the "+", select the first spot in the block then click the Segue [image] button to open the Segue Editor.

Click any area in this image for help

Click any area in this image for help

When the Segue Editor opens it is zoomed into the first Segue, showing 10 seconds before the segue or end, if no segue is set, for the first event and 10 seconds into the second event, the play position is set to 8 seconds before the segue of the first event.

Toolbar

Play Controls

Editing Shortcuts

Segue Editor® Step-By-Step Topics

Toolbar

The following Segue Editor toolbar options are available for editing the segue of the events scheduled in the log:

Save – The Save is used to save any changes.

Refresh - The refresh button will refresh the items in the editor to pick up any changes made by another user.

Voice Tracker® –The Voice Tracker button allows the user to switch to Voice Tracker to record a voice track. The user can use this button to toggle back and forth between the Segue Editor and Voice Tracker.

Playback Mode – The Playback Mode plays the audio segues, as they are currently set.

Reposition Mode – The Reposition Mode allows the user to make segue changes as the audio events play.

Expand view - The expand view button is used to change the view of the Segue Editor to a view that displays more information about each track and the waveforms for each event.

Contract View – The contract view button is used to change the view of the segue editor to a more simplified view to conserve viewing space.

Segue Mode – The Segue Mode allows the user to select how the event will transition in to the next event Depending on the mode of the station the following Chain Types are available:

Segue, [image] Auto Post, [image] Link-Song, [image] Stop

ZCast - The ZCast button is used to send Segue Transitions using a ZCast Connection that has the permission to allow sending Segue Transitions.

Log Date – The Log Date displays the date of the log being changed

Station – The Station displays the Station for the Log being changed

Audition – The Audition button will allow the user to listen to a selected piece of audio without it going over the air. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition player and stream must be defined and a piece of audio must be selected. For more information on assigning the Audition Player, see the Assigning Players for Local Playback section of this guide.

Warning - A warning is displayed when there are issues with the audio or streams in the Segue Editor. Hover the mouse over the warning icon to view a warning message.

Play Controls

Go To Previous Segue – The Go to Previous Segue allows the user to move to the previous event to adjust the segue. When editing the segues of a spot in a spot block, the go to previous and Go to Next buttons will only move to the events within the spot block. Use the log to click the next event outside the spot block to continue editing.

Play – Play will play the audio starting from the play marker. In addition, play starts the next events at the desired segue start position.

Record – The Record button is not available in the Segue Editor. The Record button is available when switching to Voice Tracker .

Stop – Stop will stop all of the audio and move the play marker back to the starting point.

Go to Next Segue – The Go to Next Segue allows the user to move to the next event to adjust the segue.

Zoom/Pan - Below the Tracks is a Zoom/Pan feature that can be used to pan left or right or zoom in on a segment of audio.

To adjust the Zoom, just click and drag one side of the bar to increase the size of the bar.

To Pan to the left or right, click the bar and drag it to the left or right.

Editing Shortcuts

Inserting Audio Markers

Moving Audio Markers

Reposition Audio Events

Adding and Removing Tracks

Keyboard Commands

Toggle View

Inserting Audio Markers

Audio markers can easily be inserted using the mouse or Keyboard shortcuts. By right-clicking on the desired audio event within the wave form the Intro, Trim, Hook, early segue, Segue, volume points, Fade In, and Fade Out can be easily added to the audio event from the generated menu. This menu can also be used to enable/disable the Auto Fade and Ducking settings defined in the Stations Configuration window. Use the Toggle View option to change the view of the track.

The elements are represented visually by the following symbols:

Moving Audio Markers

Once the markers are inserted, they can easily be adjusted by hovering over the desired marker until the positioning hand appears.

Then click and drag the marker to the desired location. The numeric value of the marker will be displayed in the title bar. This value will adjust as the marker is moved to a new position.

Reposition Audio Events

The audio events can easily be repositioned by clicking and dragging the title bar of the audio waveform to the left or right. Note: The first audio event displayed cannot be moved without first clicking the go to previous segue [image] button.

Adding and Removing Tracks

Tracks can be easily added and removed from the Segue Editor window by right clicking next to a track and choosing the desired action from the menu.

The minimum number of tracks is two. The maximum number of tracks depends on the viewing real estate available on the screen.

Keyboard Commands

The Keyboard can also be used to control the playing and stopping of the audio in the Segue Editor.

  • Use the Space bar to Play or Stop the play of the audio. When the waveform has focus, pressing the space bar will start the audio playing. If the audio is already playing, pressing the spacebar will stop the audio from playing.

The following Keyboard Commands are set for the Default System Keyboard Mapping (SegueTool.) configured in the Command Mappings tab of the System Configuration window.

System Keyboard Mapping | Command | Description
Control + Left (arrow) | PanLeft | Pans the wave form to the left of the current position
Control + Right (arrow) | PanRight | Pans the wave form to the right of the current position
Control + Add | ZoomIn | Zooms into the wave form horizontally
Control + Subtract | ZoomOut | Zooms out of the waveform horizontally
Control + A | ZoomAll | Zooms the waveform out to 100% of the available window

Toggle View

The view of each waveform can be toggled from top view to side view using the menu generated when right-clicking the waveform.

  • The Top View (default) displays the left and right channels peaks, as the top and bottom halves of the waveform.

  • The Side View displays the bigger of the left or right channels peaks of the waveform.

Segue Editor® Step-By-Step Topics

To use the Segue Editor select an audio element in the Log Module and click on the Segue Editor [image] button. The following window is displayed:

Playback Mode

Reposition Mode

Setting Volume Points

Setting Segue Mode

Playback Mode

To monitor the current segue settings follow these steps:
  1. To put the Segue Editor into playback mode the lock in the toolbar must be in the locked position [image] .
  2. Click the play [image] button to start playing the first event in the segue window. The next event will play at the designated segue point and continue playing the other items in the Segue Editor window until the stop [image] button is selected or the end of the last event is reached.
  3. The user can easily move ahead in the audio by clicking the desired position in any of the displayed audio events.

Reposition Mode

To reposition the current segue settings follow these steps:
  1. To put the Segue Editor into reposition mode the lock in the toolbar must be in the unlocked position [image] .
  2. Click the play [image] button to start playing the first event in the segue window.
  3. Click the play [image] button a second time when the desired segue position is reached in the first audio event.
  4. Click ahead with the mouse to the ending of the second audio event.
  5. Click play [image] again to start the third audio event at the desired segue point.
  6. Click Stop [image] when finished.
  7. Click the Lock [image] to put the Segue Editor back into playback mode [image] to listen to the playback of how the audio will sound on the air.
  8. Click the Save [image] button when the desired segues have been set or click the Go To Next Segue [image] button, a prompt will be displayed to commit any changes made to the database and proceed to the next audio event.

Setting Volume Points

To add volume points to an audio event follow these steps:
  1. Right-click on the desired audio event waveform
  2. Choose Insert Volume Point from the menu. Repeat this step for the desired number of volume points.
  3. To adjust volume points drag them up or down to adjust the volume to the desired level.

  4. When finished editing the audio event click the Save [image] button.

Setting Segue Mode

Users can auto post the second to last track and last track displayed in the Segue Editor view by clicking on the Segue Mode [image] button in the Segue Editor toolbar and selecting either [image] Segue, [image] Auto Post, [image] Link-Song mode.

To set the segue mode for an audio event follow these steps:

Segue

Auto Post

Link-to-Song

Segue
  1. Insert a segue point into the second to last audio event shown in the Segue Editor.
    1. Right-click the desired location of the waveform
    2. Choose Insert Segue from the menu
  2. Click Save

Auto Post
  1. Insert an Intro point into the last audio event shown in the Segue Editor
    1. Right-click the desired location of the last waveform in the Segue Editor
    2. Choose Insert Intro from the menu
  2. Choose [image] Auto Post from the [image] Segue Mode drop-down.
  3. Click Save [image] and the audio will line up the intro of the last event with the end of the preceding event.

Link-to-Song
  1. Choose [image] Link-Song from the [image] Segue Mode drop-down.
  2. Insert an Early Segue point into the second to last audio event shown in the Segue Editor
    1. Right-click the desired location of the last waveform in the Segue Editor
    2. Choose Insert Early Segue from the menu
  3. Insert an Intro point into the last audio event shown in the Segue Editor
    1. Right-click the desired location of the last waveform in the Segue Editor
    2. Choose Insert Intro from the menu
  4. Click Save [image].

In this mode, setting the Early Segue point on the link will set the start of the next event at the early segue point of the previous event.

However, if the intro is too short, then the previous event will end at the intro point of the next event.

Welcome < Features < Segue Editor

© 2007-2017 RCS All Rights Reserved.


Synchronizing to Selection

Zetta® has a feature called Synchronize to Selection that allows the user to start playing from any point in today's or tomorrow's log while in manual mode. This can be a previous point or a future point.

Right clicking a future program element in the log and choosing synchronize to selection will tell Zetta to mark all elements between the current position and the chosen future position as Not Played [image] with an EditCode: User-Synch to Selection Future. This will make the chosen future element the next item to be played in the log.

Right clicking a past element in today's log and choosing synchronize to selection will tell Zetta to mark all elements, except timed events, between the current position and the chosen past position as Ready [image] with an EditCode: User-Synch to Selection Past. Thus making the chosen past element the next item to be played in the log.

Important Notes!

A timed event that has pasted cannot be set to Ready. Synchronize to selection in the past can only be done when the log is stopped. Zetta cannot go to yesterday's log, once the sequencer moves into the next day's log Zetta can't go back to the previous days log.

Play from Past Point in the Log

Play from Future Point in the Log

Play from Past Point in the Log

To switch log to a past play position in today's log, follow these steps:
  1. Switch to Manual mode and ensure the current event is set to stop [image] after it is done playing.
  2. When the current event stops, Right-click on a past element in the log
  3. Click Synchronize to Selection
  4. Click OK to confirm synchronization to the chosen position.

Play from Future Point in the Log

To switch log to future play position in today's or tomorrow's log, follow these steps:
  1. Right-click on an event in today's or tomorrow's log
  2. Click Synchronize to Selection
  3. Click OK to confirm synchronization to the chosen position.
  4. When the current event is done playing the selected event will start based on the transition markers.

Welcome < Features < Synchronizing to Selection


Time Announcements

Time Announcements call for external audio files using Zetta Variables. A Time Announcement can be added to Logs or Clocks using an External Asset or External Control Event. The Audio for the Time Announcement is external to Zetta®, meaning it is not content managed by Zetta. These External events can be scheduled in GSelector® and then passed to Zetta where Zetta will then resolve the filename based on what is passed from GSelector and the time the event occurs in the log. External Asset use the Play External Playback Method and can be placed in the Log, Clock, Hot Keys, Stacks, Z-Player or in a Macro.

Time Announce Filename Variables

External Time Announcement Asset

External Control Event Time Announcement in Zetta

Zetta External Control Event Time Announcement in GSelector

Time Announcement Step-by-Step Topics

Time Announce Filename Variables

Zetta uses wild card variables to enable the play of the correct audio at the time the event occurs in the Log such as, @H for the current hour and @m for the current minute. Therefore, the filename of TM@H@m.wav scheduled at 8:15 will tell Zetta to locate the file named TM0815.wav. The following is a sample list of wild card variables that can be used for the filename:

Variable | Type | Example
@YYY | four digit year | 2011
@Y | two digit year | 11
@M | 2 digit month name | 01 to 12
@N | month name | January
@D | 2 digit day | 01 to 31
@H | 2 digit hour | 08
@m | 2 digit minutes | 03
@8 | 2 digit military hour | 15
@A | AM/PM | AM
@W | Day Format | Monday
@L | 1 digit Military Hour | 1
@C | Clock Name | Sunday

External Time Announcement Asset

To use an asset to play a Time Announcement create the Asset in the Library and use the Extra tab to specify the file is external to Zetta. The following screen shot shows an example of a Link configured as a Time Announcement asset.

Set the Playback Method to Play External then enter the path and file name using Zetta Variables into the External field and finally the Segue Time Before Audio End in Seconds. Each time the system plays the asset it will look for the specified filename and adjust the segue length specified for the event. Once the Asset is created it can be scheduled using Clocks or GSelector Integration. This asset can also be fired from Logs, Hot Keys, Stacks or Z-Player.

External Control Event Time Announcement in Zetta

A Time Announcement can also be placed in the log or in a macro using an External Control Event. Each time the system reads an External Control Event it will look for the specified filename and adjust the segue length specified in the External Properties for the event. The Segue Time Before End and the Estimated Duration are expressed in milliseconds.

Zetta External Control Event Time Announcement in GSelector

A Time Announcement can also be placed in the schedule using the Zetta External Control event found in GSelector when Zetta is integrated. In GSelector the Info field in the Clock or the User Data filed in the Editor can be used to specify the filename of the external audio. In addition to the filename the user can add the Segue Length, Title and Estimated Length to the path. When this option is used the SegueLength and EstimatedLength are expressed in milliseconds.

Example: C:\Time\TM@H@m.wav /SegueLength:3000 /Title:"Time Announce" /EstimatedLength:7000

Important Note!

If file or title contains spaces they will need to be wrapped in quotes.

Time Announcement Step-by-Step Topics

Time Announcements using an Asset

Time Announcements using GSelector® Control Event

Adding a Time Announcement to a Zetta Log or Clock using an External Control Event

Time Announcements using an Asset

To setup a Time Announcement Asset in Zetta, perform the follow these steps:
  1. Go to the Library Module
  2. Select the Links tab. If the system is integrated with GSelector the asset will need to be a Link or Song asset to allow for scheduling in GSelector using an Asset.
  3. Click the Add new media [image] button
  4. Enter the Title.
  5. Optionally, enter a Product and Sponsor
  6. Click the Extra tab
  7. Select Play External as the Playback Method
  8. Set the Target Duration in the Primary tab
  9. In the External field specify the file path and filename. Use the Zetta Variables have Zetta locate the correct file at the time the file plays in the log.
  10. Optionally, enter a Segue length in the Segue Time Before Audio End field. This value is in seconds.

  11. Select a Kill Date if desired
  12. Enter an External ID for the Time Announcement.
  13. Click the Station Specific Tab
  14. Select a station from the Select Station drop-down
  15. Set the Approval flag if required
  16. Set the Active flag
  17. Enter the Category, as the category is typed Zetta will match the name to existing Categories in the database. If the Category exists select it from the list.
  18. If the Category does not exist enter the entire name to add the Category. When Zetta is integrated with GSelector new Categories must be added in the GSelector application.
  19. Optionally, if the station is not integrated with GSelector, right-click the Category field to select Manage Names to open the Manage Categories window.
  20. Optionally, select the scalar values for the Attributes.
  21. Set a Start and End Date/Hour if desired
  22. Select a Tag if working with Splits. See the Tags section for information on adding a Tag. See the Splits feature topic for help with setting up Splits.
  23. Select a Split Behavior if working with Splits. See the Splits feature topic for help with setting up Splits.
  24. Select the Script tab to add a Note or Live script to the Link.
  25. Click Save
  26. Once saved the asset is transferred to GSelector (if GSelector integration is enabled) and can be scheduled in the log. Schedule the External Link in GSelector® or Zetta.

Time Announcements using GSelector® Control Event

To setup Zetta and GSelector to schedule Time Announcements using a Control Event, perform the follow these steps:
  1. In Zetta®, select System from the Configuration menu
  2. Select the GSelector® tab

  3. Select Sync Categories and Control Events to publish the Control Event to GSelector.
  4. Close the System window.
  5. In GSelector, go to the Clock or Editor
  6. Add the Clock Entry [image] type Control from the Clocks or Insert a Control using Insert Other [image] from the Editor.
  7. Select the Control Description type Zetta External
  8. Using the Info drop-down from the Clock or the User Data drop-down from the Editor enter the Command line parameters for the Filename, Title, Segue Length (milliseconds) and Estimated Length (milliseconds) for the event.

Important Note!

If file or title contains spaces they will need to be wrapped in quotes.
  9. Save the changes.
  10. When Zetta receives the log change, the event will be added to the Log as an External Control event with the Title from GSelector.

  12. Once the External event is queued by the sequencer the filename will resolve to the correct filename for the time the event will play in the log.

Important Note!

When a Zetta External Control Event is scheduled through GSelector the Properties of that event can be edited in Zetta.

Adding a Time Announcement to a Zetta Log or Clock using an External Control Event

To add a Time Announcement to a Zetta Log or Clock, perform the follow these steps:
  1. Select Log/Clock from the Modules menu
  2. Right-click a location in the Log/Clock
  3. Select Insert Control Event
  4. Select the External from the Insert Control Event consideration window.
  5. Using the New External Properties window enter the Title of the event
  6. Enter the Path and Filename for the event using variables where necessary into the Filename field.
  7. Enter the desired Segue Time Before Audio End (in milliseconds)
  8. Enter the Estimated Duration (in milliseconds) of the audio.
  9. Select Stretch to allow Zetta to Stretch or Squeeze the External event to meet the next ETM.
  10. Select Fixed to lock the event so it will play and will not be dropped.

  11. Click and Drag the External Control event from the consideration window to the location in the Log/Clock

Important Note!

When an External Event is scheduled through Zetta the Properties of that event can be edited.

Welcome < Features < Time Announcements

© 2007-2017 RCS All Rights Reserved.


Translation

Zetta® can be translated into many different languages by the user. These translations can be uploaded to RCS® and shared with the RCS Community. Using the Configuration | System | General tab the user can click the Start Translation button to open the following translation window.

Click any area in this image for help

Click any area in this image for help

Translation Tools

Translation Step-by-Step Topics

Translation Tools

The Translation window has the following configuration options:

Current Language – The Current Language drop-down allows the user to select a localized language to better suit the sites common speaking language.

Generate Resources – The Generate Resources button saves the translated text to a file.

Upload Resources – The Upload Resources button allows the user to upload their version of the translation to share with the RCS Community.

Download Resources – The Download Resources button allows the user to download a translation file from the RCS Community share.

Display Configuration – The Display Configuration changes the display of the window and Control Type Filtering.

  • Make Translation window Topmost – Checking the Make Translation window Topmost (default) will keep the translation window always the top window. Unchecking this box allows the user to bring other windows in focus for ease of using the filtering feature in translation.

  • Filter by – The Filter By option allows the user to change what is view based on the filter options.

    • All – All will show all Control Types.

    • Focused Window – Focused window will show only the controls associated with a specific window. Note: this option is used in conjunction with pressing CTRL + SHIFT + Click to bring the desired window into focus.

    • Text Filter – The Text Filter will filter the selection even further based on a matching word in the Text.

UI String – The UI String is the Text within the user interface that the user sees on buttons and within the windows.

String tables – The String tables are the text that is in the drop-downs, warnings, startup manager and other database objects.

Translation Step-by-Step Topics

Localized Translation

Translating a Focused Window

Translating using Text Filter

Uploading Translated Resources

Downloading Translated Resources

Localized Translation

To translate Zetta to a language that better fits the localized speaking language at the site, follow these steps:

1. Using the Configuration Menu click System

2. Using the General tab click the Start Translation button to open the translation window.

3. Click the Current Language drop-drown to select a localized language.

4. If the language has existing translations they will be displayed in the bottom tabbed window.

5. If the window does not have translations or the user would like to change the translation they can easily click in the Localized Text box next to the Control Type to be translated.

6. Enter the local translation for the Text of the chosen control.

7. Click Generate Resources to save the resources to the computer.

Translating a Focused Window

To translate a specific window in Zetta to a language that better fits the localized speaking language at the site, follow these steps:

1. Using the Configuration Menu, click System

2. Using the General tab click the Start Translation button to open the translation window.

3. Click the Current Language drop-drown to select a localized language.

4. Uncheck the Make Translation window Topmost

5. Click the Focused window option

6. Open the window or module to be translated.

7. Click CTRL + SHIFT while clicking the text of the window to be translated.

8. The translation window will come to the front and display the Control Types for the selected window or module and the controls highlight will be what was clicked on in the window selected.

9. Click in the Localized Text box next to the Control Type to be translated.

10. Enter the local translation for the Text of the chosen control.

11. Click Generate Resources to save the resources to the computer.

Translating using Text Filter

To translate a specific window in Zetta to a language that better fits the localized speaking language at the site, follow these steps:

1. Using the Configuration Menu, click System.

2. Using the General tab click the Start Translation button to open the translation window.

3. Click the Current Language drop-drown to select a localized language.

4. Uncheck the Make Translation window Topmost

5. Click the Focused window option.

6. Enter the Text Filter to use.

7. Open the window or module to be translated.

8. Click CTRL + SHIFT while clicking an area of the window to be translated.

9. The translation window will come to the front and display the Control Types for the selected window with the Text Filter specified.

10. Click in the Localized Text box next to the Control Type to be translated.

11. Enter the local translation for the Text of the chosen control.

12. Click Generate Resources to save the resources to the computer.

Uploading Translated Resources

To upload translated resources to share with the RCS Community, follow these steps:

1. Using the Configuration Menu, click System

2. Using the General tab click the Start Translation button to open the translation window.

3. Click the Current Language drop-drown to select a localized language.

4. Edit as needed.

5. Click the Upload Resources button.

6. Enter a Domain ID and a comment into the Resource Comment box provided.

7. If the translation is complete, check the Complete Translation Box.

8. Click Upload. The file is uploaded to the RCS Server.

9. Click Finished, to close the window.

Downloading Translated Resources

To download translated resources to share with the RCS Community, follow these steps:

1. Using the Configuration Menu, click System

2. Using the General tab click the Start Translation button to open the translation window.

3. Click the Current Language drop-drown to select a localized language.

4. Click the Download Resources button

5. Click the Fetch Resource List button

6. Use the Select Resource drop-down to choose a file to download.

7. Click Download to download the selected resources.

8. When the download is complete, click Finished to close the window.

9. Click Generate Resources to save the resources to the computer.

Welcome < Features < Translation

© 2007-2017 RCS All Rights Reserved.


Voice Tracker®

The Voice Tracker [image] allows a user to add a voice track between events in the log. The Voice Tracker is its own editor, but is also a mode of the Segue Editor®. One way the Voice Tracker can be opened is clicking on the voice tracker icon on the Log Module toolbar. The Voice Tracker opens in a contacted view (Simple Voice Tracker), the item selected when the icon was selected will be the event before the voice track shown in the editor. The voice track title will be displayed in red and positioned in the second to last track shown in the editor. Click the Expand view [image] button to view a full view of the Voice Tracker. As the Voice Tracker is based upon the Segue Editor; the majority of the buttons are identical in look and functionality. A Voice Track can be audio recorded into the system using the play/record controls or audio can be dragged and dropped into the voice track position.

Click any area in this image for help

Click any area in this image for help

Voice Tracker® Toolbar

Play/Record Controls

Editing Shortcuts

Voice Tracker® Step-By-Step Topics

Voice Tracker® Toolbar

The following Toolbar options are available for editing creating a voice track between log events:

Save – The Save is used to save any changes.

Refresh - The refresh button will refresh the items in the editor to pick up any changes made by another user.

Segue Editor® – The Segue Editor button allows the user to switch to Segue Editor mode to listen to the created voice track in playback mode or reposition mode to adjust the segue of the elements. The user can use this button to toggle back and forth between the Segue Editor and Voice Tracker.

Reposition Mode – The Reposition Mode allows the user to make segue changes as the audio events play. This button [image] is disabled until the voice track is recorded.

Playback Mode – Playback Mode plays the audio segues as they are currently set.

Expand view - The expand view button is used to change the view of the Voice Tracker to a view that displays more information about each track and the waveforms for each event.

Contract View – The contract view button is used to change the view of the Voice Tracker to a more simplified view to conserve viewing space.

Segue Mode – The Segue Mode allows the user to select how the event will transition in to the next event Depending on the mode of the station the following Chain Types are available:

Segue, [image] Auto Post, [image] Link-Song, [image] Stop

ZCast - The ZCast button is used to send Voice Tracks using a ZCast Connection that has the permission to allow sending VT & HT.

Log Date – The Log Date displays the date of the log being changed.

Station – The Station displays the Station for the Log being changed.

Audition – The Audition button will allow the user to listen to a selected piece of audio without it going over the air. Using the arrow drop-down, the user can select to listen to All the audio, the Hook of the audio, or the Open/Close for the audio. An audition player and stream must be defined and a piece of audio must be selected. For more information on assigning the Audition Player, see the Assigning Players for Local Playback section of this guide.

Warning - A warning is displayed when there are issues with the audio or streams in the Segue Editor. Hover the mouse over the warning icon to view a warning message.

Zoom/Pan - Below the tracks is a Zoom/Pan feature that can be used to pan left or right or zoom in on a segment of audio.

To adjust the Zoom, just click and drag one side of the bar to increase the size of the bar.

To Pan to the left or right, click the bar and drag the entire bar.

Play/Record Controls

Go To Previous Voice Track – The Go To Previous Voice Track allows the user to move to the previous voice track in the log.

Play – Play will play the audio starting from the play marker and will also start the next events at the desired start position.

Record – Record will record the voice track when clicked.

Stop – Stop will stop all audio events and move the play marker back to the starting point.

Go to Next Voice Track – The Go To Next Voice Track allows the user to move to the next scheduled voice track in the log.

Editing Shortcuts

Inserting Audio Markers

Moving Audio Markers

Reposition Audio Events

Adding and Removing Tracks

Keyboard Commands

One Button Voice Tracking

Toggle View

Inserting Audio Markers

Audio markers can easily be inserted using the mouse or keyboard shortcuts. By right-clicking on the desired audio event within the wave form the Intro, Trim, Hook, early segue, Segue, volume points, Fade In, and Fade Out can be easily added to the audio event from the generated menu. This menu can also be used to enable/disable the Auto Fade and Ducking settings defined in the Stations Configuration window. Use the Toggle View option to change the view of the track.

The elements are represented visually by the following symbols:

Moving Audio Markers

Once the markers are inserted, they can easily be adjusted by hovering over the desired marker until the positioning hand appears.

Then click and drag the marker to the desired location.

Reposition Audio Events

The voice track can easily be repositioned by clicking and dragging the title bar of the audio waveform to the left or right. Note: The first audio event displayed in cannot be moved without first adding an additional track. The Track following the voice track can be repositioned after the voice track is recorded.

Adding and Removing Tracks

Tracks can be easily added and removed from the Voice Tracker window by right clicking next to a track and choosing the desired action from the menu.

The minimum number of tracks is three. The maximum number of tracks depends on the viewing real estate available on the screen.

Keyboard Commands

The Keyboard can also be used to control the playing, recording and stopping of the audio in the Voice Tracker.

  • The Left Arrow will play the first audio event starting from the play marker.
  • The Up Arrow will start the voice track recording.
  • The Left Arrow will play the event following the voice track.
  • The Down Arrow will stop all audio at any point.

Additional Command Mappings can be created to simplify the use of the Voice Tracker such as using the command SegueTool.QuickVoiceTrack to accomplish voice tracking with a single keyboard key. When this command is mapped to a keyboard key the key will have the following affect in the Voice Tracker:

With the First key stroke of the assigned key:

  1. If the Editor is not in Voice Track mode, the mode will change
  2. If the first track is not playing it will begin playing at the current position
  3. Zetta will start to record the voice track

With the Second key stroke of the assigned key:

  1. Zetta will start playing the next track
  2. Zetta will fade the currently playing track IF auto fade songs at segue is enabled

With the Third key stroke of the assigned key:

  1. Zetta will stop the recording
  2. Zetta will save the voice track trimming any silence, at the beginning and end, IF the Trim threshold is enabled.
  3. The Editor will switch to Segue mode
  4. Zetta will reposition the cursor to the start position for reviewing the recording

One Button Voice Tracking

The One Button Voice Tracking option is enabled in the Preferences window. This preference option will change the Play Control button configuration in the Voice Tracker and in IVT, to allow users to use one button to control the progression through creating a voice track in Zetta.

Default Play Controls

One Button Voice Tracking

Press the Voice Track [image] button the first time, it will start playback of the previous item AND initiate Voice Track recording.
Press the button for the second time, it will continue recording and fire the next song.
Press the button for the third time, and it will stop recording and playback, finishing the Voice Track recording process. The editor will then switch to Segue Editor mode.

Toggle View

The view of each waveform can be toggled from top view to side view using the menu generated when right clicking the waveform.

  • The Top View (default) displays the left and right channels peaks, as the top and bottom halves of the waveform.

  • The Side View displays the bigger of the left or right channels peaks of the waveform.

Voice Tracker® Step-By-Step Topics

Voice tracks can also be placed in the log by:

  1. Selecting an empty voice track slot in the log and clicking on the Voice Tracker [image] button. From there follow steps 3 - 9.

  2. Selecting Voice Tracker mode while in the Segue Editor. Note: The second track in the Segue Editor will become the third track in the Voice Tracker. From there follow steps 3 - 9.

Important Note!

A microphone or similar voice-input device needs to be connected to the machine to be able to record a Voice Track.

Recording a Voice Track

Recording a Voice Track with a Bed

Recording a Voice Track

To record a voice track follow these steps:
  1. Select a location in the log where the Voice Track is to be located. If there is not an empty Voice Track position, be sure to select the item that will play after the Voice Track
  2. Click the Voice Tracker [image] button.
  3. Click the Expand View [image] button if the Voice Tracker is not in the expanded view.
  4. Click Play [image] to start the first track playing. Listen to the end of the first track (the cursor is automatically set to about the end of the track)
  5. When ready to begin recording the voice track, click the Record [image] button to start the recording.

  6. To play the third track while recording the voice track, click the Play [image] button again and the third track will start to play, creating a segue into the next event.
  7. When done recording, click the Stop [image] button. All audio will stop; the waveform of the voice track will appear, and the editor will switch to the Segue Editor in playback mode.

  8. The voice track will be named based on the settings in the System Configuration Voice Track and Quick Record tab. The default is VT-station name-User -date of recording –time of recording.
  9. Use any of the methods defined in the Segue Editor section of the guide to reposition the audio events for the desired voice track effect.
  10. Click the Save [image] button. The Log window will be updated showing the saved Voice Track.

  11. Use the Go to Next Voice Track [image] to move to the next empty Voice Track slot to record another voice track.
  12. Recorded voice tracks for a station can be found in the Voice Tracks tab of the Media Library.

Recording a Voice Track with a Bed

Using a Bed in Voice Tracking can be accomplished many ways depending on the effect desired.

To record a voice track with a bed, perform the following steps:
  1. Open Logs from the Modules menu
  2. Locate the location to create the voice track.
  3. Open Library from the Modules menu
  4. Locate the asset to use as the bed. Insure the Bed option is selected in the assets extra tab.
  5. Drag and drop the Bed into the Log before the empty voice track slot or between the items being voice tracked.

  6. Select a location in the log where the Voice Track is to be located. If there is not an empty Voice Track position, be sure to select the item that will play after the Voice Track.
  7. Click the Voice Tracker [image] button.
  8. Click the Expand View [image] button if the Voice Tracker is not in the expanded view.
  9. Right-click the tracks in the Voice Track Editor to show more tacks. This will show the event before the bed.
  10. Click Play [image] to start the first track playing. Listen to the end of the first track.
  11. Click Play [image] again to start the bed track playing.
  12. When ready to begin recording the voice track, click the Record [image] button to start the recording.
  13. To play the third track while recording the voice track, click the Play [image] button again and the last track will start to play, creating a segue into the next event. This will fade out a bed, but keep recording the voice track.
  14. When done recording, click the Stop [image] button. All audio will stop; the waveform of the voice track will appear, and the editor will switch to the Segue Editor in playback mode.

  15. The voice track will be named based on the settings in the System Configuration Voice Track and Quick Record tab. The default is VT-station name-User -date of recording –time of recording.
  16. Use any of the methods defined in the Segue Editor section of the guide to reposition the audio events for the desired voice track effect.
  17. Click the Save [image] button. The Log window will be updated showing the saved Voice Track.
  18. Recorded voice tracks for a station can be found in the Voice Tracks tab of the Media Library.

Welcome < Features < Voice Tracker®

© 2007-2017 RCS All Rights Reserved.


ZCast

ZCast in Zetta® enables sites to share Audio Assets, Tags, Rotations, Logs, Voice Tracks with Heads/Tails, Segue Transitions and Splits between stations and databases. When an asset is ZCast from one Zetta site to another the global metadata and the audio are sent using an HTTP / REST communication connection. Station specific data is also sent for stations selected in the Outbound connection. ZCast is a service that can run on any machine configured in the Zetta database. When the ZCast Service is enabled in the General tab, the ZCast tab, ZCast Connections and ZCast Transfers windows will be visible in Zetta. Once the ZCast Connections are configured, a ZCast button will be available in the Library toolbar for all Asset tabs. When a ZCast Transfer is initiated Zetta will check the File Checksum of the audio on both sides; if the audio has not changed then only the metadata changes will be sent.

Important Note!

Although File Checksum calculations are not required for ZCast, it is highly recommended that the Full Analysis option is run on all audio before transferring audio using ZCast.

Warning: for this optimization to work properly, both sending and receiving Zetta systems should either use the same system managed audio format, or the receiving Zetta should use the (None) option for the format.

If the receiving Zetta converts the audio file, the File Checksum for the file will be different than that of the file stored on the sender. To troubleshoot and / or verify this is happening, inspect and compare file Checksum values (for the same asset) between the sender and the receiver.

ZCast Tab

ZCast Connections

Creating a Site to Site ZCast Connection

ZCast Library Assets

ZCast a Station Log

Supported log event types

NOT supported log event types:

ZCast Voice Tracks

Create a Virtual Station at the site that will be sending the voice tracks

Create an Inbound ZCast Connection for the Virtual station

Send the Log to the Virtual Station

Voice Track the Log and send the Voice Tracks and Segue Transition changes

ZCast Transfers

ZCast Tab

The ZCast tab is located in the System configuration window.

ZCast Address - The ZCast Address is the address of the computer assigned to run the ZCast Service and the port used when communicating with other Zetta systems. This field is automatically populated with the correct computer name and the default port of 3135, however this field can be changed, contact RCS Support for assistance. Use the Test button to verify the connection to the ZCast Service.

Max Number Of Retries - The Max Number Of Retries setting is the maximum number of times that Zetta will retry sending the data before it stops trying and fails the send request.

Time till retry after failure - The Time till retry after failure is the time in seconds that Zetta will wait before attempting to send the data again.

Max. number of assets to send simultaneously - The Max. number of assets to send simultaneously is the number of connections that can be opened by the ZCast Service at one time.

Limit Outbound Bandwidth - This option will limit the outbound network bandwidth used by ZCast. The default setting of zero means Zetta will use all bandwidth detected in the sending of ZCast packets to ZCast connections. This setting can also be controlled on the fly using the Command Mapping ZCast.OutboundLimit in an Execute Command in a log, background recorder or macro.

Limit Inbound Bandwidth - This option will limit the inbound network bandwidth used by ZCast. The default setting of zero means Zetta will use all bandwidth detected in the receiving of ZCast packets from ZCast connections. This setting can also be controlled on the fly using the Command Mappings ZCast.InboundLimit in an Execute Command in a log, background recorder or macro.

External ID handling on Incoming Assets - The External ID handling can be used to set how Zetta is to handle the External ID of incoming assets when using the Match On by GUID option in the Inbound ZCast Connections. This can be useful when receiving ZCast data from a site who does not share the exact same External ID arrangement to prevent duplicate External ID's.

Accept External ID - There are several ways of handling external ID's during a ZCast import. These settings are used on the inbound side:

    • Accept Always - This option always imports the external ID that comes from the import, regardless of whether the asset is new or not. Also, does NOT check for conflicts. This is how versions prior to 2.9 of Zetta® handle the External ID.
    • Accept when no conflicting External ID, otherwise keep External ID - This option imports the external ID that comes from the import IF the external ID given is not set on a different asset. If the same external ID is found on a different asset Zetta will accept the asset, but clear the external ID on import of the new asset. This means the new asset will not have an External ID. If the same external ID is found on an existing matching asset then the asset will be updated and the External ID will remain the same.
    • Accept when no conflicting External ID, otherwise make External ID unique - This option imports the external ID that comes from the import IF the external ID given is not set on a different asset. If the same external ID is found on a different asset Zetta will accept the asset, but change the external ID to a unique number on import if it is a new asset. If the same external ID is found on an existing matching asset then the asset will be updated and the External ID will be changed to a unique number. The unique number will have the word DUPLICATE in it for easy searching in the Library module (ExternalID_DUPLICATE_AssetID_RandomNumber).
    • Accept and clear External ID on conflicting assets - This option imports the external ID that comes from the import IF the external ID given is not set on a different asset. If the same external ID is found on a different asset, Zetta will clear the external ID on the EXISTING assets that have the external ID. In other words, the asset that is getting imported will retain the external ID given, and conflicting assets with the same external ID will no longer have an External ID.
    • Accept and make External ID unique on conflicting assets - This option imports the external ID that comes from the import IF the external ID given is not set on a different asset. If the same external ID is found on a different asset, Zetta will make the external ID unique on the EXISTING assets that have the external ID. In other words, the asset that is getting imported will retain the external ID given, and conflicting assets with the same external ID will get a new unique external ID. The unique number will have the word DUPLICATE in it for easy searching in the Library module (ExternalID_DUPLICATE_AssetID_RandomNumber).

Ignore External ID - This option tells Zetta to never accept the given external ID from the import. Zetta will clear the external ID on the importing asset if it is a new asset, and will leave the external ID alone when updating an existing asset.

Fail transfer when conflict found - This option will fail the import of the asset if the External ID conflicts with an existing asset.

ZCast Connections

The ZCast Connections window is where the Inbound and Outbound connections are configured. The ZCast Connections window is located in the Configuration menu.

Creating a Site to Site ZCast Connection

The following steps can be used to setup a ZCast connection between two Zetta sites.
  1. On the Receiving site, click ZCast Connections from the Configuration menu.
  2. Click the Add Connection [image] button
  3. Select Inbound for the Connection Type
  4. Enter a Name to describe the connection.
  5. Optionally, enter a Description of the connection.
  6. Select the Match On option for Zetta to use when matching existing Assets to those transferred via ZCast.
  7. Click the Create Connection Key button.
  8. Select the Permissions for the Local stations.

  9. Click Save [image] to save the ZCast Connection.
  10. Click Export [image] to export the ZCast Connection configuration to a file.
  11. Transfer the file to the sending site via Email, shared folder or other means.
  12. On the Sending site, click ZCast Connections from the Configuration menu.
  13. Click the Import [image] button to import the ZCast Connection configuration file.
  14. The Connection Type is automatically set to Outbound.
  15. Edit the Name if desired.
  16. Optionally, edit or enter a Description.
  17. Select Test
  18. Select the Local Station that has access to Send and request data from the Remote Station.
  19. Select the Permissions for the connection.

  20. Optionally, select Enable Auto send. Assets activated and Logs, VT&HT and Segue Transitions changes on this station will be automatically sent to receiving station on this connection when there is a green check in the permission grid. This option is available when Can I Send is enabled for Assets and Logs. If this option is selected for Logs the Enable Auto Send is automatically selected for VT&HT and Segue Transitions. The time that Zetta will wait before the auto ZCast of a log change is 1 minute, assets are sent immediately.
  21. Click Save [image] to save the ZCast Connection.
  22. Repeat to send data the other direction as needed.

ZCast Library Assets

The ZCast button in the Library toolbar is used to send selected library assets to an Outbound ZCast Connection.

To ZCast an Asset to an Outbound Connection, perform the following steps:
  1. Create a Site to Site ZCast Connection, at the sending site select Allow Sending Assets for the station. Select Auto Send to allow changes to assets to be automatically sent to remote stations. If the Auto send audio is selected and an asset is deleted or deactivated this change will be sent to the remote station automatically. At the remote site select Allow Receiving Assets from the sending station.
  2. Open the Library module from the Modules menu.
  3. Select the type of Asset to ZCast
  4. Select the Assets to Send, use the CTRL or SHIFT keys to select multiple assets.
  5. Select the Send selected media to ZCast site [image].

  6. This will open the Manual ZCast window, select the station to send the selected asset.

  7. Optionally, select the Priority Send to set the assets as High Priority. Assets by default have a send time of now + 24 hours, selecting the Priority Send will change this default to send now instead of within the next 24hours.
  8. Click the Go button at the bottom to send the assets.

ZCast a Station Log

Station logs can be sent in any direction between any combination of primary and/or virtual stations. ZCast logs can be used for simulcasting, if both ends are primary stations. The ZCast button in the Log toolbar can be used to Send a Log, Request a Log, Reconcile a Log or Request Missing Assets based on a configured ZCast Connection. This feature will replace the Log date and hour selected in the Manual ZCast window it will not merge with an existing Log.

To ZCast a Station Log, perform the following steps:
  1. Create a Virtual station at the sending site to match the primary station at the remote site.
  2. Create a Site to Site ZCast Connection, at the sending site select Can I Send for Logs for the virtual station just created. At the remote site select Can I Receive for Logs from the virtual station to the primary matching station. To ZCast the original log from the primary station to the new virtual station create another Site to Site connection to Allow Sending Logs from the remote primary station and Allow Receiving Logs at the virtual station from the remote primary matching station.
  3. At the Remote site where the primary station resides, open the Logs module from the Modules menu.
  4. Select the Primary Station
  5. Select the Log date to send to the virtual station
  6. Select the ZCast selected log [image].

  7. Use the action drop-down to select the allowed action. This is based on the Connection Permissions selected during the configuration of the ZCast Connection.
  8. Use the Start and End field to send a date/hour range of logs for the station
  9. Ensure the correct station(s) are selected to send the log to at the receiving site.
  10. Click Go
  11. Use the ZCast Transfers window from the Tools menu to view the transfers Progress

  12. Open the Log for the Virtual Station created in step one. Click Modules | Logs then select the Virtual Station from the Station Selection drop-down.
  13. Select one of the Days logs that was received and edit it as needed.
  14. Select the ZCast selected log [image].
  15. Send the Log back to the Primary station by clicking Go
  16. Use the ZCast Transfers window from the Tools menu to view the transfers Progress.

The Permission Can They Request for Logs can optionally be enabled to allow the virtual station to request a log from the primary station and vice versa. Use the Can They Request for Assets permission to Request Missing Audio using the Manual ZCast window.

Supported log event types

The following log event types are supported when Logs are ZCast in Zetta.

Assets - When a Log is sent via ZCast, the assets in the Log are also sent. Zetta will then create the asset on the other end if it does not exist, but no audio will be sent. If the audio is required at the receiving end the sending site can send the audio or the receiving site can request the missing audio.
Macros - When a Log is sent via ZCast, the Macros in the Log are also sent, however the contents of the macro is not sent. Zetta will match on Macro name; if Macro does not exist, an empty macro with the description will be created. The Macro description can be used when creating the macro on the sending side to inform receivers of what the macro should do.
Comments
Pause
Unscheduled Link
Unscheduled Song
Empty VT Slot
ETM
Spot Block (including contents)
External

NOT supported log event types:

The following log events are not supported when Logs are ZCast in Zetta. However, these events can be sent as part of a macro. Zetta will look for the corresponding macro by its name on the receiving site.

Execute commands - When a Log is sent via ZCast, any Execute Commands in the log become Comments at the receiving site.

Record Events - When a Log is sent via ZCast, Record Events become empty Record events at the receiving site.

ZCast Voice Tracks

Create a Virtual Station at the site that will be sending the voice tracks

Create an Inbound ZCast Connection for the Virtual station

Send the Log to the Virtual Station

Voice Track the Log and send the Voice Tracks and Segue Transition changes

Create a Virtual Station at the site that will be sending the voice tracks

To create a virtual station, perform the following steps:
  1. In the Configuration Menu, click Virtual Stations.
  2. Click the Add New Virtual Station [image] icon.
  3. Enter the Station Name to identify the station, something that identifies this station is a virtual station for the actual station being voice tracked.
  4. Enter a Description to describe the station (optional)
  5. Click the Save [image] button to save the station settings.

Create an Inbound ZCast Connection for the Virtual station

To create an Inbound Connection for a virtual station to receive Logs to be voice tracked, perform the following steps:
  1. On the site with the Virtual Station, click ZCast Connections from the Configuration menu.
  2. Click the Add Connection [image] button
  3. Select Inbound for the Connection Type
  4. Enter a Name to describe the connection.
  5. Optionally, enter a Description of the connection.
  6. Select the Match On option GUID.
  7. Click the Create Connection Key button.
  8. Expand the Permissions for the Virtual Station created.
  9. Select the following permissions.

  10. Click Save [image] to save the ZCast Connection.
  11. Click Export [image] to export the ZCast Connection configuration to a file.
  12. Transfer the file to the sending site via Email, shared folder or other means.
  13. On the Sending site, click ZCast Connections from the Configuration menu.
  14. Click the Import [image] button to import the ZCast Connection configuration file.
  15. The Connection Type is automatically set to Outbound.
  16. Edit the Name if desired.
  17. Optionally, edit or enter a Description.
  18. Select Test
  19. Select the Local Station that has access to the Remote Station.
  20. Select the following permissions.

  21. Optionally, select Enable Auto send. Assets activated and Logs, VT&HT and Segue Transitions changes on this station will be automatically sent to receiving station on this connection when there is a green check in the permission grid. This option is available when Can I Send is enabled for Assets and Logs. If this option is selected for Logs the Enable Auto Send is automatically selected for VT&HT and Segue Transitions. The time that Zetta will wait before it auto sends a log change is 1 minute, assets are sent immediately.
  22. Click Save [image] to save the ZCast Connection.
  23. Create additional Connections going the other directions. An inbound connection is needed at the voice track receiver to receive voice tracks and an outbound at the voice track sender to send voice tracks.

Send the Log to the Virtual Station

To ZCast a Station Log, perform the following steps:
  1. At the site where the primary station resides, open the Logs module from the Modules menu.
  2. Select the Primary Station
  3. Select the Log date to send to the virtual station
  4. Select the ZCast selected log [image].
  5. Select the Send Log With VTs and Heads/Tails

  7. Use the Start and End field to send a date/hour range of logs for the station
  8. Ensure the correct station(s) are selected to send the log to at the receiving site.
  9. Click Go
  10. Use the ZCast Transfers window from the Tools menu to view the transfers Progress

Voice Track the Log and send the Voice Tracks and Segue Transition changes

To Voice Track the Log in the Virtual Station and send back the Voice Tracks and Segue Transition changes, perform the following steps:
  1. At the site where the virtual station resides, open the Logs module from the Modules menu.
  2. Select the Primary Station
  3. Select the Log date to Voice Track

  4. Select an Empty Voice Track Slot and create the voice track.
  5. When satisfied with the voice track click Save.
  6. Click the ZCast button in the Segue editor.
  7. Select the ZCast Connection to send the Voice Track and Segue Transitions back to the Primary Station.

ZCast Transfers

The ZCast Transfers window is located in the Tools menu and is used to view Inbound and Outbound ZCast Transfers. From this window the user can see Pending, Completed, Failed and In Progress transfers. There is a Cancel button available to cancel Pending and In Progress transfers of both inbound and outbound transfers. Once a transfer is complete the user can double-click the asset from the ZCast Transfer window to open the Metadata Card for the asset.

Important Note!

To view the Splits IN, OUT and FORWARD transfer messages use the GPIO History window from the Tools menu.

Welcome < Features < ZCast

© 2007-2017 RCS All Rights Reserved.


Zetta Splits®

Many radio stations broadcast over a geographically wide area on more than one frequency / transmitter, broadcasting a common program to all transmitters. However, to maximize revenues they sell localized commercials which are broadcast to specific transmitters / regions. Thus the main transmitter might be broadcasting one spot block to Region "A" while the split transmitter would be simultaneously broadcasting a different spot block to Region "B".

The splits feature lets a master station send a signal, using TCP or Serial, to the local stations to play their own local spots and links, and then it rejoins the master station after the break. Splits stations can be used for Internet Streaming stations, Network Programming or Simulcasting.

Splits in Zetta is a subscription based model, which means that any Split Client can subscribe and listen for Split Master control events. A subscription based system has a Master, which is an independent station that sends information out to its subscribers, the Client, which is also an independent station. The Client will receive the subscription messages from the Master when the client station is in Split Player Mode. The Split Client then decides based upon the given information what to play. What is played on the Split Client station is determined by the Split Master's Split Behavior, the Assets Tagged for the Split Client, and the Operation Mode of the Split Client station at the time of the Split.

A Zetta® station can be setup as a Splits Master, a Splits Client or both. The Splits design allows for “cascaded splits”, where Master station A drives Split station B, which in turn can be a Master station for Split station C. A “Split” can either be a sequence of events wrapped into a Spot Block OR a standalone asset such as a link, song or spot with a split behavior. The main requirement for splits is that the Split Master and the Split Client breaks START and END simultaneously; they must be the same length, this can be achieved by a combination of time stretching/squeezing and/or filling. The target length is declared by the length of the Spot Block OR individual asset on the Master Station. The firing of Assets with a Split Behavior are also supported in the Hot Keys and Stacks modules.

The Splits feature is enabled in the Configuration | System | General tab. The Splits feature is available on stations within a single database or across multiple Zetta sites.

Splits Master

Stream to Play Container Mappings

Split Behavior

Split Client

Tagging Assets

Splits Across Multiple Zetta Sites

Split Player Step-by-Step Topics

Splits Master

A Split Master is a station that will signal a subscribed Split Client. Split messages from Master station(s) are only received when the split station is in Split Client Mode, otherwise they are ignored. Split messages to cue / play / pause / stop a split event are driven by the Split Behavior; Master Audio, Master Silence or Master Monitor, of an asset scheduled on a Master Station. The Split Client will decide, based on the split behavior and Tag of the Asset, whether to split from the master or not; if, for example, there are no assets tagged and a Fill Category is not selected for the station, the Split Client will not split from the Master. The Split Master station and Split Client station can be scheduled using GSelector Integration or through Flat File Load using the V15Native Traffic Load (Splits Only) template.

Stream to Play Container Mapping

The mechanism used to route audio to specific streams is based on the Split Behavior property of an Asset or a Spot Block. When an Asset on a Master Station is played with a Split Behavior, the audio on the Master Station is routed in the following manner:

Split Behavior | Route
None | Routes to Normal Playback Streams
Master Silent | Routes to Silent streams (plays silence on the Master Station)
Master Audio | Routes to Splits streams
Master Monitor | Routes to Monitor streams

When a Split station is in Split Client Mode all log events are routed to the play containers Split streams for that station.

Split Behavior

A Split Behavior is set on the Assets or Spot Block that are scheduled on the Split Master Station where a split is to occur. The Split Behavior is respected in the On-Air, Hot Keys and Stacks modules. The Split Behavior of an asset is set in the Station Specific tab of the assets Metadata card. The Split Behavior of a Spot Block is set when scheduling the Spot Block either using GSelector Integration or Clocks. The Split behavior of an asset or Spot Block can be configured in GSelector version 3.20 and higher. When a Spot Block has a Split Behavior it will override any Split Behavior of an asset scheduled within the Spot Block and ignore any tagging on the assets within the Spot Block. The master station will however send the fill length of the Spot Block to the Split Client. If a Split Behavior is only set on the assets within the Spot Block and these assets are tagged a message is sent to the splits client to queue and play an asset with a matching tag.

None - A Split Behavior of None will play the asset through a stream enabled as Normal in the Player. Nothing will be sent to the Split Client.

Master Audio - A Split Behavior of Master Audio tells the Master station to play the audio and send a signal to the subscribing Split Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the same asset as the Master Station, if the asset is active on the subscribing station. When an asset's Split Behavior is set to Master Audio, a Master Audio [image] icon will be visible in the Split Behavior column of the Log.

Master Silent - A Split Behavior of Master Silent tells the master station to play silence and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the Split Client station will play the asset scheduled on the Master station, if the asset is active on the subscribing station. When an asset's Split Behavior is set to Master Silent, a Master Silent [image] icon will be visible in the Split Behavior column of the Log.

Master Monitor - A Split Behavior of Master Monitor will route the audio for the asset to the configured Monitor streams of the Player for the Master Station and send a signal to the subscribing Splits Clients to play a tagged asset on the client station. If the asset is not in a tagged group the client station will play the same audio asset that is scheduled on the Master Station, if the asset is active on the subscribing station. Master Monitor allows the user to hear the audio locally for the Master Station even though nothing is playing over the air for the Master Station. When an asset's Split Behavior is set to Master Monitor, a Master Monitor [image] icon will be visible in the Split Behavior column of the Log.

Splits Client

A Station becomes a Split Client when a Split Master is selected; this can be done in the Station Configuration Splits tab, with an Execute Command Event or a Command Mapping to a Keyboard or a GPIO event using the Sequencer.SetSplitMaster Task type. A Split Client will receive information from the Split Master when the Split Stations On-Air module is in Split Client Mode. The Station Mode can be changed using the Mode drop-down in the On-Air module, with an Execute Command Event or a Command Mapping to a Keyboard or GPIO event using the Sequencer.Mode task type. The Split stations log can be scheduled using GSelector Integration, Clocks, ZCast or through Flat File Load.

When the Split Client receives the splits message, that an individual asset is to play on the Master Station, it will first look for an event with the same Tag as the Master Station; if there is no Tag and the Split Station is on the same site database, it will play the same asset as long as the asset is active and approved for the Split Station. When an Asset is inserted into the log of the Split Station it is inserted into the same hour as referenced in the Master station below any cued log events. If no cued event is found the asset is placed below the last played event; if none then it is placed below the Top of Hour marker.

When the Split Client receives the splits message, that a Spot Block with a split behavior is to play on the Master Station, it will try and locate an existing Spot Block log event which matches the Split Log Date, Hour and position, if no Spot Block is found nothing will happen on the split station.

Master Station | Split Station
1st Spot Block: Master Silent (Split #1) | Spot Block (Split #1)
2nd Spot Block |
3rd Spot Block: Master Silent (Split #2) | Spot Block (Split #2)
4th Spot Block |
5th Spot Block: Master Silent (Split #3) | Spot Block (Split #3)

Tagging Assets

Tagging can be used to tell the Split Client stations what to play when a Split Master Station plays an asset with a Split Behavior. When the Split Client receives a message from the Split Master that a Split is cued, the Split Client will first check for a Tag; if a Tag is found the Split Client will locate an asset, assigned to its station, with the same Tag and schedule it in the log. This is useful to play local imaging links on the splits stations. A Tag is created by clicking the Add new media [image] button in the Library Module | Tags tab.

To add assets to the Tag, simply drag and drop the desired assets into the new Tag window. The assets selected for the Split Master and the Split Client should have approximately the same length. Zetta will use the Maximum stretch/squeeze value, specified in the Playback tab of the Station Configuration window, to achieve an exact length to allow the Split Client to rejoin the Split Master at the correct time. If the assets cannot be stretched or squeezed to match, a warning error [image] will appear in the Tag window for the asset. The Station column in the Tag window is used to select the Station that will use the Asset. A warning error [image] will appear if the asset is inactive for a selected station. For the most part a Tag will contain one asset for the Split Master and one asset for each Split Client; however more complex Tagging can be done such as one to many, many to many or many to one. When one of these more complex methods is used, Zetta will use a weighted scoring logic to select an asset to play on the Split Clients. The Metadata card can be accessed for an asset from the Tag window by simply double-clicking the Asset.

Zetta Splits Across Multiple Zetta Sites

Configuring Spits across multiple Zetta sites requires the configuration of Virtual Stations and ZCast Connections. At the head end site there is a Master Station that has a ZCast connection Outbound to a Split Forwarder at the remote site. The Split Forwarder is a Virtual Station that is the Master Station at the Inbound (remote) site for any local subscribed split clients (Primary stations). If using Tags, the tags must exist at both sites and the tag must be named the same. The following diagram shows Zetta Splits over a TCP-IP connection however Zetta Splits can be performed over TCP-IP or Serial connections.

Tags are not used for Spot Blocks with a split behavior. When the Split Client receives the splits message, that a Spot Block with a split behavior is to play on the Master Station, it will try and locate an existing Spot Block log event which matches the Split Log Date, Hour and position. The split station will then play the spots scheduled in the Spot Block, if no Spot Block is found nothing will happen on the split station.

Master Station | Split Station
1st Spot Block: Master Silent (Split #1) | Spot Block (Split #1)
2nd Spot Block |
3rd Spot Block: Master Silent (Split #2) | Spot Block (Split #2)
4th Spot Block |
5th Spot Block: Master Silent (Split #3) | Spot Block (Split #3)

See the Configuring Splits Across Multiple Zetta Sites section of this topic for step-by-step instructions.

Zetta Splits Step-by-Step Topics

Before proceeding with the following Steps configure the Computer(s) Play Devices that will be used for the Master and Splits stations.

Configuring Single Site Splits

Configuring Splits Across Multiple Zetta Sites

Troubleshooting Splits

Configuring Single Site Splits

The following steps will assist in the configuration of splits for a site.

Step One: Enable the Splits Service

Step Two: Configure the Play Containers for the Master Station

Step Three: Configure the Play Containers for the Splits Client Station

Step Four: Configure the Master Station

Step Five: Configure the Splits Station

Step Six: Setting the Split Behavior for an Asset

Step Seven: Create Tags

Step Eight: Setting the Split Behavior on a Spot Block

Final Step: Schedule Logs and Change mode on Split Client

Step One: Enable the Splits Service

If the Zetta Splits service is not enabled other Splits features will not be visible.

To enable the Splits Service, follow these steps:
  1. Click Configuration | System
  2. On the General tab enable Zetta Splits®. Splits does not require a specific computer to run a service.
  3. Click the Save [image] button to save the changes.
  4. Close the System window.

Step Two: Configure the Play Containers for the Master Station

To configure the Play Containers for the Master Station, follow these steps:
  1. Click Configuration | Play Containers
  2. Click the Add New Player [image] button to create a new Play Container.
  3. Name the Play Container as desired
  4. In the second line enter a description of the play container (optional)
  5. To add play streams for the a Play Container, click the Add Player Stream [image] button for the desired number of streams
  6. For each stream select a Purpose for the play stream. The purpose column is used for Splits. When an Asset or a Spot Block has a Split Behavior set, Zetta will route the audio based on the type of Split Behavior and the purpose of the stream.

Normal - By Default the Normal option is selected for Normal Play on the station.

Splits - The Splits option is used for Master Splits and Splits Client Stations for playing audio on air when a Split behavior is assign to an Asset or a Spot Block. When the Splits option is selected for a play stream, and an asset plays on the master splits station with a split behavior, Zetta will cue an asset for the split client using a play stream that is set to split for the client station.

Monitor - The Monitor option is used to designate what stream should be used by the Master Splits Station when an asset plays on the Mater station with a Split Behavior of Master Monitor.

Select Splits for the Streams that are to be used with the Master Audio Split Behavior. Splits are supported in the On-Air, Hot Keys and Stacks modules. Select Monitor for the Monitor streams.

  7. For each stream select the Audio Types to play on the play stream.
  8. For each stream, select the Player that was configured in the computers Play Devices.
  9. Select the Stream Name to use for the Player.

  10. Use the Verify if Players Online [image] button to verify the players are functioning; the status column will display a green check mark [image] if the player is online and is available to Zetta. If the Player is not online or not functioning a red [image] is visible in the Status column.
  11. Click Save [image] to save the added the Player.
  12. Repeat steps 2-9 for these additional recommended Play Containers:
Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play. Add 3 Split streams and 3 streams pointing to Audition Streams when configuring assets to use the Master Monitor Split Behavior. | 9 Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys® | Frequently used audio control room events saved to Hot Keys®. Optionally add 3 additional streams for Splits. | 3 Streams
Stacks | Used to play a stacked selection of audio control room events. Optionally add 3 additional streams for Splits. | 3 Streams
Z-Player | User to play audio in the Z-Player Module | 3 Streams

Step Three: Configure the Play Containers for the Splits Client Station

To configure the Play Containers for the Splits Client Station, follow these steps:
  1. Click Configuration | Play Containers
  2. Click the Add New Player [image] button to create a new Player.
  3. Name the Play Container as desired
  4. In the second line enter a description of the play container (optional)
  5. To add play streams for the a Play Container, click the Add Player Stream [image] button for the desired number of streams
  6. For each stream, select the Player that was configured in the computers Play Devices.
  7. Select the Stream Name to use for the Player.
  8. By Default the Normal column should be enabled for Normal Play on the station. Normal will only need to be configured if the station is NOT a 24/7 split station.
  9. Enable the Splits column for each Stream. Splits are supported in the On-Air, Hot Keys and Stacks modules.

  10. Use the Verify if Players Online [image] button to verify the players are functioning; the status column will display a green check mark [image] if the player is online and is available to Zetta. If the Player is not online or not functioning a red [image] is visible in the Status column.
  11. Click Save [image] to save the added the Player.
  12. Repeat steps 2-9 for these additional recommended Play Containers:
Play Container | Description | Recommended Streams
On-Air | Used for On-Air station play | 3 Normal Streams and 3 Splits Streams
Audition | Used for Local Playback | 3 Streams
Hot Keys® | Frequently used audio control room events saved to Hot Keys® | 3 Streams
Stacks | Used to play a stacked selection of audio control room events | 3 Streams
Z-Player | User to play audio in the Z-Player Module | 3 Streams

Step Four: Configure the Master Station

A Master Station is simply a Station that is assigned to a splits client as its master station. See the Create a Station instructions if a new station is needed for the Master station.

To configure the Master Station, follow these steps:
  1. Click Configuration | Station
  2. Select the Station that is to be the Master Station
  3. Select the Splits tab
  4. Optionally, select the Spot Block Matching Method in the Master station.
  5. Optionally, enable the Use Longest Spot Block Length option to allow Zetta to adjust the fill length on the Matched Spot Blocks to the Longest Length.
  6. Optionally, if using a serial connection, select a RS232 Splits GPIO device that has been configured to send serial splits messages for the Master Station using the Splits Master: Sends Serial Splits Message Over drop-down option.
  7. Leave Splits Player settings at the default. These options are used for the Splits Client.
  8. Click the Save [image] button to save the station settings.

Step Five: Configure the Splits Station

A Splits Station is simply a Station that is assigned to a Splits Master station. See the Create a Station instructions if a new station is needed for the Splits station.

To configure a Splits Station, follow these steps:
  1. Click Configuration | Station
  2. Select the Station that is to be the Splits Client
  3. Select the Splits tab
  4. In the Splits Player section select the Split Master Station to use for this Splits Client Station configured above.
  5. Optionally, select the Forward Now Playing data from Splits Master option.
  6. Optionally, select the Splits Master Provides Fill content option.
  7. Click the Save [image] button to save the station settings.

Step Six: Setting the Split Behavior for an Asset

To set the Split Behavior of an Asset, follow these steps:
  1. Click Modules | Library
  2. Select the tab for the Asset to be edited
  3. Double click the desired Asset
  4. Click the Station Specific tab
  5. Select the Master Station from the Select Station drop-down.
  6. Select the Tag if one exists. See Step Seven: Create Tags to create a new Tag.
  7. Select the Split Behavior for the Master Station to use when the split occurs.

  8. Click Save [image] to save the changes to the Asset.

Important Note!

The Split Behavior can also be set by accessing the metadata card from within the Tag window when creating a Tag. Simply double-click the Tagged asset to access the metadata card.

Step Seven: Create Tags

A Tag is a Group of Assets that can be used to schedule events for the Split Clients when a Split Master station plays an asset from the Tagged Group that has a Split Behavior.

To create a Tag, follow these steps:
  1. Click Modules | Library
  2. Select the Tags tab
  3. Click Add new media [image] button

  4. Give the Tag a Name. When running splits across multiple Zetta sites the tag name MUST match at each site.
  5. Drag and Drop the desired asset that is to play on the Master Splits Station to the Tag window from the Library Module.
  6. In the Station column set the station to the Master Station
  7. Drag and Drop the desired asset that is to play on the Splits Client Station to the Tag window from the Library Module.

Important Note!

The assets selected for the Split Master and the Split Client should have approximately the same length. Zetta will use the Maximum stretch/squeeze value to achieve an exact length to allow the Split Client to rejoin the Split Master at the correct time. If the assets cannot be stretched/squeezed to match an error [image] will appear in the Tag window for the asset.
  8. In the Station column set the station to the Split Client Station

  9. Click the Save [image] button to save the changes to the Tag.

Step Eight: Setting the Split Behavior on a Spot Block

The Split Behavior for a Spot Block can be set in the Clocks/Logs or in GSelector using GSelector Integration. To set the Split Behavior in GSelector, see the GSelector Help Guide

To Set the Split Behavior on a Spot Block in a Clock or Log, perform the follow steps:
  1. Using the Modules menu select the Clocks or Logs module.
  2. Right-click a location in the Log or Clock
  3. Select Insert Control Event from the menu
  4. Select Spot Block from the Control Event Consideration window
  5. In the Properties window set the Fill Length for the Spot Block if a Block Fill Category has been selected
  6. Select the Split Behavior for the Spot Block

  7. Drag and drop the Spot Block Control Event or simply double click the words Spot Block. Zetta will enter the Spot Block into the previously selected location in the Log or Clock.

The Final Steps are to Schedule the Logs for the Stations, this can be done with GSelector Integration, Clocks or through Flat File Load. Then open the On-Air module for each station and set the spilt clients to Split Player to: mode. Use the GPIO History screen to view the Split event history.

Configuring Splits Across Multiple Zetta Sites

The following assumes that Splits is enabled at both sites, the Stations, Players and RS232 Splits Serial GPIO (if used) have been created and configured. The following steps can be used to configure Splits across multiple Zetta sites.

Configure a Virtual Station at the remote site as the Split Forwarder

Configure the Split Forwarder as the Master Station at the remote site

Create a Master Station to Split Forwarder ZCast Connection

Setting the Split Behavior for the Assets

Create Tags

Setting the Split Behavior on a Spot Block

Schedule Logs and Change mode on Split Client

Configure a Virtual Station at the remote site as the Split Forwarder

See the Create a Virtual Station instructions if a new virtual station is needed as a Splits Forwarder at the remote site. The Virtual Station configured here will be the Splits Forwarder for the Master Station at the head end site.

To configure the virtual station at the remote site, perform the following steps:
  1. In the Configuration Menu, click Virtual Stations.
  2. If using a Serial connection select the Splits tab to set the Splits Forwarder: Receive Serial Splits Message Over RS232 Splits serial device. The Splits Master: Sends Serial Splits Message Over RS232 device will need to be set in the Splits tab of the Master Station at the sending site.

  3. Click the Save [image] button to save the virtual station settings.

Configure the Split Forwarder as the Master Station at the remote site

The Split Client Stations should already be created at the remote site.

To configure the Splits Stations at the remote site, follow these steps:
  1. Click Configuration | Station
  2. Select the Station to configure as the Splits Client.
  3. Select the Splits tab.
  4. Select the Split Forwarder station to use for this Splits Client Station configured above.
  5. Optionally, set a time for the Split Message Offset in minutes when using Serial connections to the Split Master. This value can be positive or negative.

  6. Click the Save [image] button to save the station settings.

Create a Master Station to Split Forwarder ZCast Connection

The following steps can be used to setup a ZCast connection between two Zetta sites.
  1. On the Receiving site, click ZCast Connections from the Configuration menu.
  2. Click the Add Connection [image] button
  3. Select Inbound for the Connection Type
  4. Enter a Name to describe the connection.
  5. Optionally, enter a Description of the connection.
  6. Select the GUID Match On option.
  7. Click the Create Connection Key button.

  8. Select the Show Permissions Expand button for the Split Forwarder Station.
  9. Select Allow Splits.

  10. Click Save [image] to save the ZCast Connection.
  11. Click Export [image] to export the ZCast Connection configuration to a file.
  12. Transfer the file to the sending site via Email, shared folder or other means.
  13. On the Head end Sending site, click ZCast Connections from the Configuration menu.
  14. Click the Import [image] button to import the ZCast Connection configuration file.
  15. The Connection Type is automatically set to Outbound.
  16. Edit the Name if desired.
  17. Optionally Edit or enter a Description.
  18. Select Test
  19. Select the Local Station (Master) that has access to the Remote (Split Forwarder) Station.
  20. Select Allow Splits

  21. Click Save [image] to save the ZCast Connection.

The Final Steps are to Schedule the Logs for the Stations, this can be done with GSelector Integration, Clocks or through Flat File Load. Then open the On-Air module for each station and set the spilt clients to Split Player to: mode. Use the GPIO History screen to view the Split event history.

Troubleshooting Splits

When the Master Station is communicating correctly with the Split Stations at the remote sites the status icon will be green and a ZCast icon with a number will appear in the On-Air title bar of the Master Station. A tooltip will show what stations are listening when the mouse is hovered over the number.

The Splits IN and OUT messages are logged with the Sequencer processes and stored on the local computer (..\Program Data\RCS\Zetta\Logging\Debug). This file can be viewed by opening it in the xLogViewer application found in the RCS program group on the local computer. The New messages that should appear will look like the examples below:

0 eBOOKMARK_NONE 10/7/2016 8:26 AM Zetta.SequencerLauncher.exe eLOGGER_VERBOSE SPLITS Zetta Split Master SPLIT_OUT [ZETTA_SPLITSMASTER]: CUE - SPOTBLOCK_EVENT, Split Id: 17192768,

0 eBOOKMARK_NONE 10/7/2016 8:26 AM Zetta.SequencerLauncher.exe eLOGGER_VERBOSE SPLITS Zetta FM Split SPLIT_IN [ZETTA_SPLITSMASTER]: CUE - SPOTBLOCK_EVENT, Split Id: 17192768,

0 eBOOKMARK_NONE 10/7/2016 8:26 AM Zetta.SequencerLauncher.exe eLOGGER_VERBOSE SPLITS Zetta Split Master SPLIT_OUT [ZETTA_SPLITSMASTER]: PLAY - SPOTBLOCK_EVENT, Split Id: 17192768,

0 eBOOKMARK_NONE 10/7/2016 8:26 AM Zetta.SequencerLauncher.exe eLOGGER_VERBOSE SPLITS Zetta FM Split SPLIT_IN [ZETTA_SPLITSMASTER]: PLAY - SPOTBLOCK_EVENT, Split Id: 17192768,

0 eBOOKMARK_NONE 10/7/2016 8:28 AM Zetta.SequencerLauncher.exe eLOGGER_VERBOSE SPLITS Zetta Split Master SPLIT_OUT [ZETTA_SPLITSMASTER]: STOP - SPOTBLOCK_EVENT, Split Id: 17192768,

0 eBOOKMARK_NONE 10/7/2016 8:28 AM Zetta.SequencerLauncher.exe eLOGGER_VERBOSE SPLITS Zetta FM Split SPLIT_IN [ZETTA_SPLITSMASTER]: STOP - SPOTBLOCK_EVENT, Split Id: 17192768,

Welcome < Features < Zetta Splits

© 2007-2017 RCS All Rights Reserved.


Zetta2GO Overview

Welcome < Zetta2GO Overview

Zetta2GO® Overview

Zetta2GO is an application that allows the control of a Zetta Automation/Playout system from an internet browser. Using a laptop, remote desktop, tablet or smart phone a user can control Zetta, create Voice Tracks, fire Hot Keys, use the Library and Monitor the system. An internet browser can display Logs, Library, Hot Keys and the Segue/iVT Editor, allowing the user to voice track Empty Voice Track Slots in the log, edit the segue of the voice tracks, fire hot keys from a Hot Keys bank and drag and drop assets from the Library. When user rights are configured in Zetta a select number of rights will be enforced in Zetta2GO, these rights are noted in the Comments section of the tables in the Working with Security topic.

Zetta® Requirements

The version of Zetta2GO with on-air, logs, library, voice tracking, content store and system monitoring for all device types requires Zetta version 4.1 or higher. Zetta2GO and the required Windows Components will need to be installed on the computer assigned as the Zetta2GO Service computer in the General tab of the System configuration. The user will connect to the computer assigned as the Zetta2GO Service computer using a web browser.

Important Notes!

The application may need unblocked from the firewall, depending on the site and computers firewall settings. The Zetta2GO Server and RCSAPI process use port 3137 for http. A SSL Connection will need to be created in IIS for Zetta2GO on the Host Service Computer. Contact RCS Support for assistance in creating this SSL Connection.

Setting up Zetta

The Zetta2GO Service will need to be enabled and assigned to a configured computer in the System Configuration General tab. The Computer selected will need to have the Zetta2GO software installed, see step 9 of the Zetta Client Installation instructions. Also see the Installing Windows Components for Zetta2GO section of the Preparing to Install Zetta topic before enabling this feature.

Device Requirements

After the Zetta2GO installation and Zetta configuration, Zetta2GO can be accessed by opening a VPN connection or other remote access to the location of the Zetta2GO Service Host computer and then entering the connection address in the Web browser of the device to be used.

To request enhancements to Zetta2GO contact RCS Sales or RCS Support

Welcome < Zetta2GO Overview

© 2007-2017 RCS. All Rights Reserved.


Connecting to Zetta2GO

Welcome < Zetta2GO Overview < Connecting to Zetta2GO

Connecting to Zetta2GO®

Zetta2GO is an online connection to a Service Host computer. The client can use Google Chrome (recommended), Internet Explorer 9 or higher, Firefox, Opera or Safari when using a PC, Mac or Laptop to connect to the desktop web version of Zetta2GO. The user can also connect to the mobile version of Zetta2GO, using an Apple iPhone or iPad, Android smart phone or tablet, or any other modern mobile device with a web browser.

Important Note!

Although Zetta2GO can be launched on any browser, at this time Google Chrome, Edge and Safari for Mac are the only browsers that will support all the Web Audio features of iVT® through the browser. If the Mobile Device is an iOS device the user will be directed to install the ZettaMic app for recording in iVT.

Accessing Zetta2GO

Login Window

Also see the Zetta2GO SSL Setup

Accessing Zetta2GO®

To reach the login screen for Zetta2GO, enter the address of the Zetta2GO Service host computer into a Web Browser using the following format. The login page will differ depending on the device used to connect.

https://[ipaddress or fully qualified machine name]/Zetta2GO

Login Window

A valid Zetta user name and password are required for access to the web page for Zetta2GO. To acquire a login to the Zetta database, contact the site Administrator.

Important Note!

Administrators: A word to the wise, if you do not have Security enabled in Zetta, anyone will be able to access the service using the ‘Supervisor’ account. See the Working with Security section of this guide for additional information on Securing Zetta.

Login options

By clicking the options button, the user can set the device to Remember User Name and/or set the connection to remain logged in using the Keep me logged in option from the mobile version or the Stay Logged In option from the desktop web version. The user will remain logged into Zetta2GO as long as there is user activity, after 20 minutes of inactivity, the user will be logged out automatically. After this time, if the Keep me logged in option is used the login page is bypassed and the windows are loaded immediately when reconnecting. To change the idle time edit the C:\Program Files (x86)\RCS\Zetta\Zetta2GO\Web.Config file and set the timeout value under sessionState to the desired value in minutes. Contact RCS Support for assistance.

Welcome < Zetta2GO Overview < Connecting to Zetta2GO


Zetta2GO SSL Setup

Welcome < Zetta2GO Overview < Connecting to Zetta2GO

Zetta2GO® SSL Setup

This topic describes how to manually setup a Zetta2GO Services computer to use SSL (https) for secure, encrypted data transfer between client browser and the Zetta2GO. In June of 2015 Google Chrome decided to no longer support access to the audio input device over insecure protocols (non HTTPS). This means any client accessing Zetta2GO to Voice Track using Chrome will no longer be able to record unless the Zetta2GO server has been configured to use SSL.

CAUTION: If using port forwarding or Dynamic DNS you may need to create a custom certificate. Contact RCS Support for assistance.

Important Note!

You may need to add the "World Wide Web Services (HTTPS Traffic-In)" rule in your Windows Firewall Advanced Settings (inbound Rules) to allow connection from other computers on the secure port.

SSL Certificate Creation

To create the SSL Certificate, perform the following steps:
  1. Open IIS Management Console from the Administrative Tools Control Panel on the Zetta2GO Service Host computer.

  2. Select the server name on the left.
  3. Double-click Server Certificates
  4. Click the Create Self-Signed Certificate action link in the right pane.

  5. Specify the friendly name for the certificate as Zetta2GOSSLCertificate

  6. Click OK. The Certificate has been created and is issued to the machine by its fully qualified DNS name

Example:

Export SSL Certificate to TrustZetta2GO Web Site

To Export the SSL Certificate, perform the following steps:

  1. From the Server Certificates window, double-click the Certificate to open it.

  2. Click the Details tab

  3. Click the Copy to File... button

  4. Click the Next button on the Export Wizard Screen.

  5. Keep the Default settings, click Next

  6. Keep the Default settings, click Next
  7. Set the File Name value to \Program Files (x86)\RCS\Zetta\TrustZetta2GO\Content\Zetta2GOSSLCertificate.cer
  8. Click Next.

  9. Click Finish

  10. Click OK
  11. Click OK to close the Certificate Properties window.

Assign the SSL Certificate to the Default Web Site

To assign the SSL Certificate, perform the following steps:
  1. In the IIS Management Console of the Administrative Tools Control Panel, click on the Default Web Site in the navigation tree.

  2. Click on Bindings... in the Actions Panel.

  3. Click the Add button to add a new binding

  4. Choose https as the binding type.

  5. Keep the defaults for IP Address and Port.
  6. Select the new created certificate from the SSL Certificate drop-down.

  7. Click OK

  8. Note the new binding. Click Close.

Setting Zetta2GO to Require SSL

To set Zetta2GO to require the SSL Certificate, perform the following steps:
  1. In the IIS Management Console of the Administrative Tools Control Panel, expand the Default Web Site in the navigation tree.

  2. Click on the Zetta2GO Web Application in the navigation tree
  3. Double-Click the SSL Setting icon

  4. Put a check in the Require SSL checkbox
  5. Click Apply in the Action pane on the right.

Set Zetta2GO Web Application to Redirect HTTP Requests to HTTPS on Error 403.4 (Forbidden: SSL is required to view this resource.)

To set the Zetta2GO web app to redirect HTTP request to HTTPS, perform the following steps:
  1. Edit the \Program Files (x86)\RCS\Zetta\Zetta2GO\Web.Config file in Notepad or Microsoft Visual Studio
  2. Locate the <httpErrors errorMode="Custom"> section of the file.

<httpErrors errorMode="Custom">

<!--

The line below must be uncommented if you want to implement SSL (HTTPS://) on your Zetta2GO Server

You must change the path property to start with https:// + fully_qualified_domain_name + / Zetta2GO

The fully qualified domain name *MUST* match the Certification Path of the SSL Certificate

i.e. path="https://myZettaServerName.myNetworkName.com/Zetta2GO/"

-->

<!--error statusCode="403" subStatusCode="4" path="https://RCSZETTA.rcsny.rcsworks.com/Zetta2GO/" responseMode="Redirect" />-->

</httpErrors>

  3. Remove the !-- from the beginning of the line <!--error statusCode="403" subStatusCode="4" path="https://myZettaServerName.myNetworkName.com/Zetta2GO/" responseMode="Redirect" />--> and the --> from the end.
  4. Change the path="https://myZettaServerName.myNetworkName.com/Zetta2GO/" so the “myZettaServerName.myNetworkName.com” matches the Issued to value from the Generate SSL Certificate.

Example:

<httpErrors errorMode="Custom">

<!--

The line below must be uncommented if you want to implement SSL (HTTPS://) on your Zetta2GO Server

You must change the path property to start with https:// + fully_qualified_domain_name + / Zetta2GO

The fully qualified domain name *MUST* match the Certification Path of the SSL Certificate

i.e. path="https://myZettaServerName.myNetworkName.com/Zetta2GO/"

-->

<error statusCode="403" subStatusCode="4" path="https://RCSZETTA.rcsny.rcsworks.com/Zetta2GO/" responseMode="Redirect" />

</httpErrors>

Important Note!

The Current user may need security access to write to this file.
  5. Save and close the file.
  6. Restart IIS or the Zetta2GO Service Host computer.

How it works

Generally people don't enter "http://" into their browser because the browser automatically adds it to the web address for them. When someone enters the address <myZettaServer>/Zetta2GO the browser attempts to load http://<myZettaServer>/Zetta2GO. Since we've set Zetta2GO to Require SSL, IIS receives the request and immediately throws an error 403.4 - Forbidden: SSL is required to view this resource. However, Zetta2GO doesn't use the standard error 403.4 error page, it instead uses a custom handler which redirects to https://myZettaServerName.myNetworkName.com/Zetta2GO. The experience is transparent and seamless to the user.

It is imperative that the https path value entered in the Web.Config file matches the Issued To value from the Generated SSL Certificate!

Additional SSL Certificate Notes

The SSL Certificate is not signed by a Trusted Root Certificate Authority (like VeriSign, etc.), nor can it be because we are installing Zetta2GO servers on client Zetta systems that are generally not internet-facing (they are behind a VPN, etc.).

Therefore, each time Zetta2GO is loaded by a client browser an 'untrusted certificate' warning will be displayed to the user. The reason we exported the certificate as a file to the "TrustZetta2GO" folder is so that we can defeat this behavior.

Before running Zetta2GO, a user can connect to http://[ipaddress or fully qualified machine name]/TrustZetta2GO, which will download the Certificate to the client machine, where they can manually import it into their Trusted Root Certificates. This will defeat the warning message and turn the https browser indicator from red to green.

Instructions for the manual import can be found by loading http://[ipaddress or fully qualified machine name]/TrustZetta2GO.

Welcome < Zetta2GO Overview < Connecting to Zetta2GO


Navigating Zetta2GO

Welcome < Zetta2GO Overview < Navigating Zetta2GO

Navigating Zetta2GO®

The Zetta2GO web interface is similar in many ways to the regular Zetta application. Upon successful login to the Zetta2GO web interface, the On-Air and Log modules are displayed in a two-pane pane window layout. When user rights are configured in Zetta a select number of rights will be enforced in Zetta2GO, these rights are noted in the Comments section of the tables in the Working with Security topic.

Important Note!

Although Zetta2GO can be launched on any browser, at this time Google Chrome, Edge and Safari for Mac are the only browsers that will support all the Web Audio features of iVT® through the browser. If the Mobile Device is an iOS device the user will be directed to install the ZettaMic app for recording in iVT.

In June of 2015 Google Chrome decided to no longer support access to the audio input device over insecure protocols (non HTTPS). This means any client accessing Zetta2GO to Voice Track using Chrome will no longer be able to record unless the Zetta2GO server has been configured to use an SSL Connection.

Click any area in the Zetta menu bar of this image for help

Click any area in the Zetta menu bar of this image for help

Zetta2GO Application Menu

The Zetta2GO Menu provides easy access to Layout options, Tools, the Help menu and the Logout button.

Layout

The Layout menu is used to Create, Edit and select Layouts in Zetta2GO. Layouts are designed based on the number of panes that will be displayed in the web interface. There are many Layout combinations provided in the Zetta2GO web application. Zetta2GO can have up to a six panel view in which to load modules. The one panel view defaults to show the On-Air module. The two panel (rows) view defaults to show the On-Air and Logs modules. The two panel (65/35 Split) view defaults to show the On-Air and Logs modules with the screen split at 65% and 35%, which is similar to the Legacy IVT layout. The three panel w/ header view defaults to the On-Air, Logs and Hot Keys®. The four square view defaults to the On-Air, Logs, Hot Keys and iVT. The five panel heavy bottom view defaults to the On-Air, Logs, Hot Keys, iVT® and Library. The six-pack view defaults to two On-Air modules, two Logs modules and two Hot Keys modules. Using the Layout menu option the user can switch from the default two panel (rows) view to any view listed. The view selected is retained until the browser cache is cleared. On a smart phone or small tablet the modules are stacked vertically for all layouts and the user will need to scroll to each module displayed for the selected layout.

Edit Layout

Selecting the Edit Layout option from the Layout menu allows the user to change what is displayed in each pane loaded.

Use the drop-down to change what loads in each pane. If the iVT module is already selected in a pane, it will need to be changed first before selecting iVT in any other pane.

Select one of the Save Layout buttons to save the changes.

Tools

The Tools menu gives access to the Reset Station Subscriptions option and the Manage Locally Cached Audio window.

Help

The Help menu gives access to this help guide, Administration and the Zetta2GO About window.

Zetta Help

Help can be found in the Help menu by clicking the Zetta Help option or in the Zetta2GO section of the main Zetta Help Guide.

Administration

The Administration option will display documentation on SSL setup for Zetta2GO. Contact your system administrator for assistance.

About

The about option opens an Information window about RCS and the Zetta2GO version installed.

WebSync Real-time Updating

If the device being used to access Zetta2GO has the ability to use WebSync Real-time Updating then a WebSync [image] icon will be present next to the Help menu. Click or tap the icon to view the WebSync status. WebSync Real-Time Updating allows Zetta2GO to send and receive updates as they happen.

The Real-Time status [image] icon next in the title of each pane shows the real-time updating status for the station.

Logout

Use the Logout button to return to the Zetta2GO Login screen.

Welcome < Zetta2GO Overview < Navigating Zetta2GO

© 2007-2017 RCS. All Rights Reserved.


Zetta2GO Tools Menu

Welcome < Zetta2GO Overview < Tools Menu

Zetta2GO® Tools Menu

The Tools menu is used to access the Tools for Zetta2GO.

The follow topics explain the Tools found in Zetta2GO:

Reset Station Subscriptions

Manage Locally Cached Audio

Welcome < Zetta2GO Overview < Tools Menur


Reset Station Subscriptions

The Reset Station Subscriptions option is accessed from the Tools menu. One of the great features of Zetta2GO is real-time updating, which keeps Zetta2GO and Zetta synchronized. When a module is loaded like On-Air, Logs, or Hot Keys in Zetta2GO, the Web Browser “subscribes” to be notified of changes for the station that is loaded in the module. If a change happens in Zetta (or another Zetta2GO) for that station, Zetta2GO will be notified instantly and will update the contents of the module without user intervention. Normally web pages require a refresh of the page to pick up changes that happen after the page was first loaded, but with the station subscriptions feature, Zetta2GO updates automatically.

Sometimes real-time updating stops happening. Communication failures, error conditions, or something taking too long to respond (a time-out) have the potential to cause the station subscription auto-updating to cease. If this happens, and the user notices Zetta2GO is not auto-updating, the Reset Station Subscriptions option can be used to trigger the Zetta2GO Server to re-set the communication link. After the reset, future changes should auto-update again.

To reset the station subscriptions in Zetta2GO simply click the Reset Station Subscriptions option in the Tools menu. When the Station Subscriptions have Cleared a Success prompt will be show.

Click the OK button to close the window.

Welcome < Zetta2GO Overview < Tools < Reset Station Subscriptions


Manage Locally Cached Audio

When the iVT module is opened the user is prompted to select a date and hour from a Calendar Control for which they would like to Voice Track. After the date/time is selected Zetta2GO will begin to download the Heads and Tails for the assets that appear before and after the Voice Track positions for the selected hour and store it locally on the computer or tablet. This locally cached audio can be managed using the Manage Locally Cached Audio window. The Manage Locally Cached Audio window is accessed from the Tools menu. The window will open showing the Asset Type, Label (Artist/Title), Audio Type, File Size, Date Added and Date Last Accessed. The List of assets can be sorted by any column in ascending or descending order by simply clicking the column header. Audio downloaded using the Local mode of the Hot Keys module can also be managed using this window.

Click any area in this image for help

Click any area in this image for help

Toolbar

Locally Cached Audio Settings

Delete Selected

Search

Selecting an audio asset

Select All

Managing Locally Cached Audio

Toolbar

The Toolbar in the Manage Locally Cached Audio can be used to change the settings for the window, delete the cached audio from the local computer and open and close the Search field in the Label column, to search for a title.

Locally Cached Audio Settings

The Locally cached audio settings button opens the Locally Cached audio settings window.

This window can be used to set when the locally cached audio will be automatically deleted. Zetta2GO will delete those files that have not been accessed by the Zetta2GO application automatically when the set number of days has been reached. The default value for this setting is 90 days. The deletion of these files from the computer does not affect the files stored in Zetta's Content Manager.

Delete Selected

The Delete Selected Locally Cached Audio [image] button is available for use after an asset has been selected. Deleting selected assets in this window will not delete the asset in Zetta, it will only remove it from the cache of the local computer.

Search

Click the Search [image] button to open the search option in the Label column. Enter any text to locate an asset, Zetta2GO searches as the text is typed. Click the Search [image] button again to close the search field.

Selecting an audio asset

To the left of each Asset is a checkbox that can be used to select the audio for deletion. Simply click the box or select the asset name to select it. Select it again to deselect the asset.

Select All

To Select All the assets in the local cache click the checkbox to the left of the Asset Type column header.

Managing Locally Cached Audio

The following steps can be used to learn how to use the Manage Locally Cached Audio window:
  1. Click the Manage Locally Cached Audio option from the Tools menu.
  2. Select assets by clicking the checkbox or the name of the asset.
  3. Optionally, use the checkbox in the header to the left of Asset Type to Select All the locally cached assets.
  4. Click the Search [image] button to open the search field found just below the Label header.
  5. Enter the text to search.
  6. Optionally, sort the list in ascending or descending order by clicking on the column header.
  7. Once the desired assets are selected, click the Delete [image] button. Deleting assets in this window will not delete the asset in Zetta, it will only remove it from the cache of the local computer.

Welcome < Zetta2GO Overview < Tools < Manage Locally Cached Audio


Zetta2GO On-Air

Welcome < Zetta2GO Overview < Zetta2GO On-Air

Zetta2GO® On-Air

The On-Air Module gives a quick overview of what is going on with the station. It shows what is currently playing on the sequencer of a station. The On-Air Module is used to control playback of a stations log. It is used to start, pause, stop or eject what is playing On-Air for the station. The On-Air module event list in Zetta2GO is similar to the On-Air module in the main Zetta application.

Click any area in this image for help

Click any area in this image for help

On-Air Controls

Station Status

Station Selection

Station Mode

On-Air Settings

Display:

Sync clock-time to Server Refresh Rate

Date/Time/Hour Status Information

On-Air Play Controls

Notes and Scripts Preview

On-Air Controls

Across the top of the On-Air pane is the stations status, station selection, Mode Selection and On-Air settings.

Station Status

The Station Status icon is color coded to provide the ability to quickly see the status of a station.

If the station is currently playing audio, it is considered On Air.

When the audio event is paused, the status shows the station is Paused.

If the station sequencer is not playing audio, it is considered Idle.

If the station is not responding, it is considered Off Air.

Next to the Station Status [image] icon is a Real-Time status [image] icon that shows the real-time updating status for the selected station.

Station Selection

Next to the Station Status is a station selection drop-down to change the station being viewed in the On-Air pane.

Station Mode

The Station Mode changes the operating mode for the selected station.

The following modes can be selected in the On-Air Module:

Auto – Auto mode is used to specify that each event should segue into the next. When a station is in Auto, all events are started according to the marked segue points.

Live Assist – Live Assist mode is used during live shows. Live Assist utilizes the following chain types to assist in a smooth transition between events, with the ability to stop the log after playing a group of chained events to resume a live show. The following Chain Types can be selected from the On-Air module when the station is in Live Assist mode. In Auto mode or Manual mode the Chain Type can only be changed in the station log using the Logs Module.

Stop - Stop will stop the play of the log after the event plays.

Segue - Segue will segue into the next event

Auto Post - The Auto Post Chain type allows the Link to be back-timed from the Intro of the Song about to play. The Song and Link are then started by the sequencer and synchronized so the Link finishes at the end of the Intro period.

Link-Song - Link-to-Song will set the start of the next event at the early segue point of the previous event, so long as the intro is not too short, then the song ends at the intro of the next event.

Manual – Manual mode is used to specify that all events should wait for user interaction to begin. When a station is in Manual, each element must be fired manually.

Satellite Mode - Satellite mode is used with GPIO Devices, Shifts, and Imaging to play a satellite feed instead of local audio.

Split Player - Split Player mode will set the Station to a Split Player for a selected Split Master Station.

On-Air Settings

The On-Air setting window is accessed using the button to the right of the Mode drop-down.

The On-Air settings window is used to change the way the On-Air pane is displayed.

Display:

The default Display setting is to Auto-fit to the pane, this means the bigger the pane the more events will be fit into the window, giving more of a log view look. In the Auto-fit view the Date/Time/Hour Status Information and play next button are placed at the top of the module.

The 3-Row view makes the On-Air module look as it does in Zetta with the Date/Time/Hour Status Information to the left of the event list and the Play Next button to the right of the rest of the On-Air play controls.

Sync clock-time to Server Refresh Rate

The Sync clock-time to Server Refresh Rate setting sets how often to sync the Zetta2GO On-Air Module clock time to the Zetta2GO Server time. This setting is expressed in minutes with the default being five minutes.

Date/Time/Hour Status Information

The Date and Time display allows the user to see the following information:

Day of the week

Date

Current time (HH:MM:SS)

Exact_Time_Marker (ETM)

Gap Time (overfill/under-fill)

On-Air Play Controls

The Play Controls in Zetta2GO work the same as the controls in Zetta.

Play Next - The large play button, located above the event list in Auto-fit display or at the far right in 3Row display, is used to start the next cued event.

Play - To start events, press the Play icon located on the line to play.

Pause - To temporarily stop playback while retaining the current position in the audio event, click the Pause icon.

Stop – The Stop button allows the user to stop the playback of the event located in the same line as the stop button.

Eject - The Eject button is used to remove an event from the On-Air list. This will change the log status of the event to Skipped.

Notes and Scripts Preview

The On-Air and Logs modules have a Notes/Scripts preview window that can be accessed by clicking or tapping the Script [image] icon for the event. At the bottom of the window are Web, Video, Images and News links to search the internet for information based on the artist/title of the asset. Clicking one of these links will open a second tab with the internet search results.

Welcome < Zetta2GO Overview < Zetta2GO On-Air


Zetta2GO Logs

Welcome < Zetta2GO Overview < Zetta2GO Logs

Zetta2GO® Logs

The Zetta2GO Logs pane can be used to view a day's log for a Station or Virtual Station and Voice Track Empty Voice Track Slot positions. The Log module event list in Zetta2GO is similar to the Log module in the main Zetta application. The Log module in Zetta2GO allows the user with access to skip an event, change the chain type of an event, preview Notes and Scripts for an event and synchronize the log to a selected event. In the desktop web application, users with rights can drag and drop assets into the Log from the Library module.

Click any area in the Zetta menu bar of this image for help

Click any area in the Zetta menu bar of this image for help

Logs Toolbar

Log Settings window

Calendar Control

Hour Selection Area

Audio Heads and Tails

Right-Click Menu

Synchronize to Selection

Delete Event

Logs Toolbar

When the Log window is small the toolbar it will switch to a menu [image] button for the toolbar options. Click the Menu button to view the following toolbar options.

 | Reload Log - The Reload Log button is used to refresh the log and pull any changed data from the site database.
 | Keep Log synced with Voice Tracker - This button will keep the Log synchronized with the Voice Tracker® as the user loads the next empty voice track [image] into the Voice Tracker.
 | Load OnAir Hour - This button will take the user to the currently playing hour of the log.
 | Logs Settings - The Logs Settings button opens a Logs Settings window.
 | Sync Date/Time to Voice Tracker date/Time - This button will synchronize the Log to the same date and Time displayed in the Voice Tracker.
Date - The default date displayed in the Log will be the current day. Click the Date to open a Calendar Control to select a different date.
Station Selector – The drop-down to the far right allows the user to select which station or virtual stations log will be displayed.

Log Settings window

Click the Logs Settings [image] button in the Logs Toolbar to open the Logs Settings window.

Display Module Header - The Display Module Header option will hide the header found above the toolbar of the window when the option is set to Hide. The default setting is to Show the header. Hiding the header will give the user more working space on the display.

Header Bar Button Size - The Header Bar Button Size option allows the user to make the toolbar buttons larger for greater visibility. The default setting for the toolbar buttons is Small.

Grid Font Size - The Grid Font Size option allows the user to set how large the font will be in the Logs Grid. The default setting is Small.

Load First Empty Voice Track Slot when loading hour - This option is On by default. When this option is enabled and a Station Log is loaded into the module, the Voice Tracker, if selected in another pane, will load the first empty voice track found for the hour selected in the Log.

Calendar Control

The Calendar Control is accessed by clicking any date field in Zetta2GO. Click the Date field in the Logs module to open this window. The calendar view may differ based on the local language settings in the browser.

Use the right and left arrows, next to the month name at the top of the control, to change the month being viewed. Click the numbered date to view, then select the hour to view using the Hour slider and finally click Done to view the selected date and time in the Log. The Today button can be used to quickly return to the current day.

Hour Selection Area

The Hour Selection Area is located along the bottom of the toolbar area. To navigate to a specific hour of the selected log, simply click on the hour number.

Audio Heads and Tails

When Zeta2Go has locally cached audio for a log asset event, the asset event will show a Heads [image] or Tails [image] icon in the log next to the asset event. Where there is a Voice Track position in front and behind an asset event the Heads and Tails [image] icon will be shown for that asset. MP3 encoding requires Windows 8.1 or better for Zetta2GO Heads and Tails.

Right-Click Menu

Right-clicking (or tap and hold for touch screen) an event in the log will display a menu allowing the user to Synchronize to Selection or Delete Event depending on the rights of the user in Zetta.

Synchronize to Selection

To Synchronize to Selection in Zetta2GO, simply locate the event to sync to, right-click (or tap and hold for touch screen) the event and choose Synchronize to Selection. If the user has the security rights to complete this task they will receive a warning which they must confirm before the action is carried out.

Click the Synchronize button to complete the task.

Delete Event

To delete an event in the log in Zetta2GO, simply locate the event to delete, right-click (or tap and hold for touch screen) the event and choose Delete Event. If the user has the security rights to complete this task they will receive a warning which they must confirm before the action is carried out.

Click the Delete button to complete the task.

Welcome < Zetta2GO Overview < Zetta2GO Logs


Zetta2GO Hot Keys

Welcome < Zetta2GO Overview < Zetta2GO Hot Keys

Zetta2GO® Hot Keys®

The Zetta2GO Hot Keys window can be used to view or play any configured Hot Key bank. In the desktop web application, users with rights can drag and drop assets into the Hot Keys bank from the Library module.

Click any area in this image for help

Click any area in this image for help

Hot Keys Toolbar

Hot Keys Settings

List

Execute Hot Keys On Air

Execute Hot Keys Locally

Arm Hot Key for iVT

Clear Hot Key

Hot Keys Toolbar

When the Hot Keys window is small the toolbar it will switch to a menu [image] button for the toolbar options. Click the Menu button to view the following toolbar options.

Reload Hot Keys - The Reload Hot Keys button is used to refresh the Hot Keys bank and pull any changed data from the site database.

Hot Key Settings - The Hot Keys Settings button opens a Hot Keys Settings window.

Playback Mode - Use the Playback Mode button to switch between On-Air Audio Playback Mode and Local Audio Playback Mode.
 | On Air Audio Playback Mode - Hotkey audio plays to the station live on-air audio feed! The red and white ON AIR button showing means the audio that is played, when a hot key button is selected, in a Hot Keys bank will play on-air at the station using the stations configured Hot Keys Play Container. On Air is the default mode. Click the button to change the Playback Mode.
 | Local Audio Playback Mode - Hotkey audio plays to the web browser's audio output only, not to the station live on-air audio feed. The grey and white LOCAL button showing means the audio that is played, when a hot key button is selected, in a Hot Keys bank will play on the current web browsers default audio output and will NOT play on the stations configured Hot Keys Play Container. The audio must first be downloaded to the local computer using the Download button on the Hotkey. Click the button to change the Playback Mode.

Download entire bank audio for local playback - Use the Download entire bank audio for local playback button to download all the audio files for the audio assets in the selected Hot Keys bank to the local computer.

Mute/Unmute local audio playback volume - Use the Mute/Unmute local audio playback volume.

Volume Control - Use the Volume Control to adjust the volume of the Locally played hot key. The default volume is 80%.

 | Previous Bank - The Previous Bank button will open the Hot Keys bank listed before the current bank.
Hot Keys Bank Selector – Use the drop-down arrow to the right of the Hot Key Bank name to select a Hot Keys bank. Using the left and right arrows on either side of the Hot Keys Bank selector will scroll through the available banks.
 | Next Bank - The Next Bank button will open the Hot Keys bank listed after the current bank.
Station Selector – Use the drop-down arrow to the right of the station name to change the station that the Hot Keys bank will play on.

Hot Keys Settings

Click the Hot Keys Settings [image] button in the Hot Keys Toolbar to open the Hot Keys window.

Display Module Header - The Display Module Header option will hide the header found above the toolbar of the window when the option is set to Hide. The default setting is to Show the header. Hiding the header will give the user more working space on the display.

Header Bar Button Size - The Header Bar Button Size option allows the user to make the toolbar buttons larger for greater visibility. The default setting for the toolbar buttons is Small.

Route Local Audio Playback to iVT Recorder - The Route Local Audio Playback to iVT Recorder option will route the audio of a locally played hot key to the iVT recorder so it is recorded with the Voice Track. The default setting for this option is On. This allows the user to have a bed under the voice track being recorded. If this setting if Off the audio will not route or be recorded with the Voice Track. Also see Arm Hot Key for iVT to have the hot key play automatically when the recording begins.

List

The List Button in the Zetta2GO Mobile application is used to change the bank to list form for easier viewing on smaller screens. To switch the list back to the Bank view, simply click the checked List button again.

Execute Hot Keys On Air

To execute a Hot Keys event, simply click the Hot Key. The Hot Key will have a progress bar that will show the audio events progress and the timing will show the event count down. The Hot Keys Module defaults to On-Air Playback Mode so when a hot key is selected it will play on-air at the station using the stations configured Hot Keys Play Container. If the same Hot Key bank is open in the Hot Keys Module at the site, the same hot key will also show as playing. Selecting the ON-AIR button will switch the Hot Keys Module to Local Playback Mode.

Execute Hot Keys Locally

Select the ON-AIR button will switch the Hot Keys Module to Local Playback Mode. If the audio has not been previously cached to the local computer, the user will see a download button for the audio assets assigned to the hot keys of the bank. Tags, Rotations and Imaging will not show a download button and therefore cannot be downloaded for local playback. Click the hot key button to download the audio for the selected hot key or select the Download entire bank audio for local playback button to download all the audio that can be used for local playback. Once the audio is downloaded for the hot key, clicking the hot key in Local Playback Mode will play the audio using the current web browsers default audio output instead of on-air at the station.

Arm Hot Key for iVT

In Local Playback Mode a hot key can be armed to auto-start when a voice track is recorded in the iVT Module. To arm the hot key, first switch to Local Playback Mode then download the audio and finally, right-click (or tap and hold for touch screen) the hot key to select Arm Hot Key for iVT Auto-Start from the resulting menu. See the Behavior Settings section of the iVT Module topic for additional details on automatically starting this armed hot key.

Clear Hot Key

A Hot Key can be cleared in On Air Playback Mode or Local Playback Mode. To Clear a Hot Key, simply right-click (or tap and hold for touch screen) the hot key and select Clear Hot Key from the resulting menu.

Welcome < Zetta2GO Overview < Zetta2GO Hot Keys


Zetta2GO iVT/Segue Editor

Welcome < Zetta2GO Overview < Zetta2GO iVT/Segue Editor

Zetta2GO® iVT/Segue Editor

The Internet Voice Tracker® (iVT®) in Zetta2GO allows a user to record a voice track to an Empty Voice Track Slot in the log. The Internet Voice Tracker is displayed by default in the simplified view. It displays three tracks, two play tracks and one record track. The Internet Voice Tracker is its own editor, but is also a mode of the Segue Editor®. IVT in Zetta2GO works similarly to the Voice Tracker in Zetta. IVT by default uses one button voice tracking configuration, this can be changed in the Voice Tracker Settings window. Once a voice track has been recorded the editor switches to Segue Editor mode. When the IVT module initially loads the user will be presented with a date/time calendar control.

Important Note!

Although Zetta2GO can be launched on any browser, at this time Google Chrome, Edge and Safari for Mac are the only browsers that will support all the Web Audio features of iVT® through the browser. If the Mobile Device is an iOS device the user will be directed to install the ZettaMic app for recording in iVT.

Click any area in this image for help

Click any area in this image for help

Toolbar

Voice Tracker Settings

Display Settings

Audio Settings

Behavior Settings

Getting Audio for the Hour...

Hour Selection Area

Play Controls

Recorded Voice Track Stack

Zoom In / Zoom Out

Recording a Voice Track in Zetta2GO

Recording a Voice Track on an iOS Device in Zetta2GO

Toolbar

When the iVT/Segue Editor window is small the toolbar it will switch to a menu [image] button for the toolbar options. Click the Menu button to view the following toolbar options.

 | Repull Log from Server - When iVT loads it retrieves an hour's worth of log from the Zetta2GO Server and uses that data when navigating from voice track to voice track within the selected hour. The Repull Log from Server will make a fresh request to the Zetta2GO Server and reload the selected hour's log into iVT.
 | Reload Voice Track - The reload Voice Track button will refresh the items in the editor to pick up any changes made by another user.
 | Segue Editor® – The Segue Editor button allows the user to switch to Segue Editor mode to listen to the created voice track in playback mode and reposition the segue of the elements. The user can use this button to toggle back and forth between the Segue Editor and Voice Tracker.
 | Internet Voice Tracker® –The Internet Voice Tracker button allows the user to switch to iVT to record or re-record a voice track. The user can use this button to toggle back and forth between the Segue Editor and iVT®.
 | Expand view - The expand view button is used to change the view of the iVT /Segue Editor to a view that displays more information about each track and the waveforms for each event. This setting is retained for the user until the browser cache is cleared.
 | Contract View – The contract view button is used to change the view of the Voice Tracker/Segue Editor to a more simplified view to conserve viewing space. This setting is retained for the user until the browser cache is cleared.
 | iVT Settings - The iVT Settings button opens a Voice Tracker Settings window.
Voice Track Count - The Voice Track x of y shows the Count of the voice tracks in the log hour; x representing the selected voice track in the log and y being the total number of voice tracks in the selected hour.
 | Sync Date/Time to Logs Module Date/Time - This button will synchronize the Log to the same date and Time displayed in iVT.
Date - The default date displayed in iVT will be the current day. Click the Date to open a Calendar Control to select a different date.
Station Selector – The drop-down to the far right allows the user to select which station or virtual stations log voice tracks will be displayed.

Voice Tracker Settings

The Voice Tracker Settings window can be used to adjust the look of the iVT module and how the voice track is recorded. The Voice Tracker settings window is accessed using the iVT Settings [image] button in the toolbar.

The following settings are available in this window.

Display Settings

Audio Settings

Behavior Settings

Display Settings

Display Module Header - The Display Module Header option will hide the header found above the toolbar of the window when the option is set to Hide. The default setting is to Show the header. Hiding the header will give the user more working space on the display.

Header Bar Button Size - The Header Bar Button Size option allows the user to make the toolbar buttons larger for greater visibility. The default setting for the toolbar buttons is Small.

Voice Track Stack Position (relative to Buttons) - This option changes the position of the Recorded Voice Track Stack.

Wave Color - The default color for the waveform of the tracks in expanded view is blue. Use this setting to change the color.

Waveform view - This setting changes the view of the waveform to Mono or Stereo.

Display iOS message - If the user is using an iOS device and loads iVT, a message will be displayed that instructs the user to install the ZettaMic app from the Apple iStore in order to facilitate recording. This message appears each time iVT is loaded, unless the Don’t show this message again check-box is checked in the message window or it is hidden using this Display iOS message option. The Display iOS message option can be used to show the message if it has been hidden. The default is the Show the message.

Audio Settings

Recording Mechanism: Audio Worker/Script Processor - The Recording Mechanism slider is used to select the mechanism used for recording in IVT. The default Audio Worker is a newer technology that is only supported by newer browsers. If the recording in IVT suffers from digital noise or other problems with audio quality are encountered, use the slider to switch to the older Script Processor Recording Mechanism. Select the yellow help button for a description of the Recording Mechanism option. Changing this value requires an automatic page refresh after save.

Voice Track Audio Sample Rate kHz - The Voice Track Audio Sample Rate kHz option is used to set the audio sample rate for the recorded audio.

Record Buffer Size - The Record Buffer Size controls the frequency of callbacks in units of sample-frames requesting a buffer refill when recording. Smaller sizes allow for lower latency and higher for better overall quality. The best setting is one that will produce glitch-free recorded audio and has low latency. Changing this value requires an automatic page refresh after save.

FFT Size (VU Meter Precision) - FFTSize controls how precise the VU Meters will be. Lower values process less data and use less CPU, while higher values analyze larger amounts of audio input data to drive the VU Meters. If the device being used has audio recording issues, try lowering this value. Changing this value requires an automatic page refresh after save.

Audio Input - This setting controls how the voice track is recorded. Select mono or stereo input. When the setting is saved and the Voice Tracker is reloaded the meters will change to represent recording in mono or stereo.

Mono Input Channel - This option is used to select which channel to record when the Audio Input is set to mono.

Convert Stereo VTs to Mono (smaller file size for upload) - If the Audio Input setting is set to Stereo the voice track will be recorded in stereo. The Convert Stereo VTs to Mono (smaller file size for upload) will convert the recorded voice track to mono creating a smaller file size to upload.

Heads/Tails Audio Ducking (% of max volume) - Sets the volume level of the audio in the tracks that proceed and follow the voice track position during playback and record.

Voice Track Dynamic compressor - The Voice Track Dynamic compressor uses dynamic range compression to achieve better sound from the song/link to the Voice Track. When this is enabled Zetta2GO places a compressor in the audio chain post-input and pre-record-buffer. Changing this value requires a page reload after save.

Behavior Settings

Use Spacebar for record/playback - This setting by default is On. This allows the user to use the keyboard spacebar to control the record and play buttons of the editor.

Voice Track Record Mode: One Button or Three Button - The default setting for voice tracking is one button. In One Button Mode simply click the Record button three times to create a voice track. When the Record button is clicked the first track will start to play and the second track will begin recording. Click the button again and the third track will begin to play. Click the button one last time and all tracks will stop. When this is set to Three Button mode the play button is used to play the first track, the record button to start the voice track recording, then the play button again to start the play of the third track and then the stop button to stop all the tracks. Changing this value requires an automatic page refresh after save.

Pre-Load all Heads/Tails audio when the hour is loaded - When an hour is loaded the default behavior is for Zetta2GO to pre-load the Heads and Tails for the assets before and after the Voice Track positions within the selected hour. When this option is set to off the audio will not be loaded until the Voice Track position is selected. The Heads and Tails audio for the assets are downloaded and cached to the local machine. When the audio is loaded, ether by pre-loading the hour or selecting the Voice Track, Zetta2GO will first check for the cached audio, if not found it will download it from the Server. When the audio is downloading the user will see a Getting Audio... window in the iVT module. The audio that is cached can be managed using the Manage Locally Cached Audio window. When all the audio for the hour has been cached a green check [image] will be shown in the header of the iVT module. Click or tap the icon to view the status of the cached audio.

Schedule Update Re-load window (seconds) - Use the Schedule Update Re-load window (seconds) option to set the number of seconds after saving a Voice Track in which iVT will not re-load itself when it detects a schedule update has happened (avoids re-loading a Voice Track that you just saved). Changing this value requires an automatic page refresh after save.

Cursor position on-load: X seconds prior to segue point - The Cursor position on-load value sets the starting play position of the first track X number of seconds before the marked segue point. When the editor is using the one button voice track configuration this is also the starting record position for the voice track.

Cursor position after recording: X seconds prior to Voice Track - The Cursor position after recording value sets the starting play position, after the recording is finished, to the first track X number of seconds before the Voice Track.

Auto-start locally armed Hotkey audio in click sequence - When the Auto-start locally armed Hotkey audio in click sequence option is set to the On position, locally downloaded Hotkey audio that has been armed for playback via the Hot Key right-click menu will automatically fire when the Play or Record button is clicked (second record button click in One-Button Record Mode or second play button click in Three-Button Record Mode). When set to Off, Auto-Start is disabled and the armed Hot Key audio can be started adhoc.

When a Hot Key is armed the title of the asset will be displayed below the tracks on a button. This button can be used to start the hot key. If the Auto-start locally armed Hot key audio in click sequence option is set to On the Hot Key will show as playing in the Hot Keys Module when it starts. Changing this value requires an automatic page refresh after save.

Getting Audio for the Hour...

After a Date and Hour are selected from the Calendar Control, Zetta2GO will first check for the cached audio, if not found it will download it from the Server. When the audio is downloading the user will see a Getting Audio... window in the iVT module.

The audio that is cached can be managed using the Manage Locally Cached Audio window.

Hour Selection Area

The Hour Selection Area is located along the bottom of the toolbar area. To navigate to a specific hour of the selected log, simply click on the hour number.

Play Controls

Load Previous Empty Voice Track – The Load Previous Empty Voice Track allows the user to move to the previous voice track in the log. The CTRL + Left Arrow key can also be used to load the previous track.

Play Segue - The Play button is used to play the audio tracks. Use the button after the voice track is recorded to play the audio to adjust the segue. The spacebar can also be used to start the play of audio. (spacebar can be used when this button is active.)

Record Voice Track - The Zetta2GO Voice Tracker by default uses one button voice tracking which means when the Record button is clicked the first track will start to play and the second track will begin recording. Click the button [image] again and the third track will begin to play. Click the button one last time and all tracks will stop and the editor will switch to Segue Editor. The Spacebar can also be used for each of these steps in voice tracking.

Stop - The stop button is used to stop the play of audio. The spacebar can also be used to stop the play of audio. (spacebar can be used when this button is active.)

Save - The Save button will save the voice track and upload it to the station log and library. The keyboard shortcut to save a Voice Track is CTRL+S.

Arrows Goto - The Arrows Goto button defaults to VTs when the Voice Tracker module is opened. This means the Load Previous and Load Next Arrow buttons will go to the previous or next Voice Track position. Clicking the Segs option changes this so the Arrow buttons go to the previous or next Log position.

Load Next Empty Voice Track – The Load Next Empty Voice Track button allows the user to move to the next voice track in the log. The CTRL + Right Arrow key can also be used to load the next track.

Recorded Voice Track Stack

The Recorded Voice Track Stack shows the upload status of the recorded voice tracks.

Zoom In / Zoom Out

Right click on any track to reveal the Zoom In and Zoom Out options.

Recording a Voice Track in Zetta2GO

To record a voice track in Zetta2GO, follow these steps:
  1. Select a Date and Hour in the log to voice track
  2. Select an Empty Voice Track position in the log.
  3. Optionally, click the Expand View [image] button to the expanded view.
  4. Click the Record Voice Track [image] button or press the spacebar to start the first track playing and the voice track recording.

  5. To play the third track while recording the voice track, click the Record Voice Track [image] button again and the third track will start to play, creating a segue into the next event.
  6. When done recording, click the Record Voice Track [image] button again. All audio will stop; the waveform of the voice track will appear, and the editor will switch to the Segue Editor.

  7. Use the play controls to listen to the voice track.
  8. Use the header of each audio track to adjust the segue of the elements.
  9. Click the Save [image] button. The voice track will be uploaded to the station.
  10. If the voice track does not meet the desired effect, simply click the Voice Track [image] button in the toolbar to switch the editor back to Voice track mode and rerecord the voice track.

Recording a Voice Track on an iOS Device in Zetta2GO

To record a Voice Track on an iOS device in Zetta2GO, follow these steps:
  1. Install the ZettaMic app from the Apple Store.
  2. In the Zetta2GO select a Date and Hour in the log to voice track
  3. Select an Empty Voice Track position in the log.
  4. Optionally, click the Expand View [image] button to the expanded view.
  5. Click the iVT Settings [image] button in the toolbar to open the Voice Track Settings window.
  6. In the Behavior Settings section change the Voice Track Record Mode to Three Button.

  7. Click Save to close the Voice Track Settings window.
  8. Click the Play [image] button to play the top track.
  9. While the top track plays audio, at the point at which the recording should start click the Record Voice Track [image] button or press the spacebar. This will load the ZettaMic app.

  10. Click the Record button in the ZettaMic app to start recording.

  11. Click the Stop button in the ZettaMic app when finished recording.

  12. Use the Play button in the ZettaMic app to play back the recorded Voice Track before saving.
  13. Click the SAVE button in the ZettaMic app to save the Voice Track to Zetta. Zetta2GO will update the schedule and put itself into Segue Editor Mode so that adjustments can be made to the segue.

  14. Use the play controls in the Segue Editor to listen to the voice track.
  15. Click and drag the header of each audio track to adjust the segue of the elements.
  16. Click the Save [image] button. The voice track will be uploaded to the station.
  17. If the voice track does not meet the desired effect, simply click the Voice Track [image] button in the toolbar to switch the editor back to Voice track mode and rerecord the voice track.

Welcome < Zetta2GO Overview < Zetta2GO iVT / Segue Editor


Zetta2GO Library

Welcome < Zetta2GO Overview < Zetta2GO Library

Zetta2GO® Library

The Zetta2GO Library pane can be used to view the assets in the Zetta database. User rights that are implemented in Zetta will be enforced in Zetta2GO. In the desktop web application, users with rights can drag and drop assets from the Library to the Logs and Hot Keys modules in Zetta2GO.

Click any area in the Zetta menu bar of this image for help

Click any area in the Zetta menu bar of this image for help

Library Toolbar

Library Settings window

Library Grid

Tab Navigation

Right-Click Menu

Using Library Search

Items per page

Page Controls

Library Toolbar

When the Library window is small the toolbar it will switch to a menu [image] button for the toolbar options. Click the Menu button to view the following toolbar options.

 | Reload Library - The Reload Library button is used to refresh the library and pull any changed data from the site database.
 | Delete Highlighted Media - The Delete Highlighted Media button will allow a user with rights to delete media from the library. The user will be prompted to confirm the deletion of the highlighted media. This will delete the media from the connected Zetta database.
 | Library Settings - The Library Settings button opens a Library Settings window.
 | Library Search - The Library Search button will open the search fields just below the column headers of the Library Grid allowing the user to search the library by a specific field. When this button is clicked a Search button will be shown in the toolbar.
Station Selector – The drop-down to the far right allows the user to select a station or virtual station to view its active assets.

Library Settings window

Click the Library Settings [image] button in the Library Toolbar to open the Library Settings window.

Display Module Header - The Display Module Header option will hide the header found above the toolbar of the window when the option is set to Hide. The default setting is to Show the header. Hiding the header will give the user more working space on the display.

Header Bar Button Size - The Header Bar Button Size option allows the user to make the toolbar buttons larger for greater visibility. The default setting for the toolbar buttons is Small.

Grid Font Size - The Grid Font Size option allows the user to set how large the font will be in the Library Grid. The default setting is Medium.

Search Control for Date Columns - The Search Control for Date Columns option is used to change the search field from Date only search to Date and Time search. When this option is set to the Date the user will only see a calendar control for selecting a date. When this option is set to Date & Time the user will see a calendar control for the date and time sliders bars for Hour and Minute.

Default Date/Time Search Granularity - The Default Date/Time Search Granularity option is used to change the time granularity from showing only Hours and Minutes to showing Hours, Minutes and Seconds in the Date & Time Calendar Control. This option works with the Date & Time setting of the Search Control for Date Columns option show above.

Mobile Device Tap-Hold Action - The Mobile Device Tap-Hold Action option is used to change the action of tap and hold on a touch screen. The default is to allow for the selection of text in the Library list. Use the slider to change this setting to Display right-click menu. When the setting is set to Display right-click menu and the user uses their finger or stylus to tap and hold on an asset in the Library list the right-click menu will be displayed. Tap on the Delete this Asset option from the right-click menu and confirm, to delete the selected asset. Tap any other area of the screen to close the right-click menu without performing an action.

Disable Drag and Drop functionality to Re-order Library Tabs - The Disable Drag and Drop Functionality to Re-Order Library Tabs option can be used to prevent the changing of the tab order of the Library asset tabs. This defaults to off, allowing the user to change the order of the tabs.

Library Grid

The Library Grid defaults to the Song tab and is sorted by the title, however this default look can be changed. When another tab is selected it will be the default tab the next time the user logs into Zetta2GO on the same computer or tablet. The Library Grid can also be sorted by any column by clicking on the column header. Columns can be added/removed from view by right-clicking (or tap and hold for touch screens) the column header and selecting the field to add or remove. The available fields to choose from will differ depending on the asset type.

The columns can also be put in any order desired by the user by clicking and dragging the column horizontally to the desired location.

These changes are saved and used the next time the user logs in to Zetta on the same computer or tablet, however clearing the browser data will reset Zetta2GO back to its default settings. Additional features of the Library Grid are as follows:

Tab Navigation

Right-Click Menu

Using Library Search

Items per page

Page Controls

Tab Navigation

The Navigation buttons to the right of the tabs in the Library are used to navigate between tabs, close selected tabs and open tabs. The add tab button displays the default Zetta tabs first then any other audio tabs created in the Audio Types tab of the System Configuration window. Use the Close selected tab to close the current asset tab. Optionally in the desktop web application, right-click a tab to open or close tabs from the resulting menu. The user must have rights to Open the asset tab to see the corresponding asset tab (i.e. Open Song tab).

Right-Click Menu

Right-clicking any media asset will display a Delete this media option. Click the Delete this media option to delete the selected media. The user will be prompt to confirm this deletion. This action will delete the media asset from the connected Zetta database. If a user does not have rights to delete the asset they will see a prompt telling them they have not been granted permission to delete the asset type. See the Working with Security topic. If the Mobile Device Tap-Hold Action option is set to Display right-click menu in the Library Settings the user can also tab and hold on a touch screen device to use the right-click menu.

Important Note!

Deleting an Asset with Cuts will delete all cuts associated with the Asset. The user will be prompt to confirm the deletion.

Using Library Search

The Library Search [image] button in the toolbar of the Library module will open the search fields just below the column headers of the Library Grid allowing the user to search the library by a specific field. When this button is clicked a Search [image] button will be shown in the toolbar. To the left of the search fields is an operator search type option that defaults to Contains for text fields and Equals for the date, time and active search fields. Click the operator option to show a menu of the operators that can be used for the search of these fields.

Next, type text into the search field or select the date/time to use for the search. Press Enter or click the Search button to start the search. The results are displayed in the Library grid.

Items per page

The Items per page at the bottom left of the Library module can be used to adjust the number of items that are shown per page in the Library, the default is 100.

Page Controls

The Page Controls at the bottom center of the Library module can be used to page through the library assets. Use this option with the Items per page option above to adjust the number of items displayed per page. Select the page number using the up/down toggle [image] buttons to the right of the page number or enter a number using the keyboard, then click the Load page [image] button or press Enter on the keyboard.

Welcome < Zetta2GO Overview < Zetta2GO Library


Zetta2GO System Monitor

Welcome < Zetta2GO Overview < Zetta2GO Library

Zetta2GO® System Monitor

The Zetta2GO System Monitor module can be used to monitor the status of the active Stations, show information about the Database and show the Content Store status. System Monitor can be added to a pane using the Edit Layout option from the Layout menu.

Click any area in the Zetta menu bar of this image for help

Click any area in the Zetta menu bar of this image for help

System Monitor Toolbar

System Monitor Settings window

Station Status

Database Status

Content Store Status

System Monitor Toolbar

When the System Monitor window is small the toolbar it will switch to a menu [image] button for the toolbar options. Click the Menu button to view the following toolbar options.

Reload System Monitor - The Reload System Monitor button is used to refresh the System Monitor and pull any changed data from the site database.

System Monitor Settings - The System Monitor Settings button opens a System Monitor Settings window.

System Monitor Settings window

Click the System Monitor Settings [image] button in the System Monitor Toolbar to open the System Monitor Settings window.

Display Module Header - The Display Module Header option will hide the header found above the toolbar of the window when the option is set to Hide. The default setting is to Show the header. Hiding the header will give the user more working space on the display.

Header Bar Button Size - The Header Bar Button Size option allows the user to make the toolbar buttons larger for greater visibility. The default setting for the toolbar buttons is Small.

Grid Font Size - The Grid Font Size option allows the user to set how large the font will be in the System Monitor Grid. The default setting is Small.

Content Store & Database Info Refresh Rate: X Seconds - The Station information of the System Monitor will update automatically when a change happens in Zetta, however the Content Store and Database information do not automatically update. By default the System Monitor will make a request to the Zetta2GO Server every 30 seconds to update the Content Store & Database information. Use the Content Store & Database Info Refresh Rate option to change the number of seconds for System Monitor to wait before requesting an update.

Station Status

The top pane of the System Monitor module shows the status of the active stations in the connected Zetta database. The pane will show the Station name, Role, On-Air status, Mode, Air Time, Gap Time and any Alerts. This pane also shows the Stream number of the item playing, the On-Air item progress, the On-Air items status and whether the On-Air item is Playing, Stopped or Paused. This pane can be sorted in ascending or descending order by clicking the header of the column to sort by.

Database Status

The bottom left pane of the System Monitor module shows the status of the database, the date and time of the last backup for Full Database and Database Transaction Log and the Size of the database.

Content Store Status

The bottom right pane of the System Monitor module shows the status of the Content Stores configured in the connected Zetta database. This pane shows the Name, Network Status, Service Status, Store Type and Available Space.

Welcome < Zetta2GO Overview < Zetta2GO Library


Tips & Tricks Overview

The Tips & Tricks in this section cover different aspects of the Zetta application in a bit more detail to try and show the full potential of what Zetta can do.

Auditioning Multiple Assets

Auto Posting Events

Fill Category Tips

Using Time Stretch and Squeeze

Using Volume Points

Welcome < Tips & Tricks

© 2007-2017 RCS All Rights Reserved.


Auditioning Multiple Assets

Working in Library, Logs or Stacks the user can easily audition multiple items with one click of the audition button. Using the Audition options in these windows the user can easily audition All the audio, the Hooks or the Open/Close for each of the selected assets.

To Audition Multiple Asset in the Library, Logs or Stacks, perform the following steps:

  1. Open the desired Module from the Modules menu.

  2. Use the Audition [image] drop-down menu to select the Auditioning mode; All, Hook or Open/Close

  3. Use common Windows shortcuts to select the assets to audition, SHIFT to select a range, CTRL to select individual items.

  4. Click the Audition [image] button to initiate a playback to the Auditioning output.

  5. Click the button again to stop it.

Welcomes < Tips & Tricks < Auditioning Multiple Assets


Auto Posting Events

Auto Post is a Chain type used with Links in the Log and Clock to determine how the next scheduled event will play in relation to the current event. Auto Post allows stations to position links such as, Jingles and Station ID's against a songs Intro, in a way where the jingle's end is aligned with the vocal post of the song. This enhances the station's overall sound and is a common part of programming strategies in many stations. The Intro generally refers to a position within the song where the instrumental part ends and the vocal (singing) begins.

The Auto Post Chain type can be set using the Chain column in the Clock or Log or in the Extra tab of the Link's metadata card. If using GSelector® to schedule the logs in Zetta® the Chain type can be set in the Clock, Editor or in the Related Links window. See the GSelector Help Guide for more information on setting the Chain type in GSelector®.

Examples of Auto Posting in Zetta

Auto Posting a link that is shorter than the following song's Intro

In order to achieve the auto post behavior in this example, the song needs to start first, followed by a link later. Notice that the song in track #3 is positioned at the segue point of the song in track #1, and the link is positioned so that it meets the Intro of the song in track #3. The Ducking of the Song to Link is from Trim In to Segue of the Link.

Auto Posting a link that is longer than the following song's Intro

In order to achieve the auto post behavior in this example, the link needs to start first, followed by the song later. Notice how each element is positioned relative to the others, the link is positioned at the segue point of the previous song, and the following song is positioned so that the link's end hits the songs Intro position:

Notice in the above examples that it's the link's Segue point (not the Trim out point) that is aligned with the song's Intro thus allowing you to tighten (or loosen) the gap between the end of the link and the Intro of the song. Also note the surrounding songs are ducked to segue of the link when the link plays. A song can have up to three Intros’; currently Zetta® uses the highest Intro for the Auto Post feature.

Welcome < Tips & Tricks < Auto Posting Events


Fill Category Tips

Although Zetta does not have a grid-like control on which a user could define what categories are used across a week, we can still emulate the functionality using Commands in Zetta.

ETM Fill Category

Zetta will fill to meet the time of the next ETM shortly before audio runs out, provided a gap time is negative, the system is in Automation mode and the fill category is not empty. The ETM Fill Category is a per-station setting in the Automation tab of the Station Configuration window. The command Sequencer.SetETMFillCategory can be used to change the ETM fill category at different times of the day automatically, on any station. If this setting is changed, Zetta will re-evaluate the fill of the Log based on the new Category Assignment and reapply the fill. To turn off the ETM Fill, use the (Off) option as the Fill Category.

Block Fill Category

The Block Fill Category field is used to specify the category used to fill audio to meet set Spot Block length in the log. The Block Fill Category is a per-station setting in the Automation tab of the Station Configuration window. The command Sequencer.SetSpotBlockFillCategory can be used to change the Block Fill Category at different times of the day automatically, on any station. If this setting is changed, Zetta will re-evaluate the fill of the Log based on the new Category Assignment and reapply the fill. To turn off the Block Fill, use the (Off) option as the Fill Category.

Important Note!

The execution of these commands will change the fill categories within the Station Configuration window, therefore it is not a temporary override.

Execute Command Control Event placed in the Log

Macro Control Event placed in the Clock

Zetta Macro Event placed in the GSelector Clock

Using a GPIO Command Mapping to change the Fill Category

Execute Command Control Event placed in the Log

To change the Fill Category quickly on a station insert a Control Event into a Log. This event can be placed in a Station Log or a Recorder Log.

To Insert an Execute Command into a Log follow these steps:
  1. Right-click anywhere in a Log or Recorder Log
  2. Select Insert Control Event from the resulting menu
  3. Select Execute Command from the Insert Control Event consideration window
  4. In the New Execute Command Properties window select a Hard Time then select the Time for the Execute Command
  5. Select the Task Type of Sequencer.SetETMFillCategory or Sequencer.SetSpotBlockFillCategory

  6. Select the Station
  7. Select the Category to switch to on the Station selected
  8. Drag and Drop the Execute Command from the Insert Control Event consideration window to the Log

Macro Control Event placed in the Clock

To create a Macro and place it in a Station Clock or a Recorder Clock, perform the following steps:

  1. From the Configuration Menu select Macro Configuration

  2. Select a Station from the Select Station drop-down
  3. Click the Add Macro [image] button

  4. Enter a Name for the new Macro
  5. Click OK
  6. Select Execute Command from the Insert Control Event consideration window
  7. In the New Execute Command Properties select the Task Type of Sequencer.SetETMFillCategory or Sequencer.SetSpotBlockFillCategory
  8. Select the Station
  9. Select the Category to switch to on the Station selected
  10. Drag and drop the desired event into the Event window from the consideration window.
  11. Add additional events to the Macro as needed
  12. Select Clocks or Recorder Clocks from the Modules menu
  13. Select the Station
  14. Select the Day
  15. Right-click a location in the Clock
  16. Select Insert Control Event
  17. Select Macro from the consideration window
  18. Select Hard Time in the properties window and enter a time if the Macro is to start at a specific time.
  19. Select the Macro created from the properties window
  20. Double-click the Macro in the consideration window
  21. The selected Macro is inserted into the clock at the location selected.

Zetta Macro Event placed in the GSelector Clock

Once a macro has been created using the Macro Configuration option in the Configuration Menu of Zetta® the user can then Publish the Control Events to GSelector®.

To Publish a Macro Control Event to GSelector, perform the following steps:
  1. From the Configuration Menu select Macro Configuration
  2. Select a Station from the Select Station drop-down
  3. Click the Add Macro [image] button
  4. Enter a Name for the new Macro
  5. Click OK
  6. Select Execute Command from the Insert Control Event consideration window
  7. In the New Execute Command Properties select the Task Type of Sequencer.SetETMFillCategory or Sequencer.SetSpotBlockFillCategory
  8. Select the Station
  9. Select the Category to switch to on the Station selected
  10. Drag and drop the desired event into the Event window from the consideration window.
  11. Add additional events to the Macro as needed
  12. Once a macro has been created it will need to be published to GSelector. Select System from the Configuration menu
  13. Select the GSelector tab
  14. Select the Sync Categories and Control Events button
  15. Click OK to the Control Events Published Successful message.
  16. Click OK to the All Stations Categories Published Successful message.
  17. The Macros can now be scheduled as a Control Event in the GSelector Clock. See the GSelector Help Guide for assistance on scheduling a Control Event.

Using a GPIO Command Mapping to change the Fill Category

To add a GPIO Command mapping to change the Fill Category for a station, perform the following steps:
  1. From the Configuration Menu, click System.
  2. Click the Command Mappings tab
  3. Click Add GPIO Event Mapping [image] button.
  4. Enter a Name for the GPIO Mapping (default is New Mapping GPIO).
  5. Enter a Description for the GPIO Mapping (optional)
  6. Using the Assigned Computer drop-down select the computer that has the device installed and configured, see the Adding GPIO Devices section of this guide for details on configuring a GPIO device for a computer.
  7. Click Computer GPIO Default to make the Custom GPIO Event Mapping the computer default.
  8. Select the Input or Output tab
  9. Click the Add New Command Mapping [image] button
  10. Select Enabled to enable the GPIO mapping
  11. Enter a Name for the mapping
  12. In the GPIOEvent column, use the drop-down to select the Input or Output to use.
  13. Select the Task of Sequencer.SetETMFillCategory or Sequencer.SetSpotBlockFillCategory
  14. Select the Station
  15. Select the Fill Category

  16. Click Save [image] to save the mappings.

Welcomes < Tips & Tricks < Fill Category Tips


Time Stretch & Squeeze

Zetta allows the time stretch & squeeze of audio to meet a specific duration. When we speak about time stretching, we imply pitchless stretch/squeeze, i.e. changing the duration of a piece of audio without changing its pitch. For those not familiar with what 'pitch' means, if you tried to slow down or speed up a piece of audio, such as switching between 33 and 45 RPMs while playing a Vinyl LP, the pitch would change. In the broadcast industry it's however usually desirable to adjust the duration of an item without changing the way it sounds. So if a 32 second commercial needs to only run for 30 seconds, just adjust its duration. The best part here is the change is non-destructive, meaning the audio file itself remains intact, so it can easily be change again later, or reset back to its normal length.

In the Marks tab of the Metadata card a song, link or spot, notice to the right an expanding section called Time Stretch. Using the Duration field here enter the new duration for the asset, view the percent change from the normal duration. In an example below, the duration of a song has been changed; normal length was 6:06, but using the Time Stretch has been adjusted it to play for only 5:30, 89% of the standard runtime:

Time Stretch tips:

  • Click away from a Duration field for a change to take effect.
  • To remove the new duration, right-click the Duration field and choose Reset.
  • If a time stretch factor is applied on an asset, its duration will be shown underlined throughout the Zetta system.
  • While auditioning an asset on the Metadata card and the duration is changed, the change will be immediately applied, without the need to restart the playback; conversely, if the asset is currently playing on-air, the moment the asset is saved it will affect it's playback on-air.
  • With the new time stretched duration in place, if additional changes are made to the asset, such as trim, Zetta will attempt to maintain the new duration.
  • To identify assets with time stretch applied, add a Play Rate column to the Library, then click the column header to sort based on this value; all affected assets will be shown together.
  • To apply a maximum time stretch window, use the Maximum Stretch/Squeeze setting in the Playback options of the Station Configuration window. Zetta will still play audio stretched beyond this window, but a yellow warning will be displayed all across the system identifying asset(s) outside of allowed boundaries.

Welcomes < Tips & Tricks < Time Stretch & Squeeze


Using Volume Points

One of Zetta features not-so-common elsewhere is the ability to control volume of an asset in time. Of course many other playout systems allow the user to adjust the overall volume of an item, but not many allow the user to define an actual volume curve to change the volume while the asset is playing. Although, not every asset will need a volume curve, there still are use cases where defining a volume curve could be helpful. A Good example is a bed with the opening, such as a news bed that starts with "WRCS FM - the news", after which the actual bed follows. The opening will remain unchanged, but then the volume of the actual bed will be reduced:

Each asset starts with just two volume points, located in top left and top right corners, they can be moved up & down to change the volume, however they these two starting points cannot be removed. Volume points can be added as needed in between. To add a volume point right-click the waveform and choosing Insert Volume Point. Similarly, to remove a volume point, right-click the volume point and choose Remove.
An Asset's fade-in / fade-out are implemented via volume points, so choosing Set Fade In / Set Fade Out right-click options basically just adds a volume point and adjusts the fade curve accordingly.

The MetaData card is not the only place in the system where volume points can be added, removed or adjusted; this can also be done in the Segue Editor, however the changes to an asset via Segue Editor will not update the metadata of the actual asset. Changes made in the Segue Editor are a one-time change for that asset's instance in the Log.

Welcome < Tips & Tricks < Using Volume Points


Warnings and Errors in Zetta®

Tools are included in Zetta® that allows for easy identification of critical system issues. System warnings will be seen in the title bar of the main application window. When critical system issue occurs, the warning icon [image] will appear next to the Zetta® Application Menu. When an alert is present, clicking the Warnings icon [image] will display the following Warnings and errors window that shows the alert:

The warning icon will remain until the alert is acknowledged or the issue is corrected. To acknowledge an alert, select the Acknowledged field. The alert is removed until the issue occurs again or another issue is encountered. Contact RCS Support for assistance.

Asset Warnings

A warning [image] / [image] icon is displayed throughout Zetta if there is an issue with the audio or file. The error warning [image] or an alert warning [image] is displayed in the modules and metadata card if there is no audio present for the asset, if there is an audio format mismatch, if the audio file can not be normalized or if the asset is not approved or active for the selected station. Simply hover the mouse over the warning and a tool tip will display the action needed.

The audio format mismatch warnings that are displayed for the assets can be configured using the show mismatched system format(s) as drop-down in the System Configuration | Audio Format tab of Zetta.

Station Playback Warnings and Errors

If a Play Container is selected more than once a warning will be displayed with a tooltip describing the issue.

If a Play Container that is selected as an On-Air play container for one station is selected on another station an error will be displayed with a tooltip describing the issue.

Play Container Warnings and Errors

The icon in the Status column verifies that the player is responding and the stream selected in not in use by another sequencer or Play Container. If the device is responding, the status column will display a green check mark [image]. If the Player is not online or not functioning a red [image] is visible in the Status column. Additional warnings are displayed if the stream is used by another station or the stream is used by another play container. Hover the mouse over the warning icon to view a tooltip to help in troubleshooting the issue.

Welcome < Warnings and Errors in Zetta

© 2007-2017 RCS All Rights Reserved.


Hotspare Manager shows Error in Output log

When activating a Hotspare if the Output log shows a warning [image], check the hotspare computer to see if it is on and running Zetta®. Restart the Startup Manager and try activating again. Contact RCS Support for assistance.

Welcome < Hotspare Manager Error

© 2007-2017 RCS All Rights Reserved.


Zetta2GO 500.21 Error

If receiving the HTTP Error 500.21 - Internal Server Error with Zetta2GO it is possible ASP.NET is not properly registered. This can sometimes happen when .NET is installed before IIS. To fix the issue use the following steps on the computer running IIS for the Zetta2GO service. Contact RCS Support for assistance.

  1. Run the command prompt as administrator
  2. Type the line in the command prompt below any one

%windir%\Microsoft.NET\Framework\v4.0.30319\aspnet_regiis.exe -i

or

%windir%\Microsoft.NET\Framework64\v4.0.30319\aspnet_regiis.exe -i

Welcome < Zetta2GO 500.21 Error

© 2007-2017 RCS All Rights Reserved.


Audio Quality with Zetta2GO

At times you may encounter audio recording or playback that is stuffy or just doesn't sound right. First, check the audio settings using the settings [image] button. If the settings are fine, the following adjustments can be made to Google Chrome.

  1. Go to the desktop and add a Chrome shortcut to it. Right-click the shortcut and select properties. In the Target field, at the very end of the path that is already given, add the following after adding one space.

--disable-audio-output-resampler

  2. Close Chrome and then relaunch it using this shortcut that you modified. Check the audio quality.
  3. In the event that this doesn’t work, there is a second switch that you can try. Right-click the Chrome shortcut and in the target field, replace the switch you added before with the one below. Make sure there is a space between the switch and the path given.

--force-wave-audio

  4. Close Chrome and relaunch it via the shortcut and the sound problems should be gone.

Contact RCS Support for assistance.

Welcome < Zetta2GO 500.21 Error

© 2007-2017 RCS All Rights Reserved.


Zetta Commands

Welcome < Zetta Commands

Zetta® Commands

Zetta® Commands are used when configuring commands for external devices, such as special keyboards and cards, to send and receive keyboard strokes, GPIO events and Cue Point events to commonly used tasks in Zetta. These events can also be placed in Logs, Clocks, Recorder Logs, Recorder Clocks and Macros as Execute Command Control Events. See Adding GPIO Devices section of this guide for more information on these GPIO devices. A Default System Keyboard Mappings has been created, which represents preset mappings from keyboard key strokes to actions in Zetta. This topic covers all the available Zetta commands and a description of the functionality it performs.

Input Commands

Background Commands

Database Management Commands

RCS Development Commands

Emergency Alert Commands (EAS)

External Search Commands

General Purpose Input Output Commands

Hot Keys Commands

Logs Module Commands

Marks Tool Commands

Library Module Commands

Asset Metadata Card Commands

Multitrack Editor Commands

Now Playing Export Commands

On-Air Module Commands

Scheduled Maintenance Commands

Segue and Voice Track Editor Commands

Sequencer Commands

Stacks Module Commands

ZCast Commands

Global Zetta Commands

ZPlayer Commands

Output Commands

Emergency Alert Commands (EAS)

General Purpose Input Output Commands

Play Device Commands

Play Stream Commands

Logs Module Commands

Input Commands

The following Commands can be added to a GPIO Input Mapping or a Keyboard Mapping in the Command Mappings tab of the System Configuration window. They can also be added as and Execute Command in a Log, Clock or Macro.

Background Commands

Task | Settings | Description | Comment
Background.AsynchronousMacro | Background Recorder and Macro | This task is used to fire the selected Asynchronous macro for the selected Background Recorder. | GPI, Cue Point or Keyboard
Background.Device.Eject | Background Recorder and Output Device | This task will Eject the selected Output Device for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Device.Pause | Background Recorder and Output Device | This task will Pause the selected Output Device for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Device.Start | Background Recorder and Output Device | This task will Start the selected Output Device for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Device.Stop | Background Recorder and Output Device | This task will Stop the selected Output Device for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.OnDemandRecording.Eject | Background Recorder and On Demand Recording | This task will Eject the selected On Demand Recording for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.OnDemandRecording.Insert | Background Recorder and On Demand Recording | This task will Insert the selected On Demand Recording for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.OnDemandRecording.Pause | Background Recorder and On Demand Recording | This task will Pause the selected On Demand Recording for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.OnDemandRecording.Start | Background Recorder and On Demand Recording | This task will Start the selected On Demand Recording for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.OnDemandRecording.Stop | Background Recorder and On Demand Recording | This task will Stop the selected On Demand Recording for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Play.FadeAll | Background Recorder | This task will Fade All playing assets for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Play.StopAll | Background Recorder | This task will Stop All playing assets for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Record.Eject | Background Recorder and Record Device | This task will eject the current record event for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Record.Pause | Background Recorder and Record Device | This task will pause the current record event for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Record.Start | Background Recorder and Record Device | This task will start the current record event for the selected background recorder station. This is used to rejoin a show after a Local Break. | GPI, Cue Point or Keyboard
Background.Record.Stop | Background Recorder and Record Device | This task will stop the current record event for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Record.StopAll | Background Recorder | This task will Stop All recording events for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Stream.Eject | Background Recorder and Playback Stream | This task will eject the asset that is currently playing on the selected streams playback for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Stream.Pause | Background Recorder and Playback Stream | This task will pause the selected streams playback for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Stream.Start | Background Recorder and Playback Stream | This task will start the selected streams playback for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.Stream.Stop | Background Recorder and Playback Stream | This task will stop the selected streams playback for the selected background recorder station. | GPI, Cue Point or Keyboard
Background.SynchronousMacro | Background Recorder and Macro | This task is used to fire a selected Synchronous macro for the selected background recorder. | GPI, Cue Point or Keyboard

Database Management Commands

Task | Settings | Description | Comment
DatabaseManagement.BackupDB | <None> | This task sends a message to the Database Management (Scheduled Maintenance) machine to perform a backup of the database. | GPI, Cue Point or Keyboard

RCS Development Commands

Task | Settings | Description | Comment
Dev.MemoryCollect | <None> | Used by RCS Support and Development to collect Data for troubleshooting Zetta. | GPI, Cue Point or Keyboard

Emergency Alert Commands (EAS)

Task | Settings | Description | Comment
EAS.Notification | Station | Used as an Input to Notify the user that an alert has been sent from an EAS box. See EAS Emergency Alert System topic in the Features section of the guide. Use with the GPO command EAS.Confirmation. | GPI, Cue Point or Keyboard

External Search Commands

Task | Settings | Description | Comment
ExternalSearch.Refresh | <None> | This task is for future use for interfacing with third party systems. | GPI, Cue Point or Keyboard

General Purpose Input Output Commands

Task | Settings | Description | Comment
GPIO.DisableMapping | Command | Disables a configured GPIO Mapping | GPI, Cue Point or Keyboard
GPIO.EnableMapping | Command | Enables a configured GPIO Mapping | GPI, Cue Point or Keyboard
GPIO.SetRoute | Route and Command | Turns on or off a Route (Source) | GPI, Cue Point or Keyboard
GPIO.TriggerGPO | GPO | Performs a specific Output event, this replaced the Output Control Event. | GPI, Cue Point or Keyboard

Hot Keys Commands

All these commands require that the Hot Keys module be open. HotKeys.OpenBank will open the requested Hot Keys bank in an existing hot keys window.

Some of the Hot Keys commands require the Play Stream be defined in the Window field when using multiple Hot Keys modules. Enter the Stream Name to use into the Window field.

For Example: If two Hot Keys modules were open at the same time, one using the stream named A and the other using stream named B and a mapping was desired to start playing the Hot Keys module using stream A then the letter A would be placed in the Window field for the mapping.

Task | Settings | Description | Comment
Hotkey.BankNext | <None> | Moves to the next bank. Use the window field to select a play stream for the bank. Leaving the Window field blank will set the play stream to the default <Any>. | GPI, Cue Point or Keyboard
Hotkey.BankPrevious | <None> | Moves to the Previous bank. Use the window field to select a play stream for bank. Leaving the Window field blank will set the play stream to the default <Any>. | GPI, Cue Point or Keyboard
Hotkey.ButtonPress | Hot Keys Row and Column | This command operates like a Hot Key button being clicked. The default is to play/stop. However it can play/stop, play/pause or play/restart depending on the Override Stream mode set in the database. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to play/stop the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | To setup the Override Stream mode contact RCS Support. GPI, Cue Point or Keyboard
Hotkey.OpenBank | Hot Key bank name | Opens the specified bank. Use the window field to select a play stream for the selected bank. Leaving the Window field blank will set the play stream to the default <Any>. | GPI, Cue Point or Keyboard
Hotkey.Pause | Hot Keys Row and Column | This will pause the playing of the designated Hotkey. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to pause the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.PauseAll | <None> | This will Pause all playing Hot Keys | GPI, Cue Point or Keyboard
Hotkey.Play | Hot Keys Row and Column | This will start playing the designated Hotkey. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to start playing the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.PlayLast | <None> | This will play the last Hotkey that previously played. | GPI, Cue Point or Keyboard
Hotkey.PlayPause | Hot Keys Row and Column | When this command is used, if the Hotkey is paused it will start playing. If the Hotkey is playing it will pause. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to play/pause the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.PlayRestart | Hot Keys Row and Column | When this command is used, if the Hotkey is stopped/paused it will start playing from the beginning. If the Hotkey is playing it will restart playing from the beginning. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to play/restart the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.PlayStop | Hot Keys Row and Column | When this command is used, if the Hotkey is stopped/paused it will start playing. If the Hotkey is playing it will stop. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to play/stop the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.Stop | Hot Keys Row and Column | When this command is used, if the Hotkey is playing or paused it will stop. This command also requires the play stream's Short Name be defined in the Window field. For Example, if two Hot Key modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to stop the playing of the Hot Key using stream A then the letter A would be placed in the Window field for the mapping. If the short name is not defined the ID of the play stream can be used instead. | GPI, Cue Point or Keyboard
Hotkey.StopAll | <None> | This will Stop all playing Hot Keys | GPI, Cue Point or Keyboard
Hotkey.StopLast | <None> | This will stop the play of the last Hotkey that previously played. | GPI, Cue Point or Keyboard

Logs Module Commands

These tasks work when the Logs Module is open and has focus (active).

Task | Settings | Description | Comment
LogEditor.Active | <None> | This task makes the currently open Log Module the active module | GPI, Cue Point or Keyboard
LogEditor.AutoScroll | <None> | This task sets the Log Module back to the home position and will auto scroll the log as events play. | GPI, Cue Point or Keyboard
LogEditor.Backup | <None> | The task will create a backup of the current days log and place it in the backup content store for the current station. | GPI, Cue Point or Keyboard
LogEditor.FailureDetailsWindow | <None> | This task will open the failure details window. | GPI, Cue Point or Keyboard
LogEditor.HideAll | <None> | This task will hide all the Consideration windows. | GPI, Cue Point or Keyboard
LogEditor.HistoryWindow | <None> | This task will open the History window for the highlighted asset. | GPI, Cue Point or Keyboard
LogEditor.Insert | Asset Type | This task will open the Insert consideration window for the selected asset type. | GPI, Cue Point or Keyboard
LogEditor.InsertLink | <None> | This task will open the Insert Link consideration window. | GPI, Cue Point or Keyboard
LogEditor.InsertSong | <None> | This task will open the Insert Song consideration window. | GPI, Cue Point or Keyboard
LogEditor.JuggleEvent | <None> | This task will set the highlighted event as to be juggled. Select a second event and initiate this task again to complete the Juggle action. | GPI, Cue Point or Keyboard
LogEditor.MissingAudioReport | <None> | This task will run a missing audio report for the selected log. | GPI, Cue Point or Keyboard
LogEditor.NextFilter | <None> | This task cycles forward through the Cycle Filter found in the Logs Module toolbar. | GPI, Cue Point or Keyboard
LogEditor.PreviousFilter | <None> | This task cycles backward through the Cycle Filter found in the Logs Module toolbar. | GPI, Cue Point or Keyboard
LogEditor.Refresh | <None> | This task will refresh the log in the logs module | GPI, Cue Point or Keyboard
LogEditor.ReplaceEvent | <None> | This task will open the Replace consideration window for the highlighted event type. | GPI, Cue Point or Keyboard
LogEditor.Restore | <None> | This task will restore a Log that has been backed up from the backup store for the selected date and station in the active logs module. | GPI, Cue Point or Keyboard
LogEditor.ShowAll | <None> | This task will expand all the spot blocks to show all the spots in the blocks | GPI, Cue Point or Keyboard
LogEditor.SimpleVTWindow | <None> | This task will open the simple voice track recorder in the active logs module for the selected position. | GPI, Cue Point or Keyboard
LogEditor.TestBarWindow | <None> | This task will open the Test Bar window for the highlighted asset. | GPI, Cue Point or Keyboard

Marks Tool Commands

These tasks work in the Marks Tool of the Metadata card when the Marks tab is selected.

Task | Settings | Description | Comment
MarksTool.AutoScrub | Step (seconds): | AutoScrub will step the play marker by the specified number of seconds forward or back continually depending on the device used for the mapping. If Auto Scrubbing is started while stuttering is in progress, the play marker will jump seek to the next offset, stutter at that position for the seek interval, then jump again, stutter at the next position for the seek interval and so on. This will continue till the end or beginning of the audio is reached or is stopped (either by moving the scrub wheel to the center position or by using stop command). If the scrubbing wheel, of the device, is moved back to the center position while seeking, seeking will stop and regular stutter will continue in a loop in the current seek position. Stopping will stop both scrubbing and stuttering. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
MarksTool.FastForward | <None> | Fast Forwards moves the play marker forward five seconds every time it is used | GPI, Cue Point or Keyboard
MarksTool.HookPlay | <None> | Plays the Hook of the audio shown in the marks tool. | GPI, Cue Point or Keyboard
MarksTool.JumpBeginning | <None> | Jumps to the Beginning of the audio shown in the marks tool. | GPI, Cue Point or Keyboard
MarksTool.JumpEnd | <None> | Moves the Play maker to the end of the audio or Trim Out position | GPI, Cue Point or Keyboard
MarksTool.Loop | <None> | Puts the Marks Tool in Loop mode to play the loop defined for the audio shown in the Marks Tool. | GPI, Cue Point or Keyboard
MarksTool.Mark.CuePoint | CuePoint | Inserts the selected cue point into the marks tool at the cursor position. | GPI, Cue Point or Keyboard
MarksTool.Mark.HookEnd | <None> | Marks the cursor position in the marks tool as the Hook End position. | GPI, Cue Point or Keyboard
MarksTool.Mark.HookStart | <None> | Marks the cursor position in the marks tool as the Hook Start position. | GPI, Cue Point or Keyboard
MarksTool.Mark.Intro | <None> | Inserts an Intro marker at the cursor position in the Marks Tool | GPI, Cue Point or Keyboard
MarksTool.Mark.LoopEnd | <None> | Inserts a Loop End Marker at the cursor position in the Marks Tool | GPI, Cue Point or Keyboard
MarksTool.Mark.LoopStart | <None> | Inserts a Loop Start Marker at the cursor position in the Marks Tool | GPI, Cue Point or Keyboard
MarksTool.Mark.Reset | <None> | Resets the last moved play marker to its original position | GPI, Cue Point or Keyboard
MarksTool.Mark.Segue | <None> | Inserts a Segue marker at the cursor position in the Marks Tool | GPI, Cue Point or Keyboard
MarksTool.Mark.TrimIn | <None> | Inserts a Trim In marker at the cursor position in the Marks Tool | GPI, Cue Point or Keyboard
MarksTool.Mark.TrimOut | <None> | Inserts a Trim Out marker at the cursor position in the Marks Tool | GPI, Cue Point or Keyboard
MarksTool.PanLeft | <None> | Shifts the Zoom/Pan tool at the bottom of the Waveform display to the left | GPI, Cue Point or Keyboard
MarksTool.PanRight | <None> | Shifts the Zoom/Pan tool at the bottom of the Waveform display to the right | GPI, Cue Point or Keyboard
MarksTool.Pause | <None> | This task will pause the audio playing in the Marks Tool. | GPI, Cue Point or Keyboard
MarksTool.Play | <None> | This task will play the audio in the Marks Tool. If the marks tool is in Hook mode it will play the hook, if it is in Loop mode it will play the loop. | GPI, Cue Point or Keyboard
MarksTool.PlaybackMode | <None> | This task will toggle the playback Mode of the Marks Tool. (Hook, Loop, AllAudio) | GPI, Cue Point or Keyboard
MarksTool.PlayPause | <None> | This task will pause the playback of the audio playing in the Marks Tool. | GPI, Cue Point or Keyboard
MarksTool.PlayStop | <None> | This task will stop the playback of the audio playing in the Marks Tool and set the cursor to the beginning of the audio. | GPI, Cue Point or Keyboard
MarksTool.Record | <None> | Opens a small recorder for recording audio | GPI, Cue Point or Keyboard
MarksTool.RefreshWaveform | <None> | This task will refresh the waveform in the marks tool. | GPI, Cue Point or Keyboard
MarksTool.Rewind | <None> | Moves the play marker back five seconds in the audio every time it is used | GPI, Cue Point or Keyboard
MarksTool.Scrub | Step (seconds): | Scrub will step the play marker by the specified number of seconds forward or back depending on the device used for the mapping. If a keyboard is mapped holding down the key will cause the play cursor to continue to jump until it is released. This will leave the file playback in whatever state it is currently in (stop, paused, playing, stuttering) This value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
MarksTool.Stop | <None> | This task will stop the playback of the audio playing in the Marks Tool and set the cursor to the beginning of the audio. | GPI, Cue Point or Keyboard
MarksTool.Stutter | Step (seconds): | This option will stutter play the audio, this option is used for fine-tuning to a precise position within the audio. Stutter will start playing from the play marker for the specified seconds and then go back to the starting point and play the same number of seconds continuously in a loop until switched to a different play command or stopped by the user. If Stuttering is started while scrubbing is in progress, scrubbing will stop and regular stuttering will start at the current position. the Steps: identifies how many seconds to move the current position and then stutter at that position, this value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
MarksTool.ZoomIn | <None> | This task will Zoom In to the waveform using the Zoom/Pan tool below the waveform | GPI, Cue Point or Keyboard
MarksTool.ZoomOut | <None> | This task will Zoom Out of the waveform using the Zoom/Pan tool below the waveform | GPI, Cue Point or Keyboard

Library Module Commands

These tasks are used in an open active Library module.

Task | Settings | Description | Comment
MediaLibrary.Refresh | <None> | This option will refresh the Library list for the selected asset type in the open Library module. | GPI, Cue Point or Keyboard

Asset Metadata Card Commands

These tasks are used in the Metadata card of an asset type.

Task | Settings | Description | Comment
Metadata.NextAudio | <None> | This option will move to the next asset in the library module list when in an asset metadata card. | GPI, Cue Point or Keyboard
Metadata.PreviousAudio | <None> | This option will move to the previous asset in the library module list when in an asset metadata card. | GPI, Cue Point or Keyboard
MetaData.Save | <None> | This option will save the metadata for the asset when in an asset metadata card. | GPI, Cue Point or Keyboard

Multitrack Editor Commands

These tasks are used in the Multitrack Editor

Task | Settings | Description | Comment
MultiTrack.AutoScrub | step: seconds | AutoScrub will step the play marker by the specified number of seconds forward or back continually depending on the device used for the mapping. If Auto Scrubbing is started while stuttering is in progress, the play marker will jump seek to the next offset, stutter at that position for the seek interval, then jump again, stutter at the next position for the seek interval and so on. This will continue till the end or beginning of the audio is reached or is stopped (either by moving the scrub wheel to the center position or by using stop command). If the scrubbing wheel, of the device, is moved back to the center position while seeking, seeking will stop and regular stutter will continue in a loop in the current seek position. Stopping will stop both scrubbing and stuttering. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
MultiTrack.Command.Copy |  | This option will copy the selected section or highlighted selection of audio to the clipboard for pasting. | This audio can be pasted to the same track, another track or to another project. GPI, Cue Point or Keyboard
MultiTrack.Command.Cut |  | This option will cut the selected section or highlighted selection of audio from the track. It will be temporarily placed in the clipboard for pasting. | This audio can be pasted to the same track, another track or to another project. GPI, Cue Point or Keyboard
MultiTrack.Command.Delete |  | This option will remove the selected section or highlighted selection of audio. When this option is used to delete a highlighted selection of audio, two new pieces of audio will be created out of the remaining audio, if the highlighted selection was not at the beginning or end of the audio track. | This audio will not be held in the clipboard or be available for pasting. GPI or Keyboard
MultiTrack.Command.Paste |  | This option will paste any audio found in the clipboard from a Copy or Cut operation. | This audio can be pasted to the same track, another track or to another project. GPI, Cue Point or Keyboard
MultiTrack.Command.Redo |  | This option will redo the previous undone change. | GPI, Cue Point or Keyboard
MultiTrack.Command.Undo |  | This option will undo the previous change. | GPI, Cue Point or Keyboard
MultiTrack.FastForward |  | Fast Forward will fast-forward the play marker five seconds in the audio each time it is used. | GPI, Cue Point or Keyboard
MultiTrack.GoTo.End |  | This option will place the play marker at the end of the audio that is farthest to the right. | GPI, Cue Point or Keyboard
MultiTrack.GoTo.Start |  | This option will place the play marker at position 0. | GPI, Cue Point or Keyboard
MultiTrack.JumpToSelectionEnd |  | This option will jump the play marker to the End of the highlighted selection. | GPI, Cue Point or Keyboard
MultiTrack.JumpToSelectionStart |  | This option will jump the play marker to the start of the highlighted selection. | GPI, Cue Point or Keyboard
MultiTrack.MarkLeft |  | This option will mark the start of a selection | GPI, Cue Point or Keyboard
MultiTrack.MarkRight |  | This option will mark the end of a selection | GPI, Cue Point or Keyboard
MultiTrack.MixAndSave |  | This option will look for a highlighted selection, if a highlighted selection exists it will mix the selection portion of the non-muted tracks and save the audio file using the filename defined in the Quick Record section of the Voice Track and Quick Record tab of the System Configuration window. If there is not a highlighted selection all non-muted sections of the tracks will be mixed and saved to a Quick Record asset using the filename defined in the Quick Record section of the Voice Track and Quick Record tab of the System Configuration window. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI, Cue Point or Keyboard
MultiTrack.MixAndSaveAs |  | This option will open a Mix and Save As window allowing the user to define the Title, Asset Type, Days to Keep, Active Station and the option to save only the selected audio in the track using the Selection Only check-box. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI, Cue Point or Keyboard
MultiTrack.MixToFile |  | This option will look for a highlighted selection, if a highlighted selection exists it will mix the selection portion of the non-muted tracks to an empty or new track. If there is not a highlighted selection all non-muted sections of the tracks will be mixed to an empty or new track. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI, Cue Point or Keyboard
MultiTrack.MixToNewProject |  | This option will look for a highlighted selection, if a highlighted selection exists it will mix the selection portion of the non-muted tracks to the first track in a New Project tab. If there is not a highlighted selection all non-muted sections of the tracks will be mixed to the first track in a New Project tab. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI, Cue Point or Keyboard
MultiTrack.MixToNewTrack |  | This option will look for a highlighted selection, if a highlighted selection exists it will mix the selection portion of the non-muted tracks and open a Windows Save As browse window allowing the user to select a location and enter a file name for the audio file. If there is not a highlighted selection all non-muted sections of the tracks will be mixed and a Windows Save As browse window will open allowing the user to select a location and enter a file name for the audio file. | Mix will first look for muted tracks, these muted tracks will not be included in the mix. GPI, Cue Point or Keyboard
MultiTrack.PanLeft |  | This option will move the zoom/pan control to the left equal to the amount of the Zoomed position. | GPI, Cue Point or Keyboard
MultiTrack.PanRight |  | This option will move the zoom/pan control to the right equal to the amount of the Zoomed position. | GPI, Cue Point or Keyboard
MultiTrack.Pause |  | This option will pause any playing audio and hold the play position. | GPI, Cue Point or Keyboard
MultiTrack.Play |  | This option will start playing the non-muted tracks from the play marker position. | GPI, Cue Point or Keyboard
MultiTrack.PlayExcludingSelection |  | This option will play the audio of all non-muted tracks except for any highlighted selections | GPI, Cue Point or Keyboard
MultiTrack.PlayFromBeginning |  | This option will start playing audio from position 0. All non-muted tracks will play. | GPI, Cue Point or Keyboard
MultiTrack.PlayOutsideSelection |  | This option will play 2 seconds of audio on each side of the highlighted selection for all non-muted tracks. | GPI, Cue Point or Keyboard
MultiTrack.PlaySelection |  | This option will play the audio within the highlighted selection area of all non-muted tracks. | GPI, Cue Point or Keyboard
MultiTrack.ProjectClose |  | This option will close the current project. | The user will be prompt to save the project if there are any unsaved changes. GPI, Cue Point or Keyboard
MultiTrack.ProjectNew |  | This option will open a new project tab. | GPI, Cue Point or Keyboard
MultiTrack.ProjectOpen |  | This option will open a browse window allowing the user to select an existing project file. | GPI, Cue Point or Keyboard
MultiTrack.ProjectSave |  | This option will save any changes to the existing project. | If the project is new the user will be prompt to name the project, choose a file path to save the project and choose whether to save copies of the associated audio files. GPI, Cue Point or Keyboard
MultiTrack.ProjectSaveAs |  | This option will open the Save Project As window allowing the user to name the project, choose a file path to save the project and choose whether to save copies of the associated audio files. | GPI, Cue Point or Keyboard
MultiTrack.Record |  | This command option will start recording at the play cursor position on the tracks that are armed for recording. | Use the ToggleRecord to enable the tracks for recording. GPI, Cue Point or Keyboard
MultiTrack.Rewind |  | This will rewind the audio (move the play marker to the left) by 5 seconds each time it is used. | GPI, Cue Point or Keyboard
MultiTrack.Scrub | step: seconds | Scrub will step the play marker by the specified number of seconds forward or back depending on the device used for the mapping. If a keyboard is mapped holding down the key will cause the play cursor to continue to jump until it is released. This command will leave the file playback in whatever state it is currently in (stop, paused, playing, stuttering) This value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
MultiTrack.Selection.Cancel |  | This option will cancel any highlighted selection. | GPI, Cue Point or Keyboard
MultiTrack.Selection.Extend |  | This option will extend the highlighted selection range. | GPI, Cue Point or Keyboard
MultiTrack.ShowAll |  | This option will Zoom out the tracks to show all the audio sections in the project tracks. | GPI, Cue Point or Keyboard
MultiTrack.SnapDelete |  | This option will remove the highlighted section of audio and snap together the remaining surrounding audio. | GPI, Cue Point or Keyboard
MultiTrack.SnapInsert |  | This option will paste the audio, previously copied or cut into the windows clipboard, into the selected audio at the play marker, thus splitting the selected audio into two separate sections. When the insert is complete there will be three separate audio sections that are snapped together. | GPI, Cue Point or Keyboard
MultiTrack.SnapRecord |  | This option will record the audio into the selected audio at the play marker, thus splitting the selected audio into two separate sections. When stop is hit there will be three separate audio sections that are snapped together. | GPI, Cue Point or Keyboard
MultiTrack.Stop |  | This option will stop the command currently in process and return the play marker back to its original position. | GPI, Cue Point or Keyboard
MultiTrack.StutterPlay | step: seconds | This option will stutter play the audio, this option is used for fine-tuning to a precise position within the audio. Stutter will start playing from the play marker for the specified seconds and then go back to the starting point and play the same number of seconds continuously in a loop until switched to a different play command or stopped by the user. If Stuttering is started while scrubbing is in progress, scrubbing will stop and regular stuttering will start at the current position. the Steps: identifies how many seconds to move the current position and then stutter at that position, this value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
MultiTrack.ToggleAudio |  | This option will show/hide the Audio List. | GPI, Cue Point or Keyboard
MultiTrack.ToggleRecord |  | This command option will start/stop recording at the play cursor position on any armed track of the Multitrack Editor. A track must be armed for this command to work. | GPI or Keyboard
MultiTrack.Track.JumpTo | Value: | This option can be used to jump between projects by the specified value in the settings field. | GPI, Cue Point or Keyboard
MultiTrack.Track.Next |  | This option will move the user to the next track down from the selected track until the bottom track is reached. | GPI, Cue Point or Keyboard
MultiTrack.Track.Previous |  | This option will move the user to the previous track up from the selected track until the top track is reached. | GPI, Cue Point or Keyboard
MultiTrack.Track.ToggleMute |  | This will toggle the mute button for the selected track. Multiple tracks can be muted. | GPI, Cue Point or Keyboard
MultiTrack.Track.ToggleRecord |  | This command option will toggle the Arm Track button for the selected track. Tracks with the Armed button active will record when the play controls record button is selected. All tracks can be selected to record simultaneously as long as each track is armed and each track has a separate record device selected. | GPI, Cue Point or Keyboard
MultiTrack.Track.ToggleSolo |  | This will toggle the solo button for the selected track. All other tracks will be muted and show only the current track as an enabled track. When the track is selected as Solo the button will change to a yellow color. | GPI, Cue Point or Keyboard
MultiTrack.ZoomIn |  | This option will Zoom into the audio tracks. | GPI, Cue Point or Keyboard
MultiTrack.ZoomOut |  | This option will Zoom out the audio tracks. | GPI, Cue Point or Keyboard
MultiTrack_ToggleHistory |  | This option will show/hide the History pane | GPI, Cue Point or Keyboard
Transition between different Play Commands: Invoking a Play command always transitions from the current Play Command to the requested one immediately. However, hitting the Play button (it will be in paused mode when play commands are in progress) switches to regular Play mode when invoked while PlayExcludeSelection, PlayOutsideSelection and PlayStutter commands are in progress and will play from that position till the mixer end. Similarly, invoking the PlayTogglePause and PlayToggleStop commands while the play commands PlayExcludeSelection, PlayOutsideSelection and PlayStutter commands are in progress will switch to the regular play mode and start playing from that position till the mixer end.

Now Playing Export Commands

Task | Settings | Description | Comment
NowPlayingExport.Send | Station, Type, Title, Artist and Composer | This task sends a message using Now Playing Export. The Type Setting can be set to Manual or Asset. The Manual option is used to set the Title, Artist and Composer manually, while the Asset option is used to Drag and drop an asset to determine the Title, Artist and Composer. | GPI, Cue Point or Keyboard

On-Air Module Commands

These tasks are used in an open active On-Air module.

Task | Settings | Description | Comment
OnAir.EjectIndex | Index | This task will eject the numbered Index event in the On-Air Module. The Index number represents the slot or position in the On-Air module. | GPI, Cue Point or Keyboard
OnAir.Mode | Mode | Changes the selected stations on-air mode. | GPI, Cue Point or Keyboard
OnAir.PauseIndex | Index | This task will pause the numbered Index event in the On-Air module. The Index number represents the slot or position in the On-Air module. | GPI, Cue Point or Keyboard
OnAir.PlayNext | <None> | Fades the currently playing event and Plays the Next event in the On-air module. | GPI, Cue Point or Keyboard
OnAir.Refresh | <None> | This task refreshes the open active On-Air module. | GPI, Cue Point or Keyboard
OnAir.StartIndex | Index | This task will Start a Stopped or Paused the numbered Index event in the On-Air Module. The Index number represents the slot or position in the On-Air module. | GPI, Cue Point or Keyboard
OnAir.Stop | <None> | This task stops the currently playing event in the On-Air module | GPI, Cue Point or Keyboard
OnAir.StopAll | <None> | This task stops all the currently playing events in the On-Air module | GPI, Cue Point or Keyboard
OnAir.StopIndex | Index | This task will stop the numbered Index event in the On-Air module. The Index number represents the slot or position in the On-Air module. | GPI, Cue Point or Keyboard
OnAir.ToggleChainTypeIndex | Index | This task will toggle the numbered Index event Chain type, this option only works in Live Assist and Manual modes. The Index number represents the slot or position | GPI, Cue Point or Keyboard

Scheduled Maintenance Commands

These commands affect Scheduled Maintenance and can be placed in Logs, Clocks, Recorder Logs, Recorder Clocks and Macros.

Task | Settings | Description | Comment
ScheduledMaintenance.ExportLog | Organization, Start Days Offset, Number of Days and Destination Path | Exports the Log for the Stations in the Organization for the Days specified. | GPI, Cue Point or Keyboard

Segue and Voice Track Editor Commands

These tasks are used in the Segue Editor or the Voice Track Editor.

Task | Settings | Description | Comment
SegueTool.CycleChainType | <None> | This task will toggle the Chain type. | GPI, Cue Point or Keyboard
SegueTool.DoNextOperation | <None> | This task will perform the next operation. | GPI, Cue Point or Keyboard
SegueTool.NextEvent | <None> | This task will move to the next audio event making it the last track in the Segue Editor. In the Voice Track Editor this task will move to the next Voice Track position in the Log. | GPI, Cue Point or Keyboard
SegueTool.NudgeLeft | <None> | This task will move the cursor position to the left. | GPI, Cue Point or Keyboard
SegueTool.NudgeRight | <None> | This task will move the cursor position to the right. | GPI, Cue Point or Keyboard
SegueTool.PanLeft | <None> | Shifts the tracks to the left to view more of the first track. | GPI, Cue Point or Keyboard
SegueTool.PanRight | <None> | Shifts the tracks to the right to view more of the last track. | GPI, Cue Point or Keyboard
SegueTool.PlayBtn | <None> | This task will play the tracks in the Segue Editor and Voice Track recorder | GPI, Cue Point or Keyboard
SegueTool.PlayStop | <None> | This task will stop the play of audio. | GPI, Cue Point or Keyboard
SegueTool.PrevEvent | <None> | This task will move to the previous audio event making it the first track in the Segue Editor. In the Voice Track Editor this task will move to the previous Voice Track position in the Log. | GPI, Cue Point or Keyboard
SegueTool.QuickVoiceTrack | <None> | This task will switch from the Segue Editor to the simple Voice Track Editor | GPI, Cue Point or Keyboard
SegueTool.RecordBtn | <None> | This task will start the recording of audio in the Voice Track Editor at the cursor position | GPI, Cue Point or Keyboard
SegueTool.RefreshWaveform | <None> | This task will refresh the tracks and data. | GPI, Cue Point or Keyboard
SegueTool.StopBtn | <None> | This task will stop the playing in the segue editor or stop the playing and recording of the voice track editor. It will also move the cursor to the starting position. | GPI, Cue Point or Keyboard
SegueTool.ToggleMode | <None> | This task will toggle between Segue editor and Voice Track editor. | GPI, Cue Point or Keyboard
SegueTool.ZoomAll | <None> | This task will Zoom Out to show all the audio waveforms in all the tracks. | GPI, Cue Point or Keyboard
SegueTool.ZoomDefault | <None> | This task will set the Zoom/pan tool to its default zoom and position. | GPI, Cue Point or Keyboard
SegueTool.ZoomIn | <None> | This task will Zoom In to the tracks displayed. | GPI, Cue Point or Keyboard
SegueTool.ZoomOut | <None> | This task will Zoom Out showing more of the track audio. | GPI, Cue Point or Keyboard

Sequencer Commands

These tasks are used to control the Sequencer for a selected station.

Task | Settings | Description | Comment
Sequencer.AllRoutesOffExcept | Station and Route | Turns off all Routes except for the route selected in the Settings column | GPI, Cue Point or Keyboard
Sequencer.AsynchronousMacro | Station and Macro | This task is used to fire a selected Asynchronous macro for the selected station. | GPI, Cue Point or Keyboard
Sequencer.ChainType | Station and ChainType | This task sets the chain type for the selected station. | GPI, Cue Point or Keyboard
Sequencer.Device.Eject | Station and Output Device | This task will eject the asset that is assigned the selected device from the selected stations log. | GPI, Cue Point or Keyboard
Sequencer.Device.Pause | Station and Output Device | This task will Pause the asset that is assigned the selected device from the selected stations log. | GPI, Cue Point or Keyboard
Sequencer.Device.Start | Station and Output Device | This task will start the asset that is assigned the selected device from the selected stations log. | GPI, Cue Point or Keyboard
Sequencer.Device.Stop | Station and Output Device | This task will stop the asset that is assigned the selected device from the selected stations log. | GPI, Cue Point or Keyboard
Sequencer.HotSpare | Station and Hotspare | This task is used for switching to the hotspare computer; select the station and the Hotspare to use for this event. | GPI, Cue Point or Keyboard
Sequencer.HotSpareArm | Station and Hotspare | This task is used to arm the audio on the hotspare computer; select the station and the Hotspare to use for this event. | GPI, Cue Point or Keyboard
Sequencer.HotSpareRemoveArm | Station and Hotspare | This task is used to remove the Arming of audio on the hotspare; select the station and the Hotspare to use for this event. | GPI, Cue Point or Keyboard
Sequencer.LocalRoute | Station and Route | Set the default Local route to the station selected in the settings column. This can be viewed in the Satellite tab of the station selected. | GPI, Cue Point or Keyboard
Sequencer.Mode | Station and Mode | Changes the mode of the Sequencer Computer for the selected station. | GPI, Cue Point or Keyboard
Sequencer.OnDemandRecording.Eject | Station and On Demand Recording | This task will Eject the selected On Demand Recording for the selected station. | GPI, Cue Point or Keyboard
Sequencer.OnDemandRecording.Insert | Station and On Demand Recording | This task will Insert the selected On Demand Recording for the selected station. | GPI, Cue Point or Keyboard
Sequencer.OnDemandRecording.Pause | Station and On Demand Recording | This task will Pause the selected On Demand Recording for the selected station. | GPI, Cue Point or Keyboard
Sequencer.OnDemandRecording.Start | Station and On Demand Recording | This task will Start the selected On Demand Recording for the selected station. | GPI, Cue Point or Keyboard
Sequencer.OnDemandRecording.Stop | Station and On Demand Recording | This task will Stop the selected On Demand Recording for the selected station. | GPI, Cue Point or Keyboard
Sequencer.Play.FadeAll | Station | This task will fade all playing events for the selected station. | GPI, Cue Point or Keyboard
Sequencer.Play.StopAll | Station | This task will stop all the playing events for the selected station | GPI, Cue Point or Keyboard
Sequencer.PlayLibraryItem | Station and Library Item (drag and drop a Library asset to this position to assign it to this task) | When this command is selected a station is selected and then the Library item is drag into the Settings column. This can be an asset, Tag, Rotation or Imaging. | GPI, Cue Point or Keyboard
Sequencer.PlayNext | Station, Fade Seconds | This task will play the next event and fade the current event for the selected Station. Setting the Fade seconds to zero will use the Station Fade Out Duration set in the Playback tab of the Station Configuration. | GPI, Cue Point or Keyboard
Sequencer.PlayNext.OnDevice | Station, Output Channel | This task will Play the next event on the selected Output Channel for the Selected Station | GPI, Cue Point or Keyboard
Sequencer.PlayNext.OnStream | Station, Playback Stream | This task will Play the next event on the selected Playback Stream for the Selected Station | GPI, Cue Point or Keyboard
Sequencer.PlayNextNoFade | Station | This task will play the next event without fading the current event for the selected Station. | GPI, Cue Point or Keyboard
Sequencer.PlayNextNoFade.OnDevice | Station, Output Channel | This task will play the next event without fading the current event on the specified Output Channel for the selected Station. | GPI, Cue Point or Keyboard
Sequencer.PlayNextNoFade,OnStream | Station, Playback Stream | This task will play the next event without fading the current event on the specified Playback Stream for the selected Station. | GPI, Cue Point or Keyboard
Sequencer.PlayNextSpotBlock | Station | When the command is received Zetta will play the Next Spot Block in the log; stops search when a Soft/Hard ETM is reached. ( this includes TOHs when set as Soft/Hard ETM) | GPI, Cue Point or Keyboard
Sequencer.PlayNextSpotBlock_RemoveQueued | Station and Prior event status | When the command is fired it triggers a Spot Block, if the Spot Block is not queued, the Spot Block moves to the top of the On-Air module and marks everything before the block as either not played or played based on the Prior event status setting. | GPI, Cue Point or Keyboard
Sequencer.Record.Eject | Station and Record Device | This task will eject the asset that is recording on the selected station log using the selected record device. | GPI, Cue Point or Keyboard
Sequencer.Record.Pause | Station and Record Device | This task will Pause the asset that is recording on the selected station log using the selected record device. | GPI, Cue Point or Keyboard
Sequencer.Record.Start | Station and Record Device | This task will start the asset that is recording on the selected station log using the selected record device. | GPI, Cue Point or Keyboard
Sequencer.Record.Stop | Station and Record Device | This task will stop the asset that is recording on the selected station log using the selected record device. | GPI, Cue Point or Keyboard
Sequencer.Record.StopAll | Station | This task will stop all the recording of all assets for the selected station | GPI, Cue Point or Keyboard
Sequencer.SatelliteRoute | Station and Route | Sets the default satellite route to the station selected in the settings column. This can be viewed in the Satellite tab of the station selected. | GPI, Cue Point or Keyboard
Sequencer.SetEtmFillCategory | Station and Fill Category | This task will change the ETM fill category for the selected station. When this setting is changed, Zetta will re-evaluate the fill of the Log based on the new Category Assignment. | GPI, Cue Point or Keyboard
Sequencer.SetMaxStretchSqueeze | Station and Stretch/Squeeze percentage | This task will change the setting for the Max Stretch and Squeeze of events for the selected station | GPI, Cue Point or Keyboard
Sequencer.SetShift | Station and Shift | Used to Set the current shift for the selected station. If shift is set to <Default> Zetta will select the shift with the Default Shift box selected in the shift tab of the station configuration. If no shift is set as the Default Shift then Zetta will not set a shift therefore no shift will be active. | GPI, Cue Point or Keyboard
Sequencer.SetSplitMaster | Station and Master | Sets the Master station for the selected station | GPI, Cue Point or Keyboard
Sequencer.SetSplitOffset | Station and Split Player Delay (Minutes) | Sets the Split Message Offset time which is used to set the time between the actual splits playback and the time the split message feed is aired on the remote split system, this is used if splits playing back is not done real-time and the RS232 feed is being delayed. | GPI, Cue Point or Keyboard
Sequencer.SetSplitSpotBlockMatchingMethod | Station and Matching Method |  | GPI, Cue Point or Keyboard
Sequencer.SetSpotBlockFillCategory | Station and Fill Category | This task will change the Spot Block Fill Category for the selected station. When this setting is changed, Zetta will re-evaluate the fill of the Log based on the new Category Assignment. | GPI, Cue Point or Keyboard
Sequencer.Stream.Eject | Station and Playback Stream | This task will eject the asset that is assigned the selected stream number from the selected stations log. | GPI, Cue Point or Keyboard
Sequencer.Stream.Pause | Station and Playback Stream | This task will Pause the asset that is assigned the selected stream number from the selected stations log. | GPI, Cue Point or Keyboard
Sequencer.Stream.Start | Station and Playback Stream | This task will start the asset that is assigned the selected stream number from the selected stations log. | GPI, Cue Point or Keyboard
Sequencer.Stream.Stop | Station and Playback Stream | This task will stop the asset that is assigned the selected stream number from the selected stations log. | GPI, Cue Point or Keyboard
Sequencer.SynchronousMacro | Station and Macro | This task is used to fire a selected Synchronous macro for the selected station. | GPI, Cue Point or Keyboard
Sequencer.SyncToCurrentTime | Station | This task will sync the sequencer to the Current Time | GPI, Cue Point or Keyboard
Sequencer.ToggleChainType | Station | Toggle chain type will cycle through all chain types which are valid for the current event; this works in live assist mode. In auto mode, it sets chains to stop; in manual and satellite modes it sets chains to segue; in split player mode the command is ignored. | GPI, Cue Point or Keyboard

Stacks Module Commands

All these commands require that the stacks module be open. Stacks.OpenBank will open the requested stack in an existing stack window.

Task

Settings

Description

Comment

Stack.BankNext

<None>

Open the next stack (equivalent to clicking the right arrow in the Stacks toolbar).

GPI, Cue Point or Keyboard

Stack.BankPrevious

<None>

Open the previous stack (equivalent to clicking the left arrow in the Stacks toolbar).

GPI, Cue Point or Keyboard

Stack.Home

<None>

Position the stack window so that the currently playing item is visible if one is playing. Position it to the top of the stack if no item is playing.

GPI, Cue Point or Keyboard

Stack.OpenBank

Stack bank name

Opens the specified stack.

GPI, Cue Point or Keyboard

Stack.PauseAll

<None>

Pauses all items currently playing in the stack. Does nothing if no item is playing. In particular, does not toggle pause state by resuming paused events.

GPI, Cue Point or Keyboard

Stack.Play

Index number

Takes the 1-based index of an event in the stack. Plays that event. Restarts it if the event is already playing. Does nothing if the index is greater than the number of events in the stack. Note that the argument is not limited to the number of events in a given stack. Zetta does not know what stack will be current when the command is executed.

GPI, Cue Point or Keyboard

Stack.PlayNext

<None>

  • If events are paused, resumes those events.

  • If no events are paused but some events are playing, fades out those events and starts the event following the playing event farthest down in the stack. It will wrap, so if the last event in the stack is playing, it will start playing the first (or leave it playing if it was already playing). It does this even if the playing event farthest down in the stack has chain = stop.

  • If no events are paused or playing but an event is selected, Zetta starts playing that event.

  • If no events are paused, playing, or selected, Zetta starts the first event in the stack.

GPI, Cue Point or Keyboard

Stacks.Shuffle

<None>

Shuffles the stack order. This is a temporary change and is not saved after the shuffle.

GPI, Cue Point or Keyboard

Stack.StopAll

<None>

Fades out all currently playing events in the stack.

GPI, Cue Point or Keyboard

ZCast Commands

These commands affect ZCast and can be placed in Logs, Clocks, Recorder Logs, Recorder Clocks and Macros.

Task | Settings | Description | Comment
ZCast.InboundLimit | Mbps | Sets the Inbound bandwidth that can be used by ZCast transfers in. | GPI, Cue Point or Keyboard
ZCast.OutboundLimit | Mbps | Sets the Outbound bandwidth that can be used by ZCast transfers out. | GPI, Cue Point or Keyboard

Global Zetta Commands

These are Global commands that work in Zetta.

Task | Settings | Description | Comment
Zetta.AssetTagWindow | Station and Library Item (drag and drop a Library asset to this position to assign it to this task) | Opens an empty asset window. | GPI, Cue Point or Keyboard
Zetta.Clock | <None> | This task opens the Clocks Module | GPI, Cue Point or Keyboard
Zetta.EditAudioInDefaultEDitor | <None> | Opens the selected Audio asset in the assigned default editor | GPI, Cue Point or Keyboard
Zetta.EditAudioInZettaEditor | <None> | Opens the selected asset in the Zetta Editor | GPI, Cue Point or Keyboard
Zetta.Hotkey | <None> | Opens the Hot Keys Module | GPI, Cue Point or Keyboard
Zetta.Layout | Layout | Changes the main application to the selected Layout | GPI, Cue Point or Keyboard
Zetta.Library | <None> | Opens the Library Module | GPI, Cue Point or Keyboard
Zetta.Log | <None> | Opens the Log Module | GPI, Cue Point or Keyboard
Zetta.LogOut | <None> | Logs the current user out of Zetta | GPI, Cue Point or Keyboard
Zetta.NotePreview | <None> | Opens the Notes Preview window | GPI, Cue Point or Keyboard
Zetta.OnAir | <None> | Opens the On Air Module | GPI, Cue Point or Keyboard
Zetta.OpenAssetUtility | <None> | Opens the Library Audio Asset Utility | GPI, Cue Point or Keyboard
Zetta.OpenMetaDataControl | <None> | This tasks opens a New MetaData Card. | GPI, Cue Point or Keyboard
Zetta.OpenMultitrackEditor | Station and option to Start recording immediately | Opens the Multitrack Editor Module for the selected station. If the option Start recording immediately is selected the Editor will start recording as soon as the module is open. | GPI, Cue Point or Keyboard
Zetta.OpenQuickRecorder | Station and option to Start recording immediately | Opens the Quick Record Module for the selected station. If the option Start recording immediately is selected the Recorder will start recording as soon as the module is open. | GPI, Cue Point or Keyboard
Zetta.OpenSegueEditor | <None> | Opens the Segue Editor | GPI, Cue Point or Keyboard
Zetta.OpenStacks | <None> | This task opens the Stacks Module | GPI, Cue Point or Keyboard
Zetta.OpenZPlayer | <None> | Opens the Z-Player Module | GPI, Cue Point or Keyboard
Zetta.PlaybackMonitor | <None> | This task opens the Playback Monitor Tool | GPI, Cue Point or Keyboard
Zetta.RestoreDB | <None> | This task will open the Restore DB window allowing the user to select a database to restore. | GPI, Cue Point or Keyboard
Zetta.ToggleLayoutLockState | <None> | This task will lock or unlock the current layout depending on the current lock state. | GPI, Cue Point or Keyboard

ZPlayer Commands

The Z-Player commands require the play stream Short Name be defined in the Window field when using multiple Z-Player modules. Enter the stream's Short Name to use in the Window field. If the short name is not defined Zetta will use the ID instead.

For Example: If two Z-Player modules were open at the same time, one using the stream A and the other using stream B and a mapping was desired to start playing the Z-Player using stream A then the letter A would be placed in the Window field for the mapping.

Task | Settings | Description | Comment
ZPlayer.Arm |  | This is a special command that allows the Z-Player to attach to any log event currently playing on the assigned stream, when in On-Air mode. | GPI, Cue Point or Keyboard
ZPlayer.AutoScrub | Step (seconds): | AutoScrub will step the play marker by the specified number of seconds forward or back continually depending on the device used for the mapping. If Auto Scrubbing is started while stuttering is in progress, the play marker will jump seek to the next offset, stutter at that position for the seek interval, then jump again, stutter at the next position for the seek interval and so on. This will continue till the end or beginning of the audio is reached or is stopped (either by moving the scrub wheel to the center position or by using stop command). If the scrubbing wheel, of the device, is moved back to the center position while seeking, seeking will stop and regular stutter will continue in a loop in the current seek position. Stopping will stop both scrubbing and stuttering. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
ZPlayer.Button.Cue |  | Command that operates like the CUE button being clicked, signals as a cue button up. | GPI, Cue Point or Keyboard
ZPlayer.Button.Pause |  | Command that operates as the PAUSE button being clicked. | GPI, Cue Point or Keyboard
ZPlayer.Button.Play |  | Command that operates like a PLAY button clicked, signals as a cue button up. | GPI, Cue Point or Keyboard
ZPlayer.Cue |  | Command will PAUSE the Z-Player and place the play cursor at the CUE marker position. | GPI, Cue Point or Keyboard
ZPlayer.Eject |  | Command that operates like a eject button clicked, signals as a eject button up. | GPI, Cue Point or Keyboard
ZPlayer.Loop |  | Command that operates like a LOOP button clicked, signals as a cue button up. | GPI, Cue Point or Keyboard
ZPlayer.Mark.Cue |  | This Command will set the CUE marker position at the current playback position. | GPI, Cue Point or Keyboard
ZPlayer.MarkLoopEnd |  | Command that operates like an OUT button clicked, signals as a cue button up (see Play/Pause/Stutter Mode). | GPI, Cue Point or Keyboard
ZPlayer.MarkLoopStart |  | Command that operates like an IN button clicked, signals as a cue button up (see Play/Pause/Stutter Mode). | GPI, Cue Point or Keyboard
ZPlayer.Pause |  | Command will PAUSE the Z-Player at its current file position, if not already paused. | GPI, Cue Point or Keyboard
ZPlayer.Play |  | Command will make the Z-Player start playing if it is not already playing. | GPI, Cue Point or Keyboard
ZPlayer.Refresh |  | This will refresh the Z-Player. | GPI, Cue Point or Keyboard
ZPlayer.Reset |  | This will reset the Z-Player. | GPI, Cue Point or Keyboard
ZPlayer.Save |  | This will Save the Audio settings in the Z-Player for the associated asset event in the Hot Keys or Stacks. | GPI, Cue Point or Keyboard
ZPlayer.Scrub | Step (seconds): | Scrub will step the play marker by the specified number of seconds forward or back depending on the device used for the mapping. If a keyboard is mapped holding down the key will cause the play cursor to continue to jump until it is released. This will leave the file playback in whatever state it is currently in (stop, paused, playing, stuttering) This value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
ZPlayer.Stop |  | This command will make the Z-Player stop, if not already stopped and will reset the play cursor to the Trim In position. | GPI, Cue Point or Keyboard
ZPlayer.Stutter | Step (seconds): | This option will stutter play the audio, this option is used for fine-tuning to a precise position within the audio. Stutter will start playing from the play marker for the specified seconds and then go back to the starting point and play the same number of seconds continuously in a loop until switched to a different play command or stopped by the user. If Stuttering is started while scrubbing is in progress, scrubbing will stop and regular stuttering will start at the current position. the Steps: identifies how many seconds to move the current position and then stutter at that position, this value can be a positive or negative double value. Common setting are 0.1 and -0.1 seconds. | This task is designed to be used with a Jog/Shuttle wheel such as one of the JL Cooper devices supported in Zetta. GPI, Cue Point or Keyboard
ZPlayer.ToggleAudition |  | Command that operates like the audition/onair toggle button, changes between onair and auditions streams. | GPI, Cue Point or Keyboard

Output Commands

The following Commands can be added to a GPIO Output Mapping in the Command Mappings tab of the System Configuration window. These commands are used by Zetta to notify an External Device that the task has occurred. Once assigned to a device these commands can be used in Logs, Clocks, Recorder Logs, Recorder Clocks and Macros as Execute Command Control Events using the Gpio.TriggerGpo task Type.

Emergency Alert Commands (EAS)

Task | Settings | Description | Comment
EAS.Confirmation | Station | Used to Output a Confirmation that an alert has played to an EAS box. See EAS Emergency Alert System topic in the Features section of the guide. | GPO

General Purpose Input Output Commands

Task | Settings | Description | Comment
GPIO.Notify.Route | Route and Event | This task sends a notification when a route is turned on or off. | GPO

Play Device Commands

Task | Settings | Description | Comment
PlayDevice.Load | Audio Output Device and GPO Event | When the selected output device is loaded, the selected GPO event configured will execute. | GPO
PlayDevice.Notify.AutoFade | Audio Output Device and GPO Event | This is a Player message that gets broadcast when the event using the selected Output device is automatically faded. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayDevice.Notify.Ducking | Audio Output Device and GPO Event | This is a Player message that gets broadcast when the event using the selected Output device is ducked. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayDevice.Notify.EarlySegue | Audio Output Device and GPO Event | This is a Player message that gets broadcast when the event using the selected Output device is segued early. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayDevice.Notify.FiveSecLeft | Audio Output Device and GPO Event | This is a Player message that gets broadcast when the event using the selected Output device has five seconds of play time remaining. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayDevice.Notify.Intro | Audio Output Device and GPO Event | This is a Player message that gets broadcast when the event using the selected Output device hits an Intro marker. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayDevice.Notify.Outro | Audio Output Device and GPO Event | This is a Player message that gets broadcast when the event using the selected Output device hits an Outro marker. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayDevice.Notify.Segue | Audio Output Device and GPO Event | This is a Player message that gets broadcast when the event using the selected Output device is segued. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayDevice.Notify.TenSecLeft | Audio Output Device and GPO Event | This is a Player message that gets broadcast when the event using the selected Output device has ten seconds of play time remaining. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayDevice.Pause | Audio Output Device and GPO Event | When the selected output device is Paused, the selected GPO event configured will execute. | GPO
PlayDevice.Play | Audio Output Device and GPO Event | When the selected output device is Played, the selected GPO event configured will execute. | GPO
PlayDevice.Stop | Audio Output Device and GPO Event | When the selected output device is Stopped, the selected GPO event configured will execute. | GPO
PlayDevice.Unload | Audio Output Device and GPO Event | When the selected output device is unloaded, the selected GPO event configured will execute. | GPO

Play Stream Commands

Task | Settings | Description | Comment
PlayStream.Load | Play Stream and GPO Event | When the selected play stream is loaded, the selected GPO event configured will execute. | GPO
PlayStream.Notify.AutoFade | Play Stream and GPO Event | This is a Player message that gets broadcast when the event using the selected play stream is automatically faded. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayStream.Notify.Ducking | Play Stream and GPO Event | This is a Player message that gets broadcast when the event using the selected play stream is ducked. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayStream.Notify.EarlySegue | Play Stream and GPO Event | This is a Player message that gets broadcast when the event using the selected play stream is segued early. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayStream.Notify.FiveSecLeft | Play Stream and GPO Event | This is a Player message that gets broadcast when the event using the selected play stream has five seconds of play time remaining. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayStream.Notify.Intro | Play Stream and GPO Event | This is a Player message that gets broadcast when the event using the selected play stream hits an Intro marker. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayStream.Notify.Outro | Play Stream and GPO Event | This is a Player message that gets broadcast when the event using the selected play stream hits an Outro marker. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayStream.Notify.Segue | Play Stream and GPO Event | This is a Player message that gets broadcast when the event using the selected play stream is segued. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayStream.Notify.TenSecLeft | Play Stream and GPO Event | This is a Player message that gets broadcast when the event using the selected play stream has ten seconds of play time remaining. If an output event is configured to execute on that message then the GPIO subprocess will execute the output event each time it receives this message from the player. | GPO
PlayStream.Pause | Play Stream and GPO Event | When the selected play stream is Paused, the selected GPO event configured will execute. | GPO
PlayStream.Play | Play Stream and GPO Event | When the selected output device is Played, the selected GPO event configured will execute. | GPO
PlayStream.Stop | Play Stream and GPO Event | When the selected output device is Stopped, the selected GPO event configured will execute. | GPO
PlayStream.Unload | Play Stream and GPO Event | When the selected output device is unloaded, the selected GPO event configured will execute. | GPO

Logs Module Commands

Task | Settings | Description | Comment
Sequencer.BlockFillStart | Station and GPO Event | Zetta Outputs a notification that a fill element of a Spot Block has started. The Event Text contains the XML message sent from Zetta. | GPO
Sequencer.BlockFillStop | Station and GPO Event | Zetta Outputs a notification that the end of the fill element of a Spot Block has been reached. The Event Text contains the XML message sent from Zetta. | GPO
Sequencer.SpotBlock.Cue | Station and GPO Event | Zetta Outputs a notification that a Spot Block is queued on the selected station. The variable @runtime can be used in the string which, if present, will be replaced by the actual runtime of the spot block. @runtime is case sensitive. | GPO
Sequencer.SpotBlock.FiveSecLeft | Station and GPO Event | Zetta Outputs a notification that the last event in the Spot Block has 5 seconds of play time remaining on the selected station. | GPO
Sequencer.SpotBlock.Pause | Station and GPO Event | Zetta Outputs a notification that a Spot Block is paused on the selected station. The variable @runtime can be used in the string which, if present, will be replaced by the actual runtime of the spot block. @runtime is case sensitive. | GPO
Sequencer.SpotBlock.Play | Station and GPO Event | Zetta Outputs a notification that a Spot Block is playing on the selected station. The variable @runtime can be used in the string which, if present, will be replaced by the actual runtime of the spot block. @runtime is case sensitive. | GPO
Sequencer.SpotBlock.Segue | Station and GPO Event | Zetta Outputs a notification that the segue of last event in the Spot Block has played on the selected station. | GPO
Sequencer.SpotBlock.Stop | Station and GPO Event | Zetta Outputs a notification that a Spot Block is stopped on the selected station. The variable @runtime can be used in the string which, if present, will be replaced by the actual runtime of the spot block. @runtime is case sensitive. | GPO
Sequencer.SpotBlock.TenSecLeft | Station and GPO Event | Zetta Outputs a notification that the last event in the Spot Block has 10 seconds of play time remaining on the selected station. | GPO

Welcome < Zetta Commands

© 2007-2017 RCS All Rights Reserved.


Zetta Codes

Zetta uses internal codes to refer to many different items in its database which sometimes need to be translated into readable form. This topic lists many of those codes and their friendly descriptions.

Asset Type IDs

Log Event Status Codes

Zetta Error Codes

Zetta error codes to V15 discrepancy codes

Zetta Edit Codes

Zetta edit codes to V15 edit codes

Log Event Entry Types

Chain Type

Transition Marker Type

Transition POI Marker Types

Sequencer Status

Sequencer Mode

Asset Change History

Asset Type IDs

AssetTypeID | Name | Description
0 | Invalid | invalid
1 | Song | Song
2 | Spot | Spot
3 | Link | Link
4 | Voice Track | Voice Track

Log Event Status Codes

LogEventStatusCodeTypeID | Name | Description
-3 | Pending Played | Waiting for verification, event is finished, used to hold item in Q for a while
0 | Invalid | invalid
1 | Ready | item ready to play
2 | Current | Currently Executing
3 | Played | Event Played successful
4 | Not Played | Event was not played
5 | Event_Error | Event had an error during execution, see error code
6 | Faded Early | User executed a fade and go during this event
7 | Fade | User executed a fade during this event
8 | Stopped | User stopped this event
9 | Paused | User Paused this event
10 | Waiting Current | Currently Waiting to execute

Zetta Error Codes

The following is a list of possible errors codes that are generated by Zetta.

LogEventErrorCodeTypeID | Name | Description
0 | Invalid |
1 | Invalid start date | Asset could not be played because of an invalid start date
2 | Invalid end date | Asset could not be played because of an invalid end date
3 | Invalid archive date | Asset could not be played because of an invalid archive date
4 | Invalid erase date | Asset could not be played because of an invalid erase date
5 | Audio file does not exist | Asset could not be played because the audio file did not exist
6 | Player could not load the file | Asset could not be played because the player could not load the audio
7 | Invalid player stream id | Asset could not be played because the player stream id was invalid
8 | Item not found in database (null Asset) | Asset parameter on AssetEvent was null
9 | No audio file specified | Resource parameter on the Asset was null
10 | Player general error | Player returned a general error
11 | Player timeout | Timeout happened when communicating with the player
12 | Invalid log event status | Asset could not be played because the log event status was invalid
13 | Item not active in the station | Asset could not be played because it is inactive in the station
14 | Requested file does not exist | Asset could not be played because the requested file does not exist
15 | GPIO Execution Error | GPIO Event failed to execute
16 | GPIO Timeout | GPIO Event failed to execute due to a timeout error
17 | Item disapproved in station | Asset could not be played because it is disapproved in station
18 | Item waiting for approval in station | Asset could not be played because it is waiting for approval in station
19 | Unsupported Event | Sequencer doesn't know what to do with this event
20 | Invalid Record Event Settings | Record event settings were invalid
21 | Recorder General Error | Recorder returned an error
22 | Recorder Timeout | Timeout when talking to the Recorder
23 | Recorder no GPIO Received | Recorder event never received a GPIO to start the recording
24 | Recorder Error Importing Audio File | Recorder event failed to import audio after its done recording
25 | Unresolved Asset Error | Could not resolve asset event prior to playing
26 | Needs Confirmation | Live event needs confirmation
27 | Audio Conversion Failed | Audio file failed to convert to the desired format
28 | Ftp Upload Failed | Record event failed to upload to FTP location
29 | UNC Upload Failed | Record event failed to upload to UNC path
30 | Stopped by Future Event | Item was not played because a future item was started and stopped this one
31 | Stopped by Parent | Item was not played because its parent event was stopped
32 | No Children | Item with children (spot block, macro), didn't not have any children events to play

Zetta error codes to V15 discrepancy codes

The following lists the mapped Zetta internal error codes to MC discrepancy codes that Zetta outputs in V15 Native Reconciliation files. E.g., if the internal error code is 1, Zetta will write 140 in the V15 Native Reconciliation file.

Zetta Internal Error Code | Error | V15 Error Code | Error
1 | START_DATE | 140 | ERROR_LESS_THAN_START
2 | END_DATE | 145 | ERROR_GREATER_THAN_STOP
3 | ARCHIVE_DATE | 90 | ERROR_KILL_LESS_SYSTEM
4 | ERASE_DATE | 90 | ERROR_KILL_LESS_SYSTEM
5 | NO_FILE | 165 | ERROR_AUDIO_FILE_MISSING
6 | PLAYER_RENDER_ERROR | 212 | Failed to start playing
7 | INVALID_PLAYER_STREAM_ID | 209 | Stopped due to bad position error from stream handler
8 | INVALID_ASSET | 20 | ERROR_NOT_IN_V14
9 | INVALID_RESOURCE | 180 | No audio filename (External? set to 'No').
10 | PLAYER_GENERAL_ERROR | 212 | Failed to start playing
11 | PLAYER_TIMEOUT | 207 | Stopped due to stall error from stream handler
14 | PLAYER_ERROR_EXISTS | 165 | ERROR_AUDIO_FILE_MISSING
15 | GPIO_ERROR_EXECUTING | 212 | Failed to start playing
16 | GPIO_ERROR_TIMEOUT | 207 | Stopped due to stall error from stream handler
27 | AUDIO_CONVERSION_FAILED | 186 | Audio file is in the wrong format
28 | FTP_UPLOAD_FAILED | Z28 |

Zetta Edit Codes

The following is a list of possible edit codes that are generated by Zetta.

LogEventEditCodeTypeID | Name | Description
0 | Invalid |
100 | Scheduler - Import | Event was scheduled from by scheduler system import
101 | Scheduler - Move | Event was scheduled from by scheduler system import
102 | Scheduler - Skipped | Event was scheduled from by scheduler system import
103 | Scheduler - Insert | Event was Inserted Dynamically from by scheduler system import
200 | User - Insert | Event was inserted by a user
201 | User - Move | Event was moved by a user
202 | User - Skipped | Event was skipped by a user
203 | User - Ejected | Event was ejected by a user
204 | User - Copy | Event was copied by a user
205 | User - Synch to Selection Past | Event was synchronized to a selected item in the past
206 | User - Synch to Selection Future | Event was synchronized to a selected item in the future
207 | External App Modify | Event was modified from an external app
208 | External App Insert | Event was inserted from an external app
209 | User Resolved | User Resolved the Unresolved Asset
220 | Mini-Log - Insert By User | Mini-Log Event was Created by Mini-Log Drop Insertion
221 | Mini-Log - Skipped | Log Event was Skipped by Mini-Log Insertion
222 | Mini-Log - Deleted | Log Event was Deleted by Mini-Log Insertion
223 | Mini-Log - Insert By Clock | Mini-Log Event was Created by Clock Generation Insertion
300 | Sequencer - Insert - Fill | Event was inserted by the sequencer from exact time marker fill
301 | Sequencer - Move | Event was moved by the sequencer
302 | Sequencer - Resync | Event was resynced by the sequencer
303 | Sequencer - Expired | Event was expired by the sequencer
304 | Sequencer - Insert - GPIO | Event was inserted from a gpio command
305 | Sequencer - Live Event - Invalid Mode | We cannot play an live event unless we are in manual or live assist
306 | Sequencer – Insert – Master Fill | Fill material provided by the Master Station. Splits Master Provides Fill content option enabled in Splits tab for Splits Station.
401 | Flat File Load – Insert | Event was scheduled by flat file load
402 | Flat File Merge | Event was scheduled by flat file load - merge
501 | Splits – Insert | Event was scheduled by Splits
502 | Splits - Cued By Asset | Event was scheduled by Splits
503 | Splits - Cued By Tag | Event was scheduled by Splits
504 | Splits - Cued By Position | Spot Blocks that are cued on the Splits Client station by Spot Block Position. See Spot Block Matching Method in the Splits tab for the Master Station Configuration.
505 | Splits - Cued By ThirdParty | Event was scheduled by Splits
506 | Splits - Skipped | Event was skipped by the sequencer, since it was a split inserted event
507 | Splits – Played on Client | Asset for log event from the Master Station was used as fill on the Splits Client. Splits Master Provides Fill content option enabled in Splits tab for Splits Station.
508 | Splits – Cued By ETM | Spot Blocks that are cued on the Splits Client station by ETM Time. Spot Block Matching Method set to Spot Block ETM Time (adjacency not required).

Zetta edit codes to V15 edit codes

The following lists the mapped Zetta edit codes to MC edit codes that Zetta outputs in V15 Native Reconciliation files.

Zetta Edit Code | Name | V15 Edit Code | Name
101 | SCHEDULER_MOVE | 7 | EDIT_LOG_MOVED
102 | SCHEDULER_SKIPPED | 11 | EDIT_MC_EXTERNAL
103 | SCHEDULER_INSERT | 8 | EDIT_LOG_INSERTED
200 | USER_INSERT | 8 | EDIT_LOG_INSERTED
201 | USER_MOVE | 7 | EDIT_LOG_MOVED
202 | USER_SKIPPED | 3 | EDIT_MC_SKIP
203 | USER_EJECTED | 3 | EDIT_MC_SKIP
204 | USER_COPY | 49 | EDIT_LOG_DUPLICATE
300 | SEQUENCER_INSERT_FILL | 2 | EDIT_MC_FILL
301 | SEQUENCER_MOVE | 7 | EDIT_LOG_MOVED
304 | SEQUENCER_INSERT_GPIO | 8 | EDIT_LOG_INSERTED
305 | SEQUENCER_LIVE_EVENT_INVALID_MODE | 10 | Live element skipped by MC in automation or satellite mode

Log Event Entry Types

LogEventEntryTypeID | Name | Description
0 | Invalid |
1 | Stop Set |
3 | Top Of Hour |
4 | Pause |
5 | Comment |
6 | Resync |
7 | Automated |
8 | Manual |
9 | Satellite |
12 | Live Assist |
13 | Log Start | Sequencer started processing the log
14 | Linked Log | Link to another log (e.g. for nested Hot key banks)
15 | Exact time marker | Event must be hard timed
16 | Empty Voice Track Slot | Placeholder for a Voice Track
17 | Unscheduled song | Unscheduled song
19 | Unscheduled link | Unscheduled link
20 | Unsupported GS type | Unsupported GS type (entryData holds its type)
100 | Play Song | Deprecated, reports 106 now
101 | Play Spot | Deprecated, reports 106 now
102 | Play Link | Deprecated, reports 106 now
103 | Play Voice Track | Deprecated, reports 106 now
106 | Play Asset |

Chain Type

ChainTypeID | Name | Description
0 | Chain Invalid | Chain type has not been defined
1 | Chain Segue | Sequencer plays the next item automatically at the segue position
2 | Chain Auto Post | Sequencer plays the next item automatically at the post position
3 | Chain Stop | Sequencer stops playing items after the current item is done
4 | Chain Link Song | Sequencer lines up the next audio to the early segue position

Transition Marker Type

MarkerType | Name | Description
0 | Invalid |
1 | Volume | Contains a volume marker overlay on how the data should sound
2 | Cue |
3 | Peakform Data | Contains detail peakform data about the object
4 | Normalize | Contains detail normalization data about the object
5 | Partial | Contains files that relate to partial section of the transition dataset (heads/tails)
10 | Point of Interest | Contains many different Point of Interest overlays (Marking Points)

Transition POI Marker Types

TransitionPOITypeID | Name | Description
0 | Invalid | invalid POI marker type
1 | Generic | Generic POI marker, generally the details give what it is used for
2 | Playhook | Where hook playback starts and how long to play for (Pos, duration)
3 | Playrate | Adjust the playrate or pitch of this value (Pos, value)
6 | Intro | Intro portion of the playback (Pos, duration)
7 | Outro | Outro portion of the playback (Pos, duration)
8 | Segue | The point from the end of the playback to signal the next file to start (Value, Pos)
9 | Gain Percent | Apply a percentage gain the audio at, (Pos, value)
10 | Fader | Specific Area, where volume can be controlled
11 | AutoFade | Type of Fader, used to Fade out the audio when finished
12 | Ducking | Type of Fader, use to duck the audio for a while, then restore it.
13 | TrimIn | Amount of the start of the audio to not play
14 | TrimOut | Amount of the end of the audio to not play
15 | EarlySegue | When the transition type is Link-Song this is the point from the end of the playback to signal the next file to start (Value, Pos)
16 | ~Timeleft | Marker used to identify how much time is left until an event (Position, Duration, Value), Value identifies how much time left
17 | HookSegue | When Playing back a hook this is the segue location for when the hook should trigger the next item to play
18 | Runtime Fader | A Special Fader, used to overlay a master fader over the audio, used for auditioning, generally for producing volume for audition, including and excluding regions
19 | Reposition | Used by Multi Track Editor
20 | Restart | Used by Multi Track Editor
21 | Cross Fade In | Used by Multi Track Editor
22 | Cross Fade Out | Used by Multi Track Editor
23 | Cuepoint | Used by Multi Track Editor
24 | Clip | Used by Multi Track Editor
10000 | Userdefined | Any POI Types over this value are user defined POI types

Sequencer Status

SequencerStatusTypeID | Name | Description
0 | Sequencer Unknown state | Sequencer is in and unknown state
1 | OFFLINE | Sequencer is Offline
2 | ON-AIR | Sequencer is Online and running
3 | IDLE | Sequencer is IDLE, still processing the log just not playing anything
4 | PLAYER_OFFLINE | Sequencer will not start any audio, if starting up it will not load the log until the player is running
5 | IDLE-PAUSED | Sequencer Idle and paused
6 | ON-AIR-PAUSED | Sequencer is Idle but is paused (will not continue playing next item)
7 | CONTENT_STORE_OFFLINE | Sequencer will not start any audio, it is unable to access the content store

Sequencer Mode

Mode | Name | Description
1 | Automation | Sequencer is in Automation mode
2 | Manual | Sequencer is in Manual mode
3 | Live Assist | Sequencer is in Live Assist mode
4 | Split Mode | Sequencer is running as a Split Player for a master station
5 | Satellite | Sequencer is in Satellite mode

Asset Change History

ChangeType | Name | Description
1 | Deactivate | Asset deactivated in Zetta
2 | Delete | Asset deleted in Zetta
4 | Asset Type Changed | Asset Type changed in Zetta
8 | File Resource Changed | File Resource changed in Zetta

Welcome < Zetta Codes

© 2007-2017 RCS All Rights Reserved.


RCS World Headquarters

RCS World Headquarters

445 Hamilton Avenue, 7th Floor

White Plains, New York 10601

USA

+1 914 428 4600

Online: www.rcsworks.com


Sales

Phone: +1 914 428 4600
sales@rcsworks.com


Support Department

Support

24 hours a day, 7 days a week
Phone: +1 914 259 4900
Email: support@rcsworks.com


RCS® Academy

If interested in attending one of our online or on-site training courses, contact an RCS Sales Manager or visit us at our web site:
http://www.rcsworks.com/en/products/training.aspx